searchData={"items":[{"type":"module","title":"Procore.Api.AuthenticationOAuth20Authentication","doc":"API calls for all endpoints tagged `AuthenticationOAuth20Authentication`.","ref":"Procore.Api.AuthenticationOAuth20Authentication.html"},{"type":"function","title":"Procore.Api.AuthenticationOAuth20Authentication.oauth_authorize_get/5","doc":"Grant App Authorization\nCreates and returns a temporary authorization code with 10 minute expiration. Note that all parameters listed below are required. This endpoint corresponds to the OAuth 2.0 authorization endpoint described in section 3.1 of the OAuth 2.0 RFC. See the [Authentication Guide](/documentation/oauth-introduction) for additional information and authentication examples.","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_authorize_get/5"},{"type":"function","title":"Parameters - Procore.Api.AuthenticationOAuth20Authentication.oauth_authorize_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `response_type` (String.t): Response type. Value should be `code` for server apps, `token` for client apps.\n- `client_id` (String.t): Client ID you were assigned when you registered your application.\n- `redirect_uri` (String.t): The URI that the user will be redirected to after they grant authorization to your application. For browser-based web applications, use a `https://` web address. For \"headless\" applications use `urn:ietf:wg:oauth:2.0:oob`.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_authorize_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.AuthenticationOAuth20Authentication.oauth_authorize_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_authorize_get/5-returns"},{"type":"function","title":"Procore.Api.AuthenticationOAuth20Authentication.oauth_revoke_post/4","doc":"Revoke Token\nRevoke authorization of an access token. The request must contain the body data as form-data. The authorization server responds with HTTP status code 200 if the token has been revoked successfully or if the client submitted an invalid token. Note that the Revoke Token endpoint revokes both the Access Token and Refresh Token. The `client_secret` param is only required for confidential applications. Public applications using the implicit OAuth flow do not need to provide this parameter to revoke access tokens.","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_revoke_post/4"},{"type":"function","title":"Parameters - Procore.Api.AuthenticationOAuth20Authentication.oauth_revoke_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `oauth_revoke_post_request` (OauthRevokePostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_revoke_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.AuthenticationOAuth20Authentication.oauth_revoke_post/4","doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_revoke_post/4-returns"},{"type":"function","title":"Procore.Api.AuthenticationOAuth20Authentication.oauth_token_info_get/2","doc":"Get Token Info\nReturn access token details. See the [Authentication Guide](/documentation/oauth-introduction) for additional information and authentication examples. The request must contain the access token in the Authorization header: `Authorization: Bearer  `","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_token_info_get/2"},{"type":"function","title":"Parameters - Procore.Api.AuthenticationOAuth20Authentication.oauth_token_info_get/2","doc":"- `connection` (Procore.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_token_info_get/2-parameters"},{"type":"function","title":"Returns - Procore.Api.AuthenticationOAuth20Authentication.oauth_token_info_get/2","doc":"- `{:ok, Procore.Model.OauthTokenInfoGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_token_info_get/2-returns"},{"type":"function","title":"Procore.Api.AuthenticationOAuth20Authentication.oauth_token_post/3","doc":"Get or Refresh an Access Token\nUsed to acquire a new access token or refresh an existing access token. Certain parameter combinations and values are used depending on which scenario you are handling. See the individual parameter descriptions for additional information. This endpoint corresponds to the token endpoint described in section 3.2 of the OAuth 2.0 RFC. See the [Authentication Guide](/documentation/oauth-introduction) for additional information and authentication examples. JavaScript applications cannot make this request to get the access token or refresh token.","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_token_post/3"},{"type":"function","title":"Parameters - Procore.Api.AuthenticationOAuth20Authentication.oauth_token_post/3","doc":"- `connection` (Procore.Connection): Connection to server\n- `oauth_token_post_request` (OauthTokenPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_token_post/3-parameters"},{"type":"function","title":"Returns - Procore.Api.AuthenticationOAuth20Authentication.oauth_token_post/3","doc":"- `{:ok, Procore.Model.OauthTokenPost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.AuthenticationOAuth20Authentication.html#oauth_token_post/3-returns"},{"type":"module","title":"Procore.Api.AuthenticationUtilitiesMPZ","doc":"API calls for all endpoints tagged `AuthenticationUtilitiesMPZ`.","ref":"Procore.Api.AuthenticationUtilitiesMPZ.html"},{"type":"function","title":"Procore.Api.AuthenticationUtilitiesMPZ.rest_v10_company_base_url_get/3","doc":"Check Company Zone\nGet a response indicating zone routing and web url for zone","ref":"Procore.Api.AuthenticationUtilitiesMPZ.html#rest_v10_company_base_url_get/3"},{"type":"function","title":"Parameters - Procore.Api.AuthenticationUtilitiesMPZ.rest_v10_company_base_url_get/3","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.AuthenticationUtilitiesMPZ.html#rest_v10_company_base_url_get/3-parameters"},{"type":"function","title":"Returns - Procore.Api.AuthenticationUtilitiesMPZ.rest_v10_company_base_url_get/3","doc":"- `{:ok, Procore.Model.RestV10CompanyBaseUrlGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.AuthenticationUtilitiesMPZ.html#rest_v10_company_base_url_get/3-returns"},{"type":"module","title":"Procore.Api.AuthenticationUtilitiesMe","doc":"API calls for all endpoints tagged `AuthenticationUtilitiesMe`.","ref":"Procore.Api.AuthenticationUtilitiesMe.html"},{"type":"function","title":"Procore.Api.AuthenticationUtilitiesMe.rest_v10_me_get/2","doc":"Show User Info\nReturns information on the authenticated user. If a company_id or project_id parameter is included, directory-specific information  on the user will also be returned. Returns a globally unique user id  (across companies). NOTE: This endpoint does not require the ['Procore-Company-Id' header] (https://developers.procore.com/documentation/tutorial-mpz) to be included on a request unless a company_id or project_id parameter  is also included.","ref":"Procore.Api.AuthenticationUtilitiesMe.html#rest_v10_me_get/2"},{"type":"function","title":"Parameters - Procore.Api.AuthenticationUtilitiesMe.rest_v10_me_get/2","doc":"- `connection` (Procore.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id in order for a name to be returned.\n  - `:project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id in order for a name to be returned.","ref":"Procore.Api.AuthenticationUtilitiesMe.html#rest_v10_me_get/2-parameters"},{"type":"function","title":"Returns - Procore.Api.AuthenticationUtilitiesMe.rest_v10_me_get/2","doc":"- `{:ok, Procore.Model.RestV10MeGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.AuthenticationUtilitiesMe.html#rest_v10_me_get/2-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudget","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudget`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_get/4","doc":"Show Budget meta data\nShow meta data for a project's budget","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_lock_delete/4","doc":"Delete budget lock\nUnlock the budget","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_lock_delete/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_lock_delete/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:destroy_all_budget_line_item_transfers` (boolean()): Allows users to unlock the budget while either preserving or destroying the existing budget modifications. Defaults to 'true' when not included in request.","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_lock_delete/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_lock_delete/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetLockDelete200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_lock_delete/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_lock_post/4","doc":"Create a budget lock\nLock the budget","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_lock_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_lock_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_lock_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudget.rest_v10_projects_project_id_budget_lock_post/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudget.html#rest_v10_projects_project_id_budget_lock_post/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetChange","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetChange`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_get/4","doc":"List Budget Change Summaries\nReturn a list of budget change summary rows.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_delete/5","doc":"Delete a Budget Change\nDelete Budget Change","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Unique identifier of budget change\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_get/5","doc":"Get information of a budget change\nGet information of a budget change (without adjustment)","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Unique identifier of budget change\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_patch/6","doc":"Update information of a Budget Change\nUpdate information of a Budget Change","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Unique identifier of budget change\n- `rest_v10_projects_project_id_budget_changes_id_patch_request` (RestV10ProjectsProjectIdBudgetChangesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_post/5","doc":"Create a budget change\nCreate a new budget change with adjustments.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_budget_changes_post_request` (RestV10ProjectsProjectIdBudgetChangesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetChange.rest_v10_projects_project_id_budget_changes_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetChange.html#rest_v10_projects_project_id_budget_changes_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailColumns","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetDetailColumns`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailColumns.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailColumns.rest_v10_budget_views_budget_view_id_budget_detail_columns_get/5","doc":"List Budget Detail Columns\nReturn a list of columns relevant to a Budget View for a Budget Detail Report.  Note: The ID field of each Budget Column will appear as keys in rows returned by the List Budget Details API.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailColumns.html#rest_v10_budget_views_budget_view_id_budget_detail_columns_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetDetailColumns.rest_v10_budget_views_budget_view_id_budget_detail_columns_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `budget_view_id` (integer()): Budget View ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailColumns.html#rest_v10_budget_views_budget_view_id_budget_detail_columns_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetDetailColumns.rest_v10_budget_views_budget_view_id_budget_detail_columns_get/5","doc":"- `{:ok, [%RestV10BudgetViewsBudgetViewIdBudgetDetailColumnsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailColumns.html#rest_v10_budget_views_budget_view_id_budget_detail_columns_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailFilters","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetDetailFilters`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailFilters.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailFilters.rest_v10_budget_detail_filters_get/5","doc":"List Budget Detail Filter Options\nReturns a list of valid filter options when given a specific filter type.  Note: When using \"biller\" for column_id, the \"value\" key will contain objects, not integers.  These objects will have a \"type\" field and a \"value\" field. Type indicates whether the biller is a Sub Job or a Project and will be a string. \"value\" contains the ID of the biller and will be an array of integers.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailFilters.html#rest_v10_budget_detail_filters_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetDetailFilters.rest_v10_budget_detail_filters_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `column_id` (String.t): Type of filter options to return\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailFilters.html#rest_v10_budget_detail_filters_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetDetailFilters.rest_v10_budget_detail_filters_get/5","doc":"- `{:ok, [%RestV10BudgetDetailFiltersGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetailFilters.html#rest_v10_budget_detail_filters_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetDetails","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetDetails`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetails.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetDetails.rest_v10_budget_views_budget_view_id_budget_details_post/6","doc":"List Budget Details\nReturn a list of all rows from the Budget Detail Report for a Project and Budget View.  Note: In addition to all the fields outlined in the response example, there will be an additional key for each visible, non-formula, non-qualitative column (Ex: Original Budget Amount, Budget Modifications, Forecast to Complete, and Source Columns).  The integer keys returned represent the IDs of the budget columns which are returned by the Budget Detail Columns API.  As well, valid filter values can be found through the Budget Detail Filter Options API.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetails.html#rest_v10_budget_views_budget_view_id_budget_details_post/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetDetails.rest_v10_budget_views_budget_view_id_budget_details_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `budget_view_id` (integer()): Budget View ID\n- `project_id` (integer()): Unique identifier for the project.\n- `budget_details_body` (BudgetDetailsBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetails.html#rest_v10_budget_views_budget_view_id_budget_details_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetDetails.rest_v10_budget_views_budget_view_id_budget_details_post/6","doc":"- `{:ok, [%RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetDetails.html#rest_v10_budget_views_budget_view_id_budget_details_post/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetLineItems`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_id_get/5","doc":"Show Budget Line Item\nReturn information about a Budget Line Item.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BudgetLineItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_id_patch/5","doc":"Update Budget Line Item\nUpdate a line item of a specified budget.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `body114` (Body114): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10BudgetLineItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_post/4","doc":"Create Budget Line Item\nAdd a new line item to a budget.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body113` (Body113): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_post/4","doc":"- `{:ok, Procore.Model.RestV10BudgetLineItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_sync_post/4","doc":"Sync Budget Line Items\nCreate or update multiple Budget Line Items","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_sync_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_sync_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body115` (Body115): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_sync_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v10_budget_line_items_sync_post/4","doc":"- `{:ok, [%RestV11BudgetLineItemsPost201Response{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v10_budget_line_items_sync_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_id_get/5","doc":"Show Budget Line Item\nReturn information about a Budget Line Item.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_id_get/5","doc":"- `{:ok, Procore.Model.RestV11BudgetLineItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_id_patch/5","doc":"Update Budget Line Item\nUpdate a line item of a specified budget.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `body112` (Body112): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_id_patch/5","doc":"- `{:ok, Procore.Model.RestV11BudgetLineItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_post/4","doc":"Create Budget Line Item\nAdd a new line item to a budget.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body111` (Body111): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.rest_v11_budget_line_items_post/4","doc":"- `{:ok, Procore.Model.RestV11BudgetLineItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetLineItems.html#rest_v11_budget_line_items_post/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetModifications`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_get/4","doc":"List Budget Modifications\nReturns a list of all Budget Modifications for a project. For more information on the Budget Changes API, see our documentation on [upgrading from the Budget Modifications API to the Budget Changes API](https://developers.procore.com/documentation/tutorial-budget-changes-api).","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_delete/5","doc":"Delete Budget Modification\nDelete a Budget Modification only if Budget Changes are not enabled. This endpoint will be deprecated at October 16th of 2023. For more information on the Budget Changes API, see our documentation on [upgrading from the Budget Modifications API to the Budget Changes API](https://developers.procore.com/documentation/tutorial-budget-changes-api).","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_get/5","doc":"Show Budget Modification\nReturns detailed information on a specified Budget Modification. For more information on the Budget Changes API, see our documentation on [upgrading from the Budget Modifications API to the Budget Changes API](https://developers.procore.com/documentation/tutorial-budget-changes-api).","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_patch/6","doc":"Update Budget Modification\nUpdate a Budget Modification only if Budget Changes are not enabled. This endpoint will be deprecated at October 16th of 2023. For more information on the Budget Changes API, see our documentation on [upgrading from the Budget Modifications API to the Budget Changes API](https://developers.procore.com/documentation/tutorial-budget-changes-api).","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `body110` (Body110): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_post/5","doc":"Create Budget Modification\nCreates a Budget Modification only if Budget Changes are not enabled. This endpoint will be deprecated at October 16th of 2023. For more information on the Budget Changes API, see our documentation on [upgrading from the Budget Modifications API to the Budget Changes API](https://developers.procore.com/documentation/tutorial-budget-changes-api).","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body110` (Body110): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetModifications.rest_v10_projects_project_id_budget_modifications_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetModifications.html#rest_v10_projects_project_id_budget_modifications_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewDetailRows","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetViewDetailRows`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewDetailRows.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewDetailRows.rest_v10_budget_views_budget_view_id_detail_rows_get/5","doc":"List Budget View Detail Rows\nReturn a list of all Budget View Detail Rows for a project and budget view.  Note: In addition to all the fields outlined in the response, there will be an additional key for each visible source and formula column created for the particular budget view. As well, when using a Forecasting View ID, additional keys will be visible that give calculated forecasts for each month, as defined by the Advanced Forecasting Tool.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewDetailRows.html#rest_v10_budget_views_budget_view_id_detail_rows_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetViewDetailRows.rest_v10_budget_views_budget_view_id_detail_rows_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `budget_view_id` (integer()): Budget View ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"biller[]\"` ([String.t]): Return item(s) within a specific biller. Format is biller[]=id=1,type=SubJob or biller[]=id=1,type=Project\n  - `:\"cost_code_id[]\"` ([integer()]): Return item(s) within a specific Cost Code id or range of Cost Code IDs\n  - `:\"cost_code_name[]\"` ([String.t]): Return item(s) within a specific Cost Code name or range of Cost Code names\n  - `:\"root_cost_code_id[]\"` ([integer()]): Return item(s) within a specific Root Cost Code id or range of Root Cost Code IDs\n  - `:\"root_cost_code_name[]\"` ([String.t]): Return item(s) within a specific Root Cost Code name or range of Root Cost Code names\n  - `:\"category_id[]\"` ([integer()]): Return item(s) within a specific category id (line item type id) or range of category IDs\n  - `:\"budget_line_item_id[]\"` ([integer()]): Return item(s) within a specific budget line item id or range of budget line item IDs\n  - `:sort` (String.t): Return item(s) with the specified sort. Default is biller_type,biller,root_cost_code,cost_code,category_id \n  - `:budget_row_type` (String.t): Return budgeted, unbudgeted or all item(s) from all budget rows for a project. Default is budgeted. Note that when the unbudgeted or all values are supplied, the id field will be null for rows that have budgeted false","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewDetailRows.html#rest_v10_budget_views_budget_view_id_detail_rows_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetViewDetailRows.rest_v10_budget_views_budget_view_id_detail_rows_get/5","doc":"- `{:ok, [%RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewDetailRows.html#rest_v10_budget_views_budget_view_id_detail_rows_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows.rest_v10_budget_view_snapshots_budget_view_snapshot_id_detail_rows_get/5","doc":"List Budget View Snapshot Detail Rows\nReturn a list of all Budget View Snapshot Detail Rows for a project and budget view snapshot.  Note: In addition to all the fields outlined in the response, there will be an additional key for each visible source and formula column created for the particular budget view. As well, when using a Forecasting View ID, additional keys will be visible that give calculated forecasts for each month, as defined by the Advanced Forecasting Tool.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows.html#rest_v10_budget_view_snapshots_budget_view_snapshot_id_detail_rows_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows.rest_v10_budget_view_snapshots_budget_view_snapshot_id_detail_rows_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `budget_view_snapshot_id` (integer()): Budget View Snapshot ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"biller[]\"` ([String.t]): Return item(s) within a specific biller. Format is biller[]=id=1,type=SubJob or biller[]=id=1,type=Project\n  - `:\"cost_code_id[]\"` ([integer()]): Return item(s) within a specific Cost Code id or range of Cost Code IDs\n  - `:\"cost_code_name[]\"` ([String.t]): Return item(s) within a specific Cost Code name or range of Cost Code names\n  - `:\"root_cost_code_id[]\"` ([integer()]): Return item(s) within a specific Root Cost Code id or range of Root Cost Code IDs\n  - `:\"root_cost_code_name[]\"` ([String.t]): Return item(s) within a specific Root Cost Code name or range of Root Cost Code names\n  - `:\"category_id[]\"` ([integer()]): Return item(s) within a specific category id (line item type id) or range of category IDs\n  - `:\"budget_line_item_id[]\"` ([integer()]): Return item(s) within a specific budget line item id or range of budget line item IDs\n  - `:sort` (String.t): Return item(s) with the specified sort. Default is biller_type,biller,root_cost_code,cost_code,category_id \n  - `:budget_row_type` (String.t): Return budgeted, unbudgeted or all item(s) from all budget rows for a project. Default is all. Note that when the unbudgeted or all values are supplied, the id field will be null for rows that have budgeted false","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows.html#rest_v10_budget_view_snapshots_budget_view_snapshot_id_detail_rows_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows.rest_v10_budget_view_snapshots_budget_view_snapshot_id_detail_rows_get/5","doc":"- `{:ok, [%RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotDetailRows.html#rest_v10_budget_view_snapshots_budget_view_snapshot_id_detail_rows_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows.rest_v10_budget_view_snapshots_budget_view_snapshot_id_summary_rows_get/5","doc":"List Budget View Snapshot Summary Rows\nReturn a list of all Budget View Snapshot Summary Rows for a project and budget view snapshot. The type of row returned is dependent on the value used in the group_by query param.  Note: In addition to all the fields outlined in the response, there will be an additional key for each visible standard, source, and formula column created for the particular budget view.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows.html#rest_v10_budget_view_snapshots_budget_view_snapshot_id_summary_rows_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows.rest_v10_budget_view_snapshots_budget_view_snapshot_id_summary_rows_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `budget_view_snapshot_id` (integer()): Budget View Snapshot ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"biller[]\"` ([String.t]): Return item(s) within a specific biller. Format is biller[]=id=1,type=SubJob or biller[]=id=1,type=Project\n  - `:\"cost_code_id[]\"` ([integer()]): Return item(s) within a specific Cost Code id or range of Cost Code IDs\n  - `:\"cost_code_name[]\"` ([String.t]): Return item(s) within a specific Cost Code name or range of Cost Code names\n  - `:\"root_cost_code_id[]\"` ([integer()]): Return item(s) within a specific Root Cost Code id or range of Root Cost Code IDs\n  - `:\"root_cost_code_name[]\"` ([String.t]): Return item(s) within a specific Root Cost Code name or range of Root Cost Code names\n  - `:\"category_id[]\"` ([integer()]): Return item(s) within a specific category id (line item type id) or range of category IDs\n  - `:\"budget_line_item_id[]\"` ([integer()]): Return item(s) within a specific budget line item id or range of budget line item IDs\n  - `:group_by` (String.t): Groups the data. Value can be a comma separated string. Default is biller,root_cost_code\n  - `:budget_row_type` (String.t): Return budgeted, unbudgeted or all item(s) from all budget rows for a project. Default is all. Note that when the unbudgeted or all values are supplied, the subtotals may change depending on the presence of rows that have budgeted false","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows.html#rest_v10_budget_view_snapshots_budget_view_snapshot_id_summary_rows_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows.rest_v10_budget_view_snapshots_budget_view_snapshot_id_summary_rows_get/5","doc":"- `{:ok, [%RestV10BudgetViewSnapshotsBudgetViewSnapshotIdSummaryRowsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshotSummaryRows.html#rest_v10_budget_view_snapshots_budget_view_snapshot_id_summary_rows_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetViewSnapshots`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.rest_v10_budget_view_snapshots_get/4","doc":"List Budget View Snapshots\nReturn a list of all Budget View Snapshots for a project.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.html#rest_v10_budget_view_snapshots_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.rest_v10_budget_view_snapshots_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.html#rest_v10_budget_view_snapshots_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.rest_v10_budget_view_snapshots_get/4","doc":"- `{:ok, [%RestV10BudgetViewSnapshotsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.html#rest_v10_budget_view_snapshots_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.rest_v10_budget_view_snapshots_post/4","doc":"Create a Budget Snapshot.\nCreate a new Budget Snapshot for the Project and Budget. This is rate limited to one request per hour for each Project and Budget Template pair.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.html#rest_v10_budget_view_snapshots_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.rest_v10_budget_view_snapshots_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_budget_view_snapshots_post_request` (RestV10BudgetViewSnapshotsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.html#rest_v10_budget_view_snapshots_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.rest_v10_budget_view_snapshots_post/4","doc":"- `{:ok, Procore.Model.RestV10BudgetViewSnapshotsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSnapshots.html#rest_v10_budget_view_snapshots_post/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSummaryRows","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetViewSummaryRows`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSummaryRows.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSummaryRows.rest_v10_budget_views_budget_view_id_summary_rows_get/5","doc":"List Budget View Summary Rows\nReturn a list of all Budget View Summary Rows for a project and budget view. The type of row returned is dependent on the value used in the group_by query param.  Note: In addition to all the fields outlined in the response, there will be an additional key for each visible source and formula column created for the particular budget view.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSummaryRows.html#rest_v10_budget_views_budget_view_id_summary_rows_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetViewSummaryRows.rest_v10_budget_views_budget_view_id_summary_rows_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `budget_view_id` (integer()): Budget View ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"biller[]\"` ([String.t]): Return item(s) within a specific biller. Format is biller[]=id=1,type=SubJob or biller[]=id=1,type=Project\n  - `:\"cost_code_id[]\"` ([integer()]): Return item(s) within a specific Cost Code id or range of Cost Code IDs\n  - `:\"cost_code_name[]\"` ([String.t]): Return item(s) within a specific Cost Code name or range of Cost Code names\n  - `:\"root_cost_code_id[]\"` ([integer()]): Return item(s) within a specific Root Cost Code id or range of Root Cost Code IDs\n  - `:\"root_cost_code_name[]\"` ([String.t]): Return item(s) within a specific Root Cost Code name or range of Root Cost Code names\n  - `:\"category_id[]\"` ([integer()]): Return item(s) within a specific category id (line item type id) or range of category IDs\n  - `:\"budget_line_item_id[]\"` ([integer()]): Return item(s) within a specific budget line item id or range of budget line item IDs\n  - `:group_by` (String.t): Groups the data. Value can be a comma separated string. Default is biller,root_cost_code\n  - `:budget_row_type` (String.t): Return budgeted, unbudgeted or all item(s) from all budget rows for a project. Default is budgeted. Note that when the unbudgeted or all values are supplied, the subtotals may change depending on the presence of rows that have budgeted false","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSummaryRows.html#rest_v10_budget_views_budget_view_id_summary_rows_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetViewSummaryRows.rest_v10_budget_views_budget_view_id_summary_rows_get/5","doc":"- `{:ok, [%RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViewSummaryRows.html#rest_v10_budget_views_budget_view_id_summary_rows_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViews","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetBudgetViews`.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViews.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetBudgetViews.rest_v10_budget_views_get/4","doc":"List Budget Views\nReturn a list of all Budget Views for a project.","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViews.html#rest_v10_budget_views_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetBudgetViews.rest_v10_budget_views_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViews.html#rest_v10_budget_views_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetBudgetViews.rest_v10_budget_views_get/4","doc":"- `{:ok, [%RestV10BudgetViewsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetBudgetViews.html#rest_v10_budget_views_get/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetManualForecastLineItems`.","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_get/4","doc":"List Manual Forecast Line Items\nReturns a list of Manual Forecast Line Items on a given project","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdManualForecastLineItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_id_delete/6","doc":"Delete A Manual Forecast Line Item\nDelete a manual forecast line item for a budget line item","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Unique identifier for the manual forecast line item.\n- `rest_v10_projects_project_id_manual_forecast_line_items_id_delete_request` (RestV10ProjectsProjectIdManualForecastLineItemsIdDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_id_patch/6","doc":"Update A Manual Forecast Line Item\nUpdate a manual forecast line item for a budget line item","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Unique identifier for the manual forecast line item.\n- `rest_v10_projects_project_id_manual_forecast_line_items_post_request` (RestV10ProjectsProjectIdManualForecastLineItemsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_post/5","doc":"Create A Manual Forecast Line Item\nCreate a manual forecast line item for a budget line item","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_manual_forecast_line_items_post_request` (RestV10ProjectsProjectIdManualForecastLineItemsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.rest_v10_projects_project_id_manual_forecast_line_items_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetManualForecastLineItems.html#rest_v10_projects_project_id_manual_forecast_line_items_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources","doc":"API calls for all endpoints tagged `ConstructionFinancialsBudgetMonitoringResources`.","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_get/4","doc":"List Monitoring Resources\nReturns a list of Monitoring Resources on a given project","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:forecast_start_date` (String.t): Forecast start date, expressed in ISO 8601 date format (YYYY-MM-DD)","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_id_delete/5","doc":"Delete Monitoring Resource\nDeletes a Monitoring Resource","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Monitoring Resource ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_id_patch/6","doc":"Update Monitoring Resource\nUpdates a Monitoring Resource's attributes","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Monitoring Resource ID\n- `rest_v10_projects_project_id_monitoring_resources_id_patch_request` (RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_post/5","doc":"Create Monitoring Resource\nCreates a Monitoring Resource on a given Project's Budget Line Item","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_monitoring_resources_post_request` (RestV10ProjectsProjectIdMonitoringResourcesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsBudgetMonitoringResources.rest_v10_projects_project_id_monitoring_resources_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsBudgetMonitoringResources.html#rest_v10_projects_project_id_monitoring_resources_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents","doc":"API calls for all endpoints tagged `ConstructionFinancialsChangeEventsChangeEvents`.","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_event_statuses_get/4","doc":"List Change Event Statuses\nList Change Event Statuses for a specified Project.","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_event_statuses_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_event_statuses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_event_statuses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_event_statuses_get/4","doc":"- `{:ok, [%RestV10ChangeEventStatusesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_event_statuses_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_get/4","doc":"List Change Events\nList Change Events for a specified Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[include_deleted]\"` (String.t): Use 'only' for only deleted resources. Use 'with' for deleted and undeleted resources.","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_get/4","doc":"- `{:ok, [%RestV10ChangeEventsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_id_get/5","doc":"Show Change Event\nShow Change Event.","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ChangeEventsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_id_patch/6","doc":"Update Change Event\nUpdate Change Event. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_change_events_id_patch_request` (RestV10ChangeEventsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ChangeEventsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_post/5","doc":"Create Change Event\nCreate Change Event Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_change_events_post_request` (RestV10ChangeEventsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.rest_v10_change_events_post/5","doc":"- `{:ok, Procore.Model.RestV10ChangeEventsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeEvents.html#rest_v10_change_events_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsChangeEventsChangeTypes","doc":"API calls for all endpoints tagged `ConstructionFinancialsChangeEventsChangeTypes`.","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeTypes.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeEventsChangeTypes.rest_v10_change_types_get/4","doc":"List Change Types\nList Change Types","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeTypes.html#rest_v10_change_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeEventsChangeTypes.rest_v10_change_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeTypes.html#rest_v10_change_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeEventsChangeTypes.rest_v10_change_types_get/4","doc":"- `{:ok, [%RestV10ChangeTypesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeEventsChangeTypes.html#rest_v10_change_types_get/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderChangeReasons","doc":"API calls for all endpoints tagged `ConstructionFinancialsChangeOrdersChangeOrderChangeReasons`.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderChangeReasons.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderChangeReasons.rest_v10_change_order_change_reasons_get/4","doc":"List Change Order Change Reasons\nList Change Order Change Reasons","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderChangeReasons.html#rest_v10_change_order_change_reasons_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderChangeReasons.rest_v10_change_order_change_reasons_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderChangeReasons.html#rest_v10_change_order_change_reasons_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderChangeReasons.rest_v10_change_order_change_reasons_get/4","doc":"- `{:ok, [%RfqChangeEventChangeOrderChangeReason{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderChangeReasons.html#rest_v10_change_order_change_reasons_get/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages","doc":"API calls for all endpoints tagged `ConstructionFinancialsChangeOrdersChangeOrderPackages`.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_get/4","doc":"List Change Order Packages\nList Change Order Packages.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:contract_id` (integer()): Contract ID\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[reviewed_at]\"` (String.t): Returns item(s) reviewed within the specified ISO 8601 datetime range.\n  - `:\"filters[due_date]\"` (String.t): Returns item(s) due within the specified ISO 8601 datetime range.\n  - `:\"filters[include_deleted]\"` (String.t): Use 'only' for only deleted resources. Use 'with' for deleted and undeleted resources.\n  - `:\"filters[invoiced_date]\"` (String.t): Returns item(s) invoiced within the specified ISO 8601 datetime range.\n  - `:\"filters[paid_date]\"` (String.t): Returns item(s) paid within the specified ISO 8601 datetime range.\n  - `:\"filters[signed_change_order_received_date]\"` (String.t): Return item(s) with a signed change order received date within the specified ISO 8601 date range.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_get/4","doc":"- `{:ok, [%RestV10ChangeOrderPackagesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_id_get/5","doc":"Show Change Order Package\nShow Change Order Package","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:contract_id` (integer()): Contract ID","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ChangeOrderPackagesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_id_patch/5","doc":"Update Change Order Package\nUpdate Change Order Package","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `rest_v10_change_order_packages_id_patch_request` (RestV10ChangeOrderPackagesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10ChangeOrderPackagesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_post/4","doc":"Create Change Order Package\nCreate Change Order Package","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_change_order_packages_post_request` (RestV10ChangeOrderPackagesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.rest_v10_change_order_packages_post/4","doc":"- `{:ok, Procore.Model.RestV10ChangeOrderPackagesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderPackages.html#rest_v10_change_order_packages_post/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests","doc":"API calls for all endpoints tagged `ConstructionFinancialsChangeOrdersChangeOrderRequests`.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_get/5","doc":"List Change Order Requests\nReturn a list of all Change Order Requests (COR) to a specific Contract in a Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[due_date]\"` (String.t): Returns item(s) due within the specified ISO 8601 datetime range.\n  - `:\"filters[invoiced_date]\"` (String.t): Returns item(s) invoiced within the specified ISO 8601 datetime range.\n  - `:\"filters[paid_date]\"` (String.t): Returns item(s) paid within the specified ISO 8601 datetime range.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_get/5","doc":"- `{:ok, [%RestV10ChangeOrderRequestsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_id_get/6","doc":"Show Change Order Request\nReturn detailed information about a specified Change Order Request (COR).","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_id_get/6","doc":"- `{:ok, Procore.Model.ArrayOfChangeOrderRequestsEntitiesInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_id_patch/5","doc":"Update Change Order Request\nUpdate information about a specific Change Order Request (COR).","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `rest_v10_change_order_requests_post_request` (RestV10ChangeOrderRequestsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_id_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfChangeOrderRequestsEntitiesInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_post/4","doc":"Create Change Order Request\nCreate Change Order Request (COR).","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_change_order_requests_post_request` (RestV10ChangeOrderRequestsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_post/4","doc":"- `{:ok, Procore.Model.RestV10ChangeOrderRequestsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_sync_patch/6","doc":"Sync Change Order Requests\nThis endpoint creates or updates a batch of Change Order Requests (COR). See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_sync_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_sync_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `change_order_request_sync` (ChangeOrderRequestSync): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_sync_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.rest_v10_change_order_requests_sync_patch/6","doc":"- `{:ok, Procore.Model.ArrayOfChangeOrderRequests.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderRequests.html#rest_v10_change_order_requests_sync_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderStatuses","doc":"API calls for all endpoints tagged `ConstructionFinancialsChangeOrdersChangeOrderStatuses`.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderStatuses.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderStatuses.rest_v10_change_order_statuses_get/4","doc":"List Change Order Statuses\nReturn a list of all Change Order Statuses.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderStatuses.html#rest_v10_change_order_statuses_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderStatuses.rest_v10_change_order_statuses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderStatuses.html#rest_v10_change_order_statuses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderStatuses.rest_v10_change_order_statuses_get/4","doc":"- `{:ok, [%RestV10ChangeOrderStatusesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersChangeOrderStatuses.html#rest_v10_change_order_statuses_get/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders","doc":"API calls for all endpoints tagged `ConstructionFinancialsChangeOrdersPotentialChangeOrders`.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_get/4","doc":"List Potential Change Orders\nReturn a list of all Potential Change Orders (PCO).  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[due_date]\"` (String.t): Returns item(s) due within the specified ISO 8601 datetime range.\n  - `:\"filters[contract_id]\"` (integer()): Contract ID. Returns item(s) with the specified Contract ID.\n  - `:\"filters[include_deleted]\"` (String.t): Use 'only' for only deleted resources. Use 'with' for deleted and undeleted resources.\n  - `:\"filters[invoiced_date]\"` (String.t): Returns item(s) invoiced within the specified ISO 8601 datetime range.\n  - `:\"filters[paid_date]\"` (String.t): Returns item(s) paid within the specified ISO 8601 datetime range.\n  - `:\"filters[reviewed_at]\"` (String.t): Returns item(s) reviewed within the specified ISO 8601 datetime range.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_get/4","doc":"- `{:ok, [%RestV10PotentialChangeOrdersGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_id_get/6","doc":"Show Potential Change Orders\nReturn detailed information about a Potential Change Order (PCO).","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_id_get/6","doc":"- `{:ok, Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_id_patch/5","doc":"Update Potential Change Order\nUpdate information about a specific Potential Change Order (PCO).","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `rest_v10_potential_change_orders_id_patch_request` (RestV10PotentialChangeOrdersIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_id_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_post/4","doc":"Create Potential Change Order\nCreate a new Potential Change Order (PCO).","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_potential_change_orders_post_request` (RestV10PotentialChangeOrdersPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_post/4","doc":"- `{:ok, Procore.Model.RestV10PotentialChangeOrdersPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_get/5","doc":"List Potential Change Order Line Items\nReturn a list of all Potential Change Order Line Items.  Change Event Line Item information is only returned if a line item is associated to a change event line item and user can view change events.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `potential_change_order_id` (integer()): Potential Change Order ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[cost_code_id]\"` (String.t): Cost Code ID. Returns item(s) with the specified Cost Code ID or within the specified range of Cost Code IDs.\n  - `:\"filters[line_item_type_id]\"` (integer()): Line Item Type ID. Returns item(s) with the specified Line Item Type ID or range of Line Item Type IDs.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_get/5","doc":"- `{:ok, [%Default{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_delete/6","doc":"Delete Potential Change Order Line Item\nDelete a Potential Change Order Line Item.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `potential_change_order_id` (integer()): Potential Change Order ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_get/6","doc":"Show Potential Change Order Line Item\nReturn a Potential Change Order Line Item.  Change Event Line Item information is only returned if a line item is associated to a change event line item and user can view change events.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `potential_change_order_id` (integer()): Potential Change Order ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_get/6","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_patch/6","doc":"Update Potential Change Order Line Item\nUpdate a Potential Change Order Line Item. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `potential_change_order_id` (integer()): Potential Change Order ID\n- `id` (integer()): ID\n- `body3` (Body3): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_id_patch/6","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_post/5","doc":"Create Potential Change Order Line Item\nCreate a Potential Change Order Line Item. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `potential_change_order_id` (integer()): Potential Change Order ID\n- `body3` (Body3): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_post/5","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_sync_patch/6","doc":"Sync Potential Change Order Line Items\nThis endpoint creates or updates a batch of Potential Change Order Line Items. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_sync_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_sync_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `potential_change_order_id` (integer()): Potential Change Order ID\n- `line_item_sync_body` (LineItemSyncBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_sync_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_potential_change_order_id_line_items_sync_patch/6","doc":"- `{:ok, Procore.Model.ArrayOfPotentialChangeOrderLineItems.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_potential_change_order_id_line_items_sync_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_sync_patch/6","doc":"Sync Potential Change Orders\nThis endpoint creates or updates a batch of Potential Change Orders (PCO). See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_sync_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_sync_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `potential_change_order_body` (PotentialChangeOrderBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_sync_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.rest_v10_potential_change_orders_sync_patch/6","doc":"- `{:ok, Procore.Model.ArrayOfPotentialChangeOrders.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsChangeOrdersPotentialChangeOrders.html#rest_v10_potential_change_orders_sync_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsBillingPeriods`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_get/4","doc":"List billing periods\nReturn a list of all Billing Periods of a specified Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified Billing Period status.","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_get/4","doc":"- `{:ok, [%BillingPeriod{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_delete/5","doc":"Delete billing period\nDelete a specified Billing Period","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Billing Period ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_get/5","doc":"Show Billing Period for Project\nReturn information for a Billing Period","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Billing Period ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_get/5","doc":"- `{:ok, Procore.Model.BillingPeriod.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_patch/6","doc":"Update billing period\nUpdate a specified Billing Period","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Billing Period ID\n- `body137` (Body137): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_id_patch/6","doc":"- `{:ok, Procore.Model.BillingPeriod.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_post/5","doc":"Create billing period\nCreate a Billing Period","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body137` (Body137): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.rest_v10_projects_project_id_billing_periods_post/5","doc":"- `{:ok, Procore.Model.BillingPeriod.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsBillingPeriods.html#rest_v10_projects_project_id_billing_periods_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems.rest_v10_requisitions_requisition_id_bulk_item_update_patch/6","doc":"Bulk Update Subcontractor Invoice (Requisitions) Items\nUpdates all requisition items received in the body. Can be contract items, contract detail items, or change order items.","ref":"Procore.Api.ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems.html#rest_v10_requisitions_requisition_id_bulk_item_update_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems.rest_v10_requisitions_requisition_id_bulk_item_update_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition ID\n- `project_id` (integer()): Unique identifier for the project.\n- `body109` (Body109): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems.html#rest_v10_requisitions_requisition_id_bulk_item_update_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems.rest_v10_requisitions_requisition_id_bulk_item_update_patch/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsBulkUpdateSubcontractorInvoiceRequisitionItems.html#rest_v10_requisitions_requisition_id_bulk_item_update_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsCommitments","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsCommitments`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.rest_v10_commitments_get/4","doc":"List Commitments\nReturns a list of Commitments.","ref":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.html#rest_v10_commitments_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsCommitments.rest_v10_commitments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.html#rest_v10_commitments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsCommitments.rest_v10_commitments_get/4","doc":"- `{:ok, [%Commitment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.html#rest_v10_commitments_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.rest_v10_commitments_id_get/5","doc":"Show a Commitment Contract\nReturns detailed information on a Commitment Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.html#rest_v10_commitments_id_get/5"},{"type":"function","title":"Special notes (Tiers)  The visibility of Change Order Packages, Potential Change Orders & Change Order Requests depends on the number of tiers defined in the Commitment Contract as follows:  1-tier: Change Order Packages  2-tier: Change Order Packages, Potential Change Orders  3-tier: Change Order Packages, Change Order Requests, Potential Change Orders - Procore.Api.ConstructionFinancialsCommitmentsCommitments.rest_v10_commitments_id_get/5","doc":"","ref":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.html#rest_v10_commitments_id_get/5-special-notes-tiers-the-visibility-of-change-order-packages-potential-change-orders-change-order-requests-depends-on-the-number-of-tiers-defined-in-the-commitment-contract-as-follows-1-tier-change-order-packages-2-tier-change-order-packages-potential-change-orders-3-tier-change-order-packages-change-order-requests-potential-change-orders"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsCommitments.rest_v10_commitments_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.html#rest_v10_commitments_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsCommitments.rest_v10_commitments_id_get/5","doc":"- `{:ok, Procore.Model.Commitment1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsCommitments.html#rest_v10_commitments_id_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsContractPayments`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_get/5","doc":"List Contract Payments\nReturn a list of Contract Payments.","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): ID of the Contract\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_get/5","doc":"- `{:ok, [%RestV10ContractPaymentsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_delete/6","doc":"Delete Contract Payment\nDeletes a specified Contract Payment.","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): ID of the Contract\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_get/6","doc":"Show Contract Payment\nReturn detailed information on the specified Contract Payment.","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): ID of the Contract\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_get/6","doc":"- `{:ok, Procore.Model.RestV10ContractPaymentsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_patch/5","doc":"Update Contract Payment\nUpdate a Contract Payment. All attributes other than 'attachments', 'origin_id', and 'origin_data' will be locked if the contract payment is synced with an ERP system.","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `body104` (Body104): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10ContractPaymentsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_post/4","doc":"Create Contract Payment\nCreate a new Contract Payment.","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body104` (Body104): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsContractPayments.rest_v10_contract_payments_post/4","doc":"- `{:ok, Procore.Model.RestV10ContractPaymentsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsContractPayments.html#rest_v10_contract_payments_post/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsLineItemTypesCostTypes`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_get/5","doc":"List Line Item Types\nReturn a list of all defined Line Item Types. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[origin_id]\"` (String.t): Origin ID","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_get/5","doc":"- `{:ok, [%LineItemType1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_id_get/5","doc":"Show Line Item Type\nReturn detailed information for a specified Line Item Type.","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_id_get/5","doc":"- `{:ok, Procore.Model.LineItemType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_id_patch/5","doc":"Update Line Item Type\nUpdate a Line Item Type.","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `body69` (Body69): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_id_patch/5","doc":"- `{:ok, Procore.Model.LineItemType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_post/4","doc":"Create Line Item Type\nCreate a new Line Item Type (e.g. L2 for Labor).","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body69` (Body69): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_post/4","doc":"- `{:ok, Procore.Model.LineItemType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_sync_patch/4","doc":"Sync Line Item Types\nThis endpoint creates or updates a batch of Line Item Types. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `line_item_type_sync_body` (LineItemTypeSyncBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.rest_v10_line_item_types_sync_patch/4","doc":"- `{:ok, Procore.Model.RestV10LineItemTypesSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsLineItemTypesCostTypes.html#rest_v10_line_item_types_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_get/5","doc":"List Purchase Order Contract detail line items\nList Detail Line Items on a given Purchase Order Contract","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[line_item_id]\"` (integer()): Line Item ID. Returns item(s) with the specified Line Item ID or within a range of Line Item IDs.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_get/5","doc":"- `{:ok, [%RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_delete/6","doc":"Delete Purchase Order Contract detail line item\nDelete a Detail Line Item in a specific Purchase Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_get/6","doc":"Show Purchase Order Contract detail line item\nReturn a Detail Line Item in a specific Purchase Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_get/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_patch/6","doc":"Update Purchase Order Contract detail line item\nUpdate a Detail Line Item in a specific Purchase Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `id` (integer()): ID\n- `body4` (Body4): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_post/5","doc":"Create Purchase Order Contract detail line item\nCreates a Detail Line Item on a given Purchase Order Contract Line Item","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `body4` (Body4): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_post/5","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractDetailLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_item_contract_details_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_get/5","doc":"List Purchase Order Contract Line Items\nReturn a list of all Purchase Order Contract Line Items.  Change Event Line Item information is only returned if a line item is associated to a change event line item and user can view change events.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[cost_code_id]\"` (String.t): Cost Code ID. Returns item(s) with the specified Cost Code ID or within the specified range of Cost Code IDs.\n  - `:\"filters[line_item_type_id]\"` (integer()): Line Item Type ID. Returns item(s) with the specified Line Item Type ID or range of Line Item Type IDs.\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response. 'default' view will be rendered by default if the parameter is not provided. For the 'ssov_source_lines' view lower permissions are acceptable. It's enough to be added to invoice contacts and contract accessors even if SOV line items are hidden from non-admins.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_get/5","doc":"- `{:ok, [%RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_delete/6","doc":"Delete Purchase Order Contract Line Item\nDelete a Purchase Order Contract Line Item.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_get/6","doc":"Show Purchase Order Contract Line Item\nReturn a Purchase Order Contract Line Item.  Change Event Line Item information is only returned if a line item is associated to a change event line item and user can view change events.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response. 'default' view will be rendered by default if the parameter is not provided. For the 'ssov_source_lines' view lower permissions are acceptable. It's enough to be added to invoice contacts and contract accessors even if SOV line items are hidden from non-admins.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_get/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_patch/6","doc":"Update Purchase Order Contract Line Item\nUpdate a Purchase Order Contract Line Item. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `id` (integer()): ID\n- `body3` (Body3): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_patch/6","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_post/5","doc":"Create Purchase Order Contract Line Item\nCreate a Purchase Order Contract Line Item. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `body3` (Body3): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_post/5","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_sync_patch/6","doc":"Sync Purchase Order Contract Line Items\nSync Purchase Order Contract Line Items. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_sync_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_sync_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `line_item_sync_body` (LineItemSyncBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_sync_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_sync_patch/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractLineItems.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_line_items_sync_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus.rest_v10_purchase_order_contracts_purchase_order_contract_id_subcontractor_schedule_of_values_status_patch/5","doc":"Update Purchase Order Contract Subcontractor SOV status\nUpdate the Subcontractor SOV status of a specific Purchase Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_subcontractor_schedule_of_values_status_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus.rest_v10_purchase_order_contracts_purchase_order_contract_id_subcontractor_schedule_of_values_status_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `purchase_order_contract_id` (integer()): Purchase Order Contract ID\n- `body2` (Body2): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_subcontractor_schedule_of_values_status_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus.rest_v10_purchase_order_contracts_purchase_order_contract_id_subcontractor_schedule_of_values_status_patch/5","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContractSubcontractorSOVStatus.html#rest_v10_purchase_order_contracts_purchase_order_contract_id_subcontractor_schedule_of_values_status_patch/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsPurchaseOrderContracts`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_get/4","doc":"List of Purchase Order Contracts\nReturns a list of all Purchase Order Contracts.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies how much information to show for each purchase order contract. The compact view is returned by default.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified Purchase Order Contract status.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[include_deleted]\"` (String.t): Use 'only' for only deleted resources. Use 'with' for deleted and undeleted resources.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_get/4","doc":"- `{:ok, [%RestV10PurchaseOrderContractsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_delete/5","doc":"Delete Purchase Order Contract\nDeletes a Purchase Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_get/5","doc":"Show Purchase Order Contract\nReturn detailed information on a Purchase Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_get/5"},{"type":"function","title":"Special notes (Tiers)  The visibility of Change Order Packages, Potential Change Orders & Change Order Requests depends on the number of tiers defined in the Work Order Contract as follows:  1-tier: Change Order Packages  2-tier: Change Order Packages, Potential Change Orders  3-tier: Change Order Packages, Change Order Requests, Potential Change Orders - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_get/5","doc":"","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_get/5-special-notes-tiers-the-visibility-of-change-order-packages-potential-change-orders-change-order-requests-depends-on-the-number-of-tiers-defined-in-the-work-order-contract-as-follows-1-tier-change-order-packages-2-tier-change-order-packages-potential-change-orders-3-tier-change-order-packages-change-order-requests-potential-change-orders"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_get/5","doc":"- `{:ok, Procore.Model.RestV10PurchaseOrderContractsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_patch/5","doc":"Update Purchase Order Contract\nUpdate a Purchase Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `body26` (Body26): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10PurchaseOrderContractsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_post/4","doc":"Create Purchase Order Contract\nCreate a Purchase Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body26` (Body26): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_post/4","doc":"- `{:ok, Procore.Model.RestV10PurchaseOrderContractsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_sync_patch/4","doc":"Sync Purchase Order Contracts\nThis endpoint creates or updates a batch of Purchase Order Contracts. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body27` (Body27): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.rest_v10_purchase_order_contracts_sync_patch/4","doc":"- `{:ok, Procore.Model.RestV10PurchaseOrderContractsSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsPurchaseOrderContracts.html#rest_v10_purchase_order_contracts_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsRFQs`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_get/5","doc":"List RFQs\nReturn a list of all RFQs in a specified Project and Contract.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[status]\"` (String.t): Returns item(s) with the specified value for RFQ status.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[commitment_contract_id]\"` (integer()): Return item(s) with the specified Commitment Contract ID.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_get/5","doc":"- `{:ok, [%Rfq{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_delete/6","doc":"Delete RFQ\nDelete a specified RFQ in a specified Project and Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_get/6","doc":"Show RFQ\nReturn detailed information about a specified RFQ in a specified Project and Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_get/6","doc":"- `{:ok, Procore.Model.Rfq.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_patch/5","doc":"Update RFQ\nUpdate an RFQ in a specified Project and Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `rest_v10_rfqs_id_patch_request` (RestV10RfqsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_id_patch/5","doc":"- `{:ok, Procore.Model.Rfq.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_post/4","doc":"Create RFQ\nCreate a new RFQ in a specified Project and Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_rfqs_post_request` (RestV10RfqsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_post/4","doc":"- `{:ok, Procore.Model.Rfq2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_get/6","doc":"List RFQ Quotes\nReturn a list of all Quotes in a specified RFQ.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rfq_id` (integer()): RFQ ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_get/6","doc":"- `{:ok, [%RfqQuote{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_id_get/7","doc":"Show RFQ Quote\nReturn detailed information about a specified Quote in a specified RFQ.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_id_get/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_id_get/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rfq_id` (integer()): RFQ ID\n- `id` (integer()): RFQ Quote ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_id_get/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_id_get/7","doc":"- `{:ok, Procore.Model.RfqQuote.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_id_get/7-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_id_patch/6","doc":"Update RFQ Quote\nUpdate a specified Quote in a specified RFQ.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rfq_id` (integer()): RFQ ID\n- `id` (integer()): RFQ Quote ID\n- `rest_v10_rfqs_rfq_id_quotes_post_request` (RestV10RfqsRfqIdQuotesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_id_patch/6","doc":"- `{:ok, Procore.Model.RfqQuote.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_post/5","doc":"Create RFQ Quote\nCreate a new Quote in a specified RFQ.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rfq_id` (integer()): RFQ ID\n- `rest_v10_rfqs_rfq_id_quotes_post_request` (RestV10RfqsRfqIdQuotesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_quotes_post/5","doc":"- `{:ok, Procore.Model.RfqQuote.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_quotes_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_get/6","doc":"List RFQ Responses\nReturn a list of all Responses in a specified RFQ.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rfq_id` (integer()): RFQ ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_get/6","doc":"- `{:ok, [%RfqResponse{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_id_get/7","doc":"Show RFQ Response\nReturn detailed information about a specified Response in a specified RFQ.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_id_get/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_id_get/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rfq_id` (integer()): RFQ ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): Contract ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_id_get/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_id_get/7","doc":"- `{:ok, Procore.Model.RfqResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_id_get/7-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_id_patch/6","doc":"Update RFQ Response\nUpdate a specified Response in a specified RFQ.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rfq_id` (integer()): RFQ ID\n- `id` (integer()): ID\n- `rest_v10_rfqs_rfq_id_responses_post_request` (RestV10RfqsRfqIdResponsesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_id_patch/6","doc":"- `{:ok, Procore.Model.RfqResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_post/5","doc":"Create RFQ Response\nCreate a new Response in a specified RFQ.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rfq_id` (integer()): RFQ ID\n- `rest_v10_rfqs_rfq_id_responses_post_request` (RestV10RfqsRfqIdResponsesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRFQs.rest_v10_rfqs_rfq_id_responses_post/5","doc":"- `{:ok, Procore.Model.RfqResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRFQs.html#rest_v10_rfqs_rfq_id_responses_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories.rest_v10_requisitions_requisition_id_change_histories_get/5","doc":"List Requisition (Subcontractor Invoice) Change Histories\nReturn a list of Requisition (Subcontractor Invoice) Change Histories","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories.html#rest_v10_requisitions_requisition_id_change_histories_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories.rest_v10_requisitions_requisition_id_change_histories_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories.html#rest_v10_requisitions_requisition_id_change_histories_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories.rest_v10_requisitions_requisition_id_change_histories_get/5","doc":"- `{:ok, [%RestV10RequisitionsRequisitionIdChangeHistoriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeHistories.html#rest_v10_requisitions_requisition_id_change_histories_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_get/5","doc":"List Requisition (Subcontractor Invoice) Change Order Items\nReturn a list of Requisition (Subcontractor Invoice) Change Order Items","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_get/5","doc":"- `{:ok, [%RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_id_get/6","doc":"Show Requisition (Subcontractor Invoice) Change Order Item\nReturn a Requisition (Subcontractor Invoice) Change Order Item","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `id` (integer()): Change Order Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_id_get/6","doc":"- `{:ok, Procore.Model.RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_id_patch/7","doc":"Update Requisition (Subcontractor Invoice) Change Order Item\nThis is a deprecated endpoint, please use [/rest/v1.0/requisitions/{requisition_id}/bulk_item_update](bulk-update-subcontractor-invoice-requisition-items#bulk-update-subcontractor-invoice-requisitions-items)","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `id` (integer()): Change Order Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `body25` (Body25): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.rest_v10_requisitions_requisition_id_change_order_items_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceChangeOrderItems.html#rest_v10_requisitions_requisition_id_change_order_items_id_patch/7-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_get/5","doc":"List Requisition (Subcontractor Invoice) Contract Detail Items\nReturn a list of Requisition (Subcontractor Invoice) Contract Detail Items","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_get/5","doc":"- `{:ok, [%RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_id_get/6","doc":"Show Requisition (Subcontractor Invoice) Contract Detail Item\nReturn a Requisition (Subcontractor Invoice) Contract Detail Item","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `id` (integer()): Contract Detail Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_id_get/6","doc":"- `{:ok, Procore.Model.RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_id_patch/7","doc":"Update Requisition (Subcontractor Invoice) Contract Detail Item\nThis is a deprecated endpoint, please use [/rest/v1.0/requisitions/{requisition_id}/bulk_item_update](bulk-update-subcontractor-invoice-requisition-items#bulk-update-subcontractor-invoice-requisitions-items)","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `id` (integer()): Contract Detail Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `body24` (Body24): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.rest_v10_requisitions_requisition_id_contract_detail_items_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractDetailItems.html#rest_v10_requisitions_requisition_id_contract_detail_items_id_patch/7-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_get/5","doc":"List Requisition (Subcontractor Invoice) Contract Items\nReturn a list of Requisition (Subcontractor Invoice) Contract Items","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_get/5","doc":"- `{:ok, [%RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_id_get/6","doc":"Show Requisition (Subcontractor Invoice) Contract Item\nReturn a Requisition (Subcontractor Invoice) Contract Item","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `id` (integer()): Contract Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_id_get/6","doc":"- `{:ok, Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_id_patch/7","doc":"Update Requisition (Subcontractor Invoice) Contract Item\nThis is a deprecated endpoint, please use [/rest/v1.0/requisitions/{requisition_id}/bulk_item_update](bulk-update-subcontractor-invoice-requisition-items#bulk-update-subcontractor-invoice-requisitions-items)","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `id` (integer()): Contract Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `body23` (Body23): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.rest_v10_requisitions_requisition_id_contract_items_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceContractItems.html#rest_v10_requisitions_requisition_id_contract_items_id_patch/7-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers.rest_v10_requisitions_requisition_id_single_pdf_compilers_post/6","doc":"Merges one or more PDFs of a requisition into a single PDF\nMerges one or more PDFs of a requisition into a single PDF. There are two ways to use this endpoint. First to generate a cover sheet for the requisition. If you would like to receive a polling URL that will follow the job provide the polling option in the query params `polling=true`. If you would like the file emailed to you omit the polling param in the query params. You can use the following request payload as an example  ````json {   \"files\":[     {\"type\": \"cover_sheet\", \"id\": \"\"}   ] } ```` If you would like to include some attachments, you can use the following request payload as an example  ````json {   \"files\": [     {       \"id\": \"\",       \"type\": \"cover_sheet\"     },     {       \"id\": 1234,       \"url\": \"http://example.com/file_1.pdf\",       \"type\": \"prostore_file\"     }   ] } ````","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers.html#rest_v10_requisitions_requisition_id_single_pdf_compilers_post/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers.rest_v10_requisitions_requisition_id_single_pdf_compilers_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `body22` (Body22): \n- `opts` (keyword): Optional parameters\n  - `:polling` (boolean()): Determines if the PDF is emailed or a job URL is returned","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers.html#rest_v10_requisitions_requisition_id_single_pdf_compilers_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers.rest_v10_requisitions_requisition_id_single_pdf_compilers_post/6","doc":"- `{:ok, Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceSinglePDFCompilers.html#rest_v10_requisitions_requisition_id_single_pdf_compilers_post/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems.rest_v10_requisitions_requisition_id_whole_change_order_items_id_patch/6","doc":"Update Requisition (Subcontractor Invoice) Whole Change Order Item\nUpdate a specific Requisition (Subcontractor Invoice) Whole Change Order Item","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems.html#rest_v10_requisitions_requisition_id_whole_change_order_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems.rest_v10_requisitions_requisition_id_whole_change_order_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `id` (integer()): Whole Change Order Item ID\n- `rest_v10_requisitions_requisition_id_whole_change_order_items_id_patch_request` (RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems.html#rest_v10_requisitions_requisition_id_whole_change_order_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems.rest_v10_requisitions_requisition_id_whole_change_order_items_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionSubcontractorInvoiceWholeChangeOrderItems.html#rest_v10_requisitions_requisition_id_whole_change_order_items_id_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_get/4","doc":"List Requisitions (Subcontractor Invoices) for Project\nReturn a list of Requisitions (Subcontractor Invoices) on a specified project  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[commitment_id]\"` (integer()): Commitment ID. Returns item(s) with the specified Commitment ID.\n  - `:\"filters[period_id]\"` (integer()): Billing Period ID. Returns item(s) with the specified Billing Period ID.\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified Requisition (Subcontractor Invoice) status.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_get/4","doc":"- `{:ok, [%RestV10RequisitionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_delete/5","doc":"Delete Requisition (Subcontractor Invoice)\nDelete specified Requisition (Subcontractor Invoice)","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_get/5","doc":"Show Requisition (Subcontractor Invoice)\nReturn a Requisition (Subcontractor Invoice) on a specified Project","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_get/5","doc":"- `{:ok, Procore.Model.RestV10RequisitionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_patch/5","doc":"Update Requisition (Subcontractor Invoice)\nUpdate a specified Requisition (Subcontractor Invoice). Users without admin permissions can only update a requisition (sub invoice) if it is the most recent and has a status of 'draft' or 'revise_and_resubmit'. Users with admin permissions can update a requisition (sub invoice) regardless of its status or whether it is the most recent.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Requisition (Subcontractor Invoice) ID\n- `body21` (Body21): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10RequisitionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_post/4","doc":"Create Requisition (Subcontractor Invoices) for Commitment\nCreate a new Requisition (Subcontractor Invoices) for the specified Commitment","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body21` (Body21): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_post/4","doc":"- `{:ok, Procore.Model.RestV10RequisitionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_add_change_order_package_post/7","doc":"Add Change Order Package to a Requisition (Subcontractor Invoice)\nThe Add Change Order Package endpoint allows for the addition of a Change Order Package to a Requisition (Subcontractor Invoice) which will cause change_order_items to be added to the Requisition (Subcontractor Invoice)","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_add_change_order_package_post/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_add_change_order_package_post/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `commitment_id` (integer()): Commitment ID\n- `project_id` (integer()): Unique identifier for the project.\n- `change_order_package_id` (integer()): Change Order Package ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_add_change_order_package_post/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_add_change_order_package_post/7","doc":"- `{:ok, [%RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_add_change_order_package_post/7-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_detail_get/5","doc":"Show Detail for Requisition (Subcontractor Invoice)\nReturn Requisition (Subcontractor Invoice) Detail","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_detail_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_detail_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_detail_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_detail_get/5","doc":"- `{:ok, [%RestV10RequisitionsRequisitionIdDetailGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_detail_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_remove_change_order_package_delete/7","doc":"Remove Change Order Package from a Requisition (Subcontractor Invoice)\nRemove a specified Change Order Package from a Requisition (Subcontractor Invoice)","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_remove_change_order_package_delete/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_remove_change_order_package_delete/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `requisition_id` (integer()): Requisition (Subcontractor Invoice) ID\n- `commitment_id` (integer()): Commitment ID\n- `project_id` (integer()): Unique identifier for the project.\n- `change_order_package_id` (integer()): Change Order Package ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_remove_change_order_package_delete/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v10_requisitions_requisition_id_remove_change_order_package_delete/7","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v10_requisitions_requisition_id_remove_change_order_package_delete/7-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_get/4","doc":"List Requisitions (Subcontractor Invoices) for Project\nReturn a list of Requisitions (Subcontractor Invoices) on a specified project  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[commitment_id]\"` (integer()): Commitment ID. Returns item(s) with the specified Commitment ID.\n  - `:\"filters[period_id]\"` (integer()): Billing Period ID. Returns item(s) with the specified Billing Period ID.\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified Requisition (Subcontractor Invoice) status.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_get/4","doc":"- `{:ok, [%RestV11RequisitionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_delete/5","doc":"Delete Requisition (Subcontractor Invoice)\nDelete specified Requisition (Subcontractor Invoice)","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_get/5","doc":"Show Requisition (Subcontractor Invoice)\nReturn a Requisition (Subcontractor Invoice) on a specified Project","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Requisition (Subcontractor Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_get/5","doc":"- `{:ok, Procore.Model.RestV11RequisitionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_patch/5","doc":"Update Requisition (Subcontractor Invoice)\nUpdate a specified Requisition (Subcontractor Invoice). Users without admin permissions can only update a requisition (sub invoice) if it is the most recent and has a status of 'draft' or 'revise_and_resubmit'. Users with admin permissions can update a requisition (sub invoice) regardless of its status or whether it is the most recent. Requisition items are optional.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Requisition (Subcontractor Invoice) ID\n- `body20` (Body20): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_id_patch/5","doc":"- `{:ok, Procore.Model.RestV11RequisitionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_post/4","doc":"Create Requisition (Subcontractor Invoices) for Commitment\nCreate a new Requisition (Subcontractor Invoices) for the specified Commitment","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body19` (Body19): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response.","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.rest_v11_requisitions_post/4","doc":"- `{:ok, Procore.Model.RestV11RequisitionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsRequisitionsSubcontractorInvoices.html#rest_v11_requisitions_post/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_get/5","doc":"List Work Order Contract detail line items\nList Detail Line Items on a given Work Order Contract","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[line_item_id]\"` (integer()): Line Item ID. Returns item(s) with the specified Line Item ID or within a range of Line Item IDs.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_get/5","doc":"- `{:ok, [%RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_delete/6","doc":"Delete Work Order Contract detail line item\nDelete a Detail Line Item in a specific Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_get/6","doc":"Show Work Order Contract detail line item\nReturn a Detail Line Item in a specific Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_get/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_patch/6","doc":"Update Work Order Contract detail line item\nUpdate a Detail Line Item in a specific Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `id` (integer()): ID\n- `body4` (Body4): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_post/5","doc":"Create Work Order Contract detail line item\nCreates a Detail Line Item on a given Work Order Contract Line Item","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `body4` (Body4): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_post/5","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractDetailLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_item_contract_details_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsWorkOrderContractLineItems`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_get/5","doc":"List Work Order Contract Line Items\nReturn a list of all Line Items of a specified Work Order Contract in a specified Project.  Change Event Line Item information is only returned if a line item is associated to a change event line item and user can view change events.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[cost_code_id]\"` (String.t): Cost Code ID. Returns item(s) with the specified Cost Code ID or within the specified range of Cost Code IDs.\n  - `:\"filters[line_item_type_id]\"` (integer()): Line Item Type ID. Returns item(s) with the specified Line Item Type ID or range of Line Item Type IDs.\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response. 'default' view will be rendered by default if the parameter is not provided. For the 'ssov_source_lines' view lower permissions are acceptable. It's enough to be added to invoice contacts and contract accessors even if SOV line items are hidden from non-admins.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_get/5","doc":"- `{:ok, [%RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_delete/6","doc":"Delete Work Order Contract line item\nDelete a Line Item in a specific Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_get/6","doc":"Show Work Order Contract line item\nReturn a specific Line Item in a specified Work Order Contract.  Change Event Line Item information is only returned if a line item is associated to a change event line item and user can view change events.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response. 'default' view will be rendered by default if the parameter is not provided. For the 'ssov_source_lines' view lower permissions are acceptable. It's enough to be added to invoice contacts and contract accessors even if SOV line items are hidden from non-admins.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_get/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_patch/6","doc":"Update Work Order Contract line item\nUpdate a Line Item in a specific Work Order Contract. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `id` (integer()): ID\n- `body3` (Body3): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_id_patch/6","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_post/5","doc":"Create Work Order Contract line item\nCreate a new Line Item in a specified Work Order Contract. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `body3` (Body3): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_post/5","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_sync_patch/6","doc":"Sync Work Order Contract Line Items\nSync Work Order Contract Line Items. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_sync_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_sync_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `line_item_sync_body` (LineItemSyncBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_sync_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.rest_v10_work_order_contracts_work_order_contract_id_line_items_sync_patch/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractLineItems.html#rest_v10_work_order_contracts_work_order_contract_id_line_items_sync_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus.rest_v10_work_order_contracts_work_order_contract_id_subcontractor_schedule_of_values_status_patch/5","doc":"Update Work Order Contract Subcontractor SOV status\nUpdate the Subcontractor SOV status of a specific Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus.html#rest_v10_work_order_contracts_work_order_contract_id_subcontractor_schedule_of_values_status_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus.rest_v10_work_order_contracts_work_order_contract_id_subcontractor_schedule_of_values_status_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `work_order_contract_id` (integer()): Work Order Contract ID\n- `body2` (Body2): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus.html#rest_v10_work_order_contracts_work_order_contract_id_subcontractor_schedule_of_values_status_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus.rest_v10_work_order_contracts_work_order_contract_id_subcontractor_schedule_of_values_status_patch/5","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContractSubcontractorSOVStatus.html#rest_v10_work_order_contracts_work_order_contract_id_subcontractor_schedule_of_values_status_patch/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts","doc":"API calls for all endpoints tagged `ConstructionFinancialsCommitmentsWorkOrderContracts`.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_get/4","doc":"List work order contracts\nReturn a list of all Work Order Contracts of a specified Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies how much information to show for each work order contract. The compact view is returned by default.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified Work Order Contract status.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[include_deleted]\"` (String.t): Use 'only' for only deleted resources. Use 'with' for deleted and undeleted resources.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_get/4","doc":"- `{:ok, [%RestV10WorkOrderContractsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_delete/5","doc":"Delete work order contract\nDelete a specified Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_get/5","doc":"Show work order contract\nReturn a Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_get/5"},{"type":"function","title":"Special notes (Tiers)  The visibility of Change Order Packages, Potential Change Orders & Change Order Requests depends on the number of tiers defined in the Work Order Contract as follows:  1-tier: Change Order Packages  2-tier: Change Order Packages, Potential Change Orders  3-tier: Change Order Packages, Change Order Requests, Potential Change Orders - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_get/5","doc":"","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_get/5-special-notes-tiers-the-visibility-of-change-order-packages-potential-change-orders-change-order-requests-depends-on-the-number-of-tiers-defined-in-the-work-order-contract-as-follows-1-tier-change-order-packages-2-tier-change-order-packages-potential-change-orders-3-tier-change-order-packages-change-order-requests-potential-change-orders"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_get/5","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_patch/5","doc":"Update work order contract\nUpdate a specified Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `body` (Body): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_post/4","doc":"Create work order contract\nCreate a Work Order Contract.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body` (Body): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_post/4","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_sync_patch/4","doc":"Sync work order contracts\nThis endpoint creates or updates a batch of Work Order Contracts. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body1` (Body1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.rest_v10_work_order_contracts_sync_patch/4","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsCommitmentsWorkOrderContracts.html#rest_v10_work_order_contracts_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration","doc":"API calls for all endpoints tagged `ConstructionFinancialsContractsInvoiceConfiguration`.","ref":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_get/5","doc":"Get Contract's Invoice Configuration\nGet the details of a specific Contract's Invoice Configuration","ref":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.html#rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): ID of the Contract\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.html#rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.html#rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_patch/6","doc":"Update Contract's Invoice Configuration\nUpdate a specific Contract's Invoice Configuration","ref":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.html#rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `contract_id` (integer()): ID of the Contract\n- `rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_patch_request` (RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.html#rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsContractsInvoiceConfiguration.html#rest_v10_projects_project_id_contracts_contract_id_invoice_configuration_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts","doc":"API calls for all endpoints tagged `ConstructionFinancialsDirectCostDirectCosts`.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_get/5","doc":"List Direct Cost Line Items\nReturn a list of all Direct Cost Line Items.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `direct_cost_id` (integer()): ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[cost_code_id]\"` (String.t): Cost Code ID. Returns item(s) with the specified Cost Code ID or within the specified range of Cost Code IDs.\n  - `:\"filters[line_item_type_id]\"` (integer()): Line Item Type ID. Returns item(s) with the specified Line Item Type ID or range of Line Item Type IDs.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_delete/6","doc":"Delete a Direct Cost Line Item\nDelete a specified Direct Cost Line Item.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `direct_cost_id` (integer()): ID\n- `id` (integer()): Direct Cost Line Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_get/6","doc":"Show Direct Cost Line Item\nReturns detailed information on a Direct Cost Line Item.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `direct_cost_id` (integer()): ID\n- `id` (integer()): Direct Cost Line Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_patch/7","doc":"Update Direct Cost Line Item\nUpdate a Direct Cost Line Item. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `direct_cost_id` (integer()): ID\n- `id` (integer()): Direct Cost Line Item ID\n- `body89` (Body89): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_post/6","doc":"Create Direct Cost Line Item\nCreate a new Direct Cost Line Item. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_post/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `direct_cost_id` (integer()): ID\n- `body89` (Body89): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_post/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_direct_cost_id_line_items_post/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_get/4","doc":"List Direct Cost Items\nReturns a list of all Direct Cost Items for a Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.  Note: In addition to the values documented below for the **direct_cost_type** attribute, an enum value of `subcontractor_invoice` is also allowed. To enable this feature in the Procore web application, contact [apisupport@procore.com](mailto:apisupport@procore.com).","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[invoice_number]\"` (String.t): Returns item(s) with the specified Invoice Number.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[payment_date]\"` (String.t): Returns item(s) with a payment date within the specified ISO 8601 datetime range.\n  - `:\"filters[received_date]\"` (String.t): Returns item(s) with a received date within the specified ISO 8601 datetime range.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdDirectCostsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_delete/5","doc":"Delete Direct Cost Item\nDelete a specific Direct Cost Item and its Line Items.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_delete/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDirectCostsIdDelete200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_get/5","doc":"Show Direct Cost Item\nShow detail on specified Direct Cost Item.  Note: In addition to the values documented below for the **direct_cost_type** attribute, an enum value of `subcontractor_invoice` is also allowed. To enable this feature in the Procore web application, contact [apisupport@procore.com](mailto:apisupport@procore.com).","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_patch/6","doc":"Update Direct Cost Item\nUpdate a specific Direct Cost Item.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `body92` (Body92): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_line_items_sync_patch/5","doc":"Sync Direct Cost Line Items\nThis endpoint creates or updates a batch of Direct Cost Line Items. For this endpoint either wbs_code_id or cost_code_id and line_item_type_id are required when creating a line item. If both wbs_code_id and cost_code_id are provided, the endpoint will use wbs_code_id. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_line_items_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_line_items_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `direct_cost_line_item_sync_body` (DirectCostLineItemSyncBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_line_items_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_line_items_sync_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfDirectCostLineItems.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_line_items_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_post/5","doc":"Create Direct Cost Item\nCreate a new Direct Cost Item in the specified Project.  Note: In addition to the values documented below for the **direct_cost_type** attribute, an enum value of `subcontractor_invoice` is also allowed. To enable this feature in the Procore web application, contact [apisupport@procore.com](mailto:apisupport@procore.com).","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body90` (Body90): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_sync_patch/5","doc":"Sync Direct Cost Items\nThis endpoint creates or updates a batch of Direct Cost Items. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Note: In addition to the values documented below for the **direct_cost_type** attribute, an enum value of `subcontractor_invoice` is also allowed. To enable this feature in the Procore web application, contact [apisupport@procore.com](mailto:apisupport@procore.com).","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body91` (Body91): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v10_projects_project_id_direct_costs_sync_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfDirectCostItems.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v10_projects_project_id_direct_costs_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_get/4","doc":"List Direct Cost Items\nReturns a list of all Direct Cost Items for a Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[invoice_number]\"` (String.t): Returns item(s) with the specified Invoice Number.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[payment_date]\"` (String.t): Returns item(s) with a payment date within the specified ISO 8601 datetime range.\n  - `:\"filters[received_date]\"` (String.t): Returns item(s) with a received date within the specified ISO 8601 datetime range.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdDirectCostsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_delete/5","doc":"Delete Direct Cost Item\nDelete a specific Direct Cost Item and its Line Items.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_delete/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDirectCostsIdDelete200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_get/5","doc":"Show Direct Cost Item\nShow detail on specified Direct Cost Item.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_patch/6","doc":"Update Direct Cost Item\nUpdate a specific Direct Cost Item. The number of Line Items that can be sent in a single update request is limited to 100.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `body88` (Body88): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_post/5","doc":"Create Direct Cost Item\nCreate a new Direct Cost Item in the specified Project. The number of Line Items that can be sent in a single create request is limited to 100.","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body87` (Body87): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsDirectCostDirectCosts.rest_v11_projects_project_id_direct_costs_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsDirectCostDirectCosts.html#rest_v11_projects_project_id_direct_costs_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsInvoicingInvoicingAsyncJobs","doc":"API calls for all endpoints tagged `ConstructionFinancialsInvoicingInvoicingAsyncJobs`.","ref":"Procore.Api.ConstructionFinancialsInvoicingInvoicingAsyncJobs.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsInvoicingInvoicingAsyncJobs.rest_v10_companies_company_id_invoices_async_jobs_uuid_get/5","doc":"Show an Async Job for a Company\nReturn detailed information about a specified Async Job.","ref":"Procore.Api.ConstructionFinancialsInvoicingInvoicingAsyncJobs.html#rest_v10_companies_company_id_invoices_async_jobs_uuid_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsInvoicingInvoicingAsyncJobs.rest_v10_companies_company_id_invoices_async_jobs_uuid_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `uuid` (String.t): UUID of the Async Job\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsInvoicingInvoicingAsyncJobs.html#rest_v10_companies_company_id_invoices_async_jobs_uuid_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsInvoicingInvoicingAsyncJobs.rest_v10_companies_company_id_invoices_async_jobs_uuid_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsInvoicingInvoicingAsyncJobs.html#rest_v10_companies_company_id_invoices_async_jobs_uuid_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems`.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems.rest_v10_prime_contracts_prime_contract_id_payment_application_line_items_id_patch/6","doc":"Update Payment Application (Owner Invoice) Line Item for Prime Contract\nUpdate a Payment Application (Owner Invoice) Line Item on a specified Prime Contract Payment Application (Owner Invoice)","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems.html#rest_v10_prime_contracts_prime_contract_id_payment_application_line_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems.rest_v10_prime_contracts_prime_contract_id_payment_application_line_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `id` (integer()): Payment Application (Owner Invoice) Line item ID\n- `body49` (Body49): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems.html#rest_v10_prime_contracts_prime_contract_id_payment_application_line_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems.rest_v10_prime_contracts_prime_contract_id_payment_application_line_items_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationLineItemsIdPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceLineItems.html#rest_v10_prime_contracts_prime_contract_id_payment_application_line_items_id_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems`.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems.rest_v10_prime_contracts_prime_contract_id_payment_application_markup_line_items_id_patch/6","doc":"Update Payment Application (Owner Invoice) Markup Line item for Prime Contract\nUpdate a Payment Application (Owner Invoice) Markup Line item on a specified Prime Contract Payment Application (Owner Invoice)","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems.html#rest_v10_prime_contracts_prime_contract_id_payment_application_markup_line_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems.rest_v10_prime_contracts_prime_contract_id_payment_application_markup_line_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `id` (integer()): Payment Application (Owner Invoice) Markup Line item ID\n- `body48` (Body48): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems.html#rest_v10_prime_contracts_prime_contract_id_payment_application_markup_line_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems.rest_v10_prime_contracts_prime_contract_id_payment_application_markup_line_items_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationMarkupLineItemsIdPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationOwnerInvoiceMarkupLineItems.html#rest_v10_prime_contracts_prime_contract_id_payment_application_markup_line_items_id_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices","doc":"API calls for all endpoints tagged `ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices`.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_get/4","doc":"List Payment Applications (Owner Invoices) for a Project\nReturn a list of all Payment Applications (Owner Invoices) on a specified Project  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_get/4","doc":"- `{:ok, [%RestV10PaymentApplicationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_id_delete/5","doc":"Delete a Payment Application (Owner Invoice)\nDelete a Payment Application (Owner Invoice) based on its id","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Payment Application (Owner Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_id_get/5","doc":"Show Payment Application (Owner Invoice)\nReturn a Payment Application (Owner Invoice)","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Payment Application (Owner Invoice) ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_payment_applications_id_get/5","doc":"- `{:ok, Procore.Model.RestV10PaymentApplicationsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_payment_applications_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_get/5","doc":"List Payment Applications (Owner Invoices) for Prime Contract\nReturn a list of all Payment Applications (Owner Invoices) on a specified Prime Contract  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_get/5","doc":"- `{:ok, [%RestV10PrimeContractsPrimeContractIdPaymentApplicationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_id_patch/6","doc":"Update Payment Application (Owner Invoice) for Prime Contract\nUpdate a Payment Application (Owner Invoice) on a specified Prime Contract.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `id` (integer()): Payment Application (Owner Invoice) ID\n- `body47` (Body47): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_post/5","doc":"Create Payment Application (Owner Invoice) for Prime Contract\nCreate a Payment Application (Owner Invoice) on a specified Prime Contract","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `body46` (Body46): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.rest_v10_prime_contracts_prime_contract_id_payment_applications_post/5","doc":"- `{:ok, Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPaymentApplicationsOwnerInvoices.html#rest_v10_prime_contracts_prime_contract_id_payment_applications_post/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsPrimeContractPrimeContractLineItems`.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_get/5","doc":"List Prime Contract line items\nReturn a list of all Line Items for the Prime Contract.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[cost_code_id]\"` (String.t): Cost Code ID. Returns item(s) with the specified Cost Code ID or within the specified range of Cost Code IDs.\n  - `:\"filters[line_item_type_id]\"` (integer()): Line Item Type ID. Returns item(s) with the specified Line Item Type ID or range of Line Item Type IDs.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_get/5","doc":"- `{:ok, [%Default{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_delete/6","doc":"Delete a Prime Contract line item\nDelete a Line Item from the Prime Contract.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `id` (integer()): Line Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_get/6","doc":"Show Prime Contract line item\nReturn a specific Line Item from the Prime Contract.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `id` (integer()): Line Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_get/6","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_patch/7","doc":"Update Prime Contract line item\nUpdate a Line Item from the Prime Contract. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `id` (integer()): Line Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `body3` (Body3): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_id_patch/7","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_post/6","doc":"Create Prime Contract line item\nCreate a new Line Item for the Prime Contract. Note: A budget line item will automatically be created for Non-budgeted line items for all new projects and for projects enabled with Non-Budgeted line item beta functionality","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_post/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `body3` (Body3): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_post/6","doc":"- `{:ok, Procore.Model.Default.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_post/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_sync_patch/6","doc":"Sync Prime Contract Line Items\nSync Prime Contract Line Items.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_sync_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_sync_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `prime_contract_id` (integer()): Prime Contract ID\n- `project_id` (integer()): Unique identifier for the project.\n- `line_item_sync_body1` (LineItemSyncBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_sync_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.rest_v10_prime_contracts_prime_contract_id_line_items_sync_patch/6","doc":"- `{:ok, Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContractLineItems.html#rest_v10_prime_contracts_prime_contract_id_line_items_sync_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts","doc":"API calls for all endpoints tagged `ConstructionFinancialsPrimeContractPrimeContracts`.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_get/4","doc":"Show First Prime Contract\nReturns the first Prime Contract created for the specified Project. Use the `/prime_contracts` endpoint if you need to return more than one Prime Contract.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_get/4","doc":"- `{:ok, Procore.Model.RestV10PrimeContractGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_delete/5","doc":"Delete Prime Contract\nDelete the specified Prime Contract.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Prime Contract\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_get/5","doc":"Show Prime Contract\nShow the details of a Project's Prime Contract.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Prime Contract\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_get/5","doc":"- `{:ok, Procore.Model.RestV10PrimeContractGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_patch/5","doc":"Update Prime Contract\nUpdate the specified Prime Contract.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Prime Contract\n- `body44` (Body44): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10PrimeContractGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_post/4","doc":"Create Prime Contract\nCreate a new Prime Contract.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_post/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body44` (Body44): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contract_post/4","doc":"- `{:ok, Procore.Model.RestV10PrimeContractGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contract_post/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contracts_get/4","doc":"List all Prime Contracts\nReturns all Prime Contracts for the specified Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contracts_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contracts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contracts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.rest_v10_prime_contracts_get/4","doc":"- `{:ok, [%RestV10PrimeContractsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsPrimeContractPrimeContracts.html#rest_v10_prime_contracts_get/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsTaxTaxCodes","doc":"API calls for all endpoints tagged `ConstructionFinancialsTaxTaxCodes`.","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_get/4","doc":"List Tax Codes\nReturn a list of all Tax Codes for a given Company  When tax suport is enabled in Procore you can associate line items with a specific Tax Code. The Tax Code (sometimes known as a Tax Group) determines the tax rate to be applied to the line item for each Tax Type defined in Procore (Note that presently Procore only supports a single Tax Type per company).  You may define as many Tax Codes as required. Through the web interface, a Procore admin user may identify one of these tax codes as the default value to be shown when creating new line items.","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_get/4","doc":"- `{:ok, [%RestV10TaxCodesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_id_get/5","doc":"Show Tax Code\nShow detailed information for a specific Tax Code","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (String.t): The Tax Code ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_id_get/5","doc":"- `{:ok, Procore.Model.RestV10TaxCodesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_id_patch/6","doc":"Update Tax Code\nUpdate a Tax Code's attributes","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (String.t): The Tax Code ID\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_tax_codes_id_patch_request` (RestV10TaxCodesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10TaxCodesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_post/5","doc":"Create Tax Code\nCreates a Tax Code for a given Company","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_tax_codes_post_request` (RestV10TaxCodesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_post/5","doc":"- `{:ok, Procore.Model.RestV10TaxCodesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_sync_patch/4","doc":"Sync Tax Codes\nThis endpoint creates or updates a batch of Tax Codes","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body13` (Body13): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxCodes.rest_v10_tax_codes_sync_patch/4","doc":"- `{:ok, Procore.Model.RestV10TaxCodesSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxCodes.html#rest_v10_tax_codes_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsTaxTaxTypes","doc":"API calls for all endpoints tagged `ConstructionFinancialsTaxTaxTypes`.","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_get/4","doc":"List Tax Types\nReturn a list of all Tax Types for a given Company  A Tax Type represents a \"value added tax\" or \"goods and services tax\" which needs to be accounted for on a commitment or an invoice generated by Procore. In many places there will just be a single tax to deal with, for example in Australia it will be GST, in the UK it will be VAT. Other countries may require that multiple taxes are displayed, for example in Canada an invoice may be required to include both GST and PST.  Procore currently only supports the definition of one tax type per company.  Tax support can be enabled at the company level by an admin user though the web interface. Once enabled at the company level, tax support can also be enabled or disabled at the project level. When tax support is enabled at the company level, it is disabled for existing projects, but by default will be enabled for new projects. An admin user can change these settings through the web interface.","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_get/4","doc":"- `{:ok, [%RestV10TaxTypesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_delete/5","doc":"Delete Tax Type\nDelete a Tax Type","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (String.t): The Tax Type ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_get/5","doc":"Show Tax Type\nShow detailed information for a specific Tax Type","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (String.t): The Tax Type ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_get/5","doc":"- `{:ok, Procore.Model.RestV10TaxTypesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_patch/6","doc":"Update Tax Type\nUpdate a Tax Type's attributes","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (String.t): The Tax Type ID\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_tax_types_id_patch_request` (RestV10TaxTypesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10TaxTypesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_post/5","doc":"Create Tax Type\nCreates a Tax Type on a given Company","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_tax_types_post_request` (RestV10TaxTypesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_post/5","doc":"- `{:ok, Procore.Model.RestV10TaxTypesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_sync_patch/4","doc":"Sync Tax Types\nThis endpoint creates or updates a batch of Tax Types","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body12` (Body12): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsTaxTaxTypes.rest_v10_tax_types_sync_patch/4","doc":"- `{:ok, Procore.Model.RestV10TaxTypesSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsTaxTaxTypes.html#rest_v10_tax_types_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories","doc":"API calls for all endpoints tagged `ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories`.","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories.rest_v10_companies_company_id_uom_categories_get/4","doc":"List Unit of Measure Categories\nReturns a list of all Unit of Measure (UOM) Categories.","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories.html#rest_v10_companies_company_id_uom_categories_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories.rest_v10_companies_company_id_uom_categories_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories.html#rest_v10_companies_company_id_uom_categories_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories.rest_v10_companies_company_id_uom_categories_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdUomCategoriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitOfMeasureCategories.html#rest_v10_companies_company_id_uom_categories_get/4-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure","doc":"API calls for all endpoints tagged `ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure`.","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_get/4","doc":"List Units of Measure\nReturn a list of all Units of Measure (UOM)","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdUomsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_delete/5","doc":"Delete Unit of Measure\nDelete a Unit of Measure (UOM)","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Unit of Measure ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_get/5","doc":"Show Unit of Measure\nShow a given Unit of Measure (UOM)","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Unit of Measure ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_patch/6","doc":"Update Unit of Measure\nUpdate Unit of Measure (UOM) attributes","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Unit of Measure ID\n- `body7` (Body7): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_post/5","doc":"Create Unit of Measure\nCreate a new Unit of Measure (UOM)","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body7` (Body7): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_sync_patch/5","doc":"Sync Units of Measure\nThis endpoint creates or updates a batch of Units of Measure. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body8` (Body8): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.rest_v10_companies_company_id_uoms_sync_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfUnitsOfMeasure.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsUnitsOfMeasureUnitsOfMeasure.html#rest_v10_companies_company_id_uoms_sync_patch/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes","doc":"API calls for all endpoints tagged `ConstructionFinancialsWorkBreakdownStructureCodes`.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_bulk_create_patch/5","doc":"Bulk Create WBS codes\nBulk Create WBS codes using the specified segments. If the combination of segments matches an existing WBS Code, the existing code will be updated with the description provided.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_bulk_create_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_bulk_create_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `wbs_code_bulk_create` (WbsCodeBulkCreate): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_bulk_create_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_bulk_create_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesBulkCreatePatch201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_bulk_create_patch/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_get/4","doc":"List Project WBS codes\nAll Work Breakdown Structure codes for a given project","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:can_select_divisions` (boolean()): If true, will include WBS Codes with division segment items. Default is true.\n  - `:\"filters[status][]\"` ([String.t]): Filter results to only return codes with the included statuses. Options are 'active' or 'inactive'. Defaults to returning all results.\n  - `:\"filters[updated_at]\"` (String.t): Filter results to only return codes that were updated within the range of the two specified ISO 8601 timestamps separated by the ... delimiter.\n  - `:scope` (String.t): Filter results to only return codes that match the specified WBS scope.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_id_patch/6","doc":"Update a WBS code\nUpdate a WBS Code with new custom description or status.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): WBS Code ID\n- `rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_id_patch_request` (RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_post/5","doc":"Create a WBS Code\nCreate a new WBS code using the specified segments.  If the combination of segments matches an existing WBS Code, the existing code will be updated with the description provided.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_post_request` (RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_update_all_patch/5","doc":"Bulk update WBS codes\nBulk update WBS Codes with the same status.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_update_all_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_update_all_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_update_all_patch_request` (RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_update_all_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_update_all_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureCodes.html#rest_v10_projects_project_id_work_breakdown_structure_wbs_codes_update_all_patch/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns","doc":"API calls for all endpoints tagged `ConstructionFinancialsWorkBreakdownStructurePatterns`.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_companies_company_id_work_breakdown_structure_patterns_get/4","doc":"List Company WBS Patterns\nAll patterns for a given company","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_companies_company_id_work_breakdown_structure_patterns_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_companies_company_id_work_breakdown_structure_patterns_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_companies_company_id_work_breakdown_structure_patterns_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_companies_company_id_work_breakdown_structure_patterns_get/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_companies_company_id_work_breakdown_structure_patterns_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_companies_company_id_work_breakdown_structure_patterns_update_segment_order_put/5","doc":"Update Company Pattern's Segment Order\nUpdates the segment order on a company pattern","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_companies_company_id_work_breakdown_structure_patterns_update_segment_order_put/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_companies_company_id_work_breakdown_structure_patterns_update_segment_order_put/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `update_segment_order_body` (UpdateSegmentOrderBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_companies_company_id_work_breakdown_structure_patterns_update_segment_order_put/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_companies_company_id_work_breakdown_structure_patterns_update_segment_order_put/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_companies_company_id_work_breakdown_structure_patterns_update_segment_order_put/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_add_segment_put/5","doc":"Add segment to the project pattern\nAdd segment to the project pattern","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_add_segment_put/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_add_segment_put/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_work_breakdown_structure_patterns_add_segment_put_request` (RestV10ProjectsProjectIdWorkBreakdownStructurePatternsAddSegmentPutRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_add_segment_put/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_add_segment_put/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_add_segment_put/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_get/4","doc":"List Project WBS Patterns\nAll patterns for a given project","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_remove_segment_put/5","doc":"Remove segment from the project pattern\nRemove segment from the project pattern","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_remove_segment_put/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_remove_segment_put/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_work_breakdown_structure_patterns_add_segment_put_request` (RestV10ProjectsProjectIdWorkBreakdownStructurePatternsAddSegmentPutRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_remove_segment_put/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_remove_segment_put/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_remove_segment_put/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_update_segment_order_put/5","doc":"Update Project Pattern's Segment Order\nUpdates the segment order on a project pattern","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_update_segment_order_put/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_update_segment_order_put/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `update_segment_order_body` (UpdateSegmentOrderBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_update_segment_order_put/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.rest_v10_projects_project_id_work_breakdown_structure_patterns_update_segment_order_put/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructurePatterns.html#rest_v10_projects_project_id_work_breakdown_structure_patterns_update_segment_order_put/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItemLists","doc":"API calls for all endpoints tagged `ConstructionFinancialsWorkBreakdownStructureSegmentItemLists`.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItemLists.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItemLists.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_lists_get/5","doc":"List Company WBS Segment Item Lists\nList Segment Item Lists for a specific segment","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItemLists.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_lists_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItemLists.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_lists_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `segment_id` (integer()): Segment ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItemLists.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_lists_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItemLists.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_lists_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdListsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItemLists.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_lists_get/5-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems","doc":"API calls for all endpoints tagged `ConstructionFinancialsWorkBreakdownStructureSegmentItems`.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6","doc":"Bulk Delete Company Segment Items\nBulk Delete Company Segment Items","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `segment_id` (integer()): Segment ID\n- `rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete_request` (RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_get/5","doc":"List Company Segment Items\nList Segment Items for a specific segment","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `segment_id` (integer()): Segment ID\n- `opts` (keyword): Optional parameters\n  - `:segment_item_list_id` (integer()): Used to filter legacy segment items by list. Required for Cost Codes.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6","doc":"Delete Company Segment Item\nDelete a specific Company Segment Item.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `segment_id` (integer()): Segment ID\n- `id` (integer()): Segment Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_get/6","doc":"Show Company Segment Item\nReturn details on a specific Company Segment Item.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `segment_id` (integer()): Segment ID\n- `id` (integer()): Segment Item ID\n- `opts` (keyword): Optional parameters\n  - `:standard_cost_code_list_id` (integer()): Standard Cost Code List ID (required for cost codes only)","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_get/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_get/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7","doc":"Update Company Segment Item\nUpdate a specific Company Segment Item.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `segment_id` (integer()): Segment ID\n- `id` (integer()): Segment Item ID\n- `rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch_request` (RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:standard_cost_code_list_id` (integer()): Standard Cost Code List ID (required for cost codes only)","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_post/6","doc":"Create Company Segment Item\nCreate a Company Segment Item.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_post/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `segment_id` (integer()): Segment ID\n- `rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_post_request` (RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_post/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_post/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6","doc":"Update All Company Segment Items\nUpdate All Segment Items with the same attributes. The endpoint currently handles updating status (deactivating or reactivating) for segment items and their children.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `segment_id` (integer()): Segment ID\n- `rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch_request` (RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6","doc":"Bulk Delete Project Segment Items\nBulk Delete Project Segment Items","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `segment_id` (integer()): Segment ID\n- `rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete_request` (RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_bulk_destroy_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_get/5","doc":"List Project Segment Items\nList Segment Items for a specific segment","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `segment_id` (integer()): Segment ID\n- `opts` (keyword): Optional parameters\n  - `:legacy_sub_job_id` (integer()): Used to filter legacy cost codes by sub job. Default will filter by project.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6","doc":"Delete Project Segment Item\nDelete a specific Project Segment Item.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `segment_id` (integer()): Segment ID\n- `id` (integer()): Segment Item ID\n- `opts` (keyword): Optional parameters\n  - `:sub_job_id` (integer()): Sub Job ID (required for a sub job's cost codes only)","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7","doc":"Update Project Segment Item\nUpdate a specific Project Segment Item. The ID of the record is subject to change under certain conditions, please store the response accordingly.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `segment_id` (integer()): Segment ID\n- `id` (integer()): Segment Item ID\n- `rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch_request` (RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_post/6","doc":"Create Project Segment Item\nCreate a Project Segment Item","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_post/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `segment_id` (integer()): Segment ID\n- `rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_post_request` (RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_post/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_post/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6","doc":"Update All Project Segment Items\nUpdate All Segment Items with the same attributes. The endpoint currently handles updating status (deactivating or reactivating) for segment items and their children.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `segment_id` (integer()): Segment ID\n- `rest_v10_companies_company_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch_request` (RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegmentItems.html#rest_v10_projects_project_id_work_breakdown_structure_segments_segment_id_segment_items_update_all_patch/6-returns"},{"type":"module","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments","doc":"API calls for all endpoints tagged `ConstructionFinancialsWorkBreakdownStructureSegments`.","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_get/4","doc":"List Company WBS Segments\nAll Segments for a given company","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_delete/5","doc":"Delete WBS Segment\nDelete WBS Segment","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters\n  - `:segment_item_list_id` (integer()): Segment Item List ID","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_get/5","doc":"Show Company WBS Segment\nShow a company level segment","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters\n  - `:segment_item_list_id` (integer()): Segment Item List ID","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_get/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_patch/6","doc":"Update Company WBS Segment\nUpdate company level WBS Segment","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `rest_v10_companies_company_id_work_breakdown_structure_segments_id_patch_request` (RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:segment_item_list_id` (integer()): Segment Item List ID","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_id_patch/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_post/5","doc":"Create a Company WBS Segment\nCreate a new company level WBS Segment","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_post/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_work_breakdown_structure_segments_post_request` (RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_companies_company_id_work_breakdown_structure_segments_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_companies_company_id_work_breakdown_structure_segments_post/5-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_projects_project_id_work_breakdown_structure_segments_get/4","doc":"List Project WBS Segments\nAll Segments for a given project","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_projects_project_id_work_breakdown_structure_segments_get/4"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_projects_project_id_work_breakdown_structure_segments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_projects_project_id_work_breakdown_structure_segments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_projects_project_id_work_breakdown_structure_segments_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_projects_project_id_work_breakdown_structure_segments_get/4-returns"},{"type":"function","title":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_projects_project_id_work_breakdown_structure_segments_id_get/5","doc":"Show Project WBS Segment\nShow a project level segment","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_projects_project_id_work_breakdown_structure_segments_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_projects_project_id_work_breakdown_structure_segments_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters\n  - `:legacy_sub_job_id` (integer()): Legacy Sub_Job ID","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_projects_project_id_work_breakdown_structure_segments_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.rest_v10_projects_project_id_work_breakdown_structure_segments_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ConstructionFinancialsWorkBreakdownStructureSegments.html#rest_v10_projects_project_id_work_breakdown_structure_segments_id_get/5-returns"},{"type":"module","title":"Procore.Api.CoreAppInstallationsAppConfigurations","doc":"API calls for all endpoints tagged `CoreAppInstallationsAppConfigurations`.","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_get/4","doc":"List app configurations\nReturns a list of app configurations on a given company or project","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[app_installation_id]\"` (integer()): App installation ID\n  - `:\"filters[project_id]\"` (integer()): Project ID","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_get/4-returns"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_delete/5","doc":"Delete app configuration\nDeletes an app configuration","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): App Configuration ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_get/5","doc":"Show app configuration\nGet the details of a single app configuration","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): App Configuration ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_patch/6","doc":"Update app configuration\nChange the configuration of an existing app configuration","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): App Configuration ID\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_app_configurations_id_patch_request` (RestV10CompaniesCompanyIdAppConfigurationsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_post/5","doc":"Create app configuration\nCreate new app configuration for a specified project","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_app_configurations_post_request` (RestV10CompaniesCompanyIdAppConfigurationsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppConfigurations.rest_v10_companies_company_id_app_configurations_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppConfigurations.html#rest_v10_companies_company_id_app_configurations_post/5-returns"},{"type":"module","title":"Procore.Api.CoreAppInstallationsAppInstallations","doc":"API calls for all endpoints tagged `CoreAppInstallationsAppInstallations`.","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_get/5","doc":"List app installations\nReturns a list of app installations on a given company or project","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_get/5","doc":"- `{:ok, [%RestV10AppInstallationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_get/5-returns"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_id_get/6","doc":"Show app installation\nGet the details of a single app installation","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): App installation ID\n- `company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_id_get/6","doc":"- `{:ok, Procore.Model.RestV10AppInstallationsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_id_get/6-returns"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_id_patch/5","doc":"Update app installation\nUpdate the status of an application between installed or uninstalled","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): App installation ID\n- `rest_v10_app_installations_id_patch_request` (RestV10AppInstallationsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10AppInstallationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_post/4","doc":"Create app installation\nInstall a new application","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body139` (Body139): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsAppInstallations.rest_v10_app_installations_post/4","doc":"- `{:ok, Procore.Model.RestV10AppInstallationsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsAppInstallations.html#rest_v10_app_installations_post/4-returns"},{"type":"module","title":"Procore.Api.CoreAppInstallationsInstallationRequests","doc":"API calls for all endpoints tagged `CoreAppInstallationsInstallationRequests`.","ref":"Procore.Api.CoreAppInstallationsInstallationRequests.html"},{"type":"function","title":"Procore.Api.CoreAppInstallationsInstallationRequests.rest_v10_installation_requests_get/6","doc":"List app installations\nReturns a list of app installation requests on a given company","ref":"Procore.Api.CoreAppInstallationsInstallationRequests.html#rest_v10_installation_requests_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsInstallationRequests.rest_v10_installation_requests_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `developer_app_id` (String.t): Developer App ID\n- `implicit` (boolean()): False if the request was made via API, true if it was made on attempting to authenticate an app \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreAppInstallationsInstallationRequests.html#rest_v10_installation_requests_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsInstallationRequests.rest_v10_installation_requests_get/6","doc":"- `{:ok, [%RestV10InstallationRequestsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsInstallationRequests.html#rest_v10_installation_requests_get/6-returns"},{"type":"function","title":"Procore.Api.CoreAppInstallationsInstallationRequests.rest_v10_installation_requests_post/4","doc":"Create installation request\nRequest to install a new application","ref":"Procore.Api.CoreAppInstallationsInstallationRequests.html#rest_v10_installation_requests_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreAppInstallationsInstallationRequests.rest_v10_installation_requests_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body73` (Body73): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreAppInstallationsInstallationRequests.html#rest_v10_installation_requests_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreAppInstallationsInstallationRequests.rest_v10_installation_requests_post/4","doc":"- `{:ok, Procore.Model.RestV10InstallationRequestsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreAppInstallationsInstallationRequests.html#rest_v10_installation_requests_post/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyCompanies","doc":"API calls for all endpoints tagged `CoreCompanyCompanies`.","ref":"Procore.Api.CoreCompanyCompanies.html"},{"type":"function","title":"Procore.Api.CoreCompanyCompanies.rest_v10_companies_get/2","doc":"List Companies\nReturn a list of Companies visible to the User.  NOTE: This endpoint does not require the ['Procore-Company-Id' header] (https://developers.procore.com/documentation/tutorial-mpz) to be included on a request.","ref":"Procore.Api.CoreCompanyCompanies.html#rest_v10_companies_get/2"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanies.rest_v10_companies_get/2","doc":"- `connection` (Procore.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:include_free_companies` (boolean()): By default the endpoint excludes free companies. Provide include_free_companies=true to include them","ref":"Procore.Api.CoreCompanyCompanies.html#rest_v10_companies_get/2-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanies.rest_v10_companies_get/2","doc":"- `{:ok, [%Company{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanies.html#rest_v10_companies_get/2-returns"},{"type":"module","title":"Procore.Api.CoreCompanyCompanyConfigurations","doc":"API calls for all endpoints tagged `CoreCompanyCompanyConfigurations`.","ref":"Procore.Api.CoreCompanyCompanyConfigurations.html"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyConfigurations.rest_v10_company_configuration_get/4","doc":"Show Company Configuration\nReturns company configuration.","ref":"Procore.Api.CoreCompanyCompanyConfigurations.html#rest_v10_company_configuration_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyConfigurations.rest_v10_company_configuration_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyCompanyConfigurations.html#rest_v10_company_configuration_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyConfigurations.rest_v10_company_configuration_get/4","doc":"- `{:ok, Procore.Model.RestV10CompanyConfigurationGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyConfigurations.html#rest_v10_company_configuration_get/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyCompanyOffices","doc":"API calls for all endpoints tagged `CoreCompanyCompanyOffices`.","ref":"Procore.Api.CoreCompanyCompanyOffices.html"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_get/4","doc":"List company offices\nReturns a collection of Offices associated to a Company","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The view determines which fields are returned. 'normal' returns id, address, city, country_code, division, fax, logo, name, phone, state_code, and zip.  'extended' additionally returns main_office.","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_get/4","doc":"- `{:ok, [%Office1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_delete/5","doc":"Delete a company office\nDeletes an Office associated to a Company.","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the office\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_get/5","doc":"Show company office\nReturns information about an Office associated to a Company.","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the office\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Response schema to use","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_get/5","doc":"- `{:ok, Procore.Model.Office1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_patch/5","doc":"Update company office\nUpdates an Office associated to a Company.  #### Uploading logo To upload an office logo you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `office[logo]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the office\n- `body105` (Body105): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_id_patch/5","doc":"- `{:ok, Procore.Model.Office1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_post/4","doc":"Create company office\nCreates an Office associated to a Company.  #### Uploading logo To upload an office logo you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `office[logo]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body105` (Body105): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyOffices.rest_v10_offices_post/4","doc":"- `{:ok, Procore.Model.Office1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyOffices.html#rest_v10_offices_post/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyCompanyProjects","doc":"API calls for all endpoints tagged `CoreCompanyCompanyProjects`.","ref":"Procore.Api.CoreCompanyCompanyProjects.html"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyProjects.rest_v10_companies_company_id_projects_get/4","doc":"List company's projects\nReturns a list of Projects associated with a specified Company.","ref":"Procore.Api.CoreCompanyCompanyProjects.html#rest_v10_companies_company_id_projects_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyProjects.rest_v10_companies_company_id_projects_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyCompanyProjects.html#rest_v10_companies_company_id_projects_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyProjects.rest_v10_companies_company_id_projects_get/4","doc":"- `{:ok, [%Project6{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyProjects.html#rest_v10_companies_company_id_projects_get/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyCompanySchedule","doc":"API calls for all endpoints tagged `CoreCompanyCompanySchedule`.","ref":"Procore.Api.CoreCompanyCompanySchedule.html"},{"type":"function","title":"Procore.Api.CoreCompanyCompanySchedule.rest_v10_companies_company_id_schedule_summary_get/6","doc":"Return company schedule summary\nReturns a list of the number of tasks and calendar items per project for each day in the specified date range. Tasks and calendar items whose start - finish overlap with the specified date range are included in the sums.","ref":"Procore.Api.CoreCompanyCompanySchedule.html#rest_v10_companies_company_id_schedule_summary_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanySchedule.rest_v10_companies_company_id_schedule_summary_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `after_var` (String.t): Beginning of date range to filter by.\n- `before` (String.t): End of date range to filter by\n- `opts` (keyword): Optional parameters\n  - `:limit_per_day` (integer()): Number of results to return per day\n  - `:project_ids` ([integer()]): Filter by project IDs\n  - `:project_stage_ids` ([integer()]): Filter by project stage IDs\n  - `:project_type_ids` ([integer()]): Filter by project type IDs\n  - `:project_department_ids` ([integer()]): Filter by project department IDs\n  - `:project_office_ids` ([integer()]): Filter by project office IDs\n  - `:project_region_ids` ([integer()]): Filter by project region IDs\n  - `:project_owner_type_ids` ([integer()]): Filter by project owner type IDs\n  - `:program_ids` ([integer()]): Filter by project program IDs\n  - `:resource_ids` ([integer()]): Filter by resource IDs\n  - `:sort_key` (String.t): Sort results by a property of projects. Defaults to descending project_event_count.\n  - `:sort_dir` (String.t): Sort results in ascending or descending order","ref":"Procore.Api.CoreCompanyCompanySchedule.html#rest_v10_companies_company_id_schedule_summary_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanySchedule.rest_v10_companies_company_id_schedule_summary_get/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanySchedule.html#rest_v10_companies_company_id_schedule_summary_get/6-returns"},{"type":"module","title":"Procore.Api.CoreCompanyCompanySettings","doc":"API calls for all endpoints tagged `CoreCompanyCompanySettings`.","ref":"Procore.Api.CoreCompanyCompanySettings.html"},{"type":"function","title":"Procore.Api.CoreCompanyCompanySettings.rest_v10_companies_company_id_settings_logo_delete/4","doc":"Delete company logo\nDelete company logo","ref":"Procore.Api.CoreCompanyCompanySettings.html#rest_v10_companies_company_id_settings_logo_delete/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanySettings.rest_v10_companies_company_id_settings_logo_delete/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyCompanySettings.html#rest_v10_companies_company_id_settings_logo_delete/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanySettings.rest_v10_companies_company_id_settings_logo_delete/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdSettingsLogoPut200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanySettings.html#rest_v10_companies_company_id_settings_logo_delete/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanySettings.rest_v10_companies_company_id_settings_logo_put/4","doc":"Update company's logo\nUpload and set company logo","ref":"Procore.Api.CoreCompanyCompanySettings.html#rest_v10_companies_company_id_settings_logo_put/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanySettings.rest_v10_companies_company_id_settings_logo_put/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:type` (String.t): Type of requesting entity\n  - `:body` (RestV10CompaniesCompanyIdSettingsMyAvatarPutRequest):","ref":"Procore.Api.CoreCompanyCompanySettings.html#rest_v10_companies_company_id_settings_logo_put/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanySettings.rest_v10_companies_company_id_settings_logo_put/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdSettingsLogoPut200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanySettings.html#rest_v10_companies_company_id_settings_logo_put/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyCompanyUploads","doc":"API calls for all endpoints tagged `CoreCompanyCompanyUploads`.","ref":"Procore.Api.CoreCompanyCompanyUploads.html"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_post/4","doc":"Create Upload\nCreating an Upload is the first step in associating a file to a resource in Procore. Creating an Upload can be seen as fetching instruction on how to post your file directly to Procore's storage service.  The instructions contain three properties: a UUID to reference the Upload, a URL which has to be used to post the file, and fields which need to be posted together with the file.  To upload the file you must POST to the URL in the _url_ property with a multipart/form-data body (see RFC 2388). Make sure to include **all** the names and values from _fields_ without altering them. The URL and fields necessary to complete the upload may vary between companies and may also change over time so none of these may be hard-coded. Finally add a field named _file_ with the actual file data.  Uploads are associated to a Company so they can use company specific upload settings. The currently authenticated user will become the owner of the Upload and only that user can use the Upload in subsequent requests.  You will have to initiate the upload within one hour or you can expect a 403 Forbidden response. Other errors are usually clearly explained in the response body.  For an example of how to associate a finalized upload to another resource in Procore see the Photos resource. An Upload will have to be associated to another resource within a week or it will be automatically deleted from Procore servers.  Note that there is also a variant of this API endpoint that works using a Project ID.","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:response_filename` (String.t): By setting a filename you ensure that the storage service knows the filename of the upload. Files are often downloaded directly from the storage service and without the filename they will save on the end users' device without a readable name or extension.  Setting this parameter is optional but highly recommended.\n  - `:response_content_type` (String.t): The content-type set through this parameter will be used by the storage service during download just like the response_filename. Setting this value is less important because HTTP clients and operating systems are generally well equipped to determine file types.  Setting this parameter is optional and should only be included when you are certain it's correct or when you want to force a content-type other than what the filename extension suggests.\n  - `:segments` ([Procore.Model.UploadSegmentsInner.t]): Upload segments","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_post/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_post/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_uuid_get/5","doc":"Show Upload\nShow detailed information on an upload","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_uuid_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_uuid_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `uuid` (String.t): Upload UUID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_uuid_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_uuid_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_uuid_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_uuid_patch/5","doc":"Update Upload\nUpdate the upload.","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_uuid_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_uuid_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `uuid` (String.t): Upload UUID\n- `opts` (keyword): Optional parameters\n  - `:body` (Upload1):","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_uuid_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyUploads.rest_v10_companies_company_id_uploads_uuid_patch/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v10_companies_company_id_uploads_uuid_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_post/5","doc":"Create Upload\nCreating an Upload is the first step in associating a file to a resource in Procore. Creating an Upload can be seen as fetching instruction on how to post your file directly to Procore's storage service.  The instructions contain three properties: a UUID to reference the Upload, a URL which has to be used to post the file, and fields which need to be posted together with the file.  To upload the file you must POST to the URL in the _url_ property with a multipart/form-data body (see RFC 2388). Make sure to include **all** the names and values from _fields_ without altering them. The URL and fields necessary to complete the upload may vary between companies and may also change over time so none of these may be hard-coded. Finally add a field named _file_ with the actual file data.  Uploads are associated to a Company so they can use company specific upload settings. The currently authenticated user will become the owner of the Upload and only that user can use the Upload in subsequent requests.  You will have to initiate the upload within one hour or you can expect a 403 Forbidden response. Other errors are usually clearly explained in the response body.  For an example of how to associate a finalized upload to another resource in Procore see the Photos resource. An Upload will have to be associated to another resource within a week or it will be automatically deleted from Procore servers.  Note that there is also a variant of this API endpoint that works using a Project ID.","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `response_filename` (String.t): By setting a filename you ensure that the storage service knows the filename of the upload. Files are often downloaded directly from the storage service and without the filename they will save on the end users' device without a readable name or extension.\n- `opts` (keyword): Optional parameters\n  - `:response_content_type` (String.t): The content-type set through this parameter will be used by the storage service during download just like the response_filename. Setting this value is less important because HTTP clients and operating systems are generally well equipped to determine file types.  Setting this parameter is optional and should only be included when you are certain it's correct or when you want to force a content-type other than what the filename extension suggests.\n  - `:segments` ([Procore.Model.UploadSegmentsInner.t]): Upload segments","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_uuid_get/5","doc":"Show Upload\nShow detailed information on an upload","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_uuid_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_uuid_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `uuid` (String.t): Upload UUID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_uuid_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_uuid_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_uuid_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_uuid_patch/5","doc":"Update Upload\nUpdate the upload.","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_uuid_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_uuid_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `uuid` (String.t): Upload UUID\n- `opts` (keyword): Optional parameters\n  - `:body` (Upload1):","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_uuid_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyCompanyUploads.rest_v11_companies_company_id_uploads_uuid_patch/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyCompanyUploads.html#rest_v11_companies_company_id_uploads_uuid_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyConcierge","doc":"API calls for all endpoints tagged `CoreCompanyConcierge`.","ref":"Procore.Api.CoreCompanyConcierge.html"},{"type":"function","title":"Procore.Api.CoreCompanyConcierge.rest_v10_companies_company_id_concierge_patch/5","doc":"Update Concierge parameters\nUpload Notification","ref":"Procore.Api.CoreCompanyConcierge.html#rest_v10_companies_company_id_concierge_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyConcierge.rest_v10_companies_company_id_concierge_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_concierge_patch_request` (RestV10CompaniesCompanyIdConciergePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyConcierge.html#rest_v10_companies_company_id_concierge_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyConcierge.rest_v10_companies_company_id_concierge_patch/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdConciergePatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyConcierge.html#rest_v10_companies_company_id_concierge_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyConstructionVolume","doc":"API calls for all endpoints tagged `CoreCompanyConstructionVolume`.","ref":"Procore.Api.CoreCompanyConstructionVolume.html"},{"type":"function","title":"Procore.Api.CoreCompanyConstructionVolume.rest_v10_companies_company_id_construction_volume_urgent_error_post/4","doc":"Send Urgent Error\nSend an urgent error to be recieved and delt with quickly.","ref":"Procore.Api.CoreCompanyConstructionVolume.html#rest_v10_companies_company_id_construction_volume_urgent_error_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyConstructionVolume.rest_v10_companies_company_id_construction_volume_urgent_error_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdConstructionVolumeUrgentErrorPostRequest):","ref":"Procore.Api.CoreCompanyConstructionVolume.html#rest_v10_companies_company_id_construction_volume_urgent_error_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyConstructionVolume.rest_v10_companies_company_id_construction_volume_urgent_error_post/4","doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyConstructionVolume.html#rest_v10_companies_company_id_construction_volume_urgent_error_post/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyInactivePeople","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyInactivePeople`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactivePeople.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInactivePeople.rest_v10_companies_company_id_people_inactive_get/4","doc":"List Inactive Company People\nReturn a list of People associated with a Company. Includes users in the directory and reference users. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactivePeople.html#rest_v10_companies_company_id_people_inactive_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInactivePeople.rest_v10_companies_company_id_people_inactive_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): ID of the project\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[is_employee]\"` (boolean()): If true, returns item(s) where `is_employee` value is true.\n  - `:\"filters[reference_users_only]\"` (boolean()): If true, returns only people who are reference users.\n  - `:\"filters[include_company_people]\"` (boolean()): If true, returns people in the Company not just the Project. This option only works if the user has permission to create people in the project directory or permission to read from the company directory.\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactivePeople.html#rest_v10_companies_company_id_people_inactive_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInactivePeople.rest_v10_companies_company_id_people_inactive_get/4","doc":"- `{:ok, [%CompanyPerson{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactivePeople.html#rest_v10_companies_company_id_people_inactive_get/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyInactiveUsers`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.rest_v10_companies_company_id_users_inactive_get/4","doc":"List company inactive users\nReturn a list of all Inactive Users associated with a Company.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.html#rest_v10_companies_company_id_users_inactive_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.rest_v10_companies_company_id_users_inactive_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.html#rest_v10_companies_company_id_users_inactive_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.rest_v10_companies_company_id_users_inactive_get/4","doc":"- `{:ok, [%InactiveUser{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.html#rest_v10_companies_company_id_users_inactive_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.rest_v10_companies_company_id_users_inactive_id_patch/5","doc":"Reactivate company user\nReactivate the specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.html#rest_v10_companies_company_id_users_inactive_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.rest_v10_companies_company_id_users_inactive_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.html#rest_v10_companies_company_id_users_inactive_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.rest_v10_companies_company_id_users_inactive_id_patch/5","doc":"- `{:ok, Procore.Model.CompanyUser5.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveUsers.html#rest_v10_companies_company_id_users_inactive_id_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyInactiveVendors`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.rest_v10_companies_company_id_vendors_inactive_get/4","doc":"List company Inactive Vendors\nReturn a list of all Inactive Vendors associated with a Company.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.html#rest_v10_companies_company_id_vendors_inactive_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.rest_v10_companies_company_id_vendors_inactive_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The compact view provides only the id and name. The extended view provides what is shown below. The normal view is the same as the extended view but excludes children_count, legal_name, parent, bidding, project_ids, standard_cost_codes, contract_signers_name, invoice_contacts_names, default_bid_invitees_names, and country_name. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is extended.\n  - `:sort` (String.t): Return items with the specified sort","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.html#rest_v10_companies_company_id_vendors_inactive_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.rest_v10_companies_company_id_vendors_inactive_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdVendorsInactiveGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.html#rest_v10_companies_company_id_vendors_inactive_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.rest_v10_companies_company_id_vendors_inactive_id_patch/5","doc":"Reactivate company vendor\nReactivate a specified Company Vendor.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.html#rest_v10_companies_company_id_vendors_inactive_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.rest_v10_companies_company_id_vendors_inactive_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the vendor\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view provides only the id and name. The extended view provides what is shown below. The normal view is the same as the extended view but excludes children_count, legal_name, parent, bidding, project_ids, standard_cost_codes, contract_signers_name, invoice_contacts_names, default_bid_invitees_names, and country_name. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is extended.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.html#rest_v10_companies_company_id_vendors_inactive_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.rest_v10_companies_company_id_vendors_inactive_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10VendorsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInactiveVendors.html#rest_v10_companies_company_id_vendors_inactive_id_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyInsurances","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyInsurances`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_get/4","doc":"List Company Insurances\nReturn a list of all Insurances associated with the specified Company.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_get/4","doc":"- `{:ok, [%Insurance{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_delete/5","doc":"Delete Company Insurance\nDelete the specified Insurance.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_get/5","doc":"Show Company Insurance\nReturn detailed information on the specified Insurance.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_get/5","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_patch/6","doc":"Update Company Insurance\nUpdate the specified Insurance.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `body39` (Body39): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_id_patch/6","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_post/5","doc":"Create Company Insurance\nCreate a new Insurance associated with the specified Company.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body39` (Body39): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_post/5","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_sync_patch/5","doc":"Sync Company Insurances\nThis endpoint creates or updates a batch of Company Insurances.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `insurance_sync_body1` (InsuranceSyncBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_companies_company_id_insurances_sync_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfCompanyInsurances.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_companies_company_id_insurances_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_insurances_sync_patch/4","doc":"Sync Company Insurances (Alternative)\nThis endpoint creates or updates a batch of Company Insurances. Must provide Company ID in the request body.","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_insurances_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_insurances_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `insurance_sync_body2` (InsuranceSyncBody2): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_insurances_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyInsurances.rest_v10_insurances_sync_patch/4","doc":"- `{:ok, Procore.Model.ArrayOfCompanyInsurances.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyInsurances.html#rest_v10_insurances_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyPeople","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyPeople`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_get/4","doc":"List Company People\nReturn a list of People associated with a Company. Includes users in the directory and reference users.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): ID of the company\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[is_employee]\"` (boolean()): If true, returns item(s) where `is_employee` value is true.\n  - `:\"filters[reference_users_only]\"` (boolean()): If true, returns only people who are reference users.\n  - `:\"filters[include_company_people]\"` (boolean()): If true, returns people in the Company not just the Project. This option only works if the user has permission to create people in the project directory or permission to read from the company directory.\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_get/4","doc":"- `{:ok, [%CompanyPerson{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_id_patch/6","doc":"Update company person\nUpdate the specified Company Person.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): ID of the company\n- `id` (integer()): ID of the person\n- `company_person_body` (CompanyPersonBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyPerson.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_post/5","doc":"Create Company Person\nCreate a new Company Person.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): ID of the company\n- `company_person_body` (CompanyPersonBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyPeople.rest_v10_companies_company_id_people_post/5","doc":"- `{:ok, Procore.Model.CompanyPerson.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyPeople.html#rest_v10_companies_company_id_people_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyPermissionTemplates`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_get/4","doc":"List permission templates\nReturns the Permission Template names and IDs for the specified Company.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[type]\"` (String.t): Allows filtering by template type. If none is provided, default is \"project_tools\". Allowed types = company_tools, project_tools, global. Example - ?filters[type]=company_tools\n  - `:view` (String.t): Returns detailed permission templates if view=with_permissions is specified.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdPermissionTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_id_get/5","doc":"Returns specific template\nReturns the Permission Template along with its permitted actions.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): The ID of the permission template to be retrieved\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequestPermissionTemplate.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_post/5","doc":"Create Permission Template\nReturns the created Permission Template along with its permitted actions.","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_permission_templates_post_request` (RestV10CompaniesCompanyIdPermissionTemplatesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.rest_v10_companies_company_id_permission_templates_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequestPermissionTemplate.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyPermissionTemplates.html#rest_v10_companies_company_id_permission_templates_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyUsers`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_me_get/4","doc":"Show current company user\nShow detail on the current Company User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_me_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_me_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_me_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_me_get/4","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_me_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_get/4","doc":"List company users\nReturn a list of all active users associated with a company. To retrieve a list of inactive users, see [List Company Inactive Users](/reference/rest/v1/company-inactive-users#list-company-inactive-users).   See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_get/4","doc":"- `{:ok, [%CompanyUser5{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_get/5","doc":"Show company user\nShow detail on a specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_get/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_invite_patch/5","doc":"Send invite\nSend invite email to specified user.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_invite_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_invite_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_invite_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_invite_patch/5","doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_invite_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_patch/6","doc":"Update company user\nUpdate the specified User.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `user` (Procore.Model.CompanyUser3.t): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_post/5","doc":"Create company user\nCreate a new User in the specified Company.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body` (CompanyUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_post/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_sync_patch/5","doc":"Sync company users\nThis endpoint creates or updates a batch of Company Users. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Requires Directory Admin permissions.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `updates` ([Procore.Model.CompanyUsersInner.t]): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_companies_company_id_users_sync_patch/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_companies_company_id_users_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_get/4","doc":"List company users\nReturn a list of all Users associated with a Company.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_get/4","doc":"- `{:ok, [%CompanyUser5{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_id_get/5","doc":"Show company user\nShow detail on a specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_id_get/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_id_patch/6","doc":"Update company user\nUpdate the specified User.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `user` (Procore.Model.CompanyUser3.t): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_post/5","doc":"Create company user\nCreate a new User in the specified Company.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body` (CompanyUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_post/5","doc":"- `{:ok, Procore.Model.CompanyUser5.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_sync_patch/5","doc":"Sync company users\nThis endpoint creates or updates a batch of Company Users. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Requires Directory Admin permissions.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `updates` ([Procore.Model.CompanyUsersInner.t]): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v10_users_sync_patch/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v10_users_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_me_get/4","doc":"Show current company user\nShow detail on the current Company User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_me_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_me_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_me_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_me_get/4","doc":"- `{:ok, Procore.Model.CompanyUser4.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_me_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_bulk_add_post/5","doc":"Bulk add company users to projects\nThis endpoint allows company users to be bulk added to multiple projects with a permission template in one request. If the user was already part of that project it will not update the assigned permission template.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_bulk_add_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_bulk_add_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body_bulk_add` (CompanyUserBodyBulkAdd): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_bulk_add_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_bulk_add_post/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_bulk_add_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_bulk_remove_post/5","doc":"Bulk remove company users from projects\nThis endpoint allows company users to be bulk removed from multiple projects.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_bulk_remove_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_bulk_remove_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body_bulk_remove` (CompanyUserBodyBulkRemove): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_bulk_remove_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_bulk_remove_post/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_bulk_remove_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_get/4","doc":"List company users\nReturn a list of all active users associated with a company. To retrieve a list of inactive users, see [List Company Inactive Users](/reference/rest/v1/company-inactive-users#list-company-inactive-users).  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_get/4","doc":"- `{:ok, [%CompanyUser5{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_get/5","doc":"Show company user\nShow detail on a specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_get/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_invite_patch/5","doc":"Send invite\nSend invite email to specified user.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_invite_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_invite_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_invite_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_invite_patch/5","doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_invite_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_patch/6","doc":"Update company user\nUpdate the specified User.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `user` (Procore.Model.CompanyUser3.t): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_post/5","doc":"Create company user\nCreate a new User in the specified Company.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body` (CompanyUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_post/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_sync_patch/5","doc":"Sync company users\nThis endpoint creates or updates a batch of Company Users. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Requires Directory Admin permissions.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `updates` ([Procore.Model.CompanyUsersInner.t]): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_companies_company_id_users_sync_patch/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_companies_company_id_users_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_get/4","doc":"List company users\nReturn a list of all Users associated with a Company.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_get/4","doc":"- `{:ok, [%CompanyUser2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_id_get/5","doc":"Show company user\nShow detail on a specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_id_get/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_id_patch/6","doc":"Update company user\nUpdate the specified User.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `user` (Procore.Model.CompanyUser3.t): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_post/5","doc":"Create company user\nCreate a new User in the specified Company.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body` (CompanyUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_post/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_sync_patch/5","doc":"Sync company users\nThis endpoint creates or updates a batch of Company Users. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Requires Directory Admin permissions.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `updates` ([Procore.Model.CompanyUsersInner.t]): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v11_users_sync_patch/5","doc":"- `{:ok, %{}}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v11_users_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_me_get/4","doc":"Show current company user\nShow detail on the current Company User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_me_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_me_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_me_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_me_get/4","doc":"- `{:ok, Procore.Model.CompanyUser4.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_me_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_bulk_add_post/5","doc":"Bulk add company users to projects\nThis endpoint allows company users to be bulk added to multiple projects with a permission template in one request. If the user was already part of that project it will not update the assigned permission template.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_bulk_add_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_bulk_add_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body_bulk_add` (CompanyUserBodyBulkAdd): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_bulk_add_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_bulk_add_post/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_bulk_add_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_bulk_remove_post/5","doc":"Bulk remove company users from projects\nThis endpoint allows company users to be bulk removed from multiple projects.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_bulk_remove_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_bulk_remove_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body_bulk_remove` (CompanyUserBodyBulkRemove): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_bulk_remove_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_bulk_remove_post/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_bulk_remove_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_get/4","doc":"List company users\nReturn a list of all active users associated with a company. To retrieve a list of inactive users, see [List Company Inactive Users](/reference/rest/v1/company-inactive-users#list-company-inactive-users).  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_get/4","doc":"- `{:ok, [%CompanyUser5{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_get/5","doc":"Show company user\nShow detail on a specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_get/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_invite_patch/5","doc":"Send invite\nSend invite email to specified user.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_invite_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_invite_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_invite_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_invite_patch/5","doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_invite_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_patch/6","doc":"Update company user\nUpdate the specified User.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `user` (Procore.Model.CompanyUser3.t): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_post/5","doc":"Create company user\nCreate a new User in the specified Company.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body` (CompanyUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_post/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_sync_patch/5","doc":"Sync company users\nThis endpoint creates or updates a batch of Company Users. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Requires Directory Admin permissions.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `updates` ([Procore.Model.CompanyUsersInner.t]): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_companies_company_id_users_sync_patch/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_companies_company_id_users_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_get/4","doc":"List company users\nReturn a list of all Users associated with a Company.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_get/4","doc":"- `{:ok, [%CompanyUser2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_id_get/5","doc":"Show company user\nShow detail on a specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_id_get/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_id_patch/6","doc":"Update company user\nUpdate the specified User.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `user` (Procore.Model.CompanyUser3.t): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_post/5","doc":"Create company user\nCreate a new User in the specified Company.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body` (CompanyUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_post/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_sync_patch/5","doc":"Sync company users\nThis endpoint creates or updates a batch of Company Users. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Requires Directory Admin permissions.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `updates` ([Procore.Model.CompanyUsersInner.t]): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v12_users_sync_patch/5","doc":"- `{:ok, %{}}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v12_users_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_me_get/4","doc":"Show current company user\nShow detail on the current Company User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_me_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_me_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_me_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_me_get/4","doc":"- `{:ok, Procore.Model.CompanyUser4.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_me_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_bulk_add_post/5","doc":"Bulk add company users to projects\nThis endpoint allows company users to be bulk added to multiple projects with a permission template in one request. If the user was already part of that project it will not update the assigned permission template.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_bulk_add_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_bulk_add_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body_bulk_add` (CompanyUserBodyBulkAdd): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_bulk_add_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_bulk_add_post/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_bulk_add_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_bulk_remove_post/5","doc":"Bulk remove company users from projects\nThis endpoint allows company users to be bulk removed from multiple projects.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_bulk_remove_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_bulk_remove_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body_bulk_remove` (CompanyUserBodyBulkRemove): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_bulk_remove_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_bulk_remove_post/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_bulk_remove_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_get/4","doc":"List company users\nReturn a list of all active users associated with a company. To retrieve a list of inactive users, see [List Company Inactive Users](/reference/rest/v1/company-inactive-users#list-company-inactive-users).  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view of the resource to return (which attributes should be present in the response). If a valid view is not provided, it will return the default view: normal.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_get/4","doc":"- `{:ok, [%RestV13CompaniesCompanyIdUsersGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_get/5","doc":"Show company user\nShow detail on a specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_get/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_invite_patch/5","doc":"Send invite\nSend invite email to specified user.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_invite_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_invite_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_invite_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_invite_patch/5","doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_invite_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_patch/6","doc":"Update company user\nUpdate the specified User.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `user` (Procore.Model.CompanyUser3.t): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_post/5","doc":"Create company user\nCreate a new User in the specified Company.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body` (CompanyUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_post/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_sync_patch/5","doc":"Sync company users\nThis endpoint creates or updates a batch of Company Users. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Requires Directory Admin permissions.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `updates` ([Procore.Model.CompanyUsersInner.t]): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_companies_company_id_users_sync_patch/5","doc":"- `{:ok, Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_companies_company_id_users_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_get/4","doc":"List company users\nReturn a list of all Users associated with a Company.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_get/4","doc":"- `{:ok, [%CompanyUser2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_id_get/5","doc":"Show company user\nShow detail on a specified User.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_id_get/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_id_patch/6","doc":"Update company user\nUpdate the specified User.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the user\n- `user` (Procore.Model.CompanyUser3.t): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_post/5","doc":"Create company user\nCreate a new User in the specified Company.  #### Uploading avatar To upload avatar you must upload whole payload as `multipart/form-data` content-type and specify each parameter as form-data together with `user[avatar]` as file.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `company_user_body` (CompanyUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_post/5","doc":"- `{:ok, Procore.Model.CompanyUser2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_sync_patch/5","doc":"Sync company users\nThis endpoint creates or updates a batch of Company Users. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  Requires Directory Admin permissions.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `updates` ([Procore.Model.CompanyUsersInner.t]): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyUsers.rest_v13_users_sync_patch/5","doc":"- `{:ok, %{}}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyUsers.html#rest_v13_users_sync_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorComments","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyVendorComments`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorComments.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorComments.rest_v10_companies_company_id_vendors_vendor_id_comments_get/5","doc":"List company vendor comments\nReturn a list of Comments for the specified Company Vendor.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorComments.html#rest_v10_companies_company_id_vendors_vendor_id_comments_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendorComments.rest_v10_companies_company_id_vendors_vendor_id_comments_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `vendor_id` (integer()): Vendor ID\n- `opts` (keyword): Optional parameters\n  - `:sort` (String.t): Return items with the specified sort.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorComments.html#rest_v10_companies_company_id_vendors_vendor_id_comments_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendorComments.rest_v10_companies_company_id_vendors_vendor_id_comments_get/5","doc":"- `{:ok, [%VendorComment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorComments.html#rest_v10_companies_company_id_vendors_vendor_id_comments_get/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyVendorInsurances`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_get/5","doc":"List company vendor insurances\nReturn a list of Insurances from the specified Company Vendor.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `vendor_id` (integer()): Vendor ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_get/5","doc":"- `{:ok, [%Insurance{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_delete/6","doc":"Delete company vendor insurance\nDelete the specified Company Vendor Insurance.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `vendor_id` (integer()): Vendor ID\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_delete/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_get/6","doc":"Show company vendor insurance\nShow detail on the specified Company Vendor Insurance.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `vendor_id` (integer()): Vendor ID\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_get/6","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_get/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_patch/7","doc":"Update company vendor insurance\nUpdate the specified Company Vendor Insurance.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `vendor_id` (integer()): Vendor ID\n- `id` (integer()): ID\n- `body33` (Body33): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_id_patch/7","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_id_patch/7-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_post/6","doc":"Create company vendor insurance\nCreate a new Insurance associated with the specified Company Vendor.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `vendor_id` (integer()): Vendor ID\n- `body33` (Body33): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_post/6","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_post/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_sync_patch/6","doc":"Sync Company Vendor Insurances\nThis endpoint creates or updates a batch of Company Vendor Insurances.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_sync_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_sync_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `vendor_id` (integer()): Vendor ID\n- `insurance_sync_body` (InsuranceSyncBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_sync_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.rest_v10_companies_company_id_vendors_vendor_id_insurances_sync_patch/6","doc":"- `{:ok, Procore.Model.ArrayOfCompanyVendorInsurances.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendorInsurances.html#rest_v10_companies_company_id_vendors_vendor_id_insurances_sync_patch/6-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryCompanyVendors","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryCompanyVendors`.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_get/4","doc":"List company vendors\nReturn a list of all Vendors associated with a Company.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view provides only the id and name. The extended view provides what is shown below. The normal view is the same as the extended view but excludes children_count, legal_name, parent, bidding, project_ids, standard_cost_codes, contract_signers_name, invoice_contacts_names, default_bid_invitees_names, and country_name. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is extended.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[search]\"` (String.t): Return vendors where the search string matches the vendor name, keywords, origin_code, or ABN/EIN number\n  - `:\"filters[created_at]\"` (DateTime.t): Return items within a specific created at ISO8601 datetime range\n  - `:\"filters[updated_at]\"` (String.t): Return items within a specific updated at ISO8601 datetime range\n  - `:\"filters[standard_cost_code_id][]\"` ([integer()]): Returns vendors associated with the specified standard cost code id(s)\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns vendors associated with the specified trade id(s)\n  - `:\"filters[id][]\"` ([integer()]): Returns vendors with the specified id(s)\n  - `:\"filters[parent_id][]\"` ([integer()]): Returns vendors with the specified parent id(s)\n  - `:sort` (String.t): Return items with the specified sort","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_get/4","doc":"- `{:ok, [%RestV10VendorsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_business_register_patch/6","doc":"Update Company Vendor Business Register\nUpdate an existing Business Register associated with a specified Vendor.  The Register must already exist.  Changing the identifier of a verified Business Register will set the following attributes to null: verification_status, verified_at","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_business_register_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_business_register_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Company Vendor\n- `company_id` (integer()): ID of the Company\n- `business_register_body` (BusinessRegisterBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_business_register_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_business_register_patch/6","doc":"- `{:ok, Procore.Model.NormalViewBusinessRegister.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_business_register_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_business_register_post/6","doc":"Create Company Vendor Business Register\nCreate a new Business Register associated with a specified Vendor.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_business_register_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_business_register_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Company Vendor\n- `company_id` (integer()): Unique identifier for the company.\n- `business_register_body` (BusinessRegisterBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_business_register_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_business_register_post/6","doc":"- `{:ok, Procore.Model.NormalViewBusinessRegister.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_business_register_post/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_get/5","doc":"Show company vendor\nShow detail on a specified Company Vendor.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the vendor\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view provides only the id and name. The extended view provides what is shown below. The normal view is the same as the extended view but excludes children_count, legal_name, parent, bidding, project_ids, standard_cost_codes, contract_signers_name, invoice_contacts_names, default_bid_invitees_names, and country_name. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is extended.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_get/5","doc":"- `{:ok, Procore.Model.RestV10VendorsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_patch/5","doc":"Update company vendor\nUpdate a specified Company Vendor.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the vendor\n- `company_vendor_body` (CompanyVendorBody): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view provides only the id and name. The extended view provides what is shown below. The normal view is the same as the extended view but excludes children_count, legal_name, parent, bidding, project_ids, standard_cost_codes, contract_signers_name, invoice_contacts_names, default_bid_invitees_names, and country_name. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is extended.\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10VendorsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_post/4","doc":"Create company vendor\nCreate a new Vendor associated with a specified Company.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_vendor_body` (CompanyVendorBody): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view provides only the id and name. The extended view provides what is shown below. The normal view is the same as the extended view but excludes children_count, legal_name, parent, bidding, project_ids, standard_cost_codes, contract_signers_name, invoice_contacts_names, default_bid_invitees_names, and country_name. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is extended.\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_post/4","doc":"- `{:ok, Procore.Model.RestV10VendorsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_post/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_sync_patch/4","doc":"Sync company vendors\nCreates or updates a batch of Company Vendors. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.  #### Documentation  The purpose of this API is to allow one or more vendors to be created or updated.  The caller provides an array of hashes, each hash containing the attributes for a single vendor. The attribute names in each hash match those used by the Create and Update Company Vendors APIs. Attributes for a maximum of 1000 vendors may be passed with each call.  The API will always return an HTTP status of 200.  The response body will contain two attributes entities and errors. The attributes for each successfully created or updated vendor will appear in the entities list. The attributes for each vendor will match those returned by the Show Company Vendor API. For each vendor which could not be created or updated, the attributes supplied by the caller will be present in the errors list, along with an additional errors attribute which will provide reasons for the failure.  For each vendor the caller supplies data for, the Sync API uses two different types of unique identifier to determine whether a new vendor is to be created, or an existing vendor is to be updated. The unique identifiers are supplied as the ID and origin_id attributes.  If neither unique identifier is provided, Procore will attempt to create a new vendor. For example the request below will create two new Vendors.  ````json {   \"company_id\": 352361,   \"updates\": [     { \"name\": \"New Vendor 1\" },     { \"name\": \"New Vendor 2\" }   ] } ````  The response to this request lists all attributes for the vendors which have been created.  The ID attribute is the Procore unique identifier for a particular vendor. If the caller already knows the Procore unique identifier for a particular vendor (either through the List Company Vendors API or through the Create Company Vendor API) this value can be passed to indicate which vendor is to be updated. Note that if the caller passes an ID value which Procore does not recognise, Procore will report an error.  The caller does not need to be aware of the unique identifiers assigned by Procore for each vendor in order to create or update them. Instead the caller can provide their own unique identifier for the vendor in the `origin_id` attribute. If Procore cannot find a vendor with the supplied `origin_id` it will create a new one. If Procore can find a vendor with the supplied `origin_id` it will update it.  Note that alongside the origin_id attribute, Procore also provides an `origin_data` attribute. Procore does not interpret the contents of this attribute. The caller can use this to store and retrieve their own contextual information about this vendor.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_vendor_sync_body` (CompanyVendorSyncBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryCompanyVendors.rest_v10_vendors_sync_patch/4","doc":"- `{:ok, Procore.Model.RestV10VendorsSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryCompanyVendors.html#rest_v10_vendors_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDirectoryDistributionGroups","doc":"API calls for all endpoints tagged `CoreCompanyDirectoryDistributionGroups`.","ref":"Procore.Api.CoreCompanyDirectoryDistributionGroups.html"},{"type":"function","title":"Procore.Api.CoreCompanyDirectoryDistributionGroups.rest_v10_companies_company_id_distribution_groups_get/4","doc":"List Distribution Groups\nReturn a list of all Distribution Groups associated with a Company.","ref":"Procore.Api.CoreCompanyDirectoryDistributionGroups.html#rest_v10_companies_company_id_distribution_groups_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDirectoryDistributionGroups.rest_v10_companies_company_id_distribution_groups_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.\n  - `:with_domain_users` (RestV10CompaniesCompanyIdDistributionGroupsGetWithDomainUsersParameter): Return list of user IDs that have permissions to view specified domain.\n  - `:sort` (String.t): Return items with the specified sort.\n  - `:view` (String.t): Parameter affecting what level of detail will be returned from the endpoint. 'extended' will include the users included in each distribution group.","ref":"Procore.Api.CoreCompanyDirectoryDistributionGroups.html#rest_v10_companies_company_id_distribution_groups_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDirectoryDistributionGroups.rest_v10_companies_company_id_distribution_groups_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDirectoryDistributionGroups.html#rest_v10_companies_company_id_distribution_groups_get/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles","doc":"API calls for all endpoints tagged `CoreCompanyDocumentsCompanyFoldersAndFiles`.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_file_versions_id_get/5","doc":"Show company file version\nShow detailed information about a File Version.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_file_versions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_file_versions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the file version\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_file_versions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_file_versions_id_get/5","doc":"- `{:ok, Procore.Model.RestV10FileVersionsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_file_versions_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_file_versions_post/6","doc":"Create company file version\nUploads a new version of a specific file in the Company Documents tool.  See the Procore Support website articles on [Company Documents](https://support.procore.com/products/online/user-guide/company-level/documents).","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_file_versions_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_file_versions_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `file_id` (integer()): The id of the File\n- `file_version` (Procore.Model.RestV10CompaniesCompanyIdFileVersionsPostRequestFileVersion.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_file_versions_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_file_versions_post/6","doc":"- `{:ok, Procore.Model.RestV10FileVersionsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_file_versions_post/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_delete/5","doc":"Delete company File\nDelete a specific File.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the File\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_get/5","doc":"Show company File\nShow detailed information about a File.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the File\n- `opts` (keyword): Optional parameters\n  - `:show_latest_version_only` (boolean()): Show only latest File Version","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_get/5","doc":"- `{:ok, Procore.Model.RestV10FilesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_patch/6","doc":"Update company File\nUpdate a specific File (creates a new file version).","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the File\n- `file` (Procore.Model.RestV10FilesIdPatchRequestFile.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10FilesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_send_email_post/6","doc":"Send email for file sharing\nSend email for file sharing.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_send_email_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_send_email_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the File\n- `body29` (Body29): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_send_email_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_id_send_email_post/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_id_send_email_post/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_post/5","doc":"Create company File\nCreate a new File associated with specific Company.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `file` (Procore.Model.RestV10CompaniesCompanyIdFilesPostRequestFile.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_files_post/5","doc":"- `{:ok, Procore.Model.RestV10FilesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_files_post/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_get/4","doc":"List company Folders and Files\nReturn a list of Folders and Files associated with a specific Company.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:exclude_folders` (boolean()): Exclude children Folders from results\n  - `:exclude_files` (boolean()): Exclude children Files from results","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_get/4","doc":"- `{:ok, Procore.Model.Folder.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_delete/5","doc":"Delete company Folder\nDelete the specified Folder by moving it to the recycle bin.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Folder\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_get/5","doc":"Show company Folder\nShow detail on a specific Folder.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Folder\n- `opts` (keyword): Optional parameters\n  - `:exclude_folders` (boolean()): Exclude children Folders from results\n  - `:exclude_files` (boolean()): Exclude children Files from results","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_get/5","doc":"- `{:ok, Procore.Model.Folder.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_patch/6","doc":"Update company Folder\nUpdate a specific Folder.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Folder\n- `rest_v10_folders_post_request` (RestV10FoldersPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_id_patch/6","doc":"- `{:ok, Procore.Model.Folder.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_post/5","doc":"Create company Folder\nCreate a new Folder associated with a specific Company.","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_folders_post_request` (RestV10FoldersPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.rest_v10_companies_company_id_folders_post/5","doc":"- `{:ok, Procore.Model.Folder1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyDocumentsCompanyFoldersAndFiles.html#rest_v10_companies_company_id_folders_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyPrograms","doc":"API calls for all endpoints tagged `CoreCompanyPrograms`.","ref":"Procore.Api.CoreCompanyPrograms.html"},{"type":"function","title":"Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_get/4","doc":"List programs\nReturn a list of Programs associated to the specified Company.","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_get/4","doc":"- `{:ok, [%Program{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_delete/5","doc":"Delete program\nDelete the specified Program.","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the program\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_get/5","doc":"Show program\nShow detail on the specified Program.","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the program\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_patch/6","doc":"Update program\nUpdate the specified Program.","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the program\n- `body43` (Body43): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_post/5","doc":"Create program\nCreate a new Program in the specified Company.","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body43` (Body43): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyPrograms.rest_v10_companies_company_id_programs_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyPrograms.html#rest_v10_companies_company_id_programs_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyProjectBidTypes","doc":"API calls for all endpoints tagged `CoreCompanyProjectBidTypes`.","ref":"Procore.Api.CoreCompanyProjectBidTypes.html"},{"type":"function","title":"Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_get/4","doc":"List Project Bid Types\nReturn a list of Project Bid Types","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_get/4","doc":"- `{:ok, [%ProjectBidType2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_delete/5","doc":"Delete Project Bid Type\nDelete the specified Project Bid Type.","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Bid Type\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_get/5","doc":"Show Project Bid Type\nShow detail on a specified Project Bid Type.","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Bid Type\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_get/5","doc":"- `{:ok, Procore.Model.ProjectBidType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_patch/6","doc":"Update Project Bid Type\nUpdate the specified Project Bid Type.","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Bid Type\n- `body41` (Body41): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_id_patch/6","doc":"- `{:ok, Procore.Model.ProjectBidType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_post/5","doc":"Create Project Bid Type\nCreate a new Project Bid Type in the specified Company.","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body41` (Body41): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectBidTypes.rest_v10_companies_company_id_project_bid_types_post/5","doc":"- `{:ok, Procore.Model.ProjectBidType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectBidTypes.html#rest_v10_companies_company_id_project_bid_types_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyProjectOwnerTypes","doc":"API calls for all endpoints tagged `CoreCompanyProjectOwnerTypes`.","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html"},{"type":"function","title":"Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_get/4","doc":"List Project Owner Types\nReturn a list of Project Owner Types","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_get/4","doc":"- `{:ok, [%ProjectOwnerType2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_delete/5","doc":"Delete Project Owner Type\nDelete the specified Project Owner Type.","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Owner Type\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_get/5","doc":"Show Project Owner Type\nShow detail on a specified Project Owner Type.","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Owner Type\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_get/5","doc":"- `{:ok, Procore.Model.ProjectOwnerType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_patch/6","doc":"Update Project Owner Type\nUpdate the specified Project Owner Type.","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Owner Type\n- `body38` (Body38): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_id_patch/6","doc":"- `{:ok, Procore.Model.ProjectOwnerType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_post/5","doc":"Create Project Owner Type\nCreate a new Project Owner Type in the specified Company.","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body38` (Body38): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectOwnerTypes.rest_v10_companies_company_id_project_owner_types_post/5","doc":"- `{:ok, Procore.Model.ProjectOwnerType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectOwnerTypes.html#rest_v10_companies_company_id_project_owner_types_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyProjectRegions","doc":"API calls for all endpoints tagged `CoreCompanyProjectRegions`.","ref":"Procore.Api.CoreCompanyProjectRegions.html"},{"type":"function","title":"Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_get/4","doc":"List Project Regions\nReturn a list of Project Regions.","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_get/4","doc":"- `{:ok, [%ProjectRegion2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_delete/5","doc":"Delete Project Region\nDelete the specified Project Region.","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Region\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_delete/5","doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_get/5","doc":"Show Project Region\nShow detail on a specified Project Region.","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Region\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_get/5","doc":"- `{:ok, Procore.Model.ProjectRegion2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_patch/6","doc":"Update Project Region\nUpdate the specified Project Region.","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Project Region\n- `body37` (Body37): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_id_patch/6","doc":"- `{:ok, Procore.Model.ProjectRegion2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_post/5","doc":"Create Project Region\nCreate a new Project Region in the specified Company.","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body37` (Body37): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectRegions.rest_v10_companies_company_id_project_regions_post/5","doc":"- `{:ok, Procore.Model.ProjectRegion2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectRegions.html#rest_v10_companies_company_id_project_regions_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyProjectStages","doc":"API calls for all endpoints tagged `CoreCompanyProjectStages`.","ref":"Procore.Api.CoreCompanyProjectStages.html"},{"type":"function","title":"Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_get/4","doc":"List Project Stages\nReturn a list of Project Stages.","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:project_id` (integer()): Project ID is required if retrieving a list of project stages for RFI users","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_get/4","doc":"- `{:ok, [%ProjectStage2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_delete/5","doc":"Delete project stage\nDelete the specified Project Stage.","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the project stage\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_get/5","doc":"Show project stage\nShow detail on a specified Project Stage.","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the project stage\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_get/5","doc":"- `{:ok, Procore.Model.ProjectStage2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_patch/6","doc":"Update project stage\nUpdate the specified Project Stage.","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the project stage\n- `body35` (Body35): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_id_patch/6","doc":"- `{:ok, Procore.Model.ProjectStage2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_post/5","doc":"Create project stage\nCreate a new Project Stage in the specified Company.","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body35` (Body35): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectStages.rest_v10_companies_company_id_project_stages_post/5","doc":"- `{:ok, Procore.Model.ProjectStage2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectStages.html#rest_v10_companies_company_id_project_stages_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyProjectTypes","doc":"API calls for all endpoints tagged `CoreCompanyProjectTypes`.","ref":"Procore.Api.CoreCompanyProjectTypes.html"},{"type":"function","title":"Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_get/4","doc":"List project types\nReturns a list of Project Types associated with a specified Company.","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_get/4","doc":"- `{:ok, [%ProjectType2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_delete/5","doc":"Delete project type\nDelete the specified Project Type.","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the project type\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_get/5","doc":"Show project type\nShow detail on the specified Project Type.","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the project type\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_get/5","doc":"- `{:ok, Procore.Model.ProjectType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_patch/6","doc":"Update project type\nUpdate a Project Type.","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the project type\n- `body34` (Body34): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_id_patch/6","doc":"- `{:ok, Procore.Model.ProjectType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_post/5","doc":"Create project type\nCreate a new Project Type associated with a specific Company.","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body34` (Body34): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyProjectTypes.rest_v10_companies_company_id_project_types_post/5","doc":"- `{:ok, Procore.Model.ProjectType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyProjectTypes.html#rest_v10_companies_company_id_project_types_post/5-returns"},{"type":"module","title":"Procore.Api.CoreCompanyRoles","doc":"API calls for all endpoints tagged `CoreCompanyRoles`.","ref":"Procore.Api.CoreCompanyRoles.html"},{"type":"function","title":"Procore.Api.CoreCompanyRoles.rest_v10_companies_company_id_roles_get/4","doc":"List Company Roles\nReturn a list of roles for a company.","ref":"Procore.Api.CoreCompanyRoles.html#rest_v10_companies_company_id_roles_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyRoles.rest_v10_companies_company_id_roles_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyRoles.html#rest_v10_companies_company_id_roles_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyRoles.rest_v10_companies_company_id_roles_get/4","doc":"- `{:ok, [%Role{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyRoles.html#rest_v10_companies_company_id_roles_get/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanySubmittalStatuses","doc":"API calls for all endpoints tagged `CoreCompanySubmittalStatuses`.","ref":"Procore.Api.CoreCompanySubmittalStatuses.html"},{"type":"function","title":"Procore.Api.CoreCompanySubmittalStatuses.rest_v10_companies_company_id_submittal_statuses_get/4","doc":"List Submittal Statuses\nReturn a list of all Submittal  Statuses from a specified Company.","ref":"Procore.Api.CoreCompanySubmittalStatuses.html#rest_v10_companies_company_id_submittal_statuses_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanySubmittalStatuses.rest_v10_companies_company_id_submittal_statuses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCompanySubmittalStatuses.html#rest_v10_companies_company_id_submittal_statuses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanySubmittalStatuses.rest_v10_companies_company_id_submittal_statuses_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerStatus{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanySubmittalStatuses.html#rest_v10_companies_company_id_submittal_statuses_get/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanySubmittalTypes","doc":"API calls for all endpoints tagged `CoreCompanySubmittalTypes`.","ref":"Procore.Api.CoreCompanySubmittalTypes.html"},{"type":"function","title":"Procore.Api.CoreCompanySubmittalTypes.rest_v10_companies_company_id_submittal_types_get/4","doc":"List Submittal Types\nReturn a list of all active Submittal Types from a specified Company.","ref":"Procore.Api.CoreCompanySubmittalTypes.html#rest_v10_companies_company_id_submittal_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanySubmittalTypes.rest_v10_companies_company_id_submittal_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanySubmittalTypes.html#rest_v10_companies_company_id_submittal_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanySubmittalTypes.rest_v10_companies_company_id_submittal_types_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdSubmittalTypesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanySubmittalTypes.html#rest_v10_companies_company_id_submittal_types_get/4-returns"},{"type":"module","title":"Procore.Api.CoreCompanyTrades","doc":"API calls for all endpoints tagged `CoreCompanyTrades`.","ref":"Procore.Api.CoreCompanyTrades.html"},{"type":"function","title":"Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_get/4","doc":"List trades\nReturn a list of all Trades associated with a Company.","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[active]\"` (boolean()): Limit results to available trades\n  - `:\"filters[query]\"` (String.t): Query trades by name","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_get/4","doc":"- `{:ok, [%Trade{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_id_get/5","doc":"Show Trade\nReturns the details for a specified Trade.","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Trade ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_id_get/5","doc":"- `{:ok, Procore.Model.Trade.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_post/4","doc":"Create Trade\nCreates a Trade associated to a Company.","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (Body9):","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCompanyTrades.rest_v10_companies_company_id_trades_post/4","doc":"- `{:ok, Procore.Model.Trade.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCompanyTrades.html#rest_v10_companies_company_id_trades_post/4-returns"},{"type":"module","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets","doc":"API calls for all endpoints tagged `CoreConfigurationsConfigurableFieldSets`.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_find_by_index_get/5","doc":"Find Configurable Field Set by Index\nReturns the details for a specified Configurable Field Set if found. If not, template of type Field Set will be returned with ID null.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_find_by_index_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_find_by_index_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `type` (String.t): The type of Configurable Field Set\n- `opts` (keyword): Optional parameters\n  - `:project_id` (integer()): Project ID that is associated to the Configurable Field Set, if applicable\n  - `:\"scope[category]\"` (integer()): Required for an Observations Configurable Field Set (0 = quality, 1 = safety, 2 = commissioning, 3 = warranty, 4 = work to complete)\n  - `:\"scope[inspection_type_id]\"` (integer()): Required for an Inspection Configurable Field Set. If a value is provided, only field set of the specific Inspection type is returned. If no value is provided, only field set of unassociated Inspections (Inspections with no type) is returned.\n  - `:\"scope[generic_tool_id]\"` (integer()): Required for a Generic Tool Item Configurable Field Set (type of ConfigurableFieldSet::GenericToolItem)\n  - `:\"scope[action_plan_type_id]\"` (integer()): Required for an Action Plans Plan Configurable Field Set (type of ConfigurableFieldSet::ActionPlans::Plan)","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_find_by_index_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_find_by_index_get/5","doc":"- `{:ok, Procore.Model.ConfigurableFieldSet2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_find_by_index_get/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_get/4","doc":"List Configurable Field Sets\nReturn a list of all Configurable Field Sets associated with a Company.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:include_lov_entries` (boolean()): whether or not to include LOV entries in the response (defaults to true)\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[type][]\"` ([String.t]): Filter by field set type(s). Could be a string or an array of string.\n  - `:\"filters[generic_tool_id][]\"` ([integer()]): Filter by generic tool id(s). Could be a integer or an array of integer.\n  - `:view` (String.t): Specify which view to render. Options are extended, mobile, or with_project_ids","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_get/4","doc":"- `{:ok, [%ConfigurableFieldSet{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_get/4-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_delete/5","doc":"Delete Configurable Field Set\nDeletes a Configurable Field Set.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Configurable Field Set ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_duplicate_post/6","doc":"Duplicate a Configurable Field Set and its custom fields\nReturns the newly duplicated configurable field set.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_duplicate_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_duplicate_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Configurable Field Set ID\n- `name` (String.t): Name for new fieldset\n- `opts` (keyword): Optional parameters\n  - `:include_custom_fields` (boolean()): Boolean to dictate if the custom fields are duplicated","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_duplicate_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_duplicate_post/6","doc":"- `{:ok, Procore.Model.ConfigurableFieldSet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_duplicate_post/6-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_get/5","doc":"Show Configurable Field Set\nReturns the details for a specified Configurable Field Set","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Configurable Field Set ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_get/5","doc":"- `{:ok, Procore.Model.ConfigurableFieldSet2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_patch/6","doc":"Update Configurable Field Set\nUpdates a Configurable Field Set.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Configurable Field Set ID\n- `rest_v10_companies_company_id_configurable_field_sets_id_patch_request` (RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_patch/6","doc":"- `{:ok, Procore.Model.ConfigurableFieldSet2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_project_options_get/5","doc":"List Configurable Field Set Project options\nReturns projects available for the specified configurable field set","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_project_options_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_project_options_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Configurable Field Set ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:with_name` (String.t): Filter by project name, project number or display name which contains the given text.\n  - `:starts_with` (String.t): Filter by project name, project number or display name starts with the given text.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_project_options_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_project_options_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdConfigurableFieldSetsIdProjectOptionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_project_options_get/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_validations_post/5","doc":"Validate Custom Fields Values With Configurable Field Set\nReturns validation failure/success messages for values supplied to custom fields within the configurable field set.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_validations_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_validations_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Configurable Field Set ID\n- `opts` (keyword): Optional parameters\n  - `:project_id` (integer()): Project ID\n  - `:body` (RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequest):","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_validations_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_id_validations_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_id_validations_post/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_post/5","doc":"Create Configurable Field Sets\nCreates a Configurable Field Set","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_configurable_field_sets_post_request` (RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:include_lov_entries` (boolean()): whether or not to include LOV entries in the response (defaults to true)","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_companies_company_id_configurable_field_sets_post/5","doc":"- `{:ok, Procore.Model.ConfigurableFieldSet2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_companies_company_id_configurable_field_sets_post/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_projects_project_id_configurable_field_sets_get/4","doc":"List Project Configurable Field Sets\nReturn a list of all Configurable Field Sets associated with a Project.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_projects_project_id_configurable_field_sets_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_projects_project_id_configurable_field_sets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:include_lov_entries` (boolean()): whether or not to include LOV entries in the response (defaults to true)\n  - `:types` ([String.t]): Filter by of configurable field set types\n  - `:include_default_configurable_field_sets` (boolean()): Flag to include the default values for each type of Configurable Field Set if one has not been created.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_projects_project_id_configurable_field_sets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_projects_project_id_configurable_field_sets_get/4","doc":"- `{:ok, [%ConfigurableFieldSet{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_projects_project_id_configurable_field_sets_get/4-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_projects_project_id_custom_fields_tool_name_user_options_get/5","doc":"List Custom Fields User options\nReturns login informations that have access to the specified tool.","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_projects_project_id_custom_fields_tool_name_user_options_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_projects_project_id_custom_fields_tool_name_user_options_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `tool_name` (String.t): Tool name identifier\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_projects_project_id_custom_fields_tool_name_user_options_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsConfigurableFieldSets.rest_v10_projects_project_id_custom_fields_tool_name_user_options_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsConfigurableFieldSets.html#rest_v10_projects_project_id_custom_fields_tool_name_user_options_get/5-returns"},{"type":"module","title":"Procore.Api.CoreConfigurationsCustomFieldLovEntries","doc":"API calls for all endpoints tagged `CoreConfigurationsCustomFieldLovEntries`.","ref":"Procore.Api.CoreConfigurationsCustomFieldLovEntries.html"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFieldLovEntries.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_bulk_create_post/4","doc":"Bulk Create Custom Field Lov Entries\nBulk Creates a Custom Field Lov Entries. Position is sorted descending, highest position is visually the top of the list.","ref":"Procore.Api.CoreConfigurationsCustomFieldLovEntries.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_bulk_create_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFieldLovEntries.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_bulk_create_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `custom_field_definition_id` (integer()): Unique identifier for the Custom Field Definition.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesBulkCreatePostRequest):","ref":"Procore.Api.CoreConfigurationsCustomFieldLovEntries.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_bulk_create_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFieldLovEntries.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_bulk_create_post/4","doc":"- `{:ok, [%CustomFieldLovEntry{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFieldLovEntries.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_bulk_create_post/4-returns"},{"type":"module","title":"Procore.Api.CoreConfigurationsCustomFields","doc":"API calls for all endpoints tagged `CoreConfigurationsCustomFields`.","ref":"Procore.Api.CoreConfigurationsCustomFields.html"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_companies_company_id_custom_field_definitions_custom_field_definition_id_configurable_field_sets_get/5","doc":"List Custom Field Definition's Configurable Field Sets\nReturn a list of all Configurable Field Sets for a given Custom Field Definition associated with the Current Company.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_companies_company_id_custom_field_definitions_custom_field_definition_id_configurable_field_sets_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_companies_company_id_custom_field_definitions_custom_field_definition_id_configurable_field_sets_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `custom_field_definition_id` (integer()): Custom Field Definition ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_companies_company_id_custom_field_definitions_custom_field_definition_id_configurable_field_sets_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_companies_company_id_custom_field_definitions_custom_field_definition_id_configurable_field_sets_get/5","doc":"- `{:ok, [%ConfigurableFieldSet2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_companies_company_id_custom_field_definitions_custom_field_definition_id_configurable_field_sets_get/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_get/5","doc":"List Custom Field Lov Entries\nReturn a list of all Custom Field Lov Entries associated with the Current Company and the Custom Field Definition passed by path param.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `custom_field_definition_id` (integer()): Unique identifier for the Custom Field Definition.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[start_with]\"` (String.t): return lov entries that label start with letters\n  - `:\"filters[active]\"` (boolean()): return lov entries that active status is (true or false)\n  - `:\"filters[label_with]\"` (String.t): return lov entries that contains the label with the text","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_get/5","doc":"- `{:ok, Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_get/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_id_get/6","doc":"Show Custom Field Lov Entry\nReturns the details for a specified Custom Field Lov Entry","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `custom_field_definition_id` (integer()): Unique identifier for the Custom Field Definition.\n- `id` (integer()): Unique identifier for the Custom Field List of Values (LOV) Entry.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_id_get/6","doc":"- `{:ok, Procore.Model.CustomFieldLovEntry.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_custom_field_definition_id_custom_field_lov_entries_id_get/6-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_get/4","doc":"List Custom Field Definitions\nDEPRECATED This endpoint has been deprecated, it will be sunset at 9/1/2024. Instead, please use rest/v1.1/companies/{company_id}/custom_field_definitions","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The extended view provides what is shown below. The default view returns the same as the extended view but excludes the attribute custom_field_lov_entries. The with_lov_entries view is the same as extended.\n  - `:tool_name` (String.t): The name of the company/project level tool that is allowed read permissions to custom field definitions.\n  - `:includes_configurable_field_sets_count` (boolean()): If true, response will include the number of field sets using item (custom field).\n  - `:\"filters[with_label]\"` (String.t): Return custom field definitions that label contains text\n  - `:\"scope[type]\"` (String.t): Return custom field definitions that contains fieldset type\n  - `:\"scope[category]\"` (String.t): Return custom field definitions that contains category\n  - `:\"scope[inspection_type_id]\"` (integer()): Return custom field definitions that contains inspection_type_id\n  - `:\"scope[generic_tool_id]\"` (integer()): Return custom field definitions that contains generic_tool_id\n  - `:\"scope[action_plan_type_id]\"` (integer()): Return custom field definitions that contains action_plan_type_id\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_get/4","doc":"- `{:ok, Procore.Model.RestV10CustomFieldDefinitionsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_get/4-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_id_get/5","doc":"Show Custom Field Definition\nReturns the details for a specified Custom Field Definition","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Custom Field Definition ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The extended view provides what is shown below. The default view returns the same as the extended view but excludes the attribute custom_field_lov_entries. The with_lov_entries view is the same as extended.\n  - `:includes_configurable_field_sets_count` (boolean()): If true, response will include the number of field sets using item (custom field).","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_definitions_id_get/5","doc":"- `{:ok, Procore.Model.CustomFieldDefinition1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_definitions_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_metadata_get/4","doc":"List Custom Field Metadata\nReturn a list of all Custom Field Metadata associated with the Current Company.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_metadata_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_metadata_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The extended view provides what is shown below. The default view returns the same as the extended view but excludes the attributes company_id, host_type, source_type, source_id, label, data_type. The with_lov_entries returns the default attributes but adding lov_entries.\n  - `:\"filters[field_set_type][]\"` ([String.t]): Return a list of all Custom Field Metadata associated with the Current Company and source_type provided.\n  - `:\"filters[field_set_id][]\"` ([integer()]): Return a list of all Custom Field Metadata associated with the Current Company and source_id provided.\n  - `:\"filters[custom_field_definitions_id]\"` (integer()): Return a list of all Custom Field Metadata associated with the Current Company and custom_field_definition_id provided.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_metadata_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_metadata_get/4","doc":"- `{:ok, [%CustomFieldMetadatum{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_metadata_get/4-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_metadata_id_get/5","doc":"Show Custom Field Metadatum\nReturns the details for a specified Custom Field Metadatum","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_metadata_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_metadata_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Custom Field Metadatum ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The extended view provides what is shown below. The default view returns the same as the extended view but excludes the attributes company_id, host_type, source_type, source_id, label, data_type. The with_lov_entries returns the default attributes but adding lov_entries.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_metadata_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_field_metadata_id_get/5","doc":"- `{:ok, Procore.Model.CustomFieldMetadatum.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_field_metadata_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_fields_sections_get/4","doc":"List Custom Field Sections\nReturn a list of all Custom Field Sections associated with the Current Company.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_fields_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_fields_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_fields_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_fields_sections_get/4","doc":"- `{:ok, [%CustomFieldsSection{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_fields_sections_get/4-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_fields_sections_id_get/5","doc":"Show Custom Fields Section\nReturns the details for a specified Custom Field Section","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_fields_sections_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_fields_sections_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Custom Fields Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_fields_sections_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v10_custom_fields_sections_id_get/5","doc":"- `{:ok, Procore.Model.CustomFieldsSection.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v10_custom_fields_sections_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreConfigurationsCustomFields.rest_v11_companies_company_id_custom_field_definitions_get/4","doc":"List Custom Field Definitions\nReturn a list of Custom Field Definitions for a given company.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v11_companies_company_id_custom_field_definitions_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreConfigurationsCustomFields.rest_v11_companies_company_id_custom_field_definitions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Items per page, default: 100, max: 100\n  - `:tool_name` (String.t): The name of the company/project level tool that is allowed read permissions to custom field definitions.\n  - `:includes_configurable_field_sets_count` (boolean()): If true, response will include the number of field sets using item (custom field).\n  - `:\"filters[with_label]\"` (String.t): Return custom field definitions that label contains text\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v11_companies_company_id_custom_field_definitions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreConfigurationsCustomFields.rest_v11_companies_company_id_custom_field_definitions_get/4","doc":"- `{:ok, [%CustomFieldDefinition{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreConfigurationsCustomFields.html#rest_v11_companies_company_id_custom_field_definitions_get/4-returns"},{"type":"module","title":"Procore.Api.CoreCostCodesSubJobsCostCodes","doc":"API calls for all endpoints tagged `CoreCostCodesSubJobsCostCodes`.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_copy_from_standard_list_post/4","doc":"Copy from Standard Cost Code List\nCopy Cost Codes from Standard Cost Code List.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_copy_from_standard_list_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_copy_from_standard_list_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body94` (Body94): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_copy_from_standard_list_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_copy_from_standard_list_post/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_copy_from_standard_list_post/4-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_copy_subset_from_standard_list_post/3","doc":"Copy Subset from Standard Cost Code List\nCopy a subset of Cost Codes from Standard Cost Code List.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_copy_subset_from_standard_list_post/3"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_copy_subset_from_standard_list_post/3","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CostCodesCopySubsetFromStandardListPostRequest):","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_copy_subset_from_standard_list_post/3-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_copy_subset_from_standard_list_post/3","doc":"- `{:ok, Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_copy_subset_from_standard_list_post/3-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_get/4","doc":"List Cost Codes\nReturns a list of Cost Codes.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:sub_job_id` (integer()): Unique identifier for the Sub Job\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:view` (String.t): Specifies which view (which attributes) of the resource is going to be present in the response.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_id_get/5","doc":"Show Cost Code\nReturns details on a specific Cost Code.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the Cost Code\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:sub_job_id` (integer()): Unique identifier for the Sub Job","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_id_get/5","doc":"- `{:ok, Procore.Model.Extended.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_id_patch/5","doc":"Update Cost Code\nUpdate a specific Cost Code.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the Cost Code\n- `body93` (Body93): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_id_patch/5","doc":"- `{:ok, Procore.Model.Extended.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_post/4","doc":"Create Cost Code\nCreate a new Cost Code.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body93` (Body93): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_post/4","doc":"- `{:ok, Procore.Model.Extended.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_post/4-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_sync_patch/5","doc":"Sync Cost Codes\nThis endpoint creates or updates a batch of Cost Codes. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `cost_code_sync_body` (CostCodeSyncBody): \n- `opts` (keyword): Optional parameters\n  - `:sub_job_id` (integer()): Unique identifier for the Sub Job","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_cost_codes_sync_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfCostCodes.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_cost_codes_sync_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_get/4","doc":"List Standard Cost Code Lists\nReturn a list of all Standard Cost Code Lists at the Company level. Deprecation Note: Please find the replacement endpoint in the Work Breakdown Structure documents. This endpoint will be replaced with the List Company WBS Segment Item Lists Endpoint.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_get/4","doc":"- `{:ok, [%StandardCostCodeList{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_id_get/5","doc":"Show Standard Cost Code List\nReturn detailed information on a Standard Cost Code List at the Company level.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the Standard Cost Code\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_id_get/5","doc":"- `{:ok, Procore.Model.StandardCostCodeList2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_id_patch/5","doc":"Update Standard Cost Code List\nUpdate a Standard Cost Code List at the Company level.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the Standard Cost Code\n- `body96` (Body96): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_id_patch/5","doc":"- `{:ok, Procore.Model.StandardCostCodeList3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_post/4","doc":"Create Standard Cost Code List\nCreate a new Standard Cost Code List at the Company level.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body95` (Body95): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_code_lists_post/4","doc":"- `{:ok, Procore.Model.StandardCostCodeList2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_code_lists_post/4-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_get/5","doc":"List Standard Cost Codes\nReturn a list of all Standard Cost Codes in a specified Standard Cost Code list.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `standard_cost_code_list_id` (integer()): Standard Cost Code List ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:view` (String.t): The 'default' view only returns id and standard_cost_code_list_id. The 'compact' view also includes origin_id. The 'extended' view includes the more complete list of attributes shown below. The 'extended' view is used when no value is passed in for this parameter.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_get/5","doc":"- `{:ok, [%StandardCostCode{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_delete/5","doc":"Delete Standard Cost Code\nDelete a Standard Cost Code for ERP integrated companies and standard cost code lists. Deprecation Note: Please find the replacement endpoint in the Work Breakdown Structure documents. This endpoint will be replaced with the Delete Company Segment Item Endpoint.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_delete/5","doc":"- `{:ok, Procore.Model.StandardCostCode.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_get/6","doc":"Show Standard Cost Code\nReturn information about a Standard Cost Code from a specified Standard Cost Code list.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `company_id` (integer()): Unique identifier for the company.\n- `standard_cost_code_list_id` (integer()): The ID of the Standard Cost Code List\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The 'default' view only returns id and standard_cost_code_list_id. The 'compact' view also includes origin_id. The 'extended' view includes the more complete list of attributes shown below. The 'extended' view is used when no value is passed in for this parameter.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_get/6","doc":"- `{:ok, Procore.Model.StandardCostCode.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_get/6-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_patch/5","doc":"Update Standard Cost Code\nUpdate a Standard Cost Code.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `body98` (Body98): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The 'default' view only returns id and standard_cost_code_list_id. The 'compact' view also includes origin_id. The 'extended' view includes the more complete list of attributes shown below. The 'extended' view is used when no value is passed in for this parameter.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_id_patch/5","doc":"- `{:ok, Procore.Model.StandardCostCode.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_post/4","doc":"Create Standard Cost Code\nCreate a new Standard Cost Code.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body97` (Body97): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The 'default' view only returns id and standard_cost_code_list_id. The 'compact' view also includes origin_id. The 'extended' view includes the more complete list of attributes shown below. The 'extended' view is used when no value is passed in for this parameter.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_post/4","doc":"- `{:ok, Procore.Model.StandardCostCode.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_post/4-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_sync_patch/4","doc":"Sync Standard Cost Codes\nThis endpoint creates or updates a batch of Standard Cost Codes. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `standard_cost_code_sync_body` (StandardCostCodeSyncBody): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The 'default' view only returns id and standard_cost_code_list_id. The 'compact' view also includes origin_id. The 'extended' view includes the more complete list of attributes shown below. The 'extended' view is used when no value is passed in for this parameter.","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsCostCodes.rest_v10_standard_cost_codes_sync_patch/4","doc":"- `{:ok, Procore.Model.RestV10StandardCostCodesSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsCostCodes.html#rest_v10_standard_cost_codes_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.CoreCostCodesSubJobsSubJobs","doc":"API calls for all endpoints tagged `CoreCostCodesSubJobsSubJobs`.","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_get/4","doc":"List Sub Jobs\nReturn a list of all Sub Jobs in a specified Project.","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_get/4","doc":"- `{:ok, [%RestV10SubJobsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_get/4-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_delete/5","doc":"Delete Sub Job\nDelete a specified Sub Job. Deprecation Note: Please find the replacement endpoint in the Work Breakdown Structure documents. This endpoint will be replaced with the Delete Project Segment Item Endpoint.","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_get/5","doc":"Show Sub Job\nReturn a specified Sub Jobs in a specified Project.","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10SubJobsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_patch/5","doc":"Update Sub Job\nUpdate a specified Sub Job.","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `sub_job_body` (SubJobBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10SubJobsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_post/4","doc":"Create Sub Job\nCreate a new Sub Job.","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `sub_job_body` (SubJobBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_post/4","doc":"- `{:ok, Procore.Model.RestV10SubJobsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_post/4-returns"},{"type":"function","title":"Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_sync_patch/5","doc":"Sync Sub Jobs","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `sub_job_sync_body` (SubJobSyncBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreCostCodesSubJobsSubJobs.rest_v10_sub_jobs_sync_patch/5","doc":"- `{:ok, Procore.Model.RestV10SubJobsSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreCostCodesSubJobsSubJobs.html#rest_v10_sub_jobs_sync_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreDocumentsDocuments","doc":"API calls for all endpoints tagged `CoreDocumentsDocuments`.","ref":"Procore.Api.CoreDocumentsDocuments.html"},{"type":"function","title":"Procore.Api.CoreDocumentsDocuments.rest_v10_companies_company_id_documents_get/4","doc":"Company Folder and File index\nReturn a list of all folders and files in the company","ref":"Procore.Api.CoreDocumentsDocuments.html#rest_v10_companies_company_id_documents_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreDocumentsDocuments.rest_v10_companies_company_id_documents_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Determines how much information to include in the response. `normal` is the default, `extended` provides additional data. The example below shows the `extended` response.\n  - `:sort` (String.t): Field to sort by. If the field is passed with a - (EX: -updated_at) it is sorted in reverse order\n  - `:\"filters[created_by_id]\"` ([integer()]): Return item(s) created by the specified User IDs\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[document_type]\"` (String.t): Return item(s) that are file or folder\n  - `:\"filters[file_type]\"` ([String.t]): Return item(s) that have the file extensions\n  - `:\"filters[is_in_recycle_bin]\"` (boolean()): Return item(s) that are in or not in the recycle bin\n  - `:\"filters[search]\"` (String.t): Return item(s) that contain string in document name and file description\n  - `:\"filters[folder_id]\"` (integer()): Returns the folder for a given id with all subfolders and subfiles up to a depth of 100.  Depths greater than 100 will need multiple queries to get all children.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreDocumentsDocuments.html#rest_v10_companies_company_id_documents_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreDocumentsDocuments.rest_v10_companies_company_id_documents_get/4","doc":"- `{:ok, [%ExampleOfAFolderThatIsAFile{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreDocumentsDocuments.html#rest_v10_companies_company_id_documents_get/4-returns"},{"type":"function","title":"Procore.Api.CoreDocumentsDocuments.rest_v10_projects_project_id_documents_get/4","doc":"Project Folder and File index\nReturn a list of all folders and files in the project","ref":"Procore.Api.CoreDocumentsDocuments.html#rest_v10_projects_project_id_documents_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreDocumentsDocuments.rest_v10_projects_project_id_documents_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Determines how much information to include in the response. `normal` is the default, `extended` provides additional data. The example below shows the `extended` response.\n  - `:sort` (String.t): Field to sort by. If the field is passed with a - (EX: -updated_at) it is sorted in reverse order\n  - `:\"filters[created_by_id]\"` ([integer()]): Return item(s) created by the specified User IDs\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[document_type]\"` (String.t): Return item(s) that are file or folder\n  - `:\"filters[file_type]\"` ([String.t]): Return item(s) that have the file extensions\n  - `:\"filters[is_in_recycle_bin]\"` (boolean()): Return item(s) that are in or not in the recycle bin\n  - `:\"filters[search]\"` (String.t): Return item(s) that contain string in document name and file description\n  - `:\"filters[folder_id]\"` (integer()): Returns the folder for a given id with all subfolders and subfiles up to a depth of 100.  Depths greater than 100 will need multiple queries to get all children.\n  - `:\"filters[custom_tag_ids]\"` ([integer()]): Return item(s) with specified custom tag IDs\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreDocumentsDocuments.html#rest_v10_projects_project_id_documents_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreDocumentsDocuments.rest_v10_projects_project_id_documents_get/4","doc":"- `{:ok, [%ExampleOfAFolderThatIsAFile{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreDocumentsDocuments.html#rest_v10_projects_project_id_documents_get/4-returns"},{"type":"module","title":"Procore.Api.CoreLocalFilesLocalFiles","doc":"API calls for all endpoints tagged `CoreLocalFilesLocalFiles`.","ref":"Procore.Api.CoreLocalFilesLocalFiles.html"},{"type":"function","title":"Procore.Api.CoreLocalFilesLocalFiles.rest_v10_local_files_uuid_get/4","doc":"Get file by its UUID\nGet binary file content(from the local disk) or redirect to the File service(on remote storage).","ref":"Procore.Api.CoreLocalFilesLocalFiles.html#rest_v10_local_files_uuid_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreLocalFilesLocalFiles.rest_v10_local_files_uuid_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `uuid` (String.t): UUID of the file\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreLocalFilesLocalFiles.html#rest_v10_local_files_uuid_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreLocalFilesLocalFiles.rest_v10_local_files_uuid_get/4","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreLocalFilesLocalFiles.html#rest_v10_local_files_uuid_get/4-returns"},{"type":"module","title":"Procore.Api.CoreOpenItemsOpenItems","doc":"API calls for all endpoints tagged `CoreOpenItemsOpenItems`.","ref":"Procore.Api.CoreOpenItemsOpenItems.html"},{"type":"function","title":"Procore.Api.CoreOpenItemsOpenItems.rest_v10_open_items_all_get/4","doc":"Get Open Items Statistics\nReturn open items statistics for a project (all users)","ref":"Procore.Api.CoreOpenItemsOpenItems.html#rest_v10_open_items_all_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreOpenItemsOpenItems.rest_v10_open_items_all_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:tool_name` (String.t):","ref":"Procore.Api.CoreOpenItemsOpenItems.html#rest_v10_open_items_all_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreOpenItemsOpenItems.rest_v10_open_items_all_get/4","doc":"- `{:ok, Procore.Model.RestV10OpenItemsAllGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreOpenItemsOpenItems.html#rest_v10_open_items_all_get/4-returns"},{"type":"function","title":"Procore.Api.CoreOpenItemsOpenItems.rest_v10_open_items_mine_get/4","doc":"Get Open Items Statistics\nReturn open items statistics for a project (current user)","ref":"Procore.Api.CoreOpenItemsOpenItems.html#rest_v10_open_items_mine_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreOpenItemsOpenItems.rest_v10_open_items_mine_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:tool_name` (String.t):","ref":"Procore.Api.CoreOpenItemsOpenItems.html#rest_v10_open_items_mine_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreOpenItemsOpenItems.rest_v10_open_items_mine_get/4","doc":"- `{:ok, Procore.Model.RestV10OpenItemsAllGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreOpenItemsOpenItems.html#rest_v10_open_items_mine_get/4-returns"},{"type":"module","title":"Procore.Api.CorePermissionsPermissions","doc":"API calls for all endpoints tagged `CorePermissionsPermissions`.","ref":"Procore.Api.CorePermissionsPermissions.html"},{"type":"function","title":"Procore.Api.CorePermissionsPermissions.rest_v10_settings_permissions_get/3","doc":"Show permission manifest\nCompany or project permission manifest for the current user","ref":"Procore.Api.CorePermissionsPermissions.html#rest_v10_settings_permissions_get/3"},{"type":"function","title":"Parameters - Procore.Api.CorePermissionsPermissions.rest_v10_settings_permissions_get/3","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `opts` (keyword): Optional parameters\n  - `:project_id` (integer()): This parameter is required for project level permissions and should be omitted for company level permissions.\n  - `:company_id` (integer()): This parameter is required for company level permissions and should be omitted for project level permissions.\n  - `:filter_correspondence_types` (boolean()): Filter out Correspondence Types from permissions.","ref":"Procore.Api.CorePermissionsPermissions.html#rest_v10_settings_permissions_get/3-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePermissionsPermissions.rest_v10_settings_permissions_get/3","doc":"- `{:ok, Procore.Model.RestV10SettingsPermissionsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePermissionsPermissions.html#rest_v10_settings_permissions_get/3-returns"},{"type":"module","title":"Procore.Api.CorePortfolioProjects","doc":"API calls for all endpoints tagged `CorePortfolioProjects`.","ref":"Procore.Api.CorePortfolioProjects.html"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_get/4","doc":"List projects\nReturn a list of active Projects.  If the authenticated user has full company admin permissions the request will return all of the projects in the company. If the user does not have full company admin permissions, the request will only return the projects that the user has been added to.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_get/4"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[by_status]\"` (String.t): Filters on project status. Must be one of Active, Inactive, or All.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[synced]\"` (boolean()): If true, returns only item(s) with a `synced` status.\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:\"filters[custom_fields]\"` (map()): JSON object returns project with matching custom_field_values\n  - `:view` (String.t): The 'compact' view only returns id, name and display_name. Passing any other value (or passing no value at all) will result in the more complete list of attributes shown below.\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_get/4","doc":"- `{:ok, [%Project1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_get/4-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_id_filters_filter_name_get/7","doc":"List possible Tool filter values\nList all possible values customer can apply to a filter","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_filters_filter_name_get/7"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_filters_filter_name_get/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the project.\n- `filter_name` (String.t): Filter name\n- `tool` (String.t): Tool name\n- `tab` (String.t): Tab name\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_filters_filter_name_get/7-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_filters_filter_name_get/7","doc":"- `{:ok, [%RestV10ProjectsIdFiltersFilterNameGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_filters_filter_name_get/7-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_id_filters_get/6","doc":"List filters\nList all filters customer can use for the project and tool","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_filters_get/6"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_filters_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the project.\n- `tool` (String.t): Tool name\n- `tab` (String.t): Tab name\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_filters_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_filters_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsIdFiltersGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_filters_get/6-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_id_get/5","doc":"Show project\nShow details for the specified project in Procore.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the project.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_get/5","doc":"- `{:ok, Procore.Model.Project3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_get/5-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_id_logo_delete/4","doc":"Delete the project logo\nUpdates the project setting the logo reference to null","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_logo_delete/4"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_logo_delete/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_logo_delete/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_logo_delete/4","doc":"- `{:ok, Procore.Model.Project3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_logo_delete/4-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_id_logo_post/5","doc":"Create a project logo\nUpdates the project logo from a upload and returns the updated project.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_logo_post/5"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_logo_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the project.\n- `body32` (Body32): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_logo_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_logo_post/5","doc":"- `{:ok, Procore.Model.Project3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_logo_post/5-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_id_patch/5","doc":"Update project\nUpdate information for an existing project.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Unique identifier for the project.\n- `body31` (Body31): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_id_patch/5","doc":"- `{:ok, Procore.Model.Project3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_post/4","doc":"Create project\nCreate a new Project in a Procore account. The new project is active by default.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information. #### Recommendation For accounts creating a significant number of projects (more than 300),  schedule these operations during non-business hours (5 P.M PST - 7 A.M PST) to optimize efficiency. Coordinate the timing with your solution architect for insights into system load and effective resource utilization.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_post/4"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body30` (Body30): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_post/4","doc":"- `{:ok, Procore.Model.Project3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_post/4-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v10_projects_sync_patch/4","doc":"Sync projects\nCreate or update a batch of projects. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information. #### Recommendation Please be advised to not use the sync endpoint for bulk project creation due to potential performance bottlenecks.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v10_projects_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_projects_sync_patch_request` (RestV10ProjectsSyncPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:company_id` (integer()): Unique identifier for the company.\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v10_projects_sync_patch/4","doc":"- `{:ok, Procore.Model.ArrayOfProjects.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v10_projects_sync_patch/4-returns"},{"type":"function","title":"Procore.Api.CorePortfolioProjects.rest_v11_projects_get/4","doc":"List projects\nReturn a list of active Projects.  If the authenticated user has full company admin permissions the request will return all of the projects in the company. If the user does not have full company admin permissions, the request will only return the projects that the user has been added to. The default pagination is 100 projects per page. The max page size is 300 projects due to the size of the data in the response.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v11_projects_get/4"},{"type":"function","title":"Parameters - Procore.Api.CorePortfolioProjects.rest_v11_projects_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[by_status]\"` (String.t): Filters on project status. Must be one of Active, Inactive, or All.\n  - `:\"filters[project_number]\"` (String.t): Filters on project number.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[synced]\"` (boolean()): If true, returns only item(s) with a `synced` status.\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:\"filters[is_demo]\"` (boolean()): Filters on project is_demo attribute, which indicates whether project is for demonstration purposes. \n  - `:\"filters[custom_fields]\"` (map()): JSON object returns project with matching custom_field_values\n  - `:view` (String.t): The view determines which fields are returned. 'compact' will only return id and name. 'normal' returns more fields, while 'extended' returns all the project information\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CorePortfolioProjects.html#rest_v11_projects_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CorePortfolioProjects.rest_v11_projects_get/4","doc":"- `{:ok, [%RestV11ProjectsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CorePortfolioProjects.html#rest_v11_projects_get/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectAdminEquipment","doc":"API calls for all endpoints tagged `CoreProjectAdminEquipment`.","ref":"Procore.Api.CoreProjectAdminEquipment.html"},{"type":"function","title":"Procore.Api.CoreProjectAdminEquipment.rest_v10_equipment_get/4","doc":"List equipment\nReturn a list of all Project Equipment.","ref":"Procore.Api.CoreProjectAdminEquipment.html#rest_v10_equipment_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectAdminEquipment.rest_v10_equipment_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectAdminEquipment.html#rest_v10_equipment_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectAdminEquipment.rest_v10_equipment_get/4","doc":"- `{:ok, [%Equipment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectAdminEquipment.html#rest_v10_equipment_get/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectDepartments","doc":"API calls for all endpoints tagged `CoreProjectDepartments`.","ref":"Procore.Api.CoreProjectDepartments.html"},{"type":"function","title":"Procore.Api.CoreProjectDepartments.rest_v10_departments_get/4","doc":"List Departments\nReturn a list of Departments.","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDepartments.rest_v10_departments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDepartments.rest_v10_departments_get/4","doc":"- `{:ok, [%Department{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDepartments.rest_v10_departments_id_delete/5","doc":"Delete Department\nDelete a Department.","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDepartments.rest_v10_departments_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Department ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDepartments.rest_v10_departments_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDepartments.rest_v10_departments_id_get/5","doc":"Show Department\nReturn details for a Department.","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDepartments.rest_v10_departments_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Department ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDepartments.rest_v10_departments_id_get/5","doc":"- `{:ok, Procore.Model.Department.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDepartments.rest_v10_departments_id_patch/5","doc":"Update Department\nUpdate a Department.","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDepartments.rest_v10_departments_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Department ID\n- `department_body` (DepartmentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDepartments.rest_v10_departments_id_patch/5","doc":"- `{:ok, Procore.Model.Department.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDepartments.rest_v10_departments_post/4","doc":"Create Department\nCreate a new Department.","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDepartments.rest_v10_departments_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `department_body` (DepartmentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDepartments.rest_v10_departments_post/4","doc":"- `{:ok, Procore.Model.Department.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDepartments.html#rest_v10_departments_post/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectDistributionGroups`.","ref":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.rest_v10_projects_project_id_distribution_groups_get/4","doc":"List Project Distribution Groups\nReturn a list of all Distribution Groups associated with a Project.","ref":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.html#rest_v10_projects_project_id_distribution_groups_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectDistributionGroups.rest_v10_projects_project_id_distribution_groups_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.\n  - `:sort` (String.t): Return items with the specified sort.\n  - `:view` (String.t): Parameter affecting what level of detail will be returned from the endpoint. 'extended' will include the users included in each distribution group.\n  - `:include_ancestors` (boolean()): Parameter affecting the scope for the Distribution Groups, by default is 'false' to only return the Distribution Groups at Project level. Setting it to 'true' will also include Distribution Groups at Company level.\n  - `:domain_id` (integer()): Parameter affecting the scope for the Distribution Groups, by default it is the Domain ID of the Submittals Tool. Will return only Distributions Groups who users that have access to the Tool specified by the domain_id. Only applies to requests that also have include_ancestors set to 'true'.\n  - `:min_ual` (integer()): Parameter affecting the scope for the Distribution Groups, by default it is the 'read' user access level. Will return only Distributions Groups who users that have the min ual specified by the 'min_ual'. Only applies to requests that also have include_ancestors set to 'true'.","ref":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.html#rest_v10_projects_project_id_distribution_groups_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectDistributionGroups.rest_v10_projects_project_id_distribution_groups_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.html#rest_v10_projects_project_id_distribution_groups_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.rest_v10_projects_project_id_distribution_groups_post/5","doc":"Create Project Distribution Group\nCreate a new Distribution Group associated with the given Project.","ref":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.html#rest_v10_projects_project_id_distribution_groups_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectDistributionGroups.rest_v10_projects_project_id_distribution_groups_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `create_distribution_group_body` (CreateDistributionGroupBody): \n- `opts` (keyword): Optional parameters\n  - `:\"Idempotency-Token\"` (String.t): Unique idempotent token","ref":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.html#rest_v10_projects_project_id_distribution_groups_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectDistributionGroups.rest_v10_projects_project_id_distribution_groups_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDistributionGroupsPost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectDistributionGroups.html#rest_v10_projects_project_id_distribution_groups_post/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectInactivePeople","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectInactivePeople`.","ref":"Procore.Api.CoreProjectDirectoryProjectInactivePeople.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInactivePeople.rest_v10_projects_project_id_people_inactive_get/4","doc":"List Inactive Project People\nReturn a list of People associated with a Project. Includes users in the directory and reference users.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreProjectDirectoryProjectInactivePeople.html#rest_v10_projects_project_id_people_inactive_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInactivePeople.rest_v10_projects_project_id_people_inactive_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): ID of the project\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[is_employee]\"` (boolean()): If true, returns item(s) where `is_employee` value is true.\n  - `:\"filters[reference_users_only]\"` (boolean()): If true, returns only people who are reference users.\n  - `:\"filters[include_company_people]\"` (boolean()): If true, returns people in the Company not just the Project. This option only works if the user has permission to create people in the project directory or permission to read from the company directory.\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.","ref":"Procore.Api.CoreProjectDirectoryProjectInactivePeople.html#rest_v10_projects_project_id_people_inactive_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInactivePeople.rest_v10_projects_project_id_people_inactive_get/4","doc":"- `{:ok, [%ProjectPerson1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInactivePeople.html#rest_v10_projects_project_id_people_inactive_get/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectInactiveUsers`.","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.rest_v10_projects_project_id_users_inactive_get/4","doc":"List Project inactive users\nReturn a list of all Inactive Users associated with a Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.html#rest_v10_projects_project_id_users_inactive_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInactiveUsers.rest_v10_projects_project_id_users_inactive_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.html#rest_v10_projects_project_id_users_inactive_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInactiveUsers.rest_v10_projects_project_id_users_inactive_get/4","doc":"- `{:ok, [%InactiveUser{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.html#rest_v10_projects_project_id_users_inactive_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.rest_v10_projects_project_id_users_inactive_id_patch/5","doc":"Reactivate project user.\nReactivate the specified User. #### OK Response For null values, the key won't be returned","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.html#rest_v10_projects_project_id_users_inactive_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInactiveUsers.rest_v10_projects_project_id_users_inactive_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.html#rest_v10_projects_project_id_users_inactive_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInactiveUsers.rest_v10_projects_project_id_users_inactive_id_patch/5","doc":"- `{:ok, Procore.Model.User.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveUsers.html#rest_v10_projects_project_id_users_inactive_id_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectInactiveVendors`.","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.rest_v10_projects_project_id_vendors_inactive_get/4","doc":"List Project Inactive Vendors\nReturn a list of all Inactive Vendors associated with a Project.","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.html#rest_v10_projects_project_id_vendors_inactive_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInactiveVendors.rest_v10_projects_project_id_vendors_inactive_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Return items with the specified sort","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.html#rest_v10_projects_project_id_vendors_inactive_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInactiveVendors.rest_v10_projects_project_id_vendors_inactive_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.html#rest_v10_projects_project_id_vendors_inactive_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.rest_v10_projects_project_id_vendors_inactive_id_patch/5","doc":"Reactivate project vendor\nReactivate a specified Project Vendor.","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.html#rest_v10_projects_project_id_vendors_inactive_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInactiveVendors.rest_v10_projects_project_id_vendors_inactive_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.html#rest_v10_projects_project_id_vendors_inactive_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInactiveVendors.rest_v10_projects_project_id_vendors_inactive_id_patch/5","doc":"- `{:ok, Procore.Model.NormalView2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInactiveVendors.html#rest_v10_projects_project_id_vendors_inactive_id_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectInsurances","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectInsurances`.","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_get/4","doc":"List project insurances\nReturn a list of all Insurances associated with the specified Project.","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_get/4","doc":"- `{:ok, [%Insurance{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_delete/5","doc":"Delete project insurance\nDelete the specified Insurance.","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_get/5","doc":"Show project insurance\nReturn detailed information on the specified Insurance.","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_get/5","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_patch/6","doc":"Update project insurance\nUpdate the specified Insurance.","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `body39` (Body39): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_id_patch/6","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_post/5","doc":"Create project insurance\nCreate a new Insurance associated with the specified Project.","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body39` (Body39): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_post/5","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_sync_patch/5","doc":"Sync Project Insurances\nThis endpoint creates or updates a batch of Project Insurances.","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `insurance_sync_body1` (InsuranceSyncBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectInsurances.rest_v10_projects_project_id_insurances_sync_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfProjectInsurances.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectInsurances.html#rest_v10_projects_project_id_insurances_sync_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectMemberships","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectMemberships`.","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_bulk_add_post/5","doc":"Bulk Create Project Memberships\nBulk Create Project Memberships for many parties on the given Project.  This endpoint can currently only be used to add reference users to a project. It cannot be used to add a user who has a login or to add vendors.","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_bulk_add_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_bulk_add_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bulk_create_project_membership_body` (BulkCreateProjectMembershipBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_bulk_add_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_bulk_add_post/5","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_bulk_add_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_get/4","doc":"List Project Memberships\nList all Project Memberships on a given Project.  This endpoint returns all Memberships, including inactive Users/Vendors.","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_get/4","doc":"- `{:ok, [%ProjectMembership{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_id_delete/6","doc":"Delete Project Membership\nDelete a Project Membership for a party on the given Project.  This endpoint can currently only be used to delete reference users from a project. It cannot be used to delete a user who has a login or to delete vendors.","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): The ID of the Project Membership\n- `party_id` (integer()): The ID of the Party (reference user)\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_id_delete/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_post/5","doc":"Create Project Membership\nCreate a Project Membership for a party on the given Project.  This endpoint can currently only be used to add reference users to a project. It cannot be used to add a user who has a login or to add vendors.","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `project_membership_body` (ProjectMembershipBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectMemberships.rest_v10_projects_project_id_project_memberships_post/5","doc":"- `{:ok, [%Float{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectMemberships.html#rest_v10_projects_project_id_project_memberships_post/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectPeople","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectPeople`.","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_get/4","doc":"List Project People\nReturn a list of People associated with a Project. Includes users in the directory and reference users.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view of the resource to return (which attributes should be present in the response). Users without read permissions to Directory are limited to the normal and extended views. If a valid view is not provided, it will default to normal.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[is_employee]\"` (boolean()): If true, returns item(s) where `is_employee` value is true.\n  - `:\"filters[reference_users_only]\"` (boolean()): If true, returns only people who are reference users.\n  - `:\"filters[include_company_people]\"` (boolean()): If true, returns people in the Company not just the Project. This option only works if the user has permission to create people in the project directory or permission to read from the company directory.\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdPeopleGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_id_patch/6","doc":"Update project person\nUpdate the specified Project User.","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): ID of the project\n- `id` (integer()): ID of the person\n- `project_person_body` (ProjectPersonBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_id_patch/6","doc":"- `{:ok, Procore.Model.ProjectPerson1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_post/5","doc":"Create project Person\nCreate a new Person in the specified Project.  This endpoint can currently only create reference users. It cannot create a user who can login.","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `project_person_body` (ProjectPersonBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectPeople.rest_v10_projects_project_id_people_post/5","doc":"- `{:ok, Procore.Model.ProjectPerson1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectPeople.html#rest_v10_projects_project_id_people_post/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplates","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectPermissionTemplates`.","ref":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplates.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplates.rest_v10_projects_project_id_permission_templates_get/4","doc":"List all available permission templates for a Project\nReturns the name, id, and project specific status for all Permission Templates available to use on the specified Project.","ref":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplates.html#rest_v10_projects_project_id_permission_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectPermissionTemplates.rest_v10_projects_project_id_permission_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[assignables_only]\"` (boolean()): Returns user's assignable permission templates","ref":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplates.html#rest_v10_projects_project_id_permission_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectPermissionTemplates.rest_v10_projects_project_id_permission_templates_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdPermissionTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplates.html#rest_v10_projects_project_id_permission_templates_get/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplatesAssignments","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectPermissionTemplatesAssignments`.","ref":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplatesAssignments.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplatesAssignments.rest_v10_projects_project_id_permission_template_assignments_patch/5","doc":"Update a permission template assignment for a user on a project\nReturns the user_id and permission_template_id for the new permission template assignment","ref":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplatesAssignments.html#rest_v10_projects_project_id_permission_template_assignments_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectPermissionTemplatesAssignments.rest_v10_projects_project_id_permission_template_assignments_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_permission_template_assignments_patch_request` (RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplatesAssignments.html#rest_v10_projects_project_id_permission_template_assignments_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectPermissionTemplatesAssignments.rest_v10_projects_project_id_permission_template_assignments_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectPermissionTemplatesAssignments.html#rest_v10_projects_project_id_permission_template_assignments_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectUsers","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectUsers`.","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_get/4","doc":"List Project Users\nReturns a list of active users associated with a project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): Specifies which view of the resource to return (which attributes should be present in the response). Users without read permissions to Directory are limited to the compact view. Otherwise, the default view is normal.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[permission_template]\"` (integer()): Permission Template ID. Returns item(s) assiociated with the specified Permission Template ID.\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Returns users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:\"filters[employee]\"` (boolean()): Returns users whose is_employee attribute matches the parameter.\n  - `:\"filters[id]\"` (integer()): Returns users whose id attribute matches the parameter.\n  - `:sort` (String.t): Returns items with the specified sort.","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdUsersGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_actions_add_post/5","doc":"Add company user to project\nAdds a user from the Company Directory to the Project Directory. #### Created Response For null values, the key won't be returned","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_actions_add_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_actions_add_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdUsersIdActionsAddPostRequest):","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_actions_add_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_actions_add_post/5","doc":"- `{:ok, Procore.Model.NormalView.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_actions_add_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_actions_remove_delete/5","doc":"Remove a user from the project\nRemoves a specified user from a project.","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_actions_remove_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_actions_remove_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_actions_remove_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_actions_remove_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_actions_remove_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_get/5","doc":"Show project user\nShow detail on a specified Project User.  #### OK Response For null values, the key won't be returned","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the user\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_get/5","doc":"- `{:ok, Procore.Model.User.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_patch/6","doc":"Update project user\nUpdates the specified project user. The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information. For OK responses with null values, the key will not be returned.  Note: The `is_active` parameter value requires a boolean value to be passed in. Setting this parameter to false deactivates the user. If you have deactivated a user by setting `is_active` to false and then try to reactivate the user by setting `is_active` to true, you will receive an error message. To reactivate the user via API, you need to call the [Sync Company Users](/reference/rest/v1/company-users#sync-company-users) method.","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the user\n- `project_user_body1` (ProjectUserBody1): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_id_patch/6","doc":"- `{:ok, Procore.Model.User.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_post/5","doc":"Create project user\nCreates a new user in the specified project.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.  #### Created Response For null values, the key won't be returned","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `project_user_body` (ProjectUserBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectUsers.rest_v10_projects_project_id_users_post/5","doc":"- `{:ok, Procore.Model.User.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectUsers.html#rest_v10_projects_project_id_users_post/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectVendorInsurances`.","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_get/5","doc":"List project vendor insurances\nReturn a list of Insurances from the specified Project Vendor.","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `vendor_id` (integer()): Vendor ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_get/5","doc":"- `{:ok, [%Insurance{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_delete/6","doc":"Delete project vendor insurance\nDelete the specified Project Vendor Insurance.","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `vendor_id` (integer()): Vendor ID\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_delete/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_get/6","doc":"Show project vendor insurance\nShow detail on the specified Project Vendor Insurance.","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `vendor_id` (integer()): Vendor ID\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_get/6","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_get/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_patch/7","doc":"Update project vendor insurance\nUpdate the specified Project Vendor Insurance.","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `vendor_id` (integer()): Vendor ID\n- `id` (integer()): ID\n- `body33` (Body33): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_id_patch/7","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_id_patch/7-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_post/6","doc":"Create project vendor insurance\nCreate a new Insurance associated with the specified Project Vendor.","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `vendor_id` (integer()): Vendor ID\n- `body33` (Body33): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_post/6","doc":"- `{:ok, Procore.Model.Insurance.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_post/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_sync_patch/6","doc":"Sync Project Vendor Insurances\nThis endpoint creates or updates a batch of Project Vendor Insurances.","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_sync_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_sync_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `vendor_id` (integer()): Vendor ID\n- `insurance_sync_body` (InsuranceSyncBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_sync_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendorInsurances.rest_v10_projects_project_id_vendors_vendor_id_insurances_sync_patch/6","doc":"- `{:ok, Procore.Model.ArrayOfCompanyVendorInsurances.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendorInsurances.html#rest_v10_projects_project_id_vendors_vendor_id_insurances_sync_patch/6-returns"},{"type":"module","title":"Procore.Api.CoreProjectDirectoryProjectVendors","doc":"API calls for all endpoints tagged `CoreProjectDirectoryProjectVendors`.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_get/4","doc":"List project vendors\nReturn a list of Vendors associated with a specified Project.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[search]\"` (String.t): Return vendors where the search string matches the vendor name, keywords, origin_code, or ABN/EIN number\n  - `:\"filters[standard_cost_code_id][]\"` ([integer()]): Returns vendors associated with the specified standard cost code id(s)\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns vendors associated with the specified trade id(s)\n  - `:\"filters[id][]\"` ([integer()]): Returns vendors with the specified id(s)\n  - `:\"filters[parent_id][]\"` ([integer()]): Returns vendors with the specified parent id(s)\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_actions_add_post/5","doc":"Add to project\nAdd a specified vendor to a Project from the Company Directory.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_actions_add_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_actions_add_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_actions_add_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_actions_add_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_actions_add_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_actions_remove_delete/5","doc":"Delete from project\nRemove a specified Vendor from a Project.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_actions_remove_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_actions_remove_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_actions_remove_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_actions_remove_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_actions_remove_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_get/5","doc":"Show project vendor\nShow detail on a specified Project Vendor.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_patch/6","doc":"Update project vendor\nUpdate a specified Project Vendor.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `project_vendor_body1` (ProjectVendorBody1): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_post/5","doc":"Create project vendor\nCreate a new Project Vendor.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `project_vendor_body` (ProjectVendorBody): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v10_projects_project_id_vendors_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v10_projects_project_id_vendors_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_get/4","doc":"List project vendors\nReturn a list of Vendors associated with a specified Project.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view of the resource to return (which attributes should be present in the response). Users without read permissions to Directory are limited to ids_only, name, and minimal views. If a valid view is not provided, it will return the default view: minimal for users without read permissions and normal otherwise.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[search]\"` (String.t): Return vendors where the search string matches the vendor name, keywords, origin_code, or ABN/EIN number\n  - `:\"filters[standard_cost_code_id][]\"` ([integer()]): Returns vendors associated with the specified standard cost code id(s)\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns vendors associated with the specified trade id(s)\n  - `:\"filters[id][]\"` ([integer()]): Returns vendors with the specified id(s)\n  - `:\"filters[parent_id][]\"` ([integer()]): Returns vendors with the specified parent id(s)\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdVendorsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_actions_add_post/5","doc":"Add to project\nAdd a specified vendor to a Project from the Company Directory.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_actions_add_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_actions_add_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_actions_add_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_actions_add_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_actions_add_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_actions_remove_delete/5","doc":"Delete from project\nRemove a specified Vendor from a Project.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_actions_remove_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_actions_remove_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_actions_remove_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_actions_remove_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_actions_remove_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_get/5","doc":"Show project vendor\nShow detail on a specified Project Vendor.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_patch/6","doc":"Update project vendor\nUpdate a specified Project Vendor.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the vendor\n- `project_vendor_body1` (ProjectVendorBody1): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view and normal view provides what is shown below. The extended view is the same as the normal view but includes children_count, legal_name, parent, and bidding. The ERP view is the same as the normal view but it includes origin_custom_fields. The default view is normal.\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_post/5","doc":"Create project vendor\nCreate a new Project Vendor.  #### Country and State codes The `country_code` and `state_code` parameter values must conform to the ISO-3166 Alpha-2 specification. See [Working with Country Codes](/documentation/country-codes) for additional information.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `project_vendor_body` (ProjectVendorBody): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies which view of the resource to return (which attributes should be present in the response). The default view is normal.\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDirectoryProjectVendors.rest_v11_projects_project_id_vendors_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdVendorsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDirectoryProjectVendors.html#rest_v11_projects_project_id_vendors_post/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDocumentsProjectDocuments","doc":"API calls for all endpoints tagged `CoreProjectDocumentsProjectDocuments`.","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_get/4","doc":"List project Document Custom Tags\nReturn a list of Document Custom Tags for a specified Project.","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[document_id]\"` (integer()): ID of the Folder or File","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_id_delete/6","doc":"Delete Document Custom Tag\nDelete a Custom Tag From a specified Folder or File","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Custom Tag\n- `document_id` (integer()): ID of the Folder or File to remove the Custom Tag from\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_id_delete/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_id_delete/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_post/5","doc":"Create Document Custom Tag\nCreate a new Custom Tag for the specified Folder or File","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body40` (Body40): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectDocuments.rest_v10_projects_project_id_document_custom_tags_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectDocuments.html#rest_v10_projects_project_id_document_custom_tags_post/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles","doc":"API calls for all endpoints tagged `CoreProjectDocumentsProjectFoldersAndFiles`.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_file_versions_id_get/5","doc":"Show project file version\nShow detailed information about a File Version.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_file_versions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_file_versions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the file version\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_file_versions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_file_versions_id_get/5","doc":"- `{:ok, Procore.Model.RestV10FileVersionsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_file_versions_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_file_versions_post/6","doc":"Create project file version\nUpload a new version of a specific file in the Project Documents tool.  See the Procore Support website articles on [Project Documents](https://support.procore.com/products/online/user-guide/project-level/documents) for additional information.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_file_versions_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_file_versions_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `file_id` (integer()): The id of the File\n- `file_version` (Procore.Model.RestV10FileVersionsPostRequestFileVersion.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_file_versions_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_file_versions_post/6","doc":"- `{:ok, Procore.Model.RestV10FileVersionsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_file_versions_post/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_delete/5","doc":"Delete project File\nDelete the specified File by moving it to the recycle bin.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the File\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_get/5","doc":"Show project File\nShow detailed information about a File.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the File\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:show_latest_version_only` (boolean()): Show only latest File version","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_get/5","doc":"- `{:ok, Procore.Model.RestV10FilesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_patch/6","doc":"Update project File\nUpdate the specified File (creates a new file version).","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the File\n- `project_id` (integer()): Unique identifier for the project.\n- `file` (Procore.Model.RestV10FilesIdPatchRequestFile.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10FilesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_post/5","doc":"Create project File\nCreate a new File in the specified Project.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `file` (Procore.Model.RestV10FilesPostRequestFile.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_files_post/5","doc":"- `{:ok, Procore.Model.RestV10FilesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_files_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_get/4","doc":"List project folders and files\nReturns a list of folders and files for a specified project. Note: this operation will return all of the folders and files within the root folder of that project's document structure. For any folders that are nested more deeply an empty array [] will be returned.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:exclude_folders` (boolean()): Exclude child folders from results. Must be either true or false.\n  - `:exclude_files` (boolean()): Exclude child files from results. Must be either true or false.\n  - `:show_latest_file_version_only` (boolean()): Show only the latest file version. Must be either true or false.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_get/4","doc":"- `{:ok, Procore.Model.Folder.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_delete/5","doc":"Delete Project Folder\nDelete the specified folder by moving it to the recycle bin.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the folder\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_get/5","doc":"Show Project Folder\nShow detail on the specified folder. Must be either true or false.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the folder\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:exclude_folders` (boolean()): Exclude children Folders from results. Must be either true or false.\n  - `:exclude_files` (boolean()): Exclude children files from results. Must be either true or false.\n  - `:show_latest_file_version_only` (boolean()): Show only the latest file version. Must be either true or false.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_get/5","doc":"- `{:ok, Procore.Model.Folder.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_patch/6","doc":"Update Project Folder\nUpdate the specified folder.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the folder\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_folders_id_patch_request` (RestV10FoldersIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_id_patch/6","doc":"- `{:ok, Procore.Model.Folder1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_post/5","doc":"Create Project Folder\nCreate a new folder in the specified project.","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_folders_post_request` (RestV10FoldersPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.rest_v10_folders_post/5","doc":"- `{:ok, Procore.Model.Folder1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectDocumentsProjectFoldersAndFiles.html#rest_v10_folders_post/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectFiltersProjectFilters","doc":"API calls for all endpoints tagged `CoreProjectFiltersProjectFilters`.","ref":"Procore.Api.CoreProjectFiltersProjectFilters.html"},{"type":"function","title":"Procore.Api.CoreProjectFiltersProjectFilters.rest_v10_companies_company_id_filters_get/4","doc":"List filters\nReturn a list of available filters.","ref":"Procore.Api.CoreProjectFiltersProjectFilters.html#rest_v10_companies_company_id_filters_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectFiltersProjectFilters.rest_v10_companies_company_id_filters_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectFiltersProjectFilters.html#rest_v10_companies_company_id_filters_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectFiltersProjectFilters.rest_v10_companies_company_id_filters_get/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdFiltersGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectFiltersProjectFilters.html#rest_v10_companies_company_id_filters_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectFiltersProjectFilters.rest_v10_companies_company_id_filters_name_get/5","doc":"Return a filter\nReturn a filter by a specific name.","ref":"Procore.Api.CoreProjectFiltersProjectFilters.html#rest_v10_companies_company_id_filters_name_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectFiltersProjectFilters.rest_v10_companies_company_id_filters_name_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `name` (String.t): Filter name.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectFiltersProjectFilters.html#rest_v10_companies_company_id_filters_name_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectFiltersProjectFilters.rest_v10_companies_company_id_filters_name_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdFiltersGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectFiltersProjectFilters.html#rest_v10_companies_company_id_filters_name_get/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectLinksLinks","doc":"API calls for all endpoints tagged `CoreProjectLinksLinks`.","ref":"Procore.Api.CoreProjectLinksLinks.html"},{"type":"function","title":"Procore.Api.CoreProjectLinksLinks.rest_v10_links_get/4","doc":"List links\nReturns a list of Project Home Links on a given project.","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLinksLinks.rest_v10_links_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLinksLinks.rest_v10_links_get/4","doc":"- `{:ok, [%RestV10LinksGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_delete/5","doc":"Delete link\nSend a specific Project Home Link to the recycle bin. Note: Requires either Company Admin or Project Home Admin permission.","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Link ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_get/5","doc":"Show link\nShow detailed information for a specific Project Home Link","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Link ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_get/5","doc":"- `{:ok, Procore.Model.RestV10LinksPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_patch/6","doc":"Update link\nUpdate one or more attributes of a specific Project Home Link. Note: Requires either Company Admin or Project Home Admin permission.","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Link ID\n- `rest_v10_links_post_request` (RestV10LinksPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10LinksPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_restore_patch/5","doc":"Retrieve recycled link\nRetrieves and restores a specific Project Home Link from the recycle bin. Note: Requires either Company Admin or Project Home Admin permission.","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Link ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLinksLinks.rest_v10_links_id_restore_patch/5","doc":"- `{:ok, Procore.Model.RestV10LinksPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLinksLinks.rest_v10_links_post/5","doc":"Create link\nCreates a Project Home Link on a given project. Note: Requires either Company Admin or Project Home Admin permission.","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLinksLinks.rest_v10_links_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_links_post_request` (RestV10LinksPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLinksLinks.rest_v10_links_post/5","doc":"- `{:ok, Procore.Model.RestV10LinksPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLinksLinks.rest_v10_links_recycle_bin_get/4","doc":"List recycled links\nReturns a list of all Project Home Links in the recycle bin for a specific project. Note: Requires either Company Admin or Project Home Admin permission.","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_recycle_bin_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLinksLinks.rest_v10_links_recycle_bin_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_recycle_bin_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLinksLinks.rest_v10_links_recycle_bin_get/4","doc":"- `{:ok, [%RestV10LinksRecycleBinGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLinksLinks.html#rest_v10_links_recycle_bin_get/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectLocations","doc":"API calls for all endpoints tagged `CoreProjectLocations`.","ref":"Procore.Api.CoreProjectLocations.html"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_locations_get/4","doc":"List locations\nReturn a list of Locations associated with a Project.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_locations_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_locations_get/4","doc":"- `{:ok, [%Location1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_locations_id_delete/5","doc":"Delete location\nDelete the specified Location.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_locations_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the location\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_locations_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_locations_id_get/5","doc":"Show location\nShow detail on the specified Location.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_locations_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the location\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_locations_id_get/5","doc":"- `{:ok, Procore.Model.Location1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_locations_id_patch/5","doc":"Update Location\nUpdate the specified Location.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_locations_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the location\n- `body66` (Body66): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_locations_id_patch/5","doc":"- `{:ok, Procore.Model.Location1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_id_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_locations_post/4","doc":"Create location\nCreate a new Location for the specified Project.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_locations_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body65` (Body65): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_locations_post/4","doc":"- `{:ok, Procore.Model.Location1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_locations_post/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_find_or_create_by_path_post/5","doc":"Find or Create Location(s) by Path\nRetrieves a Location corresponding to the provided path, or creates Location(s) representing the path.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_find_or_create_by_path_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_find_or_create_by_path_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body68` (Body68): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_find_or_create_by_path_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_find_or_create_by_path_post/5","doc":"- `{:ok, Procore.Model.Location1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_find_or_create_by_path_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_get/4","doc":"List Project Locations\nReturn a list of Locations associated with a Project.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[parent_id]\"` (integer()): Return location(s) with the specified parent_ids.\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.\n  - `:\"filters[search_with_code]\"` (String.t): Return item(s) where the location code or the location name match the search term\n  - `:\"filters[superlocations_for]\"` (integer()): Return superlocations (ancestors) of the specified location ids.\n  - `:\"filters[sublocations_for]\"` (integer()): Return sublocations (descendants) of the specified location ids.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): \n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_get/4","doc":"- `{:ok, [%Location1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_delete/5","doc":"Delete Project Location\nDeletes a specified Location.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `location_id` (integer()): ID of the location\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_get/5","doc":"Show Project Location\nRetrieves a Location for a specified project.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `location_id` (integer()): ID of the location\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_get/5","doc":"- `{:ok, Procore.Model.Location1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_patch/6","doc":"Update Project Location\nUpdate the specified Location.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `location_id` (integer()): ID of the location\n- `body67` (Body67): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_location_id_patch/6","doc":"- `{:ok, Procore.Model.Location1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_location_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_post/5","doc":"Create Location (Admin)\nCreate a new Location for the specified Project. Note: This endpoint requires Project Admin permissions and does not respect the \"Disable Dynamic Location Creation\" project configuration.","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_locations_post_request` (RestV10ProjectsProjectIdLocationsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v10_projects_project_id_locations_post/5","doc":"- `{:ok, Procore.Model.Location1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v10_projects_project_id_locations_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectLocations.rest_v11_projects_project_id_locations_location_id_delete/5","doc":"Delete Project Location\nDeletes a specified Location.","ref":"Procore.Api.CoreProjectLocations.html#rest_v11_projects_project_id_locations_location_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectLocations.rest_v11_projects_project_id_locations_location_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `location_id` (integer()): ID of the location\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectLocations.html#rest_v11_projects_project_id_locations_location_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectLocations.rest_v11_projects_project_id_locations_location_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectLocations.html#rest_v11_projects_project_id_locations_location_id_delete/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectProjectAssignments","doc":"API calls for all endpoints tagged `CoreProjectProjectAssignments`.","ref":"Procore.Api.CoreProjectProjectAssignments.html"},{"type":"function","title":"Procore.Api.CoreProjectProjectAssignments.rest_v10_companies_company_id_users_user_id_project_assignments_get/5","doc":"List Project assignments for a Company User\nThis endpoint returns the current and potential Project assignments for the specified User. This includes Project information, as well as the Permission Template and Roles assigned to a given user when they are assigned on a Project.","ref":"Procore.Api.CoreProjectProjectAssignments.html#rest_v10_companies_company_id_users_user_id_project_assignments_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectAssignments.rest_v10_companies_company_id_users_user_id_project_assignments_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `user_id` (integer()): User ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[name]\"` ([String.t]): Filter item(s) with matching name.\n  - `:\"filters[by_stage]\"` (RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter): Return item(s) with the specified project stage ID(s).\n  - `:\"filters[by_type]\"` (RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter): Return item(s) with the specified project type ID(s).\n  - `:\"filters[by_program]\"` (RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter): Return item(s) with the specified project program ID(s).\n  - `:\"filters[by_region]\"` (RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter): Return item(s) with the specified project region ID(s).\n  - `:\"filters[by_status]\"` (String.t): Return item(s) with the specified status value. Must be one of Active, Inactive, or All.\n  - `:sort` (String.t): Sort the results by the specified field.\n  - `:direction` (String.t): Sort direction. Default is ascending, nulls first.","ref":"Procore.Api.CoreProjectProjectAssignments.html#rest_v10_companies_company_id_users_user_id_project_assignments_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectAssignments.rest_v10_companies_company_id_users_user_id_project_assignments_get/5","doc":"- `{:ok, [%ProjectAssignmentNormalView{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectAssignments.html#rest_v10_companies_company_id_users_user_id_project_assignments_get/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectProjectDates","doc":"API calls for all endpoints tagged `CoreProjectProjectDates`.","ref":"Procore.Api.CoreProjectProjectDates.html"},{"type":"function","title":"Procore.Api.CoreProjectProjectDates.rest_v10_project_dates_get/4","doc":"List Project Dates\nReturns a list of Project Dates.","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_project_dates_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectDates.rest_v10_project_dates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_project_dates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectDates.rest_v10_project_dates_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_project_dates_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectDates.rest_v10_project_dates_id_get/5","doc":"Show Project Date\nShow details of the specified Project Date","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_project_dates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectDates.rest_v10_project_dates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Project Date\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_project_dates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectDates.rest_v10_project_dates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdProjectDatesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_project_dates_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectDates.rest_v10_projects_project_id_project_dates_get/4","doc":"List Project Dates\nReturns a list of Project Dates.","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_projects_project_id_project_dates_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectDates.rest_v10_projects_project_id_project_dates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_projects_project_id_project_dates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectDates.rest_v10_projects_project_id_project_dates_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_projects_project_id_project_dates_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectDates.rest_v10_projects_project_id_project_dates_id_get/5","doc":"Show Project Date\nShow details of the specified Project Date","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_projects_project_id_project_dates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectDates.rest_v10_projects_project_id_project_dates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Project Date\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_projects_project_id_project_dates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectDates.rest_v10_projects_project_id_project_dates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdProjectDatesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectDates.html#rest_v10_projects_project_id_project_dates_id_get/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectProjectDemos","doc":"API calls for all endpoints tagged `CoreProjectProjectDemos`.","ref":"Procore.Api.CoreProjectProjectDemos.html"},{"type":"function","title":"Procore.Api.CoreProjectProjectDemos.rest_v10_projects_project_id_recent_activity_get/4","doc":"List Recent Activity Items\nReturn a list of items that have been recently updated by the users.","ref":"Procore.Api.CoreProjectProjectDemos.html#rest_v10_projects_project_id_recent_activity_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectDemos.rest_v10_projects_project_id_recent_activity_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectProjectDemos.html#rest_v10_projects_project_id_recent_activity_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectDemos.rest_v10_projects_project_id_recent_activity_get/4","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectDemos.html#rest_v10_projects_project_id_recent_activity_get/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectProjectRoles","doc":"API calls for all endpoints tagged `CoreProjectProjectRoles`.","ref":"Procore.Api.CoreProjectProjectRoles.html"},{"type":"function","title":"Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_get/4","doc":"List Project Roles\nReturn a list of all relationships between Users and Roles in a specified Project.","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (DateTime.t): Return item(s) created within the specified ISO 8601 datetime range.","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_get/4","doc":"- `{:ok, [%ProjectRole{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_id_delete/5","doc":"Delete Project Role\nRemove a relationship between a User and a Role in a specified Project.","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Project Role\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_post/4","doc":"Create Project Role\nCreate a relationship between a User and a Role in a specified Project.","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body36` (Body36): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectRoles.rest_v10_project_roles_post/4","doc":"- `{:ok, Procore.Model.ProjectRole.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectRoles.html#rest_v10_project_roles_post/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectProjectTemplates","doc":"API calls for all endpoints tagged `CoreProjectProjectTemplates`.","ref":"Procore.Api.CoreProjectProjectTemplates.html"},{"type":"function","title":"Procore.Api.CoreProjectProjectTemplates.rest_v10_project_templates_get/4","doc":"List Project Templates\nReturn a list of Project Templates that are available to utilize for Project creation.","ref":"Procore.Api.CoreProjectProjectTemplates.html#rest_v10_project_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectTemplates.rest_v10_project_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectProjectTemplates.html#rest_v10_project_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectTemplates.rest_v10_project_templates_get/4","doc":"- `{:ok, [%ProjectTemplate1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectTemplates.html#rest_v10_project_templates_get/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectProjectTools","doc":"API calls for all endpoints tagged `CoreProjectProjectTools`.","ref":"Procore.Api.CoreProjectProjectTools.html"},{"type":"function","title":"Procore.Api.CoreProjectProjectTools.rest_v10_projects_project_id_tools_get/4","doc":"List project tools\nReturns all Tools available to the provided Project.","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_projects_project_id_tools_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectTools.rest_v10_projects_project_id_tools_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[is_active]\"` (boolean()): Retrieve active or inactive tools.\n  - `:for_mobile` (boolean()): Filters tools that Procore's iOS and Android apps support.\n  - `:include_configurable_generic_tools` (boolean()): Includes configurable custom tools in the for_mobile view.","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_projects_project_id_tools_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectTools.rest_v10_projects_project_id_tools_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdToolsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_projects_project_id_tools_get/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectTools.rest_v10_projects_project_id_tools_patch/4","doc":"Update project tools\nUpdates the order and active status of Project Tools.","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_projects_project_id_tools_patch/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectTools.rest_v10_projects_project_id_tools_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdToolsPatchRequest):","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_projects_project_id_tools_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectTools.rest_v10_projects_project_id_tools_patch/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdToolsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_projects_project_id_tools_patch/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectTools.rest_v10_tools_get/4","doc":"List project tools\nReturns all Tools available to the provided Project.","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_tools_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectTools.rest_v10_tools_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_tools_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectTools.rest_v10_tools_get/4","doc":"- `{:ok, [%RestV10ToolsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectTools.html#rest_v10_tools_get/4-returns"},{"type":"module","title":"Procore.Api.CoreProjectProjectUploads","doc":"API calls for all endpoints tagged `CoreProjectProjectUploads`.","ref":"Procore.Api.CoreProjectProjectUploads.html"},{"type":"function","title":"Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_post/4","doc":"Create Upload\nCreating an Upload is the first step in associating a file to a resource in Procore. Creating an Upload can be seen as fetching instruction on how to post your file directly to Procore's storage service.  The instructions contain three properties: a UUID to reference the Upload, a URL which has to be used to post the file, and fields which need to be posted together with the file.  To upload the file you must POST to the URL in the _url_ property with a multipart/form-data body (see RFC 2388). Make sure to include **all** the names and values from _fields_ without altering them. The URL and fields necessary to complete the upload may vary between companies and may also change over time so none of these may be hard-coded. Finally add a field named _file_ with the actual file data.  Uploads are associated to the Company that owns the project so they can use company specific upload settings. The currently authenticated user will become the owner of the Upload and only that user can use the Upload in subsequent requests.  You will have to initiate the upload within one hour or you can expect a 403 Forbidden response. Other errors are usually clearly explained in the response body.  For an example of how to associate a finalized upload to another resource in Procore see the Photos resource. An Upload will have to be associated to another resource within a week or it will be automatically deleted from Procore servers.  Note that there is also a variant of this API endpoint that works using a Company ID.","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_post/4"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:response_filename` (String.t): By setting a filename you ensure that the storage service knows the filename of the upload. Files are often downloaded directly from the storage service and without the filename they will save on the end users' device without a readable name or extension.  Setting this parameter is optional but highly recommended.\n  - `:response_content_type` (String.t): The content-type set through this parameter will be used by the storage service during download just like the response_filename. Setting this value is less important because HTTP clients and operating systems are generally well equipped to determine file types.  Setting this parameter is optional and should only be included when you are certain it's correct or when you want to force a content-type other than what the filename extension suggests.\n  - `:segments` ([Procore.Model.UploadSegmentsInner.t]): Upload segments","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_post/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_post/4-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_uuid_get/5","doc":"Show Upload\nShow detailed information on an upload","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_uuid_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_uuid_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `uuid` (String.t): Upload UUID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_uuid_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_uuid_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_uuid_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_uuid_patch/5","doc":"Update Upload\nUpdate the upload.","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_uuid_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_uuid_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `uuid` (String.t): Upload UUID\n- `opts` (keyword): Optional parameters\n  - `:body` (Upload1):","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_uuid_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectUploads.rest_v10_projects_project_id_uploads_uuid_patch/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v10_projects_project_id_uploads_uuid_patch/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_post/5","doc":"Create Upload\nCreating an Upload is the first step in associating a file to a resource in Procore. Creating an Upload can be seen as fetching instruction on how to post your file directly to Procore's storage service.  The instructions contain three properties: a UUID to reference the Upload, a URL which has to be used to post the file, and fields which need to be posted together with the file.  To upload the file you must POST to the URL in the _url_ property with a multipart/form-data body (see RFC 2388). Make sure to include **all** the names and values from _fields_ without altering them. The URL and fields necessary to complete the upload may vary between companies and may also change over time so none of these may be hard-coded. Finally add a field named _file_ with the actual file data.  Uploads are associated to the Company that owns the project so they can use company specific upload settings. The currently authenticated user will become the owner of the Upload and only that user can use the Upload in subsequent requests.  You will have to initiate the upload within one hour or you can expect a 403 Forbidden response. Other errors are usually clearly explained in the response body.  For an example of how to associate a finalized upload to another resource in Procore see the Photos resource. An Upload will have to be associated to another resource within a week or it will be automatically deleted from Procore servers.  Note that there is also a variant of this API endpoint that works using a Company ID.","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `response_filename` (String.t): By setting a filename you ensure that the storage service knows the filename of the upload. Files are often downloaded directly from the storage service and without the filename they will save on the end users' device without a readable name or extension.\n- `opts` (keyword): Optional parameters\n  - `:response_content_type` (String.t): The content-type set through this parameter will be used by the storage service during download just like the response_filename. Setting this value is less important because HTTP clients and operating systems are generally well equipped to determine file types.  Setting this parameter is optional and should only be included when you are certain it's correct or when you want to force a content-type other than what the filename extension suggests.\n  - `:segments` ([Procore.Model.UploadSegmentsInner.t]): Upload segments","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_post/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_uuid_get/5","doc":"Show Upload\nShow detailed information on an upload","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_uuid_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_uuid_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `uuid` (String.t): Upload UUID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_uuid_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_uuid_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_uuid_get/5-returns"},{"type":"function","title":"Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_uuid_patch/5","doc":"Update Upload\nUpdate the upload.","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_uuid_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_uuid_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `uuid` (String.t): Upload UUID\n- `opts` (keyword): Optional parameters\n  - `:body` (Upload1):","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_uuid_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectProjectUploads.rest_v11_projects_project_id_uploads_uuid_patch/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectProjectUploads.html#rest_v11_projects_project_id_uploads_uuid_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectUserProjectRoles","doc":"API calls for all endpoints tagged `CoreProjectUserProjectRoles`.","ref":"Procore.Api.CoreProjectUserProjectRoles.html"},{"type":"function","title":"Procore.Api.CoreProjectUserProjectRoles.rest_v10_projects_project_id_user_project_roles_id_patch/5","doc":"Update User Project Roles\nSet which Users are associated with a specific Project Role. Will remove any users associated with the role if they are not included in the `user_ids` parameter.","ref":"Procore.Api.CoreProjectUserProjectRoles.html#rest_v10_projects_project_id_user_project_roles_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectUserProjectRoles.rest_v10_projects_project_id_user_project_roles_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Company Role\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (Body6):","ref":"Procore.Api.CoreProjectUserProjectRoles.html#rest_v10_projects_project_id_user_project_roles_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectUserProjectRoles.rest_v10_projects_project_id_user_project_roles_id_patch/5","doc":"- `{:ok, Procore.Model.UserProjectRole.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectUserProjectRoles.html#rest_v10_projects_project_id_user_project_roles_id_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreProjectVendorProjectRoles","doc":"API calls for all endpoints tagged `CoreProjectVendorProjectRoles`.","ref":"Procore.Api.CoreProjectVendorProjectRoles.html"},{"type":"function","title":"Procore.Api.CoreProjectVendorProjectRoles.rest_v10_projects_project_id_vendor_project_roles_id_patch/5","doc":"Update Vendor Project Roles\nSet which Vendors are associated with a specific Project Role. Will remove any vendors associated with the role if they are not included in the `vendor_ids` parameter.","ref":"Procore.Api.CoreProjectVendorProjectRoles.html#rest_v10_projects_project_id_vendor_project_roles_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.CoreProjectVendorProjectRoles.rest_v10_projects_project_id_vendor_project_roles_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Project Role\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (Body5):","ref":"Procore.Api.CoreProjectVendorProjectRoles.html#rest_v10_projects_project_id_vendor_project_roles_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreProjectVendorProjectRoles.rest_v10_projects_project_id_vendor_project_roles_id_patch/5","doc":"- `{:ok, Procore.Model.VendorProjectRole.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreProjectVendorProjectRoles.html#rest_v10_projects_project_id_vendor_project_roles_id_patch/5-returns"},{"type":"module","title":"Procore.Api.CoreSettingsPersonalSettings","doc":"API calls for all endpoints tagged `CoreSettingsPersonalSettings`.","ref":"Procore.Api.CoreSettingsPersonalSettings.html"},{"type":"function","title":"Procore.Api.CoreSettingsPersonalSettings.rest_v10_companies_company_id_settings_my_avatar_get/4","doc":"Returns avatar of the current user","ref":"Procore.Api.CoreSettingsPersonalSettings.html#rest_v10_companies_company_id_settings_my_avatar_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreSettingsPersonalSettings.rest_v10_companies_company_id_settings_my_avatar_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreSettingsPersonalSettings.html#rest_v10_companies_company_id_settings_my_avatar_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreSettingsPersonalSettings.rest_v10_companies_company_id_settings_my_avatar_get/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreSettingsPersonalSettings.html#rest_v10_companies_company_id_settings_my_avatar_get/4-returns"},{"type":"function","title":"Procore.Api.CoreSettingsPersonalSettings.rest_v10_companies_company_id_settings_my_avatar_put/4","doc":"Bulk create/update UI flags\nCreate or update UI flags associated with company, and user","ref":"Procore.Api.CoreSettingsPersonalSettings.html#rest_v10_companies_company_id_settings_my_avatar_put/4"},{"type":"function","title":"Parameters - Procore.Api.CoreSettingsPersonalSettings.rest_v10_companies_company_id_settings_my_avatar_put/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdSettingsMyAvatarPutRequest):","ref":"Procore.Api.CoreSettingsPersonalSettings.html#rest_v10_companies_company_id_settings_my_avatar_put/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreSettingsPersonalSettings.rest_v10_companies_company_id_settings_my_avatar_put/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPut200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreSettingsPersonalSettings.html#rest_v10_companies_company_id_settings_my_avatar_put/4-returns"},{"type":"module","title":"Procore.Api.CoreTasksTaskItemCategories","doc":"API calls for all endpoints tagged `CoreTasksTaskItemCategories`.","ref":"Procore.Api.CoreTasksTaskItemCategories.html"},{"type":"function","title":"Procore.Api.CoreTasksTaskItemCategories.rest_v10_companies_company_id_projects_project_id_task_item_categories_get/5","doc":"List task item categories\nReturns a list of task item categories associated with the company","ref":"Procore.Api.CoreTasksTaskItemCategories.html#rest_v10_companies_company_id_projects_project_id_task_item_categories_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItemCategories.rest_v10_companies_company_id_projects_project_id_task_item_categories_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): View to use when generating json. Defaults to normal","ref":"Procore.Api.CoreTasksTaskItemCategories.html#rest_v10_companies_company_id_projects_project_id_task_item_categories_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItemCategories.rest_v10_companies_company_id_projects_project_id_task_item_categories_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCategoriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItemCategories.html#rest_v10_companies_company_id_projects_project_id_task_item_categories_get/5-returns"},{"type":"module","title":"Procore.Api.CoreTasksTaskItemComments","doc":"API calls for all endpoints tagged `CoreTasksTaskItemComments`.","ref":"Procore.Api.CoreTasksTaskItemComments.html"},{"type":"function","title":"Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_get/5","doc":"List Task Item Comments\nReturns a list of comments associated with the project. Can be filtered by task_item_id and/or created_by_id.","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[task_item_id]\"` (integer()): Filter by task_item_id to return comments for only that task_item\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_get/5-returns"},{"type":"function","title":"Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_id_delete/6","doc":"Delete a task item comment\nDeletes the task item comment with ID supplied in path. Returns an empty body if successful.","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Task Item Comment ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_id_delete/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_id_delete/6-returns"},{"type":"function","title":"Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_id_patch/7","doc":"Update a task item comment\nUpdates the task item comment with ID supplied in path. Returns the updated comment.","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Task Item Comment ID\n- `rest_v10_companies_company_id_projects_project_id_task_item_comments_id_patch_request` (RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_id_patch/7-returns"},{"type":"function","title":"Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_post/6","doc":"Create a task item comment\nCreate a new task item comment for a given task_item_id and created_by_id","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_companies_company_id_projects_project_id_task_item_comments_post_request` (RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItemComments.rest_v10_companies_company_id_projects_project_id_task_item_comments_post/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItemComments.html#rest_v10_companies_company_id_projects_project_id_task_item_comments_post/6-returns"},{"type":"module","title":"Procore.Api.CoreTasksTaskItems","doc":"API calls for all endpoints tagged `CoreTasksTaskItems`.","ref":"Procore.Api.CoreTasksTaskItems.html"},{"type":"function","title":"Procore.Api.CoreTasksTaskItems.rest_v10_task_items_get/4","doc":"List task items\nReturns a list of task items on a given project","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[assigned_id]\"` (String.t): Assigned ID\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[due_date]\"` (String.t): Returns item(s) due within the specified ISO 8601 datetime range.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[task_item_category_id]\"` (String.t): Returns item(s) matching the specified Task Item Category ID.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:sort` (String.t): Return item(s) with the specified sort.","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_get/4","doc":"- `{:ok, [%ArrayOfTaskItemsThatWereSentOutInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_get/4-returns"},{"type":"function","title":"Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_delete/5","doc":"Destroy task item\nSend a task item to the recycle bin.","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Task Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_delete/5-returns"},{"type":"function","title":"Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_get/5","doc":"Show task item\nShow detailed information for a specific task item","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Task Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_get/5","doc":"- `{:ok, Procore.Model.RestV10TaskItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_patch/6","doc":"Update task item\nUpdate a task item's attributes","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Task Item ID\n- `task_item` (Procore.Model.RestV10TaskItemsPostRequestTaskItem.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10TaskItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_id_patch/6-returns"},{"type":"function","title":"Procore.Api.CoreTasksTaskItems.rest_v10_task_items_post/5","doc":"Create task item\nCreates a task item on a given project","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_post/5"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_task_items_post_request` (RestV10TaskItemsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_post/5","doc":"- `{:ok, Procore.Model.RestV10TaskItemsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_post/5-returns"},{"type":"function","title":"Procore.Api.CoreTasksTaskItems.rest_v10_task_items_send_unsent_post/3","doc":"Send unsent Task Items\nSends email notifications for unsent Task Items.","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_send_unsent_post/3"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_send_unsent_post/3","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_send_unsent_post/3-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItems.rest_v10_task_items_send_unsent_post/3","doc":"- `{:ok, [%ArrayOfTaskItemsThatWereSentOutInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItems.html#rest_v10_task_items_send_unsent_post/3-returns"},{"type":"module","title":"Procore.Api.CoreTasksTaskItemsAssignees","doc":"API calls for all endpoints tagged `CoreTasksTaskItemsAssignees`.","ref":"Procore.Api.CoreTasksTaskItemsAssignees.html"},{"type":"function","title":"Procore.Api.CoreTasksTaskItemsAssignees.rest_v10_task_items_assignees_get/4","doc":"List Task Items Assignee options\nReturns Users that the current User can assign to Task Items.","ref":"Procore.Api.CoreTasksTaskItemsAssignees.html#rest_v10_task_items_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreTasksTaskItemsAssignees.rest_v10_task_items_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreTasksTaskItemsAssignees.html#rest_v10_task_items_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreTasksTaskItemsAssignees.rest_v10_task_items_assignees_get/4","doc":"- `{:ok, [%ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreTasksTaskItemsAssignees.html#rest_v10_task_items_assignees_get/4-returns"},{"type":"module","title":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories","doc":"API calls for all endpoints tagged `CoreWorkflowsLegacyWorkflowActivityHistories`.","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html"},{"type":"function","title":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_get/5","doc":"List Workflow Activity Histories\nReturn a list of activities performed for a workflow instance.","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `workflow_instance_id` (integer()): Workflow Instance ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_get/5","doc":"- `{:ok, [%RestV10WorkflowActivityHistoriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_get/5-returns"},{"type":"function","title":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_id_get/6","doc":"Show Workflow Activity History\nGet information about a Workflow Activity History","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `workflow_instance_id` (integer()): Workflow Instance ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_id_get/6","doc":"- `{:ok, Procore.Model.RestV10WorkflowActivityHistoriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_id_get/6-returns"},{"type":"function","title":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_post/6","doc":"Create Workflow Activity History\nPerform a workflow activity. Workflows Instances transition between states when all required activities have been performed.","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_post/6"},{"type":"function","title":"Parameters - Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `workflow_instance_id` (integer()): Workflow Instance ID\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_workflow_activity_histories_post_request` (RestV10WorkflowActivityHistoriesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.rest_v10_workflow_activity_histories_post/6","doc":"- `{:ok, Procore.Model.RestV10WorkflowActivityHistoriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowActivityHistories.html#rest_v10_workflow_activity_histories_post/6-returns"},{"type":"module","title":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances","doc":"API calls for all endpoints tagged `CoreWorkflowsLegacyWorkflowInstances`.","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.html"},{"type":"function","title":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.rest_v10_workflow_instances_get/4","doc":"List Workflow Instances\nReturn a list of workflow instances for a workflow. Any resource using workflow should have a workflow instance.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.html#rest_v10_workflow_instances_get/4"},{"type":"function","title":"Parameters - Procore.Api.CoreWorkflowsLegacyWorkflowInstances.rest_v10_workflow_instances_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[workflowed_object_id]\"` (integer()): Return items for a specific workflow object.\n  - `:\"filters[workflowed_object_type]\"` (String.t): Return items for a specific workflow object type.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.html#rest_v10_workflow_instances_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreWorkflowsLegacyWorkflowInstances.rest_v10_workflow_instances_get/4","doc":"- `{:ok, [%RestV10WorkflowInstancesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.html#rest_v10_workflow_instances_get/4-returns"},{"type":"function","title":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.rest_v10_workflow_instances_id_get/5","doc":"Show Workflow Instance\nGet information about a Workflow Instance","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.html#rest_v10_workflow_instances_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.CoreWorkflowsLegacyWorkflowInstances.rest_v10_workflow_instances_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.html#rest_v10_workflow_instances_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreWorkflowsLegacyWorkflowInstances.rest_v10_workflow_instances_id_get/5","doc":"- `{:ok, Procore.Model.RestV10WorkflowInstancesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowInstances.html#rest_v10_workflow_instances_id_get/5-returns"},{"type":"module","title":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs","doc":"API calls for all endpoints tagged `CoreWorkflowsLegacyWorkflowPermanentLogs`.","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.html"},{"type":"function","title":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.rest_v10_companies_company_id_workflow_permanent_logs_get/6","doc":"List Workflow Permanent Logs\nReturn a list of workflow permanent logs. Any resource using workflow should have log of activities and events related to the workflow.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.html#rest_v10_companies_company_id_workflow_permanent_logs_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.rest_v10_companies_company_id_workflow_permanent_logs_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `filters_left_square_bracketworkflowed_object_type_right_square_bracket` (String.t): Filter log(s) with matching workflowed object type\n- `filters_left_square_bracketworkflowed_object_id_right_square_bracket` (integer()): Filter log(s) with matching workflowed object id\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.html#rest_v10_companies_company_id_workflow_permanent_logs_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.rest_v10_companies_company_id_workflow_permanent_logs_get/6","doc":"- `{:ok, [%RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.html#rest_v10_companies_company_id_workflow_permanent_logs_get/6-returns"},{"type":"function","title":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.rest_v10_projects_project_id_workflow_permanent_logs_get/6","doc":"List Workflow Permanent Logs\nReturn a list of workflow permanent logs. Any resource using workflow should have log of activities and events related to the workflow.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.html#rest_v10_projects_project_id_workflow_permanent_logs_get/6"},{"type":"function","title":"Parameters - Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.rest_v10_projects_project_id_workflow_permanent_logs_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `filters_left_square_bracketworkflowed_object_type_right_square_bracket` (String.t): Filter log(s) with matching workflowed object type\n- `filters_left_square_bracketworkflowed_object_id_right_square_bracket` (integer()): Filter log(s) with matching workflowed object id\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.html#rest_v10_projects_project_id_workflow_permanent_logs_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.rest_v10_projects_project_id_workflow_permanent_logs_get/6","doc":"- `{:ok, [%RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.CoreWorkflowsLegacyWorkflowPermanentLogs.html#rest_v10_projects_project_id_workflow_permanent_logs_get/6-returns"},{"type":"module","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities","doc":"API calls for all endpoints tagged `FieldProductivityActualProductionQuantityActualProductionQuantities`.","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_create_post/4","doc":"Bulk Create Actual Production Quantities\nThis endpoint bulk creates a batch of Actual Production Quantities (APQ).","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_create_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_create_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePostRequest):","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_create_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_create_post/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_create_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_destroy_delete/4","doc":"Bulk Destroy Actual Production Quantities\nThis endpoint bulk destroys a batch of Actual Production Quantities (APQ).","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_destroy_delete/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_destroy_delete/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdActualProductionQuantitiesBulkDestroyDeleteRequest):","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_destroy_delete/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_destroy_delete/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_destroy_delete/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_update_patch/4","doc":"Bulk Update Actual Production Quantities\nThis endpoint bulk updates a batch of Actual Production Quantities (APQ).","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_update_patch/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_update_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdActualProductionQuantitiesBulkUpdatePatchRequest):","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_update_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_bulk_update_patch/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_bulk_update_patch/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_get/4","doc":"List all Actual Production Quantities\nReturn a list of all Actual Production Quantities for a specified Project.","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[unit_of_measure]\"` (String.t): Return item(s) with the specified unit of measure.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[timesheet_id]\"` (String.t): Timesheet ID. Returns item(s) with the specified Timesheet ID.\n  - `:\"filters[crew_id]\"` (String.t): Crew ID. Returns item(s) with the specified Crew ID.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[date]\"` (String.t): Returns item(s) within the specified ISO 8601 datetime range.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:per_page` (integer()): Elements per page\n  - `:page` (integer()): Page","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_delete/5","doc":"Delete Actual Production Quantity\nDelete Actual Production Quantity.","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_get/5","doc":"Show Actual Production Quantity\nReturn Actual Production Quantity detailed information.","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequest):","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_patch/5","doc":"Update Actual Production Quantity\nUpdate Actual Production Quantity associated with the specific Project.","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequest):","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_ids_get/4","doc":"List of Actual Production Quantity Ids\nReturns a list of Actual Production Quantity Ids.","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_ids_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_ids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[unit_of_measure]\"` (String.t): Return item(s) with the specified unit of measure.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[timesheet_id]\"` (String.t): Timesheet ID. Returns item(s) with the specified Timesheet ID.\n  - `:\"filters[crew_id]\"` (String.t): Crew ID. Returns item(s) with the specified Crew ID.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[date]\"` (String.t): Returns item(s) within the specified ISO 8601 datetime range.\n  - `:per_page` (integer()): Elements per page\n  - `:page` (integer()): Page","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_ids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_ids_get/4","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_ids_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_post/4","doc":"Create Actual Production Quantity\nCreate new Actual Production Quantity associated with the specified Project.","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdActualProductionQuantitiesPostRequest):","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.rest_v10_projects_project_id_actual_production_quantities_post/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityActualProductionQuantityActualProductionQuantities.html#rest_v10_projects_project_id_actual_production_quantities_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities","doc":"API calls for all endpoints tagged `FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities`.","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html"},{"type":"function","title":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_get/4","doc":"List all Project Budgeted Production Quantities\nReturn a list of all Budgeted Production Quantities with details for a specified Project.","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_delete/6","doc":"Delete a Budgeted Production Quantity\nDeleting a Budgeted Production Quantity associated with the specified Project.","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Budgeted Production Quantity\n- `budgeted_production_quantity_body` (BudgetedProductionQuantityBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_delete/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_get/5","doc":"Show a Budgeted Production Quantity\nShow a Budgeted Production Quantity associated with the specified Project.","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Budgeted Production Quantity\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_patch/6","doc":"Update a Budgeted Production Quantity\nUpdating a Budgeted Production Quantity associated with the specified Project.","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Budgeted Production Quantity\n- `budgeted_production_quantity_body` (BudgetedProductionQuantityBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_ids_get/4","doc":"List all Project Budgeted Production Quantity IDs\nReturn a list of all Budgeted Production Quantity IDs with details for a specified Project.","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_ids_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_ids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_ids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_ids_get/4","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_ids_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_post/5","doc":"Create a new Budgeted Production Quantity\nCreate a new Budgeted Production Quantity associated with the specified Project.","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `budgeted_production_quantity_body` (BudgetedProductionQuantityBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.rest_v10_projects_project_id_budgeted_production_quantities_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityBudgetedProductionQuantitiesBudgetedProductionQuantities.html#rest_v10_projects_project_id_budgeted_production_quantities_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityFieldProductionReportFieldProductionReport","doc":"API calls for all endpoints tagged `FieldProductivityFieldProductionReportFieldProductionReport`.","ref":"Procore.Api.FieldProductivityFieldProductionReportFieldProductionReport.html"},{"type":"function","title":"Procore.Api.FieldProductivityFieldProductionReportFieldProductionReport.rest_v10_field_production_report_get/4","doc":"List Field Production Report Summary\nReturns an array calculated production rates across cost codes with an associated Budgeted Production Quantity","ref":"Procore.Api.FieldProductivityFieldProductionReportFieldProductionReport.html#rest_v10_field_production_report_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityFieldProductionReportFieldProductionReport.rest_v10_field_production_report_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityFieldProductionReportFieldProductionReport.html#rest_v10_field_production_report_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityFieldProductionReportFieldProductionReport.rest_v10_field_production_report_get/4","doc":"- `{:ok, [%RestV10FieldProductionReportGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityFieldProductionReportFieldProductionReport.html#rest_v10_field_production_report_get/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment`.","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_delete/6","doc":"Delete Managed Equipment Maintenance Log Attachment\nDeleting an attachment from a Managed Equipment Maintenance Log","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `attachment_id` (integer()): ID of the managed equipment maintenance log attachment\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Managed Equipment Maintenance Log Attachment\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_delete/6","doc":"- `{:ok, Procore.Model.ManagedEquipmentMaintenanceLogsAttachment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_delete/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_get/6","doc":"Show an individual managed equipment maintenance log attachment\nReturn detailed information about a specific managed equipment maintenance log attachment","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the managed equipment maintenance log to get attachments from\n- `attachment_id` (integer()): ID of the managed equipment maintenance log attachment\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_get/6","doc":"- `{:ok, Procore.Model.ManagedEquipmentMaintenanceLogsAttachment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_attachment_id_get/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_bulk_destroy_delete/6","doc":"Bulk Delete Managed Equipment Maintenance Log Attachments\nDelete multiple Managed Equipment Maintenance Logs Attachments with one request.","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_bulk_destroy_delete/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_bulk_destroy_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Managed Equipment Maintenance Log\n- `rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_bulk_destroy_delete_request` (RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_bulk_destroy_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_bulk_destroy_delete/6","doc":"- `{:ok, [%ManagedEquipmentMaintenanceLogsAttachment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_bulk_destroy_delete/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_get/5","doc":"List all maintenance logs attachment\nReturn a list of all Maintenance Log attachments for the Maintenance Log the current user has access to.","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_get/5","doc":"- `{:ok, [%ManagedEquipmentMaintenanceLogsAttachment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_post/6","doc":"Create maintenance log attachment.\nCreate a new maintenance log attachment.","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_post/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Managed Equipment Maintenance Log\n- `rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_post_request` (RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_post/6","doc":"- `{:ok, Procore.Model.ManagedEquipmentMaintenanceLogsAttachment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentCompanyManagedEquipmentMaintenanceLogAttachment.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_attachments_post/6-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentEquipmentCategory`.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_get/4","doc":"List all equipment categories\nReturn a list of all equipment Categories.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_get/4","doc":"- `{:ok, [%ManagedEquipmentCategory{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_delete/5","doc":"Delete Equipment Category\nDetete a specific Equipment Category.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Equipment Category\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_delete/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentCategory.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_get/5","doc":"Show an equipment category\nReturn detailed information about a specific equipment Category.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the equipment category\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_get/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentCategory.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_patch/5","doc":"Update Equipment Category\nUpdate a specified equipment category.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the Equipment Category\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_id_patch/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentCategory.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_post/4","doc":"Create equipment Category\nCreate a new equipment Category Entry.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.rest_v10_companies_company_id_managed_equipment_categories_post/4","doc":"- `{:ok, Procore.Model.ManagedEquipmentCategory.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentCategory.html#rest_v10_companies_company_id_managed_equipment_categories_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentEquipmentLog`.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_get/4","doc":"List all equipment logs\nReturn a list of all equipment Logs for the projects the current user has access to.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_id_get/5","doc":"Show an equipment log\nReturn detailed information about a specific equipment log","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the log to get\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_post/4","doc":"Create equipment log.\nCreate a new equipment log.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_companies_company_id_managed_equipment_logs_post/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_companies_company_id_managed_equipment_logs_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_get/4","doc":"List Project Equipment Logs\nReturn a list of all equipment logs for a specified project","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_delete/5","doc":"Delete an Project Equipment Log\nDetete a specific equipment log","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the company to get the logs for\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_get/5","doc":"Show an Project Equipment Log\nReturn detailed information about a specific equipment log","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the company to get the logs for\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_patch/5","doc":"Update an Project Equipment Log\nUpdate a specified equipment log","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the company to get the logs for\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_post/4","doc":"Create an Project Equipment Log\nCreate a new equipment log entry","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.rest_v10_projects_project_id_managed_equipment_logs_post/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentLog.html#rest_v10_projects_project_id_managed_equipment_logs_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentEquipmentMaintenanceLog`.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_get/4","doc":"List Equipment Maintenance Logs\nReturn a list of all Equipment Maintenance Logs.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_delete/5","doc":"Delete Equipment Maintenance Log\nDetete a specific equipment maintenance log","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the makes for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_get/5","doc":"Show Equipment Maintenance Log\nReturn detailed information about a specific equipment Maintenance Log.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the makes for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_patch/5","doc":"Update Equipment Maintenance Log\nUpdate a specified equipment maintenance log","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the makes for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_post/4","doc":"Create Equipment Maintenance Log\nCreate a new equipment maintenance log entry","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_companies_company_id_managed_equipment_maintenance_logs_post/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_companies_company_id_managed_equipment_maintenance_logs_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_get/4","doc":"List Project Equipment Maintenance Logs\nReturn a list of all Equipment Maintenance Logs","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_delete/5","doc":"Delete Project Equipment Maintenance Log\nDetete a specific Equipment Maintenance Log.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the maintenance logs for\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_get/5","doc":"Show Project Equipment Maintenance Log\nReturn detailed information about a specific Equipment Maintenance Log.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the maintenance logs for\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_patch/5","doc":"Update Project Equipment Maintenance Log\nUpdate a specified Equipment Maintenance Log.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the maintenance logs for\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_post/4","doc":"Create Project Equipment Maintenance Log\nCreate a new Equipment Maintenance Log Entry.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.rest_v10_projects_project_id_managed_equipment_maintenance_logs_post/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMaintenanceLog.html#rest_v10_projects_project_id_managed_equipment_maintenance_logs_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentEquipmentMake`.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_get/4","doc":"List all equipment makes\nReturn a list of all equipment makes.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_get/4","doc":"- `{:ok, [%ManagedEquipmentMake{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_delete/5","doc":"Delete an equipment make\nDetete a specific equipment make","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the equipment make\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_delete/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentMake.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_get/5","doc":"Show an equipment make\nReturn detailed information about a specific equipment make","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the equipment make\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_get/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentMake.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_patch/5","doc":"Update an equipment make\nUpdate a specified equipment make","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the equipment make\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_id_patch/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentMake.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_post/4","doc":"Create an equipment make\nCreate a new equipment make","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.rest_v10_companies_company_id_managed_equipment_makes_post/4","doc":"- `{:ok, Procore.Model.ManagedEquipmentMake.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentMake.html#rest_v10_companies_company_id_managed_equipment_makes_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentEquipmentModel`.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_bulk_update_patch/5","doc":"Bulk Update Managed Equipment models\nUpdate multiple Managed Equipment model entries is_active property with one request","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_managed_equipment_models_bulk_update_patch_request` (RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_bulk_update_patch/5","doc":"- `{:ok, [%ManagedEquipmentModel{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_get/4","doc":"List all equipment models\nReturn a list of all equipment models","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_get/4","doc":"- `{:ok, [%ManagedEquipmentModel{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_delete/5","doc":"Delete an equipment model\nDetete a specific equipment model","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the models for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_delete/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentModel.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_get/5","doc":"Show an equipment model\nReturn detailed information about a specific equipment model","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the models for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_get/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentModel.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_patch/5","doc":"Update an equipment model\nUpdate a specified equipment model","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the models for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_id_patch/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentModel.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_post/4","doc":"Create an equipment Model\nCreate a new equipment model entry","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.rest_v10_companies_company_id_managed_equipment_models_post/4","doc":"- `{:ok, Procore.Model.ManagedEquipmentModel.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentModel.html#rest_v10_companies_company_id_managed_equipment_models_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentEquipmentType`.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_bulk_update_patch/5","doc":"Bulk Update Managed Equipment types\nUpdate multiple Managed Equipment types entries is_active property with one request","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_managed_equipment_types_bulk_update_patch_request` (RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_bulk_update_patch/5","doc":"- `{:ok, [%ManagedEquipmentType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_get/4","doc":"List all equipment types\nReturn a list of all equipment types","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_get/4","doc":"- `{:ok, [%ManagedEquipmentType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_delete/5","doc":"Delete a equipment type\nDetete a specific equipment type","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the types for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_delete/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_get/5","doc":"Show an equipment type\nReturn detailed information about a specific equipment type","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the types for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_get/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_patch/5","doc":"Update an equipment type\nUpdate a specified equipment type","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the company to get the types for\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_id_patch/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_post/4","doc":"Create an equipment type\nCreate a new Equipment Type Entry.","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequest):","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentEquipmentType.rest_v10_companies_company_id_managed_equipment_types_post/4","doc":"- `{:ok, Procore.Model.ManagedEquipmentType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentEquipmentType.html#rest_v10_companies_company_id_managed_equipment_types_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentManagedEquipmentAttachment`.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.rest_v10_companies_company_id_managed_equipment_id_managed_equipment_attachments_bulk_destroy_delete/6","doc":"Bulk Delete Managed Equipment Attachment\nDelete multiple Managed Equipment Attachments with one request.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.html#rest_v10_companies_company_id_managed_equipment_id_managed_equipment_attachments_bulk_destroy_delete/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.rest_v10_companies_company_id_managed_equipment_id_managed_equipment_attachments_bulk_destroy_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `rest_v10_companies_company_id_managed_equipment_id_managed_equipment_attachments_bulk_destroy_delete_request` (RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.html#rest_v10_companies_company_id_managed_equipment_id_managed_equipment_attachments_bulk_destroy_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.rest_v10_companies_company_id_managed_equipment_id_managed_equipment_attachments_bulk_destroy_delete/6","doc":"- `{:ok, [%ManagedEquipmentAttachment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.html#rest_v10_companies_company_id_managed_equipment_id_managed_equipment_attachments_bulk_destroy_delete/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.rest_v10_companies_company_id_managed_equipment_managed_equipment_id_managed_equipment_attachments_id_delete/6","doc":"Delete Managed Equipment Attachment\nDeleting an attachment from a Managed Equipment","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.html#rest_v10_companies_company_id_managed_equipment_managed_equipment_id_managed_equipment_attachments_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.rest_v10_companies_company_id_managed_equipment_managed_equipment_id_managed_equipment_attachments_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `managed_equipment_id` (integer()): Id of the Equipment\n- `id` (integer()): Id of the Managed Equipment Attachment\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.html#rest_v10_companies_company_id_managed_equipment_managed_equipment_id_managed_equipment_attachments_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.rest_v10_companies_company_id_managed_equipment_managed_equipment_id_managed_equipment_attachments_id_delete/6","doc":"- `{:ok, Procore.Model.ManagedEquipmentAttachment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentAttachment.html#rest_v10_companies_company_id_managed_equipment_managed_equipment_id_managed_equipment_attachments_id_delete/6-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel`.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_bulk_destroy_delete/5","doc":"Bulk Delete Managed Equipment\nDelete multiple Managed Equipment with one request.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_bulk_destroy_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_bulk_destroy_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_managed_equipment_bulk_destroy_delete_request` (RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_bulk_destroy_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_bulk_destroy_delete/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_bulk_destroy_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_bulk_restore_patch/5","doc":"Bulk Retrieve Managed Equipment\nRestore multiple Managed Equipment with one request.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_bulk_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_bulk_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_managed_equipment_bulk_restore_patch_request` (RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_bulk_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_bulk_restore_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_bulk_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_get/4","doc":"List all Equipment\nReturn a list of all Equipment with details for a specified company.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[managed_equipment_category_id]\"` (integer()): Return item(s) with the specified Managed Equipment Category ID.\n  - `:\"filters[managed_equipment_type_id]\"` (integer()): Return item(s) with the specified Managed Equipment Type ID.\n  - `:\"filters[managed_equipment_make_id]\"` (integer()): Return item(s) with the specified Managed Equipment Make ID.\n  - `:\"filters[managed_equipment_model_id]\"` (integer()): Return item(s) with the specified Managed Equipment Model ID.\n  - `:\"filters[company_visible]\"` (boolean()): If true, return item(s) with 'company visible' status.\n  - `:\"filters[current_project_id]\"` (integer()): Return item(s) with the specified current project ID.\n  - `:\"filters[year]\"` (integer()): Return item(s) with the specified year.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[last_service_date]\"` (String.t): Return item(s) with a last service date within the specified ISO 8601 datetime range.\n  - `:\"filters[next_service_date]\"` (String.t): Return item(s) with a next service date within the specified ISO 8601 datetime range.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_change_history_get/5","doc":"Show Equipment Change History\nReturn Equipment change history detailed information.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_change_history_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_change_history_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_change_history_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_change_history_get/5","doc":"- `{:ok, Procore.Model.ManagedEquipmentChangeHistory.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_change_history_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_delete/5","doc":"Delete Equipment\nDeleting a piece of Equipment","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Equipment\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_get/5","doc":"Show Equipment\nReturn Equipment detailed information.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_patch/6","doc":"Update Equipment\nUpdating a piece of Equipment","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Equipment\n- `managed_equipment_body` (ManagedEquipmentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_restore_patch/6","doc":"Retrieve Equipment\nRestore a piece of Equipment","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_restore_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_restore_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Equipment\n- `managed_equipment_body` (ManagedEquipmentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_restore_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_restore_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_restore_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_update_deleted_equipment_serial_number_patch/6","doc":"Update Deleted Equipment Serial Number\nUpdate a serial number for a deleted piece of Equipment","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_update_deleted_equipment_serial_number_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_update_deleted_equipment_serial_number_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Equipment\n- `managed_equipment_serial_number_update_body` (ManagedEquipmentSerialNumberUpdateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_update_deleted_equipment_serial_number_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_id_update_deleted_equipment_serial_number_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_id_update_deleted_equipment_serial_number_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_post/5","doc":"Create Equipment\nCreate a new Equipment associated with the specified company.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `managed_equipment_body` (ManagedEquipmentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_query_post/4","doc":"Search all equipment\nReturn a list of all searched equipment with details for a specified company.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_query_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_query_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[managed_equipment_category_id]\"` (integer()): Return item(s) with the specified Managed Equipment Category ID.\n  - `:\"filters[managed_equipment_type_id]\"` (integer()): Return item(s) with the specified Managed Equipment Type ID.\n  - `:\"filters[managed_equipment_make_id]\"` (integer()): Return item(s) with the specified Managed Equipment Make ID.\n  - `:\"filters[managed_equipment_model_id]\"` (integer()): Return item(s) with the specified Managed Equipment Model ID.\n  - `:\"filters[company_visible]\"` (boolean()): If true, return item(s) with 'company visible' status.\n  - `:\"filters[current_project_id]\"` (integer()): Return item(s) with the specified current project ID.\n  - `:\"filters[year]\"` (integer()): Return item(s) with the specified year.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[last_service_date]\"` (String.t): Return item(s) with a last service date within the specified ISO 8601 datetime range.\n  - `:\"filters[next_service_date]\"` (String.t): Return item(s) with a next service date within the specified ISO 8601 datetime range.\n  - `:search_keyword` (String.t): Search keyword to search Project Managed Equipment.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_query_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_query_post/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_query_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_setup_managed_equipment_dependents_post/5","doc":"Setup Managed Equipment Taxonomy\nSetup Managed Equipment Taxonomy with the specified company.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_setup_managed_equipment_dependents_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_setup_managed_equipment_dependents_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `managed_equipment_dependent_body` (ManagedEquipmentDependentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_setup_managed_equipment_dependents_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_setup_managed_equipment_dependents_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_setup_managed_equipment_dependents_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_user_permissions_get/4","doc":"List all Company Managed Equipment User Permissions\nReturn a list of allCompany Managed Equipment User Permissions for a specified company.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_user_permissions_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_user_permissions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_user_permissions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_user_permissions_get/4","doc":"- `{:ok, [%CompanyManagedEquipmentUserPermission{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_user_permissions_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_user_permissions_patch/5","doc":"Update User Permission\nUpdating a Company Managed Equipment User Permission","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_user_permissions_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_user_permissions_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `managed_equipment_permission_update_body` (ManagedEquipmentPermissionUpdateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_user_permissions_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.rest_v10_companies_company_id_managed_equipment_user_permissions_patch/5","doc":"- `{:ok, Procore.Model.CompanyManagedEquipmentUserPermission.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentCompanyLevel.html#rest_v10_companies_company_id_managed_equipment_user_permissions_patch/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel","doc":"API calls for all endpoints tagged `FieldProductivityManagedEquipmentManagedEquipmentProjectLevel`.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_get/4","doc":"List all equipment\nReturn a list of all equipment with details for a specified project.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[managed_equipment_category_id]\"` (integer()): Return item(s) with the specified Managed Equipment Category ID.\n  - `:\"filters[managed_equipment_type_id]\"` (integer()): Return item(s) with the specified Managed Equipment Type ID.\n  - `:\"filters[managed_equipment_make_id]\"` (integer()): Return item(s) with the specified Managed Equipment Make ID.\n  - `:\"filters[managed_equipment_model_id]\"` (integer()): Return item(s) with the specified Managed Equipment Model ID.\n  - `:\"filters[company_visible]\"` (boolean()): If true, return item(s) with 'company visible' status.\n  - `:\"filters[current_project_id]\"` (integer()): Return item(s) with the specified current project ID.\n  - `:\"filters[year]\"` (integer()): Return item(s) with the specified year.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[last_service_date]\"` (String.t): Return item(s) with a last service date within the specified ISO 8601 datetime range.\n  - `:\"filters[next_service_date]\"` (String.t): Return item(s) with a next service date within the specified ISO 8601 datetime range.\n  - `:\"filters[onsite]\"` ([String.t]): Onsite Dates. Returns item(s) with the specified range of onsite dates.\n  - `:\"filters[offsite]\"` ([String.t]): Offsite Dates. Returns item(s) with the specified range of offsite dates.\n  - `:\"filters[ownership]\"` (String.t): Returns only item(s) with the specified ownership value. Must be one of Owned, Rented, or Sub.\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:\"filters[induction_status]\"` (boolean()): Returns item(s) with the specified inudction status.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_delete/5","doc":"Delete an equipment\nDeleting an equipment associated with the specified project.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the equipment\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_get/5","doc":"Show equipment\nReturn equipment detailed information.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_patch/6","doc":"Update an equipment\nUpdating an equipment associated with the specified project.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the equipment\n- `managed_equipment_body` (ManagedEquipmentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_restore_patch/6","doc":"Restoring an equipment\nRestoring an equipment associated with the specified project.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_restore_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_restore_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the equipment\n- `managed_equipment_body` (ManagedEquipmentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_restore_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_id_restore_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_id_restore_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_ids_get/4","doc":"List all project equipment IDs\nReturn a list of all equipment IDs with details for a specified project.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_ids_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_ids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_ids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_ids_get/4","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_ids_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_post/5","doc":"Create a new equipment\nCreate a new equipment associated with the specified project.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `managed_equipment_body` (ManagedEquipmentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_search_post/4","doc":"Search all equipment\nReturn a list of all searched equipment with details for a specified project.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_search_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_search_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[managed_equipment_category_id]\"` (integer()): Return item(s) with the specified Managed Equipment Category ID.\n  - `:\"filters[managed_equipment_type_id]\"` (integer()): Return item(s) with the specified Managed Equipment Type ID.\n  - `:\"filters[managed_equipment_make_id]\"` (integer()): Return item(s) with the specified Managed Equipment Make ID.\n  - `:\"filters[managed_equipment_model_id]\"` (integer()): Return item(s) with the specified Managed Equipment Model ID.\n  - `:\"filters[company_visible]\"` (boolean()): If true, return item(s) with 'company visible' status.\n  - `:\"filters[current_project_id]\"` (integer()): Return item(s) with the specified current project ID.\n  - `:\"filters[year]\"` (integer()): Return item(s) with the specified year.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[last_service_date]\"` (String.t): Return item(s) with a last service date within the specified ISO 8601 datetime range.\n  - `:\"filters[next_service_date]\"` (String.t): Return item(s) with a next service date within the specified ISO 8601 datetime range.\n  - `:search_keyword` (String.t): Search keyword to search Project Managed Equipment.\n  - `:\"filters[onsite]\"` ([String.t]): Onsite Dates. Returns item(s) with the specified range of onsite dates.\n  - `:\"filters[offsite]\"` ([String.t]): Offsite Dates. Returns item(s) with the specified range of offsite dates.\n  - `:\"filters[ownership]\"` (String.t): Returns only item(s) with the specified ownership value. Must be one of Owned, Rented, or Sub.\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:\"filters[induction_status]\"` (boolean()): Returns item(s) with the specified inudction status.","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_search_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.rest_v10_projects_project_id_managed_equipment_search_post/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityManagedEquipmentManagedEquipmentProjectLevel.html#rest_v10_projects_project_id_managed_equipment_search_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial","doc":"API calls for all endpoints tagged `FieldProductivityTimeAndMaterialsMaterial`.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_create_post/5","doc":"Bulk Create Materials\nBulk create Material entries with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `material_bulk_create_body` (MaterialBulkCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_create_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdMaterialsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_destroy_delete/5","doc":"Bulk Delete Materials\nBulk delete Material entries with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_destroy_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_destroy_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `material_bulk_destroy_body` (MaterialBulkDestroyBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_destroy_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_destroy_delete/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdMaterialsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_destroy_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_update_patch/5","doc":"Bulk Update Materials\nBulk update Material entries with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `material_bulk_update_body` (MaterialBulkUpdateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_bulk_update_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdMaterialsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_get/4","doc":"List Materials\nReturn a list of all Materials","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdMaterialsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_delete/5","doc":"Delete Material\nDetete a specific Material.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the project\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_get/5","doc":"Show Material\nReturn detailed information about a specific Material.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the project\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_patch/6","doc":"Update Material\nUpdate a specified Material.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the project\n- `project_id` (integer()): Unique identifier for the project.\n- `material_body` (MaterialBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_post/5","doc":"Create Material\nCreate a new Material Entry.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `material_body` (MaterialBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsMaterial.rest_v10_projects_project_id_materials_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsMaterial.html#rest_v10_projects_project_id_materials_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment","doc":"API calls for all endpoints tagged `FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment`.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_bulk_destroy_delete/5","doc":"Bulk Delete Time and Material Attachments\nDelete multiple Time and Material Attachments with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_bulk_destroy_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_bulk_destroy_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_time_and_material_entry_attachments_bulk_destroy_delete_request` (RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_bulk_destroy_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_bulk_destroy_delete/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_bulk_destroy_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_get/4","doc":"List all attachments\nReturn a list of all Time and Material attachments for the specified Project user has access to.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_id_delete/5","doc":"Delete a Time and Material Attachment\nDeleting a Time and Material Attachment from a specified Project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Time and Material Attachment\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_id_get/5","doc":"Show an individual time and material attachment\nReturn detailed information about a specific time and material attachment","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the time and material attachment\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_post/5","doc":"Create attachment\nCreate a new attachment","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_time_and_material_entry_attachments_post_request` (RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.rest_v10_projects_project_id_time_and_material_entry_attachments_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialAttachment.html#rest_v10_projects_project_id_time_and_material_entry_attachments_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry","doc":"API calls for all endpoints tagged `FieldProductivityTimeAndMaterialsTimeAndMaterialEntry`.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_bulk_update_patch/5","doc":"Update Multiple Time And Material Entries\nMultiple Time And Material Entries Updated","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_entry_bulk_update_body` (TimeAndMaterialEntryBulkUpdateBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_bulk_update_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_configurable_field_sets_get/4","doc":"List all Time And Material Entry Configurable Field Sets\nReturn a list of all Time And Material Entry Configurable Field Sets associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_configurable_field_sets_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_configurable_field_sets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_configurable_field_sets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_configurable_field_sets_get/4","doc":"- `{:ok, [%ConfigurableFieldSet{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_configurable_field_sets_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_create_equipment_post/5","doc":"Create a piece of Equipment\nCreate a piece of Equipment","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_create_equipment_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_create_equipment_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_entry_bulk_update_body1` (TimeAndMaterialEntryBulkUpdateBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_create_equipment_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_create_equipment_post/5","doc":"- `{:ok, Procore.Model.Equipment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_create_equipment_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_get/4","doc":"List all Time And Material Entry\nReturn a list of all Time And Material Entry associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_change_history_get/5","doc":"Show Change History\nShow Change History For a Time And Material Entry","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_change_history_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_change_history_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_change_history_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_change_history_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_change_history_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_delete/5","doc":"Delete a Time And Material Entry\nDeleting a Time And Material Entry associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of Time And Material Entry\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_email_entry_post/5","doc":"Email a Time And Material Entry\nEmail a Time And Material Entry associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_email_entry_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_email_entry_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Time And Material Entry\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_email_entry_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_email_entry_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_email_entry_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_get/5","doc":"Show Time And Material Entry\nReturn Time And Material Entry detailed information.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_patch/6","doc":"Update a Time And Material Entry\nUpdating a Time And Material Entry associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Time And Material Entry\n- `time_and_material_entry_body` (TimeAndMaterialEntryBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_restore_patch/5","doc":"Restore a Time And Material Entry\nRestored a deleted Time And Material Entry","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Time And Material Entry\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_id_restore_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_post/5","doc":"Create a new Time And Material Entry\nCreate a new Time And Material Entry associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_entry_body` (TimeAndMaterialEntryBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_search_post/4","doc":"List all Time And Material Entry matching the search keyword\nReturn a list of all Time And Material Entry matching the search keyword","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_search_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_search_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:search_keyword` (String.t): Keyword for looking up Time And Material Entries","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_search_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.rest_v10_projects_project_id_time_and_material_entries_search_post/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEntry.html#rest_v10_projects_project_id_time_and_material_entries_search_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog","doc":"API calls for all endpoints tagged `FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog`.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_create_post/5","doc":"Bulk Create Time and material equipment logs\nBulk create Time and material equipment logs with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_equipment_log_bulk_create_body` (TimeAndMaterialEquipmentLogBulkCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_create_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_destroy_delete/5","doc":"Bulk Delete Time and material equipment logs\nBulk delete Time and material equipment logs with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_destroy_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_destroy_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_equipment_log_bulk_destroy_body` (TimeAndMaterialEquipmentLogBulkDestroyBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_destroy_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_destroy_delete/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_destroy_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_update_patch/5","doc":"Bulk Update Time and Material Equipment logs\nBulk update Time and Material Equipment logs with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_equipment_log_bulk_update_body` (TimeAndMaterialEquipmentLogBulkUpdateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_update_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_get/4","doc":"List of all Time and Material Equipment Logs\nList of all Time and Material Equipment Logs","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_delete/5","doc":"Delete a Time And Material Equipment Log\nDeleting a Time And Material Equipment Log","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Time And Material Equipment Log\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_get/5","doc":"Show Time And Material Equipment Log\nReturn Time And Material Equipment Log detailed information.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_patch/6","doc":"Update a Time And Material Equipment Log\nUpdating a Time And Material Equipment Log","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Time And Material Equipment Log\n- `time_and_material_equipment_log` (TimeAndMaterialEquipmentLog): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_post/5","doc":"Create a new Time And Material Equipment Log\nCreate a new Time And Material Equipment log","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_equipment_log` (TimeAndMaterialEquipmentLog): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.rest_v10_projects_project_id_time_and_material_equipment_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialEquipmentLog.html#rest_v10_projects_project_id_time_and_material_equipment_logs_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification","doc":"API calls for all endpoints tagged `FieldProductivityTimeAndMaterialsTimeAndMaterialNotification`.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_delete/4","doc":"Delete a Time And Material Notification\nDeleting a Time And Material Notification associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_delete/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_delete/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_delete/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_delete/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_delete/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_get/4","doc":"Show Time And Material Notification\nReturn Time And Material Notification detailed information.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_patch/5","doc":"Update a Time And Material Notification\nUpdating a Time And Material Notification associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_notification_body` (TimeAndMaterialNotificationBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_post/5","doc":"Create a new Time And Material Notification\nCreate a new Time And Material Notification associated with the specified project","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_notification_body` (TimeAndMaterialNotificationBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.rest_v10_projects_project_id_time_and_material_notifications_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialNotification.html#rest_v10_projects_project_id_time_and_material_notifications_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature","doc":"API calls for all endpoints tagged `FieldProductivityTimeAndMaterialsTimeAndMaterialSignature`.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_bulk_destroy_delete/5","doc":"Delete Multiple Signatures\nDeletes the Signature for the corresponding IDs passed","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_bulk_destroy_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_bulk_destroy_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_signature_bulk_destroy` (TimeAndMaterialSignatureBulkDestroy): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_bulk_destroy_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_bulk_destroy_delete/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_bulk_destroy_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_get/4","doc":"List Signatures\nReturn all Signatures detailed information.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_id_delete/5","doc":"Delete Signature\nDeletes the Signature for the corresponding ID passed","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Signature ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_id_get/5","doc":"Show A Signature\nReturn Signature detailed information.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Signature ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_post/5","doc":"Create Signature for Time and Material Entry\nCreate new Signature associated with the specified Project.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_signature_create_body` (TimeAndMaterialSignatureCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.rest_v10_projects_project_id_time_and_material_entries_signatures_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialSignature.html#rest_v10_projects_project_id_time_and_material_entries_signatures_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard","doc":"API calls for all endpoints tagged `FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard`.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_create_post/5","doc":"Bulk Create Time and material timecards\nBulk create Time and material timecards with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_timecard_bulk_create_body` (TimeAndMaterialTimecardBulkCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_create_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_destroy_delete/5","doc":"Bulk Delete Time and material timecards\nBulk delete Time and material timecards with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_destroy_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_destroy_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_timecard_bulk_destroy_body` (TimeAndMaterialTimecardBulkDestroyBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_destroy_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_destroy_delete/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_destroy_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_update_patch/5","doc":"Bulk Update Time and material timecards\nBulk update Time and material timecards with one request.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_timecard_bulk_update_body` (TimeAndMaterialTimecardBulkUpdateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_bulk_update_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_get/4","doc":"List Time And Material Timecards\nReturn a list of all Time And Material Timecards","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_delete/5","doc":"Delete Time And Material Timecard\nDetete a specific Time And Material Timecard.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the project to get the time and material timecards for\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_get/5","doc":"Show Time And Material Timecard\nReturn detailed information about a specific Time And Material Timecard.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the project to get the time and material timecards for\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_patch/6","doc":"Update Time And Material Timecard\nUpdate a specified Time And Material Timecard.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the project to get the time and material timecards for\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_timecard_body` (TimeAndMaterialTimecardBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_post/5","doc":"Create Time And Material Timecard\nCreate a new Time And Material Timecard Entry.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `time_and_material_timecard_body` (TimeAndMaterialTimecardBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.rest_v10_projects_project_id_time_and_material_timecards_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimeAndMaterialsTimeAndMaterialTimecard.html#rest_v10_projects_project_id_time_and_material_timecards_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimecardGpsPositions","doc":"API calls for all endpoints tagged `FieldProductivityTimecardGpsPositions`.","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_get/4","doc":"List Gps Positions\nReturn a list of all Gps Positions.","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_id_get/5","doc":"Show Gps Position\nReturn detailed information about a specific Gps Position.","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Gps Position\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_post/5","doc":"Create Gps Position\nCreate a new Gps Position.","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_gps_positions_post_request` (RestV10CompaniesCompanyIdGpsPositionsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardGpsPositions.rest_v10_companies_company_id_gps_positions_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardGpsPositions.html#rest_v10_companies_company_id_gps_positions_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimecardTimecardEntries","doc":"API calls for all endpoints tagged `FieldProductivityTimecardTimecardEntries`.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_get/4","doc":"List timecard entries (Company)\nReturn a list of all Timecard Entries, serialized according to the MyTime field set","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[party_id]\"` ([integer()]): Return item(s) with the specified Party ID.\n  - `:\"filters[in_progress_only]\"` (boolean()): Return work in progress item(s).\n  - `:\"filters[include_in_progress]\"` (boolean()): Return available and work in progress item(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:start_date` (Date.t): The beginning of the date range for entries. (YYYY-MM-DD)\n  - `:end_date` (Date.t): The ending of the date range for entries. (YYYY-MM-DD)\n  - `:start_time_in` (String.t): The beginning of the time_in range for entries (YYYY-MM-DDTHH:MM:SSZ). \"Z\" represents the timezone offset (i.e. -08:00, -0800). Optionally you may pass the literal \"Z\" which also means \"UTC\".\n  - `:end_time_in` (String.t): The ending of the time_in range for entries (YYYY-MM-DDTHH:MM:SSZ). \"Z\" represents the timezone offset (i.e. -08:00, -0800). Optionally you may pass the literal \"Z\" which also means \"UTC\".\n  - `:use_filter_tz` (String.t): When passed as \"true\" the timezone from start_time_in or end_time_in will be used for all timestamps in the response. Otherwise they'll use UTC.\n  - `:serializer_view` (String.t): Changes what fields are included in the response.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_get/4","doc":"- `{:ok, [%TimecardEntry3{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_change_history_get/5","doc":"Show timecard entry change history (Company)\nReturns the change history for a Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_change_history_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_change_history_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the timecard entry\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_change_history_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_change_history_get/5","doc":"- `{:ok, [%TimecardEntryChangeHistory{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_change_history_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_delete/5","doc":"Delete timecard entry (Company)\nDetete a specific Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the timecard entry\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_delete/5","doc":"- `{:ok, Procore.Model.TimecardEntry3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_get/5","doc":"Show timecard entry (Company)\nReturn detailed information about a specific Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the timecard entry\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_get/5","doc":"- `{:ok, Procore.Model.TimecardEntry3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_patch/6","doc":"Update timecard entry (Company)\nUpdate a specified Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the timecard entry\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_timecard_entries_id_patch_request` (RestV10CompaniesCompanyIdTimecardEntriesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_id_patch/6","doc":"- `{:ok, Procore.Model.TimecardEntry3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_post/5","doc":"Create timecard entry (Company)\nCreate a new Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_timecard_entries_post_request` (RestV10CompaniesCompanyIdTimecardEntriesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_companies_company_id_timecard_entries_post/5","doc":"- `{:ok, Procore.Model.TimecardEntry3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_companies_company_id_timecard_entries_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_get/4","doc":"List timecard entries (Project)\nReturns a list of all timecard entries for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Timecard entries at the specified date. (YYYY-MM-DD)\n  - `:start_date` (Date.t): The beginning of the date range for timecard entries. (YYYY-MM-DD) Start date is inclusive.\n  - `:end_date` (Date.t): The end of the date range for timecard entries. (YYYY-MM-DD) End date is inclusive.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_get/4","doc":"- `{:ok, [%TimecardEntry8{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_delete/5","doc":"Delete timecard entry (Project)\nDelete a specific timecard entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the timecard entry\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_get/5","doc":"Show timecard entry (Project)\nReturn detailed information about a specific timecard entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the timecard entry\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_get/5","doc":"- `{:ok, Procore.Model.TimecardEntry8.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_patch/6","doc":"Update timecard entry (Project)\nUpdate a specific timecard entry.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the timecard entry\n- `rest_v10_projects_project_id_timecard_entries_id_patch_request` (RestV10ProjectsProjectIdTimecardEntriesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_patch/6","doc":"- `{:ok, Procore.Model.TimecardEntry8.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_remove_signature_patch/5","doc":"Remove signature from timecard entry (Project)\nRemove the signature ID from the provided timecard entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_remove_signature_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_remove_signature_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): The ID of the timecard entry.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_remove_signature_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_remove_signature_patch/5","doc":"- `{:ok, Procore.Model.TimecardEntry8.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_remove_signature_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_sign_patch/6","doc":"Update timecard entry signature (Project)\nUpdate timecard entry signature with the provided signature ID.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_sign_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_sign_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): The ID of the timecard entry.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_timecard_entries_id_sign_patch_request` (RestV10ProjectsProjectIdTimecardEntriesIdSignPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_sign_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_id_sign_patch/6","doc":"- `{:ok, Procore.Model.TimecardEntry8.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_id_sign_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_post/5","doc":"Create timecard entry (Project)\nCreate a new Timecard Entry.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_timecard_entries_post_request` (RestV10ProjectsProjectIdTimecardEntriesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_projects_project_id_timecard_entries_post/5","doc":"- `{:ok, Procore.Model.TimecardEntry8.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_projects_project_id_timecard_entries_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_get/4","doc":"List timecard entries\nReturn a list of all Timecard Entries within a specified date range.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:start_date` (Date.t): The beginning of the date range for entries. (YYYY-MM-DD)\n  - `:end_date` (Date.t): The end of the date range for entries. (YYYY-MM-DD)\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_get/4","doc":"- `{:ok, [%TimecardEntry6{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_delete/5","doc":"Delete timecard entry\nDetete a specific Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the timecard entry\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_get/5","doc":"Show timecard entry\nReturn detailed information about a specific Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the timecard entry\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_get/5","doc":"- `{:ok, Procore.Model.TimecardEntry.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_patch/5","doc":"Update timecard entry\nUpdate a specified Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the timecard entry\n- `rest_v10_timecard_entries_post_request` (RestV10TimecardEntriesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_id_patch/5","doc":"- `{:ok, Procore.Model.TimecardEntry.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_post/4","doc":"Create timecard entry\nCreate a new Timecard Entry.","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_timecard_entries_post_request` (RestV10TimecardEntriesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimecardTimecardEntries.rest_v10_timecard_entries_post/4","doc":"- `{:ok, Procore.Model.TimecardEntry.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimecardTimecardEntries.html#rest_v10_timecard_entries_post/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration","doc":"API calls for all endpoints tagged `FieldProductivityTimesheetRoundingConfiguration`.","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_delete/4","doc":"Delete rounding configuration\nDelete rounding configuration","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_delete/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_delete/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_delete/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_delete/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_delete/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_get/4","doc":"Show rounding configuration\nShow time increments and rounding rules for company timesheets","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_get/4","doc":"- `{:ok, Procore.Model.RoundingConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_patch/5","doc":"Update rounding configuration\nUpdate rounding configuration","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rounding_configuration_body` (RoundingConfigurationBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_patch/5","doc":"- `{:ok, Procore.Model.RoundingConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_post/5","doc":"Create rounding configuration\nCreate rounding configuration","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rounding_configuration_body` (RoundingConfigurationBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetRoundingConfiguration.rest_v10_companies_company_id_rounding_configuration_post/5","doc":"- `{:ok, Procore.Model.RoundingConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetRoundingConfiguration.html#rest_v10_companies_company_id_rounding_configuration_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration","doc":"API calls for all endpoints tagged `FieldProductivityTimesheetTimesheetToBudgetConfiguration`.","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_delete/4","doc":"Delete timesheet to budget configuration\nDelete timesheet to budget configuration","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_delete/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_delete/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_delete/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_delete/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_delete/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_get/4","doc":"Show timesheet to budget configuration\nShow timesheet to budget configuration","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_get/4","doc":"- `{:ok, Procore.Model.TimesheetToBudgetConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_patch/5","doc":"Update timesheet to budget configuration\nUpdate timesheet to budget configuration","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_post_request` (RestV10CompaniesCompanyIdTimesheetsTimesheetToBudgetConfigurationPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_patch/5","doc":"- `{:ok, Procore.Model.TimesheetToBudgetConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_post/5","doc":"Create timesheet to budget configuration\nCreate timesheet to budget configuration","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_post_request` (RestV10CompaniesCompanyIdTimesheetsTimesheetToBudgetConfigurationPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_post/5","doc":"- `{:ok, Procore.Model.TimesheetToBudgetConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetToBudgetConfiguration.html#rest_v10_companies_company_id_timesheets_timesheet_to_budget_configuration_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimesheetTimesheets","doc":"API calls for all endpoints tagged `FieldProductivityTimesheetTimesheets`.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_csv_export_get/4","doc":"Export Company Time Index to CSV\nExports timecards in a given work week from the company timesheets index to CSV","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_csv_export_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_csv_export_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[deleted_at]\"` (String.t): Returns item(s) deleted within the specified ISO 8601 datetime range.\n  - `:\"filters[start_date]\"` (Date.t): \n  - `:\"filters[end_date]\"` (Date.t):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_csv_export_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_csv_export_get/4","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_csv_export_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_get/4","doc":"List Timecard Data\nReturns timecard data for all employees on all projects in the current work week. Use the start_date and end_date query parameters to specify a date range other than the current work week. Note that if you use the updated_at or deleted_at filters, those dates must fall within the current work week,  otherwise you must also specify a date range using start_date and end_date.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[deleted_at]\"` (String.t): Returns item(s) deleted within the specified ISO 8601 datetime range.\n  - `:start_date` (Date.t): Start date of specific timecards desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific timecards desired in YYYY-MM-DD format (use together with start_date)","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_get/4","doc":"- `{:ok, [%Timesheet1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_patch/4","doc":"Bulk Update Timecard Entries\nUpdates multiple timecard entries at the same time","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_patch/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (TimecardEntries1):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_patch/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdTimesheetsPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_patch/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_post/4","doc":"Bulk Create Timecard Entries\nCreates multiple timecard entries at the same time","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:body` (TimecardEntries):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_post/4","doc":"- `{:ok, [%TimecardEntry2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_id_delete/5","doc":"Delete A Signature\nDelete A Signature","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_id_delete/5","doc":"- `{:ok, Procore.Model.TimesheetsSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_id_get/5","doc":"Show A Signature\nReturn Signature detailed information.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_id_get/5","doc":"- `{:ok, Procore.Model.TimesheetsSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_post/5","doc":"Create Signature for Timesheet\nCreate new Signature associated with the specified Company.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `timesheets_signature_create_body` (TimesheetsSignatureCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_companies_company_id_timesheets_signatures_post/5","doc":"- `{:ok, Procore.Model.TimesheetsSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_companies_company_id_timesheets_signatures_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_change_history_get/4","doc":"Change History\nChange history for timecard entries","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_change_history_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_change_history_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdTimesheetsChangeHistoryGetRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_change_history_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_change_history_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimesheetsChangeHistoryGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_change_history_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_change_history_post/5","doc":"List Change History for Timesheet\nReturns Change History for specified Timesheet","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_change_history_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_change_history_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `timesheet_change_history_body` (TimesheetChangeHistoryBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_change_history_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_change_history_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimesheetsChangeHistoryGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_change_history_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_delete/5","doc":"Delete Timecard Entries\nDelete Timecard Entries associated with the specific Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_timesheets_delete_request` (RestV10ProjectsProjectIdTimesheetsDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_delete/5","doc":"- `{:ok, Procore.Model.Timesheet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_get/4","doc":"List all Timesheets\nReturn a list of all Timesheets for a specified Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[deleted_at]\"` (String.t): Returns item(s) deleted within the specified ISO 8601 datetime range.\n  - `:\"filters[date]\"` (String.t): Returns item(s) within the specified ISO 8601 datetime range.\n  - `:\"filters[start_date]\"` (Date.t): \n  - `:\"filters[end_date]\"` (Date.t):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_get/4","doc":"- `{:ok, [%Timesheet{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_id_get/5","doc":"Show A Timesheet\nReturn Timesheet detailed information.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_id_get/5","doc":"- `{:ok, Procore.Model.Timesheet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_id_patch/5","doc":"Update Timesheet\nUpdate Timesheet associated with the specific Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdTimesheetsIdPatchRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_id_patch/5","doc":"- `{:ok, Procore.Model.Timesheet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_patch/4","doc":"Update Timecard Entries\nUpdate Timecard Entries associated with the specific Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_patch/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdTimesheetsPatchRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_patch/4","doc":"- `{:ok, Procore.Model.Timesheet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_patch/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_post/4","doc":"Create Timesheet\nCreate new Timesheet associated with the specified Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdTimesheetsPostRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_post/4","doc":"- `{:ok, Procore.Model.Timesheet3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_potential_timesheet_creator_ids_get/4","doc":"Get a list of possible Timesheet Creator Ids\nReturns all potential Timesheet Creator Ids for a specified Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_potential_timesheet_creator_ids_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_potential_timesheet_creator_ids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_potential_timesheet_creator_ids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_potential_timesheet_creator_ids_get/4","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_potential_timesheet_creator_ids_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_potential_timesheet_creators_get/4","doc":"Get a list of possible Timesheet Creators\nReturns all potential Timesheet Creators for a specified Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_potential_timesheet_creators_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_potential_timesheet_creators_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_potential_timesheet_creators_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_potential_timesheet_creators_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimesheetsPotentialTimesheetCreatorsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_potential_timesheet_creators_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_scoped_cost_code_ids_get/4","doc":"List Cost Codes Ids for Timesheets\nReturns a list of Cost Codes Ids for Timesheets.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_scoped_cost_code_ids_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_scoped_cost_code_ids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:sub_job_id` (integer()): Sub Job ID","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_scoped_cost_code_ids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_scoped_cost_code_ids_get/4","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_scoped_cost_code_ids_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_scoped_cost_codes_get/4","doc":"List Cost Codes for Timesheets\nReturns a list of Cost Codes for Timesheets.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_scoped_cost_codes_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_scoped_cost_codes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:sub_job_id` (integer()): Sub Job ID\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_scoped_cost_codes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_scoped_cost_codes_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_scoped_cost_codes_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_get/4","doc":"List Signatures\nReturn all Signatures detailed information.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_get/4","doc":"- `{:ok, [%TimesheetsSignature{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_id_delete/5","doc":"Delete Signature\nDeletes the Signature for the corresponding ID passed","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Signature ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_id_delete/5","doc":"- `{:ok, Procore.Model.TimesheetsSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_id_get/5","doc":"Show A Signature\nReturn Signature detailed information.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Signature ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_id_get/5","doc":"- `{:ok, Procore.Model.TimesheetsSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_post/5","doc":"Create Signature for Timesheet\nCreate new Signature associated with the specified Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `timesheets_signature_create_body` (TimesheetsSignatureCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_signatures_post/5","doc":"- `{:ok, Procore.Model.TimesheetsSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_signatures_post/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_update_approval_patch/4","doc":"Update timesheet status\nUpdate Timesheet statuses as either pending/approved with the specific Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_update_approval_patch/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_update_approval_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_update_approval_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v10_projects_project_id_timesheets_update_approval_patch/4","doc":"- `{:ok, Procore.Model.Timesheet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v10_projects_project_id_timesheets_update_approval_patch/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timecard_entries_id_patch/5","doc":"Edit a Timecard Entry\nUpdate Timecard Entry associated with the specific Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timecard_entries_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timecard_entries_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Timecard Entry\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV11ProjectsProjectIdProjectTimecardEntriesPostRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timecard_entries_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timecard_entries_id_patch/5","doc":"- `{:ok, Procore.Model.TimecardEntry.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timecard_entries_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timecard_entries_post/4","doc":"Create Timecard Entry\nCreate Timecard Entry associated with the specific Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timecard_entries_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timecard_entries_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV11ProjectsProjectIdProjectTimecardEntriesPostRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timecard_entries_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timecard_entries_post/4","doc":"- `{:ok, Procore.Model.TimecardEntry.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timecard_entries_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_draft_create_post/4","doc":"Draft Create\nCreates a Timesheet and Timecard Entries in bulk together","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_draft_create_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_draft_create_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesDraftCreatePostRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_draft_create_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_draft_create_post/4","doc":"- `{:ok, Procore.Model.Timesheet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_draft_create_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_id_patch/5","doc":"Update Timesheet\nUpdate Timesheet associated with the specific Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Timesheet\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequest):","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_id_patch/5","doc":"- `{:ok, Procore.Model.Timesheet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_id_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_recent_wbs_code_ids_get/4","doc":"Show recent Timecard Entry wbs code ids\nShow recent Timecard Entriy wbs_code ids associated with the specific Project.","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_recent_wbs_code_ids_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_recent_wbs_code_ids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_recent_wbs_code_ids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheets.rest_v11_projects_project_id_project_timesheet_timecard_entries_recent_wbs_code_ids_get/4","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheets.html#rest_v11_projects_project_id_project_timesheet_timecard_entries_recent_wbs_code_ids_get/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters","doc":"API calls for all endpoints tagged `FieldProductivityTimesheetTimesheetsFilters`.","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_approval_status_get/4","doc":"Show timesheet approval status filters\nShow timesheet approval status filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_approval_status_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_approval_status_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_approval_status_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_approval_status_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersApprovalStatusGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_approval_status_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_billable_get/4","doc":"Show timesheet billable filters\nShow timesheet billable filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_billable_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_billable_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_billable_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_billable_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersBillableGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_billable_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_cost_codes_get/4","doc":"Show timesheet cost code filters\nShow timesheet cost code filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_cost_codes_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_cost_codes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_cost_codes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_cost_codes_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersCostCodesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_cost_codes_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_created_by_get/4","doc":"Show timesheet created by filters\nShow timesheet created by filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_created_by_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_created_by_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_created_by_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_created_by_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersCreatedByGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_created_by_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_crews_get/4","doc":"Show timesheet crews filters\nShow timesheet crews filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_crews_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_crews_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_crews_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_crews_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersCrewsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_crews_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_departments_get/4","doc":"Show timesheet department filters\nShow timesheet department filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_departments_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_departments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_departments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_departments_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersDepartmentsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_departments_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_employee_ids_get/4","doc":"Show timesheet employee id filters\nShow timesheet employee id filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_employee_ids_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_employee_ids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_employee_ids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_employee_ids_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersEmployeeIdsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_employee_ids_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_employees_get/4","doc":"Show timesheet employee filters\nShow timesheet employee filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_employees_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_employees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_employees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_employees_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersEmployeesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_employees_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_locations_get/4","doc":"Show timesheet location filters\nShow timesheet location filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_locations_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_locations_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_locations_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_locations_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersLocationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_locations_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_projects_get/4","doc":"Show timesheet project filters\nShow timesheet approval status filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_projects_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_projects_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_projects_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_projects_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersProjectsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_projects_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_regions_get/4","doc":"Show timesheet region filters\nShow timesheet region filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_regions_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_regions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_regions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_regions_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersRegionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_regions_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_sub_job_get/4","doc":"Show timesheet sub job filters\nShow timesheet sub job filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_sub_job_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_sub_job_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_sub_job_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_sub_job_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersSubJobGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_sub_job_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_time_type_get/4","doc":"Show timesheet time type filters\nShow timesheet time type filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_time_type_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_time_type_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_time_type_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_time_type_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersTimeTypeGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_time_type_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_wbs_codes_get/4","doc":"Show timesheet wbs code filters\nShow timesheet wbs code filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_wbs_codes_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_wbs_codes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_wbs_codes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_wbs_codes_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersWbsCodesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_wbs_codes_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_work_classifications_get/4","doc":"Show timesheet work classification filters\nShow timesheet work classification filters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_work_classifications_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_work_classifications_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_work_classifications_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityTimesheetTimesheetsFilters.rest_v10_companies_company_id_timesheets_filters_work_classifications_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdTimesheetsFiltersWorkClassificationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityTimesheetTimesheetsFilters.html#rest_v10_companies_company_id_timesheets_filters_work_classifications_get/4-returns"},{"type":"module","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel","doc":"API calls for all endpoints tagged `FieldProductivityWorkClassificationWorkClassificationCompanyLevel`.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_get/4","doc":"List all Classification\nReturn a list of all Classification with details for a specified company.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_delete/5","doc":"Delete Classification\nDeleting a Classification","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Classification\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_get/5","doc":"Show Classification\nReturn Classification detailed information.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_patch/6","doc":"Update Classification\nUpdating a Classification","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Classification\n- `work_classification_body1` (WorkClassificationBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_post/5","doc":"Create Classification\nCreate a new Classification associated with the specified company.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `work_classification_body1` (WorkClassificationBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.rest_v10_companies_company_id_work_classifications_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationCompanyLevel.html#rest_v10_companies_company_id_work_classifications_post/5-returns"},{"type":"module","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel","doc":"API calls for all endpoints tagged `FieldProductivityWorkClassificationWorkClassificationProjectLevel`.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_bulk_update_patch/5","doc":"Update all classification\nActivating/deactivating all classifications associated with the specified project.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `work_classification_bulk_body` (WorkClassificationBulkBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_bulk_update_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_get/4","doc":"List all classifications\nReturn a list of all classifications with details for a specified project.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_get/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_get/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_delete/5","doc":"Delete a classification\nDeleting a classification associated with the specified project.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the classification\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_delete/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_delete/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_get/5","doc":"Show classification\nReturn classification detailed information.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_get/5-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_patch/6","doc":"Update a classification\nUpdating a classification associated with the specified project.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the classification\n- `work_classification_body` (WorkClassificationBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_id_patch/6-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_initial_setup_post/4","doc":"Create Company Classifications For Project\nAll company work classifications are created for the project","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_initial_setup_post/4"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_initial_setup_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_initial_setup_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_initial_setup_post/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_initial_setup_post/4-returns"},{"type":"function","title":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_post/5","doc":"Create a new classification\nCreate a new classification associated with the specified project.","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_post/5"},{"type":"function","title":"Parameters - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `work_classification_body` (WorkClassificationBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.rest_v10_projects_project_id_work_classifications_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.FieldProductivityWorkClassificationWorkClassificationProjectLevel.html#rest_v10_projects_project_id_work_classifications_post/5-returns"},{"type":"module","title":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs","doc":"API calls for all endpoints tagged `PDFsPDFTemplateConfigsPDFTemplateConfigs`.","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html"},{"type":"function","title":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_get/4","doc":"List PDF template configs\nReturns a list of PDF template configs","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_get/4"},{"type":"function","title":"Parameters - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_get/4-returns"},{"type":"function","title":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_delete/5","doc":"Delete PDF Template Config\nDelete PDF Template Config","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): PDF Template Configs ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_get/5","doc":"Return a PDF Template Config\nReturn a PDF Template Config","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): PDF Template Configs ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_get/5-returns"},{"type":"function","title":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_patch/6","doc":"Update a PDF Template Config\nUpdate a PDF Template Config","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): PDF Template Configs ID\n- `body45` (Body45): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_update_default_project_patch/6","doc":"Update a PDF Template Config\nUpdate a PDF Template Config","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_update_default_project_patch/6"},{"type":"function","title":"Parameters - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_update_default_project_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID of the PDF Template Config\n- `body45` (Body45): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_update_default_project_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_id_update_default_project_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_id_update_default_project_patch/6-returns"},{"type":"function","title":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_post/5","doc":"Create PDF Template Config\nCreate new PDF Template Config for a specified company","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_post/5"},{"type":"function","title":"Parameters - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `body45` (Body45): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.rest_v10_companies_company_id_pdf_template_configs_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.PDFsPDFTemplateConfigsPDFTemplateConfigs.html#rest_v10_companies_company_id_pdf_template_configs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingBidContacts","doc":"API calls for all endpoints tagged `ProjectManagementBiddingBidContacts`.","ref":"Procore.Api.ProjectManagementBiddingBidContacts.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidContacts.rest_v10_projects_project_id_bid_contacts_get/4","doc":"List Bid Contacts\nGet a list of all the contacts of a company or contacts of a perticular vendor of the company (with vendor_id as a parameter).   See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ProjectManagementBiddingBidContacts.html#rest_v10_projects_project_id_bid_contacts_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidContacts.rest_v10_projects_project_id_bid_contacts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[origin_id]\"` (String.t): Origin ID. Returns item(s) with the specified Origin ID.\n  - `:\"filters[trade_id][]\"` ([integer()]): Returns users whose vendor record is associated with the specified trade id(s).\n  - `:\"filters[search]\"` (String.t): Return users where the search string matches the user's first name, last name, email address, keywords, job title, or company name\n  - `:sort` (String.t): Return items with the specified sort.","ref":"Procore.Api.ProjectManagementBiddingBidContacts.html#rest_v10_projects_project_id_bid_contacts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidContacts.rest_v10_projects_project_id_bid_contacts_get/4","doc":"- `{:ok, [%CompanyUser5{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidContacts.html#rest_v10_projects_project_id_bid_contacts_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingBidFormItems","doc":"API calls for all endpoints tagged `ProjectManagementBiddingBidFormItems`.","ref":"Procore.Api.ProjectManagementBiddingBidFormItems.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidFormItems.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_items_bid_form_item_id_delete/6","doc":"Delete Bid Form Item\nDelete single Bid Form Item.","ref":"Procore.Api.ProjectManagementBiddingBidFormItems.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_items_bid_form_item_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidFormItems.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_items_bid_form_item_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `bid_form_item_id` (integer()): Bid Form Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBidFormItems.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_items_bid_form_item_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidFormItems.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_items_bid_form_item_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidFormItems.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_items_bid_form_item_id_delete/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingBidFormSections","doc":"API calls for all endpoints tagged `ProjectManagementBiddingBidFormSections`.","ref":"Procore.Api.ProjectManagementBiddingBidFormSections.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidFormSections.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_sections_bid_form_section_id_delete/6","doc":"Delete Bid Form Section\nDelete single Bid Form Section.","ref":"Procore.Api.ProjectManagementBiddingBidFormSections.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_sections_bid_form_section_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidFormSections.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_sections_bid_form_section_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `bid_form_section_id` (integer()): Bid Form Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBidFormSections.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_sections_bid_form_section_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidFormSections.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_sections_bid_form_section_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidFormSections.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_form_sections_bid_form_section_id_delete/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingBidForms","doc":"API calls for all endpoints tagged `ProjectManagementBiddingBidForms`.","ref":"Procore.Api.ProjectManagementBiddingBidForms.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_delete/6","doc":"Delete Bid Form\nDelete a single Bid Form and its associated Sections and Items.","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `bid_form_id` (integer()): Bid Form ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_get/6","doc":"View Bid Form\nView single Bid Form.","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `bid_form_id` (integer()): Bid Form ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_get/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_patch/7","doc":"Update Bid Form\nUpdate single Bid Form.","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `bid_form_id` (integer()): Bid Form ID\n- `body138` (Body138): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_bid_form_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_get/5","doc":"Index Bid Forms\nFetches a list of Bid Forms for a Bid Package","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `opts` (keyword): Optional parameters\n  - `:excluded_bid_form_id` (integer()): Bid Form Id to exclude\n  - `:view` (String.t): View that enables Use Previous Bidders functionality and provides project and bid package name\n  - `:search` (String.t): Search for a bid form\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdBidPackagesBidPackageIdBidFormsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_post/6","doc":"Create a Bid Form\nCreate a Bid Form for a Bid Package. A bid form is needed to submit a bid, since the bid will be made against the bid form.","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `body138` (Body138): \n- `opts` (keyword): Optional parameters\n  - `:excluded_bid_form_id` (integer()): Bid Form Id to exclude\n  - `:view` (String.t): View that enables Use Previous Bidders functionality and provides project and bid package name\n  - `:search` (String.t): Search for a bid form\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidForms.rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_post/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidForms.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bid_forms_post/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingBidPackageDocuments","doc":"API calls for all endpoints tagged `ProjectManagementBiddingBidPackageDocuments`.","ref":"Procore.Api.ProjectManagementBiddingBidPackageDocuments.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidPackageDocuments.rest_v10_companies_company_id_planroom_bid_packages_bid_package_id_documents_get/5","doc":"Gets documents attached to Bid Package\nReturns list of all documents attached to Bid Package, with meta information about all drawings","ref":"Procore.Api.ProjectManagementBiddingBidPackageDocuments.html#rest_v10_companies_company_id_planroom_bid_packages_bid_package_id_documents_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidPackageDocuments.rest_v10_companies_company_id_planroom_bid_packages_bid_package_id_documents_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `bid_package_id` (integer()): Bid Package ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBidPackageDocuments.html#rest_v10_companies_company_id_planroom_bid_packages_bid_package_id_documents_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidPackageDocuments.rest_v10_companies_company_id_planroom_bid_packages_bid_package_id_documents_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidPackageDocuments.html#rest_v10_companies_company_id_planroom_bid_packages_bid_package_id_documents_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingBidUploads","doc":"API calls for all endpoints tagged `ProjectManagementBiddingBidUploads`.","ref":"Procore.Api.ProjectManagementBiddingBidUploads.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBidUploads.rest_v10_companies_company_id_bids_bid_id_uploads_get/5","doc":"List Bid Uploads\nFetches a list of Bid Uploads for a Bid","ref":"Procore.Api.ProjectManagementBiddingBidUploads.html#rest_v10_companies_company_id_bids_bid_id_uploads_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBidUploads.rest_v10_companies_company_id_bids_bid_id_uploads_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `bid_id` (integer()): Bid ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBidUploads.html#rest_v10_companies_company_id_bids_bid_id_uploads_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBidUploads.rest_v10_companies_company_id_bids_bid_id_uploads_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBidUploads.html#rest_v10_companies_company_id_bids_bid_id_uploads_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingBids","doc":"API calls for all endpoints tagged `ProjectManagementBiddingBids`.","ref":"Procore.Api.ProjectManagementBiddingBids.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_get/4","doc":"List Bids within a Company\nReturn a list of your assigned Bids within a Company.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdBidsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_id_get/5","doc":"Show a Bid Within a Company\nReturn detailed information about a specified Bid.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_id_get/5","doc":"- `{:ok, Procore.Model.Bid.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_id_patch/6","doc":"Update a Bid within a Company\nUpdate a Bid at a company level.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_bids_id_patch_request` (RestV10CompaniesCompanyIdBidsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_companies_company_id_bids_id_patch/6","doc":"- `{:ok, Procore.Model.Bid.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_companies_company_id_bids_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_get/5","doc":"List Bids within a Bid Package\nReturn a list of your assigned Bids within a Bid Package.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdBidsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_get/6","doc":"Show Bids within a Bid package\nReturn information on a Bid from a Bid Package.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_get/6","doc":"- `{:ok, Procore.Model.Bid.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_patch/7","doc":"Update a Bid from a Bid Package\nUpdate a Bid with a Bid Package.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `id` (integer()): ID\n- `rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_patch_request` (RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_patch/7","doc":"- `{:ok, Procore.Model.Bid.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_post/6","doc":"Create bid\nCreate a Bid within a Bid Package. To submit a bid in Bid Management 2.0, a bid form must exist since the bid will be submitted against the bid form.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `rest_v10_projects_project_id_bid_packages_bid_package_id_bids_post_request` (RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bid_packages_bid_package_id_bids_post/6","doc":"- `{:ok, Procore.Model.Bid.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bid_packages_bid_package_id_bids_post/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bids_get/4","doc":"List Bids within a Project\nReturn a list of your assigned Bids within a Project.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bids_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bids_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdBidsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bids_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bids_id_get/5","doc":"Show a Bid within a Project\nReturn information on a Bid from a Project.","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bids_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bids_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bids_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingBids.rest_v10_projects_project_id_bids_id_get/5","doc":"- `{:ok, Procore.Model.Bid.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingBids.html#rest_v10_projects_project_id_bids_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingCompanyBidForms","doc":"API calls for all endpoints tagged `ProjectManagementBiddingCompanyBidForms`.","ref":"Procore.Api.ProjectManagementBiddingCompanyBidForms.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingCompanyBidForms.rest_v10_companies_company_id_bid_bid_id_bid_forms_bid_form_id_get/6","doc":"View Bid Form\nView single Bid Form.","ref":"Procore.Api.ProjectManagementBiddingCompanyBidForms.html#rest_v10_companies_company_id_bid_bid_id_bid_forms_bid_form_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingCompanyBidForms.rest_v10_companies_company_id_bid_bid_id_bid_forms_bid_form_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `bid_id` (integer()): Bid ID\n- `bid_form_id` (integer()): Bid Form ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingCompanyBidForms.html#rest_v10_companies_company_id_bid_bid_id_bid_forms_bid_form_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingCompanyBidForms.rest_v10_companies_company_id_bid_bid_id_bid_forms_bid_form_id_get/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingCompanyBidForms.html#rest_v10_companies_company_id_bid_bid_id_bid_forms_bid_form_id_get/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingCompanyBidPackages","doc":"API calls for all endpoints tagged `ProjectManagementBiddingCompanyBidPackages`.","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_get/5","doc":"List Correspondences\nReturn a list of all Correspondences for a Bid Package.","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `bid_package_id` (integer()): Bid Package ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_id_get/6","doc":"Show Correspondence\nReturn Correspondence detailed information.","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `bid_package_id` (integer()): Bid Package ID\n- `id` (integer()): Correspondence ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_id_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_bid_package_id_correspondences_id_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_get/4","doc":"List Bid Packages\nReturn a list of Bid Packages for a Company.","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_get/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_id_get/5","doc":"Show Bid Package\nReturn Bid Package detailed information.","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingCompanyBidPackages.rest_v10_companies_company_id_bid_packages_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingCompanyBidPackages.html#rest_v10_companies_company_id_bid_packages_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementBiddingProjectBidPackages","doc":"API calls for all endpoints tagged `ProjectManagementBiddingProjectBidPackages`.","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_get/5","doc":"List Correspondences\nReturn a list of all Correspondences for a Bid Package.","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_id_get/6","doc":"Show Correspondence\nReturn Correspondence detailed information.","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `bid_package_id` (integer()): Bid Package ID\n- `id` (integer()): Correspondence ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_id_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_bid_package_id_correspondences_id_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_id_get/5","doc":"Show Bid Package\nReturn Bid Package detailed information.","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_id_patch/6","doc":"Update Bid Package\nUpdate a Bid Package.","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `body42` (Body42): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_post/5","doc":"Create Bid Package\nCreate a Bid Package.","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body42` (Body42): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v10_projects_project_id_bid_packages_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v10_projects_project_id_bid_packages_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v11_projects_project_id_bid_packages_get/4","doc":"List Bid Packages\nReturn a list of all Bid Packages for a Project.","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v11_projects_project_id_bid_packages_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v11_projects_project_id_bid_packages_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): When set to all, both open and closed bid packages will be returned. When set to internal, more keys will be made available for each bid package. When set to use_previous_bidders, a key will be made available that will provide information on whether the bid package has bid forms\n  - `:filter` (String.t): Filters down list of bid packages for a project.\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter. Only applies when view=internal.","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v11_projects_project_id_bid_packages_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementBiddingProjectBidPackages.rest_v11_projects_project_id_bid_packages_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdBidPackagesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementBiddingProjectBidPackages.html#rest_v11_projects_project_id_bid_packages_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivities","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueActivities`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivities.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivities.rest_v10_coordination_issue_activities_get/4","doc":"List Coordination Issue Activities\nLists activities in coordination issues associated with the specified project.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivities.html#rest_v10_coordination_issue_activities_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivities.rest_v10_coordination_issue_activities_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[coordination_issue_id][]\"` ([integer()]): Filter item(s) with coordination issues.\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains all attributes in extended view except activity_details. The default view is normal.\n  - `:\"filters[include_deleted]\"` (String.t): Use 'only' for only deleted resources. Use 'with' for deleted and undeleted resources.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivities.html#rest_v10_coordination_issue_activities_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivities.rest_v10_coordination_issue_activities_get/4","doc":"- `{:ok, [%RestV10CoordinationIssueActivitiesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivities.html#rest_v10_coordination_issue_activities_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed.rest_v10_coordination_issue_activities_feed_get/4","doc":"List Coordination Issue Activity Feed Items\nLists activity feed item in coordination issues associated with the specified project.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed.html#rest_v10_coordination_issue_activities_feed_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed.rest_v10_coordination_issue_activities_feed_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[coordination_issue_id][]\"` ([integer()]): Filter item(s) with coordination issues.\n  - `:\"filters[include_deleted]\"` (String.t): Use 'only' for only deleted resources. Use 'with' for deleted and undeleted resources.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed.html#rest_v10_coordination_issue_activities_feed_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed.rest_v10_coordination_issue_activities_feed_get/4","doc":"- `{:ok, [%RestV10CoordinationIssueActivitiesFeedGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueActivityFeed.html#rest_v10_coordination_issue_activities_feed_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueAssignment","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueAssignment`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueAssignment.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueAssignment.rest_v10_coordination_issues_coordination_issue_id_assignments_post/5","doc":"Create Coordination Issue Assignment\nCreate a Coordination Issue Assignment, which executes a series of actions that updates coordination issue assignee_id and creates an instance of CoordinationIssueActivity.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueAssignment.html#rest_v10_coordination_issues_coordination_issue_id_assignments_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueAssignment.rest_v10_coordination_issues_coordination_issue_id_assignments_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `coordination_issue_id` (integer()): Coordination Issue ID\n- `rest_v10_coordination_issues_coordination_issue_id_assignments_post_request` (RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueAssignment.html#rest_v10_coordination_issues_coordination_issue_id_assignments_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueAssignment.rest_v10_coordination_issues_coordination_issue_id_assignments_post/5","doc":"- `{:ok, Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueAssignment.html#rest_v10_coordination_issues_coordination_issue_id_assignments_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory.rest_v10_coordination_issues_id_change_history_get/5","doc":"List Coordination Issue Change History\nThis endpoint returns the change history for the specified CoordinationIssue. The change history is sorted by most recent first.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory.html#rest_v10_coordination_issues_id_change_history_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory.rest_v10_coordination_issues_id_change_history_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Coordination Issue ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The extended view provides what is shown below. The normal view is the same as the extended view but excludes attribute created_by. The compact view returns ids only. The default view is normal.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory.html#rest_v10_coordination_issues_id_change_history_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory.rest_v10_coordination_issues_id_change_history_get/5","doc":"- `{:ok, [%RestV10CoordinationIssuesIdChangeHistoryGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueChangeHistory.html#rest_v10_coordination_issues_id_change_history_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueCounts","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueCounts`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueCounts.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueCounts.rest_v10_coordination_issues_status_count_get/4","doc":"List Grouped Coordination Issue Status Count\nThis endpoint returns the status counts for Coordination Issues in a project. The counts provide information about how the issues are distributed by location and assignee company.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueCounts.html#rest_v10_coordination_issues_status_count_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueCounts.rest_v10_coordination_issues_status_count_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[group_by]\"` (String.t): Filter status counts by group_by attribute.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueCounts.html#rest_v10_coordination_issues_status_count_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueCounts.rest_v10_coordination_issues_status_count_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesStatusCountGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueCounts.html#rest_v10_coordination_issues_status_count_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueExport","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueExport`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueExport.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueExport.rest_v10_coordination_issues_export_get/5","doc":"Download Coordination Issues\nDownloads coordination issues to a file specified by the export format. The items to be exported can be scoped by using filters. BCF export will only export the issues with a snapshot and valid camera data.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueExport.html#rest_v10_coordination_issues_export_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueExport.rest_v10_coordination_issues_export_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `export_format` (String.t): Export File Format.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[assignee_company_id][]\"` ([integer()]): Filter item(s) with matching assignee vendor companies.\n  - `:\"filters[assignee_id][]\"` ([integer()]): Filter item(s) with matching assignees.\n  - `:\"filters[ids][]\"` ([integer()]): Filter item(s) with matching ids.\n  - `:\"filters[location_id][]\"` ([integer()]): Filter item(s) with matching locations.\n  - `:\"filters[search]\"` (String.t): Filter item(s) with the matching search query. The search is performed on title and issue number.\n  - `:\"filters[coordination_issue_file_id][]\"` ([integer()]): Filter item(s) with the exact coordination issue file.\n  - `:\"filters[status][]\"` ([String.t]): Filter item(s) with matching status.\n  - `:\"filters[updated_at]\"` (String.t): Filter item(s) within a specific updated at iso8601 datetime range.\n  - `:\"filters[issue_type][]\"` ([String.t]): Filter item(s) with matching issue_type.\n  - `:\"filters[priority][]\"` ([String.t]): Filter item(s) with matching priority.\n  - `:\"filters[trade_id][]\"` ([integer()]): Filter item(s) with matching trades.\n  - `:view` (String.t): Export View.\n  - `:sort` (String.t): Sort item(s) by an attribute. The default sort is ascending. To sort in descending order, prepend the sort value with a hyphen character '-'","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueExport.html#rest_v10_coordination_issues_export_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueExport.rest_v10_coordination_issues_export_get/5","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueExport.html#rest_v10_coordination_issues_export_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_assignee_company_id_get/4","doc":"List Assignee Company Filter Options\nReturns a list of available assignee vendor filters that can be used to filter Coordination Issues","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_assignee_company_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_assignee_company_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_assignee_company_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_assignee_company_id_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesFilterOptionsAssigneeCompanyIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_assignee_company_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_assignee_id_get/4","doc":"List Assignee Filter Options\nReturns a list of available assignee filters that can be used to filter Coordination Issues","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_assignee_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_assignee_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_assignee_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_assignee_id_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesFilterOptionsAssigneeIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_assignee_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_coordination_issue_file_id_get/4","doc":"List Coordination Issue File Filter Options\nReturns a list of available source file filters that can be used to filter Coordination Issues","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_coordination_issue_file_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_coordination_issue_file_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_coordination_issue_file_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_coordination_issue_file_id_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesFilterOptionsCoordinationIssueFileIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_coordination_issue_file_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_created_by_id_get/4","doc":"List Creator Filter Options\nReturns a list of available creator filters that can be used to filter Coordination Issues","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_created_by_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_created_by_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_created_by_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_created_by_id_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesFilterOptionsAssigneeIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_created_by_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_created_from_get/4","doc":"List Creation Source Filter Options\nReturns a list of available creation source filters that can be used to filter Coordination Issues","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_created_from_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_created_from_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_created_from_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_created_from_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesFilterOptionsCreatedFromGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_created_from_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_get/4","doc":"List Available Filters for Coordination Issues\nThis endpoint returns filters that are available to filter Coordination Issues an array of objects","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesFilterOptionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_location_id_get/4","doc":"List Location Filter Options\nReturns a list of available location filters that can be used to filter Coordination Issues","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_location_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_location_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_location_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_location_id_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesFilterOptionsLocationIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_location_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_status_get/4","doc":"List Status Filter Options\nReturns a list of available status filters that can be used to filter Coordination Issues","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_status_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_status_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_status_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.rest_v10_coordination_issues_filter_options_status_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesFilterOptionsStatusGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueFilterOptions.html#rest_v10_coordination_issues_filter_options_status_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees.rest_v10_coordination_issues_assignees_get/4","doc":"List Coordination Issue Assignable Users\nLists potential assignees for Coordination Issues. Users who are admin or standard users can be assigned to a Coordination Issue","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees.html#rest_v10_coordination_issues_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees.rest_v10_coordination_issues_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees.html#rest_v10_coordination_issues_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees.rest_v10_coordination_issues_assignees_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesGet200ResponseInnerAllOfAssignee{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssuePotentialAssignees.html#rest_v10_coordination_issues_assignees_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_id_delete/7","doc":"Delete Procore Item Association\nDelete the association between Coordination Issue and Procore item","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.html#rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_id_delete/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_id_delete/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `coordination_issue_id` (integer()): Coordination Issue ID\n- `id` (integer()): Procore Item Association ID\n- `project_id` (integer()): Unique identifier for the project.\n- `item_type` (String.t): Type of Procore item\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.html#rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_id_delete/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_id_delete/7","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.html#rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_id_delete/7-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_post/5","doc":"Create Procore Item Association\nCoordinationIssue can be associated with other procore items. This API endpoint creates that association. The extended view provides what is shown below. The normal view is the same as the extended view but excludes subject and title in item_data. The compact view returns coordination_issue_id, item_id, and item_type only. The default view is normal.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.html#rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `coordination_issue_id` (integer()): Coordination Issue ID\n- `body103` (Body103): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.html#rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_post/5","doc":"- `{:ok, Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueProcoreItemAssociations.html#rest_v10_coordination_issues_coordination_issue_id_procore_item_associations_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_get/4","doc":"List Coordination Issues in Recycle Bin\nLists all deleted Coordination Issues in the specified project","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[assignee_company_id][]\"` ([integer()]): Filter item(s) with matching assignee vendor companies.\n  - `:\"filters[assignee_id][]\"` ([integer()]): Filter item(s) with matching assignees.\n  - `:\"filters[ids][]\"` ([integer()]): Filter item(s) with matching ids.\n  - `:\"filters[location_id][]\"` ([integer()]): Filter item(s) with matching locations.\n  - `:\"filters[include_sublocations]\"` (boolean()): Use together with `filters[location_id]` \n  - `:\"filters[search]\"` (String.t): Filter item(s) with the matching search query. The search is performed on title and issue number.\n  - `:\"filters[coordination_issue_file_id][]\"` ([integer()]): Filter item(s) with the exact coordination issue file.\n  - `:\"filters[status][]\"` ([String.t]): Filter item(s) with matching status.\n  - `:\"filters[updated_at]\"` (String.t): Filter item(s) within a specific updated at iso8601 datetime range.\n  - `:\"filters[due_date]\"` (String.t): Filter item(s) within a specific due date iso8601 date range.\n  - `:\"filters[created_at]\"` (String.t): Filter item(s) within a specific created at iso8601 datetime range.\n  - `:sort` (String.t): Sort item(s) by an attribute. The default sort is ascending. To sort in descending order, prepend the sort value with a hyphen character '-'\n  - `:view` (String.t): The compact view contains only ids. The normal view is a subset of the response shown below, and does not include attachments, viewpoints, linked items and updated_by The extended view contains the response shown below. The default view is normal.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_id_get/5","doc":"Show Coordination Issue in Recycle Bin\nReturn a single Coordination Issue item in Recycle Bin.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Coordination Issue ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The normal view is a subset of the response shown below, and does not include attachments, viewpoints, linked items and updated_by The extended view contains the response shown below. The default view is normal.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_id_patch/5","doc":"Restore Coordination Issue from Recycle Bin\nRestore Coordination Issue from Recycle Bin","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Coordination Issue ID\n- `rest_v10_coordination_issues_recycle_bin_id_patch_request` (RestV10CoordinationIssuesRecycleBinIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.rest_v10_coordination_issues_recycle_bin_id_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueRecycleBin.html#rest_v10_coordination_issues_recycle_bin_id_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges.rest_v10_coordination_issues_id_status_changes_get/5","doc":"List status change history for a Coordination Issue\nThis endpoint returns the status change history for the specified CoordinationIssue. The status change history is sorted by most recent first.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges.html#rest_v10_coordination_issues_id_status_changes_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges.rest_v10_coordination_issues_id_status_changes_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Coordination Issue ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The extended view provides what is shown below. The normal view is the same as the extended view but excludes attribute created_by, linked_rfi and linked_observation_item. The compact view returns ids only. The default view is normal. Both linked_rfi or linked_observation_item can be empty objects, or at most one of them is populated.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges.html#rest_v10_coordination_issues_id_status_changes_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges.rest_v10_coordination_issues_id_status_changes_get/5","doc":"- `{:ok, [%RestV10CoordinationIssuesIdStatusChangesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusChanges.html#rest_v10_coordination_issues_id_status_changes_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals.rest_v10_coordination_issues_status_total_get/4","doc":"Show Coordination Issue Count by Status\nThis endpoint returns the status counts for Coordination Issues in a project. The counts provide information about how the issues are distributed by location and assignee company.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals.html#rest_v10_coordination_issues_status_total_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals.rest_v10_coordination_issues_status_total_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals.html#rest_v10_coordination_issues_status_total_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals.rest_v10_coordination_issues_status_total_get/4","doc":"- `{:ok, Procore.Model.RestV10CoordinationIssuesStatusTotalGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueStatusTotals.html#rest_v10_coordination_issues_status_total_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssueSync`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.rest_v10_coordination_issues_bulk_delete_post/4","doc":"Delete Bulk Coordination Issues\nThis endpoint is used to delete a batch of CoordinationIssues.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.html#rest_v10_coordination_issues_bulk_delete_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.rest_v10_coordination_issues_bulk_delete_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body102` (Body102): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.html#rest_v10_coordination_issues_bulk_delete_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.rest_v10_coordination_issues_bulk_delete_post/4","doc":"- `{:ok, Procore.Model.CoordinationIssueSyncResponse1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.html#rest_v10_coordination_issues_bulk_delete_post/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.rest_v10_coordination_issues_sync_patch/4","doc":"Create and Update Bulk Coordination Issues\nThis endpoint is used to create and update a batch of CoordinationIssues. See [Using Sync Actions](/documentation/using-sync-actions) for additional information.  If an 'id' attribute is present in any payload item, that item is processed for 'update'. Only title, description, due_date, location_id, assignee_id, issue_type, priority, and trade_id can be updated using this endpoint.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.html#rest_v10_coordination_issues_sync_patch/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.rest_v10_coordination_issues_sync_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body101` (Body101): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.html#rest_v10_coordination_issues_sync_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.rest_v10_coordination_issues_sync_patch/4","doc":"- `{:ok, Procore.Model.CoordinationIssueSyncResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssueSync.html#rest_v10_coordination_issues_sync_patch/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues","doc":"API calls for all endpoints tagged `ProjectManagementCoordinationIssuesCoordinationIssues`.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_get/4","doc":"List Coordination Issues\nLists Coordination Issues associated with the specified Project.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[assignee_company_id][]\"` ([integer()]): Filter item(s) with matching assignee vendor companies.\n  - `:\"filters[assignee_id][]\"` ([integer()]): Filter item(s) with matching assignees.\n  - `:\"filters[created_by_id][]\"` ([integer()]): Filter item(s) with matching User IDs.\n  - `:\"filters[created_from][]\"` ([String.t]): Filter item(s) with matching creation source.\n  - `:\"filters[ids][]\"` ([integer()]): Filter item(s) with matching ids.\n  - `:\"filters[location_id][]\"` ([integer()]): Filter item(s) with matching locations.\n  - `:\"filters[include_sublocations]\"` (boolean()): Use together with `filters[location_id]` \n  - `:\"filters[search]\"` (String.t): Filter item(s) with the matching search query. The search is performed on title and issue number.\n  - `:\"filters[coordination_issue_file_id][]\"` ([integer()]): Filter item(s) with the exact coordination issue file.\n  - `:\"filters[status][]\"` ([String.t]): Filter item(s) with matching status.\n  - `:\"filters[issue_type][]\"` ([String.t]): Filter item(s) with matching issue_type.\n  - `:\"filters[priority][]\"` ([String.t]): Filter item(s) with matching priority.\n  - `:\"filters[trade_id][]\"` ([integer()]): Filter item(s) with matching trades.\n  - `:\"filters[updated_at]\"` (String.t): Filter item(s) within a specific updated at iso8601 datetime range.\n  - `:\"filters[due_date]\"` (String.t): Filter item(s) within a specific due date iso8601 date range.\n  - `:\"filters[created_at]\"` (String.t): Filter item(s) within a specific created at iso8601 datetime range.\n  - `:sort` (String.t): Sort item(s) by an attribute. The default sort is ascending. To sort in descending order, prepend the sort value with a hyphen character '-'\n  - `:view` (String.t): The compact view contains only ids. The normal view is a subset of the response shown below, and does not include attachments, viewpoints, linked items and updated_by The extended view contains the response shown below. The default view is normal.\n  - `:viewpoint_format` (String.t): Specify viewpoint data format. This parameter functions only when the query parameter view is 'extended' The default format returns the viewpoint content as saved. The procore format returns the viewpoint content converted to Procore format. If a valid conversion is not possible, empty viewpoint is returned.\n  - `:save_sticky_filters` (boolean()): Persists filter parameters for the requesting user and project.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_get/4","doc":"- `{:ok, [%RestV10CoordinationIssuesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_delete/5","doc":"Delete Coordination Issue\nDelete a Coordination Issue from the system","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Coordination Issue ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_get/5","doc":"Show Coordination Issue\nReturn a single Coordination Issue item.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Coordination Issue ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The normal view is a subset of the response shown below, and does not include attachments, viewpoints, linked items and updated_by The extended view contains the response shown below. The default view is normal.\n  - `:viewpoint_format` (String.t): Specify viewpoint data format. This parameter functions only when the query parameter view is 'extended' The default format returns the viewpoint content as saved. The procore format returns the viewpoint content converted to Procore format. If a valid conversion is not possible, empty viewpoint is returned.","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_patch/5","doc":"Update Coordination Issue\nUpdate a Coordination Issue item","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Coordination Issue ID\n- `body100` (Body100): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_post/4","doc":"Create Coordination Issue\nCreate a Coordination Issue in a Project","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body99` (Body99): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.rest_v10_coordination_issues_post/4","doc":"- `{:ok, Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCoordinationIssuesCoordinationIssues.html#rest_v10_coordination_issues_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences","doc":"API calls for all endpoints tagged `ProjectManagementCorrespondenceTypesCorrespondences`.","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_patch/6","doc":"Update Generic Tool\nUpdate a Generic Tool's attributes. For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool.\n- `rest_v10_companies_company_id_generic_tools_post_request` (RestV10CompaniesCompanyIdGenericToolsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_get/5","doc":"List Statuses for a Generic Tool\nReturns a list of all Statuses for a Generic Tool.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_get/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_id_delete/6","doc":"Delete Generic Tool Status\nDelete the specified Generic Tool Status.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `id` (integer()): Unique identifier for the Status\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_post/6","doc":"Create Generic Tool Status\nCreate a new Generic Tool Status for the specified Generic Tool.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_post_request` (RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_post/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_generic_tool_id_statuses_post/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_get/4","doc":"List Generic Tools\nReturns a list of all Generic Tools in the specified Company. For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[project_id]\"` (integer()): Return item(s) with the Project ID.","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdGenericToolsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_post/5","doc":"Create Generic Tool\nCreate a new Generic Tool in the specified Company.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_generic_tools_post_request` (RestV10CompaniesCompanyIdGenericToolsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_companies_company_id_generic_tools_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdGenericToolsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_companies_company_id_generic_tools_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_type_items_get/4","doc":"List Correspondence Type Items\nReturns a list of all Correspondence Type Items in the specified Project.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_type_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_type_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[login_information_id]\"` ([integer()]): Array of Login Information IDs. Returns item(s) with the specified Login Information ID.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[overdue]\"` (boolean()): If true, returns item(s) that are overdue.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[recycle_bin]\"` (boolean()): If true, returns item(s) that have been deleted.\n  - `:\"filters[generic_tool_id]\"` ([integer()]): Return item(s) within the specified Generic Tool ID(s)\n  - `:\"filters[received_from_id]\"` (integer()): Received From ID\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[closed_at]\"` (Date.t): Returns item(s) closed within the specified ISO 8601 datetime range.\n  - `:\"filters[issued_at]\"` (String.t): Returns item(s) issued within the specified ISO 8601 datetime range.\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:sort` (String.t): Field to sort by. If the field is passed with a - (EX: -updated_at) it is sorted in reverse order\n  - `:group` (String.t): Controls if the Items are returned sorted by the sort attribute then the Generic Tool's Title or just the sort attribute. Defaults to 'generic_tool_title'.\n  - `:view` (String.t): Defines the type of view returned. Must be one of 'extended', 'compact', 'ids_only', or 'flatten_v0'.","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_type_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_type_items_get/4","doc":"- `{:ok, [%GenericToolItem1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_type_items_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_type_items_patch/5","doc":"Batch Update Correspondence Type Items\nUpdate all specified Correspondence Type Items.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_type_items_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_type_items_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_correspondence_type_items_patch_request` (RestV10ProjectsProjectIdCorrespondenceTypeItemsPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Defines whether to update items that can be, or none if at least one item can not be updated. Defaults to 'all_or_nothing'.","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_type_items_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_type_items_patch/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_type_items_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_defaults_get/4","doc":"List Correspondence Type Defaults\nReturns a list of all Correspondence Types Defaults for the specificied Project.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_defaults_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_defaults_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[generic_tool_id]\"` ([integer()]): Return item(s) within the specified Generic Tool ID(s)","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_defaults_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_defaults_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_defaults_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_permissions_get/4","doc":"List Correspondence Type Permissions\nReturns a list of all Correspondence Types Permissions for the requesting User in the specificied Project.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_permissions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_permissions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_permissions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_permissions_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_permissions_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_users_get/4","doc":"List Correspondence Type Users\nReturns a list of all Correspondence Types Users Availability for the specificied Project.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_correspondence_types_users_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_correspondence_types_users_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_custom_tools_users_get/4","doc":"List Custom Tool Users\nReturns a list of all Custom Tools Users Availability for the specificied Project.","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_custom_tools_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_custom_tools_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_custom_tools_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_custom_tools_users_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_custom_tools_users_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_read_users_get/5","doc":"List Users with access to a generic tool\nReturns a list of all Users in the specified Project and Generic Tool.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_read_users_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_read_users_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_read_users_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_read_users_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_read_users_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_statuses_get/5","doc":"List statuses available for a generic tool\nReturns a list of all available statuses in the specified Project and Generic Tool.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_statuses_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_statuses_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_statuses_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_statuses_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsAvailableStatusesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_available_statuses_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_change_histories_get/6","doc":"List Change History for a Generic Tool Item\nReturns a list of all change histories for a generic tool item in the specified project and generic tool. For more information on Generic Tool and Correspondence Tool endpoints, see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_change_histories_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_change_histories_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the generic tool.\n- `generic_tool_item_id` (integer()): Unique identifier for the generic tool item.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_change_histories_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_change_histories_get/6","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304Response{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_change_histories_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_delete/6","doc":"Delete Generic Tool Item\nDelete a Generic Tool Item. For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_item_id` (integer()): Unique identifier for the Generic Tool Item\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): If supplied customize the response format","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_get/6","doc":"List Responses for a Generic Tool Item\nReturns a list of all responses for a generic tool item in the specified project and generic tool.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the generic tool.\n- `generic_tool_item_id` (integer()): Unique identifier for the generic tool item.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_get/6","doc":"- `{:ok, [%GenericToolItemResponse{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_id_patch/8","doc":"Update Generic Tool Item Response\nUpdate attributes on a generic tool item response.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_id_patch/8"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_id_patch/8","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the generic tool\n- `generic_tool_item_id` (integer()): Unique identifier for the generic tool item\n- `id` (integer()): Unique identifier for the response\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_id_patch_request` (RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_id_patch/8-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_id_patch/8","doc":"- `{:ok, Procore.Model.GenericToolItemResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_id_patch/8-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_post/7","doc":"Create generic tool item response.\nCreate a new response for a generic tool item in the specified project and generic tool.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_post/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_post/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the generic tool.\n- `generic_tool_item_id` (integer()): Unique identifier for the generic tool item.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_post_request` (RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_post/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_post/7","doc":"- `{:ok, Procore.Model.GenericToolItemResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_generic_tool_item_responses_post/7-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_get/6","doc":"Show Generic Tool Item\nGet the details of a single Generic Tool Item.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_item_id` (integer()): Unique identifier for the Generic Tool Item\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): If supplied customize the response format","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_get/6","doc":"- `{:ok, Procore.Model.GenericToolItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_patch/7","doc":"Update Generic Tool Item\nUpdate a Generic Tool Item's attributes. For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_item_id` (integer()): Unique identifier for the Generic Tool Item\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_post_request` (RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): If supplied customize the response format","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_patch/7","doc":"- `{:ok, Procore.Model.GenericToolItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_users_with_permission_get/6","doc":"List Users with access to a Generic Tool Item\nReturns a list of all Users That have access to a private generic tool item. If the item is public it will return an empty array as anyone with access to the tool can access the item. For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_users_with_permission_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_users_with_permission_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_item_id` (integer()): Unique identifier for the Generic Tool Item\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_users_with_permission_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_users_with_permission_get/6","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_generic_tool_item_id_users_with_permission_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_get/5","doc":"List generic tool items\nReturns a list of all Generic Tool Items in the specified Project and Generic Tool.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[login_information_id]\"` ([integer()]): Array of Login Information IDs. Returns item(s) with the specified Login Information ID.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[overdue]\"` (boolean()): If true, returns item(s) that are overdue.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[recycle_bin]\"` (boolean()): If true, returns item(s) that have been deleted.\n  - `:\"filters[received_from_id]\"` (integer()): Received From ID\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[closed_at]\"` (Date.t): Returns item(s) closed within the specified ISO 8601 datetime range.\n  - `:\"filters[issued_at]\"` (String.t): Returns item(s) issued within the specified ISO 8601 datetime range.\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:sort` (String.t): Field to sort by. If the field is passed with a - (EX: -updated_at) it is sorted in reverse order\n  - `:view` (String.t): If supplied customize the response format","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_get/5","doc":"- `{:ok, [%GenericToolItem1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_patch/6","doc":"Batch Update Generic Tool Items\nUpdate all selected Generic Tool Items. For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_patch_request` (RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): If supplied customize the response format\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_patch/6","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_post/6","doc":"Create Generic Tool Item\nCreate a new Generic Tool Item in the specified Project and Generic Tool.  For more information on Generic Tool and Correspondence Tool endpoints,  see [Working with the Correspondence Tool](/documentation/tutorial-correspondence).","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `generic_tool_id` (integer()): Unique identifier for the Generic Tool\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_post_request` (RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): If supplied customize the response format","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_post/6","doc":"- `{:ok, Procore.Model.GenericToolItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCorrespondenceTypesCorrespondences.html#rest_v10_projects_project_id_generic_tools_generic_tool_id_generic_tool_items_post/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementCrewsCrews","doc":"API calls for all endpoints tagged `ProjectManagementCrewsCrews`.","ref":"Procore.Api.ProjectManagementCrewsCrews.html"},{"type":"function","title":"Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_get/4","doc":"List all Project Crews\nReturn a list of all Crews with details for a specified Project.","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_get/4","doc":"- `{:ok, [%TimecardEntry8Crew{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_delete/6","doc":"Delete a Crew\nDeleting a Crew associated with the specified Project.","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Crew\n- `crew_body` (CrewBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_get/5","doc":"Show A Crew\nReturn Crew detailed information.","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_get/5","doc":"- `{:ok, Procore.Model.TimecardEntry8Crew.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_patch/6","doc":"Update a Crew\nUpdating a Crew associated with the specified Project.","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Id of the Crew\n- `crew_body` (CrewBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_id_patch/6","doc":"- `{:ok, Procore.Model.TimecardEntry8Crew.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_ids_get/4","doc":"List all Project Crew Ids\nReturn a list of all Crew Ids with details for a specified Project.","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_ids_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_ids_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_ids_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_ids_get/4","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_ids_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_post/5","doc":"Create a new Crew\nCreate a new Crew associated with the specified Project.","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `crew_body` (CrewBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementCrewsCrews.rest_v10_projects_project_id_crews_post/5","doc":"- `{:ok, Procore.Model.TimecardEntry8Crew.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementCrewsCrews.html#rest_v10_projects_project_id_crews_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogAccidentLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogAccidentLogs`.","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_get/4","doc":"List Accident Logs\nReturns all Accident Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Elements per page\n  - `:page` (integer()): Page\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` (integer()): Return item(s) created by the specified User ID\n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_delete/5","doc":"Delete Accident Log\nDelete single Accident Log.","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Accident log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_get/5","doc":"Show Accident Logs\nReturns single Accident Log.","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Accident log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_patch/6","doc":"Update Accident Log\nUpdate single Accident Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Accident log ID\n- `rest_v10_projects_project_id_accident_logs_id_patch_request` (RestV10ProjectsProjectIdAccidentLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_post/5","doc":"Create Accident Log\nCreates single Accident Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_accident_logs_post_request` (RestV10ProjectsProjectIdAccidentLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAccidentLogs.rest_v10_projects_project_id_accident_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAccidentLogs.html#rest_v10_projects_project_id_accident_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogAdminEquipmentLogs`.","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_get/4","doc":"List Equipment Logs\nReturns all Equipment Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` (integer()): Return item(s) created by the specified User ID\n  - `:\"filters[location_id]\"` (integer()): Return item(s) with the specified Location ID.\n  - `:per_page` (integer()): Elements per page\n  - `:page` (integer()): Page","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_delete/5","doc":"Delete Equipment Log\nDelete single Equipment Log.","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Equipment Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_get/5","doc":"Show Equipment Logs\nReturns single Equipment Log.","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Equipment Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_patch/6","doc":"Update Equipment Log\nUpdate single Equipment Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Equipment Log ID\n- `rest_v10_projects_project_id_equipment_logs_post_request` (RestV10ProjectsProjectIdEquipmentLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_post/5","doc":"Create Equipment Log\nCreates single Equipment Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_equipment_logs_post_request` (RestV10ProjectsProjectIdEquipmentLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.rest_v10_projects_project_id_equipment_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogAdminEquipmentLogs.html#rest_v10_projects_project_id_equipment_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogCallLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogCallLogs`.","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_get/4","doc":"List Call Logs\nReturns all Call Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` (integer()): Return item(s) created by the specified User ID\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdCallLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_delete/5","doc":"Delete Call Log\nDelete single Call Log.","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Call log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_get/5","doc":"Show Call Logs\nReturns single Call Log.","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Call log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_patch/6","doc":"Update Call Log\nUpdate single Call Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Call log ID\n- `rest_v10_projects_project_id_call_logs_post_request` (RestV10ProjectsProjectIdCallLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_post/5","doc":"Create Call Log\nCreates single Call Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_call_logs_post_request` (RestV10ProjectsProjectIdCallLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogCallLogs.rest_v10_projects_project_id_call_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogCallLogs.html#rest_v10_projects_project_id_call_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDailyConstructionReportLogs`.","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_get/4","doc":"List Daily Construction Report Logs\nReturns all approved Daily Construction Report Logs for the current date. See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[status]\"` (String.t): Filter on status for \"pending\" or \"approved\" or \"all\"\n  - `:\"filters[created_by_id]\"` (integer()): Return item(s) created by the specified User ID\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_delete/5","doc":"Delete Daily Construction Report Log\nDelete single Daily Construction Report Log.","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Daily Construction Report Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_get/5","doc":"Show Daily Construction Report Logs\nReturns single Daily Construction Report Log.","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Daily Construction Report Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_patch/6","doc":"Update Daily Construction Report Log\nUpdate single Daily Construction Report Log.","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Daily Construction Report Log ID\n- `rest_v10_projects_project_id_daily_construction_report_logs_id_patch_request` (RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_post/5","doc":"Create Daily Construction Report Log\nCreates single Daily Construction Report Log.","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_daily_construction_report_logs_post_request` (RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_vendor_options_get/4","doc":"List Daily Construction Report Logs Vendor Options\nReturns all Vendors that can be assigned to a new Daily Construction Report Log given the current user permissions","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_vendor_options_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_vendor_options_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_vendor_options_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.rest_v10_projects_project_id_daily_construction_report_logs_vendor_options_get/4","doc":"- `{:ok, [%NameView{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyConstructionReportLogs.html#rest_v10_projects_project_id_daily_construction_report_logs_vendor_options_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDailyLogBulkUpdates","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDailyLogBulkUpdates`.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogBulkUpdates.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyLogBulkUpdates.rest_v10_projects_project_id_daily_logs_bulk_updates_bulk_update_patch/5","doc":"Bulk Updates for Daily Logs\nUpdates multiple daily logs with single request. Currently only status update is available. 300 logs maximum is allowed per request.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogBulkUpdates.html#rest_v10_projects_project_id_daily_logs_bulk_updates_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyLogBulkUpdates.rest_v10_projects_project_id_daily_logs_bulk_updates_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_daily_logs_bulk_updates_bulk_update_patch_request` (RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDailyLogBulkUpdates.html#rest_v10_projects_project_id_daily_logs_bulk_updates_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyLogBulkUpdates.rest_v10_projects_project_id_daily_logs_bulk_updates_bulk_update_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyLogBulkUpdates.html#rest_v10_projects_project_id_daily_logs_bulk_updates_bulk_update_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDailyLogClones","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDailyLogClones`.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogClones.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyLogClones.rest_v10_projects_project_id_daily_logs_clones_post/5","doc":"Clones Daily Logs from one Date to another Date\nClones Daily Logs of the given log_types from the from_date to the to_date.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogClones.html#rest_v10_projects_project_id_daily_logs_clones_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyLogClones.rest_v10_projects_project_id_daily_logs_clones_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_daily_logs_clones_post_request` (RestV10ProjectsProjectIdDailyLogsClonesPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:\"Idempotency-Token\"` (String.t): Unique idempotent token","ref":"Procore.Api.ProjectManagementDailyLogDailyLogClones.html#rest_v10_projects_project_id_daily_logs_clones_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyLogClones.rest_v10_projects_project_id_daily_logs_clones_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyLogClones.html#rest_v10_projects_project_id_daily_logs_clones_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDailyLogCounts","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDailyLogCounts`.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogCounts.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyLogCounts.rest_v11_projects_project_id_daily_logs_counts_get/4","doc":"List Counts of Daily Logs\nReturns counts of all daily logs arranged by type, given the current user permissions. Read Only/Standard users will see only counts of approved logs, Collaborator users will see only counts of logs created by themselves, Admins can use filter options to see all logs, or only a specific approval status (defaulting to approved).  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogCounts.html#rest_v11_projects_project_id_daily_logs_counts_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyLogCounts.rest_v11_projects_project_id_daily_logs_counts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired. Example formats YYYY-MM-DD, YYYY/MM/DD, DD-MM-YYYY, DD/MM/YYYY\n  - `:start_date` (Date.t): Start date of specific logs desired. Use together with end_date to specify a date range. Example formats YYYY-MM-DD, YYYY/MM/DD, DD-MM-YYYY, DD/MM/YYYY\n  - `:end_date` (Date.t): End date of specific logs desired. Use together with start_date to specify a date range. Example formats YYYY-MM-DD, YYYY/MM/DD, DD-MM-YYYY, DD/MM/YYYY\n  - `:\"filters[status]\"` (String.t): Filter on log status\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogCounts.html#rest_v11_projects_project_id_daily_logs_counts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyLogCounts.rest_v11_projects_project_id_daily_logs_counts_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDailyLogsCountGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyLogCounts.html#rest_v11_projects_project_id_daily_logs_counts_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDailyLogHeaders`.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_get/4","doc":"Get the Daily Log Header via date or id\nReturns the Daily Log Header for a given date or id","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:id` (integer()): The id of the requested Daily Log Header\n  - `:log_date` (Date.t): The log date for the requested Daily Log Header","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_index_get/4","doc":"Get Daily Log Headers for the Project\nReturns Daily Log Headers for the Project for specified date range or all if not specified","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_index_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_index_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:start_date` (Date.t): The left boundary of requested date range\n  - `:end_date` (Date.t): The right boundary of requested date range\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_index_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_index_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDailyLogHeadersGet200Response{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_index_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_patch/5","doc":"Update the state of a Daily Log Header\nSets the completed boolean value and/or distributes the Daily Log to its distribution list","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_daily_log_headers_patch_request` (RestV10ProjectsProjectIdDailyLogHeadersPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:id` (integer()): The id of the requested Daily Log Header\n  - `:log_date` (Date.t): The log date for the requested Daily Log Header\n  - `:app_name` (String.t): The name of app which issues this request. If app name is 'web' and request completes day then web filters of user which completes day are applied to pdf which is sent to distribution users.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyLogHeaders.rest_v10_projects_project_id_daily_log_headers_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyLogHeaders.html#rest_v10_projects_project_id_daily_log_headers_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDailyLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDailyLogs`.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDailyLogs.rest_v10_projects_project_id_daily_logs_count_get/4","doc":"List Counts of Daily Logs\nReturns counts of all daily logs arranged by type, given the current user permissions. Read Only/Standard users will see only counts of approved logs, Collaborator users will see only counts of logs created by themselves, Admins can use filter options to see all logs, or only a specific approval status (defaulting to approved).  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.  This is a deprecated endpoint, please use [/rest/v1.1/projects/{project_id}/daily_logs/counts](daily_logs#counts)","ref":"Procore.Api.ProjectManagementDailyLogDailyLogs.html#rest_v10_projects_project_id_daily_logs_count_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDailyLogs.rest_v10_projects_project_id_daily_logs_count_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[status]\"` (String.t): Filter on status for \"pending\" or \"approved\" or \"all\"\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.","ref":"Procore.Api.ProjectManagementDailyLogDailyLogs.html#rest_v10_projects_project_id_daily_logs_count_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDailyLogs.rest_v10_projects_project_id_daily_logs_count_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDailyLogsCountGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDailyLogs.html#rest_v10_projects_project_id_daily_logs_count_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDelayLogTypes","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDelayLogTypes`.","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_get/4","doc":"List Delay Log Types\nReturns all Delay Log Types associated with the project and their visibility.","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[visible]\"` (String.t): Filter Delay Log Types based on visible. Defaults to true, to query all types pass 'false...true'\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_id_patch/6","doc":"Update a Delay Log Type\nUpdate the visibility of a Delay Log Type","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Delay Log Type ID\n- `rest_v10_projects_project_id_daily_logs_delay_log_types_id_patch_request` (RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_post/5","doc":"Create new Delay Log Type\nCreate a new Delay Log Type for the project","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_daily_logs_delay_log_types_post_request` (RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDelayLogTypes.rest_v10_projects_project_id_daily_logs_delay_log_types_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDelayLogTypes.html#rest_v10_projects_project_id_daily_logs_delay_log_types_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDelayLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDelayLogs`.","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_get/4","doc":"List Delay Logs\nReturns all Delay Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDelayLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_delete/5","doc":"Delete Delay Log\nDelete single Delay Log.","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Delay log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_get/5","doc":"Show Delay Logs\nReturns single Delay Log.","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Delay log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_patch/6","doc":"Update Delay Log\nUpdate single Delay Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Delay log ID\n- `rest_v10_projects_project_id_delay_logs_id_patch_request` (RestV10ProjectsProjectIdDelayLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_post/5","doc":"Create Delay Log\nCreates single Delay Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_delay_logs_post_request` (RestV10ProjectsProjectIdDelayLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDelayLogs.rest_v10_projects_project_id_delay_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDelayLogs.html#rest_v10_projects_project_id_delay_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDeliveryLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDeliveryLogs`.","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_get/4","doc":"List Delivery Logs\nReturns all approved Delivery Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[status]\"` (String.t): Filter on status for \"pending\" or \"approved\" or \"all\"\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_delete/5","doc":"Delete Delivery Log\nDelete single Delivery Log.","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Delivery Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_get/5","doc":"Show Delivery Log\nReturns single Delivery Log.","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Delivery Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_patch/6","doc":"Update Delivery Log\nUpdate single Delivery Log in the specfied Project.","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Delivery Log ID\n- `rest_v10_projects_project_id_delivery_logs_id_patch_request` (RestV10ProjectsProjectIdDeliveryLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_post/5","doc":"Create Delivery Log\nCreates single Delivery Log in the specified Project.","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_delivery_logs_post_request` (RestV10ProjectsProjectIdDeliveryLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDeliveryLogs.rest_v10_projects_project_id_delivery_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDeliveryLogs.html#rest_v10_projects_project_id_delivery_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogDumpsterLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogDumpsterLogs`.","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_get/4","doc":"List Dumpster Logs\nReturns all Dumpster Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_delete/5","doc":"Delete Dumpster Log\nDelete single Dumpster Log.","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Dumpster Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_get/5","doc":"Show Dumpster Logs\nReturns single Dumpster Log.","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Dumpster Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_patch/6","doc":"Update Dumpster Log\nUpdate single Dumpster Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Dumpster Log ID\n- `rest_v10_projects_project_id_dumpster_logs_post_request` (RestV10ProjectsProjectIdDumpsterLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_post/5","doc":"Create Dumpster Log\nCreates single Dumpster Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_dumpster_logs_post_request` (RestV10ProjectsProjectIdDumpsterLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogDumpsterLogs.rest_v10_projects_project_id_dumpster_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogDumpsterLogs.html#rest_v10_projects_project_id_dumpster_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogInspectionLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogInspectionLogs`.","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_get/4","doc":"List Inspection Logs\nReturns all Inspection Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_delete/5","doc":"Delete Inspection Log\nDelete single Inspection Log.","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Inspection Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_get/5","doc":"Show Inspection Logs\nReturns single Inspection Log.","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Inspection Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_patch/6","doc":"Update Inspection Log\nUpdate single Inspection Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Inspection Log ID\n- `rest_v10_projects_project_id_inspection_logs_id_patch_request` (RestV10ProjectsProjectIdInspectionLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_post/5","doc":"Create Inspection Log\nCreates single Inspection Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_inspection_logs_post_request` (RestV10ProjectsProjectIdInspectionLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogInspectionLogs.rest_v10_projects_project_id_inspection_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogInspectionLogs.html#rest_v10_projects_project_id_inspection_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogManpowerLogs`.","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_contact_options_get/4","doc":"List Manpower Logs Contact Options\nReturns all Contacts that can be assigned to a new Manpower Log given the current user permissions","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_contact_options_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_contact_options_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_contact_options_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_contact_options_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimesheetsPotentialTimesheetCreatorsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_contact_options_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_daily_totals_get/4","doc":"Get total workers and man hours\nReturns total workers and man hours between a start date and end date. To get a single day, supply the same date for start and end.","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_daily_totals_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_daily_totals_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_daily_totals_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_daily_totals_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManpowerLogsDailyTotalsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_daily_totals_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_get/4","doc":"List Manpower Logs\nReturns all approved Manpower Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[status]\"` (String.t): Filter on status for \"pending\" or \"approved\" or \"all\"\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_delete/5","doc":"Delete Manpower Log\nDelete single Manpower Log.","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Manpower Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_get/5","doc":"Show Manpower Logs\nReturns single Manpower Log.","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Manpower Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_patch/6","doc":"Update Manpower Log\nUpdate single Manpower Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Manpower Log ID\n- `rest_v10_projects_project_id_manpower_logs_id_patch_request` (RestV10ProjectsProjectIdManpowerLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_post/5","doc":"Create Manpower Log\nCreates single Manpower Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_manpower_logs_post_request` (RestV10ProjectsProjectIdManpowerLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_vendor_options_get/4","doc":"List Manpower Logs Vendor Options\nReturns all Vendors that can be assigned to a new Manpower Log given the current user permissions","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_vendor_options_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_vendor_options_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_vendor_options_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogManpowerLogs.rest_v10_projects_project_id_manpower_logs_vendor_options_get/4","doc":"- `{:ok, [%NameView{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogManpowerLogs.html#rest_v10_projects_project_id_manpower_logs_vendor_options_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogNotesLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogNotesLogs`.","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_get/4","doc":"List Notes Logs\nReturns all approved Notes Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[status]\"` (String.t): Filter on status for \"pending\" or \"approved\" or \"all\"\n  - `:\"filters[created_by_id]\"` (integer()): Return item(s) created by the specified User ID\n  - `:\"filters[location_id]\"` (integer()): Filters by specific location (Note: Use *either* this or location_id_with_sublocations, but not both)\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdNotesLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_delete/5","doc":"Delete Notes Log\nDelete single Notes Log.","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Notes Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_get/5","doc":"Show Notes Logs\nReturns single Notes Log.","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Notes Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_patch/6","doc":"Update Notes Log\nUpdate single Notes Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Notes Log ID\n- `rest_v10_projects_project_id_notes_logs_id_patch_request` (RestV10ProjectsProjectIdNotesLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_post/5","doc":"Create Notes Log\nCreates single Notes Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_notes_logs_post_request` (RestV10ProjectsProjectIdNotesLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogNotesLogs.rest_v10_projects_project_id_notes_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogNotesLogs.html#rest_v10_projects_project_id_notes_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogPlanRevisionLogs`.","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_get/4","doc":"List Plan Revision Logs\nReturns all Plan Revision Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_delete/5","doc":"Delete Plan Revision Log\nDelete single Plan Revision Log.","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Plan Revision Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_get/5","doc":"Show Plan Revision Logs\nReturns single Plan Revision Log.","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Plan Revision Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_patch/6","doc":"Update Plan Revision Log\nUpdate single Plan Revision Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Plan Revision Log ID\n- `rest_v10_projects_project_id_plan_revision_logs_post_request` (RestV10ProjectsProjectIdPlanRevisionLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_post/5","doc":"Create Plan Revision Log\nCreates single Plan Revision Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_plan_revision_logs_post_request` (RestV10ProjectsProjectIdPlanRevisionLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.rest_v10_projects_project_id_plan_revision_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogPlanRevisionLogs.html#rest_v10_projects_project_id_plan_revision_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogProductivityLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogProductivityLogs`.","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_get/4","doc":"List Productivity Logs\nReturns all Productivity Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (String.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_delete/5","doc":"Delete Productivity Log\nDelete single Productivity Log.","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Productivity Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_get/5","doc":"Show Productivity Logs\nReturns single Productivity Log.","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Productivity Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_patch/6","doc":"Update Productivity Log\nUpdate single Productivity Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Productivity Log ID\n- `rest_v10_projects_project_id_productivity_logs_id_patch_request` (RestV10ProjectsProjectIdProductivityLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_post/5","doc":"Create Productivity Log\nCreates single Productivity Log  #### Click - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments  #### Note: The required Line Item ID to create a Productivity Log must be from an approved Contract  #### How to find a Line Item ID * If the Line Item comes from a Work Order Contract use the `Work Order Contracts List` endpoint * If the Line Item comes from a Purchase Order Contract use the `Purchase Order Contracts List` endpoint * Use filter - `filters[status] 'Approved'` - to get list of approved Contracts * Use the Contract ID to the Show endpoint to get the Line Item ID associated with the Contract","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_productivity_logs_post_request` (RestV10ProjectsProjectIdProductivityLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogProductivityLogs.rest_v10_projects_project_id_productivity_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogProductivityLogs.html#rest_v10_projects_project_id_productivity_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogQuantityLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogQuantityLogs`.","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_get/4","doc":"List Quantity Logs\nReturns all Quantity Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_delete/5","doc":"Delete Quantity Log\nDelete single Quantity Log.","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Quantity Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_get/5","doc":"Show Quantity Logs\nReturns single Quantity Log.","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Quantity Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_patch/6","doc":"Update Quantity Log\nUpdate single Quantity Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Quantity Log ID\n- `rest_v10_projects_project_id_quantity_logs_post_request` (RestV10ProjectsProjectIdQuantityLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_post/5","doc":"Create Quantity Log\nCreates single Quantity Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments * Locations","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_quantity_logs_post_request` (RestV10ProjectsProjectIdQuantityLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogQuantityLogs.rest_v10_projects_project_id_quantity_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogQuantityLogs.html#rest_v10_projects_project_id_quantity_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogSafetyViolationLogs`.","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_get/4","doc":"List Safety Violation Logs\nReturns all Safety Violation Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_delete/5","doc":"Delete Safety Violation Log\nDelete single Safety Violation Log.","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Safety Violation Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_get/5","doc":"Show Safety Violation Logs\nReturns single Safety Violation Log.","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Safety Violation Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_patch/6","doc":"Update Safety Violation Log\nUpdate single Safety Violation Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Safety Violation Log ID\n- `rest_v10_projects_project_id_safety_violation_logs_id_patch_request` (RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_post/5","doc":"Create Safety Violation Log\nCreates single Safety Violation Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_safety_violation_logs_post_request` (RestV10ProjectsProjectIdSafetyViolationLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.rest_v10_projects_project_id_safety_violation_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogSafetyViolationLogs.html#rest_v10_projects_project_id_safety_violation_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogVisitorLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogVisitorLogs`.","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_get/4","doc":"List Visitor Logs\nReturns all Visitor Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_delete/5","doc":"Delete Visitor Log\nDelete single Visitor Log.","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Visitor Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_get/5","doc":"Show Visitor Logs\nReturns single Visitor Log.","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Visitor Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_patch/6","doc":"Update Visitor Log\nUpdates a single Visitor Log in the specified Project.","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Visitor Log ID\n- `rest_v10_projects_project_id_visitor_logs_id_patch_request` (RestV10ProjectsProjectIdVisitorLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_post/5","doc":"Create Visitor Log\nCreates a single Visitor Log in the specified Project.","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_visitor_logs_post_request` (RestV10ProjectsProjectIdVisitorLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogVisitorLogs.rest_v10_projects_project_id_visitor_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogVisitorLogs.html#rest_v10_projects_project_id_visitor_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogWasteLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogWasteLogs`.","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_get/4","doc":"List Waste Logs\nReturns all Waste Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[vendor_id]\"` ([integer()]): Return item(s) with the specified Vendor IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWasteLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_delete/5","doc":"Delete Waste Log\nDelete single Waste Log.","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Waste Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_get/5","doc":"Show Waste Logs\nReturns single Waste Log.","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Waste Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_patch/6","doc":"Update Waste Log\nUpdate single Waste Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Waste Log ID\n- `rest_v10_projects_project_id_waste_logs_id_patch_request` (RestV10ProjectsProjectIdWasteLogsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_post/5","doc":"Create Waste Log\nCreates single Waste Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments  [Project Vendor List](https://developers.procore.com/docs/list-project-vendors)","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_waste_logs_post_request` (RestV10ProjectsProjectIdWasteLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWasteLogs.rest_v10_projects_project_id_waste_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWasteLogs.html#rest_v10_projects_project_id_waste_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogWeatherConditions","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogWeatherConditions`.","ref":"Procore.Api.ProjectManagementDailyLogWeatherConditions.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherConditions.rest_v10_projects_project_id_daily_logs_weather_conditions_get/4","doc":"List Accepted Weather Conditions\nReturns accepted weather conditions for the sky, ground, temperature, calamity, and wind categories.","ref":"Procore.Api.ProjectManagementDailyLogWeatherConditions.html#rest_v10_projects_project_id_daily_logs_weather_conditions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherConditions.rest_v10_projects_project_id_daily_logs_weather_conditions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWeatherConditions.html#rest_v10_projects_project_id_daily_logs_weather_conditions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherConditions.rest_v10_projects_project_id_daily_logs_weather_conditions_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherConditions.html#rest_v10_projects_project_id_daily_logs_weather_conditions_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogWeatherLogs`.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_conditions_get/4","doc":"List Accepted Weather Conditions\nReturns accepted weather conditions for the sky, ground, temperature, calamity, and wind categories. This is a deprecated endpoint, please use [Weather Conditions](weather-conditions#list-accepted-weather-conditions)","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_conditions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_conditions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_conditions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_conditions_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWeatherLogsConditionsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_conditions_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_get/4","doc":"List Weather Logs\nReturns all Weather Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_delete/5","doc":"Delete Weather Log\nDelete single Weather Log.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Use log date as your ID. Format YYYYMMDD ie:20161108\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_get/5","doc":"Show Weather Logs\nReturns single Weather Log.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Use log date as your ID. Format YYYYMMDD ie:20161108\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Log date of specific log desired in YYYY-MM-DD format (This will override ID as log Date)","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_patch/6","doc":"Update Weather Log\nUpdate single Weather Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Use log date as your ID. Format YYYYMMDD ie:20161108\n- `rest_v10_projects_project_id_weather_logs_post_request` (RestV10ProjectsProjectIdWeatherLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_post/5","doc":"Create Weather Log\nCreates single Weather Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_weather_logs_post_request` (RestV10ProjectsProjectIdWeatherLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v10_projects_project_id_weather_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v10_projects_project_id_weather_logs_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_get/4","doc":"List Weather Logs\nReturns all Weather Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired. Example formats YYYY-MM-DD, YYYY/MM/DD, DD-MM-YYYY, DD/MM/YYYY\n  - `:start_date` (Date.t): Start date of specific logs desired. Use together with end_date to specify a date range. Example formats YYYY-MM-DD, YYYY/MM/DD, DD-MM-YYYY, DD/MM/YYYY\n  - `:end_date` (Date.t): End date of specific logs desired. Use together with start_date to specify a date range. Example formats YYYY-MM-DD, YYYY/MM/DD, DD-MM-YYYY, DD/MM/YYYY\n  - `:\"filters[status]\"` (String.t): Filter on log status\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_delete/5","doc":"Delete Weather Log\nDelete single Weather Log.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Weather Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_get/5","doc":"Show Weather Log\nReturns single Weather Log.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Weather Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_patch/6","doc":"Update Weather Log\nUpdate single Weather Log.  #### See - [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Weather Log ID\n- `rest_v11_projects_project_id_daily_logs_weather_logs_post_request` (RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_post/5","doc":"Create Weather Log\nCreates single Weather Log.  #### See - [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v11_projects_project_id_daily_logs_weather_logs_post_request` (RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWeatherLogs.rest_v11_projects_project_id_daily_logs_weather_logs_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWeatherLogs.html#rest_v11_projects_project_id_daily_logs_weather_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDailyLogWorkLogs","doc":"API calls for all endpoints tagged `ProjectManagementDailyLogWorkLogs`.","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_get/4","doc":"List Work Logs\nReturns all Work Logs for the current date.  See [Working with Daily Logs](https://developers.procore.com/documentation/daily-logs) for information on filtering the response using the log\\_date, start\\_date, and end\\_date parameters. Note that if none of the date parameters are provided in the call, only logs from the current date are returned.","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:log_date` (Date.t): Date of specific logs desired in YYYY-MM-DD format\n  - `:start_date` (Date.t): Start date of specific logs desired in YYYY-MM-DD format (use together with end_date)\n  - `:end_date` (Date.t): End date of specific logs desired in YYYY-MM-DD format (use together with start_date)\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_delete/5","doc":"Delete Work Log\nDelete single Work Log.","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Work Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_get/5","doc":"Show Work Logs\nReturns single Work Log.","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Work Log ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_patch/6","doc":"Update Work Log\nUpdate single Work Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Work Log ID\n- `rest_v10_projects_project_id_work_logs_post_request` (RestV10ProjectsProjectIdWorkLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_post/5","doc":"Create Work Log\nCreates single Work Log.  #### See - [Daily Log guide](https://developers.procore.com/documentation/daily-logs) - for additional info on * Attachments","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_work_logs_post_request` (RestV10ProjectsProjectIdWorkLogsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDailyLogWorkLogs.rest_v10_projects_project_id_work_logs_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDailyLogWorkLogs.html#rest_v10_projects_project_id_work_logs_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDocumentMarkupDocumentMarkup","doc":"API calls for all endpoints tagged `ProjectManagementDocumentMarkupDocumentMarkup`.","ref":"Procore.Api.ProjectManagementDocumentMarkupDocumentMarkup.html"},{"type":"function","title":"Procore.Api.ProjectManagementDocumentMarkupDocumentMarkup.rest_v10_document_markup_downloadable_pdfs_find_or_create_post/4","doc":"Show or Create Document Markup Downloadable PDF\nFind or Create Document Markup Downloadable PDF. Starts processing to create a downloadable PDF with markup. When completed, the same request will include a download URL for the PDF. item_id, item_type, and attachment_id paramters are the same parameters included in the URL when viewing the attachment in procore. Example: app.procore.com/161072/project/submittal_logs/document_viewer?attachment_id=43&item_id=42&item_type=SubmittalLog&project_id=161072","ref":"Procore.Api.ProjectManagementDocumentMarkupDocumentMarkup.html#rest_v10_document_markup_downloadable_pdfs_find_or_create_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDocumentMarkupDocumentMarkup.rest_v10_document_markup_downloadable_pdfs_find_or_create_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_document_markup_downloadable_pdfs_find_or_create_post_request` (RestV10DocumentMarkupDownloadablePdfsFindOrCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:version_datetime` (String.t): Version Datetime of the Document","ref":"Procore.Api.ProjectManagementDocumentMarkupDocumentMarkup.html#rest_v10_document_markup_downloadable_pdfs_find_or_create_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDocumentMarkupDocumentMarkup.rest_v10_document_markup_downloadable_pdfs_find_or_create_post/4","doc":"- `{:ok, Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDocumentMarkupDocumentMarkup.html#rest_v10_document_markup_downloadable_pdfs_find_or_create_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDrawingsDrawingAreas","doc":"API calls for all endpoints tagged `ProjectManagementDrawingsDrawingAreas`.","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v10_projects_project_id_drawing_areas_get/4","doc":"List drawing areas\nReturns a list of all Drawing Areas in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v10_projects_project_id_drawing_areas_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v10_projects_project_id_drawing_areas_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v10_projects_project_id_drawing_areas_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v10_projects_project_id_drawing_areas_get/4","doc":"- `{:ok, [%DrawingArea1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v10_projects_project_id_drawing_areas_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v10_projects_project_id_drawing_areas_post/5","doc":"Create drawing area\nCreate a new Drawing Area in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v10_projects_project_id_drawing_areas_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v10_projects_project_id_drawing_areas_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body86` (Body86): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v10_projects_project_id_drawing_areas_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v10_projects_project_id_drawing_areas_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDrawingAreasPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v10_projects_project_id_drawing_areas_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v11_projects_project_id_drawing_areas_get/4","doc":"List drawing areas\nReturns a list of all Drawing Areas in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v11_projects_project_id_drawing_areas_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v11_projects_project_id_drawing_areas_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Filter by Drawing Areas ID To request specific drawing area ids add `filters[id]=[1,2,3]` to filters\n  - `:view` (String.t): Specify response schema view","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v11_projects_project_id_drawing_areas_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v11_projects_project_id_drawing_areas_get/4","doc":"- `{:ok, [%DrawingArea{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v11_projects_project_id_drawing_areas_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v11_projects_project_id_drawing_areas_post/5","doc":"Create drawing area\nCreate a new Drawing Area in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v11_projects_project_id_drawing_areas_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v11_projects_project_id_drawing_areas_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body85` (Body85): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v11_projects_project_id_drawing_areas_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingAreas.rest_v11_projects_project_id_drawing_areas_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDrawingAreasPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingAreas.html#rest_v11_projects_project_id_drawing_areas_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines","doc":"API calls for all endpoints tagged `ProjectManagementDrawingsDrawingDisciplines`.","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_get/4","doc":"List Drawing Disciplines\nList of Drawing Disciplines","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdDrawingDisciplinesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_id_patch/5","doc":"Update drawing discipline","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the discipline to update\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV11ProjectsProjectIdDrawingDisciplinesIdPatchRequest):","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_id_patch/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_id_put/6","doc":"Update drawing discipline\nThis is a deprecated endpoint.","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_id_put/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_id_put/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the discipline to update\n- `name` (String.t): New name for the Drawing Discipline\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_id_put/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v10_projects_project_id_drawing_disciplines_id_put/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDrawingDisciplinesIdPut200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v10_projects_project_id_drawing_disciplines_id_put/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v11_projects_project_id_drawing_disciplines_get/4","doc":"List Drawing Disciplines\nList of Drawing Disciplines","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v11_projects_project_id_drawing_disciplines_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v11_projects_project_id_drawing_disciplines_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Filter by Drawing Disciplines ID To request specific drawing discipline ids add `filters[id]=[1,2,3]` to filters\n  - `:view` (String.t): Specify response schema view\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v11_projects_project_id_drawing_disciplines_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v11_projects_project_id_drawing_disciplines_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdDrawingDisciplinesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v11_projects_project_id_drawing_disciplines_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v11_projects_project_id_drawing_disciplines_id_patch/5","doc":"Update drawing discipline","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v11_projects_project_id_drawing_disciplines_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v11_projects_project_id_drawing_disciplines_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the discipline to update\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV11ProjectsProjectIdDrawingDisciplinesIdPatchRequest):","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v11_projects_project_id_drawing_disciplines_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingDisciplines.rest_v11_projects_project_id_drawing_disciplines_id_patch/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingDisciplines.html#rest_v11_projects_project_id_drawing_disciplines_id_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDrawingsDrawingRevisionEmails","doc":"API calls for all endpoints tagged `ProjectManagementDrawingsDrawingRevisionEmails`.","ref":"Procore.Api.ProjectManagementDrawingsDrawingRevisionEmails.html"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawingRevisionEmails.rest_v10_projects_project_id_drawing_revision_emails_id_send_email_post/6","doc":"Send email\nSends an email with an associated Drawing Revision. The text of the email and recipients are specified in the request body.","ref":"Procore.Api.ProjectManagementDrawingsDrawingRevisionEmails.html#rest_v10_projects_project_id_drawing_revision_emails_id_send_email_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawingRevisionEmails.rest_v10_projects_project_id_drawing_revision_emails_id_send_email_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Drawing Revision to email\n- `rest_v10_projects_project_id_specification_section_revision_emails_id_send_email_post_request` (RestV10ProjectsProjectIdSpecificationSectionRevisionEmailsIdSendEmailPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawingRevisionEmails.html#rest_v10_projects_project_id_drawing_revision_emails_id_send_email_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawingRevisionEmails.rest_v10_projects_project_id_drawing_revision_emails_id_send_email_post/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawingRevisionEmails.html#rest_v10_projects_project_id_drawing_revision_emails_id_send_email_post/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementDrawingsDrawings","doc":"API calls for all endpoints tagged `ProjectManagementDrawingsDrawings`.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_drawing_areas_drawing_area_id_drawings_get/4","doc":"List drawings\nReturns a list of all Drawings for a specified drawing area.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_drawing_areas_drawing_area_id_drawings_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_drawing_areas_drawing_area_id_drawings_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `drawing_area_id` (integer()): ID of the drawing area\n- `opts` (keyword): Optional parameters\n  - `:project_id` (integer()): Unique identifier for the project.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_drawing_areas_drawing_area_id_drawings_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_drawing_areas_drawing_area_id_drawings_get/4","doc":"- `{:ok, [%RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_drawing_areas_drawing_area_id_drawings_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_drawing_areas_drawing_area_id_drawings_id_patch/6","doc":"Update Drawing\nUpdate specified Drawing","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_drawing_areas_drawing_area_id_drawings_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_drawing_areas_drawing_area_id_drawings_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `drawing_area_id` (integer()): ID of the drawing area\n- `id` (integer()): Drawing ID\n- `body83` (Body83): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_drawing_areas_drawing_area_id_drawings_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_drawing_areas_drawing_area_id_drawings_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_drawing_areas_drawing_area_id_drawings_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revision_terms_get/4","doc":"List drawing revision terms\nReturns extracted text terms and locations for a collection of Drawing Revisions.  Drawing Revisions which do not have any recorded term data will be omitted from the response. An empty term collection for a drawing indicates that the drawing has been processed, but that no terms were found.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revision_terms_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revision_terms_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:drawing_revision_ids` ([integer()]): Drawing Revisions to fetch extracted terms for. Limited to 50 revisions per call; clients should paginate larger collections.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revision_terms_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revision_terms_get/4","doc":"- `{:ok, [%DrawingRevisionTermSet{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revision_terms_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_drawing_revision_id_drawing_tiles_get/5","doc":"List drawing tiles\nLists the Drawing Tiles in the specified Drawing Revision along with the maximum Zoom Level and Tile Size.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_drawing_revision_id_drawing_tiles_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_drawing_revision_id_drawing_tiles_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `drawing_revision_id` (integer()): ID of the drawing revision\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_drawing_revision_id_drawing_tiles_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_drawing_revision_id_drawing_tiles_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdDrawingRevisionsDrawingRevisionIdDrawingTilesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_drawing_revision_id_drawing_tiles_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_get/4","doc":"List drawing revisions\nReturns a list of all Drawing Revisions in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:drawing_area_id` (integer()): Filter by Drawing Area\n  - `:drawing_id` (integer()): Filter by Drawing\n  - `:drawing_discipline_id` (integer()): Filter by Drawing Discipline\n  - `:drawing_set_id` (integer()): Filter by Drawing Set. To retreive revisions from current set add `drawing_set_id=current_set` to query\n  - `:id` ([integer()]): Filter by Drawing Revision ID To request specific drawing revision ids add `id[]=42&id[]=43` to query\n  - `:\"filters[ids]\"` ([integer()]): Filter by Drawing Revisions ID To request specific drawing revision ids add `filters[ids]=[1,2,3]` to filters\n  - `:is_reviewed` (boolean()): Filter by `reviewed` status\n  - `:query` (String.t): Filter by custom query\n  - `:with_obsolete` (boolean()): Include obsolete drawing revisions. Obsolete drawing revisions are filtered by default.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_get/4","doc":"- `{:ok, [%DrawingRevision{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_id_get/5","doc":"Show Drawing Revision\nReturns a specific Drawing Revision from the specified Project","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Drawing Revision\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_id_get/5","doc":"- `{:ok, Procore.Model.DrawingRevision.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_id_patch/6","doc":"Update Drawing Revision\nUpdate specified Drawing Revision","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Drawing Revision\n- `body84` (Body84): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_revisions_id_patch/6","doc":"- `{:ok, Procore.Model.DrawingRevision1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_revisions_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_get/4","doc":"List drawing sets\nLists the Drawing Sets in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[exclude_empty_sets]\"` (boolean()): If true, returns drawing sets that contain at least one drawing.\n  - `:\"filters[only_attachable_sets]\"` (boolean()): If true, returns drawing sets that contain at least one published drawing.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_get/4","doc":"- `{:ok, [%DrawingSet{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_id_delete/5","doc":"Delete drawing set\nDelete a specified Drawing Set.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the drawing set\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_id_patch/6","doc":"Update drawing set\nUpdate an existing Drawing Set in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the drawing set\n- `rest_v10_projects_project_id_drawing_sets_id_patch_request` (RestV10ProjectsProjectIdDrawingSetsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_id_patch/6","doc":"- `{:ok, Procore.Model.DrawingSet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_post/5","doc":"Create drawing set\nCreate a new Drawing Set in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_drawing_sets_post_request` (RestV10ProjectsProjectIdDrawingSetsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_sets_post/5","doc":"- `{:ok, Procore.Model.DrawingSet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_sets_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_get/4","doc":"List drawing uploads\nReturns a list of all Drawing Uploads in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_get/4","doc":"- `{:ok, [%DrawingUpload1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_id_delete/5","doc":"Delete drawing upload\nDelete an unreviewed Drawing Upload.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the drawing upload\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_post/5","doc":"Create drawing upload\nCreate a new Drawing Upload in the specified project.  It creates one `DrawingUpload`, which includes a `DrawingLogImport` and a `ProstoreFile` for each file uploaded. Sidekiq then sends them to the image processing server.  First, it will try to process `files` parameter, if is empty, it will use `upload_uuids`.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `drawing_set_id` (integer()): Drawing Set ID\n- `opts` (keyword): Optional parameters\n  - `:\"Idempotency-Token\"` (String.t): Unique idempotent token\n  - `:files` ([String.t]): One or more files in PDF format to include in the upload. *To upload drawings you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `files[]` as files. *Required only if upload_uuids is empty\n  - `:upload_uuids` ([String.t]): Array of uploaded files UUIDs. *Required only if files is empty\n  - `:drawing_area_id` (integer()): Drawing Area ID *Required only if Drawing Area is turned on\n  - `:drawing_number_contains_revision` (boolean()): Drawing number contains revision status\n  - `:drawing_date` (Date.t): Drawing date\n  - `:received_date` (Date.t): Received date\n  - `:get_info_from_filename` (boolean()): Get info from filename","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v10_projects_project_id_drawing_uploads_post/5","doc":"- `{:ok, Procore.Model.DrawingUpload1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v10_projects_project_id_drawing_uploads_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_get/4","doc":"List drawings\nReturns a list of all Drawings for a specified drawing area.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `drawing_area_id` (integer()): ID of the drawing area\n- `opts` (keyword): Optional parameters\n  - `:project_id` (integer()): Unique identifier for the project.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_get/4","doc":"- `{:ok, [%RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_id_patch/6","doc":"Update Drawing\nUpdate specified Drawing","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `drawing_area_id` (integer()): ID of the drawing area\n- `id` (integer()): Drawing ID\n- `body83` (Body83): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_post/5","doc":"Create Drawing\nCreate specified Drawing. For additional information on using the Create Drawing Upload endpoint, see the [Direct Drawing Uploads](https://developers.procore.com/documentation/tutorial-direct-drawing-uploads) tutorial.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `drawing_area_id` (integer()): ID of the drawing area\n- `body82` (Body82): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_drawing_areas_drawing_area_id_drawings_post/5","doc":"- `{:ok, Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_drawing_areas_drawing_area_id_drawings_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_revision_terms_get/4","doc":"List drawing revision terms\nReturns extracted text terms and locations for a collection of Drawing Revisions.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_revision_terms_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_revision_terms_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:drawing_revision_ids` ([integer()]): Drawing Revisions to fetch extracted terms for. Limited to 50 revisions per call; clients should paginate larger collections.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_revision_terms_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_revision_terms_get/4","doc":"- `{:ok, [%DrawingRevisionTermSet{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_revision_terms_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_get/4","doc":"List drawing uploads\nReturns a list of all Drawing Uploads in the specified Project.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): Specifies the level of detail returned in the response. The 'with_drawing_log_imports' view provides additional data as shown below. The 'normal' view is the default if not specified.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_get/4","doc":"- `{:ok, [%DrawingUpload{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_id_delete/5","doc":"Delete drawing upload\nDelete an unreviewed Drawing Upload.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Drawing Upload ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies the level of detail returned in the response. The 'with_drawing_log_imports' view provides additional data as shown below. The 'normal' view is the default if not specified.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_id_get/5","doc":"Show Drawing Upload\nGet the details of a single Drawing Upload","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Drawing Upload ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): Specifies the level of detail returned in the response. The 'with_drawing_log_imports' view provides additional data as shown below. The 'normal' view is the default if not specified.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_id_get/5","doc":"- `{:ok, Procore.Model.DrawingUpload.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_post/4","doc":"Create drawing upload\nCreate a new Drawing Upload in the specified project.  It creates one `DrawingUpload`, which includes a `DrawingLogImport` and a `ProstoreFile` for each file uploaded. The Drawing Upload will be processed asynchronously after the response. For additional information on using the Create Drawing endpoint, see [Direct Drawing Uploads](/documentation/tutorial-direct-drawing-uploads) tutorial.","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"Idempotency-Token\"` (String.t): Unique idempotent token\n  - `:drawing_upload` (Procore.Model.DrawingUpload.t):","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementDrawingsDrawings.rest_v11_projects_project_id_drawing_uploads_post/4","doc":"- `{:ok, Procore.Model.DrawingUpload1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementDrawingsDrawings.html#rest_v11_projects_project_id_drawing_uploads_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementEmailCommunicationTags","doc":"API calls for all endpoints tagged `ProjectManagementEmailCommunicationTags`.","ref":"Procore.Api.ProjectManagementEmailCommunicationTags.html"},{"type":"function","title":"Procore.Api.ProjectManagementEmailCommunicationTags.rest_v10_communication_tags_get/4","doc":"List communication tags\nList communication tags on a given project","ref":"Procore.Api.ProjectManagementEmailCommunicationTags.html#rest_v10_communication_tags_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailCommunicationTags.rest_v10_communication_tags_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementEmailCommunicationTags.html#rest_v10_communication_tags_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailCommunicationTags.rest_v10_communication_tags_get/4","doc":"- `{:ok, [%RestV10CommunicationsIdGet200ResponseAllOfCommunicationTagsInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailCommunicationTags.html#rest_v10_communication_tags_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementEmailCommunicationTags.rest_v10_communication_tags_post/5","doc":"Create communication tag\nCreate a communication tag on a given project","ref":"Procore.Api.ProjectManagementEmailCommunicationTags.html#rest_v10_communication_tags_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailCommunicationTags.rest_v10_communication_tags_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_communication_tags_post_request` (RestV10CommunicationTagsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailCommunicationTags.html#rest_v10_communication_tags_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailCommunicationTags.rest_v10_communication_tags_post/5","doc":"- `{:ok, Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfCommunicationTagsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailCommunicationTags.html#rest_v10_communication_tags_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementEmailCommunications","doc":"API calls for all endpoints tagged `ProjectManagementEmailCommunications`.","ref":"Procore.Api.ProjectManagementEmailCommunications.html"},{"type":"function","title":"Procore.Api.ProjectManagementEmailCommunications.rest_v10_communications_id_get/5","doc":"Show Communication\nShows detailed information around a single email communication","ref":"Procore.Api.ProjectManagementEmailCommunications.html#rest_v10_communications_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailCommunications.rest_v10_communications_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Communication ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailCommunications.html#rest_v10_communications_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailCommunications.rest_v10_communications_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CommunicationsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailCommunications.html#rest_v10_communications_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementEmailCommunicationsThreads","doc":"API calls for all endpoints tagged `ProjectManagementEmailCommunicationsThreads`.","ref":"Procore.Api.ProjectManagementEmailCommunicationsThreads.html"},{"type":"function","title":"Procore.Api.ProjectManagementEmailCommunicationsThreads.rest_v10_communications_communication_id_threads_get/5","doc":"List Communication Threads\nReturn a list of email communication threads.","ref":"Procore.Api.ProjectManagementEmailCommunicationsThreads.html#rest_v10_communications_communication_id_threads_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailCommunicationsThreads.rest_v10_communications_communication_id_threads_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `communication_id` (integer()): Communication ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailCommunicationsThreads.html#rest_v10_communications_communication_id_threads_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailCommunicationsThreads.rest_v10_communications_communication_id_threads_get/5","doc":"- `{:ok, Procore.Model.RestV10CommunicationsCommunicationIdThreadsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailCommunicationsThreads.html#rest_v10_communications_communication_id_threads_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementEmailCommunicationsThreads.rest_v10_communications_communication_id_threads_id_get/6","doc":"Show Communication Thread\nShows detailed information for a specific email communication thread","ref":"Procore.Api.ProjectManagementEmailCommunicationsThreads.html#rest_v10_communications_communication_id_threads_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailCommunicationsThreads.rest_v10_communications_communication_id_threads_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `communication_id` (integer()): Communication ID\n- `id` (integer()): Communication Thread ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailCommunicationsThreads.html#rest_v10_communications_communication_id_threads_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailCommunicationsThreads.rest_v10_communications_communication_id_threads_id_get/6","doc":"- `{:ok, Procore.Model.RestV10CommunicationsCommunicationIdThreadsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailCommunicationsThreads.html#rest_v10_communications_communication_id_threads_id_get/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementEmailEmailCommunications","doc":"API calls for all endpoints tagged `ProjectManagementEmailEmailCommunications`.","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html"},{"type":"function","title":"Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_emails_email_id_download_attachments_get/6","doc":"Download all email attachments\nReturn URL to download all email attachments in .zip format","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_emails_email_id_download_attachments_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_emails_email_id_download_attachments_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `communication_id` (integer()): Communication ID\n- `email_id` (integer()): Email ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_emails_email_id_download_attachments_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_emails_email_id_download_attachments_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsEmailIdDownloadAttachmentsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_emails_email_id_download_attachments_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_emails_post/8","doc":"Create Email\nCreates a email on a given communication","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_emails_post/8"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_emails_post/8","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `communication_id` (integer()): Communication ID\n- `topic_type` (String.t): The type of the topic to be associated with the communication\n- `topic_id` (integer()): Topic ID\n- `rest_v10_project_project_id_email_communications_communication_id_emails_post_request` (RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_emails_post/8-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_emails_post/8","doc":"- `{:ok, Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_emails_post/8-returns"},{"type":"function","title":"Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_export_get/6","doc":"Export Email Communication to PDF\nCreates a email communication on a given project","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_export_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_export_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `communication_id` (integer()): Communication ID\n- `topic_type` (String.t): The type of the topic to be associated with the communication\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_export_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_communication_id_export_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdExportGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_communication_id_export_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_emails_get/6","doc":"List of Emails\nReturn a list of emails.","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_emails_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_emails_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `topic_type` (String.t): The type of the topic to be associated with the communication\n- `topic_id` (integer()): Topic ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_emails_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_emails_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_emails_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_id_get/5","doc":"Show Email Communication\nShows detailed information around a single email communication","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Communication ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_id_patch/6","doc":"Update a private field in Email Communication\nUpdate a private field in email communication on the specified project.","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Communication ID\n- `rest_v10_project_project_id_email_communications_id_patch_request` (RestV10ProjectProjectIdEmailCommunicationsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_post/7","doc":"Create Email Communication\nCreates a email communication on a given project","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_post/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_post/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `topic_type` (String.t): The type of the topic to be associated with the communication\n- `topic_id` (integer()): Topic ID\n- `rest_v10_project_project_id_email_communications_post_request` (RestV10ProjectProjectIdEmailCommunicationsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_post/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementEmailEmailCommunications.rest_v10_project_project_id_email_communications_post/7","doc":"- `{:ok, Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementEmailEmailCommunications.html#rest_v10_project_project_id_email_communications_post/7-returns"},{"type":"module","title":"Procore.Api.ProjectManagementGenericToolItemsGenericToolItems","doc":"API calls for all endpoints tagged `ProjectManagementGenericToolItemsGenericToolItems`.","ref":"Procore.Api.ProjectManagementGenericToolItemsGenericToolItems.html"},{"type":"function","title":"Procore.Api.ProjectManagementGenericToolItemsGenericToolItems.rest_v10_generic_tool_items_id_get/5","doc":"Show Generic Tool Item\nGet the details of a single Generic Tool Item","ref":"Procore.Api.ProjectManagementGenericToolItemsGenericToolItems.html#rest_v10_generic_tool_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementGenericToolItemsGenericToolItems.rest_v10_generic_tool_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Generic Tool Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementGenericToolItemsGenericToolItems.html#rest_v10_generic_tool_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementGenericToolItemsGenericToolItems.rest_v10_generic_tool_items_id_get/5","doc":"- `{:ok, Procore.Model.GenericToolItem.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementGenericToolItemsGenericToolItems.html#rest_v10_generic_tool_items_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementInstructionsInstructionTypes","doc":"API calls for all endpoints tagged `ProjectManagementInstructionsInstructionTypes`.","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_get/4","doc":"List Instruction Types on a project\nReturn a list of all Instruction Types from a specified Project.","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_delete/5","doc":"Delete Instruction Type\nDelete the specified Instruction Type.","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Instruction ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_get/5","doc":"Show Instruction Type\nReturn detailed information on the specified Instruction Type.","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Instruction ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_patch/6","doc":"Update Instruction Type\nUpdate the specified Instruction Type.","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Instruction ID\n- `body72` (Body72): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_post/5","doc":"Create Instruction Types\nCreate a new Instruction Type associated with the specified Project.","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body72` (Body72): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructionTypes.rest_v10_projects_project_id_instruction_types_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructionTypes.html#rest_v10_projects_project_id_instruction_types_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementInstructionsInstructions","doc":"API calls for all endpoints tagged `ProjectManagementInstructionsInstructions`.","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_get/4","doc":"List Instructions on a project\nReturn a list of all Instructions from a specified Project.","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdInstructionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_delete/5","doc":"Delete Instruction\nDelete the specified Instruction.","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Instruction ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_get/5","doc":"Show Instruction\nReturn detailed information on the specified Instruction.","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Instruction ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_patch/6","doc":"Update Instruction\nUpdate the specified Instruction.","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Instruction ID\n- `body71` (Body71): \n- `opts` (keyword): Optional parameters\n  - `:send_emails` (boolean()): Designates whether or not emails will be sent (default false)","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_post/5","doc":"Create Instructions\nCreate a new Instruction associated with the specified Project.","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body70` (Body70): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementInstructionsInstructions.rest_v10_projects_project_id_instructions_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementInstructionsInstructions.html#rest_v10_projects_project_id_instructions_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementMeetingsMeetingAttendees","doc":"API calls for all endpoints tagged `ProjectManagementMeetingsMeetingAttendees`.","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_id_delete/6","doc":"Delete meeting attendee record\nDelete a specified meeting attendee record, disassociating a given user from a meeting","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `meeting_id` (integer()): ID of the Meeting\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Meeting Attendee record\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_id_patch/7","doc":"Update meeting attendee record\nUpdate a Meeting Attendee record.","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `meeting_id` (integer()): ID of the Meeting\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Meeting Attendee record\n- `body64` (Body64): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10MeetingAttendeeRecordsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_post/6","doc":"Create meeting attendee record\nCreate a new Meeting Attendee record. This associates a user with a meeting.","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `meeting_id` (integer()): ID of the Meeting\n- `body64` (Body64): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingAttendees.rest_v10_meeting_attendee_records_post/6","doc":"- `{:ok, Procore.Model.RestV10MeetingAttendeeRecordsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingAttendees.html#rest_v10_meeting_attendee_records_post/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementMeetingsMeetingCategories","doc":"API calls for all endpoints tagged `ProjectManagementMeetingsMeetingCategories`.","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_get/5","doc":"List meeting categories\nReturns all Meeting Categories for a given Meeting.","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `meeting_id` (integer()): ID of the meeting\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_get/5","doc":"- `{:ok, [%RestV10MeetingCategoriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_id_patch/5","doc":"Update meeting category\nUpdate a Meeting Category.","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the meeting category\n- `body63` (Body63): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10MeetingCategoriesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_post/4","doc":"Create meeting category\nCreate a new Meeting Category.","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body63` (Body63): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingCategories.rest_v10_meeting_categories_post/4","doc":"- `{:ok, Procore.Model.RestV10MeetingCategoriesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingCategories.html#rest_v10_meeting_categories_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementMeetingsMeetingTemplates","doc":"API calls for all endpoints tagged `ProjectManagementMeetingsMeetingTemplates`.","ref":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.html"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.rest_v10_companies_company_id_meeting_templates_get/4","doc":"List Meeting Templates\nReturns all templates for a given company","ref":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.html#rest_v10_companies_company_id_meeting_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingTemplates.rest_v10_companies_company_id_meeting_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.html#rest_v10_companies_company_id_meeting_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingTemplates.rest_v10_companies_company_id_meeting_templates_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.html#rest_v10_companies_company_id_meeting_templates_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.rest_v10_companies_company_id_meeting_templates_id_get/5","doc":"Show a Meeting Template\nReturns a specific meeting template","ref":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.html#rest_v10_companies_company_id_meeting_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingTemplates.rest_v10_companies_company_id_meeting_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Meeting Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.html#rest_v10_companies_company_id_meeting_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingTemplates.rest_v10_companies_company_id_meeting_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingTemplates.html#rest_v10_companies_company_id_meeting_templates_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementMeetingsMeetingTopics","doc":"API calls for all endpoints tagged `ProjectManagementMeetingsMeetingTopics`.","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_id_patch/5","doc":"Update meeting topic\nUpdate an existing Meeting Topic.  #### Uploading attachments To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the meeting topic\n- `body62` (Body62): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_parent_minutes_get/5","doc":"Get the minutes and date created for all parent topics\nReturns an array of objects of minutes and created_on values for all parent meeting topics","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_parent_minutes_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_parent_minutes_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `meeting_id` (integer()): ID of the meeting\n- `meeting_topic_id` (integer()): ID of the meeting topic\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_parent_minutes_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_parent_minutes_get/5","doc":"- `{:ok, [%RestV10MeetingTopicsParentMinutesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_parent_minutes_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_post/4","doc":"Create meeting topic\nCreates Meeting Topic.  #### Uploading attachments To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body62` (Body62): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v10_meeting_topics_post/4","doc":"- `{:ok, Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v10_meeting_topics_post/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_id_patch/6","doc":"Update meeting topic\nUpdate an existing Meeting Topic.  #### Uploading attachments To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Meeting Topic\n- `body61` (Body61): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdMeetingTopicsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_meeting_topic_id_parent_minutes_get/6","doc":"Get the minutes and date created for all parent topics\nReturns an array of objects of minutes and created_on values for all parent meeting topics","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_meeting_topic_id_parent_minutes_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_meeting_topic_id_parent_minutes_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `meeting_id` (integer()): ID of the meeting\n- `meeting_topic_id` (integer()): ID of the meeting topic\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_meeting_topic_id_parent_minutes_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_meeting_topic_id_parent_minutes_get/6","doc":"- `{:ok, [%RestV11ProjectsProjectIdMeetingTopicsMeetingTopicIdParentMinutesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_meeting_topic_id_parent_minutes_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_post/5","doc":"Create meeting topic\nCreates Meeting Topic.  #### Uploading attachments To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body61` (Body61): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetingTopics.rest_v11_projects_project_id_meeting_topics_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdMeetingTopicsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetingTopics.html#rest_v11_projects_project_id_meeting_topics_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementMeetingsMeetings","doc":"API calls for all endpoints tagged `ProjectManagementMeetingsMeetings`.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_ecrion_pdf_generation_data_get/4","doc":"List Ecrion Xml and Template for Meetings\nReturns Ecrion Xml and Template for all Meetings on the Project.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_ecrion_pdf_generation_data_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_ecrion_pdf_generation_data_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_ecrion_pdf_generation_data_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_ecrion_pdf_generation_data_get/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_ecrion_pdf_generation_data_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_get/4","doc":"List meetings\nReturns a list of all Meetings for a specified Project.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:deleted_only` (boolean()): Indicates whether to only show deleted meetings. When this query parameter is passed the response body will be an array of meetings without grouping. i.e. { \"meetings\":[{Meeting_1}, {Meeting_2}] }\n  - `:serializer_view` (String.t): The data set that should be returned from the serializer. The normal view includes default fields. The extended view includes the default fields plus Meeting Template fields. Default view is normal.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_get/4","doc":"- `{:ok, [%RestV10MeetingsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_delete/5","doc":"Delete meeting\nDelete a specified meeting from the system","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the meeting\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_get/5","doc":"Show meeting\nReturns detailed information about a Meeting in a specified Project.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the meeting\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_get/5","doc":"- `{:ok, Procore.Model.RestV10MeetingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_patch/5","doc":"Update meeting\nUpdate a Meeting.  #### Uploading attachments To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the meeting\n- `body60` (Body60): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10MeetingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_post/4","doc":"Create meeting\nCreate a new Meeting.  #### Uploading attachments To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body59` (Body59): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v10_meetings_post/4","doc":"- `{:ok, Procore.Model.RestV10MeetingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v10_meetings_post/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_ecrion_pdf_generation_data_get/4","doc":"List Ecrion Xml and Template for Meetings\nReturns Ecrion Xml and Template for all Meetings on the Project.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_ecrion_pdf_generation_data_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_ecrion_pdf_generation_data_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_ecrion_pdf_generation_data_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_ecrion_pdf_generation_data_get/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_ecrion_pdf_generation_data_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_get/4","doc":"List meetings\nReturns a list of all Meetings for a specified Project.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:deleted_only` (boolean()): Indicates whether to only show deleted meetings. When this query parameter is passed the response body will be an array of meetings without grouping. i.e. { \"meetings\":[{Meeting_1}, {Meeting_2}] }\n  - `:\"filters[assignee_id]\"` ([integer()]): Returns meeting(s) with the specified assignee\n  - `:\"filters[id]\"` ([integer()]): Returns meeting(s) with the specified ID(s)\n  - `:serializer_view` (String.t): The data set that should be returned from the serializer. The normal view includes default fields. The extended view includes the default fields plus Meeting Template fields. Default view is normal.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_get/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdMeetingsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_delete/5","doc":"Delete meeting\nDelete a specified meeting from the system","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the meeting\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_get/5","doc":"Show meeting\nReturns detailed information about a Meeting in a specified Project.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the meeting\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_patch/6","doc":"Update meeting\nUpdate a Meeting.  #### Uploading attachments To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the meeting\n- `body58` (Body58): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_post/5","doc":"Create meeting\nCreate a new Meeting.  #### Uploading attachments To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body57` (Body57): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementMeetingsMeetings.rest_v11_projects_project_id_meetings_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementMeetingsMeetings.html#rest_v11_projects_project_id_meetings_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMFileExtractions","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMFileExtractions`.","ref":"Procore.Api.ProjectManagementModelsBIMFileExtractions.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMFileExtractions.rest_v10_bim_file_extractions_get/4","doc":"List BIM File Extractions\nReturn a list of all BIM File Extractions A BIM File Extraction can fail for several reasons. When it does, the errors attribute contains a list of errors encountered while processing the model. The following table lists the possible error codes and types.  #### Error Types  | Code | Type                   | |------|------------------------| | 1    | Undefined              | | 2    | NetworkErr             | | 3    | ServerErr              | | 4    | JsonParseErr           | | 5    | TokenExpiredErr        | | 6    | FileOpenErr            | | 7    | FileWriteErr           | | 8    | FileCompressionErr     | | 9    | FileUploadError        | | 10   | ModelReadErr           | | 11   | ModelFileSizeErr       | | 12   | ModelExportErr         | | 13   | ModelEmptyDBErr        | | 14   | ModelViewpointErr      | | 15   | ModelErr               | | 16   | InvalidStatusError     | | 17   | FileDecompressionErr   | | 18   | UnsupportedFileFormat  | | 19   | No3DGeometry           | | 20   | InvalidInputError      | | 21   | UnsupportedFileSource  | | 22   | MeshNodeLimitError     | | 23   | RateLimitExhausted     | | 24   | ODAGenericError        | | 25   | FileUploadFasError     |","ref":"Procore.Api.ProjectManagementModelsBIMFileExtractions.html#rest_v10_bim_file_extractions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMFileExtractions.rest_v10_bim_file_extractions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[status]\"` (String.t): Filter item(s) with matching status\n  - `:\"filters[extraction_format]\"` ([String.t]): Filter item(s) with matching extraction format\n  - `:\"filters[file_version_id]\"` ([integer()]): Return item(s) with the specified file_version_id in bim_file_upload\n  - `:\"filters[document_upload_id]\"` ([String.t]): Return item(s) with the specified document_upload_id in bim_file_upload","ref":"Procore.Api.ProjectManagementModelsBIMFileExtractions.html#rest_v10_bim_file_extractions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMFileExtractions.rest_v10_bim_file_extractions_get/4","doc":"- `{:ok, [%BimFileExtraction{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMFileExtractions.html#rest_v10_bim_file_extractions_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMFileExtractions.rest_v10_bim_file_extractions_id_get/5","doc":"Show BIM File Extraction\nReturn a single BIM File Extraction","ref":"Procore.Api.ProjectManagementModelsBIMFileExtractions.html#rest_v10_bim_file_extractions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMFileExtractions.rest_v10_bim_file_extractions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMFileExtractions.html#rest_v10_bim_file_extractions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMFileExtractions.rest_v10_bim_file_extractions_id_get/5","doc":"- `{:ok, Procore.Model.BimFileExtraction.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMFileExtractions.html#rest_v10_bim_file_extractions_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMFiles","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMFiles`.","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_get/4","doc":"List BIM Files\nLists BIM Files associated with the specified Project.","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The normal and extended view contains the response shown below. The default view is normal.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_get/4","doc":"- `{:ok, [%RestV10BimFilesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_delete/5","doc":"Delete BIM File\nDelete a BIM File from the system. A BIM File can only be deleted if it is not associated with BIM Levels, Revisions, or Viewpoints or Coordination Issues.","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM File ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_get/5","doc":"Show BIM File\nReturn a single BIM File item","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (String.t): BIM File ID.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The normal and extended view contains the response shown below. The default view is normal.","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BimFilesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_patch/5","doc":"Update BIM File\nUpdates a BIM File","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM File ID\n- `body136` (Body136): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10BimFilesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_post/4","doc":"Create BIM File\nCreate a BIM File in a Project","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body135` (Body135): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMFiles.rest_v10_bim_files_post/4","doc":"- `{:ok, Procore.Model.RestV10BimFilesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMFiles.html#rest_v10_bim_files_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMGeometryFileBundles`.","ref":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.rest_v10_bim_geometry_file_bundles_id_get/5","doc":"Show BIM Geometry File Bundle\nReturn BIM Geometry File Bundle details.","ref":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.html#rest_v10_bim_geometry_file_bundles_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.rest_v10_bim_geometry_file_bundles_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Geometry File Bundle ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains ids instead of objects for each file object. The default view is normal.","ref":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.html#rest_v10_bim_geometry_file_bundles_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.rest_v10_bim_geometry_file_bundles_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BimGeometryFileBundlesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.html#rest_v10_bim_geometry_file_bundles_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.rest_v10_bim_geometry_file_bundles_post/4","doc":"Create BIM Geometry File Bundle\nCreate a BIM Geometry File Bundle in a Project","ref":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.html#rest_v10_bim_geometry_file_bundles_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.rest_v10_bim_geometry_file_bundles_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body134` (Body134): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.html#rest_v10_bim_geometry_file_bundles_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.rest_v10_bim_geometry_file_bundles_post/4","doc":"- `{:ok, Procore.Model.RestV10BimGeometryFileBundlesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMGeometryFileBundles.html#rest_v10_bim_geometry_file_bundles_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMLevelBatch","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMLevelBatch`.","ref":"Procore.Api.ProjectManagementModelsBIMLevelBatch.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMLevelBatch.rest_v10_bim_levels_batch_post/4","doc":"Create a batch of BIM Levels\nCreate a batch of BIM Levels","ref":"Procore.Api.ProjectManagementModelsBIMLevelBatch.html#rest_v10_bim_levels_batch_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMLevelBatch.rest_v10_bim_levels_batch_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body133` (Body133): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMLevelBatch.html#rest_v10_bim_levels_batch_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMLevelBatch.rest_v10_bim_levels_batch_post/4","doc":"- `{:ok, Procore.Model.BimLevelBatchCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMLevelBatch.html#rest_v10_bim_levels_batch_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMLevels","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMLevels`.","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_get/4","doc":"List BIM Levels\nLists BIM Levels associated with the specified Project.","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains 'bim_file_id', 'location_id', and 'created_by_id' instead of embedded objects. The default view is normal.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:sort` (String.t): Sort item(s) by an attribute. The default sort is ascending. To sort in descending order, prepend the sort value with a hyphen character '-'","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_get/4","doc":"- `{:ok, [%RestV10BimLevelsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_delete/5","doc":"Delete BIM Level\nDelete a BIM Level from the system. A BIM Level can only be deleted if it is not associated with published models.","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Level ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_get/5","doc":"Show BIM Level\nReturn a single BIM Level item.","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Level ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains 'bim_file_id', 'location_id', and 'created_by_id' instead of embedded objects. The default view is normal.","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BimLevelsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_patch/5","doc":"Update BIM Level\nUpdate a BIM Level item","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Level ID\n- `body132` (Body132): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10BimLevelsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_post/4","doc":"Create BIM Level\nCreate a BIM Level in a Project","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body131` (Body131): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMLevels.rest_v10_bim_levels_post/4","doc":"- `{:ok, Procore.Model.RestV10BimLevelsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMLevels.html#rest_v10_bim_levels_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMMintTokens","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMMintTokens`.","ref":"Procore.Api.ProjectManagementModelsBIMMintTokens.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMMintTokens.rest_v10_bim_mint_tokens_post/4","doc":"Create BIM Mint Tokens\nCreate BIM mint tokens in a Project","ref":"Procore.Api.ProjectManagementModelsBIMMintTokens.html#rest_v10_bim_mint_tokens_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMMintTokens.rest_v10_bim_mint_tokens_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body130` (Body130): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMMintTokens.html#rest_v10_bim_mint_tokens_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMMintTokens.rest_v10_bim_mint_tokens_post/4","doc":"- `{:ok, Procore.Model.BimMintTokens.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMMintTokens.html#rest_v10_bim_mint_tokens_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModelChangeHistory","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModelChangeHistory`.","ref":"Procore.Api.ProjectManagementModelsBIMModelChangeHistory.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelChangeHistory.rest_v10_bim_models_id_change_history_get/5","doc":"List BIM Model Change History\nThis is a deprecated endpoint. This endpoint returns the change history for the specified BimModel. The change history is sorted by most recent first.","ref":"Procore.Api.ProjectManagementModelsBIMModelChangeHistory.html#rest_v10_bim_models_id_change_history_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelChangeHistory.rest_v10_bim_models_id_change_history_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The extended view provides what is shown below. The normal view is the same as the extended view but excludes attribute created_by. The compact view returns ids only. The default view is normal.","ref":"Procore.Api.ProjectManagementModelsBIMModelChangeHistory.html#rest_v10_bim_models_id_change_history_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelChangeHistory.rest_v10_bim_models_id_change_history_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304Response{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelChangeHistory.html#rest_v10_bim_models_id_change_history_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionObjects","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModelRevisionObjects`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionObjects.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionObjects.rest_v10_bim_model_revisions_id_objects_get/5","doc":"List BIM Model Revision objects\nLists objects for a specific BIM Model Revision.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionObjects.html#rest_v10_bim_model_revisions_id_objects_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionObjects.rest_v10_bim_model_revisions_id_objects_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model Revision ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[query]\"` (String.t): Filter item(s) containing query. Searchable fields include Object Value","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionObjects.html#rest_v10_bim_model_revisions_id_objects_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionObjects.rest_v10_bim_model_revisions_id_objects_get/5","doc":"- `{:ok, [%RestV10BimPropertyFilesIdObjectsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionObjects.html#rest_v10_bim_model_revisions_id_objects_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlanBatch","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModelRevisionPlanBatch`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlanBatch.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlanBatch.rest_v10_bim_model_revision_plans_batch_post/4","doc":"Create a batch of BIM Model Revision Plans\nCreate relationships between several BIM Model Revisions and BIM Plans.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlanBatch.html#rest_v10_bim_model_revision_plans_batch_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionPlanBatch.rest_v10_bim_model_revision_plans_batch_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body129` (Body129): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlanBatch.html#rest_v10_bim_model_revision_plans_batch_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionPlanBatch.rest_v10_bim_model_revision_plans_batch_post/4","doc":"- `{:ok, Procore.Model.BimModelRevisionPlanBatchCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlanBatch.html#rest_v10_bim_model_revision_plans_batch_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModelRevisionPlans`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_get/4","doc":"List BIM Model Revision Plans\nLists BIM Model Revision Plans associated with the specified Project.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains 'bim_plan_id' and 'bim_level_id' instead of objects. The default view is normal.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[bim_plan_id]\"` (integer()): Filter item(s) with matching BIM Plan ids\n  - `:\"filters[bim_model_revision_id]\"` (integer()): Filter item(s) with matching Bim Model Revision ids.\n  - `:\"filters[bim_level_id]\"` (integer()): Filter item(s) with matching BIM Level ids","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_get/4","doc":"- `{:ok, [%RestV10BimModelRevisionPlansGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_id_delete/5","doc":"Delete BIM Model Revision Plan\nDelete a BIM Model Revision Plan from the system.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model Revision Plan ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_id_get/5","doc":"Show BIM Model Revision Plan\nReturn a single BIM Model Revision Plan item.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model Revision Plan ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains 'bim_plan_id' and 'bim_level_id' instead of objects. The default view is normal.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_post/4","doc":"Create BIM Model Revision Plan\nCreate a relationship between a BIM Model Revision and a BIM Plan.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body128` (Body128): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.rest_v10_bim_model_revision_plans_post/4","doc":"- `{:ok, Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionPlans.html#rest_v10_bim_model_revision_plans_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionProperties","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModelRevisionProperties`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionProperties.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionProperties.rest_v10_bim_model_revisions_id_properties_get/5","doc":"List BIM Model Revision properties\nLists properties for a specific BIM Model Revision.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionProperties.html#rest_v10_bim_model_revisions_id_properties_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionProperties.rest_v10_bim_model_revisions_id_properties_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model Revision ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[object_id]\"` ([integer()]): Filter item(s) with matching object_id.\n  - `:\"filters[category]\"` ([String.t]): Filter item(s) with matching category.\n  - `:\"filters[name]\"` ([String.t]): Filter item(s) with matching name.\n  - `:\"filters[value]\"` ([String.t]): Filter item(s) with matching value.\n  - `:\"filters[query]\"` (String.t): Filter item(s) containing query. Searchable fields include Property Category, Name, and Value\n  - `:\"filters[curated_list]\"` (boolean()): Filter item(s) to return a curated list of properties\n  - `:\"filters[has_uom]\"` (boolean()): Filter item(s) to return properties with/without unit of measurement (uom).","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionProperties.html#rest_v10_bim_model_revisions_id_properties_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionProperties.rest_v10_bim_model_revisions_id_properties_get/5","doc":"- `{:ok, [%RestV10BimPropertyFilesIdPropertiesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionProperties.html#rest_v10_bim_model_revisions_id_properties_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpointBatch","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModelRevisionViewpointBatch`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpointBatch.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpointBatch.rest_v10_bim_model_revision_viewpoints_batch_post/4","doc":"Create a batch of BIM Model Revision Viewpoints\nCreate relationships between several BIM Model Revisions and BIM Viewpoints.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpointBatch.html#rest_v10_bim_model_revision_viewpoints_batch_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionViewpointBatch.rest_v10_bim_model_revision_viewpoints_batch_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body127` (Body127): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpointBatch.html#rest_v10_bim_model_revision_viewpoints_batch_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionViewpointBatch.rest_v10_bim_model_revision_viewpoints_batch_post/4","doc":"- `{:ok, Procore.Model.BimModelRevisionViewpointBatchCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpointBatch.html#rest_v10_bim_model_revision_viewpoints_batch_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpoints","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModelRevisionViewpoints`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpoints.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpoints.rest_v10_bim_model_revision_viewpoints_get/4","doc":"List BIM Model Revision Viewpoints\nList BIM Model Revision Viewpoints associated to a BIM model revision","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpoints.html#rest_v10_bim_model_revision_viewpoints_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisionViewpoints.rest_v10_bim_model_revision_viewpoints_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[bim_model_revision_id]\"` (integer()): Filter item(s) with matching Bim Model Revision ids.\n  - `:\"filters[updated_at]\"` (String.t): Filter item(s) within a specific updated at iso8601 datetime range.\n  - `:\"filters[primary]\"` (boolean()): Filter items by primary flag\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains bim_viewpoint_id instead of object. The default view is normal.\n  - `:viewpoint_format` (String.t): Specify viewpoint data format. This parameter functions only when the query parameter view is 'extended' The default format returns the viewpoint content as saved. The procore format returns the viewpoint content converted to Procore format. If a valid conversion is not possible, empty viewpoint is returned.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpoints.html#rest_v10_bim_model_revision_viewpoints_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisionViewpoints.rest_v10_bim_model_revision_viewpoints_get/4","doc":"- `{:ok, [%RestV10BimModelRevisionViewpointsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisionViewpoints.html#rest_v10_bim_model_revision_viewpoints_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModelRevisions","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModelRevisions`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_get/4","doc":"List BIM Model Revisions\nLists BIM Model Revisions associated with the specified Project.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The compact view contains only ids. The normal view does not include the attribute 'published_model', and contains 'bim_gridline_id' instead of object. The extended view contains the response shown below. The default view is normal.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids\n  - `:\"filters[bim_model_id]\"` (integer()): Filter item(s) with matching Bim Model ids.\n  - `:\"filters[publish_status]\"` (String.t): Filter item(s) by publish status\n  - `:sort` (String.t): Sort item(s) by an attribute. The default sort is ascending. To sort in descending order, prepend the sort value with a hyphen character '-'","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_get/4","doc":"- `{:ok, [%RestV10BimModelRevisionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_delete/5","doc":"Delete BIM Model Revision\nDelete a BIM Model Revision from the system.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model Revision ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_get/5","doc":"Show BIM Model Revision\nReturn a single BIM Model Revision.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model Revision ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The normal view does not include the attribute 'published_model', and contains 'bim_gridline_id' instead of object. The extended view contains the response shown below. The default view is normal.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BimModelRevisionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_patch/5","doc":"Update BIM Model Revision\nUpdate a BIM Model Revision. The attributes `published_model_upload_uuid` and `object_definition_upload_uuid` should only be provided if the model is not associated to any upload. If a model is already associated to an upload, providing these attributes will cause error response.   For 3d files converted to Procore's format using BIM File Extractions API, the `geometry_file_id` can be retrieved via [BIM File Extraction API](https://developers.procore.com/reference/rest/v1/bim-file-extractions?version=1.0#show-bim-file-extraction) using the following JSONPath:      $.extraction_items.artifact.mobile_format.id  In a similar manner, the `property_file_id` can be retrieved via [BIM File Extraction API](https://developers.procore.com/reference/rest/v1/bim-file-extractions?version=1.0#show-bim-file-extraction) using the following JSONPath:      $.extraction_items.artifact.properties.id    Note that in the response for this BIM Model Revision endpoint, `geometry_file_id` will be designated as `published_model.id`, and `property_file_id` will be designated as `object_definition.id`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model Revision ID\n- `body126` (Body126): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10BimModelRevisionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_post/4","doc":"Create BIM Model Revision\nCreate a Revision for a BIM Model. If a set of upload UUIDs or model artifact references are not provided, the revision will be created with 'unpublished' publish status.   For 3d files converted to Procore's format using BIM File Extractions API, the `geometry_file_id` can be retrieved via [BIM File Extraction API](https://developers.procore.com/reference/rest/v1/bim-file-extractions?version=1.0#show-bim-file-extraction) using the following JSONPath:      $.extraction_items.artifact.mobile_format.id  In a similar manner, the `property_file_id` can be retrieved via [BIM File Extraction API](https://developers.procore.com/reference/rest/v1/bim-file-extractions?version=1.0#show-bim-file-extraction) using the following JSONPath:      $.extraction_items.artifact.properties.id    Note that in the response for this BIM Model Revision endpoint, `geometry_file_id` will be designated as `published_model.id`, and `property_file_id` will be designated as `object_definition.id`.","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body125` (Body125): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModelRevisions.rest_v10_bim_model_revisions_post/4","doc":"- `{:ok, Procore.Model.RestV10BimModelRevisionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModelRevisions.html#rest_v10_bim_model_revisions_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMModels","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMModels`.","ref":"Procore.Api.ProjectManagementModelsBIMModels.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_get/4","doc":"List BIM Models\nLists BIM Models associated with the specified Project.","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains 'current_revision_id' instead of an embedded object 'current_revision' The default view is normal.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids\n  - `:\"filters[has_revisions]\"` (boolean()): Filter item(s) with or without revisions.\n  - `:\"filters[search]\"` (String.t): Filter item(s) with the matching search query. The search is performed on title.\n  - `:sort` (String.t): Sort item(s) by an attribute. The default sort is ascending. To sort in descending order, prepend the sort value with a hyphen character '-'","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_get/4","doc":"- `{:ok, [%RestV10BimModelsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_delete/5","doc":"Delete BIM Model\nDelete a BIM Model from the system. A BIM Model with revisions cannot be deleted.","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_get/5","doc":"Show BIM Model\nReturn a single BIM Model item.","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view contains 'current_revision_id' instead of an embedded object 'current_revision' The default view is normal.","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BimModelsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_patch/5","doc":"Update BIM Model\nUpdate a BIM Model item","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Model ID\n- `body124` (Body124): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10BimModelsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_post/4","doc":"Create BIM Model\nCreate a BIM Model in a Project","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body123` (Body123): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMModels.rest_v10_bim_models_post/4","doc":"- `{:ok, Procore.Model.RestV10BimModelsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMModels.html#rest_v10_bim_models_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMPlanBatch","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMPlanBatch`.","ref":"Procore.Api.ProjectManagementModelsBIMPlanBatch.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMPlanBatch.rest_v10_bim_plans_batch_post/4","doc":"Create a batch of BIM Plans\nCreate a batch of BIM Plans","ref":"Procore.Api.ProjectManagementModelsBIMPlanBatch.html#rest_v10_bim_plans_batch_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMPlanBatch.rest_v10_bim_plans_batch_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body122` (Body122): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMPlanBatch.html#rest_v10_bim_plans_batch_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMPlanBatch.rest_v10_bim_plans_batch_post/4","doc":"- `{:ok, Procore.Model.BimPlanBatchCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMPlanBatch.html#rest_v10_bim_plans_batch_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMPlans","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMPlans`.","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_get/4","doc":"List BIM Plans\nLists BIM Plans associated with the specified Project.","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view does not contain the attributes 'image', 'sheet_map_start', 'sheet_map_end', 'model_map_start' and 'model_map_end'. The default view is normal.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[bim_level_id]\"` (integer()): Filter item(s) with matching BIM Level ids","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_get/4","doc":"- `{:ok, [%RestV10BimPlansGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_delete/5","doc":"Delete BIM Plan\nDelete a BIM Plan from the system.","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Plan ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_get/5","doc":"Show BIM Plan\nReturn a single BIM Plan item.","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Plan ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The compact view contains only ids. The extended view contains the response shown below. The normal view does not contain the attributes 'image', 'sheet_map_start', 'sheet_map_end', 'model_map_start' and 'model_map_end'. The default view is normal.","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BimPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_patch/5","doc":"Update BIM Plan\nUpdate a single BIM Plan item.","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Plan ID\n- `body121` (Body121): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_id_patch/5","doc":"- `{:ok, Procore.Model.RestV10BimPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_post/4","doc":"Create BIM Plan\nCreate a BIM Plan in a Project","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body120` (Body120): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMPlans.rest_v10_bim_plans_post/4","doc":"- `{:ok, Procore.Model.RestV10BimPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMPlans.html#rest_v10_bim_plans_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMPropertyFileObjects","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMPropertyFileObjects`.","ref":"Procore.Api.ProjectManagementModelsBIMPropertyFileObjects.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMPropertyFileObjects.rest_v10_bim_property_files_id_objects_get/5","doc":"List BIM Property File Objects\nLists objects from a specific BIM Property File. A BIM Property File is a resource that represents a 3d-model database. For models published to the Models tool, the property file id can be found in [BIM Model Revision](https://developers.procore.com/reference/rest/v1/bim-model-revisions?version=1.0#show-bim-model-revision) object\\_definition -> id. For models uploaded and extracted with Procore Documents, the property file id can be found in [BIM File Extraction](https://developers.procore.com/reference/rest/v1/bim-file-extractions?version=1.0#show-bim-file-extraction) extraction\\_items -> artifact -> properties -> id.","ref":"Procore.Api.ProjectManagementModelsBIMPropertyFileObjects.html#rest_v10_bim_property_files_id_objects_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMPropertyFileObjects.rest_v10_bim_property_files_id_objects_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Property File ID.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:object_search_id` (integer()): Object search id\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[query]\"` (String.t): Filter item(s) containing query. Searchable fields include Object Value","ref":"Procore.Api.ProjectManagementModelsBIMPropertyFileObjects.html#rest_v10_bim_property_files_id_objects_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMPropertyFileObjects.rest_v10_bim_property_files_id_objects_get/5","doc":"- `{:ok, [%RestV10BimPropertyFilesIdObjectsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMPropertyFileObjects.html#rest_v10_bim_property_files_id_objects_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMPropertyFileProperties","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMPropertyFileProperties`.","ref":"Procore.Api.ProjectManagementModelsBIMPropertyFileProperties.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMPropertyFileProperties.rest_v10_bim_property_files_id_properties_get/5","doc":"List BIM Property File Properties\nLists properties from a specific BIM Property File. A BIM Property File is a resource that represents a 3d-model database. For models published to the Models tool, the property file id can be found in [BIM Model Revision](https://developers.procore.com/reference/rest/v1/bim-model-revisions?version=1.0#show-bim-model-revision) object\\_definition -> id. For models uploaded and extracted with Procore Documents, the property file id can be found in [BIM File Extraction](https://developers.procore.com/reference/rest/v1/bim-file-extractions?version=1.0#show-bim-file-extraction) extraction\\_items -> artifact -> properties -> id.","ref":"Procore.Api.ProjectManagementModelsBIMPropertyFileProperties.html#rest_v10_bim_property_files_id_properties_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMPropertyFileProperties.rest_v10_bim_property_files_id_properties_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): BIM Property File ID.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[object_id]\"` ([integer()]): Filter item(s) with matching object_id.\n  - `:\"filters[category]\"` ([String.t]): Filter item(s) with matching category.\n  - `:\"filters[name]\"` ([String.t]): Filter item(s) with matching name.\n  - `:\"filters[value]\"` ([String.t]): Filter item(s) with matching value.\n  - `:\"filters[query]\"` (String.t): Filter item(s) containing query. Searchable fields include Property Category, Name, and Value\n  - `:\"filters[curated_list]\"` (boolean()): Filter item(s) to return a curated list of properties\n  - `:\"filters[has_uom]\"` (boolean()): Filter item(s) to return properties with/without unit of measurement (uom).","ref":"Procore.Api.ProjectManagementModelsBIMPropertyFileProperties.html#rest_v10_bim_property_files_id_properties_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMPropertyFileProperties.rest_v10_bim_property_files_id_properties_get/5","doc":"- `{:ok, [%RestV10BimPropertyFilesIdPropertiesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMPropertyFileProperties.html#rest_v10_bim_property_files_id_properties_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMViewFolders","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMViewFolders`.","ref":"Procore.Api.ProjectManagementModelsBIMViewFolders.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMViewFolders.rest_v10_bim_view_folders_get/4","doc":"List BIM View Folders\nLists BIM View Folders associated with the specified Project.","ref":"Procore.Api.ProjectManagementModelsBIMViewFolders.html#rest_v10_bim_view_folders_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMViewFolders.rest_v10_bim_view_folders_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[bim_file_id]\"` (integer()): Filter item(s) with matching BIM File ids\n  - `:\"filters[parent_id]\"` (integer()): Filter item(s) with matching parent_id","ref":"Procore.Api.ProjectManagementModelsBIMViewFolders.html#rest_v10_bim_view_folders_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMViewFolders.rest_v10_bim_view_folders_get/4","doc":"- `{:ok, [%RestV10NestedBimViewFoldersPost200Response{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMViewFolders.html#rest_v10_bim_view_folders_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMViewFolders.rest_v10_bim_view_folders_post/4","doc":"Create BIM View Folder\nCreate BIM View Folder","ref":"Procore.Api.ProjectManagementModelsBIMViewFolders.html#rest_v10_bim_view_folders_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMViewFolders.rest_v10_bim_view_folders_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body119` (Body119): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMViewFolders.html#rest_v10_bim_view_folders_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMViewFolders.rest_v10_bim_view_folders_post/4","doc":"- `{:ok, Procore.Model.RestV10NestedBimViewFoldersPost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMViewFolders.html#rest_v10_bim_view_folders_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMViewpointAssociations`.","ref":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.rest_v10_bim_viewpoints_bim_viewpoint_id_associations_delete/7","doc":"Delete Viewpoint and Procore Item association\nDelete the association between a BIM Viewpoint and a procore item.","ref":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.html#rest_v10_bim_viewpoints_bim_viewpoint_id_associations_delete/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMViewpointAssociations.rest_v10_bim_viewpoints_bim_viewpoint_id_associations_delete/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `bim_viewpoint_id` (integer()): BIM Viewpoint ID\n- `project_id` (integer()): Unique identifier for the project.\n- `item_id` (integer()): Procore Item ID\n- `item_type` (String.t): Procore Item Type\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.html#rest_v10_bim_viewpoints_bim_viewpoint_id_associations_delete/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMViewpointAssociations.rest_v10_bim_viewpoints_bim_viewpoint_id_associations_delete/7","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.html#rest_v10_bim_viewpoints_bim_viewpoint_id_associations_delete/7-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.rest_v10_bim_viewpoints_bim_viewpoint_id_associations_post/5","doc":"Create Viewpoint and Procore Item association\nA BIM Viewpoint can be associated with other procore items. This API endpoint creates that association.","ref":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.html#rest_v10_bim_viewpoints_bim_viewpoint_id_associations_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMViewpointAssociations.rest_v10_bim_viewpoints_bim_viewpoint_id_associations_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `bim_viewpoint_id` (integer()): BIM Viewpoint ID\n- `body118` (Body118): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.html#rest_v10_bim_viewpoints_bim_viewpoint_id_associations_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMViewpointAssociations.rest_v10_bim_viewpoints_bim_viewpoint_id_associations_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMViewpointAssociations.html#rest_v10_bim_viewpoints_bim_viewpoint_id_associations_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMViewpointBatch","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMViewpointBatch`.","ref":"Procore.Api.ProjectManagementModelsBIMViewpointBatch.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMViewpointBatch.rest_v10_bim_viewpoints_batch_post/4","doc":"Create a batch of BIM Viewpoints\nCreate a batch of BIM Viewpoints","ref":"Procore.Api.ProjectManagementModelsBIMViewpointBatch.html#rest_v10_bim_viewpoints_batch_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMViewpointBatch.rest_v10_bim_viewpoints_batch_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body117` (Body117): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMViewpointBatch.html#rest_v10_bim_viewpoints_batch_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMViewpointBatch.rest_v10_bim_viewpoints_batch_post/4","doc":"- `{:ok, Procore.Model.BimViewpointBatchCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMViewpointBatch.html#rest_v10_bim_viewpoints_batch_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsBIMViewpoints","doc":"API calls for all endpoints tagged `ProjectManagementModelsBIMViewpoints`.","ref":"Procore.Api.ProjectManagementModelsBIMViewpoints.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMViewpoints.rest_v10_bim_viewpoints_id_get/5","doc":"Show BIM Viewpoint\nReturn a single BIM Viewpoint","ref":"Procore.Api.ProjectManagementModelsBIMViewpoints.html#rest_v10_bim_viewpoints_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMViewpoints.rest_v10_bim_viewpoints_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMViewpoints.html#rest_v10_bim_viewpoints_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMViewpoints.rest_v10_bim_viewpoints_id_get/5","doc":"- `{:ok, Procore.Model.RestV10BimViewpointsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMViewpoints.html#rest_v10_bim_viewpoints_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementModelsBIMViewpoints.rest_v10_bim_viewpoints_post/4","doc":"Create a BIM Viewpoint\nCreate a BIM Viewpoint","ref":"Procore.Api.ProjectManagementModelsBIMViewpoints.html#rest_v10_bim_viewpoints_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsBIMViewpoints.rest_v10_bim_viewpoints_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body116` (Body116): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsBIMViewpoints.html#rest_v10_bim_viewpoints_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsBIMViewpoints.rest_v10_bim_viewpoints_post/4","doc":"- `{:ok, Procore.Model.RestV10BimViewpointsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsBIMViewpoints.html#rest_v10_bim_viewpoints_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsNestedBIMViewFolderBatch","doc":"API calls for all endpoints tagged `ProjectManagementModelsNestedBIMViewFolderBatch`.","ref":"Procore.Api.ProjectManagementModelsNestedBIMViewFolderBatch.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsNestedBIMViewFolderBatch.rest_v10_nested_bim_view_folders_batch_post/4","doc":"Create a batch of BIM View Folder by path\nCreates a batch of nested BIM folders as per path provided. If the folder corresponding to a path exists, the folder at the lowest level is returned.","ref":"Procore.Api.ProjectManagementModelsNestedBIMViewFolderBatch.html#rest_v10_nested_bim_view_folders_batch_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsNestedBIMViewFolderBatch.rest_v10_nested_bim_view_folders_batch_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body56` (Body56): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsNestedBIMViewFolderBatch.html#rest_v10_nested_bim_view_folders_batch_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsNestedBIMViewFolderBatch.rest_v10_nested_bim_view_folders_batch_post/4","doc":"- `{:ok, Procore.Model.NestedBimViewFolderBatchCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsNestedBIMViewFolderBatch.html#rest_v10_nested_bim_view_folders_batch_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementModelsNestedBIMViewFolders","doc":"API calls for all endpoints tagged `ProjectManagementModelsNestedBIMViewFolders`.","ref":"Procore.Api.ProjectManagementModelsNestedBIMViewFolders.html"},{"type":"function","title":"Procore.Api.ProjectManagementModelsNestedBIMViewFolders.rest_v10_nested_bim_view_folders_post/4","doc":"Create or find BIM View Folder by path\nCreates or returns the last view folder for the array of path provided.","ref":"Procore.Api.ProjectManagementModelsNestedBIMViewFolders.html#rest_v10_nested_bim_view_folders_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementModelsNestedBIMViewFolders.rest_v10_nested_bim_view_folders_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body55` (Body55): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementModelsNestedBIMViewFolders.html#rest_v10_nested_bim_view_folders_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementModelsNestedBIMViewFolders.rest_v10_nested_bim_view_folders_post/4","doc":"- `{:ok, Procore.Model.RestV10NestedBimViewFoldersPost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementModelsNestedBIMViewFolders.html#rest_v10_nested_bim_view_folders_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementPhotosImageCategories","doc":"API calls for all endpoints tagged `ProjectManagementPhotosImageCategories`.","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_get/4","doc":"List image categories\nReturn a list of all Photo Albums (Image Categories) in a specified project.","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_get/4","doc":"- `{:ok, [%ImageCategory{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_delete/5","doc":"Delete image category\nDelete a Photo Album (Image Category) from a specified Project.","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the image category\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_get/5","doc":"Show image category\nReturn detail information about the specified Photo Album (Image Category).","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the image category\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_get/5","doc":"- `{:ok, Procore.Model.ImageCategory2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_patch/6","doc":"Update image category\nUpdate a Photo Album (Image Category) in a specified Project.","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the image category\n- `project_id` (integer()): Unique identifier for the project.\n- `body76` (Body76): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_id_patch/6","doc":"- `{:ok, Procore.Model.ImageCategory2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_ids_with_images_get/4","doc":"List Image Category IDs That Contain Images\nReturn an array of Image Category IDs for a specified Project that contain Images See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_ids_with_images_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_ids_with_images_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[updated_at]\"` (String.t): Return Image Categories that contain Images that are within a specific updated_at date-time range.","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_ids_with_images_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_ids_with_images_get/4","doc":"- `{:ok, [%Integer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_ids_with_images_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_post/5","doc":"Create image category\nCreate a new Photo Album (Category) for Images.","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body76` (Body76): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImageCategories.rest_v10_image_categories_post/5","doc":"- `{:ok, Procore.Model.ImageCategory2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImageCategories.html#rest_v10_image_categories_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementPhotosImages","doc":"API calls for all endpoints tagged `ProjectManagementPhotosImages`.","ref":"Procore.Api.ProjectManagementPhotosImages.html"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImages.rest_v10_images_get/4","doc":"List images\nReturn a list of all Images from a Project's Photo Album (Image Category).  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:image_category_id` (integer()): Optional. ID of the image category to filter the images by.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[log_date]\"` (Date.t): Date of Photos added to the Daily Log in the format \"YYYY-MM-DD\", or a range of dates in the format \"YYYY-MM-DD...YYYY-MM-DD\".\n  - `:\"filters[private]\"` (boolean()): If true, returns only item(s) with a `private` status.\n  - `:\"filters[starred]\"` (boolean()): If true, returns only item(s) with a `starred` status.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[include_sublocations]\"` (boolean()): Use together with `filters[location_id]` \n  - `:\"filters[trade_ids]\"` ([integer()]): Array of Trade IDs. Returns item(s) with the specified Trade IDs.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:sort` (String.t): Field to sort by. If the field is passed with a - (EX: -created_at) it is sorted in reverse order\n  - `:serializer_view` (String.t): The data set that should be returned from the serializer. The normal view includes default fields, plus links, comments_count, trades. The android view includes default fields, plus trades, comments. The mobile view include default fields, plus log_date, trades, comments. The mobile_feed view includes default fields, plus comments. The prostore_file view includes default fields, plus images. The ids_only view does not include default fields, response returns strictly an array of image ids. Default view is normal.","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_get/4","doc":"- `{:ok, [%Image{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_delete/5","doc":"Delete image\nRemove an Image from a Project.","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the image\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:permanent` (boolean()): If true, permanently deletes the image.","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_get/5","doc":"Show image\nShow detailed information for a specified Image in a Project's Photo Album (Image Category).","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the image\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_get/5","doc":"- `{:ok, Procore.Model.Image.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_patch/6","doc":"Update image\nUpdate an existing Image in a Project.","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the image\n- `project_id` (integer()): Unique identifier for the project.\n- `body75` (Body75): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_id_patch/6","doc":"- `{:ok, Procore.Model.Image.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementPhotosImages.rest_v10_images_post/6","doc":"Create image\nUpload and add a new Image to a Project's Photo Album (Image Category).","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `image_name` (String.t): The name of the image file to be uploaded. Required when using an upload_uuid to upload the image.\n- `image` (Procore.Model.Image1.t): \n- `opts` (keyword): Optional parameters\n  - `:upload_uuid` (String.t): UUID referencing a previously completed Upload. See Company Uploads or Project Uploads for instructions on how use uploads. You should not use both data and upload_uuid fields in the same request.","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementPhotosImages.rest_v10_images_post/6","doc":"- `{:ok, Procore.Model.Image.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementPhotosImages.html#rest_v10_images_post/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleCalendarEvents","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleCalendarEvents`.","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarEvents.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleCalendarEvents.rest_v10_calendar_events_get/4","doc":"List calendar events\nDEPRECATED: This endpoint is not accurate across time zones and has been deprecated. It will be removed in a future version of the API. Use the Schedule Tasks, Calendar Items, and Schedule endpoints instead.  List all Calendar Events for a specified project.","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarEvents.html#rest_v10_calendar_events_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleCalendarEvents.rest_v10_calendar_events_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"calendar[start_datetime]\"` (DateTime.t): Start date or date-time\n  - `:\"calendar[finish_datetime]\"` (DateTime.t): Finish date or date-time\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarEvents.html#rest_v10_calendar_events_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleCalendarEvents.rest_v10_calendar_events_get/4","doc":"- `{:ok, Procore.Model.RestV10CalendarEventsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarEvents.html#rest_v10_calendar_events_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleCalendarItems","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleCalendarItems`.","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_get/4","doc":"List Calendar Items\nReturns all Calendar Items for a given project.","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:view` (String.t): The view to use when serializing Calendar Item data. The ids_only view returns an array of Calendar Item IDs. The total_count_only view returns total count of Calendar Items.\n  - `:start_date` (Date.t): Calendar Items that occur after this date\n  - `:finish_date` (Date.t): Calendar Items that occur before this date\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[assigned_id]\"` ([integer()]): Returns task(s) with specified assignee(s)\n  - `:\"filters[date]\"` (String.t): Returns task(s) existing on the specified ISO 8601 datetime\n  - `:sort` (String.t): Return item(s) with the specified sort.  Prepend \"-\" to specify descending order.","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_delete/5","doc":"Delete Calendar Item\nDelete a single Calendar Item","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Calendar Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_get/5","doc":"Show Calendar Item\nGet the details of a single Calendar Item","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Calendar Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_patch/6","doc":"Update Calendar Item\nUpdate attributes on a single Calendar Item","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Calendar Item ID\n- `body107` (Body107): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_post/5","doc":"Create Calendar Item\nCreate a new Calendar Item","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body107` (Body107): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_sync_patch/5","doc":"Sync Calendar Items\nCreate or update a batch of Calendar Items","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body108` (Body108): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleCalendarItems.rest_v10_projects_project_id_schedule_calendar_items_sync_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsSyncPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleCalendarItems.html#rest_v10_projects_project_id_schedule_calendar_items_sync_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleLookaheadTasks`.","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_id_delete/5","doc":"Delete Lookahead Task\nDelete a Lookahead Task from the project schedule","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Lookahead Task ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_id_patch/6","doc":"Update Lookahead Task\nUpdate a Lookahead Task for the project schedule","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Lookahead Task ID\n- `rest_v10_projects_project_id_schedule_lookahead_tasks_post_request` (RestV10ProjectsProjectIdScheduleLookaheadTasksPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_post/5","doc":"Create Lookahead Task\nCreate new Lookahead Task for the project schedule","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_schedule_lookahead_tasks_post_request` (RestV10ProjectsProjectIdScheduleLookaheadTasksPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.rest_v10_projects_project_id_schedule_lookahead_tasks_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheadTasks.html#rest_v10_projects_project_id_schedule_lookahead_tasks_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleLookaheads`.","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_get/4","doc":"List Lookaheads\nReturns all Lookaheads for the project.","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_id_delete/5","doc":"Delete Lookahead\nDeletes a single Lookahead.","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Lookahead ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_id_get/5","doc":"Show Lookahead\nReturns single Lookahead.","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Lookahead ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_post/5","doc":"Create Lookahead\nCreate a new Lookahead for the project","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_schedule_lookaheads_post_request` (RestV10ProjectsProjectIdScheduleLookaheadsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v10_projects_project_id_schedule_lookaheads_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v10_projects_project_id_schedule_lookaheads_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_get/4","doc":"List Lookaheads\nReturns all Lookaheads for the project.","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_id_delete/5","doc":"Delete Lookahead\nDeletes a single Lookahead.","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Lookahead ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_id_get/5","doc":"Show Lookahead\nReturns single Lookahead.","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Lookahead ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_post/5","doc":"Create Lookahead\nCreate a new Lookahead for the project","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v11_projects_project_id_schedule_lookaheads_post_request` (RestV11ProjectsProjectIdScheduleLookaheadsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleLookaheads.rest_v11_projects_project_id_schedule_lookaheads_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleLookaheads.html#rest_v11_projects_project_id_schedule_lookaheads_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleRequestedChanges`.","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_get/4","doc":"List Requested Changes\nList all Requested Changes of a Task.","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:task_id` (integer()): The task for which all requested changes will be retrieved.\n  - `:view` (String.t): The `with_task` view includes an additional task data for correspondent requested changes\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_get/4","doc":"- `{:ok, Procore.Model.RestV10RequestedChangesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_post/6","doc":"Creates Requested Change\nCreates a requested changes for a Task.","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `task_id` (integer()): The task for which requested changes will be added to.\n- `rest_v11_projects_project_id_schedule_tasks_task_id_requested_changes_post_request` (RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_post/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_post/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_review_patch/5","doc":"Review Requested Changes\nReview Requested Changes for Tasks.","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_review_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_review_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v11_projects_project_id_schedule_requested_changes_review_patch_request` (RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_review_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleRequestedChanges.rest_v10_requested_changes_review_patch/5","doc":"- `{:ok, [%RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatch200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleRequestedChanges.html#rest_v10_requested_changes_review_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleSchedule","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleSchedule`.","ref":"Procore.Api.ProjectManagementProjectScheduleSchedule.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleSchedule.rest_v10_projects_project_id_schedule_get/4","doc":"Get Schedule Metadata\nReturns metadata about this Project's Schedule, including information about the Schedule integration configuration for the current project.  #### Schedule Types  | Type                                                 | Key                           | |------------------------------------------------------|-------------------------------| | File-based schedule integration via web browser      | \"Microsoft Project\"           | | File-based schedule integration via Procore Drive    | \"Microsoft Project 2010\"      | | File-based schedule integration via Procore Documents| \"Microsoft Project Documents\" | | Primavera P6 database integration via Procore Drive  | \"Primavera P6\"                |  Note that the schedule types listed as \"Microsoft Project\", \"Microsoft Project 2010\", and \"Microsoft Project Documents\" are functionally identical. In all cases Procore can consume any supported schedule file type and extract data from it, not just Microsoft Project. Schedule files can be uploaded either via Procore Drive, via the Procore Documents tool, or via the Procore Schedule tool, regardless of which of these three types is selected. Where Primavera P6 database integration via Procore Drive is in use, the `p6_id` attribute returned by this API indicates which P6 project Procore Drive is extracting data from.","ref":"Procore.Api.ProjectManagementProjectScheduleSchedule.html#rest_v10_projects_project_id_schedule_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleSchedule.rest_v10_projects_project_id_schedule_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleSchedule.html#rest_v10_projects_project_id_schedule_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleSchedule.rest_v10_projects_project_id_schedule_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleSchedule.html#rest_v10_projects_project_id_schedule_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleSchedule.rest_v10_projects_project_id_schedule_patch/5","doc":"Update Schedule Metadata\nUpdates the Schedule integration type for a project.  #### Schedule Types  | Type                                                 | Key                           | |------------------------------------------------------|-------------------------------| | File-based schedule integration via web browser      | \"Microsoft Project\"           | | File-based schedule integration via Procore Drive    | \"Microsoft Project 2010\"      | | File-based schedule integration via Procore Documents| \"Microsoft Project Documents\" | | Primavera P6 database integration via Procore Drive  | \"Primavera P6\"                |  Note that the schedule types listed as \"Microsoft Project\", \"Microsoft Project 2010\", and \"Microsoft Project Documents\" are functionally identical. In all cases Procore can consume any supported schedule file type and extract data from it, not just Microsoft Project. Schedule files can be uploaded either via Procore Drive, via the Procore Documents tool, or via the Procore Schedule tool, regardless of which of these three types is selected. Where Primavera P6 database integration via Procore Drive is in use, the `p6_id` attribute returned by this API indicates which P6 project Procore Drive is extracting data from.","ref":"Procore.Api.ProjectManagementProjectScheduleSchedule.html#rest_v10_projects_project_id_schedule_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleSchedule.rest_v10_projects_project_id_schedule_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body15` (Body15): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleSchedule.html#rest_v10_projects_project_id_schedule_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleSchedule.rest_v10_projects_project_id_schedule_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleSchedule.html#rest_v10_projects_project_id_schedule_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleScheduleImports","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleScheduleImports`.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleImports.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleImports.rest_v10_projects_project_id_schedule_imports_processing_status_get/4","doc":"Get Schedule Import processing state\nGet info regarding if schedule import is currently processing or not","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleImports.html#rest_v10_projects_project_id_schedule_imports_processing_status_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleImports.rest_v10_projects_project_id_schedule_imports_processing_status_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleImports.html#rest_v10_projects_project_id_schedule_imports_processing_status_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleImports.rest_v10_projects_project_id_schedule_imports_processing_status_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleImports.html#rest_v10_projects_project_id_schedule_imports_processing_status_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleScheduleIntegration`.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_download_get/4","doc":"Download schedule file\nDownload the most recently uploaded schedule file.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_download_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_download_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_download_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_download_get/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_download_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_get/4","doc":"List Schedule Imports\nReturn a list of schedule imports for this project, most recent first.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_get/4","doc":"- `{:ok, [%RestV10ScheduleIntegrationGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_patch/5","doc":"Upload schedule file\nDEPRECATED: This endpoint is a duplicate of the `PUT` endpoint. It will be removed in a future version of the API. Use the `PUT` method instead.  Upload a schedule file.  #### Supported File Formats  | Type | Source                                                        | |------|---------------------------------------------------------------| | MPP  | Microsoft Project                                             | | MPX  | Microsoft Project, SureTrak                                   | | XER  | Primavera P6, Primavera Contractor                            | | PP   | Asta Powerproject, Asta Easyplan                              | | XML  | Formatted for Microsoft Project, e.g. Smartsheet, OpenProject | | XML  | Primavera PMXML                                               | | PPX  | Phoenix Project Manager                                       | | FTS  | FastTrack Schedule                                            | | POD  | ProjectLibre                                                  | | GAN  | GanttProject                                                  | | PEP  | TurboProject                                                  | | PRX  | Primavera P3                                                  | | STX  | Primavera SureTrak                                            | | CDPX | ConceptDraw PROJECT                                           | | CDPZ | ConceptDraw PROJECT                                           | | SP   | Synchro Scheduler                                             | | SEDF | USACE Standard Data Exchange Format                           | | ZIP  | Compressed file containing one of the supported file types    |","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `schedule_integration` (Procore.Model.ScheduleIntegration.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_put/5","doc":"Upload schedule file\nUpload a schedule file.  #### Supported File Formats  | Type | Source                                                        | |------|---------------------------------------------------------------| | MPP  | Microsoft Project                                             | | MPX  | Microsoft Project, SureTrak                                   | | XER  | Primavera P6, Primavera Contractor                            | | PP   | Asta Powerproject, Asta Easyplan                              | | XML  | Formatted for Microsoft Project, e.g. Smartsheet, OpenProject | | XML  | Primavera PMXML                                               | | PPX  | Phoenix Project Manager                                       | | FTS  | FastTrack Schedule                                            | | POD  | ProjectLibre                                                  | | GAN  | GanttProject                                                  | | PEP  | TurboProject                                                  | | PRX  | Primavera P3                                                  | | STX  | Primavera SureTrak                                            | | CDPX | ConceptDraw PROJECT                                           | | CDPZ | ConceptDraw PROJECT                                           | | SP   | Synchro Scheduler                                             | | SEDF | USACE Standard Data Exchange Format                           | | ZIP  | Compressed file containing one of the supported file types    |","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_put/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_put/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `schedule_integration` (Procore.Model.ScheduleIntegration.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_put/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.rest_v10_schedule_integration_put/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleIntegration.html#rest_v10_schedule_integration_put/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResourceAssignments","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleScheduleResourceAssignments`.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResourceAssignments.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResourceAssignments.rest_v11_projects_project_id_schedule_resource_assignments_id_get/5","doc":"Show resource assignment\nShow detail on the specified Resource Assignment.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResourceAssignments.html#rest_v11_projects_project_id_schedule_resource_assignments_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResourceAssignments.rest_v11_projects_project_id_schedule_resource_assignments_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the resource\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResourceAssignments.html#rest_v11_projects_project_id_schedule_resource_assignments_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResourceAssignments.rest_v11_projects_project_id_schedule_resource_assignments_id_get/5","doc":"- `{:ok, Procore.Model.ResourceAssignment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResourceAssignments.html#rest_v11_projects_project_id_schedule_resource_assignments_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleScheduleResources`.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_get/4","doc":"List Resources\nReturn a list of all resources in a specified Project","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_get/4","doc":"- `{:ok, [%Resource2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_delete/5","doc":"Delete resource\nDelete the specified Resource. Note that when a resource is deleted, any assignments to tasks will also be removed.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the resource\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_get/5","doc":"Show resource\nShow detail on the specified Resource.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the resource\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_get/5","doc":"- `{:ok, Procore.Model.Resource2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_patch/5","doc":"Update resource\nUpdate the specified Resource.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the resource\n- `body17` (Body17): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_id_patch/5","doc":"- `{:ok, Procore.Model.Resource2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_post/4","doc":"Create resource\nCreate a new Resource associated with the specified Project.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body17` (Body17): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v10_resources_post/4","doc":"- `{:ok, Procore.Model.Resource2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v10_resources_post/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_get/4","doc":"List Resources\nReturn a list of all resources in a specified Project","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_get/4","doc":"- `{:ok, [%Resource{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_delete/5","doc":"Delete resource\nDelete the specified Resource. Note that when a Resource is deleted, any assignments to Tasks will also be removed.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the resource\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_get/5","doc":"Show resource\nShow detail on the specified Resource.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the resource\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_get/5","doc":"- `{:ok, Procore.Model.Resource.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_patch/6","doc":"Update resource\nUpdate the specified Resource.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the resource\n- `body17` (Body17): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_id_patch/6","doc":"- `{:ok, Procore.Model.Resource.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_post/5","doc":"Create resource\nCreate a new Resource associated with the specified Project.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body17` (Body17): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleResources.rest_v11_projects_project_id_schedule_resources_post/5","doc":"- `{:ok, Procore.Model.Resource.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleResources.html#rest_v11_projects_project_id_schedule_resources_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleScheduleSettings","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleScheduleSettings`.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleSettings.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleSettings.rest_v10_projects_project_id_schedule_settings_get/4","doc":"Show Project Schedule Settings\nReturn the Schedule tool settings for the given project.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleSettings.html#rest_v10_projects_project_id_schedule_settings_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleSettings.rest_v10_projects_project_id_schedule_settings_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleSettings.html#rest_v10_projects_project_id_schedule_settings_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleSettings.rest_v10_projects_project_id_schedule_settings_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleSettings.html#rest_v10_projects_project_id_schedule_settings_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleScheduleType","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleScheduleType`.","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleType.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleType.rest_v10_schedule_type_get/4","doc":"Show the schedule integration type for a project\nReturn information about the schedule integration configuration for the current project.  #### Schedule Types  | Type                                                 | Key                           | |------------------------------------------------------|-------------------------------| | File-based schedule integration via web browser      | \"Microsoft Project\"           | | File-based schedule integration via Procore Drive    | \"Microsoft Project 2010\"      | | File-based schedule integration via Procore Documents| \"Microsoft Project Documents\" | | Primavera P6 database integration via Procore Drive  | \"Primavera P6\"                |  Note that the schedule types listed as \"Microsoft Project\", \"Microsoft Project 2010\", and \"Microsoft Project Documents\" are functionally identical. In all cases Procore can consume any supported schedule file type and extract data from it, not just Microsoft Project. Schedule files can be upoaded either via Procore Drive, via the Procore Documents tool, or via the Procore Schedule tool, regardless of which of these three types is selected. Where Primavera P6 database integration via Procore Drive is in use, the `p6_id` attribute returned by this API indicates which P6 project Procore Drive is extracting data from.  This endpoint has been deprecated. Instead, use [/rest/v1/project/{project_id}/schedule)","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleType.html#rest_v10_schedule_type_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleType.rest_v10_schedule_type_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleType.html#rest_v10_schedule_type_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleType.rest_v10_schedule_type_get/4","doc":"- `{:ok, Procore.Model.RestV10ScheduleTypeGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleType.html#rest_v10_schedule_type_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleScheduleType.rest_v10_schedule_type_patch/4","doc":"Update schedule integration type\nUpdate the schedule integration type for a project.  #### Schedule Types  | Type                                                 | Key                           | |------------------------------------------------------|-------------------------------| | File-based schedule integration via web browser      | \"Microsoft Project\"           | | File-based schedule integration via Procore Drive    | \"Microsoft Project 2010\"      | | File-based schedule integration via Procore Documents| \"Microsoft Project Documents\" | | Primavera P6 database integration via Procore Drive  | \"Primavera P6\"                |  Note that the schedule types listed as \"Microsoft Project\", \"Microsoft Project 2010\", and \"Microsoft Project Documents\" are functionally identical. In all cases Procore can consume any supported schedule file type and extract data from it, not just Microsoft Project. Schedule files can be upoaded either via Procore Drive, via the Procore Documents tool, or via the Procore Schedule tool, regardless of which of these three types is selected. Where Primavera P6 database integration via Procore Drive is in use, the `p6_id` attribute returned by this API indicates which P6 project Procore Drive is extracting data from.  This endpoint has been deprecated. Instead, use [/rest/v1/project/{project_id}/schedule)","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleType.html#rest_v10_schedule_type_patch/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleScheduleType.rest_v10_schedule_type_patch/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body16` (Body16): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleType.html#rest_v10_schedule_type_patch/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleScheduleType.rest_v10_schedule_type_patch/4","doc":"- `{:ok, Procore.Model.RestV10ScheduleTypeGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleScheduleType.html#rest_v10_schedule_type_patch/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleTaskRequestedChanges`.","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_requested_changes_get/4","doc":"List requested changes for a Schedule or a Task\nReturns the requested change list.","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_requested_changes_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_requested_changes_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:task_id` (integer()): Task ID\n  - `:view` (String.t): The `with_task` view includes an additional task data for correspondent requested changes\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_requested_changes_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_requested_changes_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_requested_changes_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_requested_changes_review_patch/5","doc":"Review Requested Changes\nReview Requested Changes for Tasks.","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_requested_changes_review_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_requested_changes_review_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v11_projects_project_id_schedule_requested_changes_review_patch_request` (RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_requested_changes_review_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_requested_changes_review_patch/5","doc":"- `{:ok, [%RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatch200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_requested_changes_review_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_tasks_task_id_requested_changes_post/6","doc":"Create Requested Change\nCreate a new requested change on a Task.","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_tasks_task_id_requested_changes_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_tasks_task_id_requested_changes_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `task_id` (integer()): Task ID\n- `rest_v11_projects_project_id_schedule_tasks_task_id_requested_changes_post_request` (RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_tasks_task_id_requested_changes_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.rest_v11_projects_project_id_schedule_tasks_task_id_requested_changes_post/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTaskRequestedChanges.html#rest_v11_projects_project_id_schedule_tasks_task_id_requested_changes_post/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleTasks","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleTasks`.","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_get/4","doc":"List tasks\nList existing tasks for the specified Project.","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:view` (String.t): The compact view contains id, name, key, formatted_name, and task_name. The normal view contains the response shown below. The default view is normal.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[row_number]\"` (integer()): Returns Tasks with a row_number matching the given value. This endpoint supports single values of row_number,  a range of row_numbers (filters[row_number]=4...7) as well as multiple values  (filters[row_number][]=5&filters[row_number][]=6). Exclude the filter to fetch all Tasks. \n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_get/4","doc":"- `{:ok, [%Task{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_delete/5","doc":"Delete task\nDelete the specified Task.","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the task\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_get/5","doc":"Show task\nShow detail on the specified Task.","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the task\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_get/5","doc":"- `{:ok, Procore.Model.Task.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_patch/5","doc":"Update task\nUpdate the specified Task.","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the task\n- `body14` (Body14): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_id_patch/5","doc":"- `{:ok, Procore.Model.Task.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_post/4","doc":"Create task\nCreate a new Task associated with the specified Project.","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body14` (Body14): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_post/4","doc":"- `{:ok, Procore.Model.Task.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_post/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_sync_patch/5","doc":"Sync tasks\nThis endpoint creates or updates a batch of tasks.","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_tasks_sync_patch_request` (RestV10TasksSyncPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleTasks.rest_v10_tasks_sync_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfTasks.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleTasks.html#rest_v10_tasks_sync_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementProjectScheduleToDos","doc":"API calls for all endpoints tagged `ProjectManagementProjectScheduleToDos`.","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_delete/5","doc":"Delete todo\nDelete a specific ToDo Item in a specified Project.  This endpoint has been deprecated. Instead, use [/rest/v1/calendar-items)","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the todo\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_get/5","doc":"Show todo\nReturn detailed information about a ToDo Item in a specified Project.  This endpoint has been deprecated. Instead, use [/rest/v1/calendar-items)","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the todo\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_get/5","doc":"- `{:ok, Procore.Model.ToDo1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_patch/5","doc":"Update todo\nUpdate a ToDo item for a specified Project.  This endpoint has been deprecated. Instead, use [/rest/v1/calendar-items)","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the todo\n- `body11` (Body11): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_id_patch/5","doc":"- `{:ok, Procore.Model.ToDo1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_id_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_post/4","doc":"Create todo\nCreate a ToDo Item for a specified Project.  This endpoint has been deprecated. Instead, use [/rest/v1/calendar-items)","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body10` (Body10): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_post/4","doc":"- `{:ok, Procore.Model.ToDo1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_post/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_sync_patch/5","doc":"Sync ToDos\nThis endpoint creates or updates a batch of ToDos.  This endpoint has been deprecated. Instead, use [/rest/v1/calendar-items)","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_sync_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_sync_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_todos_sync_patch_request` (RestV10TodosSyncPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_sync_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementProjectScheduleToDos.rest_v10_todos_sync_patch/5","doc":"- `{:ok, Procore.Model.ArrayOfTodos.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementProjectScheduleToDos.html#rest_v10_todos_sync_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementRFIFilterOptions","doc":"API calls for all endpoints tagged `ProjectManagementRFIFilterOptions`.","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_assigned_id_get/4","doc":"List available RFI assigned_id filter options\nReturns a list of assigned_id filter fields and options for RFIs on a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_assigned_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_assigned_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_assigned_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_assigned_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_assigned_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_ball_in_court_id_get/4","doc":"List available RFI ball in court filter options\nReturns a list of available RFI ball in court filter fields and options for RFIs on a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_ball_in_court_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_ball_in_court_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_ball_in_court_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_ball_in_court_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsBallInCourtIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_ball_in_court_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_cost_code_id_get/4","doc":"List available RFI cost code options\nReturns a list of RFI cost code options for a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_cost_code_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_cost_code_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_cost_code_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_cost_code_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_cost_code_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_get/4","doc":"List available RFI filters\nReturns a list of filter fields and options for RFIs on a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_location_id_get/4","doc":"List available RFIs locations\nReturns a list of RFI locations for a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_location_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_location_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_location_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_location_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_location_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_prefix_stage_id_get/4","doc":"List available RFI Prefix Stage filter options\nReturns all Filter Options for Prefix Stage defined by the project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_prefix_stage_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_prefix_stage_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_prefix_stage_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_prefix_stage_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsPrefixStageIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_prefix_stage_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_priority_get/4","doc":"List available RFI Priority filter options\nReturns a list of available Priority options for RFIs","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_priority_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_priority_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_priority_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_priority_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsPriorityGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_priority_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_received_from_login_information_id_get/4","doc":"List available RFI received from filter options\nReturns a list of received from filter options for RFIs on a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_received_from_login_information_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_received_from_login_information_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_received_from_login_information_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_received_from_login_information_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_received_from_login_information_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_responsible_contractor_id_get/4","doc":"List available RFI responsible contractor filter options\nReturns a list of responsible contractor filter fields and options for RFIs on a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_responsible_contractor_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_responsible_contractor_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_responsible_contractor_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_responsible_contractor_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_responsible_contractor_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_rfi_manager_id_get/4","doc":"List available RFI RFI Manager filter options\nReturns a list of available RFI Manager filter fields and options for RFIs on a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_rfi_manager_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_rfi_manager_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_rfi_manager_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_rfi_manager_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsRfiManagerIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_rfi_manager_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_status_get/4","doc":"List available RFI status filter options\nReturns a list of status filter fields and options for RFIs on a specified Project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_status_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_status_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_status_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_status_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_status_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_sub_job_id_get/4","doc":"List available RFI Sub Job filter options\nReturns all Filter Options for Sub Jobs defined by the project","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_sub_job_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_sub_job_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_sub_job_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIFilterOptions.rest_v10_projects_project_id_rfis_filter_options_sub_job_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisFilterOptionsSubJobIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIFilterOptions.html#rest_v10_projects_project_id_rfis_filter_options_sub_job_id_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementRFIPotentialAssignees","doc":"API calls for all endpoints tagged `ProjectManagementRFIPotentialAssignees`.","ref":"Procore.Api.ProjectManagementRFIPotentialAssignees.html"},{"type":"function","title":"Procore.Api.ProjectManagementRFIPotentialAssignees.rest_v10_projects_project_id_rfis_potential_assignees_get/4","doc":"Get a list of possible assignees for an RFI\nReturns all potential Assignees for an RFI.","ref":"Procore.Api.ProjectManagementRFIPotentialAssignees.html#rest_v10_projects_project_id_rfis_potential_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIPotentialAssignees.rest_v10_projects_project_id_rfis_potential_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIPotentialAssignees.html#rest_v10_projects_project_id_rfis_potential_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIPotentialAssignees.rest_v10_projects_project_id_rfis_potential_assignees_get/4","doc":"- `{:ok, [%ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIPotentialAssignees.html#rest_v10_projects_project_id_rfis_potential_assignees_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementRFIPotentialRFIManagers","doc":"API calls for all endpoints tagged `ProjectManagementRFIPotentialRFIManagers`.","ref":"Procore.Api.ProjectManagementRFIPotentialRFIManagers.html"},{"type":"function","title":"Procore.Api.ProjectManagementRFIPotentialRFIManagers.rest_v10_projects_project_id_rfis_potential_rfi_managers_get/4","doc":"Get a list of possible RFI Managers for an RFI\nReturns all potential RFI Managers for an RFI.","ref":"Procore.Api.ProjectManagementRFIPotentialRFIManagers.html#rest_v10_projects_project_id_rfis_potential_rfi_managers_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIPotentialRFIManagers.rest_v10_projects_project_id_rfis_potential_rfi_managers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIPotentialRFIManagers.html#rest_v10_projects_project_id_rfis_potential_rfi_managers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIPotentialRFIManagers.rest_v10_projects_project_id_rfis_potential_rfi_managers_get/4","doc":"- `{:ok, [%ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIPotentialRFIManagers.html#rest_v10_projects_project_id_rfis_potential_rfi_managers_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementRFIRFIs","doc":"API calls for all endpoints tagged `ProjectManagementRFIRFIs`.","ref":"Procore.Api.ProjectManagementRFIRFIs.html"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_get/4","doc":"List RFIs\nReturns all RFIs in a specified Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified RFI Status.\n  - `:\"filters[assigned_id]\"` (String.t): Assigned ID\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[responsible_contractor_id]\"` (integer()): Responsible Contractor ID\n  - `:\"filters[cost_code_id]\"` (String.t): Cost Code ID. Returns item(s) with the specified Cost Code ID or within the specified range of Cost Code IDs.\n  - `:\"filters[received_from_login_information_id]\"` (String.t): Received From Login Information ID. Returns item(s) with the specified Received From Login Information ID.\n  - `:\"filters[ball_in_court_id]\"` (integer()): User ID. Return item(s) where the specified User ID is the Ball in Court.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[rfi_manager_id]\"` (integer()): Return item(s) with the specified RFI Manager ID.\n  - `:search` (String.t): Search for RFIs by subject or number. This parameter will return all RFIs that match the search term.\n  - `:\"sort[attribute]\"` (String.t): The attribute by which to sort the list of RFIs\n  - `:\"sort[direction]\"` (String.t): If passed a sort attribute, determines which direction to sort","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_get/5","doc":"Show RFI\nReturn detailed information about a specified RFI in a specified Project.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): RFI ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRfisPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_patch/6","doc":"Update RFI\nUpdates a specified RFI in a specified Project.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): RFI ID\n- `rfi_update_body` (RfiUpdateBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRfisPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_recycle_patch/5","doc":"Recycle RFI\nSend a specified RFI to the Recycle Bin.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_recycle_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_recycle_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): RFI ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_recycle_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_recycle_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_recycle_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_retrieve_patch/5","doc":"Retrieve Recycled RFI\nRetrieve a specified RFI from the Recycle Bin.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_retrieve_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_retrieve_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): RFI ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_retrieve_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_id_retrieve_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_id_retrieve_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_idpdf_get/5","doc":"Show RFI in PDF format\nReturn detailed information (as a PDF) about a specified RFI in a specified Project.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_idpdf_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_idpdf_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): RFI ID\n- `opts` (keyword): Optional parameters\n  - `:only_official` (boolean()): If true, include only official responses; if false return all responses.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_idpdf_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_idpdf_get/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_idpdf_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_patch/5","doc":"Batch Update RFIs\nUpdate specified RFIs in a specified project. Specify the RFIs by their IDs. Pass in the same values for each specified RFI for the action to succeed.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rfi_body2` (RfiBody2): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_patch/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_post/5","doc":"Create RFI\nCreates a new RFI in a specified Project.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rfi_body` (RfiBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRfisPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_recycle_bin_get/4","doc":"List Recycled RFIs\nReturns all deleted RFIs in a specified Project","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_recycle_bin_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_recycle_bin_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_recycle_bin_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIs.rest_v10_projects_project_id_rfis_recycle_bin_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIs.html#rest_v10_projects_project_id_rfis_recycle_bin_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementRFIRFIsDefaultDistribution","doc":"API calls for all endpoints tagged `ProjectManagementRFIRFIsDefaultDistribution`.","ref":"Procore.Api.ProjectManagementRFIRFIsDefaultDistribution.html"},{"type":"function","title":"Procore.Api.ProjectManagementRFIRFIsDefaultDistribution.rest_v10_projects_project_id_rfis_default_distribution_get/4","doc":"List RFI Default Distribution\nReturns a list of contacts that comprise the RFI default distribution","ref":"Procore.Api.ProjectManagementRFIRFIsDefaultDistribution.html#rest_v10_projects_project_id_rfis_default_distribution_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIRFIsDefaultDistribution.rest_v10_projects_project_id_rfis_default_distribution_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementRFIRFIsDefaultDistribution.html#rest_v10_projects_project_id_rfis_default_distribution_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIRFIsDefaultDistribution.rest_v10_projects_project_id_rfis_default_distribution_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIRFIsDefaultDistribution.html#rest_v10_projects_project_id_rfis_default_distribution_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementRFIReplies","doc":"API calls for all endpoints tagged `ProjectManagementRFIReplies`.","ref":"Procore.Api.ProjectManagementRFIReplies.html"},{"type":"function","title":"Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_get/5","doc":"List RFI Replies\nReturns a list of replies for a specified RFI","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rfi_id` (integer()): RFI ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_delete/6","doc":"Delete an RFI Response\nDeletes a specified response associated with a specified RFI and specified Project","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rfi_id` (integer()): RFI ID\n- `id` (integer()): Reply ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_delete/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_get/6","doc":"Show RFI Reply\nReturns detailed information on a specified RFI reply","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rfi_id` (integer()): RFI ID\n- `id` (integer()): Reply ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_get/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_patch/7","doc":"Update RFI Reply\nUpdates a specified RFI reply","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rfi_id` (integer()): RFI ID\n- `id` (integer()): Reply ID\n- `rest_v10_projects_project_id_rfis_rfi_id_replies_id_patch_request` (RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_id_patch/7","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_id_patch/7-returns"},{"type":"function","title":"Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_post/6","doc":"Create RFI Reply\nCreates a reply for a specified RFI","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rfi_id` (integer()): RFI ID\n- `rest_v10_projects_project_id_rfis_rfi_id_replies_post_request` (RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementRFIReplies.rest_v10_projects_project_id_rfis_rfi_id_replies_post/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementRFIReplies.html#rest_v10_projects_project_id_rfis_rfi_id_replies_post/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementScheduleCompanyScheduleResources","doc":"API calls for all endpoints tagged `ProjectManagementScheduleCompanyScheduleResources`.","ref":"Procore.Api.ProjectManagementScheduleCompanyScheduleResources.html"},{"type":"function","title":"Procore.Api.ProjectManagementScheduleCompanyScheduleResources.rest_v10_companies_company_id_schedule_resources_get/4","doc":"List Schedule Resources\nReturns all resources for a given company","ref":"Procore.Api.ProjectManagementScheduleCompanyScheduleResources.html#rest_v10_companies_company_id_schedule_resources_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementScheduleCompanyScheduleResources.rest_v10_companies_company_id_schedule_resources_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[name]\"` ([String.t]): Filter item(s) with matching name.","ref":"Procore.Api.ProjectManagementScheduleCompanyScheduleResources.html#rest_v10_companies_company_id_schedule_resources_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementScheduleCompanyScheduleResources.rest_v10_companies_company_id_schedule_resources_get/4","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementScheduleCompanyScheduleResources.html#rest_v10_companies_company_id_schedule_resources_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions","doc":"API calls for all endpoints tagged `ProjectManagementSpecificationsSpecificationSectionDivisions`.","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.html"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.rest_v10_specification_section_divisions_get/4","doc":"List Specification Section Divisions for a Project","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.html#rest_v10_specification_section_divisions_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.rest_v10_specification_section_divisions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.html#rest_v10_specification_section_divisions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.rest_v10_specification_section_divisions_get/4","doc":"- `{:ok, [%SpecificationSectionDivision{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.html#rest_v10_specification_section_divisions_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.rest_v10_specification_section_divisions_post/3","doc":"Create Specification Section Division for a Project","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.html#rest_v10_specification_section_divisions_post/3"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.rest_v10_specification_section_divisions_post/3","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `opts` (keyword): Optional parameters\n  - `:project_id` (integer()): Unique identifier for the project.\n  - `:body` (RestV10SpecificationSectionDivisionsPostRequest):","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.html#rest_v10_specification_section_divisions_post/3-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.rest_v10_specification_section_divisions_post/3","doc":"- `{:ok, Procore.Model.SpecificationSectionDivision.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionDivisions.html#rest_v10_specification_section_divisions_post/3-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisionEmails","doc":"API calls for all endpoints tagged `ProjectManagementSpecificationsSpecificationSectionRevisionEmails`.","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisionEmails.html"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisionEmails.rest_v10_projects_project_id_specification_section_revision_emails_id_send_email_post/6","doc":"Send email\nSends an email with an associated Specification Section Revision. The text of the email and recipients are specified in the request body.","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisionEmails.html#rest_v10_projects_project_id_specification_section_revision_emails_id_send_email_post/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisionEmails.rest_v10_projects_project_id_specification_section_revision_emails_id_send_email_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the Specification Section Revision to email\n- `rest_v10_projects_project_id_specification_section_revision_emails_id_send_email_post_request` (RestV10ProjectsProjectIdSpecificationSectionRevisionEmailsIdSendEmailPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisionEmails.html#rest_v10_projects_project_id_specification_section_revision_emails_id_send_email_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisionEmails.rest_v10_projects_project_id_specification_section_revision_emails_id_send_email_post/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisionEmails.html#rest_v10_projects_project_id_specification_section_revision_emails_id_send_email_post/6-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions","doc":"API calls for all endpoints tagged `ProjectManagementSpecificationsSpecificationSectionRevisions`.","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.html"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.rest_v10_specification_section_revisions_get/5","doc":"List Specification Section Revisions for a Specification Section Division","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.html#rest_v10_specification_section_revisions_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.rest_v10_specification_section_revisions_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `specification_section_division_id` (integer()): \n- `opts` (keyword): Optional parameters\n  - `:all_revisions` (String.t): By default, only current specification section revisions are returned. Set this parameter to \"true\" to return all specification section revisions.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.html#rest_v10_specification_section_revisions_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.rest_v10_specification_section_revisions_get/5","doc":"- `{:ok, [%SpecificationSectionRevision{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.html#rest_v10_specification_section_revisions_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.rest_v10_specification_section_revisions_id_get/5","doc":"Show Specification Section Revision","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.html#rest_v10_specification_section_revisions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.rest_v10_specification_section_revisions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Specification section revision ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.html#rest_v10_specification_section_revisions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.rest_v10_specification_section_revisions_id_get/5","doc":"- `{:ok, Procore.Model.RestV10SpecificationSectionRevisionsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSectionRevisions.html#rest_v10_specification_section_revisions_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSections","doc":"API calls for all endpoints tagged `ProjectManagementSpecificationsSpecificationSections`.","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.html"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.rest_v10_specification_sections_get/4","doc":"List Specification Sections\nList the Specification Sections in a Project","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.html#rest_v10_specification_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSections.rest_v10_specification_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:sort` (String.t): Sorts the specification sections by number Ex. 'sort=number' Use 'sort=-number' to sort in descending order","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.html#rest_v10_specification_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSections.rest_v10_specification_sections_get/4","doc":"- `{:ok, [%RestV10SpecificationSectionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.html#rest_v10_specification_sections_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.rest_v10_specification_sections_post/4","doc":"Create Specification Section for a Project","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.html#rest_v10_specification_sections_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSections.rest_v10_specification_sections_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10SpecificationSectionsPostRequest):","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.html#rest_v10_specification_sections_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSections.rest_v10_specification_sections_post/4","doc":"- `{:ok, Procore.Model.RestV10SpecificationSectionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSections.html#rest_v10_specification_sections_post/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSets","doc":"API calls for all endpoints tagged `ProjectManagementSpecificationsSpecificationSets`.","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_get/4","doc":"List Specification Sets\nList the Specification Sets in a Project","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): The ID of the project for the new set\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_id_get/5","doc":"Show Specification Set\nShow a specific Specification Set","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): ID of the specification section to show\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_post/5","doc":"Create Specification Set\nCreate a new Specification Set in the specified project","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): The ID of the project for the new set\n- `rest_v10_projects_project_id_specification_sets_post_request` (RestV10ProjectsProjectIdSpecificationSetsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationSets.rest_v10_projects_project_id_specification_sets_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationSets.html#rest_v10_projects_project_id_specification_sets_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads","doc":"API calls for all endpoints tagged `ProjectManagementSpecificationsSpecificationUploads`.","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.html"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.rest_v10_projects_project_id_specification_uploads_get/4","doc":"List Specification Uploads\nList the Specification Uploads in a Project","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.html#rest_v10_projects_project_id_specification_uploads_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationUploads.rest_v10_projects_project_id_specification_uploads_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): The ID of the project to upload to\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified status.\n  - `:\"filters[specification_set_id]\"` ([integer()]): Return items with the specified set ID.","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.html#rest_v10_projects_project_id_specification_uploads_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationUploads.rest_v10_projects_project_id_specification_uploads_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSpecificationUploadsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.html#rest_v10_projects_project_id_specification_uploads_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.rest_v10_projects_project_id_specification_uploads_post/5","doc":"Create specification upload\nUpload Specifications that will be pending review","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.html#rest_v10_projects_project_id_specification_uploads_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSpecificationsSpecificationUploads.rest_v10_projects_project_id_specification_uploads_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): The ID of the project to upload to\n- `rest_v10_projects_project_id_specification_uploads_post_request` (RestV10ProjectsProjectIdSpecificationUploadsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.html#rest_v10_projects_project_id_specification_uploads_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSpecificationsSpecificationUploads.rest_v10_projects_project_id_specification_uploads_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdSpecificationUploadsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSpecificationsSpecificationUploads.html#rest_v10_projects_project_id_specification_uploads_post/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSubmittalsDistributedSubmittals","doc":"API calls for all endpoints tagged `ProjectManagementSubmittalsDistributedSubmittals`.","ref":"Procore.Api.ProjectManagementSubmittalsDistributedSubmittals.html"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsDistributedSubmittals.rest_v10_projects_project_id_submittal_logs_id_close_and_distribute_patch/5","doc":"Close and Distribute a Submittal Log\nClose and Distribute the specified Submittal Log.","ref":"Procore.Api.ProjectManagementSubmittalsDistributedSubmittals.html#rest_v10_projects_project_id_submittal_logs_id_close_and_distribute_patch/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsDistributedSubmittals.rest_v10_projects_project_id_submittal_logs_id_close_and_distribute_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequest):","ref":"Procore.Api.ProjectManagementSubmittalsDistributedSubmittals.html#rest_v10_projects_project_id_submittal_logs_id_close_and_distribute_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsDistributedSubmittals.rest_v10_projects_project_id_submittal_logs_id_close_and_distribute_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsDistributedSubmittals.html#rest_v10_projects_project_id_submittal_logs_id_close_and_distribute_patch/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSubmittalsSubmittalApprovers","doc":"API calls for all endpoints tagged `ProjectManagementSubmittalsSubmittalApprovers`.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalApprovers.html"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittalApprovers.rest_v10_submittal_approvers_id_patch/7","doc":"Update Submittal Approver\nUpdate Submittal Approver for the specified Submittal","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalApprovers.html#rest_v10_submittal_approvers_id_patch/7"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittalApprovers.rest_v10_submittal_approvers_id_patch/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Submittal Approver ID\n- `project_id` (integer()): Unique identifier for the project.\n- `submittal_id` (integer()): Submittal ID\n- `rest_v10_submittal_approvers_id_patch_request` (RestV10SubmittalApproversIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:send_emails` (boolean()): Designates whether or not emails will be sent (default false)","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalApprovers.html#rest_v10_submittal_approvers_id_patch/7-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittalApprovers.rest_v10_submittal_approvers_id_patch/7","doc":"- `{:ok, [%RestV10SubmittalApproversIdPatch200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalApprovers.html#rest_v10_submittal_approvers_id_patch/7-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs","doc":"API calls for all endpoints tagged `ProjectManagementSubmittalsSubmittalLogs`.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.html"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.rest_v10_submittal_logs_get/4","doc":"List Submittals\nThis is a deprecated endpoint. Please use /submittals endpoint.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.html#rest_v10_submittal_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittalLogs.rest_v10_submittal_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[approved_id]\"` (String.t): \n  - `:\"filters[ball_in_court]\"` (String.t): \n  - `:\"filters[date_range]\"` (String.t): \n  - `:\"filters[due_by]\"` (Date.t): \n  - `:\"filters[end_date]\"` (Date.t): \n  - `:\"filters[include_sublocations]\"` (boolean()): Use together with `filters[location_id]` \n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[only_current_revision]\"` (integer()): \n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[received_from_id]\"` (integer()): Received From ID\n  - `:\"filters[response]\"` (String.t): \n  - `:\"filters[responsible_contractor_id]\"` (integer()): Responsible Contractor ID\n  - `:\"filters[spec_division]\"` (String.t): \n  - `:\"filters[spec_section_id]\"` (String.t): \n  - `:\"filters[start_date]\"` (Date.t): \n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[submittal_type]\"` (String.t): \n  - `:\"filters[submittal_package_id]\"` ([integer()]): Array of Submittal Package IDs. Returns item(s) associated with the specified Submittal Package IDs. A single integer value is also accepted.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.html#rest_v10_submittal_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittalLogs.rest_v10_submittal_logs_get/4","doc":"- `{:ok, [%RestV10SubmittalLogsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.html#rest_v10_submittal_logs_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.rest_v10_submittal_logs_id_get/5","doc":"Show Submittal\nThis is a deprecated endpoint. Please use /submittals/{id} endpoint.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.html#rest_v10_submittal_logs_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittalLogs.rest_v10_submittal_logs_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of Submittal\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.html#rest_v10_submittal_logs_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittalLogs.rest_v10_submittal_logs_id_get/5","doc":"- `{:ok, Procore.Model.RestV10SubmittalLogsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalLogs.html#rest_v10_submittal_logs_id_get/5-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSubmittalsSubmittalPackages","doc":"API calls for all endpoints tagged `ProjectManagementSubmittalsSubmittalPackages`.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalPackages.html"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittalPackages.rest_v10_projects_project_id_submittal_packages_get/4","doc":"List Submittal Packages on a project\nReturn a list of all Submittal Packages from a specified Project.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalPackages.html#rest_v10_projects_project_id_submittal_packages_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittalPackages.rest_v10_projects_project_id_submittal_packages_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalPackages.html#rest_v10_projects_project_id_submittal_packages_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittalPackages.rest_v10_projects_project_id_submittal_packages_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfSubmittalPackage{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalPackages.html#rest_v10_projects_project_id_submittal_packages_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses","doc":"API calls for all endpoints tagged `ProjectManagementSubmittalsSubmittalResponses`.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_projects_project_id_submittal_responses_get/4","doc":"List Submittal Responses\nList Submittal Responses for the specified Project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_projects_project_id_submittal_responses_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_projects_project_id_submittal_responses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_projects_project_id_submittal_responses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_projects_project_id_submittal_responses_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_projects_project_id_submittal_responses_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_projects_project_id_submittal_responses_post/4","doc":"Create Submittal Response\nCreate a Submittal Response for the specified Project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_projects_project_id_submittal_responses_post/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_projects_project_id_submittal_responses_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (RestV10ProjectsProjectIdSubmittalResponsesPostRequest):","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_projects_project_id_submittal_responses_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_projects_project_id_submittal_responses_post/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_projects_project_id_submittal_responses_post/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_submittal_responses_get/4","doc":"List Submittal Responses\nList Submittal Responses for the specified Project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_submittal_responses_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_submittal_responses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_submittal_responses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittalResponses.rest_v10_submittal_responses_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittalResponses.html#rest_v10_submittal_responses_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementSubmittalsSubmittals","doc":"API calls for all endpoints tagged `ProjectManagementSubmittalsSubmittals`.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_approver_id_get/4","doc":"List Filter Options for Approvers\nReturns all Filter Options for Approvers defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_approver_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_approver_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_approver_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_approver_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_approver_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_ball_in_court_id_get/4","doc":"List Filter Options for Ball in Court\nReturns all Filter Options for Ball in Court defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_ball_in_court_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_ball_in_court_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_ball_in_court_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_ball_in_court_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_ball_in_court_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_created_by_id_get/4","doc":"List Filter Options for Created By\nReturns all Filter Options for Created By defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_created_by_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_created_by_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_created_by_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_created_by_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsCreatedByIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_created_by_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_current_revision_get/4","doc":"List Filter Options for Current Revision\nReturns all Filter Options for Current Revision defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_current_revision_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_current_revision_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_current_revision_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_current_revision_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsCurrentRevisionGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_current_revision_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_division_get/4","doc":"List Filter Options for Specification Division\nReturns all Filter Options for Specification Division defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_division_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_division_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_division_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_division_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsDivisionGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_division_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_get/4","doc":"List available Submittal filters\nThe Submittal Filter Options endpoint lists all endpoints for specific filter options","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_location_id_get/4","doc":"List Filter Options for Location\nReturns all Filter Options for Location defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_location_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_location_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_location_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_location_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsLocationIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_location_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_private_get/4","doc":"List Filter Options for Private\nReturns all Filter Options for Private defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_private_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_private_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_private_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_private_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsPrivateGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_private_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_received_from_id_get/4","doc":"List Filter Options for Received From\nReturns all Filter Options for Received From defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_received_from_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_received_from_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_received_from_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_received_from_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_received_from_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_response_id_get/4","doc":"List Filter Options for Submittal Response\nReturns all Filter Options for Submittal Response defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_response_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_response_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_response_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_response_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsResponseIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_response_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_responsible_contractor_id_get/4","doc":"List Filter Options for Responsible Contractor\nReturns all Filter Options for Responsible Contractor defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_responsible_contractor_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_responsible_contractor_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_responsible_contractor_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_responsible_contractor_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsResponsibleContractorIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_responsible_contractor_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_specification_section_id_get/4","doc":"List Filter Options for Specification Section\nReturns all Filter Options for Specification Section defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_specification_section_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_specification_section_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_specification_section_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_specification_section_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsSpecificationSectionIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_specification_section_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_status_id_get/4","doc":"List Filter Options for Submittal Status\nReturns all Filter Options for Submittal Status defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_status_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_status_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_status_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_status_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsStatusIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_status_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_sub_job_id_get/4","doc":"List Filter Options for Submittal Sub Job\nReturns all Filter Options for Submittal Sub Job defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_sub_job_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_sub_job_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_sub_job_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_sub_job_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsStatusIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_sub_job_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_submittal_manager_id_get/4","doc":"List Filter Options for Submittal Manager\nReturns all Filter Options for Submittal Manager defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_submittal_manager_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_submittal_manager_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_submittal_manager_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_submittal_manager_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_submittal_manager_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_submittal_package_id_get/4","doc":"List Filter Options for Submittal Package\nReturns all Filter Options for Submittal Package defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_submittal_package_id_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_submittal_package_id_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_submittal_package_id_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_submittal_package_id_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsSubmittalPackageIdGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_submittal_package_id_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_type_get/4","doc":"List Filter Options for Type\nReturns all Filter Options for Type defined for the project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_type_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_type_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_type_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_filter_options_type_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdSubmittalsFilterOptionsTypeGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_filter_options_type_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_get/4","doc":"List Submittals on a project\nReturn a list of all Submittals from a specified Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint. See [Downloading attachments with markup](https://developers.procore.com/reference/document-markup#show-or-create-document-markup-downloadable-pdf).","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[ball_in_court_id]\"` (integer()): User ID. Return item(s) where the specified User ID is the Ball in Court.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[received_from_id]\"` (integer()): Received From ID\n  - `:\"filters[responsible_contractor_id]\"` (integer()): Responsible Contractor ID\n  - `:\"filters[specification_section_id]\"` ([integer()]): Array of Specification Section IDs. A single Specification Section ID is also accepted.\n  - `:\"filters[approver_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are in the approver list. A single integer is also accepted.\n  - `:\"filters[current_revision]\"` (boolean()): Default false. If true, only current revisions are shown. If false, all submittals are shown, regardless of whether or not it is the current revision.\n  - `:\"filters[division]\"` ([integer()]): Array of Divisions to filter on. A Division is the first two digits from the Specification Section Number. A single Division is also accepted.\n  - `:\"filters[location_id]\"` ([integer()]): Array of Location IDs. A single Location ID is also accepted.\n  - `:\"filters[submittal_manager_id]\"` ([integer()]): Array of Submittal Manager IDs. A single Submittal Manager ID is also accepted.\n  - `:\"filters[submittal_package_id]\"` ([integer()]): Array of Submittal Package IDs. Returns item(s) associated with the specified Submittal Package IDs. A single integer value is also accepted.\n  - `:\"filters[response_id]\"` ([integer()]): Array of Response IDs. A single Response ID is also accepted.\n  - `:\"filters[status_id]\"` ([integer()]): Array of Status IDs. A single Status ID is also accepted.\n  - `:\"filters[type]\"` ([String.t]): Array of Submittal Types. A single Submittal Type is also accepted.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_get/5","doc":"Show Submittal\nReturn detailed information on the specified Submittal. See [Downloading attachments with markup](https://developers.procore.com/reference/document-markup#show-or-create-document-markup-downloadable-pdf).","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_patch/6","doc":"Update Submittal\nUpdate the specified Submittal.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `rest_v11_projects_project_id_submittals_post_request` (RestV11ProjectsProjectIdSubmittalsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:send_emails` (boolean()): Designates whether or not emails will be sent (default false)","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_revisions_get/5","doc":"Get Revisions\nGet the revision history of a submittal. Returns an array of submittals.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_revisions_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_revisions_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_revisions_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_revisions_get/5","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_revisions_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_workflow_data_get/5","doc":"Get Workflow Data\nReturns attributes related to submittal workflow state","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_workflow_data_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_workflow_data_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_workflow_data_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_id_workflow_data_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_id_workflow_data_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_next_available_number_get/4","doc":"Get Next Available Number\nReturns the next available number. See Get Next Available Number By Spec Section if number submittals by spec section is enabled.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_next_available_number_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_next_available_number_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_next_available_number_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_next_available_number_get/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_next_available_number_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_next_available_number_spec_section_id_get/5","doc":"Get Next Available Number By Spec Section\nReturns the next available number and next spec section number in the project if numbers submittals by spec section is enabled.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_next_available_number_spec_section_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_next_available_number_spec_section_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `spec_section_id` (integer()): Spec Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_next_available_number_spec_section_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_next_available_number_spec_section_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_next_available_number_spec_section_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_post/5","doc":"Create Submittal\nCreate a new Submittal associated with the specified Project.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v11_projects_project_id_submittals_post_request` (RestV11ProjectsProjectIdSubmittalsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:send_emails` (boolean()): Designates whether or not emails will be sent (default false)","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_recycle_bin_get/4","doc":"List of deleted Submittals\nThe Submittals endpoint returns all deleted Submittals in a project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_recycle_bin_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_recycle_bin_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[ball_in_court_id]\"` (integer()): User ID. Return item(s) where the specified User ID is the Ball in Court.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[received_from_id]\"` (integer()): Received From ID\n  - `:\"filters[responsible_contractor_id]\"` (integer()): Responsible Contractor ID\n  - `:\"filters[specification_section_id]\"` ([integer()]): Array of Specification Section IDs. A single Specification Section ID is also accepted.\n  - `:\"filters[approver_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are in the approver list. A single integer is also accepted.\n  - `:\"filters[current_revision]\"` (boolean()): Default false. If true, only current revisions are shown. If false, all submittals are shown, regardless of whether or not it is the current revision.\n  - `:\"filters[division]\"` ([integer()]): Array of Divisions to filter on. A Division is the first two digits from the Specification Section Number. A single Division is also accepted.\n  - `:\"filters[location_id]\"` ([integer()]): Array of Location IDs. A single Location ID is also accepted.\n  - `:\"filters[submittal_manager_id]\"` ([integer()]): Array of Submittal Manager IDs. A single Submittal Manager ID is also accepted.\n  - `:\"filters[submittal_package_id]\"` ([integer()]): Array of Submittal Package IDs. Returns item(s) associated with the specified Submittal Package IDs. A single integer value is also accepted.\n  - `:\"filters[response_id]\"` ([integer()]): Array of Response IDs. A single Response ID is also accepted.\n  - `:\"filters[status_id]\"` ([integer()]): Array of Status IDs. A single Status ID is also accepted.\n  - `:\"filters[type]\"` ([String.t]): Array of Submittal Types. A single Submittal Type is also accepted.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_recycle_bin_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_projects_project_id_submittals_recycle_bin_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_projects_project_id_submittals_recycle_bin_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_submittal_associated_attachments_get/4","doc":"List Submittal Associated Attachments\nList Submittal Associated Attachments for the specified Project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_submittal_associated_attachments_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_submittal_associated_attachments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:view` (String.t): view for which you are exporting","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_submittal_associated_attachments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v10_submittal_associated_attachments_get/4","doc":"- `{:ok, [%RestV10SubmittalAssociatedAttachmentsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v10_submittal_associated_attachments_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_attachments_with_markup_get/4","doc":"List all submittal attachments with download urls\nReturns the latest version of every attachment. A polling url is provided for cases where the file can be downloaded with markup. If a polling url is provided, the file can be downloaded with the latest version of markup from this endpoint. https://developers.procore.com/reference/document-markup#show-or-create-document-markup-downloadable-pdf","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_attachments_with_markup_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_attachments_with_markup_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_attachments_with_markup_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_attachments_with_markup_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsAttachmentsWithMarkupGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_attachments_with_markup_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_check_number_get/4","doc":"Check if number and revision entered are available or duplicated.\nReturns if the number and revision entered are available or duplicated. When duplicated, it returns the next_number attribute with the next available number.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_check_number_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_check_number_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_check_number_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_check_number_get/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsCheckNumberGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_check_number_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_get/4","doc":"List Submittals on a project\nReturn a list of all Submittals from a specified Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint. See [Downloading attachments with markup](https://developers.procore.com/reference/document-markup#show-or-create-document-markup-downloadable-pdf).","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[ball_in_court_id]\"` (integer()): User ID. Return item(s) where the specified User ID is the Ball in Court.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[received_from_id]\"` (integer()): Received From ID\n  - `:\"filters[responsible_contractor_id]\"` (integer()): Responsible Contractor ID\n  - `:\"filters[specification_section_id]\"` ([integer()]): Array of Specification Section IDs. A single Specification Section ID is also accepted.\n  - `:\"filters[approver_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are in the approver list. A single integer is also accepted.\n  - `:\"filters[current_revision]\"` (boolean()): Default false. If true, only current revisions are shown. If false, all submittals are shown, regardless of whether or not it is the current revision.\n  - `:\"filters[division]\"` ([integer()]): Array of Divisions to filter on. A Division is the first two digits from the Specification Section Number. A single Division is also accepted.\n  - `:\"filters[location_id]\"` ([integer()]): Array of Location IDs. A single Location ID is also accepted.\n  - `:\"filters[submittal_manager_id]\"` ([integer()]): Array of Submittal Manager IDs. A single Submittal Manager ID is also accepted.\n  - `:\"filters[submittal_package_id]\"` ([integer()]): Array of Submittal Package IDs. Returns item(s) associated with the specified Submittal Package IDs. A single integer value is also accepted.\n  - `:\"filters[response_id]\"` ([integer()]): Array of Response IDs. A single Response ID is also accepted.\n  - `:\"filters[status_id]\"` ([integer()]): Array of Status IDs. A single Status ID is also accepted.\n  - `:\"filters[type]\"` ([String.t]): Array of Submittal Types. A single Submittal Type is also accepted.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_delete/5","doc":"Delete Submittal\nDelete the specified Submittal.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_delete/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_get/5","doc":"Show Submittal\nReturn detailed information on the specified Submittal. See [Downloading attachments with markup](https://developers.procore.com/reference/document-markup#show-or-create-document-markup-downloadable-pdf).","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_patch/6","doc":"Update Submittal\nUpdate the specified Submittal.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `rest_v11_projects_project_id_submittals_post_request` (RestV11ProjectsProjectIdSubmittalsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:send_emails` (boolean()): Designates whether or not emails will be sent (default false)","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_patch/6-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_revisions_get/5","doc":"Get Revisions\nGet the revision history of a submittal. Returns an array of submittals.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_revisions_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_revisions_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_revisions_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_revisions_get/5","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_revisions_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_workflow_data_get/5","doc":"Get Workflow Data\nReturns attributes related to submittal workflow state","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_workflow_data_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_workflow_data_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_workflow_data_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_id_workflow_data_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_id_workflow_data_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_idpdf_get/5","doc":"Show Submittal in PDF format\nReturn detailed information on the specified Submittal in PDF format.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_idpdf_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_idpdf_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Submittal ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_idpdf_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_idpdf_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_idpdf_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_next_available_number_get/4","doc":"Get Next Available Number\nReturns the next available number. See Get Next Available Number By Spec Section if number submittals by spec section is enabled.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_next_available_number_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_next_available_number_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_next_available_number_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_next_available_number_get/4","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_next_available_number_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_next_available_number_spec_section_id_get/5","doc":"Get Next Available Number By Spec Section\nReturns the next available number and next spec section number in the project if numbers submittals by spec section is enabled.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_next_available_number_spec_section_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_next_available_number_spec_section_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `spec_section_id` (integer()): Spec Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_next_available_number_spec_section_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_next_available_number_spec_section_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_next_available_number_spec_section_id_get/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_post/5","doc":"Create Submittal\nCreate a new Submittal associated with the specified Project.","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_post/5"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v11_projects_project_id_submittals_post_request` (RestV11ProjectsProjectIdSubmittalsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:send_emails` (boolean()): Designates whether or not emails will be sent (default false)","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_post/5-returns"},{"type":"function","title":"Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_recycle_bin_get/4","doc":"List of deleted Submittals\nThe Submittals endpoint returns all deleted Submittals in a project","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_recycle_bin_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_recycle_bin_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[ball_in_court_id]\"` (integer()): User ID. Return item(s) where the specified User ID is the Ball in Court.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[received_from_id]\"` (integer()): Received From ID\n  - `:\"filters[responsible_contractor_id]\"` (integer()): Responsible Contractor ID\n  - `:\"filters[specification_section_id]\"` ([integer()]): Array of Specification Section IDs. A single Specification Section ID is also accepted.\n  - `:\"filters[approver_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are in the approver list. A single integer is also accepted.\n  - `:\"filters[current_revision]\"` (boolean()): Default false. If true, only current revisions are shown. If false, all submittals are shown, regardless of whether or not it is the current revision.\n  - `:\"filters[division]\"` ([integer()]): Array of Divisions to filter on. A Division is the first two digits from the Specification Section Number. A single Division is also accepted.\n  - `:\"filters[location_id]\"` ([integer()]): Array of Location IDs. A single Location ID is also accepted.\n  - `:\"filters[submittal_manager_id]\"` ([integer()]): Array of Submittal Manager IDs. A single Submittal Manager ID is also accepted.\n  - `:\"filters[submittal_package_id]\"` ([integer()]): Array of Submittal Package IDs. Returns item(s) associated with the specified Submittal Package IDs. A single integer value is also accepted.\n  - `:\"filters[response_id]\"` ([integer()]): Array of Response IDs. A single Response ID is also accepted.\n  - `:\"filters[status_id]\"` ([integer()]): Array of Status IDs. A single Status ID is also accepted.\n  - `:\"filters[type]\"` ([String.t]): Array of Submittal Types. A single Submittal Type is also accepted.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_recycle_bin_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementSubmittalsSubmittals.rest_v11_projects_project_id_submittals_recycle_bin_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementSubmittalsSubmittals.html#rest_v11_projects_project_id_submittals_recycle_bin_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementTimecardTimeTypes","doc":"API calls for all endpoints tagged `ProjectManagementTimecardTimeTypes`.","ref":"Procore.Api.ProjectManagementTimecardTimeTypes.html"},{"type":"function","title":"Procore.Api.ProjectManagementTimecardTimeTypes.rest_v10_timecard_time_types_get/4","doc":"List Timecard Time Types\nReturn a list of all Timecard Time Types for a specified Project.","ref":"Procore.Api.ProjectManagementTimecardTimeTypes.html#rest_v10_timecard_time_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementTimecardTimeTypes.rest_v10_timecard_time_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.ProjectManagementTimecardTimeTypes.html#rest_v10_timecard_time_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementTimecardTimeTypes.rest_v10_timecard_time_types_get/4","doc":"- `{:ok, [%TimecardTimeType1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementTimecardTimeTypes.html#rest_v10_timecard_time_types_get/4-returns"},{"type":"module","title":"Procore.Api.ProjectManagementTimecardTimecards","doc":"API calls for all endpoints tagged `ProjectManagementTimecardTimecards`.","ref":"Procore.Api.ProjectManagementTimecardTimecards.html"},{"type":"function","title":"Procore.Api.ProjectManagementTimecardTimecards.rest_v10_companies_company_id_timecard_time_types_get/4","doc":"List Timecard Time Types\nReturn a list of all Timecard Time Types for a specified Company.","ref":"Procore.Api.ProjectManagementTimecardTimecards.html#rest_v10_companies_company_id_timecard_time_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementTimecardTimecards.rest_v10_companies_company_id_timecard_time_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementTimecardTimecards.html#rest_v10_companies_company_id_timecard_time_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementTimecardTimecards.rest_v10_companies_company_id_timecard_time_types_get/4","doc":"- `{:ok, [%TimecardTimeType4{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementTimecardTimecards.html#rest_v10_companies_company_id_timecard_time_types_get/4-returns"},{"type":"function","title":"Procore.Api.ProjectManagementTimecardTimecards.rest_v10_companies_company_id_timecard_time_types_id_patch/6","doc":"Update Timecard Time Type\nReturn an update Timecard Time Type for a specified Company.","ref":"Procore.Api.ProjectManagementTimecardTimecards.html#rest_v10_companies_company_id_timecard_time_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.ProjectManagementTimecardTimecards.rest_v10_companies_company_id_timecard_time_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Id of the Timecard Time Type\n- `timecard_time_type_body` (TimecardTimeTypeBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.ProjectManagementTimecardTimecards.html#rest_v10_companies_company_id_timecard_time_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.ProjectManagementTimecardTimecards.rest_v10_companies_company_id_timecard_time_types_id_patch/6","doc":"- `{:ok, Procore.Model.TimecardTimeType4.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.ProjectManagementTimecardTimecards.html#rest_v10_companies_company_id_timecard_time_types_id_patch/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanApproverSignature`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_delete/5","doc":"Delete Action Plan Approver Signature\nDelete an Action Plan Approver Signature","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_approver_id` (integer()): Action Plan Approver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_get/5","doc":"Show Action Plan Approver Signature\nGet the details of an Action Plan Approver Signature","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_approver_id` (integer()): Action Plan Approver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_post/5","doc":"Create Action Plan Approver Signature\nCreate a single Action Plan Approver Signature. Note that only one of `attachment` or `attachment_string` may be passed when creating a signature, not both.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_approver_id` (integer()): Action Plan Approver ID\n- `opts` (keyword): Optional parameters\n  - `:signature` (Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature.t):","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApproverSignature.html#rest_v10_projects_project_id_action_plans_plan_approvers_plan_approver_id_signature_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanApprovers","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanApprovers`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApprovers.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanApprovers.rest_v10_projects_project_id_action_plans_plan_approvers_get/4","doc":"List Action Plan Approvers\nReturns all Action Plan Approvers for a given Project","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApprovers.html#rest_v10_projects_project_id_action_plans_plan_approvers_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanApprovers.rest_v10_projects_project_id_action_plans_plan_approvers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApprovers.html#rest_v10_projects_project_id_action_plans_plan_approvers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanApprovers.rest_v10_projects_project_id_action_plans_plan_approvers_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanApprovers.html#rest_v10_projects_project_id_action_plans_plan_approvers_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanItemAssigneeSignature`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_delete/5","doc":"Delete Action Plan Item Assignee Signature\nDelete an Action Plan Item Assignee Signature","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_item_assignee_id` (integer()): Action Plan Item Assignee ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_get/5","doc":"Show Action Plan Item Assignee Signature\nGet the details of an Action Plan Item Assignee Signature","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_item_assignee_id` (integer()): Action Plan Item Assignee ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_post/5","doc":"Create Action Plan Item Assignee Signature\nCreate a single Action Plan Item Assignee Signature. Note that only one of `attachment` or `attachment_string` may be passed when creating a signature, not both.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_item_assignee_id` (integer()): Action Plan Item Assignee ID\n- `opts` (keyword): Optional parameters\n  - `:signature` (Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature.t):","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssigneeSignature.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_plan_item_assignee_id_signature_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanItemAssignees`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_create_post/5","doc":"Bulk Create Action Plan Item Assignees\nCreates multiple Action Plan Assignees","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_create_post/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_update_patch/5","doc":"Bulk Update Action Plan Item Assignees\nUpdates multiple Action Plan Assignees","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_update_patch_request` (RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_update_patch/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_get/4","doc":"List Action Plan Item Assignees\nList of all Action Plan Item Assignees","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_delete/5","doc":"Delete Action Plan Item Assignee\nDelete an Action Plan Item Assignee","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item Assignee ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_get/5","doc":"Show Action Plan Item Assignee\nDetails of a single Action Plan Item Assignee","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item Assignee ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_patch/6","doc":"Update Action Plan Item Assignee\nUpdates a single Action Plan Item Assignee","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item Assignee ID\n- `rest_v10_projects_project_id_action_plans_plan_item_assignees_id_patch_request` (RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_post/5","doc":"Create Action Plan Item Assignee\nCreate an Action Plan Item Assignee. NOTE: Though both body `party_id` and `role` parameters are marked as required below, at least one of the two needs to be passed in (i.e., if you pass in a `role` then you do not need to also pass in a `party_id`, and vice versa, though you can pass in both parameters)","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_item_assignees_post_request` (RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_action_plans_plan_item_assignees_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_item_assignees_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_get/4","doc":"List Recycled Action Plan Item Assignees\nList of all Recycled Action Plan Item Assignees","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_id_get/5","doc":"Show Recycled Action Plan Item Assignee\nDetails of a single Recycled Action Plan Item Assignee","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item Assignee ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemAssigneesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItemAssignees.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_item_assignees_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanItems`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_bulk_update_patch/5","doc":"Bulk Update Action Plan Item\nUpdates multiple Action Plan Items","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_items_bulk_update_patch_request` (RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_bulk_update_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_create_from_item_post/5","doc":"Create a copy of the Action Plan Item in the Item's Section.\nCreate a copy of the Action Plan Item in the Item's Section.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_create_from_item_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_create_from_item_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_items_create_from_item_post_request` (RestV10ProjectsProjectIdActionPlansPlanItemsCreateFromItemPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_create_from_item_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_create_from_item_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_create_from_item_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_get/4","doc":"List Action Plan Items\nReturns all Action Plan Items for a given Project","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_section_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Section(s).\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[due_at]\"` (DateTime.t): Return item(s) due within the specified date range.\n  - `:\"filters[assignee_party_id_or_role_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Assignee party ID(s) or role ID(s)\n  - `:\"filters[attachment_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference attachment ID(s)\n  - `:\"filters[drawing_revision_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference drawing revision ID(s)\n  - `:\"filters[file_version_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference file version ID(s)\n  - `:\"filters[plan_test_record_request_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Test Record Request ID(s).\n  - `:\"filters[specification_section_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference specification section id ID(s)\n  - `:\"filters[verification_method_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Assignee verification method ID(s)\n  - `:\"filters[generic_tool_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference Generic Tool Item ID(s)\n  - `:\"filters[form_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference Form ID(s)\n  - `:\"filters[meeting_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference Meeting ID(s)\n  - `:\"filters[observation_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference Observation Item ID(s)\n  - `:\"filters[submittal_log_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan reference submittal log ID(s)\n  - `:\"filters[record_checklist_template_id]\"` (integer()): Return item(s) with the specified checklist template id.\n  - `:\"filters[record_generic_tool_id]\"` (integer()): Return item(s) with the specified Generic Tool ID.\n  - `:\"filters[reference_type]\"` ([String.t]): Return item(s) associated with the specified Action Plan reference type(s)","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_delete/5","doc":"Delete Action Plan Item\nDeletes an Action Plan Item","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_get/5","doc":"Show Action Plan Item\nReturns an Action Plan Item","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_move_post/6","doc":"Move Action Plan Item within or across Sections\nMove Action Plan Item within or across Action Plan Sections.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_move_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_move_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item ID\n- `plan_section_id` (integer()): ID of the Action Plan Section the Item will move within or to\n- `opts` (keyword): Optional parameters\n  - `:next_plan_item_id` (integer()): ID of the Action Plan Item that will follow the newly moved Item. When moving an Item to the last position of the Section, do not provide this parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_move_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_move_post/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_move_post/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_patch/6","doc":"Update Action Plan Item\nUpdates an Action Plan Item","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item ID\n- `rest_v10_projects_project_id_action_plans_plan_items_id_patch_request` (RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_post/5","doc":"Create Action Plan Item\nCreates an Action Plan Item for a given Action Plan Section.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_items_post_request` (RestV10ProjectsProjectIdActionPlansPlanItemsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_action_plans_plan_items_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_action_plans_plan_items_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_get/4","doc":"List Recycled Action Plan Items\nReturns all Recycled Action Plan Items for a given Project","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_section_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Section(s).\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_id_get/5","doc":"Show Recycled Action Plan Item\nReturns a Specific Recycled Action Plan Item for a given Project","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanItems.rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanItems.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_items_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanParties","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanParties`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanParties.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanParties.rest_v10_projects_project_id_action_plans_parties_get/4","doc":"List Action Plan Parties\nList of all project Action Plan Parties","ref":"Procore.Api.QualitySafetyActionPlansActionPlanParties.html#rest_v10_projects_project_id_action_plans_parties_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanParties.rest_v10_projects_project_id_action_plans_parties_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction of sorting param (name) is in desc order of full name\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansActionPlanParties.html#rest_v10_projects_project_id_action_plans_parties_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanParties.rest_v10_projects_project_id_action_plans_parties_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPartiesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanParties.html#rest_v10_projects_project_id_action_plans_parties_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanReceiverSignature`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_delete/5","doc":"Delete Action Plan Receiver Signature\nDelete an Action Plan Receiver Signature","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_receiver_id` (integer()): Action Plan Receiver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_get/5","doc":"Show Action Plan Receiver Signature\nGet the details of an Action Plan Receiver Signature","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_receiver_id` (integer()): Action Plan Receiver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_post/5","doc":"Create Action Plan Receiver Signature\nCreate a single Action Plan Receiver Signature. Note that only one of `attachment` or `attachment_string` may be passed when creating a signature, not both.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_receiver_id` (integer()): Action Plan Receiver ID\n- `opts` (keyword): Optional parameters\n  - `:signature` (Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature.t):","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceiverSignature.html#rest_v10_projects_project_id_action_plans_plan_receivers_plan_receiver_id_signature_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanReceivers","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanReceivers`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceivers.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReceivers.rest_v10_projects_project_id_action_plans_plan_receivers_get/4","doc":"List Action Plan Receivers\nReturns all Action Plan Receivers for a given Project","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceivers.html#rest_v10_projects_project_id_action_plans_plan_receivers_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReceivers.rest_v10_projects_project_id_action_plans_plan_receivers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceivers.html#rest_v10_projects_project_id_action_plans_plan_receivers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReceivers.rest_v10_projects_project_id_action_plans_plan_receivers_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReceivers.html#rest_v10_projects_project_id_action_plans_plan_receivers_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanReferences","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanReferences`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_bulk_create_post/5","doc":"Bulk Create Action Plan References\nCreates multiple Action References","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_references_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanReferencesBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_bulk_create_post/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_get/4","doc":"List Action Plan References\nList of all Action Plan References","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[plan_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Item ID(s).\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_id_delete/5","doc":"Delete Action Plan Reference\nDeletes an Action Plan Reference","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_id_get/5","doc":"Show Action Plan Reference\nReturns an Action Plan Reference","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_post/5","doc":"Create Action Plan Reference\nCreate an Action Plan Reference","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_references_post_request` (RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_action_plans_plan_references_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_action_plans_plan_references_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_get/4","doc":"List Recycled Action Plan References\nList of all Recycled Action Plan References","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[plan_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Item ID(s).\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_id_get/5","doc":"Show Recycled Action Plan Reference\nReturns a Recycled Action Plan Reference","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_references_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanSections`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_create_from_section_post/5","doc":"Create a copy of the Action Plan Section in the Action Plan of the Section.\nCreate a copy of the Action Plan Section in the Action Plan of the Section.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_create_from_section_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_create_from_section_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_sections_create_from_section_post_request` (RestV10ProjectsProjectIdActionPlansPlanSectionsCreateFromSectionPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_create_from_section_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_create_from_section_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_create_from_section_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_get/4","doc":"List Action Plan Sections\nReturns all Action Plan Sections for a given Project","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_delete/5","doc":"Delete Action Plan Section\nDeletes an Action Plan Section","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_get/5","doc":"Show Action Plan Section\nReturns an Action Plan Section","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_move_post/5","doc":"Move Action Plan Section\nMoves the Action Plan Section.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_move_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_move_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Section ID\n- `opts` (keyword): Optional parameters\n  - `:next_section_id` (integer()): ID of the Action Plan Section that will follow the newly moved Section. When moving an Action Plan Section to the last position of the Action Plan, do not provide this parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_move_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_move_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_move_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_patch/6","doc":"Update Action Plan Section\nUpdates an Action Plan Section","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Section ID\n- `rest_v10_projects_project_id_action_plans_plan_sections_id_patch_request` (RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_post/5","doc":"Create Action Plan Section\nCreates an Action Plan Section for a given Action Plan.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_sections_post_request` (RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_action_plans_plan_sections_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_action_plans_plan_sections_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_get/4","doc":"List Recycled Action Plan Sections\nReturns all Recycled Action Plan Sections for a given Project","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlanSectionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_id_get/5","doc":"Show Recycled Action Plan Section\nReturns a Recycled Action Plan Section","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanSections.rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanSectionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanSections.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_sections_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanTestRecordRequests`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_bulk_create_post/5","doc":"Bulk Create Action Plan Test Record Requests\nCreates multiple Action Test Record Requests","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_test_record_requests_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_bulk_create_post/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_get/4","doc":"List Action Plan Test Record Requests\nList of all Action Plan Test Record Requests","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[type]\"` ([String.t]): Return item(s) associated with the specified Action Plan Test Record Type(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_delete/5","doc":"Delete Action Plan Test Record Request\nDeletes an Action Plan Test Record Request","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Test Record Request ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_get/5","doc":"Show Action Plan Test Record Request\nReturns an Action Plan Test Record Request","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Test Record Request ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_post/5","doc":"Create Action Plan Test Record Request\nCreate an Action Plan Test Record Request","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_test_record_requests_post_request` (RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_test_record_requests_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_test_record_requests_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_get/4","doc":"List Recycled Action Plan Test Record Requests\nList of all Recycled Action Plan Test Record Requests","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[type]\"` ([String.t]): Return item(s) associated with the specified Action Plan Test Record Type(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_id_get/5","doc":"Show Recycled Action Plan Test Record Request\nReturns a Recycled Action Plan Test Record Request","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Test Record Request ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecordRequests.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_record_requests_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanTestRecords`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_get/4","doc":"List Action Plan Test Records\nList of all Action Plan Test Records","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[plan_test_record_request_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Test Record Request ID(s).\n  - `:\"filters[type]\"` ([String.t]): Return item(s) associated with the specified Action Plan Test Record Types.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_id_delete/5","doc":"Delete Action Plan Test Record\nDeletes an Action Plan Test Record","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Test Record ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_id_get/5","doc":"View an Action Plan Test Record\nReturns the details of an Action Plan Test Record","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Test Record ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_post/5","doc":"Create Action Plan Test Record\nCreate an Action Plan Test Record  Action Plan Test Records can have one of the following payload formats (checklist_id, form_id, generic_tool_id, meeting_id, submittal_log_id, observation_item_id, attachment) Attachment payloads must be a binary file or contain an attachment_id.  A specific Action Plan Test Record Type can only leverage its corresponding format.  *For instance, Checklist Test Records can only leverage checklist_id while Attachment/Photo Test Records can only leverage attachment.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_test_records_post_request` (RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_action_plans_plan_test_records_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_action_plans_plan_test_records_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_get/4","doc":"List Recyled Action Plan Test Records\nList of all Recycled Action Plan Test Records","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan ID(s)\n  - `:\"filters[plan_test_record_request_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Test Record Request ID(s).\n  - `:\"filters[type]\"` ([String.t]): Return item(s) associated with the specified Action Plan Test Record Type(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_id_get/5","doc":"Show Recycled Action Plan Test Record\nReturns a Recycled Action Plan Test Record","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Test Record ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanTestRecords.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_test_records_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlanVerificationMethods`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_get/4","doc":"List Action Plan Verification Methods\nList of all company Action Plan Verification Methods","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_delete/5","doc":"Delete Action Plan Verification Method\nDelete an Action Plan Verification Method","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Action Plan Verification Method ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_get/5","doc":"Show Action Plan Verification Method\nDetails of an Action Plan Verification Method","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Action Plan Verification Method ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_patch/6","doc":"Update Action Plan Verification Method\nUpdate a company Action Plan Verification Method","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Action Plan Verification Method ID\n- `rest_v10_companies_company_id_action_plans_verification_methods_id_patch_request` (RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_post/5","doc":"Create Action Plan Verification Methods\nCreate an Action Plan Verification Method for a specified company","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_action_plans_verification_methods_post_request` (RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.rest_v10_companies_company_id_action_plans_verification_methods_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlanVerificationMethods.html#rest_v10_companies_company_id_action_plans_verification_methods_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansActionPlans","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansActionPlans`.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_create_from_template_post/5","doc":"Create an Action Plan from a Plan Template.\nCreate an Action Plan from a Plan Template. In addition to creating the plan itself, this action will also create sections, items, assignees, references and test record requests from the template.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_create_from_template_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_create_from_template_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `plan_template_id` (integer()): Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_create_from_template_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_create_from_template_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlansCreateFromTemplatePost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_create_from_template_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_get/4","doc":"List Action Plans\nList of all Action Plans","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[include_sublocations]\"` (boolean()): Use together with `filters[location_id]` \n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[manager_id]\"` ([integer()]): Return item(s) with a specific Manager ID or a range of Manager ID(s).\n  - `:\"filters[plan_type_id]\"` ([integer()]): Action Plan Type ID. Returns item(s) with the specified Action Plan Type ID(s).\n  - `:\"filters[template_id]\"` ([integer()]): Return Action Plan(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_delete/5","doc":"Delete Action Plan\nDelete an Action Plan","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_get/5","doc":"Show Action Plan\nDetails of a single Action Plan","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_patch/6","doc":"Update Action Plan\nUpdate an Action Plan","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan ID\n- `rest_v10_projects_project_id_action_plans_plans_id_patch_request` (RestV10ProjectsProjectIdActionPlansPlansIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_publish_post/5","doc":"Move Action Plan into \"In Progress\"\nMove Action Plan into \"In Progress\". This will set the status of the Plan to \"in_progress\". Once in this state, only specific updates to the Plan are allowed.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_publish_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_publish_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_publish_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_publish_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_publish_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_revise_post/5","doc":"Move Action Plan back into \"Draft\"\nMove Action Plan Back into \"Draft\". This will remove approver and receiver signatures from the Plan, and set the status to \"draft\". Once in this state, the Plan is able to be updated.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_revise_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_revise_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_revise_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_id_revise_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_id_revise_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_post/5","doc":"Create Action Plan\nCreate an Action Plan","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plans_post_request` (RestV10ProjectsProjectIdActionPlansPlansPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_action_plans_plans_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_action_plans_plans_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_get/4","doc":"List Recycled Action Plan\nReturns a list of Recycled Action Plans for a given project.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[deleted_by_id]\"` ([integer()]): Return item(s) with a specific Deleted By ID or a range of Deleted By IDs.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[include_sublocations]\"` (boolean()): Use together with `filters[location_id]` \n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[manager_id]\"` ([integer()]): Return item(s) with a specific Manager ID or a range of Manager ID(s).\n  - `:\"filters[plan_type_id]\"` ([integer()]): Action Plan Type ID. Returns item(s) with the specified Action Plan Type ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_get/5","doc":"Show Recycled Action Plan\nReturns the specified Recycled Action Plan.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_restore_patch/5","doc":"Restore Recycled Action Plan\nRestores the specified Action Plan from Recycle Bin.","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansActionPlans.rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansActionPlans.html#rest_v10_projects_project_id_recycle_bin_action_plans_plans_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees`.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_create_post/5","doc":"Bulk Create Action Plan Template Item Assignees\nCreates multiple Action Plan Template Assignees","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_create_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePost200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_update_patch/5","doc":"Bulk Update Company Action Plan Template Item Assignees\nUpdates multiple Action Plan Assignees for the selected action plan items","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_update_patch_request` (RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_update_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatch200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_get/4","doc":"List Company Action Plan Template Item Assignees\nList of all Company Action Plan Template Item Assignees","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_delete/5","doc":"Delete Company Action Plan Template Item Assignee\nDelete a Company Action Plan Template Item Assignee","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Assignee ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_get/5","doc":"Show Company Action Plan Template Item Assignee\nDetails of a single Company Action Plan Template Item Assignee","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Assignee ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_patch/6","doc":"Update Company Action Plan Template Item Assignee\nUpdates a single Company Action Plan Template Item Assignee","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Assignee ID\n- `rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_patch_request` (RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_post/5","doc":"Create Company Action Plan Template Item Assignee\nCreate an Company Action Plan Template Item Assignee","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_action_plans_plan_template_item_assignees_post_request` (RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_action_plans_plan_template_item_assignees_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_action_plans_plan_template_item_assignees_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_get/4","doc":"List Recycled Company Action Plan Template Items Assignees\nReturns all Recycled Company Action Plan Template Item Assignees for a given company","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_id_get/5","doc":"Show Recycled Company Action Plan Template Items Assignee\nReturns a Specific Recycled Company Action Plan Template Item Assignee for a given company","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Action Plan Template Item Assignee ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemAssigneesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItemAssignees.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_item_assignees_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansCompanyActionPlanTemplateItems`.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_action_plans_plan_template_items_bulk_update_patch/5","doc":"Bulk Update Action Plan Template Item\nUpdates multiple Action Plan Template Items","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_action_plans_plan_template_items_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_action_plans_plan_template_items_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_action_plans_plan_template_items_bulk_update_patch_request` (RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_action_plans_plan_template_items_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_action_plans_plan_template_items_bulk_update_patch/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_action_plans_plan_template_items_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_action_plans_plan_template_items_create_from_item_post/5","doc":"Create a copy of the Action Plan Template Item in the Item's Section.\nCreate a copy of the Action Plan Template Item in the Item's Section.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_action_plans_plan_template_items_create_from_item_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_action_plans_plan_template_items_create_from_item_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_projects_project_id_action_plans_plan_template_items_create_from_item_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateItemsCreateFromItemPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_action_plans_plan_template_items_create_from_item_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_action_plans_plan_template_items_create_from_item_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_action_plans_plan_template_items_create_from_item_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_get/4","doc":"List Recycled Action Plan Template Items\nReturns all Recycled Action Plan Template Items for a given company","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_section_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Section ID(s).\n  - `:\"filters[plan_template_id]\"` (integer()): Return item(s) associated with the specified Action Plan Template ID.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_id_get/5","doc":"Show Recycled Action Plan Template Items\nReturns a Specific Recycled Action Plan Template Item for a given company","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Action Plan Template Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateItems.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_items_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansCompanyActionPlanTemplateReferences`.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_bulk_create_post/5","doc":"Bulk Create Plan Template References\nCreates multiple Plan Template References","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_action_plans_plan_template_references_bulk_create_post_request` (RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_bulk_create_post/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_get/4","doc":"List Company Action Plan Template References\nList of all Company Action Plan Template References","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[plan_template_id]\"` (integer()): Return item(s) associated with the specified Action Plan Template ID.\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_id_delete/5","doc":"Delete Company Action Plan Template Reference\nDeletes a Company Action Plan Template Reference","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_id_get/5","doc":"Show Company Action Plan Template Reference\nReturns a Company Action Plan Template Reference","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_post/5","doc":"Create Company Action Plan Template Reference\nCreate a Company Action Plan Template Reference","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `plan_template_reference` (Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_action_plans_plan_template_references_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_action_plans_plan_template_references_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_get/4","doc":"List Recycled Company Action Plan Template References\nList of all Recycled Company Action Plan Template References","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[plan_template_id]\"` (integer()): Return item(s) associated with the specified Action Plan Template ID.\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_id_get/5","doc":"Show Recycled Company Action Plan Template Reference\nReturns a Recycled Company Action Plan Template Reference","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Action Plan Template Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateReferences.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_references_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansCompanyActionPlanTemplateSections`.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_action_plans_plan_template_sections_create_from_section_post/5","doc":"Create a copy of the Action Plan Template Section in the Section's Template.\nCreate a copy of the Action Plan Template Section in the Section's Template.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_action_plans_plan_template_sections_create_from_section_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_action_plans_plan_template_sections_create_from_section_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_projects_project_id_action_plans_plan_template_sections_create_from_section_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsCreateFromSectionPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_action_plans_plan_template_sections_create_from_section_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_action_plans_plan_template_sections_create_from_section_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateSectionsCreateFromSectionPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_action_plans_plan_template_sections_create_from_section_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_get/4","doc":"List Recycled Action Plan Template Sections\nReturns all Recycled Action Plan Template Sections for a given company","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateSectionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_id_get/5","doc":"Show Recycled Action Plan Template Section\nReturns a Recycled Action Plan Template Section","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Action Plan Template Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateSectionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateSections.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_sections_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests`.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_bulk_create_post/5","doc":"Bulk Create Action Plan Template Test Record Requests\nCreates Multiple Company Action Plan Template Test Record Requests","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_bulk_create_post/5","doc":"- `{:ok, [%RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_get/4","doc":"List Company Action Plan Template Requests\nGets the list of Company Action Plan Template Test Record Requests","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Company Action Plan Template Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[type]\"` ([String.t]): Return item(s) associated with the specified Test Record Type(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_delete/5","doc":"Delete Company Action Plan Template Test Record Request\nDelete a single Company Action Plan Template Test Record Request","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template Test Record Request ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_get/5","doc":"Show Company Action Plan Template Test Record Request\nGet the details of a single Company Action Plan Template Test Record Request","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template Test Record Request ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_post/5","doc":"Create Company Action Plan Template Test Record Request\nCreates an Company Action Plan Template Test Record Request","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_post_request` (RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_action_plans_plan_template_test_record_requests_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_get/4","doc":"List Recycled Company Action Plan Template Test Record Requests\nReturns all Recycled Company Action Plan Template Test Record Requests for a given company","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[type]\"` ([String.t]): Return item(s) associated with the specified Record Type(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_id_get/5","doc":"Show Recycled Company Action Plan Template Test Record Request\nReturns a Recycled Company Action Plan Template Test Record Request","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template Test Record Request ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplateTestRecordRequests.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_template_test_record_requests_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansCompanyActionPlanTemplates`.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_get/4","doc":"List of Company Action Plan Templates\nList of all Company Action Plan Templates","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_type_id]\"` ([integer()]): Action Plan Type ID. Returns item(s) with the specified Action Plan Type ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_delete/5","doc":"Delete a Company Action Plan Templates\nDelete a Company Action Plan Template","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_get/5","doc":"Show Company Action Plan Template\nDetails of a single Company Action Plan Template","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_patch/6","doc":"Update a Company Action Plan Template\nUpdate a Company Action Plan Template","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `rest_v10_companies_company_id_action_plans_plan_templates_id_patch_request` (RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_publish_post/5","doc":"Move Company Action Plan Template into \"Published\"\nMove Company Action Plan Template into \"Published\". This will set the status of the Company Action Plan Templates to \"Published\". Once in this state, further updates to the Company Action Plan Template will be denied.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_publish_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_publish_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_publish_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_publish_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_publish_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_revise_post/5","doc":"Move Company Action Plan Template into \"In Revision\"\nMove Company Action Plan Template into \"In Revision\". This will set the status to \"in_revision\". Once in this state, the Company Action Plan Template is able to be updated.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_revise_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_revise_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_revise_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_id_revise_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_id_revise_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_post/5","doc":"Create Company Action Plan Templates\nCreate a Company Action Plan Template","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_action_plans_plan_templates_post_request` (RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_action_plans_plan_templates_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_action_plans_plan_templates_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_get/4","doc":"List Recycled Company Action Plan Templates\nReturns a list of Recycled Company Action Plan Templates for a given company.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[deleted_at]\"` (String.t): Returns item(s) deleted within the specified ISO 8601 datetime range.\n  - `:\"filters[deleted_by_id]\"` ([integer()]): Return item(s) deleted by the specified User IDs\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[type_id]\"` ([String.t]): Return item(s) with a specific Action Plan Type ID or a range of Action Plan Type IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_get/4","doc":"- `{:ok, [%RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5","doc":"Show Recycled Company Action Plan Template\nReturns the specified Recycled Company Action Plan Template.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5","doc":"Restore Recycled Company Action Plan Template\nRestores the specified Company Action Plan Template from Recycle Bin.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Plan ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v10_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_get/4","doc":"List of Company Action Plan Templates\nList of all Company Action Plan Templates","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_type_id]\"` ([integer()]): Action Plan Type ID. Returns item(s) with the specified Action Plan Type ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_get/4","doc":"- `{:ok, [%RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_delete/5","doc":"Delete a Company Action Plan Templates\nDelete a Company Action Plan Template","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_get/5","doc":"Show Company Action Plan Template\nDetails of a single Company Action Plan Template","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_patch/6","doc":"Update a Company Action Plan Template\nUpdate a Company Action Plan Template","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `rest_v11_companies_company_id_action_plans_plan_templates_id_patch_request` (RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_publish_post/5","doc":"Move Company Action Plan Template into \"Published\"\nMove Company Action Plan Template into \"Published\". This will set the status of the Company Action Plan Templates to \"Published\". Once in this state, further updates to the Company Action Plan Template will be denied.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_publish_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_publish_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_publish_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_publish_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_publish_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_revise_post/5","doc":"Move Company Action Plan Template into \"In Revision\"\nMove Company Action Plan Template into \"In Revision\". This will set the status to \"in_revision\". Once in this state, the Company Action Plan Template is able to be updated.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_revise_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_revise_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_revise_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_id_revise_post/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_id_revise_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_post/5","doc":"Create Company Action Plan Templates\nCreate a Company Action Plan Template","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v11_companies_company_id_action_plans_plan_templates_post_request` (RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_action_plans_plan_templates_post/5","doc":"- `{:ok, Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_action_plans_plan_templates_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_get/4","doc":"List Recycled Company Action Plan Templates\nReturns a list of Recycled Company Action Plan Templates for a given company.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[deleted_at]\"` (String.t): Returns item(s) deleted within the specified ISO 8601 datetime range.\n  - `:\"filters[deleted_by_id]\"` ([integer()]): Return item(s) deleted by the specified User IDs\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[type_id]\"` ([String.t]): Return item(s) with a specific Action Plan Type ID or a range of Action Plan Type IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_get/4","doc":"- `{:ok, [%RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5","doc":"Show Recycled Company Action Plan Template\nReturns the specified Recycled Company Action Plan Template.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5","doc":"Restore Recycled Company Action Plan Template\nRestores the specified Company Action Plan Template from Recycle Bin.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Plan ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTemplates.html#rest_v11_companies_company_id_recycle_bin_action_plans_plan_templates_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansCompanyActionPlanTypes`.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_get/4","doc":"List Company Action Plan Types\nList of all Company Action Plan Types for a Company","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_delete/5","doc":"Delete Company Action Plan Type\nDelete an Company Action Plan Type","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_get/5","doc":"Show Company Action Plan Type\nDetails of a Company Action Plan Type","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_patch/6","doc":"Update Company Action Plan Type\nUpdate an Company Action Plan Type","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Action Plan Type ID\n- `rest_v10_companies_company_id_action_plans_plan_types_id_patch_request` (RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_post/5","doc":"Create a Company Action Plan Type\nCreate a Company Action Plan Type for a Company","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_action_plans_plan_types_post_request` (RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.rest_v10_companies_company_id_action_plans_plan_types_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansCompanyActionPlanTypes.html#rest_v10_companies_company_id_action_plans_plan_types_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansProjectActionPlanTemplateApprovers`.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_create_post/5","doc":"Bulk Create Action Plan Template Approvers\nBulk Create Action Plan Template Approvers for a given Project Action Plan Template.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_create_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_destroy_delete/5","doc":"Bulk Destroy Action Plan Template Approvers\nBulk Destroy Action Plan Template Approvers from a given Project Action Plan Template.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_destroy_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_destroy_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_destroy_delete_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_destroy_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_destroy_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_bulk_destroy_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_get/4","doc":"List Action Plan Template Approvers\nReturns all Action Plan Template Approvers for a given Project","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_id_delete/5","doc":"Delete Action Plan Template Approver\nDeletes an Action Plan Template Approver","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Template Approver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_id_get/5","doc":"Show Action Plan Template Approver\nReturns an Action Plan Template Approver","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Template Approver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_post/5","doc":"Create Action Plan Template Approver\nCreates an Action Plan Template Approver for a given Project Action Plan Template.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_approvers_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_action_plans_plan_template_approvers_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_action_plans_plan_template_approvers_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_get/4","doc":"List Recycled Action Plan Template Approvers\nReturns all Recycled Action Plan Template Approvers for a given Project","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateApproversGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_id_get/5","doc":"Show Recycled Action Plan Template Approver\nReturns a Recycled Action Plan Template Approver","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Template Approver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateApproversGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateApprovers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_approvers_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees`.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_create_post/5","doc":"Bulk Create Action Plan Template Item Assignees\nCreates multiple Action Plan Template Assignees","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_create_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePost200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_update_patch/5","doc":"Bulk update Action Plan Template Item Assignees\nUpdate multiple Action Plan Template Assignees","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_update_patch_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_update_patch/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatch200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_get/4","doc":"List Action Plan Template Item Assignees\nList of all Action Plan Template Item Assignees","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.rest_v10_projects_project_id_action_plans_plan_template_item_assignees_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItemAssignees.html#rest_v10_projects_project_id_action_plans_plan_template_item_assignees_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansProjectActionPlanTemplateItems`.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_bulk_update_patch/5","doc":"Bulk Update Action Plan Template Item\nUpdates multiple Action Plan Template Items","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_items_bulk_update_patch_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_bulk_update_patch/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_create_from_item_post/5","doc":"Create a copy of the Action Plan Template Item in the Item's Section.\nCreate a copy of the Action Plan Template Item in the Item's Section.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_create_from_item_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_create_from_item_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_items_create_from_item_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateItemsCreateFromItemPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_create_from_item_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_create_from_item_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_create_from_item_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_get/4","doc":"List Project Action Plan Template Items\nGets the list of Project Action Plan Template Items","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` (integer()): Return item(s) associated with the specified Action Plan Template ID.\n  - `:\"filters[plan_template_section_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Section ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.rest_v10_projects_project_id_action_plans_plan_template_items_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateItems.html#rest_v10_projects_project_id_action_plans_plan_template_items_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansProjectActionPlanTemplateReceivers`.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_create_post/5","doc":"Bulk Create Action Plan Template Receivers\nBulk Create Action Plan Template Receivers for a given Project Action Plan Template.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_create_post/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_destroy_delete/5","doc":"Bulk Destroy Action Plan Template Receivers\nBulk Destroy Action Plan Template Receivers from a given Project Action Plan Template.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_destroy_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_destroy_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_destroy_delete_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_destroy_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_destroy_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_bulk_destroy_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_get/4","doc":"List Action Plan Template Receivers\nReturns all Action Plan Template Receivers for a given Project","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_id_delete/5","doc":"Delete Action Plan Template Receiver\nDeletes an Action Plan Template Receiver","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Template Receiver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_id_get/5","doc":"Show Action Plan Template Receiver\nReturns an Action Plan Template Receiver","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Template Receiver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_post/5","doc":"Create Action Plan Template Receiver\nCreates an Action Plan Template Receiver for a given Project Action Plan Template.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_receivers_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_action_plans_plan_template_receivers_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_action_plans_plan_template_receivers_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_get/4","doc":"List Recycled Action Plan Template Receivers\nReturns all Recycled Action Plan Template Receivers for a given Project","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReceiversGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_id_get/5","doc":"Show Recycled Action Plan Template Receiver\nReturns a Recycled Action Plan Template Receiver","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Template Receiver ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReceiversGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReceivers.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_receivers_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansProjectActionPlanTemplateReferences`.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_bulk_create_post/4","doc":"Bulk Create Action Plan Template References\nCreates multiple Action Plan Template References","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_bulk_create_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_bulk_create_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"\n  - `:body` (RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesBulkCreatePostRequest):","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_bulk_create_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_bulk_create_post/4","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_bulk_create_post/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_get/4","doc":"List Project Action Plan Template References\nList of all Project Action Plan Template References available to a Project","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[plan_template_id]\"` (integer()): Return item(s) associated with the specified Action Plan Template ID.\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_id_delete/5","doc":"Delete Project Action Plan Template Reference\nDeletes a Project Action Plan Template Reference","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Project Action Plan Template Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_id_get/5","doc":"Show Project Action Plan Template Reference\nView the details of a Project Action Plan Template Reference from a given Project","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Project Action Plan Template Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_post/5","doc":"Create Project Action Plan Template Reference\nCreate a Project Action Plan Template Reference","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_references_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_action_plans_plan_template_references_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_action_plans_plan_template_references_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_get/4","doc":"List Recycled Project Action Plan Template References\nList of all Recycled Project Action Plan Template References","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[plan_template_id]\"` (integer()): Return item(s) associated with the specified Action Plan Template ID.\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_id_get/5","doc":"Show Recycled Project Action Plan Template Reference\nReturns a Recycled Project Action Plan Template Reference","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action Plan Template Reference ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateReferences.html#rest_v10_projects_project_id_recycle_bin_action_plans_plan_template_references_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansProjectActionPlanTemplateSections`.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.rest_v10_projects_project_id_action_plans_plan_template_sections_create_from_section_post/5","doc":"Create a copy of the Action Plan Template Section in the Section's Template.\nCreate a copy of the Action Plan Template Section in the Section's Template.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.html#rest_v10_projects_project_id_action_plans_plan_template_sections_create_from_section_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.rest_v10_projects_project_id_action_plans_plan_template_sections_create_from_section_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_sections_create_from_section_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsCreateFromSectionPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.html#rest_v10_projects_project_id_action_plans_plan_template_sections_create_from_section_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.rest_v10_projects_project_id_action_plans_plan_template_sections_create_from_section_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.html#rest_v10_projects_project_id_action_plans_plan_template_sections_create_from_section_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.rest_v10_projects_project_id_action_plans_plan_template_sections_get/4","doc":"List Project Action Plan Template Sections\nReturns all Action Plan Template Sections for a given project","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.html#rest_v10_projects_project_id_action_plans_plan_template_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.rest_v10_projects_project_id_action_plans_plan_template_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.html#rest_v10_projects_project_id_action_plans_plan_template_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.rest_v10_projects_project_id_action_plans_plan_template_sections_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateSections.html#rest_v10_projects_project_id_action_plans_plan_template_sections_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests`.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_bulk_create_post/5","doc":"Bulk Create Action Plan Template Test Record Requests\nCreates Multiple Project Action Plan Template Test Record Requests for selected Template item","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_bulk_create_post_request` (RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePostRequest): \n- `opts` (keyword): Optional parameters\n  - `:completion_mode` (String.t): Whether to update what can be or nothing if one can not be updated. Defaults to \"all_or_nothing\"","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_bulk_create_post/5","doc":"- `{:ok, [%List{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_get/4","doc":"List Project Action Plan Template Test Record Requests\nList of all Project Action Plan Template Test Record Requests","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[plan_template_item_id]\"` ([integer()]): Return item(s) associated with the specified Action Plan Template Item ID(s).\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[plan_template_id]\"` ([integer()]): Return section(s) associated with the specified Action Plan Template ID(s).\n  - `:\"filters[type]\"` ([String.t]): Return item(s) associated with the specified Record Type(s).\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplateTestRecordRequests.html#rest_v10_projects_project_id_action_plans_plan_template_test_record_requests_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplates","doc":"API calls for all endpoints tagged `QualitySafetyActionPlansProjectActionPlanTemplates`.","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplates.rest_v10_projects_project_id_action_plans_plan_templates_get/4","doc":"List of Project Action Plan Templates\nList of all Project Action Plan Templates","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplates.html#rest_v10_projects_project_id_action_plans_plan_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplates.rest_v10_projects_project_id_action_plans_plan_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t): Direction (asc/desc) can be controlled by the presence or absence of '-' before the sort parameter.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[provider_type]\"` ([String.t]): Return item(s) with the specified Provider Type(s)\n  - `:\"filters[type_id]\"` ([String.t]): Return item(s) with a specific Action Plan Type ID or a range of Action Plan Type IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplates.html#rest_v10_projects_project_id_action_plans_plan_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplates.rest_v10_projects_project_id_action_plans_plan_templates_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyActionPlansProjectActionPlanTemplates.html#rest_v10_projects_project_id_action_plans_plan_templates_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyFormsFormTemplates","doc":"API calls for all endpoints tagged `QualitySafetyFormsFormTemplates`.","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_get/4","doc":"List Company Form Templates\nReturns a collection of Form Templates for a specified Company.","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_delete/5","doc":"Delete Company Form Template\nDelete a Company Form Template","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Company Form Template ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_get/5","doc":"Show Company Form Template\nReturns the details for a specified Company Form Template","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Company Form Template ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_patch/6","doc":"Update Company Form Template\nUpdate a Company Form Template","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Company Form Template ID\n- `company_id` (integer()): Unique identifier for the company.\n- `body81` (Body81): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_post/6","doc":"Create Company Form Template\nCreate a new Company Form Template","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `form_template` (Procore.Model.FormTemplate.t): \n- `fillable_pdf` (String.t): Form Template's Fillable PDF. To upload a fillable PDF you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `fillable_pdf` as files.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_form_templates_post/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_form_templates_post/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_get/4","doc":"List Recycled Company Form Templates\nReturns a collection of Recycled Form Templates for a specified Company.","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_id_get/5","doc":"Show Recycled Company Form Template\nReturns the details for a specified recycled Company Form Template","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Company Form Template ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_id_restore_patch/5","doc":"Restore Company Form Template\nRestores the specified Form Template from Recycle Bin.","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Company Form Template ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_companies_company_id_recycle_bin_form_templates_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_companies_company_id_recycle_bin_form_templates_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_projects_project_id_form_templates_get/4","doc":"List Company Form Templates from Project\nReturns a collection of Company Form Templates for a specified Project.","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_projects_project_id_form_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_projects_project_id_form_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_projects_project_id_form_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_projects_project_id_form_templates_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_projects_project_id_form_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_projects_project_id_form_templates_id_get/5","doc":"Show Company Form Template from Project\nReturns the details for a specified Company Form Template","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_projects_project_id_form_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_projects_project_id_form_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Company Form Template ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_projects_project_id_form_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsFormTemplates.rest_v10_projects_project_id_form_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsFormTemplates.html#rest_v10_projects_project_id_form_templates_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyFormsForms","doc":"API calls for all endpoints tagged `QualitySafetyFormsForms`.","ref":"Procore.Api.QualitySafetyFormsForms.html"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_get/4","doc":"List Forms on a project\nReturn a list of all Forms from a specified Project.","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[form_template_id]\"` ([integer()]): Array of Form Template IDs. Return item(s) associated with the specified Form Template IDs.\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdFormsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_delete/5","doc":"Delete Form\nDelete the specified Form.","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Form ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_get/5","doc":"Show Form\nReturn detailed information on the specified Form.","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Form ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_patch/6","doc":"Update Form\nUpdate the specified Form.","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Form ID\n- `body78` (Body78): \n- `opts` (keyword): Optional parameters\n  - `:send_emails` (boolean()): Designates whether or not emails will be sent (default false)","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_post/5","doc":"Create Form\nCreate a new Form associated with the specified Project.","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `form` (Procore.Model.Form.t): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_forms_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_forms_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_get/4","doc":"List Recycled Project Forms\nReturns a collection of Recycled Forms for a specified Project.","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdFormsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_id_get/5","doc":"Show Recycled Project Form\nReturns the details for a specified recycled Project Form","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Project Form ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_id_restore_patch/5","doc":"Restore Project Form\nRestores the specified Form from Recycle Bin.","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Project Form ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v10_projects_project_id_recycle_bin_forms_id_restore_patch/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v10_projects_project_id_recycle_bin_forms_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyFormsForms.rest_v11_projects_project_id_forms_get/4","doc":"List Forms on a project\nReturn a list of all Forms from a specified Project.","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v11_projects_project_id_forms_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyFormsForms.rest_v11_projects_project_id_forms_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[form_template_id]\"` ([integer()]): Array of Form Template IDs. Return item(s) associated with the specified Form Template IDs.\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v11_projects_project_id_forms_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyFormsForms.rest_v11_projects_project_id_forms_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdFormsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyFormsForms.html#rest_v11_projects_project_id_forms_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsActionAttachments","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsActionAttachments`.","ref":"Procore.Api.QualitySafetyIncidentsActionAttachments.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActionAttachments.rest_v10_projects_project_id_incidents_actions_action_id_attachments_post/6","doc":"Create Attachment\nCreates an attachment for the specified Action.","ref":"Procore.Api.QualitySafetyIncidentsActionAttachments.html#rest_v10_projects_project_id_incidents_actions_action_id_attachments_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActionAttachments.rest_v10_projects_project_id_incidents_actions_action_id_attachments_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `action_id` (integer()): Action ID\n- `attachment` (String.t): Action Attachment. To upload an attachment you must upload the entire payload as `multipart/form-data` content-type with the `attachment` file.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsActionAttachments.html#rest_v10_projects_project_id_incidents_actions_action_id_attachments_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActionAttachments.rest_v10_projects_project_id_incidents_actions_action_id_attachments_post/6","doc":"- `{:ok, Procore.Model.IncidentAttachment1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActionAttachments.html#rest_v10_projects_project_id_incidents_actions_action_id_attachments_post/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsActionTypes","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsActionTypes`.","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_bulk_update_patch/5","doc":"Bulk Update Incident Action Types\nUpdate multiple Incident Action Types with one request.","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_incidents_action_types_bulk_update_patch_request` (RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_bulk_update_patch/5","doc":"- `{:ok, [%ActionType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_get/4","doc":"List Incident Action Types\nReturn a list of all Incident Action Types associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_get/4","doc":"- `{:ok, [%ActionType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_delete/5","doc":"Delete Incident Action Type\nDeletes an Incident Action Type. Note that Procore provided Incident Action Types cannot be deleted.","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Incident Action Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_get/5","doc":"Show Incident Action Type\nReturns the specified Incident Action Type.","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Incident Action Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_get/5","doc":"- `{:ok, Procore.Model.ActionType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_patch/6","doc":"Update Incident Action Type\nUpdates a specified Incident Action Type. Note that Procore provided Incident Action Types' names cannot be changed.","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Incident Action Type ID\n- `rest_v10_companies_company_id_incidents_action_types_post_request` (RestV10CompaniesCompanyIdIncidentsActionTypesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_id_patch/6","doc":"- `{:ok, Procore.Model.ActionType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_post/5","doc":"Create Incident Action Type\nCreates an Incident Action Type with the specified name.","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_incidents_action_types_post_request` (RestV10CompaniesCompanyIdIncidentsActionTypesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActionTypes.rest_v10_companies_company_id_incidents_action_types_post/5","doc":"- `{:ok, Procore.Model.ActionType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActionTypes.html#rest_v10_companies_company_id_incidents_action_types_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsActions","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsActions`.","ref":"Procore.Api.QualitySafetyIncidentsActions.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_get/4","doc":"List Actions\nReturns a list of Actions for a given project.","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Actions for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_delete/5","doc":"Destroy Action\nSends the specified Action to the Recycle Bin","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_get/5","doc":"Show Action\nReturns the specified Action","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_patch/6","doc":"Update Action\nUpdates the specified Action","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action ID\n- `rest_v10_projects_project_id_incidents_actions_id_patch_request` (RestV10ProjectsProjectIdIncidentsActionsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Incident/Injury Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/configurable-field-sets#list-project-configurable-field-sets) for a list of Configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_post/5","doc":"Create Action\nCreates an Action.","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_incidents_actions_post_request` (RestV10ProjectsProjectIdIncidentsActionsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Incident/Injury Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/configurable-field-sets#list-project-configurable-field-sets) for a list of Configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_incidents_actions_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_incidents_actions_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_get/4","doc":"List Recycled Actions\nReturns a list of Recycled Actions for a given project (or Incident, if incident_id is present).","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Recycled Actions for a given Incident.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t): \n  - `:per_page` (integer()): Elements per page\n  - `:page` (integer()): Page","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_id_get/5","doc":"Show Recycled Action\nReturns a specific Recycled Action","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5","doc":"Retrieve Recycled Action\nRetrieves a specific Recycled Action from the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v10_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v10_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_get/4","doc":"List Recycled Actions\nReturns a list of Recycled Actions for a given project (or Incident, if incident_id is present).","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Recycled Actions for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_id_get/5","doc":"Show Recycled Action\nReturns a specific Recycled Action","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5","doc":"Retrieve Recycled Action\nRetrieves a specific Recycled Action from the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Action ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsActions.rest_v11_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsActions.html#rest_v11_projects_project_id_recycle_bin_incidents_actions_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsAfflictionTypes","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsAfflictionTypes`.","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_bulk_update_patch/5","doc":"Bulk Update Affliction Types\nUpdate multiple Affliction Types with one request.","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_incidents_affliction_types_bulk_update_patch_request` (RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_bulk_update_patch/5","doc":"- `{:ok, [%AfflictionType1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_get/4","doc":"List Affliction Types\nReturn a list of all Affliction Types associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Affliction Types","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_get/4","doc":"- `{:ok, [%AfflictionType1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_delete/5","doc":"Delete Affliction Type\nDeletes an Affliction Type. Note that Procore provided Affliction Types cannot be deleted.","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Affliction Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_get/5","doc":"Show Affliction Type\nReturns the specified Affliction Type.","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Affliction Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_get/5","doc":"- `{:ok, Procore.Model.AfflictionType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_patch/6","doc":"Update Affliction Type\nUpdates a specified Affliction Type. Note that Procore provided Affliction Types' names cannot be changed.","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Affliction Type ID\n- `rest_v10_companies_company_id_incidents_affliction_types_post_request` (RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_id_patch/6","doc":"- `{:ok, Procore.Model.AfflictionType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_post/5","doc":"Create Affliction Type\nCreates a Affliction Type with the specified name.","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_incidents_affliction_types_post_request` (RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAfflictionTypes.rest_v10_companies_company_id_incidents_affliction_types_post/5","doc":"- `{:ok, Procore.Model.AfflictionType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAfflictionTypes.html#rest_v10_companies_company_id_incidents_affliction_types_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsAlertRecipients","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsAlertRecipients`.","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_get/5","doc":"List Incident Alert Recipients\nReturn a list of all Incident Alert Recipients associated with the specified Company and Incident Severity Level.","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `severity_level_id` (integer()): Incident Severity Level ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_get/5","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_delete/6","doc":"Delete Incident Alert Recipient\nDeletes an Incident Alert Recipient.","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `severity_level_id` (integer()): Incident Severity Level ID\n- `id` (integer()): Incident Alert Recipient's User ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_delete/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_get/6","doc":"Show Incident Alert Recipient\nReturns the specified Incident Alert Recipient.","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `severity_level_id` (integer()): Incident Severity Level ID\n- `id` (integer()): Incident Alert Recipient's User ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_get/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_get/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_patch/6","doc":"Update existing or create a new Incident Alert Recipient.\nFinds an exisiting Incident Alert Recipient or creates one with the specified User.","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `severity_level_id` (integer()): Incident Severity Level ID\n- `id` (integer()): Incident Alert Recipient's User ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAlertRecipients.rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAlertRecipients.html#rest_v10_companies_company_id_incidents_severity_levels_severity_level_id_alert_recipients_id_patch/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsAlerts","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsAlerts`.","ref":"Procore.Api.QualitySafetyIncidentsAlerts.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAlerts.rest_v10_projects_project_id_incidents_alerts_get/4","doc":"List Incident Alerts\nReturns a list of all Incident Alerts associated with a Project.","ref":"Procore.Api.QualitySafetyIncidentsAlerts.html#rest_v10_projects_project_id_incidents_alerts_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAlerts.rest_v10_projects_project_id_incidents_alerts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[incident_id]\"` ([integer()]): Return item(s) with the specified Incident IDs.\n  - `:\"filters[injury_id]\"` ([integer()]): Return item(s) with the specified Injury IDs.\n  - `:\"filters[recipient_id]\"` ([integer()]): Return item(s) with the specified recipient (User) IDs\n  - `:\"filters[severity_level_id]\"` ([integer()]): Return item(s) with the specified Incident Severity Level IDs\n  - `:\"filters[triggered_by_id]\"` ([integer()]): Return item(s) with the specified triggered by (User) IDs\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsAlerts.html#rest_v10_projects_project_id_incidents_alerts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAlerts.rest_v10_projects_project_id_incidents_alerts_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAlerts.html#rest_v10_projects_project_id_incidents_alerts_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsAlerts.rest_v10_projects_project_id_incidents_alerts_id_get/5","doc":"Show Incident Alert\nReturns the specified Incident Alert.","ref":"Procore.Api.QualitySafetyIncidentsAlerts.html#rest_v10_projects_project_id_incidents_alerts_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsAlerts.rest_v10_projects_project_id_incidents_alerts_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Incident Alert ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsAlerts.html#rest_v10_projects_project_id_incidents_alerts_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsAlerts.rest_v10_projects_project_id_incidents_alerts_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsAlerts.html#rest_v10_projects_project_id_incidents_alerts_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsBodyParts","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsBodyParts`.","ref":"Procore.Api.QualitySafetyIncidentsBodyParts.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsBodyParts.rest_v10_companies_company_id_incidents_body_parts_get/4","doc":"List Body Parts\nReturn a list of all supported Body Parts.","ref":"Procore.Api.QualitySafetyIncidentsBodyParts.html#rest_v10_companies_company_id_incidents_body_parts_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsBodyParts.rest_v10_companies_company_id_incidents_body_parts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[selectable]\"` (boolean()): If true, return item(s) with 'selectable' status.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Body Parts","ref":"Procore.Api.QualitySafetyIncidentsBodyParts.html#rest_v10_companies_company_id_incidents_body_parts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsBodyParts.rest_v10_companies_company_id_incidents_body_parts_get/4","doc":"- `{:ok, [%BodyPart{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsBodyParts.html#rest_v10_companies_company_id_incidents_body_parts_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsContributingBehaviors","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsContributingBehaviors`.","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_bulk_update_patch/5","doc":"Bulk Update Contributing Behaviors\nUpdate multiple Contributing Behaviors with one request.","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_contributing_behaviors_bulk_update_patch_request` (RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_bulk_update_patch/5","doc":"- `{:ok, [%ContributingBehavior1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_get/4","doc":"List Contributing Behaviors\nReturn a list of all active Contributing Behaviors associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:all` (boolean()): Both active and inactive Contributing Behaviors","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_get/4","doc":"- `{:ok, [%ContributingBehavior1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_delete/5","doc":"Delete Contributing Behavior\nDeletes a Contributing Behavior. Note that Procore provided Contributing Behaviors cannot be deleted.","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Contributing Behavior ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_get/5","doc":"Show Contributing Behavior\nReturns the details for a specified Contributing Behavior.","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Contributing Behavior ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_get/5","doc":"- `{:ok, Procore.Model.ContributingBehavior1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_patch/6","doc":"Update Contributing Behavior\nUpdates a Contributing Behavior. Note that Procore provided Contributing Behaviors' names cannot be changed.","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Contributing Behavior ID\n- `rest_v10_companies_company_id_contributing_behaviors_id_patch_request` (RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_id_patch/6","doc":"- `{:ok, Procore.Model.ContributingBehavior1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_post/5","doc":"Create Contributing Behavior\nCreates a Contributing Behavior with the specified name.","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_contributing_behaviors_post_request` (RestV10CompaniesCompanyIdContributingBehaviorsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingBehaviors.rest_v10_companies_company_id_contributing_behaviors_post/5","doc":"- `{:ok, Procore.Model.ContributingBehavior1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingBehaviors.html#rest_v10_companies_company_id_contributing_behaviors_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsContributingConditions","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsContributingConditions`.","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_bulk_update_patch/5","doc":"Bulk Update Contributing Conditions\nUpdate multiple Contributing Conditions with one request.","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_contributing_conditions_bulk_update_patch_request` (RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_bulk_update_patch/5","doc":"- `{:ok, [%ContributingCondition1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_get/4","doc":"List Contributing Conditions\nReturn a list of all active Contributing Conditions associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:all` (boolean()): Both active and inactive Contributing Conditions","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_get/4","doc":"- `{:ok, [%ContributingCondition1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_delete/5","doc":"Delete Contributing Condition\nDeletes a Contributing Condition. Note that Procore provided Contributing Conditions cannot be deleted.","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Contributing Condition ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_get/5","doc":"Show Contributing Condition\nReturns the details for a specified Contributing Condition.","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Contributing Condition ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_get/5","doc":"- `{:ok, Procore.Model.ContributingCondition1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_patch/6","doc":"Update Contributing Condition\nUpdates a Contributing Condition. Note that Procore provided Contributing Conditions' names cannot be changed.","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Contributing Condition ID\n- `rest_v10_companies_company_id_contributing_conditions_id_patch_request` (RestV10CompaniesCompanyIdContributingConditionsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_id_patch/6","doc":"- `{:ok, Procore.Model.ContributingCondition1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_post/5","doc":"Create Contributing Condition\nCreates a Contributing Condition with the specified name.","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_contributing_conditions_post_request` (RestV10CompaniesCompanyIdContributingConditionsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsContributingConditions.rest_v10_companies_company_id_contributing_conditions_post/5","doc":"- `{:ok, Procore.Model.ContributingCondition1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsContributingConditions.html#rest_v10_companies_company_id_contributing_conditions_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsEnvironmentalFilterOptions`.","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_affected_companies_get/4","doc":"Get Affected Company Filter Options\nReturns affected companies in use for filtering environmental records","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_affected_companies_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_affected_companies_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_affected_companies_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_affected_companies_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_affected_companies_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_environmental_types_get/4","doc":"Get Environmental Type Filter Options\nReturns environmental types in use for filtering environmental records","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_environmental_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_environmental_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_environmental_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_environmental_types_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_environmental_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_managed_equipment_get/4","doc":"Get Managed Equipment Filter Options\nReturns managed equipment in use for filtering environmental records","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_managed_equipment_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_managed_equipment_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_managed_equipment_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_managed_equipment_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_managed_equipment_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_work_activities_get/4","doc":"Get Work Activity Filter Options\nReturns work activities in use for filtering environmental records","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_work_activities_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_work_activities_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_work_activities_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.rest_v10_projects_project_id_incidents_environmentals_filter_options_work_activities_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalFilterOptions.html#rest_v10_projects_project_id_incidents_environmentals_filter_options_work_activities_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsEnvironmentalTypes","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsEnvironmentalTypes`.","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentalTypes.rest_v10_companies_company_id_incidents_environmental_types_get/4","doc":"List Environmental Types\nReturn a list of all Environmental Types associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalTypes.html#rest_v10_companies_company_id_incidents_environmental_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentalTypes.rest_v10_companies_company_id_incidents_environmental_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): Environmental Types","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalTypes.html#rest_v10_companies_company_id_incidents_environmental_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentalTypes.rest_v10_companies_company_id_incidents_environmental_types_get/4","doc":"- `{:ok, [%EnvironmentalType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentalTypes.html#rest_v10_companies_company_id_incidents_environmental_types_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsEnvironmentals`.","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_get/4","doc":"List Environmentals\nReturns a list of Environmental records for a given project.","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Environmentals for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[environmental_type_id]\"` ([integer()]): Return item(s) with the specified Environmental Type ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_get/4","doc":"- `{:ok, [%IncidentNormalAllOfEnvironmentalsInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_delete/5","doc":"Destroy Environmental\nSends the specified Environmental record to the Recycle Bin","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Environmental ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_get/5","doc":"Show Environmental\nReturns the specified Environmental record","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Environmental ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_get/5","doc":"- `{:ok, Procore.Model.IncidentNormalAllOfEnvironmentalsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_patch/6","doc":"Update Environmental\nUpdates the Environmental record","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Environmental ID\n- `rest_v10_projects_project_id_incidents_environmentals_id_patch_request` (RestV10ProjectsProjectIdIncidentsEnvironmentalsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_id_patch/6","doc":"- `{:ok, Procore.Model.IncidentNormalAllOfEnvironmentalsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_post/5","doc":"Create Environmental\nCreates an Environmental record.","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_incidents_environmentals_post_request` (RestV10ProjectsProjectIdIncidentsEnvironmentalsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_incidents_environmentals_post/5","doc":"- `{:ok, Procore.Model.IncidentNormalAllOfEnvironmentalsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_incidents_environmentals_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_get/4","doc":"List Recycled Environmentals\nReturns a list of Recycled Environmentals for a given project (or Incident, if incident_id is present).","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Environmentals for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[environmental_type_id]\"` ([integer()]): Return item(s) with the specified Environmental Type ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_get/4","doc":"- `{:ok, [%IncidentNormalAllOfEnvironmentalsInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_get/5","doc":"Show Recycled Environmental\nReturns specified Recycled Environmental record","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Environmental ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_get/5","doc":"- `{:ok, Procore.Model.IncidentNormalAllOfEnvironmentalsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_restore_patch/5","doc":"Retrieve Environmental\nRetrieves specified Recycled Environmental from the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Environmental ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsEnvironmentals.rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsEnvironmentals.html#rest_v10_projects_project_id_recycle_bin_incidents_environmentals_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsFilingTypes","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsFilingTypes`.","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_get/4","doc":"List Incident Filing Types\nReturn a list of all Filing Types associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_get/4","doc":"- `{:ok, [%IncidentFilingType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_id_get/5","doc":"Show Filing Type\nReturns the specified Filing Type.","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Filing Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_id_get/5","doc":"- `{:ok, Procore.Model.IncidentFilingType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_id_patch/6","doc":"Update Filing Type\nUpdates a specified Filing Type. Note that Procore provided Filing Type names cannot be changed.","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Filing Type ID\n- `rest_v10_companies_company_id_incidents_injury_filing_types_id_patch_request` (RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsFilingTypes.rest_v10_companies_company_id_incidents_injury_filing_types_id_patch/6","doc":"- `{:ok, Procore.Model.IncidentFilingType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsFilingTypes.html#rest_v10_companies_company_id_incidents_injury_filing_types_id_patch/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsHarmSources","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsHarmSources`.","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_bulk_update_patch/5","doc":"Bulk Update Harm Sources\nUpdate multiple Harm Sources with one request.","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_incidents_harm_sources_bulk_update_patch_request` (RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_bulk_update_patch/5","doc":"- `{:ok, [%HarmSource1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_get/4","doc":"List Harm Sources\nReturn a list of all Harm Sources associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): \n  - `:all` (boolean()): Harm Sources","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_get/4","doc":"- `{:ok, [%HarmSource1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_delete/5","doc":"Delete Harm Source\nDeletes a Harm Source. Note that Procore provided Harm Sources cannot be deleted.","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Harm Source ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_get/5","doc":"Show Harm Source\nReturns the specified Harm Source.","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Harm Source ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_get/5","doc":"- `{:ok, Procore.Model.HarmSource1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_patch/6","doc":"Update Harm Source\nUpdates a specified Harm Source. Note that Procore provided Harm Sources' names cannot be changed.","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Harm Source ID\n- `rest_v10_companies_company_id_incidents_harm_sources_post_request` (RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_id_patch/6","doc":"- `{:ok, Procore.Model.HarmSource1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_post/5","doc":"Create Harm Source\nCreates a Harm Source with the specified name","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_incidents_harm_sources_post_request` (RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHarmSources.rest_v10_companies_company_id_incidents_harm_sources_post/5","doc":"- `{:ok, Procore.Model.HarmSource1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHarmSources.html#rest_v10_companies_company_id_incidents_harm_sources_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsHazards","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsHazards`.","ref":"Procore.Api.QualitySafetyIncidentsHazards.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_bulk_update_patch/5","doc":"Bulk Update Hazards\nUpdate multiple Hazards with one request.","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_hazards_bulk_update_patch_request` (RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_bulk_update_patch/5","doc":"- `{:ok, [%Hazard1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_get/4","doc":"List Hazards\nReturn a list of all active Hazards associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:all` (boolean()): Both active and inactive Hazards","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_get/4","doc":"- `{:ok, [%Hazard1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_delete/5","doc":"Delete Hazard\nDeletes a Hazard. Note that Procore provided Hazards cannot be deleted.","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Hazard ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_get/5","doc":"Show Hazard\nReturns the details for a specified Hazard.","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Hazard ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_get/5","doc":"- `{:ok, Procore.Model.Hazard1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_patch/6","doc":"Update Hazard\nUpdates a Hazard. Note that Procore provided Hazards' names cannot be changed.","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Hazard ID\n- `rest_v10_companies_company_id_hazards_id_patch_request` (RestV10CompaniesCompanyIdHazardsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_id_patch/6","doc":"- `{:ok, Procore.Model.Hazard1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_post/5","doc":"Create Hazard\nCreates a Hazard with the specified name.","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_hazards_post_request` (RestV10CompaniesCompanyIdHazardsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsHazards.rest_v10_companies_company_id_hazards_post/5","doc":"- `{:ok, Procore.Model.Hazard1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsHazards.html#rest_v10_companies_company_id_hazards_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsIncidentAttachments","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsIncidentAttachments`.","ref":"Procore.Api.QualitySafetyIncidentsIncidentAttachments.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentAttachments.rest_v10_projects_project_id_incidents_incident_id_attachments_post/6","doc":"Create Attachment\nCreates an attachment for the specified Incident.","ref":"Procore.Api.QualitySafetyIncidentsIncidentAttachments.html#rest_v10_projects_project_id_incidents_incident_id_attachments_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentAttachments.rest_v10_projects_project_id_incidents_incident_id_attachments_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `incident_id` (integer()): Incident ID\n- `attachment` (String.t): Incident Attachment. To upload an attachment you must upload the entire payload as `multipart/form-data` content-type  with the `attachment` file. \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Incident/Injury Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/configurable-field-sets#list-project-configurable-field-sets) for a list of Configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyIncidentsIncidentAttachments.html#rest_v10_projects_project_id_incidents_incident_id_attachments_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentAttachments.rest_v10_projects_project_id_incidents_incident_id_attachments_post/6","doc":"- `{:ok, Procore.Model.IncidentAttachment1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentAttachments.html#rest_v10_projects_project_id_incidents_incident_id_attachments_post/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsIncidentFilterOptions`.","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_contributing_behaviors_get/4","doc":"Get Contributing Behavior Filter Options\nReturns contributing behaviors in use for filtering incidents","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_contributing_behaviors_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_contributing_behaviors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_contributing_behaviors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_contributing_behaviors_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_contributing_behaviors_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_contributing_conditions_get/4","doc":"Get Contributing Condition Filter Options\nReturns contributing conditions in use for filtering incidents","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_contributing_conditions_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_contributing_conditions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_contributing_conditions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_contributing_conditions_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_contributing_conditions_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_hazards_get/4","doc":"Get Hazard Filter Options\nReturns hazards in use for filtering incidents","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_hazards_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_hazards_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_hazards_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_hazards_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_hazards_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_locations_get/4","doc":"Get Location Filter Options\nReturns locations in use for filtering incidents","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_locations_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_locations_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_locations_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_locations_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_locations_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_statuses_get/4","doc":"Get Status Filter Options\nReturns available statuses for filtering incidents","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_statuses_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_statuses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_statuses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.rest_v10_projects_project_id_incidents_filter_options_statuses_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentFilterOptions.html#rest_v10_projects_project_id_incidents_filter_options_statuses_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsIncidentPickerOptions`.","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_affected_body_parts_get/4","doc":"Get Affected Body Parts\nReturns objects containing the display label and server value of affected body parts that are available when creating or updating injuries","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_affected_body_parts_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_affected_body_parts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_affected_body_parts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_affected_body_parts_get/4","doc":"- `{:ok, [%AffectedBodyPart{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_affected_body_parts_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_filing_types_get/4","doc":"Get Filing Types\nReturns objects containing the display label and server value of filing types that are available when creating or updating injuries","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_filing_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_filing_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_filing_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_filing_types_get/4","doc":"- `{:ok, [%FilingType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_filing_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_statuses_get/4","doc":"Get Incident Statuses\nReturns objects containing the display label and server value of statuses that are available when creating or updating incidents","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_statuses_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_statuses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_statuses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_statuses_get/4","doc":"- `{:ok, [%IncidentStatus{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_statuses_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_units_of_measure_get/4","doc":"Get Units of Measure\nReturns objects containing the display label and server value of units of measure that are available when creating or updating incident's environmental records","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_units_of_measure_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_units_of_measure_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_units_of_measure_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.rest_v10_companies_company_id_incidents_units_of_measure_get/4","doc":"- `{:ok, [%IncidentUnitOfMeasure{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidentPickerOptions.html#rest_v10_companies_company_id_incidents_units_of_measure_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsIncidents","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsIncidents`.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_get/4","doc":"List Incidents\nReturns a list of Incidents for a given project.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Number of items returned per page (Min: 1, Max: 1000). Defaults to 1000 when parameter is not provided.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[event_date]\"` (Date.t): Returns item(s) with an event date within the specified ISO 8601 datetime range.\n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[contributing_behavior_id]\"` ([integer()]): Contributing Behavior ID. Returns item(s) with the specified Contributing Behavior ID.\n  - `:\"filters[contributing_condition_id]\"` ([integer()]): Contributing Condition ID. Returns item(s) with the specified Contributing Condition ID.\n  - `:\"filters[hazard_id]\"` ([integer()]): Hazard ID. Returns item(s) with the specified Hazard ID.\n  - `:\"filters[time_unknown]\"` (boolean()): If true, returns item(s) where the time of Incident occurrence is unknown.\n  - `:\"filters[recordable]\"` (boolean()): Return item(s) that are recordable.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query. Searchable fields include Incident title, Creator, Witness Statement, Incident Action description, Incident Action Type, Contributing Behavior, Contributing Condition, Hazard, and Location.\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_get/4","doc":"- `{:ok, [%IncidentCompact{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_delete/5","doc":"Delete Incident\nSends Incident to the Recycle Bin","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Incident ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_get/5","doc":"Show Incident\nReturns the specified Incident.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Incident ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_get/5","doc":"- `{:ok, Procore.Model.IncidentNormal.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_patch/6","doc":"Update Incident\nUpdates the specified Incident.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Incident ID\n- `rest_v10_projects_project_id_incidents_post_request` (RestV10ProjectsProjectIdIncidentsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Incident/Injury Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/configurable-field-sets#list-project-configurable-field-sets) for a list of Configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_id_patch/6","doc":"- `{:ok, Procore.Model.IncidentNormal.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_post/5","doc":"Create Incident\nCreates an Incident in a given project.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_incidents_post_request` (RestV10ProjectsProjectIdIncidentsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Incident/Injury Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/configurable-field-sets#list-project-configurable-field-sets) for a list of Configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_incidents_post/5","doc":"- `{:ok, Procore.Model.IncidentNormal.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_incidents_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_get/4","doc":"List Recycled Incidents\nReturns a list of Recycled Incidents for a given project.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[event_date]\"` (Date.t): Returns item(s) with an event date within the specified ISO 8601 datetime range.\n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[contributing_behavior_id]\"` ([integer()]): Contributing Behavior ID. Returns item(s) with the specified Contributing Behavior ID.\n  - `:\"filters[contributing_condition_id]\"` ([integer()]): Contributing Condition ID. Returns item(s) with the specified Contributing Condition ID.\n  - `:\"filters[hazard_id]\"` ([integer()]): Hazard ID. Returns item(s) with the specified Hazard ID.\n  - `:\"filters[time_unknown]\"` (boolean()): If true, returns item(s) where the time of Incident occurrence is unknown.\n  - `:\"filters[recordable]\"` (boolean()): Return item(s) that are recordable.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query. Searchable fields include Incident title, Creator, Witness Statement, Incident Action description, Incident Action Type, Contributing Behavior, Contributing Condition, Hazard, and Location.\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_get/4","doc":"- `{:ok, [%IncidentCompact{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_id_get/5","doc":"Show Recycled Incident\nReturns the specified Recycled Incident.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Incident ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_id_get/5","doc":"- `{:ok, Procore.Model.IncidentNormal.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_id_restore_patch/5","doc":"Retrieve Recycled Incident\nRetrieves the specified Incident from Recycle Bin.","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Incident ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsIncidents.rest_v10_projects_project_id_recycle_bin_incidents_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsIncidents.html#rest_v10_projects_project_id_recycle_bin_incidents_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsInjuries","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsInjuries`.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_get/4","doc":"List Injuries\nReturns a list of Injuries for a given project.  NOTE: The afflictions and affected_body_part keys are deprecated. Please disregard and use the affected_body_parts and affliction_type keys as documented below.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Injuries for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[affected_company_id]\"` ([integer()]): Array of Company IDs. Returns item(s) with the specified affected Company IDs.\n  - `:\"filters[affected_party_id]\"` ([integer()]): Array of Affected Party IDs. Returns item(s) with the specified Affected Party IDs.\n  - `:\"filters[affected_person_id]\"` ([integer()]): Array of Person IDs. Returns item(s) with the specified affected Person IDs.\n  - `:\"filters[harm_source_id]\"` ([integer()]): Array of Harm Source IDs. Returns item(s) with the specified Harm Source IDs.\n  - `:\"filters[work_activity_id]\"` ([integer()]): Array of Work Activity IDs. Returns item(s) with the specified Work Activity IDs.\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[recordable]\"` (boolean()): Return item(s) that are recordable.\n  - `:\"filters[affected_body_part]\"` ([String.t]): Return item(s) with any of the specified Affected Body Parts.\n  - `:\"filters[affliction_type_id]\"` (integer()): Return item(s) with the specified Affliction Type IDs\n  - `:\"filters[body_part_id]\"` ([integer()]): Return item(s) with the specified Body Part IDs\n  - `:\"filters[filing_type]\"` ([String.t]): Return item(s) with the specified filing types. The `recordable` filing_type filter value is deprecated.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_delete/5","doc":"Destroy Injury\nSends Injury to the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Injury ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_get/5","doc":"Show Injury\nReturns a specific Injury  NOTE: The afflictions and affected_body_part keys are deprecated. Please disregard and use the affected_body_parts and affliction_type keys as documented below.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Injury ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_patch/6","doc":"Update Injury\nUpdate an Injury's attributes  NOTE: The afflictions and affected_body_part keys are deprecated. Please disregard and use the affected_body_parts and affliction_type keys as documented below.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Injury ID\n- `rest_v10_projects_project_id_incidents_injuries_id_patch_request` (RestV10ProjectsProjectIdIncidentsInjuriesIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Injury Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/configurable-field-sets#list-project-configurable-field-sets) for a list of Configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_post/5","doc":"Create Injury\nCreates an Injury record.  NOTE: The afflictions and affected_body_part keys are deprecated. Please disregard and use the affected_body_parts and affliction_type keys as documented below.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_incidents_injuries_post_request` (RestV10ProjectsProjectIdIncidentsInjuriesPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Injury Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/configurable-field-sets#list-project-configurable-field-sets) for a list of Configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_incidents_injuries_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_incidents_injuries_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_get/4","doc":"List Recycled Injuries\nReturns a list of Recycled Injuries for a given project (or Incident, if incident_id is present).  NOTE: The afflictions and affected_body_part keys are deprecated. Please disregard and use the affected_body_parts and affliction_type keys as documented below.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Recycled Injuries for a given Incident.  NOTE: The afflictions and affected_body_part keys are deprecated. Please disregard and use the affected_body_parts and affliction_type keys as documented below.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[affected_company_id]\"` ([integer()]): Array of Company IDs. Returns item(s) with the specified affected Company IDs.\n  - `:\"filters[affected_party_id]\"` ([integer()]): Array of Affected Party IDs. Returns item(s) with the specified Affected Party IDs.\n  - `:\"filters[affected_person_id]\"` ([integer()]): Array of Person IDs. Returns item(s) with the specified affected Person IDs.\n  - `:\"filters[harm_source_id]\"` ([integer()]): Array of Harm Source IDs. Returns item(s) with the specified Harm Source IDs.\n  - `:\"filters[work_activity_id]\"` ([integer()]): Array of Work Activity IDs. Returns item(s) with the specified Work Activity IDs.\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[recordable]\"` (boolean()): Return item(s) that are recordable.\n  - `:\"filters[affected_body_part]\"` ([String.t]): Return item(s) with any of the specified Affected Body Parts.\n  - `:\"filters[affliction_type_id]\"` ([integer()]): Return item(s) with the specified Affliction Type IDs\n  - `:\"filters[filing_type]\"` ([String.t]): Return item(s) with the specified filing types. The `recordable` filing_type filter value is deprecated.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t): \n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_get/5","doc":"Show Recycled Injury\nReturns a specific Recycled Injury  NOTE: The afflictions and affected_body_part keys are deprecated. Please disregard and use the affected_body_parts and affliction_type keys as documented below.","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Injury ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_restore_patch/5","doc":"Retrieve Recycled Injury\nRetrieves a specific Injury from the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Injury ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuries.rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuries.html#rest_v10_projects_project_id_recycle_bin_incidents_injuries_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsInjuryFilterOptions`.","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_body_parts_get/4","doc":"Get Affected Body Part Filter Options\nReturns affected body parts in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_body_parts_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_body_parts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_body_parts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_body_parts_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_body_parts_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_companies_get/4","doc":"Get Affected Company Filter Options\nReturns affected companies in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_companies_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_companies_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_companies_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_companies_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_companies_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_parties_get/4","doc":"Get Affected Parties Filter Options\nReturns affected parties in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_parties_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_parties_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_parties_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_parties_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_parties_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_persons_get/4","doc":"Get Affected Persons Filter Options\nReturns affected persons in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_persons_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_persons_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_persons_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affected_persons_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affected_persons_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affliction_types_get/4","doc":"Get Affliction Type Filter Options\nReturns affliction types in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affliction_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affliction_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affliction_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_affliction_types_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_affliction_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_filing_types_get/4","doc":"Get Filing Type Filter Options\nReturns filing types in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_filing_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_filing_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_filing_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_filing_types_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_filing_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_harm_sources_get/4","doc":"Get Harm Source Filter Options\nReturns harm sources in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_harm_sources_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_harm_sources_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_harm_sources_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_harm_sources_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_harm_sources_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_managed_equipment_get/4","doc":"Get Managed Equipment Filter Options\nReturns managed equipment in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_managed_equipment_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_managed_equipment_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_managed_equipment_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_managed_equipment_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_managed_equipment_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_work_activities_get/4","doc":"Get Work Activity Filter Options\nReturns work activities in use for filtering injuries","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_work_activities_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_work_activities_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_work_activities_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.rest_v10_projects_project_id_incidents_injuries_filter_options_work_activities_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsInjuryFilterOptions.html#rest_v10_projects_project_id_incidents_injuries_filter_options_work_activities_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsNearMissFilterOptions`.","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_companies_get/4","doc":"Get Affected Company Filter Options\nReturns affected companies in use for filtering near misses","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_companies_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_companies_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_companies_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_companies_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_companies_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_parties_get/4","doc":"Get Affected Parties Filter Options\nReturns affected parties in use for filtering near misses","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_parties_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_parties_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_parties_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_parties_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_parties_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_persons_get/4","doc":"Get Affected Persons Filter Options\nReturns affected persons in use for filtering near misses","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_persons_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_persons_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_persons_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_persons_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_affected_persons_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_harm_sources_get/4","doc":"Get Harm Source Filter Options\nReturns harm sources in use for filtering near misses","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_harm_sources_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_harm_sources_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_harm_sources_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_harm_sources_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_harm_sources_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_managed_equipment_get/4","doc":"Get Managed Equipment Filter Options\nReturns managed equipment in use for filtering near misses","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_managed_equipment_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_managed_equipment_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_managed_equipment_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_managed_equipment_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_managed_equipment_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_work_activities_get/4","doc":"Get Work Activity Filter Options\nReturns work activities in use for filtering near misses","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_work_activities_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_work_activities_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_work_activities_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.rest_v10_projects_project_id_incidents_near_misses_filter_options_work_activities_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMissFilterOptions.html#rest_v10_projects_project_id_incidents_near_misses_filter_options_work_activities_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsNearMisses","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsNearMisses`.","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_get/4","doc":"List Near Misses\nReturns a list of Near Misses for a given project.","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Near Misses for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[affected_company_id]\"` ([integer()]): Array of Company IDs. Returns item(s) with the specified affected Company IDs.\n  - `:\"filters[affected_party_id]\"` ([integer()]): Array of Affected Party IDs. Returns item(s) with the specified Affected Party IDs.\n  - `:\"filters[affected_person_id]\"` ([integer()]): Array of Person IDs. Returns item(s) with the specified affected Person IDs.\n  - `:\"filters[harm_source_id]\"` ([integer()]): Array of Harm Source IDs. Returns item(s) with the specified Harm Source IDs.\n  - `:\"filters[work_activity_id]\"` ([integer()]): Array of Work Activity IDs. Returns item(s) with the specified Work Activity IDs.\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_delete/5","doc":"Destroy Near Miss\nSends Near Miss to the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Near Miss ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_get/5","doc":"Show Near Miss\nReturns specific Near Miss","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Near Miss ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_patch/6","doc":"Update Near Miss\nUpdate a Near Miss' attributes","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Near Miss ID\n- `rest_v10_projects_project_id_incidents_near_misses_id_patch_request` (RestV10ProjectsProjectIdIncidentsNearMissesIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_post/5","doc":"Create Near Miss\nCreates a Near Miss record.","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_incidents_near_misses_post_request` (RestV10ProjectsProjectIdIncidentsNearMissesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_incidents_near_misses_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_incidents_near_misses_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_get/4","doc":"List Recycled Near Misses\nReturns a list of Recycled Near Misses for a given project (or Incident, if incident_id is present).","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Recycled Near Misses for a given Incident.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[affected_company_id]\"` ([integer()]): Array of Company IDs. Returns item(s) with the specified affected Company IDs.\n  - `:\"filters[affected_party_id]\"` ([integer()]): Array of Affected Party IDs. Returns item(s) with the specified Affected Party IDs.\n  - `:\"filters[affected_person_id]\"` ([integer()]): Array of Person IDs. Returns item(s) with the specified affected Person IDs.\n  - `:\"filters[harm_source_id]\"` ([integer()]): Array of Harm Source IDs. Returns item(s) with the specified Harm Source IDs.\n  - `:\"filters[work_activity_id]\"` ([integer()]): Array of Work Activity IDs. Returns item(s) with the specified Work Activity IDs.\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t): \n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_get/5","doc":"Show Recycled Near Miss\nReturns a specific Recycled Near Miss","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Near Miss ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_restore_patch/5","doc":"Retrieve Recycled Near Miss\nRetrieves a specific Recycled Near Miss from the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Near Miss ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsNearMisses.rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsNearMisses.html#rest_v10_projects_project_id_recycle_bin_incidents_near_misses_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsProjectIncidentConfiguration`.","ref":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.rest_v10_projects_project_id_incidents_configuration_get/4","doc":"Get Project Incident Configuration\nReturn the selected project Incident configuration values","ref":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.html#rest_v10_projects_project_id_incidents_configuration_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.rest_v10_projects_project_id_incidents_configuration_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.html#rest_v10_projects_project_id_incidents_configuration_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.rest_v10_projects_project_id_incidents_configuration_get/4","doc":"- `{:ok, Procore.Model.ProjectIncidentConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.html#rest_v10_projects_project_id_incidents_configuration_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.rest_v10_projects_project_id_incidents_configuration_patch/5","doc":"Update Project Incident Configuration\nUpdate the selected project Incident configuration values","ref":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.html#rest_v10_projects_project_id_incidents_configuration_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.rest_v10_projects_project_id_incidents_configuration_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_incidents_configuration_patch_request` (RestV10ProjectsProjectIdIncidentsConfigurationPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.html#rest_v10_projects_project_id_incidents_configuration_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.rest_v10_projects_project_id_incidents_configuration_patch/5","doc":"- `{:ok, Procore.Model.ProjectIncidentConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsProjectIncidentConfiguration.html#rest_v10_projects_project_id_incidents_configuration_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsPropertyDamageFilterOptions`.","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_affected_companies_get/4","doc":"Get Affected Company Filter Options\nReturns affected companies in use for filtering property damages","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_affected_companies_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_affected_companies_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_affected_companies_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_affected_companies_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_affected_companies_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_managed_equipment_get/4","doc":"Get Managed Equipment Filter Options\nReturns managed equipment in use for filtering property damages","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_managed_equipment_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_managed_equipment_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_managed_equipment_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_managed_equipment_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_managed_equipment_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_responsible_companies_get/4","doc":"Get Responsible Company Filter Options\nReturns responsible companies in use for filtering property damages","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_responsible_companies_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_responsible_companies_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_responsible_companies_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_responsible_companies_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_responsible_companies_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_work_activities_get/4","doc":"Get Work Activity Filter Options\nReturns work activities in use for filtering property damages","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_work_activities_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_work_activities_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_work_activities_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.rest_v10_projects_project_id_incidents_property_damages_filter_options_work_activities_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamageFilterOptions.html#rest_v10_projects_project_id_incidents_property_damages_filter_options_work_activities_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsPropertyDamages`.","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_get/4","doc":"List Property Damages\nReturns a list of Property Damage records for a given project.","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Property Damages for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[responsible_company_id]\"` ([integer()]): Return item(s) with the specified Vendor ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_delete/5","doc":"Destroy Property Damage\nSends the specified Property Damage record to the Recycle Bin","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Property Damage ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_get/5","doc":"Show Property Damage\nReturns the specified Property Damage record","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Property Damage ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_patch/6","doc":"Update Property Damage\nUpdates the specified Property Damage record","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Property Damage ID\n- `rest_v10_projects_project_id_incidents_property_damages_id_patch_request` (RestV10ProjectsProjectIdIncidentsPropertyDamagesIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_post/5","doc":"Create Property Damage\nCreates a Property Damage record.","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_incidents_property_damages_post_request` (RestV10ProjectsProjectIdIncidentsPropertyDamagesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_incidents_property_damages_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_incidents_property_damages_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_get/4","doc":"List Recycled Property Damages\nReturns a list of Recycled Property Damages for a given project (or Incident, if incident_id is present).","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Property Damages for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[responsible_company_id]\"` ([integer()]): Return item(s) with the specified Vendor ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_get/5","doc":"Show Recycled Property Damage\nReturns specified Recycled Property Damage record","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Property Damage ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_restore_patch/5","doc":"Retrieve Property Damage\nRetrieves specified Recycled Property Damage from the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Property Damage ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsPropertyDamages.rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsPropertyDamages.html#rest_v10_projects_project_id_recycle_bin_incidents_property_damages_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsSeverityLevels","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsSeverityLevels`.","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_get/4","doc":"List Incident Severity Levels\nReturn a list of all Incident Severity Levels associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[email_trigger]\"` (String.t): Return item(s) set to trigger email notifications.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[push_notification_trigger]\"` (String.t): Return item(s) set to trigger push notifications.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_get/4","doc":"- `{:ok, [%SeverityLevel{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_id_get/5","doc":"Show Incident Severity Level\nReturns the specified Incident Severity Level.","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Incident Severity Level ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_id_get/5","doc":"- `{:ok, Procore.Model.SeverityLevel.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_id_patch/6","doc":"Update Incident Severity Level\nUpdates a specified Incident Severity Level.","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Incident Severity Level ID\n- `rest_v10_companies_company_id_incidents_severity_levels_id_patch_request` (RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsSeverityLevels.rest_v10_companies_company_id_incidents_severity_levels_id_patch/6","doc":"- `{:ok, Procore.Model.SeverityLevel.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsSeverityLevels.html#rest_v10_companies_company_id_incidents_severity_levels_id_patch/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsWitnessStatementAttachments","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsWitnessStatementAttachments`.","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatementAttachments.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatementAttachments.rest_v10_projects_project_id_incidents_witness_statements_witness_statement_id_attachments_post/6","doc":"Create Attachment\nCreates an attachment for the specified Witness Statement.","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatementAttachments.html#rest_v10_projects_project_id_incidents_witness_statements_witness_statement_id_attachments_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatementAttachments.rest_v10_projects_project_id_incidents_witness_statements_witness_statement_id_attachments_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `witness_statement_id` (integer()): Witness Statement ID\n- `attachment` (String.t): Witness Statement Attachment. To upload an attachment you must upload the entire payload as `multipart/form-data` content-type with the `attachment` file.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatementAttachments.html#rest_v10_projects_project_id_incidents_witness_statements_witness_statement_id_attachments_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatementAttachments.rest_v10_projects_project_id_incidents_witness_statements_witness_statement_id_attachments_post/6","doc":"- `{:ok, Procore.Model.IncidentAttachment1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatementAttachments.html#rest_v10_projects_project_id_incidents_witness_statements_witness_statement_id_attachments_post/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsWitnessStatements`.","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_get/4","doc":"List Witness Statements\nReturns a list of Witness Statements for a given project.","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Witness Statements for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[date_received]\"` (Date.t): Return item(s) within the specified date received date range. This assumes the dates provided are in the project time zone.\n  - `:\"filters[witness_id]\"` ([integer()]): Return item(s) with the specified Witness (Party) ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_delete/5","doc":"Destroy Witness Statement\nSends the specified Witness Statement to the Recycle Bin","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Witness Statement ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_get/5","doc":"Show Witness Statement\nReturns the specified Witness Statement","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Witness Statement ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_patch/6","doc":"Update Witness Statement\nUpdates the specified Witness Statement","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Witness Statement ID\n- `rest_v10_projects_project_id_incidents_witness_statements_id_patch_request` (RestV10ProjectsProjectIdIncidentsWitnessStatementsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_id_patch/6","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_post/5","doc":"Create Witness Statement\nCreates a Witness Statement.","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_incidents_witness_statements_post_request` (RestV10ProjectsProjectIdIncidentsWitnessStatementsPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_incidents_witness_statements_post/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_incidents_witness_statements_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_get/4","doc":"List Recycled Witness Statements\nReturns a list of Recycled Witness Statements for a given project (or Incident, if incident_id is present).","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Recycled Witness Statements for a given Incident.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[date_received]\"` (Date.t): Return item(s) within the specified date received date range. This assumes the dates provided are in the project time zone.\n  - `:\"filters[witness_id]\"` ([integer()]): Return item(s) with the specified Witness (Party) ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t): \n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5","doc":"Show Recycled Witness Statement\nReturns a specific Recycled Witness Statement","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Witness Statement ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5","doc":"Retrieve Recycled Witness Statement\nRetrieves a specific Recycled Witness Statement from the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Witness Statement ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v10_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_get/4","doc":"List Recycled Witness Statements\nReturns a list of Recycled Witness Statements for a given project (or Incident, if incident_id is present).","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID. When provided, the list will be scoped to only the Recycled Witness Statements for a given Incident.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[date_received]\"` (Date.t): Return item(s) within the specified date received date range. This assumes the dates provided are in the project time zone.\n  - `:\"filters[witness_id]\"` ([integer()]): Return item(s) with the specified Witness (Party) ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing query\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_get/4","doc":"- `{:ok, [%RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5","doc":"Show Recycled Witness Statement\nReturns a specific Recycled Witness Statement","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Witness Statement ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5","doc":"Retrieve Recycled Witness Statement\nRetrieves a specific Recycled Witness Statement from the recycle bin","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Witness Statement ID\n- `opts` (keyword): Optional parameters\n  - `:incident_id` (integer()): Incident ID","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWitnessStatements.rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWitnessStatements.html#rest_v11_projects_project_id_recycle_bin_incidents_witness_statements_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyIncidentsWorkActivities","doc":"API calls for all endpoints tagged `QualitySafetyIncidentsWorkActivities`.","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_bulk_update_patch/5","doc":"Bulk Update Work Activities\nUpdate multiple Work Activities with one request.","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_incidents_work_activities_bulk_update_patch_request` (RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_bulk_update_patch/5","doc":"- `{:ok, [%WorkActivity{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_bulk_update_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_get/4","doc":"List Work Activities\nReturn a list of all Work Activities associated with a Company.","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_get/4","doc":"- `{:ok, [%WorkActivity{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_delete/5","doc":"Delete Work Activity\nDeletes a Work Activity. Note that Procore provided Work Activities cannot be deleted.","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Work Activity ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_get/5","doc":"Show Work Activity\nReturns the specified Work Activity.","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Work Activity ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_get/5","doc":"- `{:ok, Procore.Model.WorkActivity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_patch/6","doc":"Update Work Activity\nUpdates a specified Work Activity. Note that Procore provided Work Activities' names cannot be changed.","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Work Activity ID\n- `rest_v10_companies_company_id_incidents_work_activities_post_request` (RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_id_patch/6","doc":"- `{:ok, Procore.Model.WorkActivity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_post/5","doc":"Create Work Activity\nCreates a Work Activity with the specified name.","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_incidents_work_activities_post_request` (RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyIncidentsWorkActivities.rest_v10_companies_company_id_incidents_work_activities_post/5","doc":"- `{:ok, Procore.Model.WorkActivity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyIncidentsWorkActivities.html#rest_v10_companies_company_id_incidents_work_activities_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsAlternativeResponseSets`.","ref":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.rest_v10_companies_company_id_checklist_alternative_response_sets_get/4","doc":"List Alternative Response Sets\nLists Alternative Response Sets for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.html#rest_v10_companies_company_id_checklist_alternative_response_sets_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.rest_v10_companies_company_id_checklist_alternative_response_sets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.html#rest_v10_companies_company_id_checklist_alternative_response_sets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.rest_v10_companies_company_id_checklist_alternative_response_sets_get/4","doc":"- `{:ok, [%ChecklistAlternativeResponseSetFull{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.html#rest_v10_companies_company_id_checklist_alternative_response_sets_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.rest_v10_companies_company_id_checklist_alternative_response_sets_id_get/5","doc":"Show Alternative Response Set\nReturns a specified Alternative Response Set. The set includes alternative terms to represent conforming and deficient item responses, e.g. \"Safe\" instead of \"Pass\" for an item with an internal status of \"yes\". The global attribute indicates whether a response set has been provided by Procore.","ref":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.html#rest_v10_companies_company_id_checklist_alternative_response_sets_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.rest_v10_companies_company_id_checklist_alternative_response_sets_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Alternative Response Set ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.html#rest_v10_companies_company_id_checklist_alternative_response_sets_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.rest_v10_companies_company_id_checklist_alternative_response_sets_id_get/5","doc":"- `{:ok, Procore.Model.ChecklistAlternativeResponseSetFull.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsAlternativeResponseSets.html#rest_v10_companies_company_id_checklist_alternative_response_sets_id_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistAttachments","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistAttachments`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.rest_v10_projects_project_id_checklist_lists_list_id_attachments_id_delete/6","doc":"Delete Attachment\nDeletes the specified Attachment","ref":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.html#rest_v10_projects_project_id_checklist_lists_list_id_attachments_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistAttachments.rest_v10_projects_project_id_checklist_lists_list_id_attachments_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `list_id` (integer()): Checklist (Inspection) ID\n- `id` (integer()): Attachment ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.html#rest_v10_projects_project_id_checklist_lists_list_id_attachments_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistAttachments.rest_v10_projects_project_id_checklist_lists_list_id_attachments_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.html#rest_v10_projects_project_id_checklist_lists_list_id_attachments_id_delete/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.rest_v10_projects_project_id_checklist_lists_list_id_attachments_post/6","doc":"Create Attachment\nCreates an attachment for the specified Checklist (Inspection).","ref":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.html#rest_v10_projects_project_id_checklist_lists_list_id_attachments_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistAttachments.rest_v10_projects_project_id_checklist_lists_list_id_attachments_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `list_id` (integer()): Checklist (Inspection) ID\n- `attachment` (String.t): Checklist (Inspection) Attachment. To upload an attachment you must upload the entire payload as `multipart/form-data` content-type with the `attachment` file.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.html#rest_v10_projects_project_id_checklist_lists_list_id_attachments_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistAttachments.rest_v10_projects_project_id_checklist_lists_list_id_attachments_post/6","doc":"- `{:ok, Procore.Model.ChecklistInspectionAttachment1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistAttachments.html#rest_v10_projects_project_id_checklist_lists_list_id_attachments_post/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistComments","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistComments`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_checklist_lists_list_id_comments_id_get/6","doc":"Show Checklist Comment\nRetrieves Checklist Comment in a specified Checklist.","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_checklist_lists_list_id_comments_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_checklist_lists_list_id_comments_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `id` (integer()): Comment ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_checklist_lists_list_id_comments_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_checklist_lists_list_id_comments_id_get/6","doc":"- `{:ok, Procore.Model.ChecklistComment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_checklist_lists_list_id_comments_id_get/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_checklist_lists_list_id_comments_post/5","doc":"Create Checklist Comment\nCreates Checklist Comment in a specified Checklist","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_checklist_lists_list_id_comments_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_checklist_lists_list_id_comments_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `checklist_comment_body` (ChecklistCommentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_checklist_lists_list_id_comments_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_checklist_lists_list_id_comments_post/5","doc":"- `{:ok, Procore.Model.ChecklistComment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_checklist_lists_list_id_comments_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_projects_project_id_checklist_list_item_comments_get/4","doc":"List Checklist (Inspection) Comments\nReturns the Checklist Comments from Checklists (Inspections) on the Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_projects_project_id_checklist_list_item_comments_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_projects_project_id_checklist_list_item_comments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[item_id]\"` ([integer()]): Array of Checklist Item IDs. Return item(s) associated with the specified Checklist Item IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_projects_project_id_checklist_list_item_comments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_projects_project_id_checklist_list_item_comments_get/4","doc":"- `{:ok, [%ChecklistComment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_projects_project_id_checklist_list_item_comments_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_projects_project_id_recycle_bin_checklist_list_item_comments_get/4","doc":"List Recycled Checklist (Inspection) Comments\nReturns the Checklist Comments from recycled Checklists (Inspections) on the Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_projects_project_id_recycle_bin_checklist_list_item_comments_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_projects_project_id_recycle_bin_checklist_list_item_comments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[item_id]\"` ([integer()]): Array of Checklist Item IDs. Return item(s) associated with the specified Checklist Item IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_projects_project_id_recycle_bin_checklist_list_item_comments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistComments.rest_v10_projects_project_id_recycle_bin_checklist_list_item_comments_get/4","doc":"- `{:ok, [%ChecklistComment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistComments.html#rest_v10_projects_project_id_recycle_bin_checklist_list_item_comments_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistDefaultDistribution","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistDefaultDistribution`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistDefaultDistribution.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistDefaultDistribution.rest_v10_checklist_default_distribution_get/4","doc":"List Default Distribution Members\nReturns a collection of Users that are on the Inspections Default Distribution list. x-deprecated-at: 1644250224 deprecated: true","ref":"Procore.Api.QualitySafetyInspectionsChecklistDefaultDistribution.html#rest_v10_checklist_default_distribution_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistDefaultDistribution.rest_v10_checklist_default_distribution_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:vendor_id` (integer()): Vendor ID","ref":"Procore.Api.QualitySafetyInspectionsChecklistDefaultDistribution.html#rest_v10_checklist_default_distribution_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistDefaultDistribution.rest_v10_checklist_default_distribution_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistDefaultDistribution.html#rest_v10_checklist_default_distribution_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistItemAttachments`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_bulk_create_post/5","doc":"Bulk Create Checklist (Inspections) Item Attachments\nUploads Attachments to the specified Checklist Item for a given Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_bulk_create_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_bulk_create_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `checklist_item_attachments` (ChecklistItemAttachments): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_bulk_create_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_bulk_create_post/5","doc":"- `{:ok, [%ChecklistItemAttachment1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_bulk_create_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_get/4","doc":"List Checklist (Inspections) Item Attachments\nLists Checklist (Inspections) Item Attachments in a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[item_id]\"` ([integer()]): Array of Checklist Item IDs. Return item(s) associated with the specified Checklist Item IDs.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_get/4","doc":"- `{:ok, [%ChecklistItemAttachment1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_id_delete/5","doc":"Delete Checklist (Inspections) Item Attachment\nRemoves the Attachment for a specified Checklist Item on a given Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Item ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_checklist_list_item_attachments_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_checklist_list_item_attachments_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_recycle_bin_checklist_list_item_attachments_get/4","doc":"List Recycled Checklist (Inspections) Item Attachments\nLists Checklist (Inspections) Item Attachments from deleted inspections in a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_recycle_bin_checklist_list_item_attachments_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_recycle_bin_checklist_list_item_attachments_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[item_id]\"` ([integer()]): Array of Checklist Item IDs. Return item(s) associated with the specified Checklist Item IDs.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_recycle_bin_checklist_list_item_attachments_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.rest_v10_projects_project_id_recycle_bin_checklist_list_item_attachments_get/4","doc":"- `{:ok, [%ChecklistItemAttachment1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemAttachments.html#rest_v10_projects_project_id_recycle_bin_checklist_list_item_attachments_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistItemObservations","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistItemObservations`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemObservations.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItemObservations.rest_v10_projects_project_id_checklist_list_item_observations_get/4","doc":"List Checklist Item Observations\nReturns the Observations from Checklist (Inspection) Items on the Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemObservations.html#rest_v10_projects_project_id_checklist_list_item_observations_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItemObservations.rest_v10_projects_project_id_checklist_list_item_observations_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[item_id]\"` ([integer()]): Array of Checklist Item IDs. Return item(s) associated with the specified Checklist Item IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemObservations.html#rest_v10_projects_project_id_checklist_list_item_observations_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItemObservations.rest_v10_projects_project_id_checklist_list_item_observations_get/4","doc":"- `{:ok, [%ChecklistInspectionItemObservation{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemObservations.html#rest_v10_projects_project_id_checklist_list_item_observations_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistItemTypes`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.rest_v10_checklist_item_types_get/5","doc":"List Available Checklist Item Types\nLists available Checklist Item Types  NOTE: Though both query parameters are marked as required below, only one of the two needs to be passed in (i.e., if you pass in a project_id then you do not need to also pass in a company_id, and vice versa).","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.html#rest_v10_checklist_item_types_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItemTypes.rest_v10_checklist_item_types_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.html#rest_v10_checklist_item_types_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItemTypes.rest_v10_checklist_item_types_get/5","doc":"- `{:ok, [%ChecklistItemType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.html#rest_v10_checklist_item_types_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.rest_v10_checklist_item_types_id_get/6","doc":"Show Checklist Item Type\nRetrieves specific Checklist Item Type  NOTE: Though both query parameters are marked as required below, only one of the two needs to be passed in (i.e., if you pass in a project_id then you do not need to also pass in a company_id, and vice versa).","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.html#rest_v10_checklist_item_types_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItemTypes.rest_v10_checklist_item_types_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Item Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.html#rest_v10_checklist_item_types_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItemTypes.rest_v10_checklist_item_types_id_get/6","doc":"- `{:ok, Procore.Model.ChecklistItemType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItemTypes.html#rest_v10_checklist_item_types_id_get/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistItems","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistItems`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_id_get/7","doc":"Show Checklist Item\nRetrieves Checklist Item in a specified Checklist","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_id_get/7"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_id_get/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `id` (integer()): Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `section_id` (integer()): Checklist Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_id_get/7-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_id_get/7","doc":"- `{:ok, Procore.Model.ChecklistSectionItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_id_get/7-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_id_patch/6","doc":"Update Checklist Item\nUpdates Checklist Item in a specified Checklist","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `id` (integer()): Item ID\n- `checklist_item_body` (ChecklistItemBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_id_patch/6","doc":"- `{:ok, Procore.Model.ChecklistSectionItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_item_id_item_attachments_post/8","doc":"Create Checklist Item Attachment\nUploads an Attachment to the specified Checklist Item","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_item_id_item_attachments_post/8"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_item_id_item_attachments_post/8","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `item_id` (integer()): Checklist Item ID\n- `project_id` (integer()): The ID of the Project the Item belongs to\n- `section_id` (integer()): The ID of the Section the Item belongs to\n- `attachment` (String.t): Item Attachment. To upload an attachment you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with the `attachment` file.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_item_id_item_attachments_post/8-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_checklist_lists_list_id_items_item_id_item_attachments_post/8","doc":"- `{:ok, Procore.Model.ChecklistItemAttachment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_checklist_lists_list_id_items_item_id_item_attachments_post/8-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_delete/5","doc":"Delete Checklist Item Response\nRemoves the Checklist Item Response for a specified Checklist Item","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `item_id` (integer()): Checklist Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_get/5","doc":"Show Checklist Item Response\nReturns the Checklist Item Response for a specified Checklist Item","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `item_id` (integer()): Checklist Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_get/5","doc":"- `{:ok, Procore.Model.ChecklistItemResponse2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_post/6","doc":"Create Checklist Item Response\nCreate Checklist Item Response for a specified Checklist Item  Checklist Item Response can have one of the following payload formats (text_value, number_value, date_value, response_option, status)  A specific Item Type can only leverage its corresponding format.  *For instance, Number Items can only leverage a number_value while Date Items can only leverage a date_value.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `item_id` (integer()): Checklist Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `checklist_item_response_body` (ChecklistItemResponseBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_items_item_id_item_response_post/6","doc":"- `{:ok, Procore.Model.ChecklistItemResponse2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_items_item_id_item_response_post/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_list_items_get/4","doc":"List Checklist (Inspections) Items\nLists Checklist (Inspections) Items in a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_list_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_list_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[section_id]\"` ([integer()]): Return item(s) with the specified Checklist Section IDs\n  - `:\"filters[list_id]\"` ([integer()]): Return item(s) with the specified Checklist List IDs\n  - `:\"filters[item_response_status]\"` (String.t): Filter item(s) with matching item_response status.\n  - `:sort` (String.t): Sort item(s) by the chosen param; check below for a list of options. The direction of sorting is ascending by default; for descending sort, insert the - symbol before the param.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_list_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v10_projects_project_id_checklist_list_items_get/4","doc":"- `{:ok, [%ChecklistListItem1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v10_projects_project_id_checklist_list_items_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v11_projects_project_id_checklist_list_items_get/4","doc":"List Checklist (Inspections) Items\nLists Checklist (Inspections) Items in a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v11_projects_project_id_checklist_list_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v11_projects_project_id_checklist_list_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[section_id]\"` ([integer()]): Return item(s) with the specified Checklist Section IDs\n  - `:\"filters[list_id]\"` ([integer()]): Return item(s) with the specified Checklist List IDs","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v11_projects_project_id_checklist_list_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistItems.rest_v11_projects_project_id_checklist_list_items_get/4","doc":"- `{:ok, [%ChecklistListItem{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistItems.html#rest_v11_projects_project_id_checklist_list_items_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistListFilterOptions`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_closed_by_contacts_get/4","doc":"List Checklist List Closed By Contact Filter Options\nReturns contacts that have closed inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_closed_by_contacts_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_closed_by_contacts_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_closed_by_contacts_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_closed_by_contacts_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_closed_by_contacts_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_inspectors_get/4","doc":"List Checklist List Inspector Filter Options\nReturns inspectors associated to inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_inspectors_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_inspectors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_inspectors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_inspectors_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_inspectors_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_list_templates_get/4","doc":"List Checklist List Template Filter Options\nReturns list templates associated to inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_list_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_list_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_list_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_list_templates_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_list_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_locations_get/4","doc":"List Checklist List Location Filter Options\nReturns locations associated to inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_locations_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_locations_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_locations_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_locations_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_locations_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_points_of_contact_get/4","doc":"List Checklist List Point of Contact Filter Options\nReturns points of contact associated to inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_points_of_contact_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_points_of_contact_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_points_of_contact_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_points_of_contact_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_points_of_contact_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_responsible_contractors_get/4","doc":"List Checklist List Responsible Contractor Filter Options\nReturns responsible contractors associated to inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_responsible_contractors_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_responsible_contractors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_responsible_contractors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_responsible_contractors_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_responsible_contractors_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_spec_sections_get/4","doc":"List Checklist List Specification Section Filter Options\nReturns specification sections associated to inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_spec_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_spec_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_spec_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_spec_sections_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_spec_sections_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_statuses_get/4","doc":"List Checklist List Status Filter Options\nReturns possible statuses of an inspection","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_statuses_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_statuses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_statuses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_statuses_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_statuses_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_trades_get/4","doc":"List Checklist List Trade Filter Options\nReturns trades associated to inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_trades_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_trades_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_trades_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_trades_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_trades_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_types_get/4","doc":"List Checklist List Inspection Type Filter Options\nReturns inspection types associated to inspections","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.rest_v10_projects_project_id_checklist_lists_filter_options_types_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistListFilterOptions.html#rest_v10_projects_project_id_checklist_lists_filter_options_types_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistScheduleAttachments`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_get/5","doc":"List Checklist Schedule Attachments\nLists Checklist Schedule Attachments for given Project and Schedule","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `schedule_id` (integer()): Checklist Schedule ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_get/5","doc":"- `{:ok, [%ChecklistScheduleAttachment{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_id_delete/6","doc":"Delete Checklist Schedule Attachment\nDelete the attachment pertaining to the Checklist Schedule Attachment","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `schedule_id` (integer()): Checklist Schedule ID\n- `id` (integer()): Checklist Schedule Attachment ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_id_delete/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_post/6","doc":"Create Checklist Schedule Attachment\nUploads an Attachment to the specified Checklist Schedule","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `schedule_id` (integer()): Checklist Schedule ID\n- `attachment` (String.t): Checklist Schedule Attachment. To upload an attachment you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with the `attachment` file.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_post/6","doc":"- `{:ok, Procore.Model.ChecklistScheduleAttachment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleAttachments.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_attachments_post/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleChangeHistories","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistScheduleChangeHistories`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleChangeHistories.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleChangeHistories.rest_v10_projects_project_id_checklist_schedules_schedule_id_change_history_get/5","doc":"List Checklist Schedule Change Histories\nLists Checklist Schedule Change Histories for given Project and Schedule","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleChangeHistories.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_change_history_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistScheduleChangeHistories.rest_v10_projects_project_id_checklist_schedules_schedule_id_change_history_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `schedule_id` (integer()): Checklist Schedule ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleChangeHistories.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_change_history_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistScheduleChangeHistories.rest_v10_projects_project_id_checklist_schedules_schedule_id_change_history_get/5","doc":"- `{:ok, [%ChecklistScheduleChangeHistory{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleChangeHistories.html#rest_v10_projects_project_id_checklist_schedules_schedule_id_change_history_get/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistScheduleFilterOptions`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_assignees_get/4","doc":"Checklist Schedule Assignee Filter Options\nReturns assignees of the checklist schedule","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_assignees_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_assignees_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_inspection_templates_get/4","doc":"Checklist Schedule Inspection Template Filter Options\nReturns inspection templates associated to the inspections schedule","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_inspection_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_inspection_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_inspection_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_inspection_templates_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_inspection_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_locations_get/4","doc":"Checklist Schedule Location Filter Options\nReturns locations associated to the inspection schedules","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_locations_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_locations_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_locations_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_locations_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_locations_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_types_get/4","doc":"Checklist Schedule Inspection Type Filter Options\nReturns Inspection types associated to inspection schedules","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.rest_v10_projects_project_id_checklist_schedules_filter_options_types_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistScheduleFilterOptions.html#rest_v10_projects_project_id_checklist_schedules_filter_options_types_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistSchedules","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistSchedules`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_calculate_first_inspection_created_at_get/5","doc":"Calculate when the first Inspection of an Inspection Schedule will be created\nCalculates the creation date for the first Inspection to be created based on an Inspection Schedule's temporal attributes.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_calculate_first_inspection_created_at_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_calculate_first_inspection_created_at_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_checklist_schedules_calculate_first_inspection_created_at_get_request` (RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_calculate_first_inspection_created_at_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_calculate_first_inspection_created_at_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_calculate_first_inspection_created_at_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_calculate_total_inspections_count_get/5","doc":"Calculate number of Inspections to create based on Schedule\nCalculates the total number of Inspections to create based on Schedule parameters.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_calculate_total_inspections_count_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_calculate_total_inspections_count_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_checklist_schedules_calculate_total_inspections_count_get_request` (RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_calculate_total_inspections_count_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_calculate_total_inspections_count_get/5","doc":"- `{:ok, Procore.Model.TotalInspections.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_calculate_total_inspections_count_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_get/4","doc":"List Checklist (Inspection) Schedules\nReturns the Checklist Schedules from Checklists (Inspections) on the Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Return schedule(s) with the specified Checklist Type IDs\n  - `:\"filters[frequency]\"` ([String.t]): Return schedule(s) with the specified Frequency Types\n  - `:\"filters[location_id]\"` ([integer()]): Return schedule(s) with the specified Location IDs\n  - `:\"filters[list_template_id]\"` ([integer()]): Return schedule(s) with the specified Inspection Template IDs\n  - `:\"filters[assignee_id]\"` ([integer()]): Return schedule(s) with the specified Assignee IDs\n  - `:\"filters[first_inspection_due_at]\"` ([Date.t]): Return schedule(s) with the specified First Inspection Due Date\n  - `:\"filters[ends_at]\"` ([Date.t]): Return schedule(s) with the specified Last Inspection Due Date.\n  - `:\"filters[ended]\"` (boolean()): Return schedule(s) that are finished when true, returns unfinished schedule(s) otherwise\n  - `:sort` (String.t): Sort schedule(s) by the chosen param; check below for a list of options. The direction of sorting is ascending by default; for descending sort, insert the - symbol before the param.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_get/4","doc":"- `{:ok, [%ChecklistSchedule{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_delete/5","doc":"Delete Checklist Schedule\nDelete a Checklist Schedule in a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Checklist Schedule ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_get/5","doc":"Show Checklist Schedule\nRetrieves Checklist Schedule in a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Checklist Schedule ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_get/5","doc":"- `{:ok, Procore.Model.ChecklistSchedule.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_patch/5","doc":"Update a Checklist (Inspection) Schedule\nUpdates a Checklist (Inspection) Schedule in a specified Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Checklist Schedule ID\n- `opts` (keyword): Optional parameters\n  - `:body` (ChecklistScheduleBody1):","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_id_patch/5","doc":"- `{:ok, Procore.Model.ChecklistSchedule.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_id_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_post/4","doc":"Create a Checklist (Inspection) Schedule\nCreates a Checklist Schedule from a Checklist (Inspection) Template on the Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:body` (ChecklistScheduleBody):","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSchedules.rest_v10_projects_project_id_checklist_schedules_post/4","doc":"- `{:ok, Procore.Model.ChecklistSchedule.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSchedules.html#rest_v10_projects_project_id_checklist_schedules_post/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistSections","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistSections`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_delete/6","doc":"Delete Checklist Section\nThis is a deprecated endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `id` (integer()): Checklist Section ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_delete/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_get/6","doc":"Show Checklist Section\nRetrieves Checklist Section in a specified Checklist.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `id` (integer()): Checklist Section ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_get/6","doc":"- `{:ok, Procore.Model.ChecklistSection2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_get/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_patch/6","doc":"Update Checklist Section\nThis is a deprecated endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `id` (integer()): Checklist Section ID\n- `checklist_section_body` (ChecklistSectionBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_id_patch/6","doc":"- `{:ok, Procore.Model.ChecklistSection2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_post/5","doc":"Create Checklist Section\nThis is a deprecated endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `checklist_section_body` (ChecklistSectionBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_post/5","doc":"- `{:ok, Procore.Model.ChecklistSection2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_patch/6","doc":"Toggle Checklist Section Not Applicable status\nToggles Checklist Section Not Applicable status in a specified Checklist and Checklist Section.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `section_id` (integer()): Checklist Section ID\n- `rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_put_request` (RestV10ChecklistListsListIdSectionsSectionIdToggleNotApplicablePutRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_patch/6","doc":"- `{:ok, Procore.Model.ChecklistSection2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_put/6","doc":"Toggle Checklist Section Not Applicable status\nToggles Checklist Section Not Applicable status in a specified Checklist and Checklist Section.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_put/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_put/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `section_id` (integer()): Checklist Section ID\n- `rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_put_request` (RestV10ChecklistListsListIdSectionsSectionIdToggleNotApplicablePutRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_put/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_put/6","doc":"- `{:ok, Procore.Model.ChecklistSection2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_checklist_lists_list_id_sections_section_id_toggle_not_applicable_put/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_projects_project_id_checklist_list_sections_get/4","doc":"List Checklist (Inspection) Sections\nReturns the Checklist Sections from Checklists (Inspections) on the Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_projects_project_id_checklist_list_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_projects_project_id_checklist_list_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[list_id]\"` ([integer()]): Return section(s) with the specified Checklist List IDs\n  - `:sort` (String.t): Sort item(s) by the chosen param; check below for a list of options. The direction of sorting is ascending by default; for descending sort, insert the - symbol before the param.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_projects_project_id_checklist_list_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v10_projects_project_id_checklist_list_sections_get/4","doc":"- `{:ok, [%ChecklistSection1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v10_projects_project_id_checklist_list_sections_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v11_projects_project_id_recycle_bin_checklist_list_sections_get/4","doc":"List Recycled Checklist (Inspection) Sections\nReturns the Recycled Checklist Sections from Checklists (Inspections) on the Project","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v11_projects_project_id_recycle_bin_checklist_list_sections_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v11_projects_project_id_recycle_bin_checklist_list_sections_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[list_id]\"` ([integer()]): Return section(s) with the specified Checklist List IDs\n  - `:sort` (String.t): Sort item(s) by the chosen param; check below for a list of options. The direction of sorting is ascending by default; for descending sort, insert the - symbol before the param.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v11_projects_project_id_recycle_bin_checklist_list_sections_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSections.rest_v11_projects_project_id_recycle_bin_checklist_list_sections_get/4","doc":"- `{:ok, [%ChecklistSection1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSections.html#rest_v11_projects_project_id_recycle_bin_checklist_list_sections_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistSignatureRequests`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_get/5","doc":"List Checklist Signature Requests\nLists Signature Requests for a specified Checklist","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_get/5","doc":"- `{:ok, [%ChecklistSignatureRequest{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_id_delete/6","doc":"Delete Checklist Signature Request\nDeletes a Signature Request for a specified Checklist.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `list_id` (integer()): Checklist ID\n- `id` (integer()): Signature Request ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_id_delete/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_id_get/6","doc":"Show Checklist Signature Request\nRetrieves Signature Request for a specified Checklist.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `list_id` (integer()): Checklist ID\n- `id` (integer()): Signature Request ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_id_get/6","doc":"- `{:ok, Procore.Model.ChecklistSignatureRequest.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_id_get/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_post/6","doc":"Create Checklist Signature Request\nCreates a Signature Request for a specified Checklist.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `checklist_signature_request_create_body` (ChecklistSignatureRequestCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_post/6","doc":"- `{:ok, Procore.Model.ChecklistSignatureRequest.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_post/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_delete/6","doc":"Delete Checklist Signature\nDeletes a Signature for a specified Checklist Signature Request.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_delete/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `signature_request_id` (integer()): Checklist Signature Request ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_delete/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_post/7","doc":"Create Checklist Signature\nCreates a Signature for a specified Checklist Signature Request.","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_post/7"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_post/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `list_id` (integer()): Checklist ID\n- `signature_request_id` (integer()): Checklist Signature Request ID\n- `project_id` (integer()): Unique identifier for the project.\n- `attachment` (String.t): Attachment representing the Signature. To upload an attachment you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with the `signature` file.\n- `opts` (keyword): Optional parameters\n  - `:attachment_string` (String.t): Base64 encoded string representing PNG image of signature","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_post/7-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_post/7","doc":"- `{:ok, Procore.Model.ChecklistSignatureRequest.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistSignatureRequests.html#rest_v10_checklist_lists_list_id_signature_requests_signature_request_id_signature_post/7-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklistTemplates","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklistTemplates`.","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_get/4","doc":"List Checklist Templates\nReturns a list of all Inspection Checklist Templates for a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_get/4","doc":"- `{:ok, [%ChecklistTemplate4{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_get/5","doc":"Show Checklist Template\nShows an Inspection Checklist Template.","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist Template ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_get/5","doc":"- `{:ok, Procore.Model.ChecklistTemplate4.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"Remove Checklist Template Alternative Response Set\nRemoves a Checklist Template's Alternative Response Set, returning the template to the default Response Set","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_remove_alternative_response_set_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist Template ID\n- `rest_v10_checklist_list_templates_id_remove_alternative_response_set_patch_request` (RestV10ChecklistListTemplatesIdRemoveAlternativeResponseSetPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_remove_alternative_response_set_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"- `{:ok, Procore.Model.ChecklistTemplate5.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_remove_alternative_response_set_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_use_alternative_response_set_patch/5","doc":"Add Checklist Template Alternative Response Set\nSets a Checklist Template's Response Set to the specified Alternative Response Set.","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_use_alternative_response_set_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_use_alternative_response_set_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist Template ID\n- `rest_v10_checklist_list_templates_id_use_alternative_response_set_patch_request` (RestV10ChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_use_alternative_response_set_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklistTemplates.rest_v10_checklist_list_templates_id_use_alternative_response_set_patch/5","doc":"- `{:ok, Procore.Model.ChecklistTemplate5.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklistTemplates.html#rest_v10_checklist_list_templates_id_use_alternative_response_set_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsChecklists","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsChecklists`.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_get/4","doc":"List Checklists\nLists Checklist (Inspections) in a specified Project grouped by a specified attribute. By default the Checklists are grouped by template. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[view]\"` (String.t): If 'recycle', return deleted Checklists.\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Array of Inspection Type IDs. Return item(s) associated with the specified Inspection Type IDs.\n  - `:\"filters[point_of_contact_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are the point of contact.\n  - `:\"filters[inspector_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are inspectors.\n  - `:\"filters[list_template_id]\"` ([integer()]): Array of Checklist Template IDs. Return item(s) associated with the specified Checklist Template IDs.\n  - `:\"filters[location_id]\"` (integer()): Filters by specific location (Note: Use *either* this or location_id_with_sublocations, but not both)\n  - `:\"filters[spec_section_id]\"` ([integer()]): Array of Specification Section IDs. Return item(s) associated to the specified Specification Section IDs.\n  - `:\"filters[responsible_contractor_id]\"` ([integer()]): Array of Vendor IDs. Return item(s) where the specified Vendor IDs are the responsible contractor.\n  - `:\"filters[status]\"` ([String.t]): Returns item(s) matching the specified status value.\n  - `:\"filters[trade_id]\"` (integer()): Trade ID\n  - `:\"filters[search]\"` (String.t): Returns item(s) matching the specified search query string.\n  - `:\"filters[due_at]\"` (DateTime.t): Return item(s) due within the specified date range.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_get/4","doc":"- `{:ok, [%RestV10ChecklistListsGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_delete/5","doc":"Delete Checklist\nDeletes Inspection Checklist in a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_get/5","doc":"Show Checklist\nRetrieves Inspection Checklist in a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_get/5","doc":"- `{:ok, Procore.Model.Checklist3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_patch/5","doc":"Update Checklist\nUpdates Inspection Checklist in a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `checklist_body1` (ChecklistBody1): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_id_patch/5","doc":"- `{:ok, Procore.Model.Checklist3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_id_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_post/4","doc":"Create Checklist\nCreates Inspection Checklist in a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `checklist_body` (ChecklistBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_checklist_lists_post/4","doc":"- `{:ok, Procore.Model.Checklist3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_checklist_lists_post/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_get/4","doc":"List Checklists (Inspections)\nLists Checklist (Inspections) in a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[inspection_date]\"` (Date.t): Return item(s) with inspection date within the specified ISO 8601 date range.\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Array of Inspection Type IDs. Return item(s) associated with the specified Inspection Type IDs.\n  - `:\"filters[inspector_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are inspectors.\n  - `:\"filters[template_id]\"` ([String.t]): Array of Checklist Template IDs. Return item(s) associated to the specified Checklist Template IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[point_of_contact_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are the point of contact.\n  - `:\"filters[spec_section_id]\"` ([integer()]): Array of Specification Section IDs. Return item(s) associated to the specified Specification Section IDs.\n  - `:\"filters[responsible_contractor_id]\"` ([integer()]): Array of Vendor IDs. Return item(s) where the specified Vendor IDs are the responsible contractor.\n  - `:\"filters[closed_by_id]\"` ([integer()]): Array of User IDs. Return item(s) closed by the specified User ID.\n  - `:\"filters[status]\"` (integer()): Return item(s) with the specified statuses\n  - `:\"filters[trade_id]\"` (integer()): Trade ID\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[due_at]\"` (DateTime.t): Return item(s) due within the specified date range.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[closed_at]\"` (Date.t): Returns item(s) closed within the specified ISO 8601 datetime range.\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_get/4","doc":"- `{:ok, [%Checklist5{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_grouped_index_get/4","doc":"List Grouped Checklists (Inspections)\nLists Grouped Checklist (Inspections) in a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_grouped_index_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_grouped_index_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[inspection_date]\"` (Date.t): Return item(s) with inspection date within the specified ISO 8601 date range.\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Array of Inspection Type IDs. Return item(s) associated with the specified Inspection Type IDs.\n  - `:\"filters[inspector_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are inspectors.\n  - `:\"filters[list_template_id]\"` ([integer()]): Array of Checklist Template IDs. Return item(s) associated with the specified Checklist Template IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[point_of_contact_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are the point of contact.\n  - `:\"filters[spec_section_id]\"` ([integer()]): Array of Specification Section IDs. Return item(s) associated to the specified Specification Section IDs.\n  - `:\"filters[responsible_contractor_id]\"` ([integer()]): Array of Vendor IDs. Return item(s) where the specified Vendor IDs are the responsible contractor.\n  - `:\"filters[closed_by_id]\"` ([integer()]): Array of User IDs. Return item(s) closed by the specified User ID.\n  - `:\"filters[status]\"` (integer()): Return item(s) with the specified statuses\n  - `:\"filters[trade_id]\"` (integer()): Trade ID\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[due_at]\"` (DateTime.t): Return item(s) due within the specified date range.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[closed_at]\"` (Date.t): Returns item(s) closed within the specified ISO 8601 datetime range.\n  - `:sort` (String.t): \n  - `:group_by` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_grouped_index_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_grouped_index_get/4","doc":"- `{:ok, [%ChecklistListGroup{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_grouped_index_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_delete/5","doc":"Delete Checklist (Inspection)\nDeletes specified Checklist (Inspection)","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_get/5","doc":"Show Checklist (Inspection)\nReturns the specified Checklist (Inspection)","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_get/5","doc":"- `{:ok, Procore.Model.Checklist5.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_patch/6","doc":"Update Checklist (Inspection)\nUpdates a specified Checklist (Inspection)","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_checklist_lists_id_patch_request` (RestV10ProjectsProjectIdChecklistListsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_patch/6","doc":"- `{:ok, Procore.Model.Checklist5.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_send_email_post/6","doc":"Send Checklist (Inspection) Email\nSend an email for a Checklist (Inspection) in a Project.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_send_email_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_send_email_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `body106` (Body106): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_send_email_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_id_send_email_post/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_id_send_email_post/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_post/5","doc":"Create Checklist (Inspection)\nCreates an instance of Inspection in a given Project","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_checklist_lists_post_request` (RestV10ProjectsProjectIdChecklistListsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_checklist_lists_post/5","doc":"- `{:ok, Procore.Model.Checklist5.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_checklist_lists_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_get/4","doc":"List Recycled Checklists (Inspections)\nLists Recycled Checklist (Inspections) in a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[inspection_date]\"` (Date.t): Return item(s) with inspection date within the specified ISO 8601 date range.\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Array of Inspection Type IDs. Return item(s) associated with the specified Inspection Type IDs.\n  - `:\"filters[inspector_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are inspectors.\n  - `:\"filters[template_id]\"` ([String.t]): Array of Checklist Template IDs. Return item(s) associated to the specified Checklist Template IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[point_of_contact_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are the point of contact.\n  - `:\"filters[spec_section_id]\"` ([integer()]): Array of Specification Section IDs. Return item(s) associated to the specified Specification Section IDs.\n  - `:\"filters[responsible_contractor_id]\"` ([integer()]): Array of Vendor IDs. Return item(s) where the specified Vendor IDs are the responsible contractor.\n  - `:\"filters[closed_by_id]\"` ([integer()]): Array of User IDs. Return item(s) closed by the specified User ID.\n  - `:\"filters[status]\"` (integer()): Return item(s) with the specified statuses\n  - `:\"filters[trade_id]\"` (integer()): Trade ID\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[due_at]\"` (DateTime.t): Return item(s) due within the specified date range.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[closed_at]\"` (Date.t): Returns item(s) closed within the specified ISO 8601 datetime range.\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_get/4","doc":"- `{:ok, [%Checklist5{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_grouped_index_get/4","doc":"List Grouped Recycled Checklists (Inspections)\nLists Recycled Checklist (Inspections) in a specified Project grouped by a specified attribute. By default the Checklists are grouped by template. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_grouped_index_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_grouped_index_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[inspection_date]\"` (Date.t): Return item(s) with inspection date within the specified ISO 8601 date range.\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Array of Inspection Type IDs. Return item(s) associated with the specified Inspection Type IDs.\n  - `:\"filters[inspector_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are inspectors.\n  - `:\"filters[list_template_id]\"` ([integer()]): Array of Checklist Template IDs. Return item(s) associated with the specified Checklist Template IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[managed_equipment_id]\"` (integer()): Return item(s) with the specified Managed Equipment ID.\n  - `:\"filters[point_of_contact_id]\"` ([integer()]): Array of User IDs. Return item(s) where the specified User IDs are the point of contact.\n  - `:\"filters[spec_section_id]\"` ([integer()]): Array of Specification Section IDs. Return item(s) associated to the specified Specification Section IDs.\n  - `:\"filters[responsible_contractor_id]\"` ([integer()]): Array of Vendor IDs. Return item(s) where the specified Vendor IDs are the responsible contractor.\n  - `:\"filters[closed_by_id]\"` ([integer()]): Array of User IDs. Return item(s) closed by the specified User ID.\n  - `:\"filters[status]\"` (integer()): Return item(s) with the specified statuses\n  - `:\"filters[trade_id]\"` (integer()): Trade ID\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[due_at]\"` (DateTime.t): Return item(s) due within the specified date range.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[closed_at]\"` (Date.t): Returns item(s) closed within the specified ISO 8601 datetime range.\n  - `:sort` (String.t): \n  - `:group_by` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_grouped_index_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_grouped_index_get/4","doc":"- `{:ok, [%ChecklistListGroup{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_grouped_index_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_id_get/5","doc":"Show Recycled Checklist (Inspection)\nReturns the specified Recycled Checklist (Inspection)","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_id_get/5","doc":"- `{:ok, Procore.Model.Checklist5.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5","doc":"Restore Deleted Checklist (Inspection)\nRestores a specified deleted Checklist (Inspection)","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v10_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v10_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_id_delete/5","doc":"Delete Checklist (Inspection)\nDeletes specified Checklist (Inspection)","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_id_patch/6","doc":"Update Checklist (Inspection)\nUpdates a specified Checklist (Inspection)","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v11_projects_project_id_checklist_lists_id_patch_request` (RestV11ProjectsProjectIdChecklistListsIdPatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_id_patch/6","doc":"- `{:ok, Procore.Model.Checklist.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_post/5","doc":"Create Checklist (Inspection)\nCreates an instance of Inspection in a given Project","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v11_projects_project_id_checklist_lists_post_request` (RestV11ProjectsProjectIdChecklistListsPostRequest): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_checklist_lists_post/5","doc":"- `{:ok, Procore.Model.Checklist.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_checklist_lists_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5","doc":"Restore Deleted Checklist (Inspection)\nRestores a specified deleted Checklist (Inspection)","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsChecklists.rest_v11_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsChecklists.html#rest_v11_projects_project_id_recycle_bin_checklist_lists_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsCompanyChecklistSections`.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_get/5","doc":"List Company Checklist Sections\nReturns a list of Checklist Sections for a given Company List Template.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `list_template_id` (integer()): Checklist Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_get/5","doc":"- `{:ok, [%CompanyChecklistSection{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_delete/5","doc":"Delete Company Checklist Section\nDeletes a Checklist Section for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Checklist Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_get/5","doc":"Show Company Checklist Section\nReturns the details for a specified Company Checklist Section","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Checklist Section ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_get/5","doc":"- `{:ok, Procore.Model.CompanyChecklistSection.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_patch/6","doc":"Update Company Checklist Section\nUpdates a Checklist Section for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Checklist Section ID\n- `company_checklist_section_update_body` (CompanyChecklistSectionUpdateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.rest_v10_companies_company_id_checklist_sections_id_patch/6","doc":"- `{:ok, Procore.Model.CompanyChecklistSection.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistSections.html#rest_v10_companies_company_id_checklist_sections_id_patch/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsCompanyChecklistTemplateSections`.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_get/5","doc":"List Company Checklist Template Sections\nReturns a collection of Checklist Sections for a specified Checklist Template.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.html#rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `list_template_id` (integer()): The ID of the Checklist Template\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.html#rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_get/5","doc":"- `{:ok, [%CompanyChecklistSection{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.html#rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_post/6","doc":"Create Company Checklist Template Section\nCreates a Company Checklist Section for a specified Checklist Template.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.html#rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `list_template_id` (integer()): The ID of the Checklist Template\n- `company_checklist_section_create_body` (CompanyChecklistSectionCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.html#rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_post/6","doc":"- `{:ok, Procore.Model.CompanyChecklistSection.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplateSections.html#rest_v10_companies_company_id_checklist_list_templates_list_template_id_sections_post/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsCompanyChecklistTemplates`.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_get/4","doc":"List Company Checklist Templates\nReturns a collection of Company Checklist Templates for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Array of Inspection Type IDs. Return item(s) associated with the specified Inspection Type IDs.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[trade_id]\"` (integer()): Trade ID\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:sort` (String.t): \n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_get/4","doc":"- `{:ok, [%CompanyChecklistTemplate{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_delete/5","doc":"Delete Company Checklist Template\nDelete a Company Checklist Template","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Checklist Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_get/5","doc":"Show Company Checklist Template\nReturns the details for a specified Company Checklist Template","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Checklist Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_patch/6","doc":"Update Company Checklist Template\nUpdates a Company Checklist Template for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Checklist Template ID\n- `checklist_template_body` (ChecklistTemplateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"Remove Company Checklist Template Alternative Response Set\nRemoves a Company Checklist Template's Alternative Response Set, returning the template to the default Response Set","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_remove_alternative_response_set_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Company Checklist Template ID\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_remove_alternative_response_set_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_remove_alternative_response_set_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_use_alternative_response_set_patch/6","doc":"Add Company Checklist Template Alternative Response Set\nSets a Company Checklist Template's Response Set to the specified Alternative Response Set.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_use_alternative_response_set_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_use_alternative_response_set_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Company Checklist Template ID\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_projects_project_id_checklist_list_templates_id_use_alternative_response_set_patch_request` (RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_use_alternative_response_set_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_id_use_alternative_response_set_patch/6","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_id_use_alternative_response_set_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_post/5","doc":"Create Company Checklist Template\nCreates a Company Checklist Template for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `checklist_template_body` (ChecklistTemplateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_checklist_list_templates_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_checklist_list_templates_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_get/4","doc":"List Recycled Company Checklist Templates\nReturns a list of all Recycled Checklist Templates for a given Company.","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_get/4","doc":"- `{:ok, [%ChecklistTemplate3{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_get/5","doc":"Show Recycled Company Checklist Template\nView the details of a Recycled Company Checklist Template","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Checklist Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"Restore a Recycled Company Checklist Template\nRestores the specified Recycled Company Checklist Template","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Company Checklist Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsCompanyChecklistTemplates.html#rest_v10_companies_company_id_recycle_bin_checklist_list_templates_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsInspectionItemAttachments","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsInspectionItemAttachments`.","ref":"Procore.Api.QualitySafetyInspectionsInspectionItemAttachments.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsInspectionItemAttachments.rest_v10_projects_project_id_inspections_inspection_id_item_attachments_id_delete/6","doc":"Delete an Inspection Item Attachment\nRemoves the Attachment for a specified Inspection Item on a given Project","ref":"Procore.Api.QualitySafetyInspectionsInspectionItemAttachments.html#rest_v10_projects_project_id_inspections_inspection_id_item_attachments_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsInspectionItemAttachments.rest_v10_projects_project_id_inspections_inspection_id_item_attachments_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `inspection_id` (integer()): Unique identifier for the inspection.\n- `id` (integer()): Item Attachment ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsInspectionItemAttachments.html#rest_v10_projects_project_id_inspections_inspection_id_item_attachments_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsInspectionItemAttachments.rest_v10_projects_project_id_inspections_inspection_id_item_attachments_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsInspectionItemAttachments.html#rest_v10_projects_project_id_inspections_inspection_id_item_attachments_id_delete/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsInspectionItemComments","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsInspectionItemComments`.","ref":"Procore.Api.QualitySafetyInspectionsInspectionItemComments.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsInspectionItemComments.rest_v10_projects_project_id_inspections_inspection_id_comments_post/5","doc":"Creates an Inspection Item Comment\nAdds a new Comment for a specified Inspection Item on a given Project","ref":"Procore.Api.QualitySafetyInspectionsInspectionItemComments.html#rest_v10_projects_project_id_inspections_inspection_id_comments_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsInspectionItemComments.rest_v10_projects_project_id_inspections_inspection_id_comments_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `inspection_id` (integer()): Unique identifier for the inspection.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsInspectionItemComments.html#rest_v10_projects_project_id_inspections_inspection_id_comments_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsInspectionItemComments.rest_v10_projects_project_id_inspections_inspection_id_comments_post/5","doc":"- `{:ok, Procore.Model.ChecklistComment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsInspectionItemComments.html#rest_v10_projects_project_id_inspections_inspection_id_comments_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsInspectionTypes","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsInspectionTypes`.","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_get/4","doc":"List Inspection Types\nReturn a list of all Inspection Types associated with a Company.","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_get/4","doc":"- `{:ok, [%InspectionType2{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_id_get/5","doc":"Show Inspection Type\nReturns the details for a specified Inspection Type","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Inspection Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_id_get/5","doc":"- `{:ok, Procore.Model.InspectionType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_id_patch/6","doc":"Update Inspection Type\nUpdates an Inspection Type for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Inspection Type ID\n- `inspection_type_body` (InspectionTypeBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_id_patch/6","doc":"- `{:ok, Procore.Model.InspectionType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_post/5","doc":"Create Inspection Type\nCreate an Inspection Type for a Company","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `inspection_type_body` (InspectionTypeBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsInspectionTypes.rest_v10_companies_company_id_inspection_types_post/5","doc":"- `{:ok, Procore.Model.InspectionType2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsInspectionTypes.html#rest_v10_companies_company_id_inspection_types_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsInspectionUsers","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsInspectionUsers`.","ref":"Procore.Api.QualitySafetyInspectionsInspectionUsers.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsInspectionUsers.rest_v11_projects_project_id_checklist_users_get/4","doc":"List Inspection Users\nReturns a list of Inspection Users for a given project","ref":"Procore.Api.QualitySafetyInspectionsInspectionUsers.html#rest_v11_projects_project_id_checklist_users_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsInspectionUsers.rest_v11_projects_project_id_checklist_users_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:\"filters[potential_assignee]\"` (boolean()): Returns item(s) with the that can be potential inspection assignees.\n  - `:\"filters[potential_distribution_member]\"` (boolean()): Returns item(s) that can be potential distribution members.\n  - `:\"filters[potential_point_of_contact]\"` (boolean()): Returns item(s) with the that can be potential inspection points of contact.\n  - `:sort` (String.t): Direction of sorting param (name) is in desc order of full name","ref":"Procore.Api.QualitySafetyInspectionsInspectionUsers.html#rest_v11_projects_project_id_checklist_users_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsInspectionUsers.rest_v11_projects_project_id_checklist_users_get/4","doc":"- `{:ok, [%InspectionUser{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsInspectionUsers.html#rest_v11_projects_project_id_checklist_users_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsItemResponseSetResponses`.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_get/5","doc":"List Responses in the Specified Item Response Set\nList Responses for an Item Response Set.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `response_set_id` (integer()): The ID of the Response Set\n- `opts` (keyword): Optional parameters\n  - `:\"filters[corresponding_status]\"` ([String.t]): Array of Corresponding Statuses. Return item(s) with the specified Corresponding Statuses - 'yes', 'no', or 'n/a'.\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_get/5","doc":"- `{:ok, [%ChecklistResponse{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_delete/6","doc":"Remove a Response from an Item Response Set\nRemove a Response from an Item Response Set.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `response_set_id` (integer()): Checklist Item Response Set ID\n- `id` (integer()): The ID of the Response\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_delete/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_get/6","doc":"Show Item Response Set Response\nReturns a specified Response from the Item Response Set.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_get/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `response_set_id` (integer()): Checklist Item Response Set ID\n- `id` (integer()): The ID of the Response\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_get/6","doc":"- `{:ok, Procore.Model.ChecklistResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_get/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_patch/6","doc":"Add an existing Response to an Item Response Set\nAdds an existing Response to the specified Item Response Set.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `response_set_id` (integer()): Checklist Item Response Set ID\n- `id` (integer()): The ID of the Response\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_patch/6","doc":"- `{:ok, Procore.Model.ChecklistResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_post/6","doc":"Create a Response in the Specified Item Response Set\nCreates a Response for a specified Item Response Set.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `response_set_id` (integer()): The ID of the Response Set\n- `checklist_response_body2` (ChecklistResponseBody2): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_post/6","doc":"- `{:ok, Procore.Model.ChecklistResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSetResponses.html#rest_v10_companies_company_id_checklist_item_response_sets_response_set_id_responses_post/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsItemResponseSets","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsItemResponseSets`.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_get/4","doc":"List Item Response Sets\nList Checklist Item Response Sets for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:sort` (String.t): \n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[created_at]\"` (Date.t): Return item(s) created within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_get/4","doc":"- `{:ok, [%ChecklistItemResponseSet1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_delete/5","doc":"Delete Item Response Set\nDeletes a Company Checklist Item Response Set for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Item Response Set ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_get/5","doc":"Show Item Response Set\nReturns a specified Checklist Item Response Set.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Item Response Set ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_get/5","doc":"- `{:ok, Procore.Model.ChecklistItemResponseSet1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_patch/6","doc":"Update Item Response Set\nUpdates a Company Checklist Item Response Set for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): Item Response Set ID\n- `checklist_item_response_set_body1` (ChecklistItemResponseSetBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_id_patch/6","doc":"- `{:ok, Procore.Model.ChecklistItemResponseSet1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_post/5","doc":"Create Item Response Set\nCreates a Company Checklist Item Response Set for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `checklist_item_response_set_body` (ChecklistItemResponseSetBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsItemResponseSets.rest_v10_companies_company_id_checklist_item_response_sets_post/5","doc":"- `{:ok, Procore.Model.ChecklistItemResponseSet1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsItemResponseSets.html#rest_v10_companies_company_id_checklist_item_response_sets_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsPossibleInspectors","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsPossibleInspectors`.","ref":"Procore.Api.QualitySafetyInspectionsPossibleInspectors.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsPossibleInspectors.rest_v10_checklist_possible_inspectors_get/4","doc":"List Inspectors\nLists Possible Inspectors in a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsPossibleInspectors.html#rest_v10_checklist_possible_inspectors_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsPossibleInspectors.rest_v10_checklist_possible_inspectors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsPossibleInspectors.html#rest_v10_checklist_possible_inspectors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsPossibleInspectors.rest_v10_checklist_possible_inspectors_get/4","doc":"- `{:ok, Procore.Model.RestV10ChecklistPossibleInspectorsGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsPossibleInspectors.html#rest_v10_checklist_possible_inspectors_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsPotentialPointsOfContact","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsPotentialPointsOfContact`.","ref":"Procore.Api.QualitySafetyInspectionsPotentialPointsOfContact.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsPotentialPointsOfContact.rest_v10_checklist_potential_points_of_contact_get/4","doc":"List Potential Points of Contact\nLists Potential Points of Contact in a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsPotentialPointsOfContact.html#rest_v10_checklist_potential_points_of_contact_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsPotentialPointsOfContact.rest_v10_checklist_potential_points_of_contact_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:vendor_id` (integer()): Vendor ID","ref":"Procore.Api.QualitySafetyInspectionsPotentialPointsOfContact.html#rest_v10_checklist_potential_points_of_contact_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsPotentialPointsOfContact.rest_v10_checklist_potential_points_of_contact_get/4","doc":"- `{:ok, [%ChecklistPotentialPointOfContact{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsPotentialPointsOfContact.html#rest_v10_checklist_potential_points_of_contact_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsProjectChecklistTemplates`.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_create_from_company_template_post/5","doc":"Create a Project Checklist Template from a Company Checklist Template\nCreates a Project Checklist Template from a Company Checklist Template. Sections and Items on the Company Template are copied to the Project Template and changes to these company level records, including the template itself, are synced down to the project level. You may not create more than 1 project template per company template.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_create_from_company_template_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_create_from_company_template_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_checklist_list_templates_create_from_company_template_post_request` (RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_create_from_company_template_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_create_from_company_template_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_create_from_company_template_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_get/4","doc":"List Project Checklist Templates\nReturns a list of all Inspection Checklist Templates for a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Array of Inspection Type IDs. Return item(s) associated with the specified Inspection Type IDs.\n  - `:\"filters[trade_ids]\"` ([integer()]): Array of Trade IDs. Returns item(s) with the specified Trade IDs.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:sort` (String.t): Sorts the list of Checklist Templates on the attribute given. By default the list is in ascending order. Use '-attribute' to sort in descending order. Ex. 'sort=-trade'.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_get/4","doc":"- `{:ok, [%ProjectChecklistTemplate1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_delete/5","doc":"Delete Project Checklist Template\nDeletes an Inspection Checklist Template.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist Template ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_get/5","doc":"Show Project Checklist Template\nShows an Inspection Checklist Template.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist Template ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_patch/6","doc":"Update Project Checklist Template\nUpdates an Inspection Checklist Template.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist Template ID\n- `project_id` (integer()): Unique identifier for the project.\n- `checklist_template_body` (ChecklistTemplateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"Remove Alternative Response Set from Project Checklist Template\nRemoves a Project Checklist Template's Alternative Response Set, returning the template to the default Response Set.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_remove_alternative_response_set_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist Template ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_remove_alternative_response_set_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_remove_alternative_response_set_patch/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_remove_alternative_response_set_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_use_alternative_response_set_patch/6","doc":"Add Alternative Response Set to Project Checklist Template\nSets a Project Checklist Template's Response Set to the specified Alternative Response Set.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_use_alternative_response_set_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_use_alternative_response_set_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Checklist Template ID\n- `rest_v10_projects_project_id_checklist_list_templates_id_use_alternative_response_set_patch_request` (RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_use_alternative_response_set_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_id_use_alternative_response_set_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatch200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_id_use_alternative_response_set_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_post/5","doc":"Create Project Checklist Template\nCreates a Project Inspection Template for a specified Project.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `checklist_template_body` (ChecklistTemplateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_checklist_list_templates_post/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_checklist_list_templates_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_get/4","doc":"List Recycled Checklist Templates\nReturns a list of all Recycled Checklist Templates for a given Project.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_get/4","doc":"- `{:ok, [%ChecklistTemplate1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_get/5","doc":"Show Recycled Checklist Template\nShows a Recycled Checklist Template","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Checklist Template ID\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_get/5","doc":"- `{:ok, Procore.Model.ChecklistTemplate2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"Restore Recycled Checklist Template\nRestores the specified Checklist Template from the Recycle Bin.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Checklist Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v10_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_checklist_list_templates_get/4","doc":"List Project Checklist Templates\nReturns a list of all Inspection Checklist Templates for a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint. Note: A User with read-only and above permissions to Inspections has access to this endpoint and the URL to individual templates on the web","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_checklist_list_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_checklist_list_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[inspection_type_id]\"` ([integer()]): Array of Inspection Type IDs. Return item(s) associated with the specified Inspection Type IDs.\n  - `:\"filters[trade_ids]\"` ([integer()]): Array of Trade IDs. Returns item(s) with the specified Trade IDs.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:sort` (String.t): Sorts the list of Checklist Templates on the attribute given. By default the list is in ascending order. Use '-attribute' to sort in descending order. Ex. 'sort=-trade'.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_checklist_list_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_checklist_list_templates_get/4","doc":"- `{:ok, [%ProjectChecklistTemplate{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_checklist_list_templates_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_checklist_list_templates_id_get/5","doc":"Show Project Checklist Template\nShows an Inspection Checklist Template. Note: A User with read-only and above permissions to Inspections has access to this endpoint and the URL to the template on the web","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_checklist_list_templates_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_checklist_list_templates_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Checklist Template ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_checklist_list_templates_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_checklist_list_templates_id_get/5","doc":"- `{:ok, Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_checklist_list_templates_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"Restore Recycled Checklist Template\nRestores the specified Checklist Template from the Recycle Bin.","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Checklist Template ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.rest_v11_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsProjectChecklistTemplates.html#rest_v11_projects_project_id_recycle_bin_checklist_list_templates_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyInspectionsResponses","doc":"API calls for all endpoints tagged `QualitySafetyInspectionsResponses`.","ref":"Procore.Api.QualitySafetyInspectionsResponses.html"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_get/4","doc":"List Responses\nList Responses for a Company","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[corresponding_status]\"` ([String.t]): Array of Corresponding Statuses. Return item(s) with the specified Corresponding Statuses - 'yes', 'no', or 'n/a'.\n  - `:sort` (String.t):","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_get/4","doc":"- `{:ok, [%ChecklistResponse{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_delete/5","doc":"Delete a Response\nDeletes a Response","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): The ID of the Response\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_get/5","doc":"Show Response\nReturns a specified Response","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): The ID of the Response\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_get/5","doc":"- `{:ok, Procore.Model.ChecklistResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_patch/6","doc":"Update a Response\nUpdate a Response","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `id` (integer()): The ID of the Response\n- `checklist_response_body1` (ChecklistResponseBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_id_patch/6","doc":"- `{:ok, Procore.Model.ChecklistResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_post/5","doc":"Create a Response\nCreates a Response for a specified Company.","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `checklist_response_body` (ChecklistResponseBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyInspectionsResponses.rest_v10_companies_company_id_checklist_responses_post/5","doc":"- `{:ok, Procore.Model.ChecklistResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyInspectionsResponses.html#rest_v10_companies_company_id_checklist_responses_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyObservationsCompanyObservationTemplates","doc":"API calls for all endpoints tagged `QualitySafetyObservationsCompanyObservationTemplates`.","ref":"Procore.Api.QualitySafetyObservationsCompanyObservationTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsCompanyObservationTemplates.rest_v10_companies_company_id_observation_templates_bulk_update_patch/5","doc":"Bulk Update Company Observation Templates\nUpdates multiple Company Observation Templates","ref":"Procore.Api.QualitySafetyObservationsCompanyObservationTemplates.html#rest_v10_companies_company_id_observation_templates_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsCompanyObservationTemplates.rest_v10_companies_company_id_observation_templates_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `rest_v10_companies_company_id_observation_templates_bulk_update_patch_request` (RestV10CompaniesCompanyIdObservationTemplatesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:observation_template_ids` ([integer()]): IDs of all Company Observation Templates specified for bulk update","ref":"Procore.Api.QualitySafetyObservationsCompanyObservationTemplates.html#rest_v10_companies_company_id_observation_templates_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsCompanyObservationTemplates.rest_v10_companies_company_id_observation_templates_bulk_update_patch/5","doc":"- `{:ok, [%CompanyObservationTemplate1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsCompanyObservationTemplates.html#rest_v10_companies_company_id_observation_templates_bulk_update_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyObservationsCompanyObservationTypes","doc":"API calls for all endpoints tagged `QualitySafetyObservationsCompanyObservationTypes`.","ref":"Procore.Api.QualitySafetyObservationsCompanyObservationTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsCompanyObservationTypes.rest_v10_companies_company_id_observation_types_get/4","doc":"List Company Observation Types\nReturns a list of all Company Observation Types associated to a Company.","ref":"Procore.Api.QualitySafetyObservationsCompanyObservationTypes.html#rest_v10_companies_company_id_observation_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsCompanyObservationTypes.rest_v10_companies_company_id_observation_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsCompanyObservationTypes.html#rest_v10_companies_company_id_observation_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsCompanyObservationTypes.rest_v10_companies_company_id_observation_types_get/4","doc":"- `{:ok, [%CompanyObservationType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsCompanyObservationTypes.html#rest_v10_companies_company_id_observation_types_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyObservationsObservations","doc":"API calls for all endpoints tagged `QualitySafetyObservationsObservations`.","ref":"Procore.Api.QualitySafetyObservationsObservations.html"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_category_configurable_field_sets_get/4","doc":"List Observation Category Configurable Field Sets\nReturns a collection of Observation Category Configurable Field Sets from the Project","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_category_configurable_field_sets_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_category_configurable_field_sets_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_category_configurable_field_sets_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_category_configurable_field_sets_get/4","doc":"- `{:ok, [%ObservationCategoryConfigurableFieldSets{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_category_configurable_field_sets_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_default_distribution_get/4","doc":"List Observation Default Distribution Members\nReturns a collection of Users that are of the Observations Default Distribution list","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_default_distribution_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_default_distribution_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_default_distribution_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_default_distribution_get/4","doc":"- `{:ok, [%ObservationItemDefaultDistribution{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_default_distribution_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_get/4","doc":"List Observation Items\nReturns a collection of Observation Items. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[assignee_company_id]\"` ([integer()]): Array of Vendor IDs. Returns item(s) where the assignee is associated to the specified Vendor ID.\n  - `:\"filters[checklist_list_id]\"` ([String.t]): Array of Checklist List IDs. Return item(s) associated with the specified Checklist List IDs.\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.\n  - `:\"filters[assignee_id]\"` ([integer()]): Return item(s) assigned to the specified User ID.\n  - `:\"filters[checklist_item_id]\"` (integer()): Return Observations(s) originating from the specified Checklist Item(s).\n  - `:\"filters[priority]\"` ([String.t]): Return item(s) with the specified priorities. \n  - `:\"filters[search]\"` (String.t): Return item(s) matching the specified Search query.\n  - `:\"filters[status]\"` ([integer()]): Return item(s) with the specified status values. The mapping is as follows: ```   0: Initiated   1: Ready For reviewed   2: Not Accepted   3: Closed ```\n  - `:\"filters[type_id]\"` ([integer()]): Return item(s) with the specified Observation Type ID.\n  - `:\"filters[trade_ids]\"` ([integer()]): Array of Trade IDs. Returns item(s) with the specified Trade IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_get/4","doc":"- `{:ok, [%ObservationItem{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_get/5","doc":"Show Observation Item\nReturns an Observation Item.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Observation Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_get/5","doc":"- `{:ok, Procore.Model.ObservationItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_patch/5","doc":"Update Observation Item\nUpdates an Observation Item.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Observation Item ID\n- `body52` (Body52): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_patch/5","doc":"- `{:ok, Procore.Model.ObservationItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_pdf_get/5","doc":"Get Observation Item PDF url\nReturn the PDF url for a specified Observation Item","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_pdf_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_pdf_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Observation Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_pdf_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_pdf_get/5","doc":"- `{:ok, Procore.Model.ObservationItemPdf.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_pdf_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_send_email_post/6","doc":"Send Observation Item Email\nSends an email for an Observation Item in a Project.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_send_email_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_send_email_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Observation Item ID\n- `project_id` (integer()): Project ID\n- `body54` (Body54): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_send_email_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_id_send_email_post/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_id_send_email_post/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_item_id_response_logs_get/5","doc":"List Observation Item Response Logs\nReturns a collection of Response Logs for a given Observation Item.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_item_id_response_logs_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_item_id_response_logs_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `item_id` (integer()): Observation Item ID\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_item_id_response_logs_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_item_id_response_logs_get/5","doc":"- `{:ok, [%ObservationItemResponseLog{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_item_id_response_logs_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_item_id_response_logs_post/5","doc":"Create Observation Item Response Log\nCreates a new Response Log for a given Observation Item.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_item_id_response_logs_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_item_id_response_logs_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `item_id` (integer()): Observation Item ID\n- `observation_item_response_log_body` (ObservationItemResponseLogBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Observation Items Category Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/observations#list-observation-category-configurable-field-sets) for a list of Observation Category configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_item_id_response_logs_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_item_id_response_logs_post/5","doc":"- `{:ok, Procore.Model.ObservationItemResponseLog.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_item_id_response_logs_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_next_available_number_get/4","doc":"Show Next Available Number for Observation Items\nReturns the next available number for an observation item in the current Project.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_next_available_number_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_next_available_number_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_next_available_number_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_next_available_number_get/4","doc":"- `{:ok, Procore.Model.RestV10ObservationsItemsNextAvailableNumberGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_next_available_number_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_post/4","doc":"Create Observation Item\nCreates an Observation Item.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `body50` (Body50): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): Whether or not Configurable validations from the Observation Items Category Configurable Field Set should be run (default: false). See (https://developers.procore.com/reference/observations#list-observation-category-configurable-field-sets) for a list of Observation Category configurable validations enabled on this project.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_post/4","doc":"- `{:ok, Procore.Model.ObservationItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_post/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_send_unsent_post/4","doc":"Send unsent Observation Items\nSends email notifications for unsent Observation Items.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_send_unsent_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_send_unsent_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_observations_items_send_unsent_post_request` (RestV10ObservationsItemsSendUnsentPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_send_unsent_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_items_send_unsent_post/4","doc":"- `{:ok, [%ObservationItem{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_items_send_unsent_post/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_potential_distribution_members_get/4","doc":"List Observation Potential Distribution Members\nReturns a collection of Potential Users for the Observations Distribution List","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_potential_distribution_members_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_potential_distribution_members_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_potential_distribution_members_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_potential_distribution_members_get/4","doc":"- `{:ok, [%ObservationItemDefaultDistribution{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_potential_distribution_members_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_types_get/5","doc":"List Observation Types\nReturns a collection of Observation Types from the Project's Company or from the Company, depending on which query parameter is used.  NOTE: Though both query parameters are marked as required below, only one of the two needs to be passed in (i.e., if you pass in a project_id then you do not need to also pass in a company_id, and vice versa).","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_types_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_types_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `company_id` (integer()): Unique identifier for the company.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_types_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_observations_types_get/5","doc":"- `{:ok, [%ObservationType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_observations_types_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_observations_items_id_delete/5","doc":"Delete Observation Item\nSends the specified Observation Item to the recycle bin.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_observations_items_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_observations_items_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Observation ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_observations_items_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_observations_items_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_observations_items_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_observations_response_logs_get/4","doc":"List Observations Response Logs\nReturns a collection of Response Logs scoped to viewable Observations  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_observations_response_logs_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_observations_response_logs_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_observations_response_logs_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_observations_response_logs_get/4","doc":"- `{:ok, [%ObservationItemResponseLog{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_observations_response_logs_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_get/4","doc":"List Recycled Observation Items\nReturns a collection of Recycled Observation Items. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[type_id]\"` ([integer()]): Return item(s) with the specified Observation Type ID.\n  - `:\"filters[trade_ids]\"` ([integer()]): Array of Trade IDs. Returns item(s) with the specified Trade IDs.\n  - `:\"filters[assignee_id]\"` ([integer()]): Return item(s) assigned to the specified User ID.\n  - `:\"filters[status]\"` ([integer()]): Return item(s) with the specified status values. The mapping is as follows: ```   0: Initiated   1: Ready For reviewed   2: Not Accepted   3: Closed ```\n  - `:\"filters[priority]\"` ([String.t]): Return item(s) with the specified priorities. \n  - `:\"filters[location_id]\"` ([integer()]): Return item(s) with the specified Location IDs.\n  - `:\"filters[created_by_id]\"` ([integer()]): Returns item(s) created by the specified User IDs.\n  - `:\"filters[assignee_company_id]\"` ([integer()]): Array of Vendor IDs. Returns item(s) where the assignee is associated to the specified Vendor ID.\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_get/4","doc":"- `{:ok, [%ObservationItem{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_id_get/5","doc":"Show Recycled Observation\nReturns the specified Recycled Observation.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Observation ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_id_get/5","doc":"- `{:ok, Procore.Model.ObservationItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_id_restore_patch/5","doc":"Retrieve Recycled Observation\nRetrieves the specified Observation from Recycle Bin.","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_id_restore_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_id_restore_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Observation ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_id_restore_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservations.rest_v10_projects_project_id_recycle_bin_observations_items_id_restore_patch/5","doc":"- `{:ok, Procore.Model.ObservationItem1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservations.html#rest_v10_projects_project_id_recycle_bin_observations_items_id_restore_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyObservationsObservationsAssignees","doc":"API calls for all endpoints tagged `QualitySafetyObservationsObservationsAssignees`.","ref":"Procore.Api.QualitySafetyObservationsObservationsAssignees.html"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsObservationsAssignees.rest_v10_observations_assignees_get/4","doc":"List Observation Assignee options\nReturns Users that the current User can assign to Observations.","ref":"Procore.Api.QualitySafetyObservationsObservationsAssignees.html#rest_v10_observations_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsObservationsAssignees.rest_v10_observations_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsObservationsAssignees.html#rest_v10_observations_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsObservationsAssignees.rest_v10_observations_assignees_get/4","doc":"- `{:ok, [%ObservationItemAssignee1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsObservationsAssignees.html#rest_v10_observations_assignees_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyObservationsProjectObservationTemplates","doc":"API calls for all endpoints tagged `QualitySafetyObservationsProjectObservationTemplates`.","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsProjectObservationTemplates.rest_v10_projects_project_id_observation_templates_bulk_update_patch/5","doc":"Bulk Update Project Observation Templates\nUpdates multiple Project Observation Templates","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTemplates.html#rest_v10_projects_project_id_observation_templates_bulk_update_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsProjectObservationTemplates.rest_v10_projects_project_id_observation_templates_bulk_update_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_observation_templates_bulk_update_patch_request` (RestV10ProjectsProjectIdObservationTemplatesBulkUpdatePatchRequest): \n- `opts` (keyword): Optional parameters\n  - `:observation_template_ids` ([integer()]): IDs of all Project Observation Templates specified for bulk update","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTemplates.html#rest_v10_projects_project_id_observation_templates_bulk_update_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsProjectObservationTemplates.rest_v10_projects_project_id_observation_templates_bulk_update_patch/5","doc":"- `{:ok, [%ProjectObservationTemplate1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTemplates.html#rest_v10_projects_project_id_observation_templates_bulk_update_patch/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyObservationsProjectObservationTypes","doc":"API calls for all endpoints tagged `QualitySafetyObservationsProjectObservationTypes`.","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_get/4","doc":"List Project Observation Types\nReturn a list of all Project Observation Types associated with a Project.","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_get/4","doc":"- `{:ok, [%ProjectObservationType{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_id_delete/5","doc":"Delete Project Observation Type\nDeletes a Project Observation Type.","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Project Observation Type ID\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_id_patch/6","doc":"Update Project Observation Type\nUpdates a Project Observation Type.","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `id` (integer()): Project Observation Type ID\n- `project_observation_type_create_body1` (ProjectObservationTypeCreateBody1): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_id_patch/6","doc":"- `{:ok, Procore.Model.ProjectObservationType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_id_patch/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_post/5","doc":"Create Project Observation Type\nCreates a Project Observation Type with the specified name/parent_id","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `project_observation_type_create_body` (ProjectObservationTypeCreateBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyObservationsProjectObservationTypes.rest_v10_projects_project_id_observation_types_post/5","doc":"- `{:ok, Procore.Model.ProjectObservationType.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyObservationsProjectObservationTypes.html#rest_v10_projects_project_id_observation_types_post/5-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListAvailablePunchItemManagers","doc":"API calls for all endpoints tagged `QualitySafetyPunchListAvailablePunchItemManagers`.","ref":"Procore.Api.QualitySafetyPunchListAvailablePunchItemManagers.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListAvailablePunchItemManagers.rest_v10_projects_project_id_available_punch_item_managers_get/4","doc":"List Punch List Manager options\nReturns login informations that the current User can assign to Punch Items as Punch Manager.","ref":"Procore.Api.QualitySafetyPunchListAvailablePunchItemManagers.html#rest_v10_projects_project_id_available_punch_item_managers_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListAvailablePunchItemManagers.rest_v10_projects_project_id_available_punch_item_managers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyPunchListAvailablePunchItemManagers.html#rest_v10_projects_project_id_available_punch_item_managers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListAvailablePunchItemManagers.rest_v10_projects_project_id_available_punch_item_managers_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListAvailablePunchItemManagers.html#rest_v10_projects_project_id_available_punch_item_managers_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListProjectPunchItemTemplates","doc":"API calls for all endpoints tagged `QualitySafetyPunchListProjectPunchItemTemplates`.","ref":"Procore.Api.QualitySafetyPunchListProjectPunchItemTemplates.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListProjectPunchItemTemplates.rest_v10_projects_project_id_punch_item_templates_get/4","doc":"List Project Punch Item Templates\nReturn a list of all Project Punch Item Templates associated with a Project.","ref":"Procore.Api.QualitySafetyPunchListProjectPunchItemTemplates.html#rest_v10_projects_project_id_punch_item_templates_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListProjectPunchItemTemplates.rest_v10_projects_project_id_punch_item_templates_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified IDs.\n  - `:\"filters[active]\"` (boolean()): If true, returns item(s) with a status of 'active'.\n  - `:\"filters[updated_at]\"` (String.t): Return item(s) within a specific updated at iso8601 datetime range\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyPunchListProjectPunchItemTemplates.html#rest_v10_projects_project_id_punch_item_templates_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListProjectPunchItemTemplates.rest_v10_projects_project_id_punch_item_templates_get/4","doc":"- `{:ok, [%ProjectPunchItemTemplates{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListProjectPunchItemTemplates.html#rest_v10_projects_project_id_punch_item_templates_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListPunchItemAssignments","doc":"API calls for all endpoints tagged `QualitySafetyPunchListPunchItemAssignments`.","ref":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.rest_v10_projects_project_id_punch_item_assignments_id_get/5","doc":"Show Punch Assignment\nReturns single Punch Item Assignment.","ref":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.html#rest_v10_projects_project_id_punch_item_assignments_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItemAssignments.rest_v10_projects_project_id_punch_item_assignments_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item Assignment\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.html#rest_v10_projects_project_id_punch_item_assignments_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItemAssignments.rest_v10_projects_project_id_punch_item_assignments_id_get/5","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.html#rest_v10_projects_project_id_punch_item_assignments_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.rest_v10_projects_project_id_punch_item_assignments_id_patch/6","doc":"Update Punch Item Assignment\nUpdate single Punch Item Assignment.","ref":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.html#rest_v10_projects_project_id_punch_item_assignments_id_patch/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItemAssignments.rest_v10_projects_project_id_punch_item_assignments_id_patch/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item Assignment\n- `project_id` (integer()): Unique identifier for the project.\n- `rest_v10_projects_project_id_punch_item_assignments_id_patch_request` (RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.html#rest_v10_projects_project_id_punch_item_assignments_id_patch/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItemAssignments.rest_v10_projects_project_id_punch_item_assignments_id_patch/6","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItemAssignments.html#rest_v10_projects_project_id_punch_item_assignments_id_patch/6-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListPunchItemTypes","doc":"API calls for all endpoints tagged `QualitySafetyPunchListPunchItemTypes`.","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_get/4","doc":"List punch item types\nReturn a list of all Punch Item Types on a specified Project.","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_get/4","doc":"- `{:ok, [%PunchItemType1{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_delete/5","doc":"Delete Punch Item Type\nDelete the specified Punch Item Type.","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item Type\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_get/5","doc":"Show Punch Item Type\nReturn detail on the specified Punch Item Type.","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item Type\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_get/5","doc":"- `{:ok, Procore.Model.PunchItemType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_patch/5","doc":"Update Punch Item type\nUpdate the specified Punch Item Type.","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item Type\n- `punch_item_type_body` (PunchItemTypeBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_id_patch/5","doc":"- `{:ok, Procore.Model.PunchItemType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_id_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_post/4","doc":"Create Punch Item Type\nCreate a new Punch Item Type.","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `punch_item_type_body` (PunchItemTypeBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItemTypes.rest_v10_punch_item_types_post/4","doc":"- `{:ok, Procore.Model.PunchItemType1.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItemTypes.html#rest_v10_punch_item_types_post/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListPunchItems","doc":"API calls for all endpoints tagged `QualitySafetyPunchListPunchItems`.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_add_punch_item_attachments_post/5","doc":"Add Attachments to Punch Item\nAdd Attachments to Punch Item #### Uploading images To upload images you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_add_punch_item_attachments_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_add_punch_item_attachments_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `project_id` (integer()): ID of the project\n- `opts` (keyword): Optional parameters\n  - `:attachments` ([String.t]): Punch Item Assignment attachments. To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_add_punch_item_attachments_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_add_punch_item_attachments_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInnerAttachmentsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_add_punch_item_attachments_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_get/4","doc":"List Punch Items\nReturn a list of all Punch Items for a specified Project.  See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified Punch Item Status - 'open' or 'closed'.\n  - `:\"filters[priority]\"` (String.t): Return item(s) with the specified Punch Item Priority -  'low', 'medium', 'high'\n  - `:\"filters[punch_item_type_id]\"` (integer()): Return item(s) with the specified Punch Item Type ID.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[include_sublocations]\"` (boolean()): Use together with `filters[location_id]` \n  - `:\"filters[approver_login_information_id]\"` (integer()): User ID. Returns item(s) where the specified User ID is an approver.\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:\"filters[assignee_response]\"` (boolean()): If true, returns item(s) with the specified assignee response approved status.\n  - `:\"filters[trade_id]\"` (integer()): Trade ID\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified Punch Item ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_get/4","doc":"- `{:ok, [%PunchItem6{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_comments_post/6","doc":"Create Punch Item Comment\nCreate a new Punch Item Comment in a Project.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_comments_post/6"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_comments_post/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `project_id` (integer()): Unique identifier for the project.\n- `punch_item_comment_body` (PunchItemCommentBody): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_comments_post/6-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_comments_post/6","doc":"- `{:ok, Procore.Model.PunchItemComment.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_comments_post/6-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_delete/5","doc":"Delete Punch Item\nDelete a specific Punch Item.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_get/5","doc":"Show Punch Item\nReturn detailed information about a specific Punch Item in a Project.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_get/5","doc":"- `{:ok, Procore.Model.PunchItem3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_patch/5","doc":"Update Punch Item\nUpdate a specific Punch Item in a Project.  #### Uploading images To upload images you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `punch_item[images][]` as files.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `punch_item_body2` (PunchItemBody2): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_patch/5","doc":"- `{:ok, Procore.Model.PunchItem3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_send_email_post/5","doc":"Send Punch Item Email\nSend an email for a Punch Item in a Project.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_send_email_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_send_email_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `body29` (Body29): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_send_email_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_id_send_email_post/5","doc":"- `{:ok, any()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_id_send_email_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_post/4","doc":"Create Punch Item\nCreate a new Punch Item in a Project.  #### Uploading images To upload images you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `punch_item[images][]` as files.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `punch_item_body` (PunchItemBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_post/4","doc":"- `{:ok, Procore.Model.PunchItem3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_post/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_recycle_bin_get/4","doc":"List Deleted Punch Items\nReturn an array of Deleted Punch objects for a specified Project","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_recycle_bin_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_recycle_bin_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_recycle_bin_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_recycle_bin_get/4","doc":"- `{:ok, Procore.Model.PunchItem6.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_recycle_bin_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_send_all_unsent_post/5","doc":"Send All Unsent Punch Item Emails\nSend all unsent Punch Item emails in a Project.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_send_all_unsent_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_send_all_unsent_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body28` (Body28): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_send_all_unsent_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_send_all_unsent_post/5","doc":"- `{:ok, any()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_send_all_unsent_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_send_unsent_post/4","doc":"Send unsent Punch Items\nSends email notifications for unsent Punch Items.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_send_unsent_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_send_unsent_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v11_punch_items_send_unsent_post_request` (RestV11PunchItemsSendUnsentPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_send_unsent_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_items_send_unsent_post/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_items_send_unsent_post/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_list_default_distribution_get/4","doc":"List Punch Item Default Distribution List\nReturns a collection of Default Distribution Members for a given Punch Item.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_list_default_distribution_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_list_default_distribution_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_list_default_distribution_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v10_punch_list_default_distribution_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v10_punch_list_default_distribution_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_add_punch_item_attachments_post/5","doc":"Add Attachments to Punch Item\nAdd Attachments to Punch Item #### Uploading images To upload images you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_add_punch_item_attachments_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_add_punch_item_attachments_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `project_id` (integer()): ID of the project\n- `opts` (keyword): Optional parameters\n  - `:attachments` ([String.t]): Punch Item Assignment attachments. To upload attachments you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `attachments[]` as files.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_add_punch_item_attachments_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_add_punch_item_attachments_post/5","doc":"- `{:ok, Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInnerAttachmentsInner.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_add_punch_item_attachments_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_get/4","doc":"List Punch Items\nReturn a list of all Punch Items for a specified Project. See [Filtering on List Actions](https://developers.procore.com/documentation/filtering-on-list-actions) for information on using the filtering capabilities provided by this endpoint.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page\n  - `:\"filters[status]\"` (String.t): Return item(s) with the specified Punch Item Status - 'open' or 'closed'.\n  - `:\"filters[priority]\"` (String.t): Return item(s) with the specified Punch Item Priority -  'low', 'medium', 'high'\n  - `:\"filters[punch_item_type_id]\"` (integer()): Return item(s) with the specified Punch Item Type ID.\n  - `:\"filters[location_id]\"` ([integer()]): Location ID. Returns item(s) with the specified Location ID or a range of Location IDs.\n  - `:\"filters[include_sublocations]\"` (boolean()): Use together with `filters[location_id]` \n  - `:\"filters[approver_login_information_id]\"` (integer()): User ID. Returns item(s) where the specified User ID is an approver.\n  - `:\"filters[vendor_id]\"` (integer()): Return item(s) with the specified Vendor ID.\n  - `:\"filters[assignee_response]\"` (boolean()): If true, returns item(s) with the specified assignee response approved status.\n  - `:\"filters[trade_id]\"` (integer()): Trade ID\n  - `:\"filters[id]\"` ([integer()]): Return item(s) with the specified Punch Item ID.\n  - `:\"filters[query]\"` (String.t): Return item(s) containing search query\n  - `:\"filters[updated_at]\"` (Date.t): Return item(s) last updated within the specified ISO 8601 datetime range. Formats: `YYYY-MM-DD`...`YYYY-MM-DD` - Date `YYYY-MM-DDTHH:MM:SSZ`...`YYYY-MM-DDTHH:MM:SSZ` - DateTime with UTC Offset `YYYY-MM-DDTHH:MM:SS+XX:00`...`YYYY-MM-DDTHH:MM:SS+XX:00` - Datetime with Custom Offset","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_get/4","doc":"- `{:ok, [%PunchItem{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_delete/5","doc":"Delete Punch Item\nDelete a specific Punch Item.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_delete/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_delete/5","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_delete/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_get/5","doc":"Show Punch Item\nReturn detailed information about a specific Punch Item in a Project.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_get/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_get/5","doc":"- `{:ok, Procore.Model.PunchItem3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_get/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_patch/5","doc":"Update Punch Item\nUpdate a specific Punch Item in a Project.  #### Uploading images To upload images you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `punch_item[images][]` as files.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `punch_item_body2` (PunchItemBody2): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_patch/5","doc":"- `{:ok, Procore.Model.PunchItem3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_patch/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_send_email_post/5","doc":"Send Punch Item Email\nSend an email for a Punch Item in a Project.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_send_email_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_send_email_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): ID of the Punch Item\n- `body29` (Body29): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_send_email_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_id_send_email_post/5","doc":"- `{:ok, any()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_id_send_email_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_post/4","doc":"Create Punch Item\nCreate a new Punch Item in a Project.  #### Uploading images To upload images you must upload the entire payload as `multipart/form-data` content-type and specify each parameter as form-data together with `punch_item[images][]` as files.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `punch_item_body` (PunchItemBody): \n- `opts` (keyword): Optional parameters\n  - `:run_configurable_validations` (boolean()): If true, validations are run for the corresponding Configurable Field Set.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_post/4","doc":"- `{:ok, Procore.Model.PunchItem3.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_post/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_recycle_bin_get/4","doc":"List Deleted Punch Items\nReturn an array of Deleted Punch objects for a specified Project","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_recycle_bin_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_recycle_bin_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_recycle_bin_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_recycle_bin_get/4","doc":"- `{:ok, Procore.Model.PunchItem.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_recycle_bin_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_send_all_unsent_post/5","doc":"Send All Unsent Punch Item Emails\nSend all unsent Punch Item emails in a Project.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_send_all_unsent_post/5"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_send_all_unsent_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `body28` (Body28): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_send_all_unsent_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_send_all_unsent_post/5","doc":"- `{:ok, any()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_send_all_unsent_post/5-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_send_unsent_post/4","doc":"Send unsent Punch Items\nSends email notifications for unsent Punch Items.","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_send_unsent_post/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_send_unsent_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v11_punch_items_send_unsent_post_request` (RestV11PunchItemsSendUnsentPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_send_unsent_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchItems.rest_v11_punch_items_send_unsent_post/4","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchItems.html#rest_v11_punch_items_send_unsent_post/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListPunchListAssigneeOptions","doc":"API calls for all endpoints tagged `QualitySafetyPunchListPunchListAssigneeOptions`.","ref":"Procore.Api.QualitySafetyPunchListPunchListAssigneeOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchListAssigneeOptions.rest_v10_projects_project_id_punch_list_assignee_options_get/4","doc":"List Punch List Assignee options\nReturns login informations that the current User can assign to Punch Items.","ref":"Procore.Api.QualitySafetyPunchListPunchListAssigneeOptions.html#rest_v10_projects_project_id_punch_list_assignee_options_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchListAssigneeOptions.rest_v10_projects_project_id_punch_list_assignee_options_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyPunchListPunchListAssigneeOptions.html#rest_v10_projects_project_id_punch_list_assignee_options_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchListAssigneeOptions.rest_v10_projects_project_id_punch_list_assignee_options_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchListAssigneeOptions.html#rest_v10_projects_project_id_punch_list_assignee_options_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListPunchListAvailableFinalApprovers","doc":"API calls for all endpoints tagged `QualitySafetyPunchListPunchListAvailableFinalApprovers`.","ref":"Procore.Api.QualitySafetyPunchListPunchListAvailableFinalApprovers.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchListAvailableFinalApprovers.rest_v10_projects_project_id_punch_list_available_final_approvers_get/4","doc":"Punch List Available Final Approvers\nReturns available final approvers for Punch List","ref":"Procore.Api.QualitySafetyPunchListPunchListAvailableFinalApprovers.html#rest_v10_projects_project_id_punch_list_available_final_approvers_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchListAvailableFinalApprovers.rest_v10_projects_project_id_punch_list_available_final_approvers_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyPunchListPunchListAvailableFinalApprovers.html#rest_v10_projects_project_id_punch_list_available_final_approvers_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchListAvailableFinalApprovers.rest_v10_projects_project_id_punch_list_available_final_approvers_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdPunchListAvailableFinalApproversGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchListAvailableFinalApprovers.html#rest_v10_projects_project_id_punch_list_available_final_approvers_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions","doc":"API calls for all endpoints tagged `QualitySafetyPunchListPunchListFilterOptions`.","ref":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.rest_v10_projects_project_id_punch_list_assignees_get/4","doc":"List of Punch List Assignee Filter Options\nReturns assignees associated to the Punch List","ref":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.html#rest_v10_projects_project_id_punch_list_assignees_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchListFilterOptions.rest_v10_projects_project_id_punch_list_assignees_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.html#rest_v10_projects_project_id_punch_list_assignees_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchListFilterOptions.rest_v10_projects_project_id_punch_list_assignees_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdPunchListAssigneesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.html#rest_v10_projects_project_id_punch_list_assignees_get/4-returns"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.rest_v10_projects_project_id_punch_list_vendors_get/4","doc":"List of Punch List Vendor Filter Options\nReturns vendors associated to the Punch List","ref":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.html#rest_v10_projects_project_id_punch_list_vendors_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchListFilterOptions.rest_v10_projects_project_id_punch_list_vendors_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.html#rest_v10_projects_project_id_punch_list_vendors_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchListFilterOptions.rest_v10_projects_project_id_punch_list_vendors_get/4","doc":"- `{:ok, Procore.Model.RestV10ProjectsProjectIdPunchListAssigneesGet200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchListFilterOptions.html#rest_v10_projects_project_id_punch_list_vendors_get/4-returns"},{"type":"module","title":"Procore.Api.QualitySafetyPunchListPunchListReadUserOptions","doc":"API calls for all endpoints tagged `QualitySafetyPunchListPunchListReadUserOptions`.","ref":"Procore.Api.QualitySafetyPunchListPunchListReadUserOptions.html"},{"type":"function","title":"Procore.Api.QualitySafetyPunchListPunchListReadUserOptions.rest_v10_projects_project_id_punch_list_read_user_options_get/4","doc":"List Punch List Read User options\nReturns login informations that have access to the Punch List tool.","ref":"Procore.Api.QualitySafetyPunchListPunchListReadUserOptions.html#rest_v10_projects_project_id_punch_list_read_user_options_get/4"},{"type":"function","title":"Parameters - Procore.Api.QualitySafetyPunchListPunchListReadUserOptions.rest_v10_projects_project_id_punch_list_read_user_options_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project.\n- `opts` (keyword): Optional parameters\n  - `:page` (integer()): Page\n  - `:per_page` (integer()): Elements per page","ref":"Procore.Api.QualitySafetyPunchListPunchListReadUserOptions.html#rest_v10_projects_project_id_punch_list_read_user_options_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.QualitySafetyPunchListPunchListReadUserOptions.rest_v10_projects_project_id_punch_list_read_user_options_get/4","doc":"- `{:ok, [%RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.QualitySafetyPunchListPunchListReadUserOptions.html#rest_v10_projects_project_id_punch_list_read_user_options_get/4-returns"},{"type":"module","title":"Procore.Api.UtilitiesWebhooksDeliveries","doc":"API calls for all endpoints tagged `UtilitiesWebhooksDeliveries`.","ref":"Procore.Api.UtilitiesWebhooksDeliveries.html"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksDeliveries.rest_v10_webhooks_hooks_hook_id_deliveries_get/6","doc":"List Webhooks Deliveries\nDeliveries must be listed within a company and/or project scope.","ref":"Procore.Api.UtilitiesWebhooksDeliveries.html#rest_v10_webhooks_hooks_hook_id_deliveries_get/6"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksDeliveries.rest_v10_webhooks_hooks_hook_id_deliveries_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `hook_id` (integer()): Webhooks Hook ID\n- `company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters\n  - `:page_size` (integer()): Number of items to return for a page (default: 100)\n  - `:page_start` (integer()): The last id of the previous page.\n  - `:\"filters[status]\"` (String.t): Filter on status for \"any\", \"successful\" or \"failing\"","ref":"Procore.Api.UtilitiesWebhooksDeliveries.html#rest_v10_webhooks_hooks_hook_id_deliveries_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksDeliveries.rest_v10_webhooks_hooks_hook_id_deliveries_get/6","doc":"- `{:ok, [%WebhooksDelivery{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksDeliveries.html#rest_v10_webhooks_hooks_hook_id_deliveries_get/6-returns"},{"type":"module","title":"Procore.Api.UtilitiesWebhooksHooks","doc":"API calls for all endpoints tagged `UtilitiesWebhooksHooks`.","ref":"Procore.Api.UtilitiesWebhooksHooks.html"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_get/5","doc":"List Webhooks Hooks\nHooks must be listed within a company and/or project scope.","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_get/5"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_get/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters\n  - `:namespace` (String.t): Hook namespace to query. Use * to return hooks from all namespaces.\n  - `:api_version` (String.t): API Version","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_get/5-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_get/5","doc":"- `{:ok, [%WebhooksHook{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_get/5-returns"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_id_delete/6","doc":"Delete Webhooks Hook\nTriggers must be deleted within a company and/or project scope.","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_id_delete/6"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_id_delete/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Webhooks Hook ID\n- `company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_id_delete/6-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_id_delete/6","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_id_delete/6-returns"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_id_patch/5","doc":"Update Webhooks Hook\nHooks must be updated within a company and/or project scope.","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_id_patch/5"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_id_patch/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `id` (integer()): Webhooks Hook ID\n- `rest_v10_webhooks_hooks_id_patch_request` (RestV10WebhooksHooksIdPatchRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_id_patch/5-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_id_patch/5","doc":"- `{:ok, Procore.Model.WebhooksHook.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_id_patch/5-returns"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_post/4","doc":"Create Webhooks Hook\nHooks must be created within a company and/or project scope.","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_post/4"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_post/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `rest_v10_webhooks_hooks_post_request` (RestV10WebhooksHooksPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_post/4-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksHooks.rest_v10_webhooks_hooks_post/4","doc":"- `{:ok, Procore.Model.WebhooksHook.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksHooks.html#rest_v10_webhooks_hooks_post/4-returns"},{"type":"module","title":"Procore.Api.UtilitiesWebhooksTriggers","doc":"API calls for all endpoints tagged `UtilitiesWebhooksTriggers`.","ref":"Procore.Api.UtilitiesWebhooksTriggers.html"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_bulk_delete/5","doc":"Bulk Delete Triggers\nDelete multiple webhook triggers in a single request. All triggers must be within the same hook, and provide company and/or project scope. Max 500 triggers.","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_bulk_delete/5"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_bulk_delete/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `hook_id` (integer()): Webhooks Hook ID\n- `rest_v10_webhooks_hooks_hook_id_triggers_bulk_delete_request` (RestV10WebhooksHooksHookIdTriggersBulkDeleteRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_bulk_delete/5-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_bulk_delete/5","doc":"- `{:ok, Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_bulk_delete/5-returns"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_bulk_post/5","doc":"Bulk Create Triggers\nCreate multiple webhook triggers in a single request. All triggers must be within the same hook, and provide company and/or project scope. Max 500 triggers.","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_bulk_post/5"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_bulk_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `hook_id` (integer()): Webhooks Hook ID\n- `rest_v10_webhooks_hooks_hook_id_triggers_bulk_post_request` (RestV10WebhooksHooksHookIdTriggersBulkPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_bulk_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_bulk_post/5","doc":"- `{:ok, Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_bulk_post/5-returns"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_get/6","doc":"List Webhooks Triggers\nTriggers must be listed within a company and/or project scope.","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_get/6"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_get/6","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `hook_id` (integer()): Webhooks Hook ID\n- `company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_get/6-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_get/6","doc":"- `{:ok, [%WebhooksTrigger{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_get/6-returns"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_id_delete/7","doc":"Delete Webhooks Trigger\nTriggers must be deleted within a company and/or project scope.","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_id_delete/7"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_id_delete/7","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `hook_id` (integer()): Webhooks Hook ID\n- `id` (integer()): Webhooks Trigger ID\n- `company_id` (integer()): Unique identifier for the company. You must supply either a company_id or project_id.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_id_delete/7-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_id_delete/7","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_id_delete/7-returns"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_post/5","doc":"Create Webhooks Trigger\nTriggers must be created within a company and/or project scope.","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_post/5"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_post/5","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `hook_id` (integer()): Webhooks Hook ID\n- `rest_v10_webhooks_hooks_hook_id_triggers_post_request` (RestV10WebhooksHooksHookIdTriggersPostRequest): \n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_post/5-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksTriggers.rest_v10_webhooks_hooks_hook_id_triggers_post/5","doc":"- `{:ok, Procore.Model.WebhooksTrigger.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksTriggers.html#rest_v10_webhooks_hooks_hook_id_triggers_post/5-returns"},{"type":"module","title":"Procore.Api.UtilitiesWebhooksWebhookResources","doc":"API calls for all endpoints tagged `UtilitiesWebhooksWebhookResources`.","ref":"Procore.Api.UtilitiesWebhooksWebhookResources.html"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksWebhookResources.rest_v10_webhooks_resources_api_versions_get/4","doc":"List Webhooks Resources API Versions\nReturns the list of Webhook Resources API Versions for the given scope.","ref":"Procore.Api.UtilitiesWebhooksWebhookResources.html#rest_v10_webhooks_resources_api_versions_get/4"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksWebhookResources.rest_v10_webhooks_resources_api_versions_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksWebhookResources.html#rest_v10_webhooks_resources_api_versions_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksWebhookResources.rest_v10_webhooks_resources_api_versions_get/4","doc":"- `{:ok, [%String{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksWebhookResources.html#rest_v10_webhooks_resources_api_versions_get/4-returns"},{"type":"function","title":"Procore.Api.UtilitiesWebhooksWebhookResources.rest_v10_webhooks_resources_get/4","doc":"List Webhooks Resources\nReturns the list of Webhook Resources for the given scope.","ref":"Procore.Api.UtilitiesWebhooksWebhookResources.html#rest_v10_webhooks_resources_get/4"},{"type":"function","title":"Parameters - Procore.Api.UtilitiesWebhooksWebhookResources.rest_v10_webhooks_resources_get/4","doc":"- `connection` (Procore.Connection): Connection to server\n- `procore_company_id` (integer()): Unique company identifier associated with the Procore User Account.\n- `project_id` (integer()): Unique identifier for the project. You must supply either a company_id or project_id.\n- `opts` (keyword): Optional parameters","ref":"Procore.Api.UtilitiesWebhooksWebhookResources.html#rest_v10_webhooks_resources_get/4-parameters"},{"type":"function","title":"Returns - Procore.Api.UtilitiesWebhooksWebhookResources.rest_v10_webhooks_resources_get/4","doc":"- `{:ok, [%WebhooksResource{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Procore.Api.UtilitiesWebhooksWebhookResources.html#rest_v10_webhooks_resources_get/4-returns"},{"type":"module","title":"Procore.Connection","doc":"Handle Tesla connections for Procore.\n\nAdditional middleware can be set in the compile-time or runtime configuration:\n\n    config :tesla, Procore.Connection,\n      base_url: \"https://api.procore.com\",\n      adapter: Tesla.Adapter.Hackney\n\nThe default base URL can also be set as:\n\n    config :procore_sdk,\n      :base_url, \"https://api.procore.com\"","ref":"Procore.Connection.html"},{"type":"function","title":"Procore.Connection.adapter/0","doc":"Returns the default adapter for this API.","ref":"Procore.Connection.html#adapter/0"},{"type":"function","title":"Procore.Connection.middleware/1","doc":"Returns fully configured middleware for passing to Tesla.client/2.","ref":"Procore.Connection.html#middleware/1"},{"type":"function","title":"Procore.Connection.new/0","doc":"Configure a client with no authentication.","ref":"Procore.Connection.html#new/0"},{"type":"function","title":"Returns - Procore.Connection.new/0","doc":"Tesla.Env.client","ref":"Procore.Connection.html#new/0-returns"},{"type":"function","title":"Procore.Connection.new/1","doc":"Configure a client that may have authentication.","ref":"Procore.Connection.html#new/1"},{"type":"function","title":"Parameters - Procore.Connection.new/1","doc":"- `options`: a keyword list of options.","ref":"Procore.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - Procore.Connection.new/1","doc":"Tesla.Env.client","ref":"Procore.Connection.html#new/1-returns"},{"type":"function","title":"Procore.Connection.request/2","doc":"Forward requests to Tesla.","ref":"Procore.Connection.html#request/2"},{"type":"type","title":"Procore.Connection.options/0","doc":"The list of options that can be passed to new/1.\n\n- `base_url`: Overrides the base URL on a per-client basis.\n- `user_agent`: Overrides the User-Agent header.\n- `access_token`: Sets the Bearer token for authentication.","ref":"Procore.Connection.html#t:options/0"},{"type":"module","title":"Procore.Deserializer","doc":"Helper functions for deserializing responses into models","ref":"Procore.Deserializer.html"},{"type":"function","title":"Procore.Deserializer.deserialize/4","doc":"Update the provided model with a deserialization of a nested value","ref":"Procore.Deserializer.html#deserialize/4"},{"type":"function","title":"Procore.Deserializer.jason_decode/1","doc":"","ref":"Procore.Deserializer.html#jason_decode/1"},{"type":"function","title":"Procore.Deserializer.jason_decode/2","doc":"","ref":"Procore.Deserializer.html#jason_decode/2"},{"type":"module","title":"Procore.Model.ActionPlanItemAssigneesInner","doc":"","ref":"Procore.Model.ActionPlanItemAssigneesInner.html"},{"type":"function","title":"Procore.Model.ActionPlanItemAssigneesInner.decode/1","doc":"","ref":"Procore.Model.ActionPlanItemAssigneesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ActionPlanItemAssigneesInner.t/0","doc":"","ref":"Procore.Model.ActionPlanItemAssigneesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ActionPlanItemAssigneesInner1","doc":"","ref":"Procore.Model.ActionPlanItemAssigneesInner1.html"},{"type":"function","title":"Procore.Model.ActionPlanItemAssigneesInner1.decode/1","doc":"","ref":"Procore.Model.ActionPlanItemAssigneesInner1.html#decode/1"},{"type":"type","title":"Procore.Model.ActionPlanItemAssigneesInner1.t/0","doc":"","ref":"Procore.Model.ActionPlanItemAssigneesInner1.html#t:t/0"},{"type":"module","title":"Procore.Model.ActionPlanTemplateItemAssigneesInner","doc":"","ref":"Procore.Model.ActionPlanTemplateItemAssigneesInner.html"},{"type":"function","title":"Procore.Model.ActionPlanTemplateItemAssigneesInner.decode/1","doc":"","ref":"Procore.Model.ActionPlanTemplateItemAssigneesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ActionPlanTemplateItemAssigneesInner.t/0","doc":"","ref":"Procore.Model.ActionPlanTemplateItemAssigneesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ActionPlanTemplateItemAssigneesInner1","doc":"","ref":"Procore.Model.ActionPlanTemplateItemAssigneesInner1.html"},{"type":"function","title":"Procore.Model.ActionPlanTemplateItemAssigneesInner1.decode/1","doc":"","ref":"Procore.Model.ActionPlanTemplateItemAssigneesInner1.html#decode/1"},{"type":"type","title":"Procore.Model.ActionPlanTemplateItemAssigneesInner1.t/0","doc":"","ref":"Procore.Model.ActionPlanTemplateItemAssigneesInner1.html#t:t/0"},{"type":"module","title":"Procore.Model.ActionPlanTemplateReferencesInner","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInner.html"},{"type":"function","title":"Procore.Model.ActionPlanTemplateReferencesInner.decode/1","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ActionPlanTemplateReferencesInner.t/0","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ActionPlanTemplateReferencesInner1","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInner1.html"},{"type":"function","title":"Procore.Model.ActionPlanTemplateReferencesInner1.decode/1","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInner1.html#decode/1"},{"type":"type","title":"Procore.Model.ActionPlanTemplateReferencesInner1.t/0","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInner1.html#t:t/0"},{"type":"module","title":"Procore.Model.ActionPlanTemplateReferencesInner1Payload","doc":"One of attachment, drawing_revision_id, file_version_id, specification_section_id, submittal_log_id, generic_tool_item_id, form_id, meeting_id, or observation_item_id is accepted depending on the type provided","ref":"Procore.Model.ActionPlanTemplateReferencesInner1Payload.html"},{"type":"function","title":"Procore.Model.ActionPlanTemplateReferencesInner1Payload.decode/1","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInner1Payload.html#decode/1"},{"type":"type","title":"Procore.Model.ActionPlanTemplateReferencesInner1Payload.t/0","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInner1Payload.html#t:t/0"},{"type":"module","title":"Procore.Model.ActionPlanTemplateReferencesInnerPayload","doc":"Used to specify extra required details for some types.","ref":"Procore.Model.ActionPlanTemplateReferencesInnerPayload.html"},{"type":"function","title":"Procore.Model.ActionPlanTemplateReferencesInnerPayload.decode/1","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.ActionPlanTemplateReferencesInnerPayload.t/0","doc":"","ref":"Procore.Model.ActionPlanTemplateReferencesInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.ActionType","doc":"","ref":"Procore.Model.ActionType.html"},{"type":"function","title":"Procore.Model.ActionType.decode/1","doc":"","ref":"Procore.Model.ActionType.html#decode/1"},{"type":"type","title":"Procore.Model.ActionType.t/0","doc":"","ref":"Procore.Model.ActionType.html#t:t/0"},{"type":"module","title":"Procore.Model.ActualProductionQuantities","doc":"","ref":"Procore.Model.ActualProductionQuantities.html"},{"type":"function","title":"Procore.Model.ActualProductionQuantities.decode/1","doc":"","ref":"Procore.Model.ActualProductionQuantities.html#decode/1"},{"type":"type","title":"Procore.Model.ActualProductionQuantities.t/0","doc":"","ref":"Procore.Model.ActualProductionQuantities.html#t:t/0"},{"type":"module","title":"Procore.Model.ActualProductionQuantities1","doc":"","ref":"Procore.Model.ActualProductionQuantities1.html"},{"type":"function","title":"Procore.Model.ActualProductionQuantities1.decode/1","doc":"","ref":"Procore.Model.ActualProductionQuantities1.html#decode/1"},{"type":"type","title":"Procore.Model.ActualProductionQuantities1.t/0","doc":"","ref":"Procore.Model.ActualProductionQuantities1.html#t:t/0"},{"type":"module","title":"Procore.Model.ActualProductionQuantity","doc":"","ref":"Procore.Model.ActualProductionQuantity.html"},{"type":"function","title":"Procore.Model.ActualProductionQuantity.decode/1","doc":"","ref":"Procore.Model.ActualProductionQuantity.html#decode/1"},{"type":"type","title":"Procore.Model.ActualProductionQuantity.t/0","doc":"","ref":"Procore.Model.ActualProductionQuantity.html#t:t/0"},{"type":"module","title":"Procore.Model.AffectedBodyPart","doc":"","ref":"Procore.Model.AffectedBodyPart.html"},{"type":"function","title":"Procore.Model.AffectedBodyPart.decode/1","doc":"","ref":"Procore.Model.AffectedBodyPart.html#decode/1"},{"type":"type","title":"Procore.Model.AffectedBodyPart.t/0","doc":"","ref":"Procore.Model.AffectedBodyPart.html#t:t/0"},{"type":"module","title":"Procore.Model.AfflictionType","doc":"","ref":"Procore.Model.AfflictionType.html"},{"type":"function","title":"Procore.Model.AfflictionType.decode/1","doc":"","ref":"Procore.Model.AfflictionType.html#decode/1"},{"type":"type","title":"Procore.Model.AfflictionType.t/0","doc":"","ref":"Procore.Model.AfflictionType.html#t:t/0"},{"type":"module","title":"Procore.Model.AfflictionType1","doc":"","ref":"Procore.Model.AfflictionType1.html"},{"type":"function","title":"Procore.Model.AfflictionType1.decode/1","doc":"","ref":"Procore.Model.AfflictionType1.html#decode/1"},{"type":"type","title":"Procore.Model.AfflictionType1.t/0","doc":"","ref":"Procore.Model.AfflictionType1.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfChangeOrderRequests","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequests.html"},{"type":"function","title":"Procore.Model.ArrayOfChangeOrderRequests.decode/1","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequests.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfChangeOrderRequests.t/0","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequests.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfChangeOrderRequestsEntitiesInner","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequestsEntitiesInner.html"},{"type":"function","title":"Procore.Model.ArrayOfChangeOrderRequestsEntitiesInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequestsEntitiesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfChangeOrderRequestsEntitiesInner.t/0","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequestsEntitiesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfChangeOrderRequestsErrorsInner","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequestsErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfChangeOrderRequestsErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequestsErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfChangeOrderRequestsErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfChangeOrderRequestsErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfCompanyInsurances","doc":"","ref":"Procore.Model.ArrayOfCompanyInsurances.html"},{"type":"function","title":"Procore.Model.ArrayOfCompanyInsurances.decode/1","doc":"","ref":"Procore.Model.ArrayOfCompanyInsurances.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfCompanyInsurances.t/0","doc":"","ref":"Procore.Model.ArrayOfCompanyInsurances.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfCompanyVendorInsurances","doc":"","ref":"Procore.Model.ArrayOfCompanyVendorInsurances.html"},{"type":"function","title":"Procore.Model.ArrayOfCompanyVendorInsurances.decode/1","doc":"","ref":"Procore.Model.ArrayOfCompanyVendorInsurances.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfCompanyVendorInsurances.t/0","doc":"","ref":"Procore.Model.ArrayOfCompanyVendorInsurances.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfCompanyVendorInsurancesErrorsInner","doc":"","ref":"Procore.Model.ArrayOfCompanyVendorInsurancesErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfCompanyVendorInsurancesErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfCompanyVendorInsurancesErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfCompanyVendorInsurancesErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfCompanyVendorInsurancesErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfCostCodes","doc":"","ref":"Procore.Model.ArrayOfCostCodes.html"},{"type":"function","title":"Procore.Model.ArrayOfCostCodes.decode/1","doc":"","ref":"Procore.Model.ArrayOfCostCodes.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfCostCodes.t/0","doc":"","ref":"Procore.Model.ArrayOfCostCodes.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfCostCodesErrorsInner","doc":"","ref":"Procore.Model.ArrayOfCostCodesErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfCostCodesErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfCostCodesErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfCostCodesErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfCostCodesErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfDirectCostItems","doc":"","ref":"Procore.Model.ArrayOfDirectCostItems.html"},{"type":"function","title":"Procore.Model.ArrayOfDirectCostItems.decode/1","doc":"","ref":"Procore.Model.ArrayOfDirectCostItems.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfDirectCostItems.t/0","doc":"","ref":"Procore.Model.ArrayOfDirectCostItems.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfDirectCostItemsErrorsInner","doc":"","ref":"Procore.Model.ArrayOfDirectCostItemsErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfDirectCostItemsErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfDirectCostItemsErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfDirectCostItemsErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfDirectCostItemsErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfDirectCostLineItems","doc":"","ref":"Procore.Model.ArrayOfDirectCostLineItems.html"},{"type":"function","title":"Procore.Model.ArrayOfDirectCostLineItems.decode/1","doc":"","ref":"Procore.Model.ArrayOfDirectCostLineItems.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfDirectCostLineItems.t/0","doc":"","ref":"Procore.Model.ArrayOfDirectCostLineItems.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItems","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItems.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItems.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItems.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItems.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItems.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInner","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInnerAllOfHolder","doc":"Holder","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInnerAllOfHolder.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInnerAllOfHolder.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInnerAllOfHolder.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInnerAllOfHolder.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrderLineItemsErrorsInnerAllOfHolder.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrders","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrders.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrders.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrders.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrders.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrders.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInner","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInner.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInner.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInner","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInner","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkup","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkup.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkup.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkup.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkup.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkup.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersEntitiesInnerLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInner","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInnerAllOfInner","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInnerAllOfInner.html"},{"type":"function","title":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInnerAllOfInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInnerAllOfInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInnerAllOfInner.t/0","doc":"","ref":"Procore.Model.ArrayOfPotentialChangeOrdersErrorsInnerAllOfInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfProjectInsurances","doc":"","ref":"Procore.Model.ArrayOfProjectInsurances.html"},{"type":"function","title":"Procore.Model.ArrayOfProjectInsurances.decode/1","doc":"","ref":"Procore.Model.ArrayOfProjectInsurances.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfProjectInsurances.t/0","doc":"","ref":"Procore.Model.ArrayOfProjectInsurances.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfProjects","doc":"","ref":"Procore.Model.ArrayOfProjects.html"},{"type":"function","title":"Procore.Model.ArrayOfProjects.decode/1","doc":"","ref":"Procore.Model.ArrayOfProjects.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfProjects.t/0","doc":"","ref":"Procore.Model.ArrayOfProjects.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfProjectsErrorsInner","doc":"","ref":"Procore.Model.ArrayOfProjectsErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfProjectsErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfProjectsErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfProjectsErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfProjectsErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInner","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInner.html"},{"type":"function","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInner.t/0","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee.html"},{"type":"function","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee.decode/1","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee.t/0","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfTaskItemCategory","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfTaskItemCategory.html"},{"type":"function","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfTaskItemCategory.decode/1","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfTaskItemCategory.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfTaskItemCategory.t/0","doc":"","ref":"Procore.Model.ArrayOfTaskItemsThatWereSentOutInnerAllOfTaskItemCategory.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfTasks","doc":"","ref":"Procore.Model.ArrayOfTasks.html"},{"type":"function","title":"Procore.Model.ArrayOfTasks.decode/1","doc":"","ref":"Procore.Model.ArrayOfTasks.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfTasks.t/0","doc":"","ref":"Procore.Model.ArrayOfTasks.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfTasksErrorsInner","doc":"","ref":"Procore.Model.ArrayOfTasksErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfTasksErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfTasksErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfTasksErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfTasksErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfTodos","doc":"","ref":"Procore.Model.ArrayOfTodos.html"},{"type":"function","title":"Procore.Model.ArrayOfTodos.decode/1","doc":"","ref":"Procore.Model.ArrayOfTodos.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfTodos.t/0","doc":"","ref":"Procore.Model.ArrayOfTodos.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfTodosErrorsInner","doc":"","ref":"Procore.Model.ArrayOfTodosErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfTodosErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfTodosErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfTodosErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfTodosErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfUnitsOfMeasure","doc":"","ref":"Procore.Model.ArrayOfUnitsOfMeasure.html"},{"type":"function","title":"Procore.Model.ArrayOfUnitsOfMeasure.decode/1","doc":"","ref":"Procore.Model.ArrayOfUnitsOfMeasure.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfUnitsOfMeasure.t/0","doc":"","ref":"Procore.Model.ArrayOfUnitsOfMeasure.html#t:t/0"},{"type":"module","title":"Procore.Model.ArrayOfUnitsOfMeasureErrorsInner","doc":"","ref":"Procore.Model.ArrayOfUnitsOfMeasureErrorsInner.html"},{"type":"function","title":"Procore.Model.ArrayOfUnitsOfMeasureErrorsInner.decode/1","doc":"","ref":"Procore.Model.ArrayOfUnitsOfMeasureErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ArrayOfUnitsOfMeasureErrorsInner.t/0","doc":"","ref":"Procore.Model.ArrayOfUnitsOfMeasureErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Bid","doc":"Bid","ref":"Procore.Model.Bid.html"},{"type":"function","title":"Procore.Model.Bid.decode/1","doc":"","ref":"Procore.Model.Bid.html#decode/1"},{"type":"type","title":"Procore.Model.Bid.t/0","doc":"","ref":"Procore.Model.Bid.html#t:t/0"},{"type":"module","title":"Procore.Model.BidAttachmentsInner","doc":"","ref":"Procore.Model.BidAttachmentsInner.html"},{"type":"function","title":"Procore.Model.BidAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.BidAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BidAttachmentsInner.t/0","doc":"","ref":"Procore.Model.BidAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BidBidItemsInner","doc":"Bid Item","ref":"Procore.Model.BidBidItemsInner.html"},{"type":"function","title":"Procore.Model.BidBidItemsInner.decode/1","doc":"","ref":"Procore.Model.BidBidItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BidBidItemsInner.t/0","doc":"","ref":"Procore.Model.BidBidItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BidLinks","doc":"","ref":"Procore.Model.BidLinks.html"},{"type":"function","title":"Procore.Model.BidLinks.decode/1","doc":"","ref":"Procore.Model.BidLinks.html#decode/1"},{"type":"type","title":"Procore.Model.BidLinks.t/0","doc":"","ref":"Procore.Model.BidLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.BidPackage","doc":"Bid Package Object","ref":"Procore.Model.BidPackage.html"},{"type":"function","title":"Procore.Model.BidPackage.decode/1","doc":"","ref":"Procore.Model.BidPackage.html#decode/1"},{"type":"type","title":"Procore.Model.BidPackage.t/0","doc":"","ref":"Procore.Model.BidPackage.html#t:t/0"},{"type":"module","title":"Procore.Model.BidRecipientListInner","doc":"","ref":"Procore.Model.BidRecipientListInner.html"},{"type":"function","title":"Procore.Model.BidRecipientListInner.decode/1","doc":"","ref":"Procore.Model.BidRecipientListInner.html#decode/1"},{"type":"type","title":"Procore.Model.BidRecipientListInner.t/0","doc":"","ref":"Procore.Model.BidRecipientListInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BillingPeriod","doc":"","ref":"Procore.Model.BillingPeriod.html"},{"type":"function","title":"Procore.Model.BillingPeriod.decode/1","doc":"","ref":"Procore.Model.BillingPeriod.html#decode/1"},{"type":"type","title":"Procore.Model.BillingPeriod.t/0","doc":"","ref":"Procore.Model.BillingPeriod.html#t:t/0"},{"type":"module","title":"Procore.Model.BillingPeriod1","doc":"The Billing Period object","ref":"Procore.Model.BillingPeriod1.html"},{"type":"function","title":"Procore.Model.BillingPeriod1.decode/1","doc":"","ref":"Procore.Model.BillingPeriod1.html#decode/1"},{"type":"type","title":"Procore.Model.BillingPeriod1.t/0","doc":"","ref":"Procore.Model.BillingPeriod1.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFile","doc":"BIM File Item object. Each BIM File can be uniquely identified by name and UUID.","ref":"Procore.Model.BimFile.html"},{"type":"function","title":"Procore.Model.BimFile.decode/1","doc":"","ref":"Procore.Model.BimFile.html#decode/1"},{"type":"type","title":"Procore.Model.BimFile.t/0","doc":"","ref":"Procore.Model.BimFile.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFile1","doc":"BIM File Item object","ref":"Procore.Model.BimFile1.html"},{"type":"function","title":"Procore.Model.BimFile1.decode/1","doc":"","ref":"Procore.Model.BimFile1.html#decode/1"},{"type":"type","title":"Procore.Model.BimFile1.t/0","doc":"","ref":"Procore.Model.BimFile1.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtraction","doc":"","ref":"Procore.Model.BimFileExtraction.html"},{"type":"function","title":"Procore.Model.BimFileExtraction.decode/1","doc":"","ref":"Procore.Model.BimFileExtraction.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtraction.t/0","doc":"","ref":"Procore.Model.BimFileExtraction.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionCreatedBy","doc":"","ref":"Procore.Model.BimFileExtractionCreatedBy.html"},{"type":"function","title":"Procore.Model.BimFileExtractionCreatedBy.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionCreatedBy.t/0","doc":"","ref":"Procore.Model.BimFileExtractionCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionItem","doc":"","ref":"Procore.Model.BimFileExtractionItem.html"},{"type":"function","title":"Procore.Model.BimFileExtractionItem.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionItem.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionItem.t/0","doc":"","ref":"Procore.Model.BimFileExtractionItem.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionItemArtifact","doc":"Artifact extracted from a 3d model. Only one of grid, mobile_format, properties, web_format, ifc, and object_search will have data associated to the artifact extracted","ref":"Procore.Model.BimFileExtractionItemArtifact.html"},{"type":"function","title":"Procore.Model.BimFileExtractionItemArtifact.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifact.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionItemArtifact.t/0","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifact.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionItemArtifactGrid","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactGrid.html"},{"type":"function","title":"Procore.Model.BimFileExtractionItemArtifactGrid.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactGrid.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionItemArtifactGrid.t/0","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactGrid.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionItemArtifactObjectSearch","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactObjectSearch.html"},{"type":"function","title":"Procore.Model.BimFileExtractionItemArtifactObjectSearch.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactObjectSearch.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionItemArtifactObjectSearch.t/0","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactObjectSearch.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionItemArtifactWebFormat","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactWebFormat.html"},{"type":"function","title":"Procore.Model.BimFileExtractionItemArtifactWebFormat.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactWebFormat.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionItemArtifactWebFormat.t/0","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactWebFormat.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionItemArtifactWebFormatCellFile","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactWebFormatCellFile.html"},{"type":"function","title":"Procore.Model.BimFileExtractionItemArtifactWebFormatCellFile.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactWebFormatCellFile.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionItemArtifactWebFormatCellFile.t/0","doc":"","ref":"Procore.Model.BimFileExtractionItemArtifactWebFormatCellFile.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionItemError","doc":"An error that can occur during model processing.","ref":"Procore.Model.BimFileExtractionItemError.html"},{"type":"function","title":"Procore.Model.BimFileExtractionItemError.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionItemError.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionItemError.t/0","doc":"","ref":"Procore.Model.BimFileExtractionItemError.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileExtractionItemType","doc":"","ref":"Procore.Model.BimFileExtractionItemType.html"},{"type":"function","title":"Procore.Model.BimFileExtractionItemType.decode/1","doc":"","ref":"Procore.Model.BimFileExtractionItemType.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileExtractionItemType.t/0","doc":"","ref":"Procore.Model.BimFileExtractionItemType.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileUpload","doc":"","ref":"Procore.Model.BimFileUpload.html"},{"type":"function","title":"Procore.Model.BimFileUpload.decode/1","doc":"","ref":"Procore.Model.BimFileUpload.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileUpload.t/0","doc":"","ref":"Procore.Model.BimFileUpload.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileUploadAttachment","doc":"","ref":"Procore.Model.BimFileUploadAttachment.html"},{"type":"function","title":"Procore.Model.BimFileUploadAttachment.decode/1","doc":"","ref":"Procore.Model.BimFileUploadAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileUploadAttachment.t/0","doc":"","ref":"Procore.Model.BimFileUploadAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileUploadCreatedBy","doc":"","ref":"Procore.Model.BimFileUploadCreatedBy.html"},{"type":"function","title":"Procore.Model.BimFileUploadCreatedBy.decode/1","doc":"","ref":"Procore.Model.BimFileUploadCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileUploadCreatedBy.t/0","doc":"","ref":"Procore.Model.BimFileUploadCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileUploadFileVersion","doc":"","ref":"Procore.Model.BimFileUploadFileVersion.html"},{"type":"function","title":"Procore.Model.BimFileUploadFileVersion.decode/1","doc":"","ref":"Procore.Model.BimFileUploadFileVersion.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileUploadFileVersion.t/0","doc":"","ref":"Procore.Model.BimFileUploadFileVersion.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileUploadMetadata","doc":"Meta data","ref":"Procore.Model.BimFileUploadMetadata.html"},{"type":"function","title":"Procore.Model.BimFileUploadMetadata.decode/1","doc":"","ref":"Procore.Model.BimFileUploadMetadata.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileUploadMetadata.t/0","doc":"","ref":"Procore.Model.BimFileUploadMetadata.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileUploadMetadataDrawingSheetsInner","doc":"Drawing sheet","ref":"Procore.Model.BimFileUploadMetadataDrawingSheetsInner.html"},{"type":"function","title":"Procore.Model.BimFileUploadMetadataDrawingSheetsInner.decode/1","doc":"","ref":"Procore.Model.BimFileUploadMetadataDrawingSheetsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileUploadMetadataDrawingSheetsInner.t/0","doc":"","ref":"Procore.Model.BimFileUploadMetadataDrawingSheetsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BimFileUploadMetadataLinkedFilesInner","doc":"Linked file","ref":"Procore.Model.BimFileUploadMetadataLinkedFilesInner.html"},{"type":"function","title":"Procore.Model.BimFileUploadMetadataLinkedFilesInner.decode/1","doc":"","ref":"Procore.Model.BimFileUploadMetadataLinkedFilesInner.html#decode/1"},{"type":"type","title":"Procore.Model.BimFileUploadMetadataLinkedFilesInner.t/0","doc":"","ref":"Procore.Model.BimFileUploadMetadataLinkedFilesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BimLevel","doc":"BIM Level Item object","ref":"Procore.Model.BimLevel.html"},{"type":"function","title":"Procore.Model.BimLevel.decode/1","doc":"","ref":"Procore.Model.BimLevel.html#decode/1"},{"type":"type","title":"Procore.Model.BimLevel.t/0","doc":"","ref":"Procore.Model.BimLevel.html#t:t/0"},{"type":"module","title":"Procore.Model.BimLevelBatchCreateResponse","doc":"","ref":"Procore.Model.BimLevelBatchCreateResponse.html"},{"type":"function","title":"Procore.Model.BimLevelBatchCreateResponse.decode/1","doc":"","ref":"Procore.Model.BimLevelBatchCreateResponse.html#decode/1"},{"type":"type","title":"Procore.Model.BimLevelBatchCreateResponse.t/0","doc":"","ref":"Procore.Model.BimLevelBatchCreateResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.BimLevelBatchCreateResponseErrorsInner","doc":"","ref":"Procore.Model.BimLevelBatchCreateResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.BimLevelBatchCreateResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.BimLevelBatchCreateResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BimLevelBatchCreateResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.BimLevelBatchCreateResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BimMintTokens","doc":"","ref":"Procore.Model.BimMintTokens.html"},{"type":"function","title":"Procore.Model.BimMintTokens.decode/1","doc":"","ref":"Procore.Model.BimMintTokens.html#decode/1"},{"type":"type","title":"Procore.Model.BimMintTokens.t/0","doc":"","ref":"Procore.Model.BimMintTokens.html#t:t/0"},{"type":"module","title":"Procore.Model.BimModelRevisionPlanBatchCreateResponse","doc":"","ref":"Procore.Model.BimModelRevisionPlanBatchCreateResponse.html"},{"type":"function","title":"Procore.Model.BimModelRevisionPlanBatchCreateResponse.decode/1","doc":"","ref":"Procore.Model.BimModelRevisionPlanBatchCreateResponse.html#decode/1"},{"type":"type","title":"Procore.Model.BimModelRevisionPlanBatchCreateResponse.t/0","doc":"","ref":"Procore.Model.BimModelRevisionPlanBatchCreateResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.BimModelRevisionPlanBatchCreateResponseErrorsInner","doc":"","ref":"Procore.Model.BimModelRevisionPlanBatchCreateResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.BimModelRevisionPlanBatchCreateResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.BimModelRevisionPlanBatchCreateResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BimModelRevisionPlanBatchCreateResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.BimModelRevisionPlanBatchCreateResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BimModelRevisionViewpointBatchCreateResponse","doc":"","ref":"Procore.Model.BimModelRevisionViewpointBatchCreateResponse.html"},{"type":"function","title":"Procore.Model.BimModelRevisionViewpointBatchCreateResponse.decode/1","doc":"","ref":"Procore.Model.BimModelRevisionViewpointBatchCreateResponse.html#decode/1"},{"type":"type","title":"Procore.Model.BimModelRevisionViewpointBatchCreateResponse.t/0","doc":"","ref":"Procore.Model.BimModelRevisionViewpointBatchCreateResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.BimModelRevisionViewpointBatchCreateResponseErrorsInner","doc":"","ref":"Procore.Model.BimModelRevisionViewpointBatchCreateResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.BimModelRevisionViewpointBatchCreateResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.BimModelRevisionViewpointBatchCreateResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BimModelRevisionViewpointBatchCreateResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.BimModelRevisionViewpointBatchCreateResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BimPlanBatchCreateResponse","doc":"","ref":"Procore.Model.BimPlanBatchCreateResponse.html"},{"type":"function","title":"Procore.Model.BimPlanBatchCreateResponse.decode/1","doc":"","ref":"Procore.Model.BimPlanBatchCreateResponse.html#decode/1"},{"type":"type","title":"Procore.Model.BimPlanBatchCreateResponse.t/0","doc":"","ref":"Procore.Model.BimPlanBatchCreateResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.BimPlanBatchCreateResponseErrorsInner","doc":"","ref":"Procore.Model.BimPlanBatchCreateResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.BimPlanBatchCreateResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.BimPlanBatchCreateResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BimPlanBatchCreateResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.BimPlanBatchCreateResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BimViewpointBatchCreateResponse","doc":"","ref":"Procore.Model.BimViewpointBatchCreateResponse.html"},{"type":"function","title":"Procore.Model.BimViewpointBatchCreateResponse.decode/1","doc":"","ref":"Procore.Model.BimViewpointBatchCreateResponse.html#decode/1"},{"type":"type","title":"Procore.Model.BimViewpointBatchCreateResponse.t/0","doc":"","ref":"Procore.Model.BimViewpointBatchCreateResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.BimViewpointBatchCreateResponseErrorsInner","doc":"","ref":"Procore.Model.BimViewpointBatchCreateResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.BimViewpointBatchCreateResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.BimViewpointBatchCreateResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BimViewpointBatchCreateResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.BimViewpointBatchCreateResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body","doc":"","ref":"Procore.Model.Body.html"},{"type":"function","title":"Procore.Model.Body.decode/1","doc":"","ref":"Procore.Model.Body.html#decode/1"},{"type":"type","title":"Procore.Model.Body.t/0","doc":"","ref":"Procore.Model.Body.html#t:t/0"},{"type":"module","title":"Procore.Model.Body1","doc":"","ref":"Procore.Model.Body1.html"},{"type":"function","title":"Procore.Model.Body1.decode/1","doc":"","ref":"Procore.Model.Body1.html#decode/1"},{"type":"type","title":"Procore.Model.Body1.t/0","doc":"","ref":"Procore.Model.Body1.html#t:t/0"},{"type":"module","title":"Procore.Model.Body10","doc":"","ref":"Procore.Model.Body10.html"},{"type":"function","title":"Procore.Model.Body10.decode/1","doc":"","ref":"Procore.Model.Body10.html#decode/1"},{"type":"type","title":"Procore.Model.Body10.t/0","doc":"","ref":"Procore.Model.Body10.html#t:t/0"},{"type":"module","title":"Procore.Model.Body100","doc":"","ref":"Procore.Model.Body100.html"},{"type":"function","title":"Procore.Model.Body100.decode/1","doc":"","ref":"Procore.Model.Body100.html#decode/1"},{"type":"type","title":"Procore.Model.Body100.t/0","doc":"","ref":"Procore.Model.Body100.html#t:t/0"},{"type":"module","title":"Procore.Model.Body101","doc":"","ref":"Procore.Model.Body101.html"},{"type":"function","title":"Procore.Model.Body101.decode/1","doc":"","ref":"Procore.Model.Body101.html#decode/1"},{"type":"type","title":"Procore.Model.Body101.t/0","doc":"","ref":"Procore.Model.Body101.html#t:t/0"},{"type":"module","title":"Procore.Model.Body102","doc":"","ref":"Procore.Model.Body102.html"},{"type":"function","title":"Procore.Model.Body102.decode/1","doc":"","ref":"Procore.Model.Body102.html#decode/1"},{"type":"type","title":"Procore.Model.Body102.t/0","doc":"","ref":"Procore.Model.Body102.html#t:t/0"},{"type":"module","title":"Procore.Model.Body102DeletesInner","doc":"Coordination Issue","ref":"Procore.Model.Body102DeletesInner.html"},{"type":"function","title":"Procore.Model.Body102DeletesInner.decode/1","doc":"","ref":"Procore.Model.Body102DeletesInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body102DeletesInner.t/0","doc":"","ref":"Procore.Model.Body102DeletesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body103","doc":"","ref":"Procore.Model.Body103.html"},{"type":"function","title":"Procore.Model.Body103.decode/1","doc":"","ref":"Procore.Model.Body103.html#decode/1"},{"type":"type","title":"Procore.Model.Body103.t/0","doc":"","ref":"Procore.Model.Body103.html#t:t/0"},{"type":"module","title":"Procore.Model.Body104","doc":"","ref":"Procore.Model.Body104.html"},{"type":"function","title":"Procore.Model.Body104.decode/1","doc":"","ref":"Procore.Model.Body104.html#decode/1"},{"type":"type","title":"Procore.Model.Body104.t/0","doc":"","ref":"Procore.Model.Body104.html#t:t/0"},{"type":"module","title":"Procore.Model.Body105","doc":"","ref":"Procore.Model.Body105.html"},{"type":"function","title":"Procore.Model.Body105.decode/1","doc":"","ref":"Procore.Model.Body105.html#decode/1"},{"type":"type","title":"Procore.Model.Body105.t/0","doc":"","ref":"Procore.Model.Body105.html#t:t/0"},{"type":"module","title":"Procore.Model.Body106","doc":"","ref":"Procore.Model.Body106.html"},{"type":"function","title":"Procore.Model.Body106.decode/1","doc":"","ref":"Procore.Model.Body106.html#decode/1"},{"type":"type","title":"Procore.Model.Body106.t/0","doc":"","ref":"Procore.Model.Body106.html#t:t/0"},{"type":"module","title":"Procore.Model.Body107","doc":"","ref":"Procore.Model.Body107.html"},{"type":"function","title":"Procore.Model.Body107.decode/1","doc":"","ref":"Procore.Model.Body107.html#decode/1"},{"type":"type","title":"Procore.Model.Body107.t/0","doc":"","ref":"Procore.Model.Body107.html#t:t/0"},{"type":"module","title":"Procore.Model.Body107CalendarItem","doc":"","ref":"Procore.Model.Body107CalendarItem.html"},{"type":"function","title":"Procore.Model.Body107CalendarItem.decode/1","doc":"","ref":"Procore.Model.Body107CalendarItem.html#decode/1"},{"type":"type","title":"Procore.Model.Body107CalendarItem.t/0","doc":"","ref":"Procore.Model.Body107CalendarItem.html#t:t/0"},{"type":"module","title":"Procore.Model.Body108","doc":"","ref":"Procore.Model.Body108.html"},{"type":"function","title":"Procore.Model.Body108.decode/1","doc":"","ref":"Procore.Model.Body108.html#decode/1"},{"type":"type","title":"Procore.Model.Body108.t/0","doc":"","ref":"Procore.Model.Body108.html#t:t/0"},{"type":"module","title":"Procore.Model.Body108UpdatesInner","doc":"","ref":"Procore.Model.Body108UpdatesInner.html"},{"type":"function","title":"Procore.Model.Body108UpdatesInner.decode/1","doc":"","ref":"Procore.Model.Body108UpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body108UpdatesInner.t/0","doc":"","ref":"Procore.Model.Body108UpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body109","doc":"","ref":"Procore.Model.Body109.html"},{"type":"function","title":"Procore.Model.Body109.decode/1","doc":"","ref":"Procore.Model.Body109.html#decode/1"},{"type":"type","title":"Procore.Model.Body109.t/0","doc":"","ref":"Procore.Model.Body109.html#t:t/0"},{"type":"module","title":"Procore.Model.Body11","doc":"","ref":"Procore.Model.Body11.html"},{"type":"function","title":"Procore.Model.Body11.decode/1","doc":"","ref":"Procore.Model.Body11.html#decode/1"},{"type":"type","title":"Procore.Model.Body11.t/0","doc":"","ref":"Procore.Model.Body11.html#t:t/0"},{"type":"module","title":"Procore.Model.Body110","doc":"","ref":"Procore.Model.Body110.html"},{"type":"function","title":"Procore.Model.Body110.decode/1","doc":"","ref":"Procore.Model.Body110.html#decode/1"},{"type":"type","title":"Procore.Model.Body110.t/0","doc":"","ref":"Procore.Model.Body110.html#t:t/0"},{"type":"module","title":"Procore.Model.Body111","doc":"","ref":"Procore.Model.Body111.html"},{"type":"function","title":"Procore.Model.Body111.decode/1","doc":"","ref":"Procore.Model.Body111.html#decode/1"},{"type":"type","title":"Procore.Model.Body111.t/0","doc":"","ref":"Procore.Model.Body111.html#t:t/0"},{"type":"module","title":"Procore.Model.Body112","doc":"","ref":"Procore.Model.Body112.html"},{"type":"function","title":"Procore.Model.Body112.decode/1","doc":"","ref":"Procore.Model.Body112.html#decode/1"},{"type":"type","title":"Procore.Model.Body112.t/0","doc":"","ref":"Procore.Model.Body112.html#t:t/0"},{"type":"module","title":"Procore.Model.Body113","doc":"","ref":"Procore.Model.Body113.html"},{"type":"function","title":"Procore.Model.Body113.decode/1","doc":"","ref":"Procore.Model.Body113.html#decode/1"},{"type":"type","title":"Procore.Model.Body113.t/0","doc":"","ref":"Procore.Model.Body113.html#t:t/0"},{"type":"module","title":"Procore.Model.Body114","doc":"","ref":"Procore.Model.Body114.html"},{"type":"function","title":"Procore.Model.Body114.decode/1","doc":"","ref":"Procore.Model.Body114.html#decode/1"},{"type":"type","title":"Procore.Model.Body114.t/0","doc":"","ref":"Procore.Model.Body114.html#t:t/0"},{"type":"module","title":"Procore.Model.Body115","doc":"","ref":"Procore.Model.Body115.html"},{"type":"function","title":"Procore.Model.Body115.decode/1","doc":"","ref":"Procore.Model.Body115.html#decode/1"},{"type":"type","title":"Procore.Model.Body115.t/0","doc":"","ref":"Procore.Model.Body115.html#t:t/0"},{"type":"module","title":"Procore.Model.Body115BudgetLineItemsInner","doc":"","ref":"Procore.Model.Body115BudgetLineItemsInner.html"},{"type":"function","title":"Procore.Model.Body115BudgetLineItemsInner.decode/1","doc":"","ref":"Procore.Model.Body115BudgetLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body115BudgetLineItemsInner.t/0","doc":"","ref":"Procore.Model.Body115BudgetLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body116","doc":"","ref":"Procore.Model.Body116.html"},{"type":"function","title":"Procore.Model.Body116.decode/1","doc":"","ref":"Procore.Model.Body116.html#decode/1"},{"type":"type","title":"Procore.Model.Body116.t/0","doc":"","ref":"Procore.Model.Body116.html#t:t/0"},{"type":"module","title":"Procore.Model.Body116BimViewpoint","doc":"","ref":"Procore.Model.Body116BimViewpoint.html"},{"type":"function","title":"Procore.Model.Body116BimViewpoint.decode/1","doc":"","ref":"Procore.Model.Body116BimViewpoint.html#decode/1"},{"type":"type","title":"Procore.Model.Body116BimViewpoint.t/0","doc":"","ref":"Procore.Model.Body116BimViewpoint.html#t:t/0"},{"type":"module","title":"Procore.Model.Body116BimViewpointOneOf","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf.html"},{"type":"function","title":"Procore.Model.Body116BimViewpointOneOf.decode/1","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.Body116BimViewpointOneOf.t/0","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.Body116BimViewpointOneOf1","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf1.html"},{"type":"function","title":"Procore.Model.Body116BimViewpointOneOf1.decode/1","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.Body116BimViewpointOneOf1.t/0","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.Body116BimViewpointOneOf2","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf2.html"},{"type":"function","title":"Procore.Model.Body116BimViewpointOneOf2.decode/1","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf2.html#decode/1"},{"type":"type","title":"Procore.Model.Body116BimViewpointOneOf2.t/0","doc":"","ref":"Procore.Model.Body116BimViewpointOneOf2.html#t:t/0"},{"type":"module","title":"Procore.Model.Body117","doc":"","ref":"Procore.Model.Body117.html"},{"type":"function","title":"Procore.Model.Body117.decode/1","doc":"","ref":"Procore.Model.Body117.html#decode/1"},{"type":"type","title":"Procore.Model.Body117.t/0","doc":"","ref":"Procore.Model.Body117.html#t:t/0"},{"type":"module","title":"Procore.Model.Body118","doc":"","ref":"Procore.Model.Body118.html"},{"type":"function","title":"Procore.Model.Body118.decode/1","doc":"","ref":"Procore.Model.Body118.html#decode/1"},{"type":"type","title":"Procore.Model.Body118.t/0","doc":"","ref":"Procore.Model.Body118.html#t:t/0"},{"type":"module","title":"Procore.Model.Body119","doc":"","ref":"Procore.Model.Body119.html"},{"type":"function","title":"Procore.Model.Body119.decode/1","doc":"","ref":"Procore.Model.Body119.html#decode/1"},{"type":"type","title":"Procore.Model.Body119.t/0","doc":"","ref":"Procore.Model.Body119.html#t:t/0"},{"type":"module","title":"Procore.Model.Body119BimViewFolder","doc":"","ref":"Procore.Model.Body119BimViewFolder.html"},{"type":"function","title":"Procore.Model.Body119BimViewFolder.decode/1","doc":"","ref":"Procore.Model.Body119BimViewFolder.html#decode/1"},{"type":"type","title":"Procore.Model.Body119BimViewFolder.t/0","doc":"","ref":"Procore.Model.Body119BimViewFolder.html#t:t/0"},{"type":"module","title":"Procore.Model.Body12","doc":"","ref":"Procore.Model.Body12.html"},{"type":"function","title":"Procore.Model.Body12.decode/1","doc":"","ref":"Procore.Model.Body12.html#decode/1"},{"type":"type","title":"Procore.Model.Body12.t/0","doc":"","ref":"Procore.Model.Body12.html#t:t/0"},{"type":"module","title":"Procore.Model.Body120","doc":"","ref":"Procore.Model.Body120.html"},{"type":"function","title":"Procore.Model.Body120.decode/1","doc":"","ref":"Procore.Model.Body120.html#decode/1"},{"type":"type","title":"Procore.Model.Body120.t/0","doc":"","ref":"Procore.Model.Body120.html#t:t/0"},{"type":"module","title":"Procore.Model.Body120BimPlan","doc":"","ref":"Procore.Model.Body120BimPlan.html"},{"type":"function","title":"Procore.Model.Body120BimPlan.decode/1","doc":"","ref":"Procore.Model.Body120BimPlan.html#decode/1"},{"type":"type","title":"Procore.Model.Body120BimPlan.t/0","doc":"","ref":"Procore.Model.Body120BimPlan.html#t:t/0"},{"type":"module","title":"Procore.Model.Body120BimPlanOneOf","doc":"BIM Plan","ref":"Procore.Model.Body120BimPlanOneOf.html"},{"type":"function","title":"Procore.Model.Body120BimPlanOneOf.decode/1","doc":"","ref":"Procore.Model.Body120BimPlanOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.Body120BimPlanOneOf.t/0","doc":"","ref":"Procore.Model.Body120BimPlanOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.Body120BimPlanOneOf1","doc":"BIM Plan","ref":"Procore.Model.Body120BimPlanOneOf1.html"},{"type":"function","title":"Procore.Model.Body120BimPlanOneOf1.decode/1","doc":"","ref":"Procore.Model.Body120BimPlanOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.Body120BimPlanOneOf1.t/0","doc":"","ref":"Procore.Model.Body120BimPlanOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.Body120BimPlanOneOfModelMapStart","doc":"3D Coordinate Point","ref":"Procore.Model.Body120BimPlanOneOfModelMapStart.html"},{"type":"function","title":"Procore.Model.Body120BimPlanOneOfModelMapStart.decode/1","doc":"","ref":"Procore.Model.Body120BimPlanOneOfModelMapStart.html#decode/1"},{"type":"type","title":"Procore.Model.Body120BimPlanOneOfModelMapStart.t/0","doc":"","ref":"Procore.Model.Body120BimPlanOneOfModelMapStart.html#t:t/0"},{"type":"module","title":"Procore.Model.Body120BimPlanOneOfSheetMapStart","doc":"2D Coordinate Point","ref":"Procore.Model.Body120BimPlanOneOfSheetMapStart.html"},{"type":"function","title":"Procore.Model.Body120BimPlanOneOfSheetMapStart.decode/1","doc":"","ref":"Procore.Model.Body120BimPlanOneOfSheetMapStart.html#decode/1"},{"type":"type","title":"Procore.Model.Body120BimPlanOneOfSheetMapStart.t/0","doc":"","ref":"Procore.Model.Body120BimPlanOneOfSheetMapStart.html#t:t/0"},{"type":"module","title":"Procore.Model.Body121","doc":"","ref":"Procore.Model.Body121.html"},{"type":"function","title":"Procore.Model.Body121.decode/1","doc":"","ref":"Procore.Model.Body121.html#decode/1"},{"type":"type","title":"Procore.Model.Body121.t/0","doc":"","ref":"Procore.Model.Body121.html#t:t/0"},{"type":"module","title":"Procore.Model.Body121BimPlan","doc":"","ref":"Procore.Model.Body121BimPlan.html"},{"type":"function","title":"Procore.Model.Body121BimPlan.decode/1","doc":"","ref":"Procore.Model.Body121BimPlan.html#decode/1"},{"type":"type","title":"Procore.Model.Body121BimPlan.t/0","doc":"","ref":"Procore.Model.Body121BimPlan.html#t:t/0"},{"type":"module","title":"Procore.Model.Body121BimPlanOneOf","doc":"BIM Plan","ref":"Procore.Model.Body121BimPlanOneOf.html"},{"type":"function","title":"Procore.Model.Body121BimPlanOneOf.decode/1","doc":"","ref":"Procore.Model.Body121BimPlanOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.Body121BimPlanOneOf.t/0","doc":"","ref":"Procore.Model.Body121BimPlanOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.Body121BimPlanOneOf1","doc":"BIM Plan","ref":"Procore.Model.Body121BimPlanOneOf1.html"},{"type":"function","title":"Procore.Model.Body121BimPlanOneOf1.decode/1","doc":"","ref":"Procore.Model.Body121BimPlanOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.Body121BimPlanOneOf1.t/0","doc":"","ref":"Procore.Model.Body121BimPlanOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.Body122","doc":"","ref":"Procore.Model.Body122.html"},{"type":"function","title":"Procore.Model.Body122.decode/1","doc":"","ref":"Procore.Model.Body122.html#decode/1"},{"type":"type","title":"Procore.Model.Body122.t/0","doc":"","ref":"Procore.Model.Body122.html#t:t/0"},{"type":"module","title":"Procore.Model.Body123","doc":"","ref":"Procore.Model.Body123.html"},{"type":"function","title":"Procore.Model.Body123.decode/1","doc":"","ref":"Procore.Model.Body123.html#decode/1"},{"type":"type","title":"Procore.Model.Body123.t/0","doc":"","ref":"Procore.Model.Body123.html#t:t/0"},{"type":"module","title":"Procore.Model.Body123BimModel","doc":"BIM Model","ref":"Procore.Model.Body123BimModel.html"},{"type":"function","title":"Procore.Model.Body123BimModel.decode/1","doc":"","ref":"Procore.Model.Body123BimModel.html#decode/1"},{"type":"type","title":"Procore.Model.Body123BimModel.t/0","doc":"","ref":"Procore.Model.Body123BimModel.html#t:t/0"},{"type":"module","title":"Procore.Model.Body124","doc":"","ref":"Procore.Model.Body124.html"},{"type":"function","title":"Procore.Model.Body124.decode/1","doc":"","ref":"Procore.Model.Body124.html#decode/1"},{"type":"type","title":"Procore.Model.Body124.t/0","doc":"","ref":"Procore.Model.Body124.html#t:t/0"},{"type":"module","title":"Procore.Model.Body124BimModel","doc":"BIM Model","ref":"Procore.Model.Body124BimModel.html"},{"type":"function","title":"Procore.Model.Body124BimModel.decode/1","doc":"","ref":"Procore.Model.Body124BimModel.html#decode/1"},{"type":"type","title":"Procore.Model.Body124BimModel.t/0","doc":"","ref":"Procore.Model.Body124BimModel.html#t:t/0"},{"type":"module","title":"Procore.Model.Body125","doc":"","ref":"Procore.Model.Body125.html"},{"type":"function","title":"Procore.Model.Body125.decode/1","doc":"","ref":"Procore.Model.Body125.html#decode/1"},{"type":"type","title":"Procore.Model.Body125.t/0","doc":"","ref":"Procore.Model.Body125.html#t:t/0"},{"type":"module","title":"Procore.Model.Body125BimModelRevision","doc":"","ref":"Procore.Model.Body125BimModelRevision.html"},{"type":"function","title":"Procore.Model.Body125BimModelRevision.decode/1","doc":"","ref":"Procore.Model.Body125BimModelRevision.html#decode/1"},{"type":"type","title":"Procore.Model.Body125BimModelRevision.t/0","doc":"","ref":"Procore.Model.Body125BimModelRevision.html#t:t/0"},{"type":"module","title":"Procore.Model.Body125BimModelRevisionOneOf","doc":"BIM Model Revision","ref":"Procore.Model.Body125BimModelRevisionOneOf.html"},{"type":"function","title":"Procore.Model.Body125BimModelRevisionOneOf.decode/1","doc":"","ref":"Procore.Model.Body125BimModelRevisionOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.Body125BimModelRevisionOneOf.t/0","doc":"","ref":"Procore.Model.Body125BimModelRevisionOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.Body125BimModelRevisionOneOf1","doc":"BIM Model Revision","ref":"Procore.Model.Body125BimModelRevisionOneOf1.html"},{"type":"function","title":"Procore.Model.Body125BimModelRevisionOneOf1.decode/1","doc":"","ref":"Procore.Model.Body125BimModelRevisionOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.Body125BimModelRevisionOneOf1.t/0","doc":"","ref":"Procore.Model.Body125BimModelRevisionOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.Body125BimModelRevisionOneOf2","doc":"BIM Model Revision","ref":"Procore.Model.Body125BimModelRevisionOneOf2.html"},{"type":"function","title":"Procore.Model.Body125BimModelRevisionOneOf2.decode/1","doc":"","ref":"Procore.Model.Body125BimModelRevisionOneOf2.html#decode/1"},{"type":"type","title":"Procore.Model.Body125BimModelRevisionOneOf2.t/0","doc":"","ref":"Procore.Model.Body125BimModelRevisionOneOf2.html#t:t/0"},{"type":"module","title":"Procore.Model.Body126","doc":"","ref":"Procore.Model.Body126.html"},{"type":"function","title":"Procore.Model.Body126.decode/1","doc":"","ref":"Procore.Model.Body126.html#decode/1"},{"type":"type","title":"Procore.Model.Body126.t/0","doc":"","ref":"Procore.Model.Body126.html#t:t/0"},{"type":"module","title":"Procore.Model.Body126BimModelRevision","doc":"","ref":"Procore.Model.Body126BimModelRevision.html"},{"type":"function","title":"Procore.Model.Body126BimModelRevision.decode/1","doc":"","ref":"Procore.Model.Body126BimModelRevision.html#decode/1"},{"type":"type","title":"Procore.Model.Body126BimModelRevision.t/0","doc":"","ref":"Procore.Model.Body126BimModelRevision.html#t:t/0"},{"type":"module","title":"Procore.Model.Body126BimModelRevisionOneOf","doc":"BIM Model Revision object","ref":"Procore.Model.Body126BimModelRevisionOneOf.html"},{"type":"function","title":"Procore.Model.Body126BimModelRevisionOneOf.decode/1","doc":"","ref":"Procore.Model.Body126BimModelRevisionOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.Body126BimModelRevisionOneOf.t/0","doc":"","ref":"Procore.Model.Body126BimModelRevisionOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.Body126BimModelRevisionOneOf1","doc":"BIM Model Revision object","ref":"Procore.Model.Body126BimModelRevisionOneOf1.html"},{"type":"function","title":"Procore.Model.Body126BimModelRevisionOneOf1.decode/1","doc":"","ref":"Procore.Model.Body126BimModelRevisionOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.Body126BimModelRevisionOneOf1.t/0","doc":"","ref":"Procore.Model.Body126BimModelRevisionOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.Body126BimModelRevisionOneOfRotation","doc":"3D rotation parameters for the model revision. Defaults to 0.0","ref":"Procore.Model.Body126BimModelRevisionOneOfRotation.html"},{"type":"function","title":"Procore.Model.Body126BimModelRevisionOneOfRotation.decode/1","doc":"","ref":"Procore.Model.Body126BimModelRevisionOneOfRotation.html#decode/1"},{"type":"type","title":"Procore.Model.Body126BimModelRevisionOneOfRotation.t/0","doc":"","ref":"Procore.Model.Body126BimModelRevisionOneOfRotation.html#t:t/0"},{"type":"module","title":"Procore.Model.Body127","doc":"","ref":"Procore.Model.Body127.html"},{"type":"function","title":"Procore.Model.Body127.decode/1","doc":"","ref":"Procore.Model.Body127.html#decode/1"},{"type":"type","title":"Procore.Model.Body127.t/0","doc":"","ref":"Procore.Model.Body127.html#t:t/0"},{"type":"module","title":"Procore.Model.Body127BimModelRevisionViewpointsInner","doc":"BIM Model Revision Viewpoint","ref":"Procore.Model.Body127BimModelRevisionViewpointsInner.html"},{"type":"function","title":"Procore.Model.Body127BimModelRevisionViewpointsInner.decode/1","doc":"","ref":"Procore.Model.Body127BimModelRevisionViewpointsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body127BimModelRevisionViewpointsInner.t/0","doc":"","ref":"Procore.Model.Body127BimModelRevisionViewpointsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body128","doc":"","ref":"Procore.Model.Body128.html"},{"type":"function","title":"Procore.Model.Body128.decode/1","doc":"","ref":"Procore.Model.Body128.html#decode/1"},{"type":"type","title":"Procore.Model.Body128.t/0","doc":"","ref":"Procore.Model.Body128.html#t:t/0"},{"type":"module","title":"Procore.Model.Body128BimModelRevisionPlan","doc":"BIM Model Revision Plan","ref":"Procore.Model.Body128BimModelRevisionPlan.html"},{"type":"function","title":"Procore.Model.Body128BimModelRevisionPlan.decode/1","doc":"","ref":"Procore.Model.Body128BimModelRevisionPlan.html#decode/1"},{"type":"type","title":"Procore.Model.Body128BimModelRevisionPlan.t/0","doc":"","ref":"Procore.Model.Body128BimModelRevisionPlan.html#t:t/0"},{"type":"module","title":"Procore.Model.Body129","doc":"","ref":"Procore.Model.Body129.html"},{"type":"function","title":"Procore.Model.Body129.decode/1","doc":"","ref":"Procore.Model.Body129.html#decode/1"},{"type":"type","title":"Procore.Model.Body129.t/0","doc":"","ref":"Procore.Model.Body129.html#t:t/0"},{"type":"module","title":"Procore.Model.Body12UpdatesInner","doc":"","ref":"Procore.Model.Body12UpdatesInner.html"},{"type":"function","title":"Procore.Model.Body12UpdatesInner.decode/1","doc":"","ref":"Procore.Model.Body12UpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body12UpdatesInner.t/0","doc":"","ref":"Procore.Model.Body12UpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body13","doc":"","ref":"Procore.Model.Body13.html"},{"type":"function","title":"Procore.Model.Body13.decode/1","doc":"","ref":"Procore.Model.Body13.html#decode/1"},{"type":"type","title":"Procore.Model.Body13.t/0","doc":"","ref":"Procore.Model.Body13.html#t:t/0"},{"type":"module","title":"Procore.Model.Body130","doc":"","ref":"Procore.Model.Body130.html"},{"type":"function","title":"Procore.Model.Body130.decode/1","doc":"","ref":"Procore.Model.Body130.html#decode/1"},{"type":"type","title":"Procore.Model.Body130.t/0","doc":"","ref":"Procore.Model.Body130.html#t:t/0"},{"type":"module","title":"Procore.Model.Body131","doc":"","ref":"Procore.Model.Body131.html"},{"type":"function","title":"Procore.Model.Body131.decode/1","doc":"","ref":"Procore.Model.Body131.html#decode/1"},{"type":"type","title":"Procore.Model.Body131.t/0","doc":"","ref":"Procore.Model.Body131.html#t:t/0"},{"type":"module","title":"Procore.Model.Body131BimLevel","doc":"BIM Level","ref":"Procore.Model.Body131BimLevel.html"},{"type":"function","title":"Procore.Model.Body131BimLevel.decode/1","doc":"","ref":"Procore.Model.Body131BimLevel.html#decode/1"},{"type":"type","title":"Procore.Model.Body131BimLevel.t/0","doc":"","ref":"Procore.Model.Body131BimLevel.html#t:t/0"},{"type":"module","title":"Procore.Model.Body132","doc":"","ref":"Procore.Model.Body132.html"},{"type":"function","title":"Procore.Model.Body132.decode/1","doc":"","ref":"Procore.Model.Body132.html#decode/1"},{"type":"type","title":"Procore.Model.Body132.t/0","doc":"","ref":"Procore.Model.Body132.html#t:t/0"},{"type":"module","title":"Procore.Model.Body133","doc":"","ref":"Procore.Model.Body133.html"},{"type":"function","title":"Procore.Model.Body133.decode/1","doc":"","ref":"Procore.Model.Body133.html#decode/1"},{"type":"type","title":"Procore.Model.Body133.t/0","doc":"","ref":"Procore.Model.Body133.html#t:t/0"},{"type":"module","title":"Procore.Model.Body134","doc":"","ref":"Procore.Model.Body134.html"},{"type":"function","title":"Procore.Model.Body134.decode/1","doc":"","ref":"Procore.Model.Body134.html#decode/1"},{"type":"type","title":"Procore.Model.Body134.t/0","doc":"","ref":"Procore.Model.Body134.html#t:t/0"},{"type":"module","title":"Procore.Model.Body134BimGeometryFileBundle","doc":"BIM Geometry File","ref":"Procore.Model.Body134BimGeometryFileBundle.html"},{"type":"function","title":"Procore.Model.Body134BimGeometryFileBundle.decode/1","doc":"","ref":"Procore.Model.Body134BimGeometryFileBundle.html#decode/1"},{"type":"type","title":"Procore.Model.Body134BimGeometryFileBundle.t/0","doc":"","ref":"Procore.Model.Body134BimGeometryFileBundle.html#t:t/0"},{"type":"module","title":"Procore.Model.Body135","doc":"","ref":"Procore.Model.Body135.html"},{"type":"function","title":"Procore.Model.Body135.decode/1","doc":"","ref":"Procore.Model.Body135.html#decode/1"},{"type":"type","title":"Procore.Model.Body135.t/0","doc":"","ref":"Procore.Model.Body135.html#t:t/0"},{"type":"module","title":"Procore.Model.Body136","doc":"","ref":"Procore.Model.Body136.html"},{"type":"function","title":"Procore.Model.Body136.decode/1","doc":"","ref":"Procore.Model.Body136.html#decode/1"},{"type":"type","title":"Procore.Model.Body136.t/0","doc":"","ref":"Procore.Model.Body136.html#t:t/0"},{"type":"module","title":"Procore.Model.Body137","doc":"","ref":"Procore.Model.Body137.html"},{"type":"function","title":"Procore.Model.Body137.decode/1","doc":"","ref":"Procore.Model.Body137.html#decode/1"},{"type":"type","title":"Procore.Model.Body137.t/0","doc":"","ref":"Procore.Model.Body137.html#t:t/0"},{"type":"module","title":"Procore.Model.Body138","doc":"","ref":"Procore.Model.Body138.html"},{"type":"function","title":"Procore.Model.Body138.decode/1","doc":"","ref":"Procore.Model.Body138.html#decode/1"},{"type":"type","title":"Procore.Model.Body138.t/0","doc":"","ref":"Procore.Model.Body138.html#t:t/0"},{"type":"module","title":"Procore.Model.Body138AlternatesInner","doc":"","ref":"Procore.Model.Body138AlternatesInner.html"},{"type":"function","title":"Procore.Model.Body138AlternatesInner.decode/1","doc":"","ref":"Procore.Model.Body138AlternatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body138AlternatesInner.t/0","doc":"","ref":"Procore.Model.Body138AlternatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body138AlternatesInnerBidFormItemsInner","doc":"","ref":"Procore.Model.Body138AlternatesInnerBidFormItemsInner.html"},{"type":"function","title":"Procore.Model.Body138AlternatesInnerBidFormItemsInner.decode/1","doc":"","ref":"Procore.Model.Body138AlternatesInnerBidFormItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body138AlternatesInnerBidFormItemsInner.t/0","doc":"","ref":"Procore.Model.Body138AlternatesInnerBidFormItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body138BaseBidInner","doc":"","ref":"Procore.Model.Body138BaseBidInner.html"},{"type":"function","title":"Procore.Model.Body138BaseBidInner.decode/1","doc":"","ref":"Procore.Model.Body138BaseBidInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body138BaseBidInner.t/0","doc":"","ref":"Procore.Model.Body138BaseBidInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body138BaseBidInnerBidFormItemsInner","doc":"","ref":"Procore.Model.Body138BaseBidInnerBidFormItemsInner.html"},{"type":"function","title":"Procore.Model.Body138BaseBidInnerBidFormItemsInner.decode/1","doc":"","ref":"Procore.Model.Body138BaseBidInnerBidFormItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body138BaseBidInnerBidFormItemsInner.t/0","doc":"","ref":"Procore.Model.Body138BaseBidInnerBidFormItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body139","doc":"","ref":"Procore.Model.Body139.html"},{"type":"function","title":"Procore.Model.Body139.decode/1","doc":"","ref":"Procore.Model.Body139.html#decode/1"},{"type":"type","title":"Procore.Model.Body139.t/0","doc":"","ref":"Procore.Model.Body139.html#t:t/0"},{"type":"module","title":"Procore.Model.Body139AppInstallation","doc":"","ref":"Procore.Model.Body139AppInstallation.html"},{"type":"function","title":"Procore.Model.Body139AppInstallation.decode/1","doc":"","ref":"Procore.Model.Body139AppInstallation.html#decode/1"},{"type":"type","title":"Procore.Model.Body139AppInstallation.t/0","doc":"","ref":"Procore.Model.Body139AppInstallation.html#t:t/0"},{"type":"module","title":"Procore.Model.Body13UpdatesInner","doc":"","ref":"Procore.Model.Body13UpdatesInner.html"},{"type":"function","title":"Procore.Model.Body13UpdatesInner.decode/1","doc":"","ref":"Procore.Model.Body13UpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body13UpdatesInner.t/0","doc":"","ref":"Procore.Model.Body13UpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body14","doc":"","ref":"Procore.Model.Body14.html"},{"type":"function","title":"Procore.Model.Body14.decode/1","doc":"","ref":"Procore.Model.Body14.html#decode/1"},{"type":"type","title":"Procore.Model.Body14.t/0","doc":"","ref":"Procore.Model.Body14.html#t:t/0"},{"type":"module","title":"Procore.Model.Body15","doc":"","ref":"Procore.Model.Body15.html"},{"type":"function","title":"Procore.Model.Body15.decode/1","doc":"","ref":"Procore.Model.Body15.html#decode/1"},{"type":"type","title":"Procore.Model.Body15.t/0","doc":"","ref":"Procore.Model.Body15.html#t:t/0"},{"type":"module","title":"Procore.Model.Body16","doc":"","ref":"Procore.Model.Body16.html"},{"type":"function","title":"Procore.Model.Body16.decode/1","doc":"","ref":"Procore.Model.Body16.html#decode/1"},{"type":"type","title":"Procore.Model.Body16.t/0","doc":"","ref":"Procore.Model.Body16.html#t:t/0"},{"type":"module","title":"Procore.Model.Body17","doc":"","ref":"Procore.Model.Body17.html"},{"type":"function","title":"Procore.Model.Body17.decode/1","doc":"","ref":"Procore.Model.Body17.html#decode/1"},{"type":"type","title":"Procore.Model.Body17.t/0","doc":"","ref":"Procore.Model.Body17.html#t:t/0"},{"type":"module","title":"Procore.Model.Body19","doc":"","ref":"Procore.Model.Body19.html"},{"type":"function","title":"Procore.Model.Body19.decode/1","doc":"","ref":"Procore.Model.Body19.html#decode/1"},{"type":"type","title":"Procore.Model.Body19.t/0","doc":"","ref":"Procore.Model.Body19.html#t:t/0"},{"type":"module","title":"Procore.Model.Body2","doc":"","ref":"Procore.Model.Body2.html"},{"type":"function","title":"Procore.Model.Body2.decode/1","doc":"","ref":"Procore.Model.Body2.html#decode/1"},{"type":"type","title":"Procore.Model.Body2.t/0","doc":"","ref":"Procore.Model.Body2.html#t:t/0"},{"type":"module","title":"Procore.Model.Body20","doc":"","ref":"Procore.Model.Body20.html"},{"type":"function","title":"Procore.Model.Body20.decode/1","doc":"","ref":"Procore.Model.Body20.html#decode/1"},{"type":"type","title":"Procore.Model.Body20.t/0","doc":"","ref":"Procore.Model.Body20.html#t:t/0"},{"type":"module","title":"Procore.Model.Body21","doc":"","ref":"Procore.Model.Body21.html"},{"type":"function","title":"Procore.Model.Body21.decode/1","doc":"","ref":"Procore.Model.Body21.html#decode/1"},{"type":"type","title":"Procore.Model.Body21.t/0","doc":"","ref":"Procore.Model.Body21.html#t:t/0"},{"type":"module","title":"Procore.Model.Body22","doc":"","ref":"Procore.Model.Body22.html"},{"type":"function","title":"Procore.Model.Body22.decode/1","doc":"","ref":"Procore.Model.Body22.html#decode/1"},{"type":"type","title":"Procore.Model.Body22.t/0","doc":"","ref":"Procore.Model.Body22.html#t:t/0"},{"type":"module","title":"Procore.Model.Body22FilesInner","doc":"File associated with the requisition","ref":"Procore.Model.Body22FilesInner.html"},{"type":"function","title":"Procore.Model.Body22FilesInner.decode/1","doc":"","ref":"Procore.Model.Body22FilesInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body22FilesInner.t/0","doc":"","ref":"Procore.Model.Body22FilesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body23","doc":"","ref":"Procore.Model.Body23.html"},{"type":"function","title":"Procore.Model.Body23.decode/1","doc":"","ref":"Procore.Model.Body23.html#decode/1"},{"type":"type","title":"Procore.Model.Body23.t/0","doc":"","ref":"Procore.Model.Body23.html#t:t/0"},{"type":"module","title":"Procore.Model.Body24","doc":"","ref":"Procore.Model.Body24.html"},{"type":"function","title":"Procore.Model.Body24.decode/1","doc":"","ref":"Procore.Model.Body24.html#decode/1"},{"type":"type","title":"Procore.Model.Body24.t/0","doc":"","ref":"Procore.Model.Body24.html#t:t/0"},{"type":"module","title":"Procore.Model.Body25","doc":"","ref":"Procore.Model.Body25.html"},{"type":"function","title":"Procore.Model.Body25.decode/1","doc":"","ref":"Procore.Model.Body25.html#decode/1"},{"type":"type","title":"Procore.Model.Body25.t/0","doc":"","ref":"Procore.Model.Body25.html#t:t/0"},{"type":"module","title":"Procore.Model.Body26","doc":"","ref":"Procore.Model.Body26.html"},{"type":"function","title":"Procore.Model.Body26.decode/1","doc":"","ref":"Procore.Model.Body26.html#decode/1"},{"type":"type","title":"Procore.Model.Body26.t/0","doc":"","ref":"Procore.Model.Body26.html#t:t/0"},{"type":"module","title":"Procore.Model.Body27","doc":"","ref":"Procore.Model.Body27.html"},{"type":"function","title":"Procore.Model.Body27.decode/1","doc":"","ref":"Procore.Model.Body27.html#decode/1"},{"type":"type","title":"Procore.Model.Body27.t/0","doc":"","ref":"Procore.Model.Body27.html#t:t/0"},{"type":"module","title":"Procore.Model.Body28","doc":"","ref":"Procore.Model.Body28.html"},{"type":"function","title":"Procore.Model.Body28.decode/1","doc":"","ref":"Procore.Model.Body28.html#decode/1"},{"type":"type","title":"Procore.Model.Body28.t/0","doc":"","ref":"Procore.Model.Body28.html#t:t/0"},{"type":"module","title":"Procore.Model.Body29","doc":"","ref":"Procore.Model.Body29.html"},{"type":"function","title":"Procore.Model.Body29.decode/1","doc":"","ref":"Procore.Model.Body29.html#decode/1"},{"type":"type","title":"Procore.Model.Body29.t/0","doc":"","ref":"Procore.Model.Body29.html#t:t/0"},{"type":"module","title":"Procore.Model.Body3","doc":"","ref":"Procore.Model.Body3.html"},{"type":"function","title":"Procore.Model.Body3.decode/1","doc":"","ref":"Procore.Model.Body3.html#decode/1"},{"type":"type","title":"Procore.Model.Body3.t/0","doc":"","ref":"Procore.Model.Body3.html#t:t/0"},{"type":"module","title":"Procore.Model.Body30","doc":"","ref":"Procore.Model.Body30.html"},{"type":"function","title":"Procore.Model.Body30.decode/1","doc":"","ref":"Procore.Model.Body30.html#decode/1"},{"type":"type","title":"Procore.Model.Body30.t/0","doc":"","ref":"Procore.Model.Body30.html#t:t/0"},{"type":"module","title":"Procore.Model.Body31","doc":"","ref":"Procore.Model.Body31.html"},{"type":"function","title":"Procore.Model.Body31.decode/1","doc":"","ref":"Procore.Model.Body31.html#decode/1"},{"type":"type","title":"Procore.Model.Body31.t/0","doc":"","ref":"Procore.Model.Body31.html#t:t/0"},{"type":"module","title":"Procore.Model.Body32","doc":"","ref":"Procore.Model.Body32.html"},{"type":"function","title":"Procore.Model.Body32.decode/1","doc":"","ref":"Procore.Model.Body32.html#decode/1"},{"type":"type","title":"Procore.Model.Body32.t/0","doc":"","ref":"Procore.Model.Body32.html#t:t/0"},{"type":"module","title":"Procore.Model.Body32Logo","doc":"","ref":"Procore.Model.Body32Logo.html"},{"type":"function","title":"Procore.Model.Body32Logo.decode/1","doc":"","ref":"Procore.Model.Body32Logo.html#decode/1"},{"type":"type","title":"Procore.Model.Body32Logo.t/0","doc":"","ref":"Procore.Model.Body32Logo.html#t:t/0"},{"type":"module","title":"Procore.Model.Body33","doc":"","ref":"Procore.Model.Body33.html"},{"type":"function","title":"Procore.Model.Body33.decode/1","doc":"","ref":"Procore.Model.Body33.html#decode/1"},{"type":"type","title":"Procore.Model.Body33.t/0","doc":"","ref":"Procore.Model.Body33.html#t:t/0"},{"type":"module","title":"Procore.Model.Body34","doc":"","ref":"Procore.Model.Body34.html"},{"type":"function","title":"Procore.Model.Body34.decode/1","doc":"","ref":"Procore.Model.Body34.html#decode/1"},{"type":"type","title":"Procore.Model.Body34.t/0","doc":"","ref":"Procore.Model.Body34.html#t:t/0"},{"type":"module","title":"Procore.Model.Body35","doc":"","ref":"Procore.Model.Body35.html"},{"type":"function","title":"Procore.Model.Body35.decode/1","doc":"","ref":"Procore.Model.Body35.html#decode/1"},{"type":"type","title":"Procore.Model.Body35.t/0","doc":"","ref":"Procore.Model.Body35.html#t:t/0"},{"type":"module","title":"Procore.Model.Body36","doc":"","ref":"Procore.Model.Body36.html"},{"type":"function","title":"Procore.Model.Body36.decode/1","doc":"","ref":"Procore.Model.Body36.html#decode/1"},{"type":"type","title":"Procore.Model.Body36.t/0","doc":"","ref":"Procore.Model.Body36.html#t:t/0"},{"type":"module","title":"Procore.Model.Body37","doc":"","ref":"Procore.Model.Body37.html"},{"type":"function","title":"Procore.Model.Body37.decode/1","doc":"","ref":"Procore.Model.Body37.html#decode/1"},{"type":"type","title":"Procore.Model.Body37.t/0","doc":"","ref":"Procore.Model.Body37.html#t:t/0"},{"type":"module","title":"Procore.Model.Body38","doc":"","ref":"Procore.Model.Body38.html"},{"type":"function","title":"Procore.Model.Body38.decode/1","doc":"","ref":"Procore.Model.Body38.html#decode/1"},{"type":"type","title":"Procore.Model.Body38.t/0","doc":"","ref":"Procore.Model.Body38.html#t:t/0"},{"type":"module","title":"Procore.Model.Body39","doc":"","ref":"Procore.Model.Body39.html"},{"type":"function","title":"Procore.Model.Body39.decode/1","doc":"","ref":"Procore.Model.Body39.html#decode/1"},{"type":"type","title":"Procore.Model.Body39.t/0","doc":"","ref":"Procore.Model.Body39.html#t:t/0"},{"type":"module","title":"Procore.Model.Body4","doc":"","ref":"Procore.Model.Body4.html"},{"type":"function","title":"Procore.Model.Body4.decode/1","doc":"","ref":"Procore.Model.Body4.html#decode/1"},{"type":"type","title":"Procore.Model.Body4.t/0","doc":"","ref":"Procore.Model.Body4.html#t:t/0"},{"type":"module","title":"Procore.Model.Body40","doc":"","ref":"Procore.Model.Body40.html"},{"type":"function","title":"Procore.Model.Body40.decode/1","doc":"","ref":"Procore.Model.Body40.html#decode/1"},{"type":"type","title":"Procore.Model.Body40.t/0","doc":"","ref":"Procore.Model.Body40.html#t:t/0"},{"type":"module","title":"Procore.Model.Body41","doc":"","ref":"Procore.Model.Body41.html"},{"type":"function","title":"Procore.Model.Body41.decode/1","doc":"","ref":"Procore.Model.Body41.html#decode/1"},{"type":"type","title":"Procore.Model.Body41.t/0","doc":"","ref":"Procore.Model.Body41.html#t:t/0"},{"type":"module","title":"Procore.Model.Body42","doc":"","ref":"Procore.Model.Body42.html"},{"type":"function","title":"Procore.Model.Body42.decode/1","doc":"","ref":"Procore.Model.Body42.html#decode/1"},{"type":"type","title":"Procore.Model.Body42.t/0","doc":"","ref":"Procore.Model.Body42.html#t:t/0"},{"type":"module","title":"Procore.Model.Body43","doc":"","ref":"Procore.Model.Body43.html"},{"type":"function","title":"Procore.Model.Body43.decode/1","doc":"","ref":"Procore.Model.Body43.html#decode/1"},{"type":"type","title":"Procore.Model.Body43.t/0","doc":"","ref":"Procore.Model.Body43.html#t:t/0"},{"type":"module","title":"Procore.Model.Body44","doc":"","ref":"Procore.Model.Body44.html"},{"type":"function","title":"Procore.Model.Body44.decode/1","doc":"","ref":"Procore.Model.Body44.html#decode/1"},{"type":"type","title":"Procore.Model.Body44.t/0","doc":"","ref":"Procore.Model.Body44.html#t:t/0"},{"type":"module","title":"Procore.Model.Body45","doc":"","ref":"Procore.Model.Body45.html"},{"type":"function","title":"Procore.Model.Body45.decode/1","doc":"","ref":"Procore.Model.Body45.html#decode/1"},{"type":"type","title":"Procore.Model.Body45.t/0","doc":"","ref":"Procore.Model.Body45.html#t:t/0"},{"type":"module","title":"Procore.Model.Body46","doc":"","ref":"Procore.Model.Body46.html"},{"type":"function","title":"Procore.Model.Body46.decode/1","doc":"","ref":"Procore.Model.Body46.html#decode/1"},{"type":"type","title":"Procore.Model.Body46.t/0","doc":"","ref":"Procore.Model.Body46.html#t:t/0"},{"type":"module","title":"Procore.Model.Body47","doc":"","ref":"Procore.Model.Body47.html"},{"type":"function","title":"Procore.Model.Body47.decode/1","doc":"","ref":"Procore.Model.Body47.html#decode/1"},{"type":"type","title":"Procore.Model.Body47.t/0","doc":"","ref":"Procore.Model.Body47.html#t:t/0"},{"type":"module","title":"Procore.Model.Body48","doc":"","ref":"Procore.Model.Body48.html"},{"type":"function","title":"Procore.Model.Body48.decode/1","doc":"","ref":"Procore.Model.Body48.html#decode/1"},{"type":"type","title":"Procore.Model.Body48.t/0","doc":"","ref":"Procore.Model.Body48.html#t:t/0"},{"type":"module","title":"Procore.Model.Body49","doc":"","ref":"Procore.Model.Body49.html"},{"type":"function","title":"Procore.Model.Body49.decode/1","doc":"","ref":"Procore.Model.Body49.html#decode/1"},{"type":"type","title":"Procore.Model.Body49.t/0","doc":"","ref":"Procore.Model.Body49.html#t:t/0"},{"type":"module","title":"Procore.Model.Body4ContractDetailLineItem","doc":"The Detail Line Item object","ref":"Procore.Model.Body4ContractDetailLineItem.html"},{"type":"function","title":"Procore.Model.Body4ContractDetailLineItem.decode/1","doc":"","ref":"Procore.Model.Body4ContractDetailLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.Body4ContractDetailLineItem.t/0","doc":"","ref":"Procore.Model.Body4ContractDetailLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.Body5","doc":"","ref":"Procore.Model.Body5.html"},{"type":"function","title":"Procore.Model.Body5.decode/1","doc":"","ref":"Procore.Model.Body5.html#decode/1"},{"type":"type","title":"Procore.Model.Body5.t/0","doc":"","ref":"Procore.Model.Body5.html#t:t/0"},{"type":"module","title":"Procore.Model.Body50","doc":"","ref":"Procore.Model.Body50.html"},{"type":"function","title":"Procore.Model.Body50.decode/1","doc":"","ref":"Procore.Model.Body50.html#decode/1"},{"type":"type","title":"Procore.Model.Body50.t/0","doc":"","ref":"Procore.Model.Body50.html#t:t/0"},{"type":"module","title":"Procore.Model.Body52","doc":"","ref":"Procore.Model.Body52.html"},{"type":"function","title":"Procore.Model.Body52.decode/1","doc":"","ref":"Procore.Model.Body52.html#decode/1"},{"type":"type","title":"Procore.Model.Body52.t/0","doc":"","ref":"Procore.Model.Body52.html#t:t/0"},{"type":"module","title":"Procore.Model.Body54","doc":"","ref":"Procore.Model.Body54.html"},{"type":"function","title":"Procore.Model.Body54.decode/1","doc":"","ref":"Procore.Model.Body54.html#decode/1"},{"type":"type","title":"Procore.Model.Body54.t/0","doc":"","ref":"Procore.Model.Body54.html#t:t/0"},{"type":"module","title":"Procore.Model.Body55","doc":"","ref":"Procore.Model.Body55.html"},{"type":"function","title":"Procore.Model.Body55.decode/1","doc":"","ref":"Procore.Model.Body55.html#decode/1"},{"type":"type","title":"Procore.Model.Body55.t/0","doc":"","ref":"Procore.Model.Body55.html#t:t/0"},{"type":"module","title":"Procore.Model.Body55BimViewFolder","doc":"","ref":"Procore.Model.Body55BimViewFolder.html"},{"type":"function","title":"Procore.Model.Body55BimViewFolder.decode/1","doc":"","ref":"Procore.Model.Body55BimViewFolder.html#decode/1"},{"type":"type","title":"Procore.Model.Body55BimViewFolder.t/0","doc":"","ref":"Procore.Model.Body55BimViewFolder.html#t:t/0"},{"type":"module","title":"Procore.Model.Body56","doc":"","ref":"Procore.Model.Body56.html"},{"type":"function","title":"Procore.Model.Body56.decode/1","doc":"","ref":"Procore.Model.Body56.html#decode/1"},{"type":"type","title":"Procore.Model.Body56.t/0","doc":"","ref":"Procore.Model.Body56.html#t:t/0"},{"type":"module","title":"Procore.Model.Body57","doc":"","ref":"Procore.Model.Body57.html"},{"type":"function","title":"Procore.Model.Body57.decode/1","doc":"","ref":"Procore.Model.Body57.html#decode/1"},{"type":"type","title":"Procore.Model.Body57.t/0","doc":"","ref":"Procore.Model.Body57.html#t:t/0"},{"type":"module","title":"Procore.Model.Body58","doc":"","ref":"Procore.Model.Body58.html"},{"type":"function","title":"Procore.Model.Body58.decode/1","doc":"","ref":"Procore.Model.Body58.html#decode/1"},{"type":"type","title":"Procore.Model.Body58.t/0","doc":"","ref":"Procore.Model.Body58.html#t:t/0"},{"type":"module","title":"Procore.Model.Body59","doc":"","ref":"Procore.Model.Body59.html"},{"type":"function","title":"Procore.Model.Body59.decode/1","doc":"","ref":"Procore.Model.Body59.html#decode/1"},{"type":"type","title":"Procore.Model.Body59.t/0","doc":"","ref":"Procore.Model.Body59.html#t:t/0"},{"type":"module","title":"Procore.Model.Body6","doc":"","ref":"Procore.Model.Body6.html"},{"type":"function","title":"Procore.Model.Body6.decode/1","doc":"","ref":"Procore.Model.Body6.html#decode/1"},{"type":"type","title":"Procore.Model.Body6.t/0","doc":"","ref":"Procore.Model.Body6.html#t:t/0"},{"type":"module","title":"Procore.Model.Body60","doc":"","ref":"Procore.Model.Body60.html"},{"type":"function","title":"Procore.Model.Body60.decode/1","doc":"","ref":"Procore.Model.Body60.html#decode/1"},{"type":"type","title":"Procore.Model.Body60.t/0","doc":"","ref":"Procore.Model.Body60.html#t:t/0"},{"type":"module","title":"Procore.Model.Body61","doc":"","ref":"Procore.Model.Body61.html"},{"type":"function","title":"Procore.Model.Body61.decode/1","doc":"","ref":"Procore.Model.Body61.html#decode/1"},{"type":"type","title":"Procore.Model.Body61.t/0","doc":"","ref":"Procore.Model.Body61.html#t:t/0"},{"type":"module","title":"Procore.Model.Body62","doc":"","ref":"Procore.Model.Body62.html"},{"type":"function","title":"Procore.Model.Body62.decode/1","doc":"","ref":"Procore.Model.Body62.html#decode/1"},{"type":"type","title":"Procore.Model.Body62.t/0","doc":"","ref":"Procore.Model.Body62.html#t:t/0"},{"type":"module","title":"Procore.Model.Body63","doc":"","ref":"Procore.Model.Body63.html"},{"type":"function","title":"Procore.Model.Body63.decode/1","doc":"","ref":"Procore.Model.Body63.html#decode/1"},{"type":"type","title":"Procore.Model.Body63.t/0","doc":"","ref":"Procore.Model.Body63.html#t:t/0"},{"type":"module","title":"Procore.Model.Body64","doc":"","ref":"Procore.Model.Body64.html"},{"type":"function","title":"Procore.Model.Body64.decode/1","doc":"","ref":"Procore.Model.Body64.html#decode/1"},{"type":"type","title":"Procore.Model.Body64.t/0","doc":"","ref":"Procore.Model.Body64.html#t:t/0"},{"type":"module","title":"Procore.Model.Body64MeetingAttendeeRecord","doc":"Meeting Attendee record","ref":"Procore.Model.Body64MeetingAttendeeRecord.html"},{"type":"function","title":"Procore.Model.Body64MeetingAttendeeRecord.decode/1","doc":"","ref":"Procore.Model.Body64MeetingAttendeeRecord.html#decode/1"},{"type":"type","title":"Procore.Model.Body64MeetingAttendeeRecord.t/0","doc":"","ref":"Procore.Model.Body64MeetingAttendeeRecord.html#t:t/0"},{"type":"module","title":"Procore.Model.Body65","doc":"","ref":"Procore.Model.Body65.html"},{"type":"function","title":"Procore.Model.Body65.decode/1","doc":"","ref":"Procore.Model.Body65.html#decode/1"},{"type":"type","title":"Procore.Model.Body65.t/0","doc":"","ref":"Procore.Model.Body65.html#t:t/0"},{"type":"module","title":"Procore.Model.Body66","doc":"","ref":"Procore.Model.Body66.html"},{"type":"function","title":"Procore.Model.Body66.decode/1","doc":"","ref":"Procore.Model.Body66.html#decode/1"},{"type":"type","title":"Procore.Model.Body66.t/0","doc":"","ref":"Procore.Model.Body66.html#t:t/0"},{"type":"module","title":"Procore.Model.Body67","doc":"","ref":"Procore.Model.Body67.html"},{"type":"function","title":"Procore.Model.Body67.decode/1","doc":"","ref":"Procore.Model.Body67.html#decode/1"},{"type":"type","title":"Procore.Model.Body67.t/0","doc":"","ref":"Procore.Model.Body67.html#t:t/0"},{"type":"module","title":"Procore.Model.Body68","doc":"","ref":"Procore.Model.Body68.html"},{"type":"function","title":"Procore.Model.Body68.decode/1","doc":"","ref":"Procore.Model.Body68.html#decode/1"},{"type":"type","title":"Procore.Model.Body68.t/0","doc":"","ref":"Procore.Model.Body68.html#t:t/0"},{"type":"module","title":"Procore.Model.Body69","doc":"","ref":"Procore.Model.Body69.html"},{"type":"function","title":"Procore.Model.Body69.decode/1","doc":"","ref":"Procore.Model.Body69.html#decode/1"},{"type":"type","title":"Procore.Model.Body69.t/0","doc":"","ref":"Procore.Model.Body69.html#t:t/0"},{"type":"module","title":"Procore.Model.Body7","doc":"","ref":"Procore.Model.Body7.html"},{"type":"function","title":"Procore.Model.Body7.decode/1","doc":"","ref":"Procore.Model.Body7.html#decode/1"},{"type":"type","title":"Procore.Model.Body7.t/0","doc":"","ref":"Procore.Model.Body7.html#t:t/0"},{"type":"module","title":"Procore.Model.Body70","doc":"","ref":"Procore.Model.Body70.html"},{"type":"function","title":"Procore.Model.Body70.decode/1","doc":"","ref":"Procore.Model.Body70.html#decode/1"},{"type":"type","title":"Procore.Model.Body70.t/0","doc":"","ref":"Procore.Model.Body70.html#t:t/0"},{"type":"module","title":"Procore.Model.Body71","doc":"","ref":"Procore.Model.Body71.html"},{"type":"function","title":"Procore.Model.Body71.decode/1","doc":"","ref":"Procore.Model.Body71.html#decode/1"},{"type":"type","title":"Procore.Model.Body71.t/0","doc":"","ref":"Procore.Model.Body71.html#t:t/0"},{"type":"module","title":"Procore.Model.Body72","doc":"","ref":"Procore.Model.Body72.html"},{"type":"function","title":"Procore.Model.Body72.decode/1","doc":"","ref":"Procore.Model.Body72.html#decode/1"},{"type":"type","title":"Procore.Model.Body72.t/0","doc":"","ref":"Procore.Model.Body72.html#t:t/0"},{"type":"module","title":"Procore.Model.Body73","doc":"","ref":"Procore.Model.Body73.html"},{"type":"function","title":"Procore.Model.Body73.decode/1","doc":"","ref":"Procore.Model.Body73.html#decode/1"},{"type":"type","title":"Procore.Model.Body73.t/0","doc":"","ref":"Procore.Model.Body73.html#t:t/0"},{"type":"module","title":"Procore.Model.Body75","doc":"","ref":"Procore.Model.Body75.html"},{"type":"function","title":"Procore.Model.Body75.decode/1","doc":"","ref":"Procore.Model.Body75.html#decode/1"},{"type":"type","title":"Procore.Model.Body75.t/0","doc":"","ref":"Procore.Model.Body75.html#t:t/0"},{"type":"module","title":"Procore.Model.Body76","doc":"","ref":"Procore.Model.Body76.html"},{"type":"function","title":"Procore.Model.Body76.decode/1","doc":"","ref":"Procore.Model.Body76.html#decode/1"},{"type":"type","title":"Procore.Model.Body76.t/0","doc":"","ref":"Procore.Model.Body76.html#t:t/0"},{"type":"module","title":"Procore.Model.Body78","doc":"","ref":"Procore.Model.Body78.html"},{"type":"function","title":"Procore.Model.Body78.decode/1","doc":"","ref":"Procore.Model.Body78.html#decode/1"},{"type":"type","title":"Procore.Model.Body78.t/0","doc":"","ref":"Procore.Model.Body78.html#t:t/0"},{"type":"module","title":"Procore.Model.Body8","doc":"","ref":"Procore.Model.Body8.html"},{"type":"function","title":"Procore.Model.Body8.decode/1","doc":"","ref":"Procore.Model.Body8.html#decode/1"},{"type":"type","title":"Procore.Model.Body8.t/0","doc":"","ref":"Procore.Model.Body8.html#t:t/0"},{"type":"module","title":"Procore.Model.Body81","doc":"","ref":"Procore.Model.Body81.html"},{"type":"function","title":"Procore.Model.Body81.decode/1","doc":"","ref":"Procore.Model.Body81.html#decode/1"},{"type":"type","title":"Procore.Model.Body81.t/0","doc":"","ref":"Procore.Model.Body81.html#t:t/0"},{"type":"module","title":"Procore.Model.Body82","doc":"","ref":"Procore.Model.Body82.html"},{"type":"function","title":"Procore.Model.Body82.decode/1","doc":"","ref":"Procore.Model.Body82.html#decode/1"},{"type":"type","title":"Procore.Model.Body82.t/0","doc":"","ref":"Procore.Model.Body82.html#t:t/0"},{"type":"module","title":"Procore.Model.Body83","doc":"","ref":"Procore.Model.Body83.html"},{"type":"function","title":"Procore.Model.Body83.decode/1","doc":"","ref":"Procore.Model.Body83.html#decode/1"},{"type":"type","title":"Procore.Model.Body83.t/0","doc":"","ref":"Procore.Model.Body83.html#t:t/0"},{"type":"module","title":"Procore.Model.Body84","doc":"","ref":"Procore.Model.Body84.html"},{"type":"function","title":"Procore.Model.Body84.decode/1","doc":"","ref":"Procore.Model.Body84.html#decode/1"},{"type":"type","title":"Procore.Model.Body84.t/0","doc":"","ref":"Procore.Model.Body84.html#t:t/0"},{"type":"module","title":"Procore.Model.Body85","doc":"","ref":"Procore.Model.Body85.html"},{"type":"function","title":"Procore.Model.Body85.decode/1","doc":"","ref":"Procore.Model.Body85.html#decode/1"},{"type":"type","title":"Procore.Model.Body85.t/0","doc":"","ref":"Procore.Model.Body85.html#t:t/0"},{"type":"module","title":"Procore.Model.Body86","doc":"","ref":"Procore.Model.Body86.html"},{"type":"function","title":"Procore.Model.Body86.decode/1","doc":"","ref":"Procore.Model.Body86.html#decode/1"},{"type":"type","title":"Procore.Model.Body86.t/0","doc":"","ref":"Procore.Model.Body86.html#t:t/0"},{"type":"module","title":"Procore.Model.Body87","doc":"","ref":"Procore.Model.Body87.html"},{"type":"function","title":"Procore.Model.Body87.decode/1","doc":"","ref":"Procore.Model.Body87.html#decode/1"},{"type":"type","title":"Procore.Model.Body87.t/0","doc":"","ref":"Procore.Model.Body87.html#t:t/0"},{"type":"module","title":"Procore.Model.Body88","doc":"","ref":"Procore.Model.Body88.html"},{"type":"function","title":"Procore.Model.Body88.decode/1","doc":"","ref":"Procore.Model.Body88.html#decode/1"},{"type":"type","title":"Procore.Model.Body88.t/0","doc":"","ref":"Procore.Model.Body88.html#t:t/0"},{"type":"module","title":"Procore.Model.Body89","doc":"","ref":"Procore.Model.Body89.html"},{"type":"function","title":"Procore.Model.Body89.decode/1","doc":"","ref":"Procore.Model.Body89.html#decode/1"},{"type":"type","title":"Procore.Model.Body89.t/0","doc":"","ref":"Procore.Model.Body89.html#t:t/0"},{"type":"module","title":"Procore.Model.Body9","doc":"","ref":"Procore.Model.Body9.html"},{"type":"function","title":"Procore.Model.Body9.decode/1","doc":"","ref":"Procore.Model.Body9.html#decode/1"},{"type":"type","title":"Procore.Model.Body9.t/0","doc":"","ref":"Procore.Model.Body9.html#t:t/0"},{"type":"module","title":"Procore.Model.Body90","doc":"","ref":"Procore.Model.Body90.html"},{"type":"function","title":"Procore.Model.Body90.decode/1","doc":"","ref":"Procore.Model.Body90.html#decode/1"},{"type":"type","title":"Procore.Model.Body90.t/0","doc":"","ref":"Procore.Model.Body90.html#t:t/0"},{"type":"module","title":"Procore.Model.Body91","doc":"","ref":"Procore.Model.Body91.html"},{"type":"function","title":"Procore.Model.Body91.decode/1","doc":"","ref":"Procore.Model.Body91.html#decode/1"},{"type":"type","title":"Procore.Model.Body91.t/0","doc":"","ref":"Procore.Model.Body91.html#t:t/0"},{"type":"module","title":"Procore.Model.Body92","doc":"","ref":"Procore.Model.Body92.html"},{"type":"function","title":"Procore.Model.Body92.decode/1","doc":"","ref":"Procore.Model.Body92.html#decode/1"},{"type":"type","title":"Procore.Model.Body92.t/0","doc":"","ref":"Procore.Model.Body92.html#t:t/0"},{"type":"module","title":"Procore.Model.Body93","doc":"","ref":"Procore.Model.Body93.html"},{"type":"function","title":"Procore.Model.Body93.decode/1","doc":"","ref":"Procore.Model.Body93.html#decode/1"},{"type":"type","title":"Procore.Model.Body93.t/0","doc":"","ref":"Procore.Model.Body93.html#t:t/0"},{"type":"module","title":"Procore.Model.Body94","doc":"","ref":"Procore.Model.Body94.html"},{"type":"function","title":"Procore.Model.Body94.decode/1","doc":"","ref":"Procore.Model.Body94.html#decode/1"},{"type":"type","title":"Procore.Model.Body94.t/0","doc":"","ref":"Procore.Model.Body94.html#t:t/0"},{"type":"module","title":"Procore.Model.Body95","doc":"","ref":"Procore.Model.Body95.html"},{"type":"function","title":"Procore.Model.Body95.decode/1","doc":"","ref":"Procore.Model.Body95.html#decode/1"},{"type":"type","title":"Procore.Model.Body95.t/0","doc":"","ref":"Procore.Model.Body95.html#t:t/0"},{"type":"module","title":"Procore.Model.Body96","doc":"","ref":"Procore.Model.Body96.html"},{"type":"function","title":"Procore.Model.Body96.decode/1","doc":"","ref":"Procore.Model.Body96.html#decode/1"},{"type":"type","title":"Procore.Model.Body96.t/0","doc":"","ref":"Procore.Model.Body96.html#t:t/0"},{"type":"module","title":"Procore.Model.Body96StandardCostCodeList","doc":"Standard Cost Code List Updates","ref":"Procore.Model.Body96StandardCostCodeList.html"},{"type":"function","title":"Procore.Model.Body96StandardCostCodeList.decode/1","doc":"","ref":"Procore.Model.Body96StandardCostCodeList.html#decode/1"},{"type":"type","title":"Procore.Model.Body96StandardCostCodeList.t/0","doc":"","ref":"Procore.Model.Body96StandardCostCodeList.html#t:t/0"},{"type":"module","title":"Procore.Model.Body97","doc":"","ref":"Procore.Model.Body97.html"},{"type":"function","title":"Procore.Model.Body97.decode/1","doc":"","ref":"Procore.Model.Body97.html#decode/1"},{"type":"type","title":"Procore.Model.Body97.t/0","doc":"","ref":"Procore.Model.Body97.html#t:t/0"},{"type":"module","title":"Procore.Model.Body98","doc":"","ref":"Procore.Model.Body98.html"},{"type":"function","title":"Procore.Model.Body98.decode/1","doc":"","ref":"Procore.Model.Body98.html#decode/1"},{"type":"type","title":"Procore.Model.Body98.t/0","doc":"","ref":"Procore.Model.Body98.html#t:t/0"},{"type":"module","title":"Procore.Model.Body99","doc":"","ref":"Procore.Model.Body99.html"},{"type":"function","title":"Procore.Model.Body99.decode/1","doc":"","ref":"Procore.Model.Body99.html#decode/1"},{"type":"type","title":"Procore.Model.Body99.t/0","doc":"","ref":"Procore.Model.Body99.html#t:t/0"},{"type":"module","title":"Procore.Model.Body99CoordinationIssue","doc":"Coordination Issue","ref":"Procore.Model.Body99CoordinationIssue.html"},{"type":"function","title":"Procore.Model.Body99CoordinationIssue.decode/1","doc":"","ref":"Procore.Model.Body99CoordinationIssue.html#decode/1"},{"type":"type","title":"Procore.Model.Body99CoordinationIssue.t/0","doc":"","ref":"Procore.Model.Body99CoordinationIssue.html#t:t/0"},{"type":"module","title":"Procore.Model.Body99CoordinationIssueOrigin","doc":"Origin source for a Coordination Issue","ref":"Procore.Model.Body99CoordinationIssueOrigin.html"},{"type":"function","title":"Procore.Model.Body99CoordinationIssueOrigin.decode/1","doc":"","ref":"Procore.Model.Body99CoordinationIssueOrigin.html#decode/1"},{"type":"type","title":"Procore.Model.Body99CoordinationIssueOrigin.t/0","doc":"","ref":"Procore.Model.Body99CoordinationIssueOrigin.html#t:t/0"},{"type":"module","title":"Procore.Model.Body99CoordinationIssueViewpointsInner","doc":"","ref":"Procore.Model.Body99CoordinationIssueViewpointsInner.html"},{"type":"function","title":"Procore.Model.Body99CoordinationIssueViewpointsInner.decode/1","doc":"","ref":"Procore.Model.Body99CoordinationIssueViewpointsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Body99CoordinationIssueViewpointsInner.t/0","doc":"","ref":"Procore.Model.Body99CoordinationIssueViewpointsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Body99CoordinationIssueViewpointsInnerVisibility","doc":"Object visibility settings","ref":"Procore.Model.Body99CoordinationIssueViewpointsInnerVisibility.html"},{"type":"function","title":"Procore.Model.Body99CoordinationIssueViewpointsInnerVisibility.decode/1","doc":"","ref":"Procore.Model.Body99CoordinationIssueViewpointsInnerVisibility.html#decode/1"},{"type":"type","title":"Procore.Model.Body99CoordinationIssueViewpointsInnerVisibility.t/0","doc":"","ref":"Procore.Model.Body99CoordinationIssueViewpointsInnerVisibility.html#t:t/0"},{"type":"module","title":"Procore.Model.BodyPart","doc":"","ref":"Procore.Model.BodyPart.html"},{"type":"function","title":"Procore.Model.BodyPart.decode/1","doc":"","ref":"Procore.Model.BodyPart.html#decode/1"},{"type":"type","title":"Procore.Model.BodyPart.t/0","doc":"","ref":"Procore.Model.BodyPart.html#t:t/0"},{"type":"module","title":"Procore.Model.BodyPart1","doc":"","ref":"Procore.Model.BodyPart1.html"},{"type":"function","title":"Procore.Model.BodyPart1.decode/1","doc":"","ref":"Procore.Model.BodyPart1.html#decode/1"},{"type":"type","title":"Procore.Model.BodyPart1.t/0","doc":"","ref":"Procore.Model.BodyPart1.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetDetailFilterOptions","doc":"Budget Detail Filters Object","ref":"Procore.Model.BudgetDetailFilterOptions.html"},{"type":"function","title":"Procore.Model.BudgetDetailFilterOptions.decode/1","doc":"","ref":"Procore.Model.BudgetDetailFilterOptions.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetDetailFilterOptions.t/0","doc":"","ref":"Procore.Model.BudgetDetailFilterOptions.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetDetailFilterOptionsBillerInner","doc":"","ref":"Procore.Model.BudgetDetailFilterOptionsBillerInner.html"},{"type":"function","title":"Procore.Model.BudgetDetailFilterOptionsBillerInner.decode/1","doc":"","ref":"Procore.Model.BudgetDetailFilterOptionsBillerInner.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetDetailFilterOptionsBillerInner.t/0","doc":"","ref":"Procore.Model.BudgetDetailFilterOptionsBillerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetDetailsBody","doc":"","ref":"Procore.Model.BudgetDetailsBody.html"},{"type":"function","title":"Procore.Model.BudgetDetailsBody.decode/1","doc":"","ref":"Procore.Model.BudgetDetailsBody.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetDetailsBody.t/0","doc":"","ref":"Procore.Model.BudgetDetailsBody.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetLineItem","doc":"Budget Line Item object","ref":"Procore.Model.BudgetLineItem.html"},{"type":"function","title":"Procore.Model.BudgetLineItem.decode/1","doc":"","ref":"Procore.Model.BudgetLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetLineItem.t/0","doc":"","ref":"Procore.Model.BudgetLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetLineItem1","doc":"Budget Line Item object","ref":"Procore.Model.BudgetLineItem1.html"},{"type":"function","title":"Procore.Model.BudgetLineItem1.decode/1","doc":"","ref":"Procore.Model.BudgetLineItem1.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetLineItem1.t/0","doc":"","ref":"Procore.Model.BudgetLineItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetLineItem2","doc":"Budget Line Item object","ref":"Procore.Model.BudgetLineItem2.html"},{"type":"function","title":"Procore.Model.BudgetLineItem2.decode/1","doc":"","ref":"Procore.Model.BudgetLineItem2.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetLineItem2.t/0","doc":"","ref":"Procore.Model.BudgetLineItem2.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetLineItem3","doc":"Budget Line Item object","ref":"Procore.Model.BudgetLineItem3.html"},{"type":"function","title":"Procore.Model.BudgetLineItem3.decode/1","doc":"","ref":"Procore.Model.BudgetLineItem3.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetLineItem3.t/0","doc":"","ref":"Procore.Model.BudgetLineItem3.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetModification","doc":"","ref":"Procore.Model.BudgetModification.html"},{"type":"function","title":"Procore.Model.BudgetModification.decode/1","doc":"","ref":"Procore.Model.BudgetModification.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetModification.t/0","doc":"","ref":"Procore.Model.BudgetModification.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetedProductionQuantity","doc":"Budgeted Production Quantity Object","ref":"Procore.Model.BudgetedProductionQuantity.html"},{"type":"function","title":"Procore.Model.BudgetedProductionQuantity.decode/1","doc":"","ref":"Procore.Model.BudgetedProductionQuantity.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetedProductionQuantity.t/0","doc":"","ref":"Procore.Model.BudgetedProductionQuantity.html#t:t/0"},{"type":"module","title":"Procore.Model.BudgetedProductionQuantityBody","doc":"","ref":"Procore.Model.BudgetedProductionQuantityBody.html"},{"type":"function","title":"Procore.Model.BudgetedProductionQuantityBody.decode/1","doc":"","ref":"Procore.Model.BudgetedProductionQuantityBody.html#decode/1"},{"type":"type","title":"Procore.Model.BudgetedProductionQuantityBody.t/0","doc":"","ref":"Procore.Model.BudgetedProductionQuantityBody.html#t:t/0"},{"type":"module","title":"Procore.Model.BulkCreateProjectMembershipBody","doc":"","ref":"Procore.Model.BulkCreateProjectMembershipBody.html"},{"type":"function","title":"Procore.Model.BulkCreateProjectMembershipBody.decode/1","doc":"","ref":"Procore.Model.BulkCreateProjectMembershipBody.html#decode/1"},{"type":"type","title":"Procore.Model.BulkCreateProjectMembershipBody.t/0","doc":"","ref":"Procore.Model.BulkCreateProjectMembershipBody.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessNormalView","doc":"","ref":"Procore.Model.BusinessNormalView.html"},{"type":"function","title":"Procore.Model.BusinessNormalView.decode/1","doc":"","ref":"Procore.Model.BusinessNormalView.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessNormalView.t/0","doc":"","ref":"Procore.Model.BusinessNormalView.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessNormalViewAddressesInner","doc":"","ref":"Procore.Model.BusinessNormalViewAddressesInner.html"},{"type":"function","title":"Procore.Model.BusinessNormalViewAddressesInner.decode/1","doc":"","ref":"Procore.Model.BusinessNormalViewAddressesInner.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessNormalViewAddressesInner.t/0","doc":"","ref":"Procore.Model.BusinessNormalViewAddressesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessNormalViewClassificationsInner","doc":"","ref":"Procore.Model.BusinessNormalViewClassificationsInner.html"},{"type":"function","title":"Procore.Model.BusinessNormalViewClassificationsInner.decode/1","doc":"","ref":"Procore.Model.BusinessNormalViewClassificationsInner.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessNormalViewClassificationsInner.t/0","doc":"","ref":"Procore.Model.BusinessNormalViewClassificationsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessNormalViewCoverageAreasInner","doc":"","ref":"Procore.Model.BusinessNormalViewCoverageAreasInner.html"},{"type":"function","title":"Procore.Model.BusinessNormalViewCoverageAreasInner.decode/1","doc":"","ref":"Procore.Model.BusinessNormalViewCoverageAreasInner.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessNormalViewCoverageAreasInner.t/0","doc":"","ref":"Procore.Model.BusinessNormalViewCoverageAreasInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessNormalViewProvidedServicesInner","doc":"","ref":"Procore.Model.BusinessNormalViewProvidedServicesInner.html"},{"type":"function","title":"Procore.Model.BusinessNormalViewProvidedServicesInner.decode/1","doc":"","ref":"Procore.Model.BusinessNormalViewProvidedServicesInner.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessNormalViewProvidedServicesInner.t/0","doc":"","ref":"Procore.Model.BusinessNormalViewProvidedServicesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessNormalViewSource","doc":"Information about where the business information was sourced from","ref":"Procore.Model.BusinessNormalViewSource.html"},{"type":"function","title":"Procore.Model.BusinessNormalViewSource.decode/1","doc":"","ref":"Procore.Model.BusinessNormalViewSource.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessNormalViewSource.t/0","doc":"","ref":"Procore.Model.BusinessNormalViewSource.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessNormalViewTags","doc":"Tags to indicate the current status of business","ref":"Procore.Model.BusinessNormalViewTags.html"},{"type":"function","title":"Procore.Model.BusinessNormalViewTags.decode/1","doc":"","ref":"Procore.Model.BusinessNormalViewTags.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessNormalViewTags.t/0","doc":"","ref":"Procore.Model.BusinessNormalViewTags.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessRegisterBody","doc":"","ref":"Procore.Model.BusinessRegisterBody.html"},{"type":"function","title":"Procore.Model.BusinessRegisterBody.decode/1","doc":"","ref":"Procore.Model.BusinessRegisterBody.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessRegisterBody.t/0","doc":"","ref":"Procore.Model.BusinessRegisterBody.html#t:t/0"},{"type":"module","title":"Procore.Model.BusinessRegisterBodyBusinessRegister","doc":"","ref":"Procore.Model.BusinessRegisterBodyBusinessRegister.html"},{"type":"function","title":"Procore.Model.BusinessRegisterBodyBusinessRegister.decode/1","doc":"","ref":"Procore.Model.BusinessRegisterBodyBusinessRegister.html#decode/1"},{"type":"type","title":"Procore.Model.BusinessRegisterBodyBusinessRegister.t/0","doc":"","ref":"Procore.Model.BusinessRegisterBodyBusinessRegister.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeEvent","doc":"","ref":"Procore.Model.ChangeEvent.html"},{"type":"function","title":"Procore.Model.ChangeEvent.decode/1","doc":"","ref":"Procore.Model.ChangeEvent.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeEvent.t/0","doc":"","ref":"Procore.Model.ChangeEvent.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeEvent1","doc":"","ref":"Procore.Model.ChangeEvent1.html"},{"type":"function","title":"Procore.Model.ChangeEvent1.decode/1","doc":"","ref":"Procore.Model.ChangeEvent1.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeEvent1.t/0","doc":"","ref":"Procore.Model.ChangeEvent1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeEventAttachmentsByDrawingRevisionInner","doc":"","ref":"Procore.Model.ChangeEventAttachmentsByDrawingRevisionInner.html"},{"type":"function","title":"Procore.Model.ChangeEventAttachmentsByDrawingRevisionInner.decode/1","doc":"","ref":"Procore.Model.ChangeEventAttachmentsByDrawingRevisionInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeEventAttachmentsByDrawingRevisionInner.t/0","doc":"","ref":"Procore.Model.ChangeEventAttachmentsByDrawingRevisionInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeEventAttachmentsByUuidInner","doc":"","ref":"Procore.Model.ChangeEventAttachmentsByUuidInner.html"},{"type":"function","title":"Procore.Model.ChangeEventAttachmentsByUuidInner.decode/1","doc":"","ref":"Procore.Model.ChangeEventAttachmentsByUuidInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeEventAttachmentsByUuidInner.t/0","doc":"","ref":"Procore.Model.ChangeEventAttachmentsByUuidInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeEventLineItem","doc":"","ref":"Procore.Model.ChangeEventLineItem.html"},{"type":"function","title":"Procore.Model.ChangeEventLineItem.decode/1","doc":"","ref":"Procore.Model.ChangeEventLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeEventLineItem.t/0","doc":"","ref":"Procore.Model.ChangeEventLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeEventLineItem1","doc":"","ref":"Procore.Model.ChangeEventLineItem1.html"},{"type":"function","title":"Procore.Model.ChangeEventLineItem1.decode/1","doc":"","ref":"Procore.Model.ChangeEventLineItem1.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeEventLineItem1.t/0","doc":"","ref":"Procore.Model.ChangeEventLineItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeEventLineItem1WbsCodeId","doc":"the WBS (Budget) Code associated to the Change Event Line Item","ref":"Procore.Model.ChangeEventLineItem1WbsCodeId.html"},{"type":"function","title":"Procore.Model.ChangeEventLineItem1WbsCodeId.decode/1","doc":"","ref":"Procore.Model.ChangeEventLineItem1WbsCodeId.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeEventLineItem1WbsCodeId.t/0","doc":"","ref":"Procore.Model.ChangeEventLineItem1WbsCodeId.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeEventLineItemBudgetCode","doc":"the Budget Code associated to the Change Event Line Item","ref":"Procore.Model.ChangeEventLineItemBudgetCode.html"},{"type":"function","title":"Procore.Model.ChangeEventLineItemBudgetCode.decode/1","doc":"","ref":"Procore.Model.ChangeEventLineItemBudgetCode.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeEventLineItemBudgetCode.t/0","doc":"","ref":"Procore.Model.ChangeEventLineItemBudgetCode.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeOrderRequestSync","doc":"","ref":"Procore.Model.ChangeOrderRequestSync.html"},{"type":"function","title":"Procore.Model.ChangeOrderRequestSync.decode/1","doc":"","ref":"Procore.Model.ChangeOrderRequestSync.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeOrderRequestSync.t/0","doc":"","ref":"Procore.Model.ChangeOrderRequestSync.html#t:t/0"},{"type":"module","title":"Procore.Model.ChangeOrderRequestSyncUpdatesInner","doc":"","ref":"Procore.Model.ChangeOrderRequestSyncUpdatesInner.html"},{"type":"function","title":"Procore.Model.ChangeOrderRequestSyncUpdatesInner.decode/1","doc":"","ref":"Procore.Model.ChangeOrderRequestSyncUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChangeOrderRequestSyncUpdatesInner.t/0","doc":"","ref":"Procore.Model.ChangeOrderRequestSyncUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist","doc":"","ref":"Procore.Model.Checklist.html"},{"type":"function","title":"Procore.Model.Checklist.decode/1","doc":"","ref":"Procore.Model.Checklist.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist.t/0","doc":"","ref":"Procore.Model.Checklist.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist1","doc":"","ref":"Procore.Model.Checklist1.html"},{"type":"function","title":"Procore.Model.Checklist1.decode/1","doc":"","ref":"Procore.Model.Checklist1.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist1.t/0","doc":"","ref":"Procore.Model.Checklist1.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist1AttachmentsInner","doc":"","ref":"Procore.Model.Checklist1AttachmentsInner.html"},{"type":"function","title":"Procore.Model.Checklist1AttachmentsInner.decode/1","doc":"","ref":"Procore.Model.Checklist1AttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist1AttachmentsInner.t/0","doc":"","ref":"Procore.Model.Checklist1AttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist1ResponsibleContractor","doc":"Vendor responsible for the work being inspected","ref":"Procore.Model.Checklist1ResponsibleContractor.html"},{"type":"function","title":"Procore.Model.Checklist1ResponsibleContractor.decode/1","doc":"","ref":"Procore.Model.Checklist1ResponsibleContractor.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist1ResponsibleContractor.t/0","doc":"","ref":"Procore.Model.Checklist1ResponsibleContractor.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist1SpecificationSection","doc":"Specification Section","ref":"Procore.Model.Checklist1SpecificationSection.html"},{"type":"function","title":"Procore.Model.Checklist1SpecificationSection.decode/1","doc":"","ref":"Procore.Model.Checklist1SpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist1SpecificationSection.t/0","doc":"","ref":"Procore.Model.Checklist1SpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist2","doc":"Checklist object","ref":"Procore.Model.Checklist2.html"},{"type":"function","title":"Procore.Model.Checklist2.decode/1","doc":"","ref":"Procore.Model.Checklist2.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist2.t/0","doc":"","ref":"Procore.Model.Checklist2.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist3","doc":"","ref":"Procore.Model.Checklist3.html"},{"type":"function","title":"Procore.Model.Checklist3.decode/1","doc":"","ref":"Procore.Model.Checklist3.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist3.t/0","doc":"","ref":"Procore.Model.Checklist3.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist3AttachmentsInner","doc":"","ref":"Procore.Model.Checklist3AttachmentsInner.html"},{"type":"function","title":"Procore.Model.Checklist3AttachmentsInner.decode/1","doc":"","ref":"Procore.Model.Checklist3AttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist3AttachmentsInner.t/0","doc":"","ref":"Procore.Model.Checklist3AttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist3ResponsibleContractor","doc":"Vendor responsible for the work being inspected","ref":"Procore.Model.Checklist3ResponsibleContractor.html"},{"type":"function","title":"Procore.Model.Checklist3ResponsibleContractor.decode/1","doc":"","ref":"Procore.Model.Checklist3ResponsibleContractor.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist3ResponsibleContractor.t/0","doc":"","ref":"Procore.Model.Checklist3ResponsibleContractor.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist3SpecificationSection","doc":"Specification Section","ref":"Procore.Model.Checklist3SpecificationSection.html"},{"type":"function","title":"Procore.Model.Checklist3SpecificationSection.decode/1","doc":"","ref":"Procore.Model.Checklist3SpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist3SpecificationSection.t/0","doc":"","ref":"Procore.Model.Checklist3SpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist4","doc":"Checklist object","ref":"Procore.Model.Checklist4.html"},{"type":"function","title":"Procore.Model.Checklist4.decode/1","doc":"","ref":"Procore.Model.Checklist4.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist4.t/0","doc":"","ref":"Procore.Model.Checklist4.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist4AllOfSectionsAttributesInner","doc":"","ref":"Procore.Model.Checklist4AllOfSectionsAttributesInner.html"},{"type":"function","title":"Procore.Model.Checklist4AllOfSectionsAttributesInner.decode/1","doc":"","ref":"Procore.Model.Checklist4AllOfSectionsAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist4AllOfSectionsAttributesInner.t/0","doc":"","ref":"Procore.Model.Checklist4AllOfSectionsAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist4AllOfSectionsAttributesInnerItemsAttributesInner","doc":"","ref":"Procore.Model.Checklist4AllOfSectionsAttributesInnerItemsAttributesInner.html"},{"type":"function","title":"Procore.Model.Checklist4AllOfSectionsAttributesInnerItemsAttributesInner.decode/1","doc":"","ref":"Procore.Model.Checklist4AllOfSectionsAttributesInnerItemsAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist4AllOfSectionsAttributesInnerItemsAttributesInner.t/0","doc":"","ref":"Procore.Model.Checklist4AllOfSectionsAttributesInnerItemsAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist5","doc":"","ref":"Procore.Model.Checklist5.html"},{"type":"function","title":"Procore.Model.Checklist5.decode/1","doc":"","ref":"Procore.Model.Checklist5.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist5.t/0","doc":"","ref":"Procore.Model.Checklist5.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist5DefaultResponsePhrasing","doc":"Conforming/Deficient responses used for items having the default response type","ref":"Procore.Model.Checklist5DefaultResponsePhrasing.html"},{"type":"function","title":"Procore.Model.Checklist5DefaultResponsePhrasing.decode/1","doc":"","ref":"Procore.Model.Checklist5DefaultResponsePhrasing.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist5DefaultResponsePhrasing.t/0","doc":"","ref":"Procore.Model.Checklist5DefaultResponsePhrasing.html#t:t/0"},{"type":"module","title":"Procore.Model.Checklist5SpecificationSection","doc":"Specification Section","ref":"Procore.Model.Checklist5SpecificationSection.html"},{"type":"function","title":"Procore.Model.Checklist5SpecificationSection.decode/1","doc":"","ref":"Procore.Model.Checklist5SpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.Checklist5SpecificationSection.t/0","doc":"","ref":"Procore.Model.Checklist5SpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistAlternativeResponseSet","doc":"","ref":"Procore.Model.ChecklistAlternativeResponseSet.html"},{"type":"function","title":"Procore.Model.ChecklistAlternativeResponseSet.decode/1","doc":"","ref":"Procore.Model.ChecklistAlternativeResponseSet.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistAlternativeResponseSet.t/0","doc":"","ref":"Procore.Model.ChecklistAlternativeResponseSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistAlternativeResponseSetFull","doc":"","ref":"Procore.Model.ChecklistAlternativeResponseSetFull.html"},{"type":"function","title":"Procore.Model.ChecklistAlternativeResponseSetFull.decode/1","doc":"","ref":"Procore.Model.ChecklistAlternativeResponseSetFull.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistAlternativeResponseSetFull.t/0","doc":"","ref":"Procore.Model.ChecklistAlternativeResponseSetFull.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistBody","doc":"","ref":"Procore.Model.ChecklistBody.html"},{"type":"function","title":"Procore.Model.ChecklistBody.decode/1","doc":"","ref":"Procore.Model.ChecklistBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistBody.t/0","doc":"","ref":"Procore.Model.ChecklistBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistBody1","doc":"","ref":"Procore.Model.ChecklistBody1.html"},{"type":"function","title":"Procore.Model.ChecklistBody1.decode/1","doc":"","ref":"Procore.Model.ChecklistBody1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistBody1.t/0","doc":"","ref":"Procore.Model.ChecklistBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistClosedBy","doc":"","ref":"Procore.Model.ChecklistClosedBy.html"},{"type":"function","title":"Procore.Model.ChecklistClosedBy.decode/1","doc":"","ref":"Procore.Model.ChecklistClosedBy.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistClosedBy.t/0","doc":"","ref":"Procore.Model.ChecklistClosedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistComment","doc":"","ref":"Procore.Model.ChecklistComment.html"},{"type":"function","title":"Procore.Model.ChecklistComment.decode/1","doc":"","ref":"Procore.Model.ChecklistComment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistComment.t/0","doc":"","ref":"Procore.Model.ChecklistComment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistCommentBody","doc":"","ref":"Procore.Model.ChecklistCommentBody.html"},{"type":"function","title":"Procore.Model.ChecklistCommentBody.decode/1","doc":"","ref":"Procore.Model.ChecklistCommentBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistCommentBody.t/0","doc":"","ref":"Procore.Model.ChecklistCommentBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistCommentCreatedBy","doc":"","ref":"Procore.Model.ChecklistCommentCreatedBy.html"},{"type":"function","title":"Procore.Model.ChecklistCommentCreatedBy.decode/1","doc":"","ref":"Procore.Model.ChecklistCommentCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistCommentCreatedBy.t/0","doc":"","ref":"Procore.Model.ChecklistCommentCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistDefaultResponseSet","doc":"","ref":"Procore.Model.ChecklistDefaultResponseSet.html"},{"type":"function","title":"Procore.Model.ChecklistDefaultResponseSet.decode/1","doc":"","ref":"Procore.Model.ChecklistDefaultResponseSet.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistDefaultResponseSet.t/0","doc":"","ref":"Procore.Model.ChecklistDefaultResponseSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistDefaultResponseSet1","doc":"","ref":"Procore.Model.ChecklistDefaultResponseSet1.html"},{"type":"function","title":"Procore.Model.ChecklistDefaultResponseSet1.decode/1","doc":"","ref":"Procore.Model.ChecklistDefaultResponseSet1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistDefaultResponseSet1.t/0","doc":"","ref":"Procore.Model.ChecklistDefaultResponseSet1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistInspectionAttachment","doc":"","ref":"Procore.Model.ChecklistInspectionAttachment.html"},{"type":"function","title":"Procore.Model.ChecklistInspectionAttachment.decode/1","doc":"","ref":"Procore.Model.ChecklistInspectionAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistInspectionAttachment.t/0","doc":"","ref":"Procore.Model.ChecklistInspectionAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistInspectionAttachment1","doc":"","ref":"Procore.Model.ChecklistInspectionAttachment1.html"},{"type":"function","title":"Procore.Model.ChecklistInspectionAttachment1.decode/1","doc":"","ref":"Procore.Model.ChecklistInspectionAttachment1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistInspectionAttachment1.t/0","doc":"","ref":"Procore.Model.ChecklistInspectionAttachment1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistInspectionItemObservation","doc":"","ref":"Procore.Model.ChecklistInspectionItemObservation.html"},{"type":"function","title":"Procore.Model.ChecklistInspectionItemObservation.decode/1","doc":"","ref":"Procore.Model.ChecklistInspectionItemObservation.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistInspectionItemObservation.t/0","doc":"","ref":"Procore.Model.ChecklistInspectionItemObservation.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemAttachment","doc":"","ref":"Procore.Model.ChecklistItemAttachment.html"},{"type":"function","title":"Procore.Model.ChecklistItemAttachment.decode/1","doc":"","ref":"Procore.Model.ChecklistItemAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemAttachment.t/0","doc":"","ref":"Procore.Model.ChecklistItemAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemAttachment1","doc":"","ref":"Procore.Model.ChecklistItemAttachment1.html"},{"type":"function","title":"Procore.Model.ChecklistItemAttachment1.decode/1","doc":"","ref":"Procore.Model.ChecklistItemAttachment1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemAttachment1.t/0","doc":"","ref":"Procore.Model.ChecklistItemAttachment1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemAttachment1Attachment","doc":"","ref":"Procore.Model.ChecklistItemAttachment1Attachment.html"},{"type":"function","title":"Procore.Model.ChecklistItemAttachment1Attachment.decode/1","doc":"","ref":"Procore.Model.ChecklistItemAttachment1Attachment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemAttachment1Attachment.t/0","doc":"","ref":"Procore.Model.ChecklistItemAttachment1Attachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemAttachment1CreatedBy","doc":"","ref":"Procore.Model.ChecklistItemAttachment1CreatedBy.html"},{"type":"function","title":"Procore.Model.ChecklistItemAttachment1CreatedBy.decode/1","doc":"","ref":"Procore.Model.ChecklistItemAttachment1CreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemAttachment1CreatedBy.t/0","doc":"","ref":"Procore.Model.ChecklistItemAttachment1CreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemAttachmentAttachment","doc":"","ref":"Procore.Model.ChecklistItemAttachmentAttachment.html"},{"type":"function","title":"Procore.Model.ChecklistItemAttachmentAttachment.decode/1","doc":"","ref":"Procore.Model.ChecklistItemAttachmentAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemAttachmentAttachment.t/0","doc":"","ref":"Procore.Model.ChecklistItemAttachmentAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemAttachments","doc":"","ref":"Procore.Model.ChecklistItemAttachments.html"},{"type":"function","title":"Procore.Model.ChecklistItemAttachments.decode/1","doc":"","ref":"Procore.Model.ChecklistItemAttachments.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemAttachments.t/0","doc":"","ref":"Procore.Model.ChecklistItemAttachments.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemBody","doc":"","ref":"Procore.Model.ChecklistItemBody.html"},{"type":"function","title":"Procore.Model.ChecklistItemBody.decode/1","doc":"","ref":"Procore.Model.ChecklistItemBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemBody.t/0","doc":"","ref":"Procore.Model.ChecklistItemBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponse","doc":"Item Response","ref":"Procore.Model.ChecklistItemResponse.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponse.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponse.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponse.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponse1","doc":"Item Response","ref":"Procore.Model.ChecklistItemResponse1.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponse1.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponse1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponse1.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponse1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponse2","doc":"Item Response","ref":"Procore.Model.ChecklistItemResponse2.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponse2.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponse2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponse2.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponse2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponseBody","doc":"","ref":"Procore.Model.ChecklistItemResponseBody.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponseBody.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponseBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponseBody.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponseBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponsePayload","doc":"","ref":"Procore.Model.ChecklistItemResponsePayload.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponsePayload.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponsePayload.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponsePayload.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponsePayload.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponsePayloadResponseOption","doc":"","ref":"Procore.Model.ChecklistItemResponsePayloadResponseOption.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponsePayloadResponseOption.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponsePayloadResponseOption.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponsePayloadResponseOption.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponsePayloadResponseOption.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponseSet","doc":"","ref":"Procore.Model.ChecklistItemResponseSet.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponseSet.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponseSet.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponseSet.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponseSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponseSet1","doc":"","ref":"Procore.Model.ChecklistItemResponseSet1.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponseSet1.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponseSet1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponseSet1.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponseSet1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponseSet2","doc":"","ref":"Procore.Model.ChecklistItemResponseSet2.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponseSet2.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponseSet2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponseSet2.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponseSet2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponseSetBody","doc":"","ref":"Procore.Model.ChecklistItemResponseSetBody.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponseSetBody.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponseSetBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponseSetBody.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponseSetBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemResponseSetBody1","doc":"","ref":"Procore.Model.ChecklistItemResponseSetBody1.html"},{"type":"function","title":"Procore.Model.ChecklistItemResponseSetBody1.decode/1","doc":"","ref":"Procore.Model.ChecklistItemResponseSetBody1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemResponseSetBody1.t/0","doc":"","ref":"Procore.Model.ChecklistItemResponseSetBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistItemType","doc":"","ref":"Procore.Model.ChecklistItemType.html"},{"type":"function","title":"Procore.Model.ChecklistItemType.decode/1","doc":"","ref":"Procore.Model.ChecklistItemType.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistItemType.t/0","doc":"","ref":"Procore.Model.ChecklistItemType.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistListGroup","doc":"","ref":"Procore.Model.ChecklistListGroup.html"},{"type":"function","title":"Procore.Model.ChecklistListGroup.decode/1","doc":"","ref":"Procore.Model.ChecklistListGroup.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistListGroup.t/0","doc":"","ref":"Procore.Model.ChecklistListGroup.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistListGroupHeader","doc":"Inspection Template information for grouping","ref":"Procore.Model.ChecklistListGroupHeader.html"},{"type":"function","title":"Procore.Model.ChecklistListGroupHeader.decode/1","doc":"","ref":"Procore.Model.ChecklistListGroupHeader.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistListGroupHeader.t/0","doc":"","ref":"Procore.Model.ChecklistListGroupHeader.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistListGroupedData","doc":"","ref":"Procore.Model.ChecklistListGroupedData.html"},{"type":"function","title":"Procore.Model.ChecklistListGroupedData.decode/1","doc":"","ref":"Procore.Model.ChecklistListGroupedData.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistListGroupedData.t/0","doc":"","ref":"Procore.Model.ChecklistListGroupedData.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistListGroupedDataPermissions","doc":"User permissions for the specific Inspection","ref":"Procore.Model.ChecklistListGroupedDataPermissions.html"},{"type":"function","title":"Procore.Model.ChecklistListGroupedDataPermissions.decode/1","doc":"","ref":"Procore.Model.ChecklistListGroupedDataPermissions.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistListGroupedDataPermissions.t/0","doc":"","ref":"Procore.Model.ChecklistListGroupedDataPermissions.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistListGroupedDataResponsibleContractor","doc":"Vendor responsible for the work being inspected","ref":"Procore.Model.ChecklistListGroupedDataResponsibleContractor.html"},{"type":"function","title":"Procore.Model.ChecklistListGroupedDataResponsibleContractor.decode/1","doc":"","ref":"Procore.Model.ChecklistListGroupedDataResponsibleContractor.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistListGroupedDataResponsibleContractor.t/0","doc":"","ref":"Procore.Model.ChecklistListGroupedDataResponsibleContractor.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistListItem","doc":"","ref":"Procore.Model.ChecklistListItem.html"},{"type":"function","title":"Procore.Model.ChecklistListItem.decode/1","doc":"","ref":"Procore.Model.ChecklistListItem.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistListItem.t/0","doc":"","ref":"Procore.Model.ChecklistListItem.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistListItem1","doc":"","ref":"Procore.Model.ChecklistListItem1.html"},{"type":"function","title":"Procore.Model.ChecklistListItem1.decode/1","doc":"","ref":"Procore.Model.ChecklistListItem1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistListItem1.t/0","doc":"","ref":"Procore.Model.ChecklistListItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistListItem1ResponseSet","doc":"","ref":"Procore.Model.ChecklistListItem1ResponseSet.html"},{"type":"function","title":"Procore.Model.ChecklistListItem1ResponseSet.decode/1","doc":"","ref":"Procore.Model.ChecklistListItem1ResponseSet.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistListItem1ResponseSet.t/0","doc":"","ref":"Procore.Model.ChecklistListItem1ResponseSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistPotentialPointOfContact","doc":"","ref":"Procore.Model.ChecklistPotentialPointOfContact.html"},{"type":"function","title":"Procore.Model.ChecklistPotentialPointOfContact.decode/1","doc":"","ref":"Procore.Model.ChecklistPotentialPointOfContact.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistPotentialPointOfContact.t/0","doc":"","ref":"Procore.Model.ChecklistPotentialPointOfContact.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistPotentialPointOfContactVendor","doc":"Vendor","ref":"Procore.Model.ChecklistPotentialPointOfContactVendor.html"},{"type":"function","title":"Procore.Model.ChecklistPotentialPointOfContactVendor.decode/1","doc":"","ref":"Procore.Model.ChecklistPotentialPointOfContactVendor.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistPotentialPointOfContactVendor.t/0","doc":"","ref":"Procore.Model.ChecklistPotentialPointOfContactVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistResponse","doc":"","ref":"Procore.Model.ChecklistResponse.html"},{"type":"function","title":"Procore.Model.ChecklistResponse.decode/1","doc":"","ref":"Procore.Model.ChecklistResponse.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistResponse.t/0","doc":"","ref":"Procore.Model.ChecklistResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistResponse1","doc":"","ref":"Procore.Model.ChecklistResponse1.html"},{"type":"function","title":"Procore.Model.ChecklistResponse1.decode/1","doc":"","ref":"Procore.Model.ChecklistResponse1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistResponse1.t/0","doc":"","ref":"Procore.Model.ChecklistResponse1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistResponse2","doc":"","ref":"Procore.Model.ChecklistResponse2.html"},{"type":"function","title":"Procore.Model.ChecklistResponse2.decode/1","doc":"","ref":"Procore.Model.ChecklistResponse2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistResponse2.t/0","doc":"","ref":"Procore.Model.ChecklistResponse2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistResponseBody","doc":"","ref":"Procore.Model.ChecklistResponseBody.html"},{"type":"function","title":"Procore.Model.ChecklistResponseBody.decode/1","doc":"","ref":"Procore.Model.ChecklistResponseBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistResponseBody.t/0","doc":"","ref":"Procore.Model.ChecklistResponseBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistResponseBody1","doc":"","ref":"Procore.Model.ChecklistResponseBody1.html"},{"type":"function","title":"Procore.Model.ChecklistResponseBody1.decode/1","doc":"","ref":"Procore.Model.ChecklistResponseBody1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistResponseBody1.t/0","doc":"","ref":"Procore.Model.ChecklistResponseBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistResponseBody2","doc":"","ref":"Procore.Model.ChecklistResponseBody2.html"},{"type":"function","title":"Procore.Model.ChecklistResponseBody2.decode/1","doc":"","ref":"Procore.Model.ChecklistResponseBody2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistResponseBody2.t/0","doc":"","ref":"Procore.Model.ChecklistResponseBody2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistResponsibleContractor","doc":"Vendor responsible for the work being inspected","ref":"Procore.Model.ChecklistResponsibleContractor.html"},{"type":"function","title":"Procore.Model.ChecklistResponsibleContractor.decode/1","doc":"","ref":"Procore.Model.ChecklistResponsibleContractor.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistResponsibleContractor.t/0","doc":"","ref":"Procore.Model.ChecklistResponsibleContractor.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSchedule","doc":"","ref":"Procore.Model.ChecklistSchedule.html"},{"type":"function","title":"Procore.Model.ChecklistSchedule.decode/1","doc":"","ref":"Procore.Model.ChecklistSchedule.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSchedule.t/0","doc":"","ref":"Procore.Model.ChecklistSchedule.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSchedule1","doc":"Checklist Schedule object","ref":"Procore.Model.ChecklistSchedule1.html"},{"type":"function","title":"Procore.Model.ChecklistSchedule1.decode/1","doc":"","ref":"Procore.Model.ChecklistSchedule1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSchedule1.t/0","doc":"","ref":"Procore.Model.ChecklistSchedule1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSchedule2","doc":"Checklist Schedule object","ref":"Procore.Model.ChecklistSchedule2.html"},{"type":"function","title":"Procore.Model.ChecklistSchedule2.decode/1","doc":"","ref":"Procore.Model.ChecklistSchedule2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSchedule2.t/0","doc":"","ref":"Procore.Model.ChecklistSchedule2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistScheduleAttachment","doc":"","ref":"Procore.Model.ChecklistScheduleAttachment.html"},{"type":"function","title":"Procore.Model.ChecklistScheduleAttachment.decode/1","doc":"","ref":"Procore.Model.ChecklistScheduleAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistScheduleAttachment.t/0","doc":"","ref":"Procore.Model.ChecklistScheduleAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistScheduleAttachmentAttachment","doc":"","ref":"Procore.Model.ChecklistScheduleAttachmentAttachment.html"},{"type":"function","title":"Procore.Model.ChecklistScheduleAttachmentAttachment.decode/1","doc":"","ref":"Procore.Model.ChecklistScheduleAttachmentAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistScheduleAttachmentAttachment.t/0","doc":"","ref":"Procore.Model.ChecklistScheduleAttachmentAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistScheduleBody","doc":"","ref":"Procore.Model.ChecklistScheduleBody.html"},{"type":"function","title":"Procore.Model.ChecklistScheduleBody.decode/1","doc":"","ref":"Procore.Model.ChecklistScheduleBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistScheduleBody.t/0","doc":"","ref":"Procore.Model.ChecklistScheduleBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistScheduleBody1","doc":"","ref":"Procore.Model.ChecklistScheduleBody1.html"},{"type":"function","title":"Procore.Model.ChecklistScheduleBody1.decode/1","doc":"","ref":"Procore.Model.ChecklistScheduleBody1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistScheduleBody1.t/0","doc":"","ref":"Procore.Model.ChecklistScheduleBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistScheduleChangeHistory","doc":"","ref":"Procore.Model.ChecklistScheduleChangeHistory.html"},{"type":"function","title":"Procore.Model.ChecklistScheduleChangeHistory.decode/1","doc":"","ref":"Procore.Model.ChecklistScheduleChangeHistory.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistScheduleChangeHistory.t/0","doc":"","ref":"Procore.Model.ChecklistScheduleChangeHistory.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistScheduleInspectionTemplate","doc":"","ref":"Procore.Model.ChecklistScheduleInspectionTemplate.html"},{"type":"function","title":"Procore.Model.ChecklistScheduleInspectionTemplate.decode/1","doc":"","ref":"Procore.Model.ChecklistScheduleInspectionTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistScheduleInspectionTemplate.t/0","doc":"","ref":"Procore.Model.ChecklistScheduleInspectionTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistScheduleInspectionTemplateInspectionType","doc":"Inspection Type","ref":"Procore.Model.ChecklistScheduleInspectionTemplateInspectionType.html"},{"type":"function","title":"Procore.Model.ChecklistScheduleInspectionTemplateInspectionType.decode/1","doc":"","ref":"Procore.Model.ChecklistScheduleInspectionTemplateInspectionType.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistScheduleInspectionTemplateInspectionType.t/0","doc":"","ref":"Procore.Model.ChecklistScheduleInspectionTemplateInspectionType.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSection","doc":"","ref":"Procore.Model.ChecklistSection.html"},{"type":"function","title":"Procore.Model.ChecklistSection.decode/1","doc":"","ref":"Procore.Model.ChecklistSection.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSection.t/0","doc":"","ref":"Procore.Model.ChecklistSection.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSection1","doc":"","ref":"Procore.Model.ChecklistSection1.html"},{"type":"function","title":"Procore.Model.ChecklistSection1.decode/1","doc":"","ref":"Procore.Model.ChecklistSection1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSection1.t/0","doc":"","ref":"Procore.Model.ChecklistSection1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSection2","doc":"","ref":"Procore.Model.ChecklistSection2.html"},{"type":"function","title":"Procore.Model.ChecklistSection2.decode/1","doc":"","ref":"Procore.Model.ChecklistSection2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSection2.t/0","doc":"","ref":"Procore.Model.ChecklistSection2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionBody","doc":"","ref":"Procore.Model.ChecklistSectionBody.html"},{"type":"function","title":"Procore.Model.ChecklistSectionBody.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionBody.t/0","doc":"","ref":"Procore.Model.ChecklistSectionBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItem","doc":"","ref":"Procore.Model.ChecklistSectionItem.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItem.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItem.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItem.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItem.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItem1","doc":"","ref":"Procore.Model.ChecklistSectionItem1.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItem1.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItem1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItem1.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItem1AttachmentHistoriesInner","doc":"","ref":"Procore.Model.ChecklistSectionItem1AttachmentHistoriesInner.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItem1AttachmentHistoriesInner.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItem1AttachmentHistoriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItem1AttachmentHistoriesInner.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItem1AttachmentHistoriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItem1AttachmentsInner","doc":"","ref":"Procore.Model.ChecklistSectionItem1AttachmentsInner.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItem1AttachmentsInner.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItem1AttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItem1AttachmentsInner.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItem1AttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItem1ObservationsInner","doc":"","ref":"Procore.Model.ChecklistSectionItem1ObservationsInner.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItem1ObservationsInner.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItem1ObservationsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItem1ObservationsInner.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItem1ObservationsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItem1ObservationsInnerType","doc":"Observation Type","ref":"Procore.Model.ChecklistSectionItem1ObservationsInnerType.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItem1ObservationsInnerType.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItem1ObservationsInnerType.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItem1ObservationsInnerType.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItem1ObservationsInnerType.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItem1ResponseSet","doc":"","ref":"Procore.Model.ChecklistSectionItem1ResponseSet.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItem1ResponseSet.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItem1ResponseSet.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItem1ResponseSet.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItem1ResponseSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItemAttachmentHistoriesInner","doc":"","ref":"Procore.Model.ChecklistSectionItemAttachmentHistoriesInner.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItemAttachmentHistoriesInner.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItemAttachmentHistoriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItemAttachmentHistoriesInner.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItemAttachmentHistoriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItemCommentsInner","doc":"","ref":"Procore.Model.ChecklistSectionItemCommentsInner.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItemCommentsInner.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItemCommentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItemCommentsInner.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItemCommentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItemHistoriesInner","doc":"","ref":"Procore.Model.ChecklistSectionItemHistoriesInner.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItemHistoriesInner.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItemHistoriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItemHistoriesInner.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItemHistoriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItemObservationsInner","doc":"","ref":"Procore.Model.ChecklistSectionItemObservationsInner.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItemObservationsInner.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItemObservationsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItemObservationsInner.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItemObservationsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItemObservationsInnerType","doc":"Observation Type","ref":"Procore.Model.ChecklistSectionItemObservationsInnerType.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItemObservationsInnerType.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItemObservationsInnerType.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItemObservationsInnerType.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItemObservationsInnerType.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSectionItemResponseSet","doc":"","ref":"Procore.Model.ChecklistSectionItemResponseSet.html"},{"type":"function","title":"Procore.Model.ChecklistSectionItemResponseSet.decode/1","doc":"","ref":"Procore.Model.ChecklistSectionItemResponseSet.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSectionItemResponseSet.t/0","doc":"","ref":"Procore.Model.ChecklistSectionItemResponseSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignature","doc":"","ref":"Procore.Model.ChecklistSignature.html"},{"type":"function","title":"Procore.Model.ChecklistSignature.decode/1","doc":"","ref":"Procore.Model.ChecklistSignature.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignature.t/0","doc":"","ref":"Procore.Model.ChecklistSignature.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignature1","doc":"","ref":"Procore.Model.ChecklistSignature1.html"},{"type":"function","title":"Procore.Model.ChecklistSignature1.decode/1","doc":"","ref":"Procore.Model.ChecklistSignature1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignature1.t/0","doc":"","ref":"Procore.Model.ChecklistSignature1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignature2","doc":"","ref":"Procore.Model.ChecklistSignature2.html"},{"type":"function","title":"Procore.Model.ChecklistSignature2.decode/1","doc":"","ref":"Procore.Model.ChecklistSignature2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignature2.t/0","doc":"","ref":"Procore.Model.ChecklistSignature2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignature2Attachment","doc":"","ref":"Procore.Model.ChecklistSignature2Attachment.html"},{"type":"function","title":"Procore.Model.ChecklistSignature2Attachment.decode/1","doc":"","ref":"Procore.Model.ChecklistSignature2Attachment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignature2Attachment.t/0","doc":"","ref":"Procore.Model.ChecklistSignature2Attachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignatureAttachment","doc":"","ref":"Procore.Model.ChecklistSignatureAttachment.html"},{"type":"function","title":"Procore.Model.ChecklistSignatureAttachment.decode/1","doc":"","ref":"Procore.Model.ChecklistSignatureAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignatureAttachment.t/0","doc":"","ref":"Procore.Model.ChecklistSignatureAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignatureRequest","doc":"","ref":"Procore.Model.ChecklistSignatureRequest.html"},{"type":"function","title":"Procore.Model.ChecklistSignatureRequest.decode/1","doc":"","ref":"Procore.Model.ChecklistSignatureRequest.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignatureRequest.t/0","doc":"","ref":"Procore.Model.ChecklistSignatureRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignatureRequest1","doc":"","ref":"Procore.Model.ChecklistSignatureRequest1.html"},{"type":"function","title":"Procore.Model.ChecklistSignatureRequest1.decode/1","doc":"","ref":"Procore.Model.ChecklistSignatureRequest1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignatureRequest1.t/0","doc":"","ref":"Procore.Model.ChecklistSignatureRequest1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignatureRequest2","doc":"","ref":"Procore.Model.ChecklistSignatureRequest2.html"},{"type":"function","title":"Procore.Model.ChecklistSignatureRequest2.decode/1","doc":"","ref":"Procore.Model.ChecklistSignatureRequest2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignatureRequest2.t/0","doc":"","ref":"Procore.Model.ChecklistSignatureRequest2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignatureRequestCreateBody","doc":"","ref":"Procore.Model.ChecklistSignatureRequestCreateBody.html"},{"type":"function","title":"Procore.Model.ChecklistSignatureRequestCreateBody.decode/1","doc":"","ref":"Procore.Model.ChecklistSignatureRequestCreateBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignatureRequestCreateBody.t/0","doc":"","ref":"Procore.Model.ChecklistSignatureRequestCreateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSignatureRequestSignatory","doc":"","ref":"Procore.Model.ChecklistSignatureRequestSignatory.html"},{"type":"function","title":"Procore.Model.ChecklistSignatureRequestSignatory.decode/1","doc":"","ref":"Procore.Model.ChecklistSignatureRequestSignatory.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSignatureRequestSignatory.t/0","doc":"","ref":"Procore.Model.ChecklistSignatureRequestSignatory.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistSpecificationSection","doc":"Specification Section","ref":"Procore.Model.ChecklistSpecificationSection.html"},{"type":"function","title":"Procore.Model.ChecklistSpecificationSection.decode/1","doc":"","ref":"Procore.Model.ChecklistSpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistSpecificationSection.t/0","doc":"","ref":"Procore.Model.ChecklistSpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate","doc":"Checklist Template object","ref":"Procore.Model.ChecklistTemplate.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate1","doc":"","ref":"Procore.Model.ChecklistTemplate1.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate1.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate1.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate1SyncedTo","doc":"Checklist Template's synced Company Template information","ref":"Procore.Model.ChecklistTemplate1SyncedTo.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate1SyncedTo.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate1SyncedTo.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate1SyncedTo.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate1SyncedTo.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate2","doc":"","ref":"Procore.Model.ChecklistTemplate2.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate2.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate2.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate2.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate2.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate3","doc":"","ref":"Procore.Model.ChecklistTemplate3.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate3.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate3.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate3.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate3.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate4","doc":"","ref":"Procore.Model.ChecklistTemplate4.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate4.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate4.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate4.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate4.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate4InspectionType","doc":"Inspection Type","ref":"Procore.Model.ChecklistTemplate4InspectionType.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate4InspectionType.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate4InspectionType.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate4InspectionType.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate4InspectionType.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate4Location","doc":"","ref":"Procore.Model.ChecklistTemplate4Location.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate4Location.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate4Location.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate4Location.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate4Location.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate4SectionsInner","doc":"","ref":"Procore.Model.ChecklistTemplate4SectionsInner.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate4SectionsInner.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate4SectionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate4SectionsInner.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate4SectionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate4SectionsInnerItemsInner","doc":"","ref":"Procore.Model.ChecklistTemplate4SectionsInnerItemsInner.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate4SectionsInnerItemsInner.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate4SectionsInnerItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate4SectionsInnerItemsInner.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate4SectionsInnerItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate5","doc":"","ref":"Procore.Model.ChecklistTemplate5.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate5.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate5.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate5.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate5.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate5SectionsInner","doc":"","ref":"Procore.Model.ChecklistTemplate5SectionsInner.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate5SectionsInner.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate5SectionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate5SectionsInner.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate5SectionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplate5SectionsInnerItemsInner","doc":"","ref":"Procore.Model.ChecklistTemplate5SectionsInnerItemsInner.html"},{"type":"function","title":"Procore.Model.ChecklistTemplate5SectionsInnerItemsInner.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplate5SectionsInnerItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplate5SectionsInnerItemsInner.t/0","doc":"","ref":"Procore.Model.ChecklistTemplate5SectionsInnerItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplateBody","doc":"","ref":"Procore.Model.ChecklistTemplateBody.html"},{"type":"function","title":"Procore.Model.ChecklistTemplateBody.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplateBody.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplateBody.t/0","doc":"","ref":"Procore.Model.ChecklistTemplateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplateItem","doc":"","ref":"Procore.Model.ChecklistTemplateItem.html"},{"type":"function","title":"Procore.Model.ChecklistTemplateItem.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplateItem.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplateItem.t/0","doc":"","ref":"Procore.Model.ChecklistTemplateItem.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplateItemResponseSet","doc":"","ref":"Procore.Model.ChecklistTemplateItemResponseSet.html"},{"type":"function","title":"Procore.Model.ChecklistTemplateItemResponseSet.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplateItemResponseSet.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplateItemResponseSet.t/0","doc":"","ref":"Procore.Model.ChecklistTemplateItemResponseSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplateItemResponseSet1","doc":"","ref":"Procore.Model.ChecklistTemplateItemResponseSet1.html"},{"type":"function","title":"Procore.Model.ChecklistTemplateItemResponseSet1.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplateItemResponseSet1.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplateItemResponseSet1.t/0","doc":"","ref":"Procore.Model.ChecklistTemplateItemResponseSet1.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplateItemType","doc":"Checklist Item Type","ref":"Procore.Model.ChecklistTemplateItemType.html"},{"type":"function","title":"Procore.Model.ChecklistTemplateItemType.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplateItemType.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplateItemType.t/0","doc":"","ref":"Procore.Model.ChecklistTemplateItemType.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplateSection","doc":"","ref":"Procore.Model.ChecklistTemplateSection.html"},{"type":"function","title":"Procore.Model.ChecklistTemplateSection.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplateSection.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplateSection.t/0","doc":"","ref":"Procore.Model.ChecklistTemplateSection.html#t:t/0"},{"type":"module","title":"Procore.Model.ChecklistTemplateSectionSyncedTo","doc":"Checklist Template's synced Company Template information","ref":"Procore.Model.ChecklistTemplateSectionSyncedTo.html"},{"type":"function","title":"Procore.Model.ChecklistTemplateSectionSyncedTo.decode/1","doc":"","ref":"Procore.Model.ChecklistTemplateSectionSyncedTo.html#decode/1"},{"type":"type","title":"Procore.Model.ChecklistTemplateSectionSyncedTo.t/0","doc":"","ref":"Procore.Model.ChecklistTemplateSectionSyncedTo.html#t:t/0"},{"type":"module","title":"Procore.Model.Comment","doc":"","ref":"Procore.Model.Comment.html"},{"type":"function","title":"Procore.Model.Comment.decode/1","doc":"","ref":"Procore.Model.Comment.html#decode/1"},{"type":"type","title":"Procore.Model.Comment.t/0","doc":"","ref":"Procore.Model.Comment.html#t:t/0"},{"type":"module","title":"Procore.Model.Comment1","doc":"","ref":"Procore.Model.Comment1.html"},{"type":"function","title":"Procore.Model.Comment1.decode/1","doc":"","ref":"Procore.Model.Comment1.html#decode/1"},{"type":"type","title":"Procore.Model.Comment1.t/0","doc":"","ref":"Procore.Model.Comment1.html#t:t/0"},{"type":"module","title":"Procore.Model.Comment2","doc":"Comment object","ref":"Procore.Model.Comment2.html"},{"type":"function","title":"Procore.Model.Comment2.decode/1","doc":"","ref":"Procore.Model.Comment2.html#decode/1"},{"type":"type","title":"Procore.Model.Comment2.t/0","doc":"","ref":"Procore.Model.Comment2.html#t:t/0"},{"type":"module","title":"Procore.Model.Commitment","doc":"","ref":"Procore.Model.Commitment.html"},{"type":"function","title":"Procore.Model.Commitment.decode/1","doc":"","ref":"Procore.Model.Commitment.html#decode/1"},{"type":"type","title":"Procore.Model.Commitment.t/0","doc":"","ref":"Procore.Model.Commitment.html#t:t/0"},{"type":"module","title":"Procore.Model.Commitment1","doc":"","ref":"Procore.Model.Commitment1.html"},{"type":"function","title":"Procore.Model.Commitment1.decode/1","doc":"","ref":"Procore.Model.Commitment1.html#decode/1"},{"type":"type","title":"Procore.Model.Commitment1.t/0","doc":"","ref":"Procore.Model.Commitment1.html#t:t/0"},{"type":"module","title":"Procore.Model.Commitment1ChangeOrderRequestsInnerInner","doc":"","ref":"Procore.Model.Commitment1ChangeOrderRequestsInnerInner.html"},{"type":"function","title":"Procore.Model.Commitment1ChangeOrderRequestsInnerInner.decode/1","doc":"","ref":"Procore.Model.Commitment1ChangeOrderRequestsInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.Commitment1ChangeOrderRequestsInnerInner.t/0","doc":"","ref":"Procore.Model.Commitment1ChangeOrderRequestsInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Commitment1LineItemsInner","doc":"Line Item","ref":"Procore.Model.Commitment1LineItemsInner.html"},{"type":"function","title":"Procore.Model.Commitment1LineItemsInner.decode/1","doc":"","ref":"Procore.Model.Commitment1LineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Commitment1LineItemsInner.t/0","doc":"","ref":"Procore.Model.Commitment1LineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Commitment1PaymentsIssuedInner","doc":"Contract Payment","ref":"Procore.Model.Commitment1PaymentsIssuedInner.html"},{"type":"function","title":"Procore.Model.Commitment1PaymentsIssuedInner.decode/1","doc":"","ref":"Procore.Model.Commitment1PaymentsIssuedInner.html#decode/1"},{"type":"type","title":"Procore.Model.Commitment1PaymentsIssuedInner.t/0","doc":"","ref":"Procore.Model.Commitment1PaymentsIssuedInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Commitment1PotentialChangeOrdersInner","doc":"","ref":"Procore.Model.Commitment1PotentialChangeOrdersInner.html"},{"type":"function","title":"Procore.Model.Commitment1PotentialChangeOrdersInner.decode/1","doc":"","ref":"Procore.Model.Commitment1PotentialChangeOrdersInner.html#decode/1"},{"type":"type","title":"Procore.Model.Commitment1PotentialChangeOrdersInner.t/0","doc":"","ref":"Procore.Model.Commitment1PotentialChangeOrdersInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Compact","doc":"","ref":"Procore.Model.Compact.html"},{"type":"function","title":"Procore.Model.Compact.decode/1","doc":"","ref":"Procore.Model.Compact.html#decode/1"},{"type":"type","title":"Procore.Model.Compact.t/0","doc":"","ref":"Procore.Model.Compact.html#t:t/0"},{"type":"module","title":"Procore.Model.Compact1","doc":"","ref":"Procore.Model.Compact1.html"},{"type":"function","title":"Procore.Model.Compact1.decode/1","doc":"","ref":"Procore.Model.Compact1.html#decode/1"},{"type":"type","title":"Procore.Model.Compact1.t/0","doc":"","ref":"Procore.Model.Compact1.html#t:t/0"},{"type":"module","title":"Procore.Model.Compact2","doc":"","ref":"Procore.Model.Compact2.html"},{"type":"function","title":"Procore.Model.Compact2.decode/1","doc":"","ref":"Procore.Model.Compact2.html#decode/1"},{"type":"type","title":"Procore.Model.Compact2.t/0","doc":"","ref":"Procore.Model.Compact2.html#t:t/0"},{"type":"module","title":"Procore.Model.CompactView","doc":"Project User Compact View","ref":"Procore.Model.CompactView.html"},{"type":"function","title":"Procore.Model.CompactView.decode/1","doc":"","ref":"Procore.Model.CompactView.html#decode/1"},{"type":"type","title":"Procore.Model.CompactView.t/0","doc":"","ref":"Procore.Model.CompactView.html#t:t/0"},{"type":"module","title":"Procore.Model.Company","doc":"Company","ref":"Procore.Model.Company.html"},{"type":"function","title":"Procore.Model.Company.decode/1","doc":"","ref":"Procore.Model.Company.html#decode/1"},{"type":"type","title":"Procore.Model.Company.t/0","doc":"","ref":"Procore.Model.Company.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyChecklistSection","doc":"Company Checklist section object","ref":"Procore.Model.CompanyChecklistSection.html"},{"type":"function","title":"Procore.Model.CompanyChecklistSection.decode/1","doc":"","ref":"Procore.Model.CompanyChecklistSection.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyChecklistSection.t/0","doc":"","ref":"Procore.Model.CompanyChecklistSection.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyChecklistSection1","doc":"Company Checklist Section object","ref":"Procore.Model.CompanyChecklistSection1.html"},{"type":"function","title":"Procore.Model.CompanyChecklistSection1.decode/1","doc":"","ref":"Procore.Model.CompanyChecklistSection1.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyChecklistSection1.t/0","doc":"","ref":"Procore.Model.CompanyChecklistSection1.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyChecklistSectionCreateBody","doc":"","ref":"Procore.Model.CompanyChecklistSectionCreateBody.html"},{"type":"function","title":"Procore.Model.CompanyChecklistSectionCreateBody.decode/1","doc":"","ref":"Procore.Model.CompanyChecklistSectionCreateBody.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyChecklistSectionCreateBody.t/0","doc":"","ref":"Procore.Model.CompanyChecklistSectionCreateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyChecklistSectionUpdateBody","doc":"","ref":"Procore.Model.CompanyChecklistSectionUpdateBody.html"},{"type":"function","title":"Procore.Model.CompanyChecklistSectionUpdateBody.decode/1","doc":"","ref":"Procore.Model.CompanyChecklistSectionUpdateBody.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyChecklistSectionUpdateBody.t/0","doc":"","ref":"Procore.Model.CompanyChecklistSectionUpdateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyChecklistTemplate","doc":"","ref":"Procore.Model.CompanyChecklistTemplate.html"},{"type":"function","title":"Procore.Model.CompanyChecklistTemplate.decode/1","doc":"","ref":"Procore.Model.CompanyChecklistTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyChecklistTemplate.t/0","doc":"","ref":"Procore.Model.CompanyChecklistTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyManagedEquipmentUserPermission","doc":"Company Managed Equipment User Permission","ref":"Procore.Model.CompanyManagedEquipmentUserPermission.html"},{"type":"function","title":"Procore.Model.CompanyManagedEquipmentUserPermission.decode/1","doc":"","ref":"Procore.Model.CompanyManagedEquipmentUserPermission.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyManagedEquipmentUserPermission.t/0","doc":"","ref":"Procore.Model.CompanyManagedEquipmentUserPermission.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyManagedEquipmentUserPermissionPermissionTemplate","doc":"","ref":"Procore.Model.CompanyManagedEquipmentUserPermissionPermissionTemplate.html"},{"type":"function","title":"Procore.Model.CompanyManagedEquipmentUserPermissionPermissionTemplate.decode/1","doc":"","ref":"Procore.Model.CompanyManagedEquipmentUserPermissionPermissionTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyManagedEquipmentUserPermissionPermissionTemplate.t/0","doc":"","ref":"Procore.Model.CompanyManagedEquipmentUserPermissionPermissionTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyManagedEquipmentUserPermissionUserAccessLevel","doc":"","ref":"Procore.Model.CompanyManagedEquipmentUserPermissionUserAccessLevel.html"},{"type":"function","title":"Procore.Model.CompanyManagedEquipmentUserPermissionUserAccessLevel.decode/1","doc":"","ref":"Procore.Model.CompanyManagedEquipmentUserPermissionUserAccessLevel.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyManagedEquipmentUserPermissionUserAccessLevel.t/0","doc":"","ref":"Procore.Model.CompanyManagedEquipmentUserPermissionUserAccessLevel.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyObservationTemplate","doc":"","ref":"Procore.Model.CompanyObservationTemplate.html"},{"type":"function","title":"Procore.Model.CompanyObservationTemplate.decode/1","doc":"","ref":"Procore.Model.CompanyObservationTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyObservationTemplate.t/0","doc":"","ref":"Procore.Model.CompanyObservationTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyObservationTemplate1","doc":"","ref":"Procore.Model.CompanyObservationTemplate1.html"},{"type":"function","title":"Procore.Model.CompanyObservationTemplate1.decode/1","doc":"","ref":"Procore.Model.CompanyObservationTemplate1.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyObservationTemplate1.t/0","doc":"","ref":"Procore.Model.CompanyObservationTemplate1.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyObservationType","doc":"","ref":"Procore.Model.CompanyObservationType.html"},{"type":"function","title":"Procore.Model.CompanyObservationType.decode/1","doc":"","ref":"Procore.Model.CompanyObservationType.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyObservationType.t/0","doc":"","ref":"Procore.Model.CompanyObservationType.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyPerson","doc":"The Company Person object.","ref":"Procore.Model.CompanyPerson.html"},{"type":"function","title":"Procore.Model.CompanyPerson.decode/1","doc":"","ref":"Procore.Model.CompanyPerson.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyPerson.t/0","doc":"","ref":"Procore.Model.CompanyPerson.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyPerson1","doc":"","ref":"Procore.Model.CompanyPerson1.html"},{"type":"function","title":"Procore.Model.CompanyPerson1.decode/1","doc":"","ref":"Procore.Model.CompanyPerson1.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyPerson1.t/0","doc":"","ref":"Procore.Model.CompanyPerson1.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyPersonBody","doc":"","ref":"Procore.Model.CompanyPersonBody.html"},{"type":"function","title":"Procore.Model.CompanyPersonBody.decode/1","doc":"","ref":"Procore.Model.CompanyPersonBody.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyPersonBody.t/0","doc":"","ref":"Procore.Model.CompanyPersonBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyPersonContact","doc":"The contact associated with the Company Person.","ref":"Procore.Model.CompanyPersonContact.html"},{"type":"function","title":"Procore.Model.CompanyPersonContact.decode/1","doc":"","ref":"Procore.Model.CompanyPersonContact.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyPersonContact.t/0","doc":"","ref":"Procore.Model.CompanyPersonContact.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyTrigger","doc":"","ref":"Procore.Model.CompanyTrigger.html"},{"type":"function","title":"Procore.Model.CompanyTrigger.decode/1","doc":"","ref":"Procore.Model.CompanyTrigger.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyTrigger.t/0","doc":"","ref":"Procore.Model.CompanyTrigger.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyTrigger1","doc":"","ref":"Procore.Model.CompanyTrigger1.html"},{"type":"function","title":"Procore.Model.CompanyTrigger1.decode/1","doc":"","ref":"Procore.Model.CompanyTrigger1.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyTrigger1.t/0","doc":"","ref":"Procore.Model.CompanyTrigger1.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyTrigger2","doc":"","ref":"Procore.Model.CompanyTrigger2.html"},{"type":"function","title":"Procore.Model.CompanyTrigger2.decode/1","doc":"","ref":"Procore.Model.CompanyTrigger2.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyTrigger2.t/0","doc":"","ref":"Procore.Model.CompanyTrigger2.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyTriggerTrigger","doc":"","ref":"Procore.Model.CompanyTriggerTrigger.html"},{"type":"function","title":"Procore.Model.CompanyTriggerTrigger.decode/1","doc":"","ref":"Procore.Model.CompanyTriggerTrigger.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyTriggerTrigger.t/0","doc":"","ref":"Procore.Model.CompanyTriggerTrigger.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUser","doc":"","ref":"Procore.Model.CompanyUser.html"},{"type":"function","title":"Procore.Model.CompanyUser.decode/1","doc":"","ref":"Procore.Model.CompanyUser.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUser.t/0","doc":"","ref":"Procore.Model.CompanyUser.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUser1","doc":"","ref":"Procore.Model.CompanyUser1.html"},{"type":"function","title":"Procore.Model.CompanyUser1.decode/1","doc":"","ref":"Procore.Model.CompanyUser1.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUser1.t/0","doc":"","ref":"Procore.Model.CompanyUser1.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUser2","doc":"Company User","ref":"Procore.Model.CompanyUser2.html"},{"type":"function","title":"Procore.Model.CompanyUser2.decode/1","doc":"","ref":"Procore.Model.CompanyUser2.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUser2.t/0","doc":"","ref":"Procore.Model.CompanyUser2.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUser3","doc":"","ref":"Procore.Model.CompanyUser3.html"},{"type":"function","title":"Procore.Model.CompanyUser3.decode/1","doc":"","ref":"Procore.Model.CompanyUser3.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUser3.t/0","doc":"","ref":"Procore.Model.CompanyUser3.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUser4","doc":"Company User","ref":"Procore.Model.CompanyUser4.html"},{"type":"function","title":"Procore.Model.CompanyUser4.decode/1","doc":"","ref":"Procore.Model.CompanyUser4.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUser4.t/0","doc":"","ref":"Procore.Model.CompanyUser4.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUser4AllOfPermissionTemplate","doc":"","ref":"Procore.Model.CompanyUser4AllOfPermissionTemplate.html"},{"type":"function","title":"Procore.Model.CompanyUser4AllOfPermissionTemplate.decode/1","doc":"","ref":"Procore.Model.CompanyUser4AllOfPermissionTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUser4AllOfPermissionTemplate.t/0","doc":"","ref":"Procore.Model.CompanyUser4AllOfPermissionTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUser5","doc":"Company User","ref":"Procore.Model.CompanyUser5.html"},{"type":"function","title":"Procore.Model.CompanyUser5.decode/1","doc":"","ref":"Procore.Model.CompanyUser5.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUser5.t/0","doc":"","ref":"Procore.Model.CompanyUser5.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUserBody","doc":"","ref":"Procore.Model.CompanyUserBody.html"},{"type":"function","title":"Procore.Model.CompanyUserBody.decode/1","doc":"","ref":"Procore.Model.CompanyUserBody.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUserBody.t/0","doc":"","ref":"Procore.Model.CompanyUserBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUserBodyBulkAdd","doc":"","ref":"Procore.Model.CompanyUserBodyBulkAdd.html"},{"type":"function","title":"Procore.Model.CompanyUserBodyBulkAdd.decode/1","doc":"","ref":"Procore.Model.CompanyUserBodyBulkAdd.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUserBodyBulkAdd.t/0","doc":"","ref":"Procore.Model.CompanyUserBodyBulkAdd.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUserBodyBulkRemove","doc":"","ref":"Procore.Model.CompanyUserBodyBulkRemove.html"},{"type":"function","title":"Procore.Model.CompanyUserBodyBulkRemove.decode/1","doc":"","ref":"Procore.Model.CompanyUserBodyBulkRemove.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUserBodyBulkRemove.t/0","doc":"","ref":"Procore.Model.CompanyUserBodyBulkRemove.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUserPermissionTemplate","doc":"","ref":"Procore.Model.CompanyUserPermissionTemplate.html"},{"type":"function","title":"Procore.Model.CompanyUserPermissionTemplate.decode/1","doc":"","ref":"Procore.Model.CompanyUserPermissionTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUserPermissionTemplate.t/0","doc":"","ref":"Procore.Model.CompanyUserPermissionTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUsersBulkAddInner","doc":"","ref":"Procore.Model.CompanyUsersBulkAddInner.html"},{"type":"function","title":"Procore.Model.CompanyUsersBulkAddInner.decode/1","doc":"","ref":"Procore.Model.CompanyUsersBulkAddInner.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUsersBulkAddInner.t/0","doc":"","ref":"Procore.Model.CompanyUsersBulkAddInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUsersBulkRemoveInner","doc":"","ref":"Procore.Model.CompanyUsersBulkRemoveInner.html"},{"type":"function","title":"Procore.Model.CompanyUsersBulkRemoveInner.decode/1","doc":"","ref":"Procore.Model.CompanyUsersBulkRemoveInner.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUsersBulkRemoveInner.t/0","doc":"","ref":"Procore.Model.CompanyUsersBulkRemoveInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyUsersInner","doc":"","ref":"Procore.Model.CompanyUsersInner.html"},{"type":"function","title":"Procore.Model.CompanyUsersInner.decode/1","doc":"","ref":"Procore.Model.CompanyUsersInner.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyUsersInner.t/0","doc":"","ref":"Procore.Model.CompanyUsersInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyVendor","doc":"","ref":"Procore.Model.CompanyVendor.html"},{"type":"function","title":"Procore.Model.CompanyVendor.decode/1","doc":"","ref":"Procore.Model.CompanyVendor.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyVendor.t/0","doc":"","ref":"Procore.Model.CompanyVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyVendorBidding","doc":"Bidding statuses","ref":"Procore.Model.CompanyVendorBidding.html"},{"type":"function","title":"Procore.Model.CompanyVendorBidding.decode/1","doc":"","ref":"Procore.Model.CompanyVendorBidding.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyVendorBidding.t/0","doc":"","ref":"Procore.Model.CompanyVendorBidding.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyVendorBody","doc":"","ref":"Procore.Model.CompanyVendorBody.html"},{"type":"function","title":"Procore.Model.CompanyVendorBody.decode/1","doc":"","ref":"Procore.Model.CompanyVendorBody.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyVendorBody.t/0","doc":"","ref":"Procore.Model.CompanyVendorBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyVendorSyncBody","doc":"","ref":"Procore.Model.CompanyVendorSyncBody.html"},{"type":"function","title":"Procore.Model.CompanyVendorSyncBody.decode/1","doc":"","ref":"Procore.Model.CompanyVendorSyncBody.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyVendorSyncBody.t/0","doc":"","ref":"Procore.Model.CompanyVendorSyncBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyVendorSyncBodyUpdatesInner","doc":"","ref":"Procore.Model.CompanyVendorSyncBodyUpdatesInner.html"},{"type":"function","title":"Procore.Model.CompanyVendorSyncBodyUpdatesInner.decode/1","doc":"","ref":"Procore.Model.CompanyVendorSyncBodyUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyVendorSyncBodyUpdatesInner.t/0","doc":"","ref":"Procore.Model.CompanyVendorSyncBodyUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyVendorSyncBodyUpdatesInnerBidding","doc":"Bidding statuses","ref":"Procore.Model.CompanyVendorSyncBodyUpdatesInnerBidding.html"},{"type":"function","title":"Procore.Model.CompanyVendorSyncBodyUpdatesInnerBidding.decode/1","doc":"","ref":"Procore.Model.CompanyVendorSyncBodyUpdatesInnerBidding.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyVendorSyncBodyUpdatesInnerBidding.t/0","doc":"","ref":"Procore.Model.CompanyVendorSyncBodyUpdatesInnerBidding.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyWebhook","doc":"","ref":"Procore.Model.CompanyWebhook.html"},{"type":"function","title":"Procore.Model.CompanyWebhook.decode/1","doc":"","ref":"Procore.Model.CompanyWebhook.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyWebhook.t/0","doc":"","ref":"Procore.Model.CompanyWebhook.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyWebhook1","doc":"","ref":"Procore.Model.CompanyWebhook1.html"},{"type":"function","title":"Procore.Model.CompanyWebhook1.decode/1","doc":"","ref":"Procore.Model.CompanyWebhook1.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyWebhook1.t/0","doc":"","ref":"Procore.Model.CompanyWebhook1.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyWebhook1Hook","doc":"Hook object","ref":"Procore.Model.CompanyWebhook1Hook.html"},{"type":"function","title":"Procore.Model.CompanyWebhook1Hook.decode/1","doc":"","ref":"Procore.Model.CompanyWebhook1Hook.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyWebhook1Hook.t/0","doc":"","ref":"Procore.Model.CompanyWebhook1Hook.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyWebhookHook","doc":"Hook object","ref":"Procore.Model.CompanyWebhookHook.html"},{"type":"function","title":"Procore.Model.CompanyWebhookHook.decode/1","doc":"","ref":"Procore.Model.CompanyWebhookHook.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyWebhookHook.t/0","doc":"","ref":"Procore.Model.CompanyWebhookHook.html#t:t/0"},{"type":"module","title":"Procore.Model.CompanyWebhookHookDestinationHeaders","doc":"","ref":"Procore.Model.CompanyWebhookHookDestinationHeaders.html"},{"type":"function","title":"Procore.Model.CompanyWebhookHookDestinationHeaders.decode/1","doc":"","ref":"Procore.Model.CompanyWebhookHookDestinationHeaders.html#decode/1"},{"type":"type","title":"Procore.Model.CompanyWebhookHookDestinationHeaders.t/0","doc":"","ref":"Procore.Model.CompanyWebhookHookDestinationHeaders.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSet","doc":"","ref":"Procore.Model.ConfigurableFieldSet.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSet.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSet.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSet.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSet1","doc":"","ref":"Procore.Model.ConfigurableFieldSet1.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSet1.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSet1.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSet1.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSet1.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSet2","doc":"","ref":"Procore.Model.ConfigurableFieldSet2.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSet2.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSet2.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSet2.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSet2.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSet2Fields","doc":"Specifies the hash of fields on an object. This is for example purposes only.","ref":"Procore.Model.ConfigurableFieldSet2Fields.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSet2Fields.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSet2Fields.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSet2Fields.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSet2Fields.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSet2FieldsCustomField1","doc":"Custom Field object for an existing custom field in this configurable field set object.","ref":"Procore.Model.ConfigurableFieldSet2FieldsCustomField1.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSet2FieldsCustomField1.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSet2FieldsCustomField1.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSet2FieldsCustomField1.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSet2FieldsCustomField1.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSet2ProjectsInner","doc":"","ref":"Procore.Model.ConfigurableFieldSet2ProjectsInner.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSet2ProjectsInner.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSet2ProjectsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSet2ProjectsInner.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSet2ProjectsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSetFields","doc":"Specifies the hash of fields on an object. This is for example purposes only.","ref":"Procore.Model.ConfigurableFieldSetFields.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSetFields.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSetFields.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSetFields.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSetFields.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSetFieldsCustomField1","doc":"Custom Field object for an existing custom field in this configurable field set object.","ref":"Procore.Model.ConfigurableFieldSetFieldsCustomField1.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSetFieldsCustomField1.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSetFieldsCustomField1.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSetFieldsCustomField1.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSetFieldsCustomField1.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSetFieldsField1","doc":"The first Observation Field object.","ref":"Procore.Model.ConfigurableFieldSetFieldsField1.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSetFieldsField1.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSetFieldsField1.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSetFieldsField1.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSetFieldsField1.html#t:t/0"},{"type":"module","title":"Procore.Model.ConfigurableFieldSetSectionsInner","doc":"","ref":"Procore.Model.ConfigurableFieldSetSectionsInner.html"},{"type":"function","title":"Procore.Model.ConfigurableFieldSetSectionsInner.decode/1","doc":"","ref":"Procore.Model.ConfigurableFieldSetSectionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ConfigurableFieldSetSectionsInner.t/0","doc":"","ref":"Procore.Model.ConfigurableFieldSetSectionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ContractPayment","doc":"Contract Payment object","ref":"Procore.Model.ContractPayment.html"},{"type":"function","title":"Procore.Model.ContractPayment.decode/1","doc":"","ref":"Procore.Model.ContractPayment.html#decode/1"},{"type":"type","title":"Procore.Model.ContractPayment.t/0","doc":"","ref":"Procore.Model.ContractPayment.html#t:t/0"},{"type":"module","title":"Procore.Model.ContributingBehavior","doc":"","ref":"Procore.Model.ContributingBehavior.html"},{"type":"function","title":"Procore.Model.ContributingBehavior.decode/1","doc":"","ref":"Procore.Model.ContributingBehavior.html#decode/1"},{"type":"type","title":"Procore.Model.ContributingBehavior.t/0","doc":"","ref":"Procore.Model.ContributingBehavior.html#t:t/0"},{"type":"module","title":"Procore.Model.ContributingBehavior1","doc":"","ref":"Procore.Model.ContributingBehavior1.html"},{"type":"function","title":"Procore.Model.ContributingBehavior1.decode/1","doc":"","ref":"Procore.Model.ContributingBehavior1.html#decode/1"},{"type":"type","title":"Procore.Model.ContributingBehavior1.t/0","doc":"","ref":"Procore.Model.ContributingBehavior1.html#t:t/0"},{"type":"module","title":"Procore.Model.ContributingCondition","doc":"","ref":"Procore.Model.ContributingCondition.html"},{"type":"function","title":"Procore.Model.ContributingCondition.decode/1","doc":"","ref":"Procore.Model.ContributingCondition.html#decode/1"},{"type":"type","title":"Procore.Model.ContributingCondition.t/0","doc":"","ref":"Procore.Model.ContributingCondition.html#t:t/0"},{"type":"module","title":"Procore.Model.ContributingCondition1","doc":"","ref":"Procore.Model.ContributingCondition1.html"},{"type":"function","title":"Procore.Model.ContributingCondition1.decode/1","doc":"","ref":"Procore.Model.ContributingCondition1.html#decode/1"},{"type":"type","title":"Procore.Model.ContributingCondition1.t/0","doc":"","ref":"Procore.Model.ContributingCondition1.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssue","doc":"Coordination Issue Item object","ref":"Procore.Model.CoordinationIssue.html"},{"type":"function","title":"Procore.Model.CoordinationIssue.decode/1","doc":"","ref":"Procore.Model.CoordinationIssue.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssue.t/0","doc":"","ref":"Procore.Model.CoordinationIssue.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueAssignmentActivityDetails","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetails.html"},{"type":"function","title":"Procore.Model.CoordinationIssueAssignmentActivityDetails.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetails.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueAssignmentActivityDetails.t/0","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetails.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsCreatedBy","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsCreatedBy.html"},{"type":"function","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsCreatedBy.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsCreatedBy.t/0","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsNewAssignee","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsNewAssignee.html"},{"type":"function","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsNewAssignee.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsNewAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsNewAssignee.t/0","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsNewAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsOldAssignee","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsOldAssignee.html"},{"type":"function","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsOldAssignee.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsOldAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueAssignmentActivityDetailsOldAssignee.t/0","doc":"","ref":"Procore.Model.CoordinationIssueAssignmentActivityDetailsOldAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueCreationActivityDetails","doc":"","ref":"Procore.Model.CoordinationIssueCreationActivityDetails.html"},{"type":"function","title":"Procore.Model.CoordinationIssueCreationActivityDetails.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueCreationActivityDetails.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueCreationActivityDetails.t/0","doc":"","ref":"Procore.Model.CoordinationIssueCreationActivityDetails.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueSyncResponse","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse.html"},{"type":"function","title":"Procore.Model.CoordinationIssueSyncResponse.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueSyncResponse.t/0","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueSyncResponse1","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse1.html"},{"type":"function","title":"Procore.Model.CoordinationIssueSyncResponse1.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse1.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueSyncResponse1.t/0","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse1.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueSyncResponse1EntitiesInner","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse1EntitiesInner.html"},{"type":"function","title":"Procore.Model.CoordinationIssueSyncResponse1EntitiesInner.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse1EntitiesInner.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueSyncResponse1EntitiesInner.t/0","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponse1EntitiesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueSyncResponseErrorsInner","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.CoordinationIssueSyncResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueSyncResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CoordinationIssueSyncResponseErrorsInnerAllOfViewpointsInner","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponseErrorsInnerAllOfViewpointsInner.html"},{"type":"function","title":"Procore.Model.CoordinationIssueSyncResponseErrorsInnerAllOfViewpointsInner.decode/1","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponseErrorsInnerAllOfViewpointsInner.html#decode/1"},{"type":"type","title":"Procore.Model.CoordinationIssueSyncResponseErrorsInnerAllOfViewpointsInner.t/0","doc":"","ref":"Procore.Model.CoordinationIssueSyncResponseErrorsInnerAllOfViewpointsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CorrespondenceAttachmentsInner","doc":"","ref":"Procore.Model.CorrespondenceAttachmentsInner.html"},{"type":"function","title":"Procore.Model.CorrespondenceAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.CorrespondenceAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.CorrespondenceAttachmentsInner.t/0","doc":"","ref":"Procore.Model.CorrespondenceAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CorrespondenceFrom","doc":"","ref":"Procore.Model.CorrespondenceFrom.html"},{"type":"function","title":"Procore.Model.CorrespondenceFrom.decode/1","doc":"","ref":"Procore.Model.CorrespondenceFrom.html#decode/1"},{"type":"type","title":"Procore.Model.CorrespondenceFrom.t/0","doc":"","ref":"Procore.Model.CorrespondenceFrom.html#t:t/0"},{"type":"module","title":"Procore.Model.CorrespondenceRecipientsInnerInner","doc":"Attachment","ref":"Procore.Model.CorrespondenceRecipientsInnerInner.html"},{"type":"function","title":"Procore.Model.CorrespondenceRecipientsInnerInner.decode/1","doc":"","ref":"Procore.Model.CorrespondenceRecipientsInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.CorrespondenceRecipientsInnerInner.t/0","doc":"","ref":"Procore.Model.CorrespondenceRecipientsInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CostCode","doc":"Cost Code object","ref":"Procore.Model.CostCode.html"},{"type":"function","title":"Procore.Model.CostCode.decode/1","doc":"","ref":"Procore.Model.CostCode.html#decode/1"},{"type":"type","title":"Procore.Model.CostCode.t/0","doc":"","ref":"Procore.Model.CostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.CostCode1","doc":"Cost Code object","ref":"Procore.Model.CostCode1.html"},{"type":"function","title":"Procore.Model.CostCode1.decode/1","doc":"","ref":"Procore.Model.CostCode1.html#decode/1"},{"type":"type","title":"Procore.Model.CostCode1.t/0","doc":"","ref":"Procore.Model.CostCode1.html#t:t/0"},{"type":"module","title":"Procore.Model.CostCodeSyncBody","doc":"","ref":"Procore.Model.CostCodeSyncBody.html"},{"type":"function","title":"Procore.Model.CostCodeSyncBody.decode/1","doc":"","ref":"Procore.Model.CostCodeSyncBody.html#decode/1"},{"type":"type","title":"Procore.Model.CostCodeSyncBody.t/0","doc":"","ref":"Procore.Model.CostCodeSyncBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CreateDistributionGroupBody","doc":"","ref":"Procore.Model.CreateDistributionGroupBody.html"},{"type":"function","title":"Procore.Model.CreateDistributionGroupBody.decode/1","doc":"","ref":"Procore.Model.CreateDistributionGroupBody.html#decode/1"},{"type":"type","title":"Procore.Model.CreateDistributionGroupBody.t/0","doc":"","ref":"Procore.Model.CreateDistributionGroupBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CreatedBy","doc":"","ref":"Procore.Model.CreatedBy.html"},{"type":"function","title":"Procore.Model.CreatedBy.decode/1","doc":"","ref":"Procore.Model.CreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.CreatedBy.t/0","doc":"","ref":"Procore.Model.CreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.CrewBody","doc":"","ref":"Procore.Model.CrewBody.html"},{"type":"function","title":"Procore.Model.CrewBody.decode/1","doc":"","ref":"Procore.Model.CrewBody.html#decode/1"},{"type":"type","title":"Procore.Model.CrewBody.t/0","doc":"","ref":"Procore.Model.CrewBody.html#t:t/0"},{"type":"module","title":"Procore.Model.CustomFieldDefinition","doc":"","ref":"Procore.Model.CustomFieldDefinition.html"},{"type":"function","title":"Procore.Model.CustomFieldDefinition.decode/1","doc":"","ref":"Procore.Model.CustomFieldDefinition.html#decode/1"},{"type":"type","title":"Procore.Model.CustomFieldDefinition.t/0","doc":"","ref":"Procore.Model.CustomFieldDefinition.html#t:t/0"},{"type":"module","title":"Procore.Model.CustomFieldDefinition1","doc":"","ref":"Procore.Model.CustomFieldDefinition1.html"},{"type":"function","title":"Procore.Model.CustomFieldDefinition1.decode/1","doc":"","ref":"Procore.Model.CustomFieldDefinition1.html#decode/1"},{"type":"type","title":"Procore.Model.CustomFieldDefinition1.t/0","doc":"","ref":"Procore.Model.CustomFieldDefinition1.html#t:t/0"},{"type":"module","title":"Procore.Model.CustomFieldLovEntriesInner","doc":"","ref":"Procore.Model.CustomFieldLovEntriesInner.html"},{"type":"function","title":"Procore.Model.CustomFieldLovEntriesInner.decode/1","doc":"","ref":"Procore.Model.CustomFieldLovEntriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.CustomFieldLovEntriesInner.t/0","doc":"","ref":"Procore.Model.CustomFieldLovEntriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.CustomFieldLovEntry","doc":"","ref":"Procore.Model.CustomFieldLovEntry.html"},{"type":"function","title":"Procore.Model.CustomFieldLovEntry.decode/1","doc":"","ref":"Procore.Model.CustomFieldLovEntry.html#decode/1"},{"type":"type","title":"Procore.Model.CustomFieldLovEntry.t/0","doc":"","ref":"Procore.Model.CustomFieldLovEntry.html#t:t/0"},{"type":"module","title":"Procore.Model.CustomFieldMetadatum","doc":"","ref":"Procore.Model.CustomFieldMetadatum.html"},{"type":"function","title":"Procore.Model.CustomFieldMetadatum.decode/1","doc":"","ref":"Procore.Model.CustomFieldMetadatum.html#decode/1"},{"type":"type","title":"Procore.Model.CustomFieldMetadatum.t/0","doc":"","ref":"Procore.Model.CustomFieldMetadatum.html#t:t/0"},{"type":"module","title":"Procore.Model.CustomFieldsSection","doc":"","ref":"Procore.Model.CustomFieldsSection.html"},{"type":"function","title":"Procore.Model.CustomFieldsSection.decode/1","doc":"","ref":"Procore.Model.CustomFieldsSection.html#decode/1"},{"type":"type","title":"Procore.Model.CustomFieldsSection.t/0","doc":"","ref":"Procore.Model.CustomFieldsSection.html#t:t/0"},{"type":"module","title":"Procore.Model.CustomTag","doc":"Document Custom Tag object","ref":"Procore.Model.CustomTag.html"},{"type":"function","title":"Procore.Model.CustomTag.decode/1","doc":"","ref":"Procore.Model.CustomTag.html#decode/1"},{"type":"type","title":"Procore.Model.CustomTag.t/0","doc":"","ref":"Procore.Model.CustomTag.html#t:t/0"},{"type":"module","title":"Procore.Model.Data","doc":"","ref":"Procore.Model.Data.html"},{"type":"function","title":"Procore.Model.Data.decode/1","doc":"","ref":"Procore.Model.Data.html#decode/1"},{"type":"type","title":"Procore.Model.Data.t/0","doc":"","ref":"Procore.Model.Data.html#t:t/0"},{"type":"module","title":"Procore.Model.Data1","doc":"","ref":"Procore.Model.Data1.html"},{"type":"function","title":"Procore.Model.Data1.decode/1","doc":"","ref":"Procore.Model.Data1.html#decode/1"},{"type":"type","title":"Procore.Model.Data1.t/0","doc":"","ref":"Procore.Model.Data1.html#t:t/0"},{"type":"module","title":"Procore.Model.Default","doc":"Line Item (when the 'default' view is requested)","ref":"Procore.Model.Default.html"},{"type":"function","title":"Procore.Model.Default.decode/1","doc":"","ref":"Procore.Model.Default.html#decode/1"},{"type":"type","title":"Procore.Model.Default.t/0","doc":"","ref":"Procore.Model.Default.html#t:t/0"},{"type":"module","title":"Procore.Model.Department","doc":"","ref":"Procore.Model.Department.html"},{"type":"function","title":"Procore.Model.Department.decode/1","doc":"","ref":"Procore.Model.Department.html#decode/1"},{"type":"type","title":"Procore.Model.Department.t/0","doc":"","ref":"Procore.Model.Department.html#t:t/0"},{"type":"module","title":"Procore.Model.DepartmentBody","doc":"","ref":"Procore.Model.DepartmentBody.html"},{"type":"function","title":"Procore.Model.DepartmentBody.decode/1","doc":"","ref":"Procore.Model.DepartmentBody.html#decode/1"},{"type":"type","title":"Procore.Model.DepartmentBody.t/0","doc":"","ref":"Procore.Model.DepartmentBody.html#t:t/0"},{"type":"module","title":"Procore.Model.DependentImportParams","doc":"Dependent Import Params Object","ref":"Procore.Model.DependentImportParams.html"},{"type":"function","title":"Procore.Model.DependentImportParams.decode/1","doc":"","ref":"Procore.Model.DependentImportParams.html#decode/1"},{"type":"type","title":"Procore.Model.DependentImportParams.t/0","doc":"","ref":"Procore.Model.DependentImportParams.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostItem","doc":"Direct Cost Item object","ref":"Procore.Model.DirectCostItem.html"},{"type":"function","title":"Procore.Model.DirectCostItem.decode/1","doc":"","ref":"Procore.Model.DirectCostItem.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostItem.t/0","doc":"","ref":"Procore.Model.DirectCostItem.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostItem1","doc":"Direct Cost Item object","ref":"Procore.Model.DirectCostItem1.html"},{"type":"function","title":"Procore.Model.DirectCostItem1.decode/1","doc":"","ref":"Procore.Model.DirectCostItem1.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostItem1.t/0","doc":"","ref":"Procore.Model.DirectCostItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostItem2","doc":"Direct Cost Item object","ref":"Procore.Model.DirectCostItem2.html"},{"type":"function","title":"Procore.Model.DirectCostItem2.decode/1","doc":"","ref":"Procore.Model.DirectCostItem2.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostItem2.t/0","doc":"","ref":"Procore.Model.DirectCostItem2.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostItem3","doc":"Direct Cost Item object","ref":"Procore.Model.DirectCostItem3.html"},{"type":"function","title":"Procore.Model.DirectCostItem3.decode/1","doc":"","ref":"Procore.Model.DirectCostItem3.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostItem3.t/0","doc":"","ref":"Procore.Model.DirectCostItem3.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostItem4","doc":"Direct Cost Item object","ref":"Procore.Model.DirectCostItem4.html"},{"type":"function","title":"Procore.Model.DirectCostItem4.decode/1","doc":"","ref":"Procore.Model.DirectCostItem4.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostItem4.t/0","doc":"","ref":"Procore.Model.DirectCostItem4.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostLineItem","doc":"","ref":"Procore.Model.DirectCostLineItem.html"},{"type":"function","title":"Procore.Model.DirectCostLineItem.decode/1","doc":"","ref":"Procore.Model.DirectCostLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostLineItem.t/0","doc":"","ref":"Procore.Model.DirectCostLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostLineItem1","doc":"","ref":"Procore.Model.DirectCostLineItem1.html"},{"type":"function","title":"Procore.Model.DirectCostLineItem1.decode/1","doc":"","ref":"Procore.Model.DirectCostLineItem1.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostLineItem1.t/0","doc":"","ref":"Procore.Model.DirectCostLineItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostLineItem1CurrencyConfiguration","doc":"Payment Application (Owner Invoice) Currency Configuration","ref":"Procore.Model.DirectCostLineItem1CurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.DirectCostLineItem1CurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.DirectCostLineItem1CurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostLineItem1CurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.DirectCostLineItem1CurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostLineItem2","doc":"","ref":"Procore.Model.DirectCostLineItem2.html"},{"type":"function","title":"Procore.Model.DirectCostLineItem2.decode/1","doc":"","ref":"Procore.Model.DirectCostLineItem2.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostLineItem2.t/0","doc":"","ref":"Procore.Model.DirectCostLineItem2.html#t:t/0"},{"type":"module","title":"Procore.Model.DirectCostLineItemSyncBody","doc":"","ref":"Procore.Model.DirectCostLineItemSyncBody.html"},{"type":"function","title":"Procore.Model.DirectCostLineItemSyncBody.decode/1","doc":"","ref":"Procore.Model.DirectCostLineItemSyncBody.html#decode/1"},{"type":"type","title":"Procore.Model.DirectCostLineItemSyncBody.t/0","doc":"","ref":"Procore.Model.DirectCostLineItemSyncBody.html#t:t/0"},{"type":"module","title":"Procore.Model.DistributionGroup","doc":"","ref":"Procore.Model.DistributionGroup.html"},{"type":"function","title":"Procore.Model.DistributionGroup.decode/1","doc":"","ref":"Procore.Model.DistributionGroup.html#decode/1"},{"type":"type","title":"Procore.Model.DistributionGroup.t/0","doc":"","ref":"Procore.Model.DistributionGroup.html#t:t/0"},{"type":"module","title":"Procore.Model.Drawing","doc":"Drawing","ref":"Procore.Model.Drawing.html"},{"type":"function","title":"Procore.Model.Drawing.decode/1","doc":"","ref":"Procore.Model.Drawing.html#decode/1"},{"type":"type","title":"Procore.Model.Drawing.t/0","doc":"","ref":"Procore.Model.Drawing.html#t:t/0"},{"type":"module","title":"Procore.Model.Drawing1","doc":"Drawing","ref":"Procore.Model.Drawing1.html"},{"type":"function","title":"Procore.Model.Drawing1.decode/1","doc":"","ref":"Procore.Model.Drawing1.html#decode/1"},{"type":"type","title":"Procore.Model.Drawing1.t/0","doc":"","ref":"Procore.Model.Drawing1.html#t:t/0"},{"type":"module","title":"Procore.Model.Drawing1DrawingDiscipline","doc":"Drawing discipline","ref":"Procore.Model.Drawing1DrawingDiscipline.html"},{"type":"function","title":"Procore.Model.Drawing1DrawingDiscipline.decode/1","doc":"","ref":"Procore.Model.Drawing1DrawingDiscipline.html#decode/1"},{"type":"type","title":"Procore.Model.Drawing1DrawingDiscipline.t/0","doc":"","ref":"Procore.Model.Drawing1DrawingDiscipline.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingArea","doc":"Drawing Area","ref":"Procore.Model.DrawingArea.html"},{"type":"function","title":"Procore.Model.DrawingArea.decode/1","doc":"","ref":"Procore.Model.DrawingArea.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingArea.t/0","doc":"","ref":"Procore.Model.DrawingArea.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingArea1","doc":"Drawing Area","ref":"Procore.Model.DrawingArea1.html"},{"type":"function","title":"Procore.Model.DrawingArea1.decode/1","doc":"","ref":"Procore.Model.DrawingArea1.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingArea1.t/0","doc":"","ref":"Procore.Model.DrawingArea1.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingArea1DrawingDisciplinesInner","doc":"","ref":"Procore.Model.DrawingArea1DrawingDisciplinesInner.html"},{"type":"function","title":"Procore.Model.DrawingArea1DrawingDisciplinesInner.decode/1","doc":"","ref":"Procore.Model.DrawingArea1DrawingDisciplinesInner.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingArea1DrawingDisciplinesInner.t/0","doc":"","ref":"Procore.Model.DrawingArea1DrawingDisciplinesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingDrawingDiscipline","doc":"Drawing discipline","ref":"Procore.Model.DrawingDrawingDiscipline.html"},{"type":"function","title":"Procore.Model.DrawingDrawingDiscipline.decode/1","doc":"","ref":"Procore.Model.DrawingDrawingDiscipline.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingDrawingDiscipline.t/0","doc":"","ref":"Procore.Model.DrawingDrawingDiscipline.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingLogImport","doc":"Drawing Log Import","ref":"Procore.Model.DrawingLogImport.html"},{"type":"function","title":"Procore.Model.DrawingLogImport.decode/1","doc":"","ref":"Procore.Model.DrawingLogImport.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingLogImport.t/0","doc":"","ref":"Procore.Model.DrawingLogImport.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingRevision","doc":"Drawing Revision","ref":"Procore.Model.DrawingRevision.html"},{"type":"function","title":"Procore.Model.DrawingRevision.decode/1","doc":"","ref":"Procore.Model.DrawingRevision.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingRevision.t/0","doc":"","ref":"Procore.Model.DrawingRevision.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingRevision1","doc":"Drawing Revision","ref":"Procore.Model.DrawingRevision1.html"},{"type":"function","title":"Procore.Model.DrawingRevision1.decode/1","doc":"","ref":"Procore.Model.DrawingRevision1.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingRevision1.t/0","doc":"","ref":"Procore.Model.DrawingRevision1.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingRevisionCustomFields","doc":"","ref":"Procore.Model.DrawingRevisionCustomFields.html"},{"type":"function","title":"Procore.Model.DrawingRevisionCustomFields.decode/1","doc":"","ref":"Procore.Model.DrawingRevisionCustomFields.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingRevisionCustomFields.t/0","doc":"","ref":"Procore.Model.DrawingRevisionCustomFields.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingRevisionDiscipline","doc":"Drawing discipline","ref":"Procore.Model.DrawingRevisionDiscipline.html"},{"type":"function","title":"Procore.Model.DrawingRevisionDiscipline.decode/1","doc":"","ref":"Procore.Model.DrawingRevisionDiscipline.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingRevisionDiscipline.t/0","doc":"","ref":"Procore.Model.DrawingRevisionDiscipline.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingRevisionDrawingArea","doc":"Drawing Area","ref":"Procore.Model.DrawingRevisionDrawingArea.html"},{"type":"function","title":"Procore.Model.DrawingRevisionDrawingArea.decode/1","doc":"","ref":"Procore.Model.DrawingRevisionDrawingArea.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingRevisionDrawingArea.t/0","doc":"","ref":"Procore.Model.DrawingRevisionDrawingArea.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingRevisionDrawingSet","doc":"Drawing Set","ref":"Procore.Model.DrawingRevisionDrawingSet.html"},{"type":"function","title":"Procore.Model.DrawingRevisionDrawingSet.decode/1","doc":"","ref":"Procore.Model.DrawingRevisionDrawingSet.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingRevisionDrawingSet.t/0","doc":"","ref":"Procore.Model.DrawingRevisionDrawingSet.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingRevisionTermSet","doc":"Drawing Revision","ref":"Procore.Model.DrawingRevisionTermSet.html"},{"type":"function","title":"Procore.Model.DrawingRevisionTermSet.decode/1","doc":"","ref":"Procore.Model.DrawingRevisionTermSet.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingRevisionTermSet.t/0","doc":"","ref":"Procore.Model.DrawingRevisionTermSet.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingRevisionTermSetTermsValueInner","doc":"","ref":"Procore.Model.DrawingRevisionTermSetTermsValueInner.html"},{"type":"function","title":"Procore.Model.DrawingRevisionTermSetTermsValueInner.decode/1","doc":"","ref":"Procore.Model.DrawingRevisionTermSetTermsValueInner.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingRevisionTermSetTermsValueInner.t/0","doc":"","ref":"Procore.Model.DrawingRevisionTermSetTermsValueInner.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingSet","doc":"Drawing Set","ref":"Procore.Model.DrawingSet.html"},{"type":"function","title":"Procore.Model.DrawingSet.decode/1","doc":"","ref":"Procore.Model.DrawingSet.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingSet.t/0","doc":"","ref":"Procore.Model.DrawingSet.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingSet1","doc":"Drawing Set","ref":"Procore.Model.DrawingSet1.html"},{"type":"function","title":"Procore.Model.DrawingSet1.decode/1","doc":"","ref":"Procore.Model.DrawingSet1.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingSet1.t/0","doc":"","ref":"Procore.Model.DrawingSet1.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingTile","doc":"","ref":"Procore.Model.DrawingTile.html"},{"type":"function","title":"Procore.Model.DrawingTile.decode/1","doc":"","ref":"Procore.Model.DrawingTile.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingTile.t/0","doc":"","ref":"Procore.Model.DrawingTile.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingUpload","doc":"Drawing Upload","ref":"Procore.Model.DrawingUpload.html"},{"type":"function","title":"Procore.Model.DrawingUpload.decode/1","doc":"","ref":"Procore.Model.DrawingUpload.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingUpload.t/0","doc":"","ref":"Procore.Model.DrawingUpload.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingUpload1","doc":"Drawing Upload","ref":"Procore.Model.DrawingUpload1.html"},{"type":"function","title":"Procore.Model.DrawingUpload1.decode/1","doc":"","ref":"Procore.Model.DrawingUpload1.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingUpload1.t/0","doc":"","ref":"Procore.Model.DrawingUpload1.html#t:t/0"},{"type":"module","title":"Procore.Model.DrawingUploadDrawingLogImportsInner","doc":"","ref":"Procore.Model.DrawingUploadDrawingLogImportsInner.html"},{"type":"function","title":"Procore.Model.DrawingUploadDrawingLogImportsInner.decode/1","doc":"","ref":"Procore.Model.DrawingUploadDrawingLogImportsInner.html#decode/1"},{"type":"type","title":"Procore.Model.DrawingUploadDrawingLogImportsInner.t/0","doc":"","ref":"Procore.Model.DrawingUploadDrawingLogImportsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.EnvironmentalType","doc":"","ref":"Procore.Model.EnvironmentalType.html"},{"type":"function","title":"Procore.Model.EnvironmentalType.decode/1","doc":"","ref":"Procore.Model.EnvironmentalType.html#decode/1"},{"type":"type","title":"Procore.Model.EnvironmentalType.t/0","doc":"","ref":"Procore.Model.EnvironmentalType.html#t:t/0"},{"type":"module","title":"Procore.Model.Equipment","doc":"","ref":"Procore.Model.Equipment.html"},{"type":"function","title":"Procore.Model.Equipment.decode/1","doc":"","ref":"Procore.Model.Equipment.html#decode/1"},{"type":"type","title":"Procore.Model.Equipment.t/0","doc":"","ref":"Procore.Model.Equipment.html#t:t/0"},{"type":"module","title":"Procore.Model.ErrorsResponse","doc":"","ref":"Procore.Model.ErrorsResponse.html"},{"type":"function","title":"Procore.Model.ErrorsResponse.decode/1","doc":"","ref":"Procore.Model.ErrorsResponse.html#decode/1"},{"type":"type","title":"Procore.Model.ErrorsResponse.t/0","doc":"","ref":"Procore.Model.ErrorsResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.ErrorsResponseFields","doc":"","ref":"Procore.Model.ErrorsResponseFields.html"},{"type":"function","title":"Procore.Model.ErrorsResponseFields.decode/1","doc":"","ref":"Procore.Model.ErrorsResponseFields.html#decode/1"},{"type":"type","title":"Procore.Model.ErrorsResponseFields.t/0","doc":"","ref":"Procore.Model.ErrorsResponseFields.html#t:t/0"},{"type":"module","title":"Procore.Model.ExampleOfAFolderThatIsAFile","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFile.html"},{"type":"function","title":"Procore.Model.ExampleOfAFolderThatIsAFile.decode/1","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFile.html#decode/1"},{"type":"type","title":"Procore.Model.ExampleOfAFolderThatIsAFile.t/0","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFile.html#t:t/0"},{"type":"module","title":"Procore.Model.ExampleOfAFolderThatIsAFileChildren","doc":"if folder is implicitly tracked, reflects the folder that is the cause","ref":"Procore.Model.ExampleOfAFolderThatIsAFileChildren.html"},{"type":"function","title":"Procore.Model.ExampleOfAFolderThatIsAFileChildren.decode/1","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFileChildren.html#decode/1"},{"type":"type","title":"Procore.Model.ExampleOfAFolderThatIsAFileChildren.t/0","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFileChildren.html#t:t/0"},{"type":"module","title":"Procore.Model.ExampleOfAFolderThatIsAFileFile","doc":"will be filled if document_type is a file","ref":"Procore.Model.ExampleOfAFolderThatIsAFileFile.html"},{"type":"function","title":"Procore.Model.ExampleOfAFolderThatIsAFileFile.decode/1","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFileFile.html#decode/1"},{"type":"type","title":"Procore.Model.ExampleOfAFolderThatIsAFileFile.t/0","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFileFile.html#t:t/0"},{"type":"module","title":"Procore.Model.ExampleOfAFolderThatIsAFileFileCheckedOutBy","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFileFileCheckedOutBy.html"},{"type":"function","title":"Procore.Model.ExampleOfAFolderThatIsAFileFileCheckedOutBy.decode/1","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFileFileCheckedOutBy.html#decode/1"},{"type":"type","title":"Procore.Model.ExampleOfAFolderThatIsAFileFileCheckedOutBy.t/0","doc":"","ref":"Procore.Model.ExampleOfAFolderThatIsAFileFileCheckedOutBy.html#t:t/0"},{"type":"module","title":"Procore.Model.Extended","doc":"","ref":"Procore.Model.Extended.html"},{"type":"function","title":"Procore.Model.Extended.decode/1","doc":"","ref":"Procore.Model.Extended.html#decode/1"},{"type":"type","title":"Procore.Model.Extended.t/0","doc":"","ref":"Procore.Model.Extended.html#t:t/0"},{"type":"module","title":"Procore.Model.Extended1","doc":"","ref":"Procore.Model.Extended1.html"},{"type":"function","title":"Procore.Model.Extended1.decode/1","doc":"","ref":"Procore.Model.Extended1.html#decode/1"},{"type":"type","title":"Procore.Model.Extended1.t/0","doc":"","ref":"Procore.Model.Extended1.html#t:t/0"},{"type":"module","title":"Procore.Model.Extended1Parent","doc":"Parent","ref":"Procore.Model.Extended1Parent.html"},{"type":"function","title":"Procore.Model.Extended1Parent.decode/1","doc":"","ref":"Procore.Model.Extended1Parent.html#decode/1"},{"type":"type","title":"Procore.Model.Extended1Parent.t/0","doc":"","ref":"Procore.Model.Extended1Parent.html#t:t/0"},{"type":"module","title":"Procore.Model.Extended2","doc":"","ref":"Procore.Model.Extended2.html"},{"type":"function","title":"Procore.Model.Extended2.decode/1","doc":"","ref":"Procore.Model.Extended2.html#decode/1"},{"type":"type","title":"Procore.Model.Extended2.t/0","doc":"","ref":"Procore.Model.Extended2.html#t:t/0"},{"type":"module","title":"Procore.Model.ExtendedParent","doc":"Parent","ref":"Procore.Model.ExtendedParent.html"},{"type":"function","title":"Procore.Model.ExtendedParent.decode/1","doc":"","ref":"Procore.Model.ExtendedParent.html#decode/1"},{"type":"type","title":"Procore.Model.ExtendedParent.t/0","doc":"","ref":"Procore.Model.ExtendedParent.html#t:t/0"},{"type":"module","title":"Procore.Model.ExtendedView","doc":"Company signee party","ref":"Procore.Model.ExtendedView.html"},{"type":"function","title":"Procore.Model.ExtendedView.decode/1","doc":"","ref":"Procore.Model.ExtendedView.html#decode/1"},{"type":"type","title":"Procore.Model.ExtendedView.t/0","doc":"","ref":"Procore.Model.ExtendedView.html#t:t/0"},{"type":"module","title":"Procore.Model.ExtendedView1","doc":"Customer signee party","ref":"Procore.Model.ExtendedView1.html"},{"type":"function","title":"Procore.Model.ExtendedView1.decode/1","doc":"","ref":"Procore.Model.ExtendedView1.html#decode/1"},{"type":"type","title":"Procore.Model.ExtendedView1.t/0","doc":"","ref":"Procore.Model.ExtendedView1.html#t:t/0"},{"type":"module","title":"Procore.Model.ExtendedView2","doc":"Project Person","ref":"Procore.Model.ExtendedView2.html"},{"type":"function","title":"Procore.Model.ExtendedView2.decode/1","doc":"","ref":"Procore.Model.ExtendedView2.html#decode/1"},{"type":"type","title":"Procore.Model.ExtendedView2.t/0","doc":"","ref":"Procore.Model.ExtendedView2.html#t:t/0"},{"type":"module","title":"Procore.Model.ExtendedView2Bidding","doc":"Bidding status","ref":"Procore.Model.ExtendedView2Bidding.html"},{"type":"function","title":"Procore.Model.ExtendedView2Bidding.decode/1","doc":"","ref":"Procore.Model.ExtendedView2Bidding.html#decode/1"},{"type":"type","title":"Procore.Model.ExtendedView2Bidding.t/0","doc":"","ref":"Procore.Model.ExtendedView2Bidding.html#t:t/0"},{"type":"module","title":"Procore.Model.ExtendedView2BiddingDistributionInner","doc":"","ref":"Procore.Model.ExtendedView2BiddingDistributionInner.html"},{"type":"function","title":"Procore.Model.ExtendedView2BiddingDistributionInner.decode/1","doc":"","ref":"Procore.Model.ExtendedView2BiddingDistributionInner.html#decode/1"},{"type":"type","title":"Procore.Model.ExtendedView2BiddingDistributionInner.t/0","doc":"","ref":"Procore.Model.ExtendedView2BiddingDistributionInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ExtendedView2Parent","doc":"","ref":"Procore.Model.ExtendedView2Parent.html"},{"type":"function","title":"Procore.Model.ExtendedView2Parent.decode/1","doc":"","ref":"Procore.Model.ExtendedView2Parent.html#decode/1"},{"type":"type","title":"Procore.Model.ExtendedView2Parent.t/0","doc":"","ref":"Procore.Model.ExtendedView2Parent.html#t:t/0"},{"type":"module","title":"Procore.Model.ExtendedViewWorkClassification","doc":"","ref":"Procore.Model.ExtendedViewWorkClassification.html"},{"type":"function","title":"Procore.Model.ExtendedViewWorkClassification.decode/1","doc":"","ref":"Procore.Model.ExtendedViewWorkClassification.html#decode/1"},{"type":"type","title":"Procore.Model.ExtendedViewWorkClassification.t/0","doc":"","ref":"Procore.Model.ExtendedViewWorkClassification.html#t:t/0"},{"type":"module","title":"Procore.Model.FilingType","doc":"","ref":"Procore.Model.FilingType.html"},{"type":"function","title":"Procore.Model.FilingType.decode/1","doc":"","ref":"Procore.Model.FilingType.html#decode/1"},{"type":"type","title":"Procore.Model.FilingType.t/0","doc":"","ref":"Procore.Model.FilingType.html#t:t/0"},{"type":"module","title":"Procore.Model.Folder","doc":"","ref":"Procore.Model.Folder.html"},{"type":"function","title":"Procore.Model.Folder.decode/1","doc":"","ref":"Procore.Model.Folder.html#decode/1"},{"type":"type","title":"Procore.Model.Folder.t/0","doc":"","ref":"Procore.Model.Folder.html#t:t/0"},{"type":"module","title":"Procore.Model.Folder1","doc":"","ref":"Procore.Model.Folder1.html"},{"type":"function","title":"Procore.Model.Folder1.decode/1","doc":"","ref":"Procore.Model.Folder1.html#decode/1"},{"type":"type","title":"Procore.Model.Folder1.t/0","doc":"","ref":"Procore.Model.Folder1.html#t:t/0"},{"type":"module","title":"Procore.Model.Folder2","doc":"","ref":"Procore.Model.Folder2.html"},{"type":"function","title":"Procore.Model.Folder2.decode/1","doc":"","ref":"Procore.Model.Folder2.html#decode/1"},{"type":"type","title":"Procore.Model.Folder2.t/0","doc":"","ref":"Procore.Model.Folder2.html#t:t/0"},{"type":"module","title":"Procore.Model.FolderFilesInner","doc":"","ref":"Procore.Model.FolderFilesInner.html"},{"type":"function","title":"Procore.Model.FolderFilesInner.decode/1","doc":"","ref":"Procore.Model.FolderFilesInner.html#decode/1"},{"type":"type","title":"Procore.Model.FolderFilesInner.t/0","doc":"","ref":"Procore.Model.FolderFilesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.FolderFilesInnerFileVersionsInner","doc":"","ref":"Procore.Model.FolderFilesInnerFileVersionsInner.html"},{"type":"function","title":"Procore.Model.FolderFilesInnerFileVersionsInner.decode/1","doc":"","ref":"Procore.Model.FolderFilesInnerFileVersionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.FolderFilesInnerFileVersionsInner.t/0","doc":"","ref":"Procore.Model.FolderFilesInnerFileVersionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Form","doc":"","ref":"Procore.Model.Form.html"},{"type":"function","title":"Procore.Model.Form.decode/1","doc":"","ref":"Procore.Model.Form.html#decode/1"},{"type":"type","title":"Procore.Model.Form.t/0","doc":"","ref":"Procore.Model.Form.html#t:t/0"},{"type":"module","title":"Procore.Model.Form1","doc":"","ref":"Procore.Model.Form1.html"},{"type":"function","title":"Procore.Model.Form1.decode/1","doc":"","ref":"Procore.Model.Form1.html#decode/1"},{"type":"type","title":"Procore.Model.Form1.t/0","doc":"","ref":"Procore.Model.Form1.html#t:t/0"},{"type":"module","title":"Procore.Model.Form2","doc":"","ref":"Procore.Model.Form2.html"},{"type":"function","title":"Procore.Model.Form2.decode/1","doc":"","ref":"Procore.Model.Form2.html#decode/1"},{"type":"type","title":"Procore.Model.Form2.t/0","doc":"","ref":"Procore.Model.Form2.html#t:t/0"},{"type":"module","title":"Procore.Model.FormTemplate","doc":"","ref":"Procore.Model.FormTemplate.html"},{"type":"function","title":"Procore.Model.FormTemplate.decode/1","doc":"","ref":"Procore.Model.FormTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.FormTemplate.t/0","doc":"","ref":"Procore.Model.FormTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.FormTemplate1","doc":"","ref":"Procore.Model.FormTemplate1.html"},{"type":"function","title":"Procore.Model.FormTemplate1.decode/1","doc":"","ref":"Procore.Model.FormTemplate1.html#decode/1"},{"type":"type","title":"Procore.Model.FormTemplate1.t/0","doc":"","ref":"Procore.Model.FormTemplate1.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItem","doc":"Generic Tool Item","ref":"Procore.Model.GenericToolItem.html"},{"type":"function","title":"Procore.Model.GenericToolItem.decode/1","doc":"","ref":"Procore.Model.GenericToolItem.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItem.t/0","doc":"","ref":"Procore.Model.GenericToolItem.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItem1","doc":"Generic Tool Item","ref":"Procore.Model.GenericToolItem1.html"},{"type":"function","title":"Procore.Model.GenericToolItem1.decode/1","doc":"","ref":"Procore.Model.GenericToolItem1.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItem1.t/0","doc":"","ref":"Procore.Model.GenericToolItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItem1CostImpact","doc":"","ref":"Procore.Model.GenericToolItem1CostImpact.html"},{"type":"function","title":"Procore.Model.GenericToolItem1CostImpact.decode/1","doc":"","ref":"Procore.Model.GenericToolItem1CostImpact.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItem1CostImpact.t/0","doc":"","ref":"Procore.Model.GenericToolItem1CostImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItem1CreatedBy","doc":"","ref":"Procore.Model.GenericToolItem1CreatedBy.html"},{"type":"function","title":"Procore.Model.GenericToolItem1CreatedBy.decode/1","doc":"","ref":"Procore.Model.GenericToolItem1CreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItem1CreatedBy.t/0","doc":"","ref":"Procore.Model.GenericToolItem1CreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItem1CreatedByAllOfCompany","doc":"","ref":"Procore.Model.GenericToolItem1CreatedByAllOfCompany.html"},{"type":"function","title":"Procore.Model.GenericToolItem1CreatedByAllOfCompany.decode/1","doc":"","ref":"Procore.Model.GenericToolItem1CreatedByAllOfCompany.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItem1CreatedByAllOfCompany.t/0","doc":"","ref":"Procore.Model.GenericToolItem1CreatedByAllOfCompany.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItem1ScheduleImpact","doc":"","ref":"Procore.Model.GenericToolItem1ScheduleImpact.html"},{"type":"function","title":"Procore.Model.GenericToolItem1ScheduleImpact.decode/1","doc":"","ref":"Procore.Model.GenericToolItem1ScheduleImpact.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItem1ScheduleImpact.t/0","doc":"","ref":"Procore.Model.GenericToolItem1ScheduleImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItemGenericTool","doc":"","ref":"Procore.Model.GenericToolItemGenericTool.html"},{"type":"function","title":"Procore.Model.GenericToolItemGenericTool.decode/1","doc":"","ref":"Procore.Model.GenericToolItemGenericTool.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItemGenericTool.t/0","doc":"","ref":"Procore.Model.GenericToolItemGenericTool.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItemResponse","doc":"Generic Tool Item Response","ref":"Procore.Model.GenericToolItemResponse.html"},{"type":"function","title":"Procore.Model.GenericToolItemResponse.decode/1","doc":"","ref":"Procore.Model.GenericToolItemResponse.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItemResponse.t/0","doc":"","ref":"Procore.Model.GenericToolItemResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItemTasksInner","doc":"","ref":"Procore.Model.GenericToolItemTasksInner.html"},{"type":"function","title":"Procore.Model.GenericToolItemTasksInner.decode/1","doc":"","ref":"Procore.Model.GenericToolItemTasksInner.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItemTasksInner.t/0","doc":"","ref":"Procore.Model.GenericToolItemTasksInner.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItemTradesInner","doc":"","ref":"Procore.Model.GenericToolItemTradesInner.html"},{"type":"function","title":"Procore.Model.GenericToolItemTradesInner.decode/1","doc":"","ref":"Procore.Model.GenericToolItemTradesInner.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItemTradesInner.t/0","doc":"","ref":"Procore.Model.GenericToolItemTradesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItemsInner","doc":"","ref":"Procore.Model.GenericToolItemsInner.html"},{"type":"function","title":"Procore.Model.GenericToolItemsInner.decode/1","doc":"","ref":"Procore.Model.GenericToolItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItemsInner.t/0","doc":"","ref":"Procore.Model.GenericToolItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolItemsInner1","doc":"","ref":"Procore.Model.GenericToolItemsInner1.html"},{"type":"function","title":"Procore.Model.GenericToolItemsInner1.decode/1","doc":"","ref":"Procore.Model.GenericToolItemsInner1.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolItemsInner1.t/0","doc":"","ref":"Procore.Model.GenericToolItemsInner1.html#t:t/0"},{"type":"module","title":"Procore.Model.GenericToolStatus","doc":"","ref":"Procore.Model.GenericToolStatus.html"},{"type":"function","title":"Procore.Model.GenericToolStatus.decode/1","doc":"","ref":"Procore.Model.GenericToolStatus.html#decode/1"},{"type":"type","title":"Procore.Model.GenericToolStatus.t/0","doc":"","ref":"Procore.Model.GenericToolStatus.html#t:t/0"},{"type":"module","title":"Procore.Model.GpsPosition","doc":"Gps Position object","ref":"Procore.Model.GpsPosition.html"},{"type":"function","title":"Procore.Model.GpsPosition.decode/1","doc":"","ref":"Procore.Model.GpsPosition.html#decode/1"},{"type":"type","title":"Procore.Model.GpsPosition.t/0","doc":"","ref":"Procore.Model.GpsPosition.html#t:t/0"},{"type":"module","title":"Procore.Model.HarmSource","doc":"","ref":"Procore.Model.HarmSource.html"},{"type":"function","title":"Procore.Model.HarmSource.decode/1","doc":"","ref":"Procore.Model.HarmSource.html#decode/1"},{"type":"type","title":"Procore.Model.HarmSource.t/0","doc":"","ref":"Procore.Model.HarmSource.html#t:t/0"},{"type":"module","title":"Procore.Model.HarmSource1","doc":"","ref":"Procore.Model.HarmSource1.html"},{"type":"function","title":"Procore.Model.HarmSource1.decode/1","doc":"","ref":"Procore.Model.HarmSource1.html#decode/1"},{"type":"type","title":"Procore.Model.HarmSource1.t/0","doc":"","ref":"Procore.Model.HarmSource1.html#t:t/0"},{"type":"module","title":"Procore.Model.Hazard","doc":"","ref":"Procore.Model.Hazard.html"},{"type":"function","title":"Procore.Model.Hazard.decode/1","doc":"","ref":"Procore.Model.Hazard.html#decode/1"},{"type":"type","title":"Procore.Model.Hazard.t/0","doc":"","ref":"Procore.Model.Hazard.html#t:t/0"},{"type":"module","title":"Procore.Model.Hazard1","doc":"","ref":"Procore.Model.Hazard1.html"},{"type":"function","title":"Procore.Model.Hazard1.decode/1","doc":"","ref":"Procore.Model.Hazard1.html#decode/1"},{"type":"type","title":"Procore.Model.Hazard1.t/0","doc":"","ref":"Procore.Model.Hazard1.html#t:t/0"},{"type":"module","title":"Procore.Model.Image","doc":"","ref":"Procore.Model.Image.html"},{"type":"function","title":"Procore.Model.Image.decode/1","doc":"","ref":"Procore.Model.Image.html#decode/1"},{"type":"type","title":"Procore.Model.Image.t/0","doc":"","ref":"Procore.Model.Image.html#t:t/0"},{"type":"module","title":"Procore.Model.Image1","doc":"At least one attribute is required even when an 'upload_uuid' key is provided. If an 'upload_uuid' is not provided above, then the 'data' key must be provided","ref":"Procore.Model.Image1.html"},{"type":"function","title":"Procore.Model.Image1.decode/1","doc":"","ref":"Procore.Model.Image1.html#decode/1"},{"type":"type","title":"Procore.Model.Image1.t/0","doc":"","ref":"Procore.Model.Image1.html#t:t/0"},{"type":"module","title":"Procore.Model.Image2","doc":"","ref":"Procore.Model.Image2.html"},{"type":"function","title":"Procore.Model.Image2.decode/1","doc":"","ref":"Procore.Model.Image2.html#decode/1"},{"type":"type","title":"Procore.Model.Image2.t/0","doc":"","ref":"Procore.Model.Image2.html#t:t/0"},{"type":"module","title":"Procore.Model.ImageCategory","doc":"","ref":"Procore.Model.ImageCategory.html"},{"type":"function","title":"Procore.Model.ImageCategory.decode/1","doc":"","ref":"Procore.Model.ImageCategory.html#decode/1"},{"type":"type","title":"Procore.Model.ImageCategory.t/0","doc":"","ref":"Procore.Model.ImageCategory.html#t:t/0"},{"type":"module","title":"Procore.Model.ImageCategory1","doc":"","ref":"Procore.Model.ImageCategory1.html"},{"type":"function","title":"Procore.Model.ImageCategory1.decode/1","doc":"","ref":"Procore.Model.ImageCategory1.html#decode/1"},{"type":"type","title":"Procore.Model.ImageCategory1.t/0","doc":"","ref":"Procore.Model.ImageCategory1.html#t:t/0"},{"type":"module","title":"Procore.Model.ImageCategory2","doc":"","ref":"Procore.Model.ImageCategory2.html"},{"type":"function","title":"Procore.Model.ImageCategory2.decode/1","doc":"","ref":"Procore.Model.ImageCategory2.html#decode/1"},{"type":"type","title":"Procore.Model.ImageCategory2.t/0","doc":"","ref":"Procore.Model.ImageCategory2.html#t:t/0"},{"type":"module","title":"Procore.Model.ImageCategoryLinks","doc":"Action links","ref":"Procore.Model.ImageCategoryLinks.html"},{"type":"function","title":"Procore.Model.ImageCategoryLinks.decode/1","doc":"","ref":"Procore.Model.ImageCategoryLinks.html#decode/1"},{"type":"type","title":"Procore.Model.ImageCategoryLinks.t/0","doc":"","ref":"Procore.Model.ImageCategoryLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.InactiveUser","doc":"Inactive User","ref":"Procore.Model.InactiveUser.html"},{"type":"function","title":"Procore.Model.InactiveUser.decode/1","doc":"","ref":"Procore.Model.InactiveUser.html#decode/1"},{"type":"type","title":"Procore.Model.InactiveUser.t/0","doc":"","ref":"Procore.Model.InactiveUser.html#t:t/0"},{"type":"module","title":"Procore.Model.InactiveUserAllOfLinks","doc":"API Links","ref":"Procore.Model.InactiveUserAllOfLinks.html"},{"type":"function","title":"Procore.Model.InactiveUserAllOfLinks.decode/1","doc":"","ref":"Procore.Model.InactiveUserAllOfLinks.html#decode/1"},{"type":"type","title":"Procore.Model.InactiveUserAllOfLinks.t/0","doc":"","ref":"Procore.Model.InactiveUserAllOfLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentAffliction","doc":"","ref":"Procore.Model.IncidentAffliction.html"},{"type":"function","title":"Procore.Model.IncidentAffliction.decode/1","doc":"","ref":"Procore.Model.IncidentAffliction.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentAffliction.t/0","doc":"","ref":"Procore.Model.IncidentAffliction.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentAffliction1","doc":"","ref":"Procore.Model.IncidentAffliction1.html"},{"type":"function","title":"Procore.Model.IncidentAffliction1.decode/1","doc":"","ref":"Procore.Model.IncidentAffliction1.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentAffliction1.t/0","doc":"","ref":"Procore.Model.IncidentAffliction1.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentAttachment","doc":"","ref":"Procore.Model.IncidentAttachment.html"},{"type":"function","title":"Procore.Model.IncidentAttachment.decode/1","doc":"","ref":"Procore.Model.IncidentAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentAttachment.t/0","doc":"","ref":"Procore.Model.IncidentAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentAttachment1","doc":"","ref":"Procore.Model.IncidentAttachment1.html"},{"type":"function","title":"Procore.Model.IncidentAttachment1.decode/1","doc":"","ref":"Procore.Model.IncidentAttachment1.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentAttachment1.t/0","doc":"","ref":"Procore.Model.IncidentAttachment1.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentCompact","doc":"","ref":"Procore.Model.IncidentCompact.html"},{"type":"function","title":"Procore.Model.IncidentCompact.decode/1","doc":"","ref":"Procore.Model.IncidentCompact.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentCompact.t/0","doc":"","ref":"Procore.Model.IncidentCompact.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentEnvironmentalCreateParameters","doc":"","ref":"Procore.Model.IncidentEnvironmentalCreateParameters.html"},{"type":"function","title":"Procore.Model.IncidentEnvironmentalCreateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentEnvironmentalCreateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentEnvironmentalCreateParameters.t/0","doc":"","ref":"Procore.Model.IncidentEnvironmentalCreateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentEnvironmentalUpdateParameters","doc":"","ref":"Procore.Model.IncidentEnvironmentalUpdateParameters.html"},{"type":"function","title":"Procore.Model.IncidentEnvironmentalUpdateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentEnvironmentalUpdateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentEnvironmentalUpdateParameters.t/0","doc":"","ref":"Procore.Model.IncidentEnvironmentalUpdateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentEnvironmentalUpdateParameters1","doc":"","ref":"Procore.Model.IncidentEnvironmentalUpdateParameters1.html"},{"type":"function","title":"Procore.Model.IncidentEnvironmentalUpdateParameters1.decode/1","doc":"","ref":"Procore.Model.IncidentEnvironmentalUpdateParameters1.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentEnvironmentalUpdateParameters1.t/0","doc":"","ref":"Procore.Model.IncidentEnvironmentalUpdateParameters1.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentFilingType","doc":"","ref":"Procore.Model.IncidentFilingType.html"},{"type":"function","title":"Procore.Model.IncidentFilingType.decode/1","doc":"","ref":"Procore.Model.IncidentFilingType.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentFilingType.t/0","doc":"","ref":"Procore.Model.IncidentFilingType.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentInjuryCreateParameters","doc":"","ref":"Procore.Model.IncidentInjuryCreateParameters.html"},{"type":"function","title":"Procore.Model.IncidentInjuryCreateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentInjuryCreateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentInjuryCreateParameters.t/0","doc":"","ref":"Procore.Model.IncidentInjuryCreateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentInjuryUpdateParameters","doc":"","ref":"Procore.Model.IncidentInjuryUpdateParameters.html"},{"type":"function","title":"Procore.Model.IncidentInjuryUpdateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentInjuryUpdateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentInjuryUpdateParameters.t/0","doc":"","ref":"Procore.Model.IncidentInjuryUpdateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNearMissCreateParameters","doc":"","ref":"Procore.Model.IncidentNearMissCreateParameters.html"},{"type":"function","title":"Procore.Model.IncidentNearMissCreateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentNearMissCreateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNearMissCreateParameters.t/0","doc":"","ref":"Procore.Model.IncidentNearMissCreateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNearMissUpdateParameters","doc":"","ref":"Procore.Model.IncidentNearMissUpdateParameters.html"},{"type":"function","title":"Procore.Model.IncidentNearMissUpdateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentNearMissUpdateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNearMissUpdateParameters.t/0","doc":"","ref":"Procore.Model.IncidentNearMissUpdateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNormal","doc":"","ref":"Procore.Model.IncidentNormal.html"},{"type":"function","title":"Procore.Model.IncidentNormal.decode/1","doc":"","ref":"Procore.Model.IncidentNormal.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNormal.t/0","doc":"","ref":"Procore.Model.IncidentNormal.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNormalAllOfActionsInner","doc":"","ref":"Procore.Model.IncidentNormalAllOfActionsInner.html"},{"type":"function","title":"Procore.Model.IncidentNormalAllOfActionsInner.decode/1","doc":"","ref":"Procore.Model.IncidentNormalAllOfActionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNormalAllOfActionsInner.t/0","doc":"","ref":"Procore.Model.IncidentNormalAllOfActionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNormalAllOfEnvironmentalsInner","doc":"","ref":"Procore.Model.IncidentNormalAllOfEnvironmentalsInner.html"},{"type":"function","title":"Procore.Model.IncidentNormalAllOfEnvironmentalsInner.decode/1","doc":"","ref":"Procore.Model.IncidentNormalAllOfEnvironmentalsInner.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNormalAllOfEnvironmentalsInner.t/0","doc":"","ref":"Procore.Model.IncidentNormalAllOfEnvironmentalsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNormalAllOfEnvironmentalsInnerAllOfManagedEquipment","doc":"","ref":"Procore.Model.IncidentNormalAllOfEnvironmentalsInnerAllOfManagedEquipment.html"},{"type":"function","title":"Procore.Model.IncidentNormalAllOfEnvironmentalsInnerAllOfManagedEquipment.decode/1","doc":"","ref":"Procore.Model.IncidentNormalAllOfEnvironmentalsInnerAllOfManagedEquipment.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNormalAllOfEnvironmentalsInnerAllOfManagedEquipment.t/0","doc":"","ref":"Procore.Model.IncidentNormalAllOfEnvironmentalsInnerAllOfManagedEquipment.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNormalAllOfInjuriesInner","doc":"","ref":"Procore.Model.IncidentNormalAllOfInjuriesInner.html"},{"type":"function","title":"Procore.Model.IncidentNormalAllOfInjuriesInner.decode/1","doc":"","ref":"Procore.Model.IncidentNormalAllOfInjuriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNormalAllOfInjuriesInner.t/0","doc":"","ref":"Procore.Model.IncidentNormalAllOfInjuriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNormalAllOfNearMissesInner","doc":"","ref":"Procore.Model.IncidentNormalAllOfNearMissesInner.html"},{"type":"function","title":"Procore.Model.IncidentNormalAllOfNearMissesInner.decode/1","doc":"","ref":"Procore.Model.IncidentNormalAllOfNearMissesInner.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNormalAllOfNearMissesInner.t/0","doc":"","ref":"Procore.Model.IncidentNormalAllOfNearMissesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNormalAllOfPropertyDamagesInner","doc":"","ref":"Procore.Model.IncidentNormalAllOfPropertyDamagesInner.html"},{"type":"function","title":"Procore.Model.IncidentNormalAllOfPropertyDamagesInner.decode/1","doc":"","ref":"Procore.Model.IncidentNormalAllOfPropertyDamagesInner.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNormalAllOfPropertyDamagesInner.t/0","doc":"","ref":"Procore.Model.IncidentNormalAllOfPropertyDamagesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentNormalAllOfWitnessStatementsInner","doc":"","ref":"Procore.Model.IncidentNormalAllOfWitnessStatementsInner.html"},{"type":"function","title":"Procore.Model.IncidentNormalAllOfWitnessStatementsInner.decode/1","doc":"","ref":"Procore.Model.IncidentNormalAllOfWitnessStatementsInner.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentNormalAllOfWitnessStatementsInner.t/0","doc":"","ref":"Procore.Model.IncidentNormalAllOfWitnessStatementsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentPropertyDamageCreateParameters","doc":"","ref":"Procore.Model.IncidentPropertyDamageCreateParameters.html"},{"type":"function","title":"Procore.Model.IncidentPropertyDamageCreateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentPropertyDamageCreateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentPropertyDamageCreateParameters.t/0","doc":"","ref":"Procore.Model.IncidentPropertyDamageCreateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentPropertyDamageUpdateParameters","doc":"","ref":"Procore.Model.IncidentPropertyDamageUpdateParameters.html"},{"type":"function","title":"Procore.Model.IncidentPropertyDamageUpdateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentPropertyDamageUpdateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentPropertyDamageUpdateParameters.t/0","doc":"","ref":"Procore.Model.IncidentPropertyDamageUpdateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentStatus","doc":"","ref":"Procore.Model.IncidentStatus.html"},{"type":"function","title":"Procore.Model.IncidentStatus.decode/1","doc":"","ref":"Procore.Model.IncidentStatus.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentStatus.t/0","doc":"","ref":"Procore.Model.IncidentStatus.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentUnitOfMeasure","doc":"","ref":"Procore.Model.IncidentUnitOfMeasure.html"},{"type":"function","title":"Procore.Model.IncidentUnitOfMeasure.decode/1","doc":"","ref":"Procore.Model.IncidentUnitOfMeasure.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentUnitOfMeasure.t/0","doc":"","ref":"Procore.Model.IncidentUnitOfMeasure.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentWitnessStatementCreateParameters","doc":"","ref":"Procore.Model.IncidentWitnessStatementCreateParameters.html"},{"type":"function","title":"Procore.Model.IncidentWitnessStatementCreateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentWitnessStatementCreateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentWitnessStatementCreateParameters.t/0","doc":"","ref":"Procore.Model.IncidentWitnessStatementCreateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentWitnessStatementUpdateParameters","doc":"","ref":"Procore.Model.IncidentWitnessStatementUpdateParameters.html"},{"type":"function","title":"Procore.Model.IncidentWitnessStatementUpdateParameters.decode/1","doc":"","ref":"Procore.Model.IncidentWitnessStatementUpdateParameters.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentWitnessStatementUpdateParameters.t/0","doc":"","ref":"Procore.Model.IncidentWitnessStatementUpdateParameters.html#t:t/0"},{"type":"module","title":"Procore.Model.IncidentWitnessStatementUpdateParameters1","doc":"","ref":"Procore.Model.IncidentWitnessStatementUpdateParameters1.html"},{"type":"function","title":"Procore.Model.IncidentWitnessStatementUpdateParameters1.decode/1","doc":"","ref":"Procore.Model.IncidentWitnessStatementUpdateParameters1.html#decode/1"},{"type":"type","title":"Procore.Model.IncidentWitnessStatementUpdateParameters1.t/0","doc":"","ref":"Procore.Model.IncidentWitnessStatementUpdateParameters1.html#t:t/0"},{"type":"module","title":"Procore.Model.InspectionType","doc":"","ref":"Procore.Model.InspectionType.html"},{"type":"function","title":"Procore.Model.InspectionType.decode/1","doc":"","ref":"Procore.Model.InspectionType.html#decode/1"},{"type":"type","title":"Procore.Model.InspectionType.t/0","doc":"","ref":"Procore.Model.InspectionType.html#t:t/0"},{"type":"module","title":"Procore.Model.InspectionType1","doc":"","ref":"Procore.Model.InspectionType1.html"},{"type":"function","title":"Procore.Model.InspectionType1.decode/1","doc":"","ref":"Procore.Model.InspectionType1.html#decode/1"},{"type":"type","title":"Procore.Model.InspectionType1.t/0","doc":"","ref":"Procore.Model.InspectionType1.html#t:t/0"},{"type":"module","title":"Procore.Model.InspectionType2","doc":"","ref":"Procore.Model.InspectionType2.html"},{"type":"function","title":"Procore.Model.InspectionType2.decode/1","doc":"","ref":"Procore.Model.InspectionType2.html#decode/1"},{"type":"type","title":"Procore.Model.InspectionType2.t/0","doc":"","ref":"Procore.Model.InspectionType2.html#t:t/0"},{"type":"module","title":"Procore.Model.InspectionType3","doc":"Inspection Type object","ref":"Procore.Model.InspectionType3.html"},{"type":"function","title":"Procore.Model.InspectionType3.decode/1","doc":"","ref":"Procore.Model.InspectionType3.html#decode/1"},{"type":"type","title":"Procore.Model.InspectionType3.t/0","doc":"","ref":"Procore.Model.InspectionType3.html#t:t/0"},{"type":"module","title":"Procore.Model.InspectionTypeBody","doc":"","ref":"Procore.Model.InspectionTypeBody.html"},{"type":"function","title":"Procore.Model.InspectionTypeBody.decode/1","doc":"","ref":"Procore.Model.InspectionTypeBody.html#decode/1"},{"type":"type","title":"Procore.Model.InspectionTypeBody.t/0","doc":"","ref":"Procore.Model.InspectionTypeBody.html#t:t/0"},{"type":"module","title":"Procore.Model.InspectionUser","doc":"","ref":"Procore.Model.InspectionUser.html"},{"type":"function","title":"Procore.Model.InspectionUser.decode/1","doc":"","ref":"Procore.Model.InspectionUser.html#decode/1"},{"type":"type","title":"Procore.Model.InspectionUser.t/0","doc":"","ref":"Procore.Model.InspectionUser.html#t:t/0"},{"type":"module","title":"Procore.Model.InspectionUserCustomFields","doc":"","ref":"Procore.Model.InspectionUserCustomFields.html"},{"type":"function","title":"Procore.Model.InspectionUserCustomFields.decode/1","doc":"","ref":"Procore.Model.InspectionUserCustomFields.html#decode/1"},{"type":"type","title":"Procore.Model.InspectionUserCustomFields.t/0","doc":"","ref":"Procore.Model.InspectionUserCustomFields.html#t:t/0"},{"type":"module","title":"Procore.Model.Inspector","doc":"","ref":"Procore.Model.Inspector.html"},{"type":"function","title":"Procore.Model.Inspector.decode/1","doc":"","ref":"Procore.Model.Inspector.html#decode/1"},{"type":"type","title":"Procore.Model.Inspector.t/0","doc":"","ref":"Procore.Model.Inspector.html#t:t/0"},{"type":"module","title":"Procore.Model.InspectorCompany","doc":"Company","ref":"Procore.Model.InspectorCompany.html"},{"type":"function","title":"Procore.Model.InspectorCompany.decode/1","doc":"","ref":"Procore.Model.InspectorCompany.html#decode/1"},{"type":"type","title":"Procore.Model.InspectorCompany.t/0","doc":"","ref":"Procore.Model.InspectorCompany.html#t:t/0"},{"type":"module","title":"Procore.Model.Instruction","doc":"","ref":"Procore.Model.Instruction.html"},{"type":"function","title":"Procore.Model.Instruction.decode/1","doc":"","ref":"Procore.Model.Instruction.html#decode/1"},{"type":"type","title":"Procore.Model.Instruction.t/0","doc":"","ref":"Procore.Model.Instruction.html#t:t/0"},{"type":"module","title":"Procore.Model.Instruction1","doc":"","ref":"Procore.Model.Instruction1.html"},{"type":"function","title":"Procore.Model.Instruction1.decode/1","doc":"","ref":"Procore.Model.Instruction1.html#decode/1"},{"type":"type","title":"Procore.Model.Instruction1.t/0","doc":"","ref":"Procore.Model.Instruction1.html#t:t/0"},{"type":"module","title":"Procore.Model.InstructionCostImpact","doc":"The Cost Impact of the Instruction","ref":"Procore.Model.InstructionCostImpact.html"},{"type":"function","title":"Procore.Model.InstructionCostImpact.decode/1","doc":"","ref":"Procore.Model.InstructionCostImpact.html#decode/1"},{"type":"type","title":"Procore.Model.InstructionCostImpact.t/0","doc":"","ref":"Procore.Model.InstructionCostImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.InstructionScheduleImpact","doc":"The Schedule Impact of the Instruction","ref":"Procore.Model.InstructionScheduleImpact.html"},{"type":"function","title":"Procore.Model.InstructionScheduleImpact.decode/1","doc":"","ref":"Procore.Model.InstructionScheduleImpact.html#decode/1"},{"type":"type","title":"Procore.Model.InstructionScheduleImpact.t/0","doc":"","ref":"Procore.Model.InstructionScheduleImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.InstructionType","doc":"","ref":"Procore.Model.InstructionType.html"},{"type":"function","title":"Procore.Model.InstructionType.decode/1","doc":"","ref":"Procore.Model.InstructionType.html#decode/1"},{"type":"type","title":"Procore.Model.InstructionType.t/0","doc":"","ref":"Procore.Model.InstructionType.html#t:t/0"},{"type":"module","title":"Procore.Model.Insurance","doc":"","ref":"Procore.Model.Insurance.html"},{"type":"function","title":"Procore.Model.Insurance.decode/1","doc":"","ref":"Procore.Model.Insurance.html#decode/1"},{"type":"type","title":"Procore.Model.Insurance.t/0","doc":"","ref":"Procore.Model.Insurance.html#t:t/0"},{"type":"module","title":"Procore.Model.Insurance1","doc":"","ref":"Procore.Model.Insurance1.html"},{"type":"function","title":"Procore.Model.Insurance1.decode/1","doc":"","ref":"Procore.Model.Insurance1.html#decode/1"},{"type":"type","title":"Procore.Model.Insurance1.t/0","doc":"","ref":"Procore.Model.Insurance1.html#t:t/0"},{"type":"module","title":"Procore.Model.Insurance2","doc":"","ref":"Procore.Model.Insurance2.html"},{"type":"function","title":"Procore.Model.Insurance2.decode/1","doc":"","ref":"Procore.Model.Insurance2.html#decode/1"},{"type":"type","title":"Procore.Model.Insurance2.t/0","doc":"","ref":"Procore.Model.Insurance2.html#t:t/0"},{"type":"module","title":"Procore.Model.Insurance3","doc":"","ref":"Procore.Model.Insurance3.html"},{"type":"function","title":"Procore.Model.Insurance3.decode/1","doc":"","ref":"Procore.Model.Insurance3.html#decode/1"},{"type":"type","title":"Procore.Model.Insurance3.t/0","doc":"","ref":"Procore.Model.Insurance3.html#t:t/0"},{"type":"module","title":"Procore.Model.Insurance4","doc":"","ref":"Procore.Model.Insurance4.html"},{"type":"function","title":"Procore.Model.Insurance4.decode/1","doc":"","ref":"Procore.Model.Insurance4.html#decode/1"},{"type":"type","title":"Procore.Model.Insurance4.t/0","doc":"","ref":"Procore.Model.Insurance4.html#t:t/0"},{"type":"module","title":"Procore.Model.Insurance5","doc":"","ref":"Procore.Model.Insurance5.html"},{"type":"function","title":"Procore.Model.Insurance5.decode/1","doc":"","ref":"Procore.Model.Insurance5.html#decode/1"},{"type":"type","title":"Procore.Model.Insurance5.t/0","doc":"","ref":"Procore.Model.Insurance5.html#t:t/0"},{"type":"module","title":"Procore.Model.InsuranceSyncBody","doc":"","ref":"Procore.Model.InsuranceSyncBody.html"},{"type":"function","title":"Procore.Model.InsuranceSyncBody.decode/1","doc":"","ref":"Procore.Model.InsuranceSyncBody.html#decode/1"},{"type":"type","title":"Procore.Model.InsuranceSyncBody.t/0","doc":"","ref":"Procore.Model.InsuranceSyncBody.html#t:t/0"},{"type":"module","title":"Procore.Model.InsuranceSyncBody1","doc":"","ref":"Procore.Model.InsuranceSyncBody1.html"},{"type":"function","title":"Procore.Model.InsuranceSyncBody1.decode/1","doc":"","ref":"Procore.Model.InsuranceSyncBody1.html#decode/1"},{"type":"type","title":"Procore.Model.InsuranceSyncBody1.t/0","doc":"","ref":"Procore.Model.InsuranceSyncBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.InsuranceSyncBody2","doc":"","ref":"Procore.Model.InsuranceSyncBody2.html"},{"type":"function","title":"Procore.Model.InsuranceSyncBody2.decode/1","doc":"","ref":"Procore.Model.InsuranceSyncBody2.html#decode/1"},{"type":"type","title":"Procore.Model.InsuranceSyncBody2.t/0","doc":"","ref":"Procore.Model.InsuranceSyncBody2.html#t:t/0"},{"type":"module","title":"Procore.Model.Item","doc":"Item object","ref":"Procore.Model.Item.html"},{"type":"function","title":"Procore.Model.Item.decode/1","doc":"","ref":"Procore.Model.Item.html#decode/1"},{"type":"type","title":"Procore.Model.Item.t/0","doc":"","ref":"Procore.Model.Item.html#t:t/0"},{"type":"module","title":"Procore.Model.ItemItemAttachmentsAttributesInner","doc":"","ref":"Procore.Model.ItemItemAttachmentsAttributesInner.html"},{"type":"function","title":"Procore.Model.ItemItemAttachmentsAttributesInner.decode/1","doc":"","ref":"Procore.Model.ItemItemAttachmentsAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ItemItemAttachmentsAttributesInner.t/0","doc":"","ref":"Procore.Model.ItemItemAttachmentsAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ItemResponse","doc":"Item Response object","ref":"Procore.Model.ItemResponse.html"},{"type":"function","title":"Procore.Model.ItemResponse.decode/1","doc":"","ref":"Procore.Model.ItemResponse.html#decode/1"},{"type":"type","title":"Procore.Model.ItemResponse.t/0","doc":"","ref":"Procore.Model.ItemResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.ItemResponseSet","doc":"Item Response Set object","ref":"Procore.Model.ItemResponseSet.html"},{"type":"function","title":"Procore.Model.ItemResponseSet.decode/1","doc":"","ref":"Procore.Model.ItemResponseSet.html#decode/1"},{"type":"type","title":"Procore.Model.ItemResponseSet.t/0","doc":"","ref":"Procore.Model.ItemResponseSet.html#t:t/0"},{"type":"module","title":"Procore.Model.ItemResponseSet1","doc":"Item Response Set object","ref":"Procore.Model.ItemResponseSet1.html"},{"type":"function","title":"Procore.Model.ItemResponseSet1.decode/1","doc":"","ref":"Procore.Model.ItemResponseSet1.html#decode/1"},{"type":"type","title":"Procore.Model.ItemResponseSet1.t/0","doc":"","ref":"Procore.Model.ItemResponseSet1.html#t:t/0"},{"type":"module","title":"Procore.Model.ItemResponseSetMembershipsAttributesInner","doc":"","ref":"Procore.Model.ItemResponseSetMembershipsAttributesInner.html"},{"type":"function","title":"Procore.Model.ItemResponseSetMembershipsAttributesInner.decode/1","doc":"","ref":"Procore.Model.ItemResponseSetMembershipsAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.ItemResponseSetMembershipsAttributesInner.t/0","doc":"","ref":"Procore.Model.ItemResponseSetMembershipsAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ItemResponseSetMembershipsAttributesInnerResponseAttributes","doc":"Response to be included in the Response Set","ref":"Procore.Model.ItemResponseSetMembershipsAttributesInnerResponseAttributes.html"},{"type":"function","title":"Procore.Model.ItemResponseSetMembershipsAttributesInnerResponseAttributes.decode/1","doc":"","ref":"Procore.Model.ItemResponseSetMembershipsAttributesInnerResponseAttributes.html#decode/1"},{"type":"type","title":"Procore.Model.ItemResponseSetMembershipsAttributesInnerResponseAttributes.t/0","doc":"","ref":"Procore.Model.ItemResponseSetMembershipsAttributesInnerResponseAttributes.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItem","doc":"The Line Item object","ref":"Procore.Model.LineItem.html"},{"type":"function","title":"Procore.Model.LineItem.decode/1","doc":"","ref":"Procore.Model.LineItem.html#decode/1"},{"type":"type","title":"Procore.Model.LineItem.t/0","doc":"","ref":"Procore.Model.LineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItem1","doc":"The Line Item object","ref":"Procore.Model.LineItem1.html"},{"type":"function","title":"Procore.Model.LineItem1.decode/1","doc":"","ref":"Procore.Model.LineItem1.html#decode/1"},{"type":"type","title":"Procore.Model.LineItem1.t/0","doc":"","ref":"Procore.Model.LineItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItem2","doc":"Line Item object","ref":"Procore.Model.LineItem2.html"},{"type":"function","title":"Procore.Model.LineItem2.decode/1","doc":"","ref":"Procore.Model.LineItem2.html#decode/1"},{"type":"type","title":"Procore.Model.LineItem2.t/0","doc":"","ref":"Procore.Model.LineItem2.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItemSyncBody","doc":"","ref":"Procore.Model.LineItemSyncBody.html"},{"type":"function","title":"Procore.Model.LineItemSyncBody.decode/1","doc":"","ref":"Procore.Model.LineItemSyncBody.html#decode/1"},{"type":"type","title":"Procore.Model.LineItemSyncBody.t/0","doc":"","ref":"Procore.Model.LineItemSyncBody.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItemSyncBody1","doc":"","ref":"Procore.Model.LineItemSyncBody1.html"},{"type":"function","title":"Procore.Model.LineItemSyncBody1.decode/1","doc":"","ref":"Procore.Model.LineItemSyncBody1.html#decode/1"},{"type":"type","title":"Procore.Model.LineItemSyncBody1.t/0","doc":"","ref":"Procore.Model.LineItemSyncBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItemType","doc":"Line Item Type","ref":"Procore.Model.LineItemType.html"},{"type":"function","title":"Procore.Model.LineItemType.decode/1","doc":"","ref":"Procore.Model.LineItemType.html#decode/1"},{"type":"type","title":"Procore.Model.LineItemType.t/0","doc":"","ref":"Procore.Model.LineItemType.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItemType1","doc":"Line Item Type","ref":"Procore.Model.LineItemType1.html"},{"type":"function","title":"Procore.Model.LineItemType1.decode/1","doc":"","ref":"Procore.Model.LineItemType1.html#decode/1"},{"type":"type","title":"Procore.Model.LineItemType1.t/0","doc":"","ref":"Procore.Model.LineItemType1.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItemType2","doc":"Line Item Type object","ref":"Procore.Model.LineItemType2.html"},{"type":"function","title":"Procore.Model.LineItemType2.decode/1","doc":"","ref":"Procore.Model.LineItemType2.html#decode/1"},{"type":"type","title":"Procore.Model.LineItemType2.t/0","doc":"","ref":"Procore.Model.LineItemType2.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItemType3","doc":"Line Item Type","ref":"Procore.Model.LineItemType3.html"},{"type":"function","title":"Procore.Model.LineItemType3.decode/1","doc":"","ref":"Procore.Model.LineItemType3.html#decode/1"},{"type":"type","title":"Procore.Model.LineItemType3.t/0","doc":"","ref":"Procore.Model.LineItemType3.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItemTypeSyncBody","doc":"","ref":"Procore.Model.LineItemTypeSyncBody.html"},{"type":"function","title":"Procore.Model.LineItemTypeSyncBody.decode/1","doc":"","ref":"Procore.Model.LineItemTypeSyncBody.html#decode/1"},{"type":"type","title":"Procore.Model.LineItemTypeSyncBody.t/0","doc":"","ref":"Procore.Model.LineItemTypeSyncBody.html#t:t/0"},{"type":"module","title":"Procore.Model.LineItemTypeSyncBodyUpdatesInner","doc":"","ref":"Procore.Model.LineItemTypeSyncBodyUpdatesInner.html"},{"type":"function","title":"Procore.Model.LineItemTypeSyncBodyUpdatesInner.decode/1","doc":"","ref":"Procore.Model.LineItemTypeSyncBodyUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.LineItemTypeSyncBodyUpdatesInner.t/0","doc":"","ref":"Procore.Model.LineItemTypeSyncBodyUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Links","doc":"","ref":"Procore.Model.Links.html"},{"type":"function","title":"Procore.Model.Links.decode/1","doc":"","ref":"Procore.Model.Links.html#decode/1"},{"type":"type","title":"Procore.Model.Links.t/0","doc":"","ref":"Procore.Model.Links.html#t:t/0"},{"type":"module","title":"Procore.Model.Location","doc":"","ref":"Procore.Model.Location.html"},{"type":"function","title":"Procore.Model.Location.decode/1","doc":"","ref":"Procore.Model.Location.html#decode/1"},{"type":"type","title":"Procore.Model.Location.t/0","doc":"","ref":"Procore.Model.Location.html#t:t/0"},{"type":"module","title":"Procore.Model.Location1","doc":"","ref":"Procore.Model.Location1.html"},{"type":"function","title":"Procore.Model.Location1.decode/1","doc":"","ref":"Procore.Model.Location1.html#decode/1"},{"type":"type","title":"Procore.Model.Location1.t/0","doc":"","ref":"Procore.Model.Location1.html#t:t/0"},{"type":"module","title":"Procore.Model.Location2","doc":"","ref":"Procore.Model.Location2.html"},{"type":"function","title":"Procore.Model.Location2.decode/1","doc":"","ref":"Procore.Model.Location2.html#decode/1"},{"type":"type","title":"Procore.Model.Location2.t/0","doc":"","ref":"Procore.Model.Location2.html#t:t/0"},{"type":"module","title":"Procore.Model.Location3","doc":"","ref":"Procore.Model.Location3.html"},{"type":"function","title":"Procore.Model.Location3.decode/1","doc":"","ref":"Procore.Model.Location3.html#decode/1"},{"type":"type","title":"Procore.Model.Location3.t/0","doc":"","ref":"Procore.Model.Location3.html#t:t/0"},{"type":"module","title":"Procore.Model.Location4","doc":"","ref":"Procore.Model.Location4.html"},{"type":"function","title":"Procore.Model.Location4.decode/1","doc":"","ref":"Procore.Model.Location4.html#decode/1"},{"type":"type","title":"Procore.Model.Location4.t/0","doc":"","ref":"Procore.Model.Location4.html#t:t/0"},{"type":"module","title":"Procore.Model.Location5","doc":"","ref":"Procore.Model.Location5.html"},{"type":"function","title":"Procore.Model.Location5.decode/1","doc":"","ref":"Procore.Model.Location5.html#decode/1"},{"type":"type","title":"Procore.Model.Location5.t/0","doc":"","ref":"Procore.Model.Location5.html#t:t/0"},{"type":"module","title":"Procore.Model.Location6","doc":"","ref":"Procore.Model.Location6.html"},{"type":"function","title":"Procore.Model.Location6.decode/1","doc":"","ref":"Procore.Model.Location6.html#decode/1"},{"type":"type","title":"Procore.Model.Location6.t/0","doc":"","ref":"Procore.Model.Location6.html#t:t/0"},{"type":"module","title":"Procore.Model.Location7","doc":"","ref":"Procore.Model.Location7.html"},{"type":"function","title":"Procore.Model.Location7.decode/1","doc":"","ref":"Procore.Model.Location7.html#decode/1"},{"type":"type","title":"Procore.Model.Location7.t/0","doc":"","ref":"Procore.Model.Location7.html#t:t/0"},{"type":"module","title":"Procore.Model.Location8","doc":"","ref":"Procore.Model.Location8.html"},{"type":"function","title":"Procore.Model.Location8.decode/1","doc":"","ref":"Procore.Model.Location8.html#decode/1"},{"type":"type","title":"Procore.Model.Location8.t/0","doc":"","ref":"Procore.Model.Location8.html#t:t/0"},{"type":"module","title":"Procore.Model.Lookahead","doc":"","ref":"Procore.Model.Lookahead.html"},{"type":"function","title":"Procore.Model.Lookahead.decode/1","doc":"","ref":"Procore.Model.Lookahead.html#decode/1"},{"type":"type","title":"Procore.Model.Lookahead.t/0","doc":"","ref":"Procore.Model.Lookahead.html#t:t/0"},{"type":"module","title":"Procore.Model.Lookahead1","doc":"","ref":"Procore.Model.Lookahead1.html"},{"type":"function","title":"Procore.Model.Lookahead1.decode/1","doc":"","ref":"Procore.Model.Lookahead1.html#decode/1"},{"type":"type","title":"Procore.Model.Lookahead1.t/0","doc":"","ref":"Procore.Model.Lookahead1.html#t:t/0"},{"type":"module","title":"Procore.Model.LookaheadTask","doc":"","ref":"Procore.Model.LookaheadTask.html"},{"type":"function","title":"Procore.Model.LookaheadTask.decode/1","doc":"","ref":"Procore.Model.LookaheadTask.html#decode/1"},{"type":"type","title":"Procore.Model.LookaheadTask.t/0","doc":"","ref":"Procore.Model.LookaheadTask.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipment","doc":"Managed Equipment Object","ref":"Procore.Model.ManagedEquipment.html"},{"type":"function","title":"Procore.Model.ManagedEquipment.decode/1","doc":"","ref":"Procore.Model.ManagedEquipment.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipment.t/0","doc":"","ref":"Procore.Model.ManagedEquipment.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipment1","doc":"Managed Equipment Object","ref":"Procore.Model.ManagedEquipment1.html"},{"type":"function","title":"Procore.Model.ManagedEquipment1.decode/1","doc":"","ref":"Procore.Model.ManagedEquipment1.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipment1.t/0","doc":"","ref":"Procore.Model.ManagedEquipment1.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentAttachment","doc":"Equipment Attachment","ref":"Procore.Model.ManagedEquipmentAttachment.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentAttachment.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentAttachment.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentBody","doc":"","ref":"Procore.Model.ManagedEquipmentBody.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentBody.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentBody.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentBody.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentCategory","doc":"Equipment Category","ref":"Procore.Model.ManagedEquipmentCategory.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentCategory.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentCategory.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentCategory.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentCategory.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentChangeHistory","doc":"Equipment Change History","ref":"Procore.Model.ManagedEquipmentChangeHistory.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentChangeHistory.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentChangeHistory.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentChangeHistory.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentChangeHistory.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentDependentBody","doc":"","ref":"Procore.Model.ManagedEquipmentDependentBody.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentDependentBody.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentDependentBody.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentDependentBody.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentDependentBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentMaintenanceLogsAttachment","doc":"Maintenance Log Attachment","ref":"Procore.Model.ManagedEquipmentMaintenanceLogsAttachment.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentMaintenanceLogsAttachment.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentMaintenanceLogsAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentMaintenanceLogsAttachment.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentMaintenanceLogsAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentMake","doc":"Equipment Make","ref":"Procore.Model.ManagedEquipmentMake.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentMake.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentMake.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentMake.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentMake.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentModel","doc":"Equipment Model","ref":"Procore.Model.ManagedEquipmentModel.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentModel.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentModel.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentModel.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentModel.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentPermissionUpdateBody","doc":"","ref":"Procore.Model.ManagedEquipmentPermissionUpdateBody.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentPermissionUpdateBody.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentPermissionUpdateBody.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentPermissionUpdateBody.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentPermissionUpdateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentSerialNumberUpdateBody","doc":"","ref":"Procore.Model.ManagedEquipmentSerialNumberUpdateBody.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentSerialNumberUpdateBody.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentSerialNumberUpdateBody.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentSerialNumberUpdateBody.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentSerialNumberUpdateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ManagedEquipmentType","doc":"Equipment Type","ref":"Procore.Model.ManagedEquipmentType.html"},{"type":"function","title":"Procore.Model.ManagedEquipmentType.decode/1","doc":"","ref":"Procore.Model.ManagedEquipmentType.html#decode/1"},{"type":"type","title":"Procore.Model.ManagedEquipmentType.t/0","doc":"","ref":"Procore.Model.ManagedEquipmentType.html#t:t/0"},{"type":"module","title":"Procore.Model.MaterialBody","doc":"","ref":"Procore.Model.MaterialBody.html"},{"type":"function","title":"Procore.Model.MaterialBody.decode/1","doc":"","ref":"Procore.Model.MaterialBody.html#decode/1"},{"type":"type","title":"Procore.Model.MaterialBody.t/0","doc":"","ref":"Procore.Model.MaterialBody.html#t:t/0"},{"type":"module","title":"Procore.Model.MaterialBulkCreateBody","doc":"","ref":"Procore.Model.MaterialBulkCreateBody.html"},{"type":"function","title":"Procore.Model.MaterialBulkCreateBody.decode/1","doc":"","ref":"Procore.Model.MaterialBulkCreateBody.html#decode/1"},{"type":"type","title":"Procore.Model.MaterialBulkCreateBody.t/0","doc":"","ref":"Procore.Model.MaterialBulkCreateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.MaterialBulkDestroyBody","doc":"","ref":"Procore.Model.MaterialBulkDestroyBody.html"},{"type":"function","title":"Procore.Model.MaterialBulkDestroyBody.decode/1","doc":"","ref":"Procore.Model.MaterialBulkDestroyBody.html#decode/1"},{"type":"type","title":"Procore.Model.MaterialBulkDestroyBody.t/0","doc":"","ref":"Procore.Model.MaterialBulkDestroyBody.html#t:t/0"},{"type":"module","title":"Procore.Model.MaterialBulkUpdateBody","doc":"","ref":"Procore.Model.MaterialBulkUpdateBody.html"},{"type":"function","title":"Procore.Model.MaterialBulkUpdateBody.decode/1","doc":"","ref":"Procore.Model.MaterialBulkUpdateBody.html#decode/1"},{"type":"type","title":"Procore.Model.MaterialBulkUpdateBody.t/0","doc":"","ref":"Procore.Model.MaterialBulkUpdateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.MaterialProperties","doc":"","ref":"Procore.Model.MaterialProperties.html"},{"type":"function","title":"Procore.Model.MaterialProperties.decode/1","doc":"","ref":"Procore.Model.MaterialProperties.html#decode/1"},{"type":"type","title":"Procore.Model.MaterialProperties.t/0","doc":"","ref":"Procore.Model.MaterialProperties.html#t:t/0"},{"type":"module","title":"Procore.Model.Meeting","doc":"Meeting object","ref":"Procore.Model.Meeting.html"},{"type":"function","title":"Procore.Model.Meeting.decode/1","doc":"","ref":"Procore.Model.Meeting.html#decode/1"},{"type":"type","title":"Procore.Model.Meeting.t/0","doc":"","ref":"Procore.Model.Meeting.html#t:t/0"},{"type":"module","title":"Procore.Model.Meeting1","doc":"Meeting object","ref":"Procore.Model.Meeting1.html"},{"type":"function","title":"Procore.Model.Meeting1.decode/1","doc":"","ref":"Procore.Model.Meeting1.html#decode/1"},{"type":"type","title":"Procore.Model.Meeting1.t/0","doc":"","ref":"Procore.Model.Meeting1.html#t:t/0"},{"type":"module","title":"Procore.Model.Meeting2","doc":"Meeting object","ref":"Procore.Model.Meeting2.html"},{"type":"function","title":"Procore.Model.Meeting2.decode/1","doc":"","ref":"Procore.Model.Meeting2.html#decode/1"},{"type":"type","title":"Procore.Model.Meeting2.t/0","doc":"","ref":"Procore.Model.Meeting2.html#t:t/0"},{"type":"module","title":"Procore.Model.Meeting3","doc":"Meeting object","ref":"Procore.Model.Meeting3.html"},{"type":"function","title":"Procore.Model.Meeting3.decode/1","doc":"","ref":"Procore.Model.Meeting3.html#decode/1"},{"type":"type","title":"Procore.Model.Meeting3.t/0","doc":"","ref":"Procore.Model.Meeting3.html#t:t/0"},{"type":"module","title":"Procore.Model.MeetingCategory","doc":"Meeting Category object","ref":"Procore.Model.MeetingCategory.html"},{"type":"function","title":"Procore.Model.MeetingCategory.decode/1","doc":"","ref":"Procore.Model.MeetingCategory.html#decode/1"},{"type":"type","title":"Procore.Model.MeetingCategory.t/0","doc":"","ref":"Procore.Model.MeetingCategory.html#t:t/0"},{"type":"module","title":"Procore.Model.MeetingTopic","doc":"Meeting topic object","ref":"Procore.Model.MeetingTopic.html"},{"type":"function","title":"Procore.Model.MeetingTopic.decode/1","doc":"","ref":"Procore.Model.MeetingTopic.html#decode/1"},{"type":"type","title":"Procore.Model.MeetingTopic.t/0","doc":"","ref":"Procore.Model.MeetingTopic.html#t:t/0"},{"type":"module","title":"Procore.Model.MeetingTopicAssignmentIdsInner","doc":"","ref":"Procore.Model.MeetingTopicAssignmentIdsInner.html"},{"type":"function","title":"Procore.Model.MeetingTopicAssignmentIdsInner.decode/1","doc":"","ref":"Procore.Model.MeetingTopicAssignmentIdsInner.html#decode/1"},{"type":"type","title":"Procore.Model.MeetingTopicAssignmentIdsInner.t/0","doc":"","ref":"Procore.Model.MeetingTopicAssignmentIdsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.NameView","doc":"","ref":"Procore.Model.NameView.html"},{"type":"function","title":"Procore.Model.NameView.decode/1","doc":"","ref":"Procore.Model.NameView.html#decode/1"},{"type":"type","title":"Procore.Model.NameView.t/0","doc":"","ref":"Procore.Model.NameView.html#t:t/0"},{"type":"module","title":"Procore.Model.NestedBimViewFolderBatchCreateResponse","doc":"","ref":"Procore.Model.NestedBimViewFolderBatchCreateResponse.html"},{"type":"function","title":"Procore.Model.NestedBimViewFolderBatchCreateResponse.decode/1","doc":"","ref":"Procore.Model.NestedBimViewFolderBatchCreateResponse.html#decode/1"},{"type":"type","title":"Procore.Model.NestedBimViewFolderBatchCreateResponse.t/0","doc":"","ref":"Procore.Model.NestedBimViewFolderBatchCreateResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.NestedBimViewFolderBatchCreateResponseErrorsInner","doc":"","ref":"Procore.Model.NestedBimViewFolderBatchCreateResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.NestedBimViewFolderBatchCreateResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.NestedBimViewFolderBatchCreateResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.NestedBimViewFolderBatchCreateResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.NestedBimViewFolderBatchCreateResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Normal","doc":"","ref":"Procore.Model.Normal.html"},{"type":"function","title":"Procore.Model.Normal.decode/1","doc":"","ref":"Procore.Model.Normal.html#decode/1"},{"type":"type","title":"Procore.Model.Normal.t/0","doc":"","ref":"Procore.Model.Normal.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalCustomFields","doc":"","ref":"Procore.Model.NormalCustomFields.html"},{"type":"function","title":"Procore.Model.NormalCustomFields.decode/1","doc":"","ref":"Procore.Model.NormalCustomFields.html#decode/1"},{"type":"type","title":"Procore.Model.NormalCustomFields.t/0","doc":"","ref":"Procore.Model.NormalCustomFields.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalView","doc":"","ref":"Procore.Model.NormalView.html"},{"type":"function","title":"Procore.Model.NormalView.decode/1","doc":"","ref":"Procore.Model.NormalView.html#decode/1"},{"type":"type","title":"Procore.Model.NormalView.t/0","doc":"","ref":"Procore.Model.NormalView.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalView1","doc":"Project Person","ref":"Procore.Model.NormalView1.html"},{"type":"function","title":"Procore.Model.NormalView1.decode/1","doc":"","ref":"Procore.Model.NormalView1.html#decode/1"},{"type":"type","title":"Procore.Model.NormalView1.t/0","doc":"","ref":"Procore.Model.NormalView1.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalView1Contact","doc":"The Contact associated with the Project Person","ref":"Procore.Model.NormalView1Contact.html"},{"type":"function","title":"Procore.Model.NormalView1Contact.decode/1","doc":"","ref":"Procore.Model.NormalView1Contact.html#decode/1"},{"type":"type","title":"Procore.Model.NormalView1Contact.t/0","doc":"","ref":"Procore.Model.NormalView1Contact.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalView2","doc":"","ref":"Procore.Model.NormalView2.html"},{"type":"function","title":"Procore.Model.NormalView2.decode/1","doc":"","ref":"Procore.Model.NormalView2.html#decode/1"},{"type":"type","title":"Procore.Model.NormalView2.t/0","doc":"","ref":"Procore.Model.NormalView2.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalViewAttachmentsInner","doc":"","ref":"Procore.Model.NormalViewAttachmentsInner.html"},{"type":"function","title":"Procore.Model.NormalViewAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.NormalViewAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.NormalViewAttachmentsInner.t/0","doc":"","ref":"Procore.Model.NormalViewAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalViewBusinessRegister","doc":"business register","ref":"Procore.Model.NormalViewBusinessRegister.html"},{"type":"function","title":"Procore.Model.NormalViewBusinessRegister.decode/1","doc":"","ref":"Procore.Model.NormalViewBusinessRegister.html#decode/1"},{"type":"type","title":"Procore.Model.NormalViewBusinessRegister.t/0","doc":"","ref":"Procore.Model.NormalViewBusinessRegister.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalViewCompanyPermissionTemplate","doc":"","ref":"Procore.Model.NormalViewCompanyPermissionTemplate.html"},{"type":"function","title":"Procore.Model.NormalViewCompanyPermissionTemplate.decode/1","doc":"","ref":"Procore.Model.NormalViewCompanyPermissionTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.NormalViewCompanyPermissionTemplate.t/0","doc":"","ref":"Procore.Model.NormalViewCompanyPermissionTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalViewPermissionTemplate","doc":"","ref":"Procore.Model.NormalViewPermissionTemplate.html"},{"type":"function","title":"Procore.Model.NormalViewPermissionTemplate.decode/1","doc":"","ref":"Procore.Model.NormalViewPermissionTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.NormalViewPermissionTemplate.t/0","doc":"","ref":"Procore.Model.NormalViewPermissionTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalViewPrimaryContact","doc":"Primary contact","ref":"Procore.Model.NormalViewPrimaryContact.html"},{"type":"function","title":"Procore.Model.NormalViewPrimaryContact.decode/1","doc":"","ref":"Procore.Model.NormalViewPrimaryContact.html#decode/1"},{"type":"type","title":"Procore.Model.NormalViewPrimaryContact.t/0","doc":"","ref":"Procore.Model.NormalViewPrimaryContact.html#t:t/0"},{"type":"module","title":"Procore.Model.NormalViewVendorGroup","doc":"","ref":"Procore.Model.NormalViewVendorGroup.html"},{"type":"function","title":"Procore.Model.NormalViewVendorGroup.decode/1","doc":"","ref":"Procore.Model.NormalViewVendorGroup.html#decode/1"},{"type":"type","title":"Procore.Model.NormalViewVendorGroup.t/0","doc":"","ref":"Procore.Model.NormalViewVendorGroup.html#t:t/0"},{"type":"module","title":"Procore.Model.OauthRevokePostRequest","doc":"","ref":"Procore.Model.OauthRevokePostRequest.html"},{"type":"function","title":"Procore.Model.OauthRevokePostRequest.decode/1","doc":"","ref":"Procore.Model.OauthRevokePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.OauthRevokePostRequest.t/0","doc":"","ref":"Procore.Model.OauthRevokePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.OauthTokenInfoGet200Response","doc":"","ref":"Procore.Model.OauthTokenInfoGet200Response.html"},{"type":"function","title":"Procore.Model.OauthTokenInfoGet200Response.decode/1","doc":"","ref":"Procore.Model.OauthTokenInfoGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.OauthTokenInfoGet200Response.t/0","doc":"","ref":"Procore.Model.OauthTokenInfoGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.OauthTokenInfoGet200ResponseApplication","doc":"Application information","ref":"Procore.Model.OauthTokenInfoGet200ResponseApplication.html"},{"type":"function","title":"Procore.Model.OauthTokenInfoGet200ResponseApplication.decode/1","doc":"","ref":"Procore.Model.OauthTokenInfoGet200ResponseApplication.html#decode/1"},{"type":"type","title":"Procore.Model.OauthTokenInfoGet200ResponseApplication.t/0","doc":"","ref":"Procore.Model.OauthTokenInfoGet200ResponseApplication.html#t:t/0"},{"type":"module","title":"Procore.Model.OauthTokenPost200Response","doc":"","ref":"Procore.Model.OauthTokenPost200Response.html"},{"type":"function","title":"Procore.Model.OauthTokenPost200Response.decode/1","doc":"","ref":"Procore.Model.OauthTokenPost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.OauthTokenPost200Response.t/0","doc":"","ref":"Procore.Model.OauthTokenPost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.OauthTokenPostRequest","doc":"","ref":"Procore.Model.OauthTokenPostRequest.html"},{"type":"function","title":"Procore.Model.OauthTokenPostRequest.decode/1","doc":"","ref":"Procore.Model.OauthTokenPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.OauthTokenPostRequest.t/0","doc":"","ref":"Procore.Model.OauthTokenPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.Observation","doc":"Item object","ref":"Procore.Model.Observation.html"},{"type":"function","title":"Procore.Model.Observation.decode/1","doc":"","ref":"Procore.Model.Observation.html#decode/1"},{"type":"type","title":"Procore.Model.Observation.t/0","doc":"","ref":"Procore.Model.Observation.html#t:t/0"},{"type":"module","title":"Procore.Model.Observation1","doc":"Item object","ref":"Procore.Model.Observation1.html"},{"type":"function","title":"Procore.Model.Observation1.decode/1","doc":"","ref":"Procore.Model.Observation1.html#decode/1"},{"type":"type","title":"Procore.Model.Observation1.t/0","doc":"","ref":"Procore.Model.Observation1.html#t:t/0"},{"type":"module","title":"Procore.Model.Observation2","doc":"Item object","ref":"Procore.Model.Observation2.html"},{"type":"function","title":"Procore.Model.Observation2.decode/1","doc":"","ref":"Procore.Model.Observation2.html#decode/1"},{"type":"type","title":"Procore.Model.Observation2.t/0","doc":"","ref":"Procore.Model.Observation2.html#t:t/0"},{"type":"module","title":"Procore.Model.Observation3","doc":"Item object","ref":"Procore.Model.Observation3.html"},{"type":"function","title":"Procore.Model.Observation3.decode/1","doc":"","ref":"Procore.Model.Observation3.html#decode/1"},{"type":"type","title":"Procore.Model.Observation3.t/0","doc":"","ref":"Procore.Model.Observation3.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationCategoryConfigurableFieldSets","doc":"","ref":"Procore.Model.ObservationCategoryConfigurableFieldSets.html"},{"type":"function","title":"Procore.Model.ObservationCategoryConfigurableFieldSets.decode/1","doc":"","ref":"Procore.Model.ObservationCategoryConfigurableFieldSets.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationCategoryConfigurableFieldSets.t/0","doc":"","ref":"Procore.Model.ObservationCategoryConfigurableFieldSets.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItem","doc":"","ref":"Procore.Model.ObservationItem.html"},{"type":"function","title":"Procore.Model.ObservationItem.decode/1","doc":"","ref":"Procore.Model.ObservationItem.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItem.t/0","doc":"","ref":"Procore.Model.ObservationItem.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItem1","doc":"","ref":"Procore.Model.ObservationItem1.html"},{"type":"function","title":"Procore.Model.ObservationItem1.decode/1","doc":"","ref":"Procore.Model.ObservationItem1.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItem1.t/0","doc":"","ref":"Procore.Model.ObservationItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItem1AttachmentsInner","doc":"","ref":"Procore.Model.ObservationItem1AttachmentsInner.html"},{"type":"function","title":"Procore.Model.ObservationItem1AttachmentsInner.decode/1","doc":"","ref":"Procore.Model.ObservationItem1AttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItem1AttachmentsInner.t/0","doc":"","ref":"Procore.Model.ObservationItem1AttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItem1ChecklistItem","doc":"","ref":"Procore.Model.ObservationItem1ChecklistItem.html"},{"type":"function","title":"Procore.Model.ObservationItem1ChecklistItem.decode/1","doc":"","ref":"Procore.Model.ObservationItem1ChecklistItem.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItem1ChecklistItem.t/0","doc":"","ref":"Procore.Model.ObservationItem1ChecklistItem.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItem1ChecklistList","doc":"","ref":"Procore.Model.ObservationItem1ChecklistList.html"},{"type":"function","title":"Procore.Model.ObservationItem1ChecklistList.decode/1","doc":"","ref":"Procore.Model.ObservationItem1ChecklistList.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItem1ChecklistList.t/0","doc":"","ref":"Procore.Model.ObservationItem1ChecklistList.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItem1SpecificationSection","doc":"Specification Section","ref":"Procore.Model.ObservationItem1SpecificationSection.html"},{"type":"function","title":"Procore.Model.ObservationItem1SpecificationSection.decode/1","doc":"","ref":"Procore.Model.ObservationItem1SpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItem1SpecificationSection.t/0","doc":"","ref":"Procore.Model.ObservationItem1SpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemAssignee","doc":"User assigned to the Observation Item","ref":"Procore.Model.ObservationItemAssignee.html"},{"type":"function","title":"Procore.Model.ObservationItemAssignee.decode/1","doc":"","ref":"Procore.Model.ObservationItemAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemAssignee.t/0","doc":"","ref":"Procore.Model.ObservationItemAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemAssignee1","doc":"","ref":"Procore.Model.ObservationItemAssignee1.html"},{"type":"function","title":"Procore.Model.ObservationItemAssignee1.decode/1","doc":"","ref":"Procore.Model.ObservationItemAssignee1.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemAssignee1.t/0","doc":"","ref":"Procore.Model.ObservationItemAssignee1.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemAssignee1Vendor","doc":"Company of User assigned to the Observation Item","ref":"Procore.Model.ObservationItemAssignee1Vendor.html"},{"type":"function","title":"Procore.Model.ObservationItemAssignee1Vendor.decode/1","doc":"","ref":"Procore.Model.ObservationItemAssignee1Vendor.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemAssignee1Vendor.t/0","doc":"","ref":"Procore.Model.ObservationItemAssignee1Vendor.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemAssigneeSCompany","doc":"Company of User assigned to the Observation Item","ref":"Procore.Model.ObservationItemAssigneeSCompany.html"},{"type":"function","title":"Procore.Model.ObservationItemAssigneeSCompany.decode/1","doc":"","ref":"Procore.Model.ObservationItemAssigneeSCompany.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemAssigneeSCompany.t/0","doc":"","ref":"Procore.Model.ObservationItemAssigneeSCompany.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemAssigneeVendor","doc":"Company of User assigned to the Observation Item","ref":"Procore.Model.ObservationItemAssigneeVendor.html"},{"type":"function","title":"Procore.Model.ObservationItemAssigneeVendor.decode/1","doc":"","ref":"Procore.Model.ObservationItemAssigneeVendor.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemAssigneeVendor.t/0","doc":"","ref":"Procore.Model.ObservationItemAssigneeVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemCreator","doc":"User that created the Observation Item","ref":"Procore.Model.ObservationItemCreator.html"},{"type":"function","title":"Procore.Model.ObservationItemCreator.decode/1","doc":"","ref":"Procore.Model.ObservationItemCreator.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemCreator.t/0","doc":"","ref":"Procore.Model.ObservationItemCreator.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemCreatorSCompany","doc":"Company of User that created the Observation Item","ref":"Procore.Model.ObservationItemCreatorSCompany.html"},{"type":"function","title":"Procore.Model.ObservationItemCreatorSCompany.decode/1","doc":"","ref":"Procore.Model.ObservationItemCreatorSCompany.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemCreatorSCompany.t/0","doc":"","ref":"Procore.Model.ObservationItemCreatorSCompany.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemDefaultDistribution","doc":"","ref":"Procore.Model.ObservationItemDefaultDistribution.html"},{"type":"function","title":"Procore.Model.ObservationItemDefaultDistribution.decode/1","doc":"","ref":"Procore.Model.ObservationItemDefaultDistribution.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemDefaultDistribution.t/0","doc":"","ref":"Procore.Model.ObservationItemDefaultDistribution.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemPdf","doc":"","ref":"Procore.Model.ObservationItemPdf.html"},{"type":"function","title":"Procore.Model.ObservationItemPdf.decode/1","doc":"","ref":"Procore.Model.ObservationItemPdf.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemPdf.t/0","doc":"","ref":"Procore.Model.ObservationItemPdf.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemResponseLog","doc":"","ref":"Procore.Model.ObservationItemResponseLog.html"},{"type":"function","title":"Procore.Model.ObservationItemResponseLog.decode/1","doc":"","ref":"Procore.Model.ObservationItemResponseLog.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemResponseLog.t/0","doc":"","ref":"Procore.Model.ObservationItemResponseLog.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemResponseLogBody","doc":"","ref":"Procore.Model.ObservationItemResponseLogBody.html"},{"type":"function","title":"Procore.Model.ObservationItemResponseLogBody.decode/1","doc":"","ref":"Procore.Model.ObservationItemResponseLogBody.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemResponseLogBody.t/0","doc":"","ref":"Procore.Model.ObservationItemResponseLogBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationItemSpecificationSection","doc":"Specification Section","ref":"Procore.Model.ObservationItemSpecificationSection.html"},{"type":"function","title":"Procore.Model.ObservationItemSpecificationSection.decode/1","doc":"","ref":"Procore.Model.ObservationItemSpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationItemSpecificationSection.t/0","doc":"","ref":"Procore.Model.ObservationItemSpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationOrigin","doc":"Origin Item that the Observation was created from","ref":"Procore.Model.ObservationOrigin.html"},{"type":"function","title":"Procore.Model.ObservationOrigin.decode/1","doc":"","ref":"Procore.Model.ObservationOrigin.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationOrigin.t/0","doc":"","ref":"Procore.Model.ObservationOrigin.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationOrigin1","doc":"Inspection (Checklist List) that the Observation Item was created from","ref":"Procore.Model.ObservationOrigin1.html"},{"type":"function","title":"Procore.Model.ObservationOrigin1.decode/1","doc":"","ref":"Procore.Model.ObservationOrigin1.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationOrigin1.t/0","doc":"","ref":"Procore.Model.ObservationOrigin1.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationType","doc":"","ref":"Procore.Model.ObservationType.html"},{"type":"function","title":"Procore.Model.ObservationType.decode/1","doc":"","ref":"Procore.Model.ObservationType.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationType.t/0","doc":"","ref":"Procore.Model.ObservationType.html#t:t/0"},{"type":"module","title":"Procore.Model.ObservationTypeNameTranslations","doc":"Company's custom translations for observation type","ref":"Procore.Model.ObservationTypeNameTranslations.html"},{"type":"function","title":"Procore.Model.ObservationTypeNameTranslations.decode/1","doc":"","ref":"Procore.Model.ObservationTypeNameTranslations.html#decode/1"},{"type":"type","title":"Procore.Model.ObservationTypeNameTranslations.t/0","doc":"","ref":"Procore.Model.ObservationTypeNameTranslations.html#t:t/0"},{"type":"module","title":"Procore.Model.Office","doc":"Office","ref":"Procore.Model.Office.html"},{"type":"function","title":"Procore.Model.Office.decode/1","doc":"","ref":"Procore.Model.Office.html#decode/1"},{"type":"type","title":"Procore.Model.Office.t/0","doc":"","ref":"Procore.Model.Office.html#t:t/0"},{"type":"module","title":"Procore.Model.Office1","doc":"Office","ref":"Procore.Model.Office1.html"},{"type":"function","title":"Procore.Model.Office1.decode/1","doc":"","ref":"Procore.Model.Office1.html#decode/1"},{"type":"type","title":"Procore.Model.Office1.t/0","doc":"","ref":"Procore.Model.Office1.html#t:t/0"},{"type":"module","title":"Procore.Model.Office2","doc":"Office object","ref":"Procore.Model.Office2.html"},{"type":"function","title":"Procore.Model.Office2.decode/1","doc":"","ref":"Procore.Model.Office2.html#decode/1"},{"type":"type","title":"Procore.Model.Office2.t/0","doc":"","ref":"Procore.Model.Office2.html#t:t/0"},{"type":"module","title":"Procore.Model.OfficeLogo","doc":"","ref":"Procore.Model.OfficeLogo.html"},{"type":"function","title":"Procore.Model.OfficeLogo.decode/1","doc":"","ref":"Procore.Model.OfficeLogo.html#decode/1"},{"type":"type","title":"Procore.Model.OfficeLogo.t/0","doc":"","ref":"Procore.Model.OfficeLogo.html#t:t/0"},{"type":"module","title":"Procore.Model.OriginPayload","doc":"Payload Keys change depending on origin.","ref":"Procore.Model.OriginPayload.html"},{"type":"function","title":"Procore.Model.OriginPayload.decode/1","doc":"","ref":"Procore.Model.OriginPayload.html#decode/1"},{"type":"type","title":"Procore.Model.OriginPayload.t/0","doc":"","ref":"Procore.Model.OriginPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.OriginPayload1","doc":"Payload Keys change depending on origin.","ref":"Procore.Model.OriginPayload1.html"},{"type":"function","title":"Procore.Model.OriginPayload1.decode/1","doc":"","ref":"Procore.Model.OriginPayload1.html#decode/1"},{"type":"type","title":"Procore.Model.OriginPayload1.t/0","doc":"","ref":"Procore.Model.OriginPayload1.html#t:t/0"},{"type":"module","title":"Procore.Model.OtherHours","doc":"","ref":"Procore.Model.OtherHours.html"},{"type":"function","title":"Procore.Model.OtherHours.decode/1","doc":"","ref":"Procore.Model.OtherHours.html#decode/1"},{"type":"type","title":"Procore.Model.OtherHours.t/0","doc":"","ref":"Procore.Model.OtherHours.html#t:t/0"},{"type":"module","title":"Procore.Model.OtherHoursProject","doc":"","ref":"Procore.Model.OtherHoursProject.html"},{"type":"function","title":"Procore.Model.OtherHoursProject.decode/1","doc":"","ref":"Procore.Model.OtherHoursProject.html#decode/1"},{"type":"type","title":"Procore.Model.OtherHoursProject.t/0","doc":"","ref":"Procore.Model.OtherHoursProject.html#t:t/0"},{"type":"module","title":"Procore.Model.Party","doc":"","ref":"Procore.Model.Party.html"},{"type":"function","title":"Procore.Model.Party.decode/1","doc":"","ref":"Procore.Model.Party.html#decode/1"},{"type":"type","title":"Procore.Model.Party.t/0","doc":"","ref":"Procore.Model.Party.html#t:t/0"},{"type":"module","title":"Procore.Model.Party1","doc":"","ref":"Procore.Model.Party1.html"},{"type":"function","title":"Procore.Model.Party1.decode/1","doc":"","ref":"Procore.Model.Party1.html#decode/1"},{"type":"type","title":"Procore.Model.Party1.t/0","doc":"","ref":"Procore.Model.Party1.html#t:t/0"},{"type":"module","title":"Procore.Model.PaymentApplicationOwnerInvoice","doc":"Payment Application (Owner Invoice)","ref":"Procore.Model.PaymentApplicationOwnerInvoice.html"},{"type":"function","title":"Procore.Model.PaymentApplicationOwnerInvoice.decode/1","doc":"","ref":"Procore.Model.PaymentApplicationOwnerInvoice.html#decode/1"},{"type":"type","title":"Procore.Model.PaymentApplicationOwnerInvoice.t/0","doc":"","ref":"Procore.Model.PaymentApplicationOwnerInvoice.html#t:t/0"},{"type":"module","title":"Procore.Model.PaymentApplicationOwnerInvoice1","doc":"Payment Application (Owner Invoice)","ref":"Procore.Model.PaymentApplicationOwnerInvoice1.html"},{"type":"function","title":"Procore.Model.PaymentApplicationOwnerInvoice1.decode/1","doc":"","ref":"Procore.Model.PaymentApplicationOwnerInvoice1.html#decode/1"},{"type":"type","title":"Procore.Model.PaymentApplicationOwnerInvoice1.t/0","doc":"","ref":"Procore.Model.PaymentApplicationOwnerInvoice1.html#t:t/0"},{"type":"module","title":"Procore.Model.PaymentApplicationOwnerInvoiceLineItem","doc":"Payment Application (Owner Invoice) Line Item","ref":"Procore.Model.PaymentApplicationOwnerInvoiceLineItem.html"},{"type":"function","title":"Procore.Model.PaymentApplicationOwnerInvoiceLineItem.decode/1","doc":"","ref":"Procore.Model.PaymentApplicationOwnerInvoiceLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.PaymentApplicationOwnerInvoiceLineItem.t/0","doc":"","ref":"Procore.Model.PaymentApplicationOwnerInvoiceLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.PaymentApplicationOwnerInvoiceMarkupLineItem","doc":"Payment Application (Owner Invoice) Markup Line Item","ref":"Procore.Model.PaymentApplicationOwnerInvoiceMarkupLineItem.html"},{"type":"function","title":"Procore.Model.PaymentApplicationOwnerInvoiceMarkupLineItem.decode/1","doc":"","ref":"Procore.Model.PaymentApplicationOwnerInvoiceMarkupLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.PaymentApplicationOwnerInvoiceMarkupLineItem.t/0","doc":"","ref":"Procore.Model.PaymentApplicationOwnerInvoiceMarkupLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.PdfTemplateConfig","doc":"","ref":"Procore.Model.PdfTemplateConfig.html"},{"type":"function","title":"Procore.Model.PdfTemplateConfig.decode/1","doc":"","ref":"Procore.Model.PdfTemplateConfig.html#decode/1"},{"type":"type","title":"Procore.Model.PdfTemplateConfig.t/0","doc":"","ref":"Procore.Model.PdfTemplateConfig.html#t:t/0"},{"type":"module","title":"Procore.Model.PdfTemplateConfigPdfConfigOptions","doc":"","ref":"Procore.Model.PdfTemplateConfigPdfConfigOptions.html"},{"type":"function","title":"Procore.Model.PdfTemplateConfigPdfConfigOptions.decode/1","doc":"","ref":"Procore.Model.PdfTemplateConfigPdfConfigOptions.html#decode/1"},{"type":"type","title":"Procore.Model.PdfTemplateConfigPdfConfigOptions.t/0","doc":"","ref":"Procore.Model.PdfTemplateConfigPdfConfigOptions.html#t:t/0"},{"type":"module","title":"Procore.Model.PermissionTemplateAssignments","doc":"","ref":"Procore.Model.PermissionTemplateAssignments.html"},{"type":"function","title":"Procore.Model.PermissionTemplateAssignments.decode/1","doc":"","ref":"Procore.Model.PermissionTemplateAssignments.html#decode/1"},{"type":"type","title":"Procore.Model.PermissionTemplateAssignments.t/0","doc":"","ref":"Procore.Model.PermissionTemplateAssignments.html#t:t/0"},{"type":"module","title":"Procore.Model.PlanTemplateReferencesInner","doc":"","ref":"Procore.Model.PlanTemplateReferencesInner.html"},{"type":"function","title":"Procore.Model.PlanTemplateReferencesInner.decode/1","doc":"","ref":"Procore.Model.PlanTemplateReferencesInner.html#decode/1"},{"type":"type","title":"Procore.Model.PlanTemplateReferencesInner.t/0","doc":"","ref":"Procore.Model.PlanTemplateReferencesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.PlanTemplateReferencesInnerPayload","doc":"Payload for the attachment type","ref":"Procore.Model.PlanTemplateReferencesInnerPayload.html"},{"type":"function","title":"Procore.Model.PlanTemplateReferencesInnerPayload.decode/1","doc":"","ref":"Procore.Model.PlanTemplateReferencesInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.PlanTemplateReferencesInnerPayload.t/0","doc":"","ref":"Procore.Model.PlanTemplateReferencesInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.PotentialChangeOrderBody","doc":"","ref":"Procore.Model.PotentialChangeOrderBody.html"},{"type":"function","title":"Procore.Model.PotentialChangeOrderBody.decode/1","doc":"","ref":"Procore.Model.PotentialChangeOrderBody.html#decode/1"},{"type":"type","title":"Procore.Model.PotentialChangeOrderBody.t/0","doc":"","ref":"Procore.Model.PotentialChangeOrderBody.html#t:t/0"},{"type":"module","title":"Procore.Model.PotentialChangeOrderBodyUpdatesInner","doc":"","ref":"Procore.Model.PotentialChangeOrderBodyUpdatesInner.html"},{"type":"function","title":"Procore.Model.PotentialChangeOrderBodyUpdatesInner.decode/1","doc":"","ref":"Procore.Model.PotentialChangeOrderBodyUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.PotentialChangeOrderBodyUpdatesInner.t/0","doc":"","ref":"Procore.Model.PotentialChangeOrderBodyUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.PotentialChangeOrderBodyUpdatesInnerChangeOrderRequest","doc":"","ref":"Procore.Model.PotentialChangeOrderBodyUpdatesInnerChangeOrderRequest.html"},{"type":"function","title":"Procore.Model.PotentialChangeOrderBodyUpdatesInnerChangeOrderRequest.decode/1","doc":"","ref":"Procore.Model.PotentialChangeOrderBodyUpdatesInnerChangeOrderRequest.html#decode/1"},{"type":"type","title":"Procore.Model.PotentialChangeOrderBodyUpdatesInnerChangeOrderRequest.t/0","doc":"","ref":"Procore.Model.PotentialChangeOrderBodyUpdatesInnerChangeOrderRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.PrimeContract","doc":"Prime Contract object","ref":"Procore.Model.PrimeContract.html"},{"type":"function","title":"Procore.Model.PrimeContract.decode/1","doc":"","ref":"Procore.Model.PrimeContract.html#decode/1"},{"type":"type","title":"Procore.Model.PrimeContract.t/0","doc":"","ref":"Procore.Model.PrimeContract.html#t:t/0"},{"type":"module","title":"Procore.Model.ProcoreItemDetails","doc":"Details of Procore item to be linked to a CoordinationIssue","ref":"Procore.Model.ProcoreItemDetails.html"},{"type":"function","title":"Procore.Model.ProcoreItemDetails.decode/1","doc":"","ref":"Procore.Model.ProcoreItemDetails.html#decode/1"},{"type":"type","title":"Procore.Model.ProcoreItemDetails.t/0","doc":"","ref":"Procore.Model.ProcoreItemDetails.html#t:t/0"},{"type":"module","title":"Procore.Model.ProcoreItemDetails1","doc":"Details of Procore item to be linked to a BimViewpoint","ref":"Procore.Model.ProcoreItemDetails1.html"},{"type":"function","title":"Procore.Model.ProcoreItemDetails1.decode/1","doc":"","ref":"Procore.Model.ProcoreItemDetails1.html#decode/1"},{"type":"type","title":"Procore.Model.ProcoreItemDetails1.t/0","doc":"","ref":"Procore.Model.ProcoreItemDetails1.html#t:t/0"},{"type":"module","title":"Procore.Model.Program","doc":"","ref":"Procore.Model.Program.html"},{"type":"function","title":"Procore.Model.Program.decode/1","doc":"","ref":"Procore.Model.Program.html#decode/1"},{"type":"type","title":"Procore.Model.Program.t/0","doc":"","ref":"Procore.Model.Program.html#t:t/0"},{"type":"module","title":"Procore.Model.Program1","doc":"","ref":"Procore.Model.Program1.html"},{"type":"function","title":"Procore.Model.Program1.decode/1","doc":"","ref":"Procore.Model.Program1.html#decode/1"},{"type":"type","title":"Procore.Model.Program1.t/0","doc":"","ref":"Procore.Model.Program1.html#t:t/0"},{"type":"module","title":"Procore.Model.Project","doc":"Project","ref":"Procore.Model.Project.html"},{"type":"function","title":"Procore.Model.Project.decode/1","doc":"","ref":"Procore.Model.Project.html#decode/1"},{"type":"type","title":"Procore.Model.Project.t/0","doc":"","ref":"Procore.Model.Project.html#t:t/0"},{"type":"module","title":"Procore.Model.Project1","doc":"","ref":"Procore.Model.Project1.html"},{"type":"function","title":"Procore.Model.Project1.decode/1","doc":"","ref":"Procore.Model.Project1.html#decode/1"},{"type":"type","title":"Procore.Model.Project1.t/0","doc":"","ref":"Procore.Model.Project1.html#t:t/0"},{"type":"module","title":"Procore.Model.Project2","doc":"","ref":"Procore.Model.Project2.html"},{"type":"function","title":"Procore.Model.Project2.decode/1","doc":"","ref":"Procore.Model.Project2.html#decode/1"},{"type":"type","title":"Procore.Model.Project2.t/0","doc":"","ref":"Procore.Model.Project2.html#t:t/0"},{"type":"module","title":"Procore.Model.Project3","doc":"","ref":"Procore.Model.Project3.html"},{"type":"function","title":"Procore.Model.Project3.decode/1","doc":"","ref":"Procore.Model.Project3.html#decode/1"},{"type":"type","title":"Procore.Model.Project3.t/0","doc":"","ref":"Procore.Model.Project3.html#t:t/0"},{"type":"module","title":"Procore.Model.Project4","doc":"","ref":"Procore.Model.Project4.html"},{"type":"function","title":"Procore.Model.Project4.decode/1","doc":"","ref":"Procore.Model.Project4.html#decode/1"},{"type":"type","title":"Procore.Model.Project4.t/0","doc":"","ref":"Procore.Model.Project4.html#t:t/0"},{"type":"module","title":"Procore.Model.Project5","doc":"","ref":"Procore.Model.Project5.html"},{"type":"function","title":"Procore.Model.Project5.decode/1","doc":"","ref":"Procore.Model.Project5.html#decode/1"},{"type":"type","title":"Procore.Model.Project5.t/0","doc":"","ref":"Procore.Model.Project5.html#t:t/0"},{"type":"module","title":"Procore.Model.Project6","doc":"","ref":"Procore.Model.Project6.html"},{"type":"function","title":"Procore.Model.Project6.decode/1","doc":"","ref":"Procore.Model.Project6.html#decode/1"},{"type":"type","title":"Procore.Model.Project6.t/0","doc":"","ref":"Procore.Model.Project6.html#t:t/0"},{"type":"module","title":"Procore.Model.Project6Address","doc":"Address","ref":"Procore.Model.Project6Address.html"},{"type":"function","title":"Procore.Model.Project6Address.decode/1","doc":"","ref":"Procore.Model.Project6Address.html#decode/1"},{"type":"type","title":"Procore.Model.Project6Address.t/0","doc":"","ref":"Procore.Model.Project6Address.html#t:t/0"},{"type":"module","title":"Procore.Model.Project6CreatedBy","doc":"","ref":"Procore.Model.Project6CreatedBy.html"},{"type":"function","title":"Procore.Model.Project6CreatedBy.decode/1","doc":"","ref":"Procore.Model.Project6CreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.Project6CreatedBy.t/0","doc":"","ref":"Procore.Model.Project6CreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.Project6OpenItemsInner","doc":"","ref":"Procore.Model.Project6OpenItemsInner.html"},{"type":"function","title":"Procore.Model.Project6OpenItemsInner.decode/1","doc":"","ref":"Procore.Model.Project6OpenItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.Project6OpenItemsInner.t/0","doc":"","ref":"Procore.Model.Project6OpenItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectAssignmentNormalView","doc":"","ref":"Procore.Model.ProjectAssignmentNormalView.html"},{"type":"function","title":"Procore.Model.ProjectAssignmentNormalView.decode/1","doc":"","ref":"Procore.Model.ProjectAssignmentNormalView.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectAssignmentNormalView.t/0","doc":"","ref":"Procore.Model.ProjectAssignmentNormalView.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectBidType","doc":"","ref":"Procore.Model.ProjectBidType.html"},{"type":"function","title":"Procore.Model.ProjectBidType.decode/1","doc":"","ref":"Procore.Model.ProjectBidType.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectBidType.t/0","doc":"","ref":"Procore.Model.ProjectBidType.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectBidType1","doc":"","ref":"Procore.Model.ProjectBidType1.html"},{"type":"function","title":"Procore.Model.ProjectBidType1.decode/1","doc":"","ref":"Procore.Model.ProjectBidType1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectBidType1.t/0","doc":"","ref":"Procore.Model.ProjectBidType1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectBidType2","doc":"","ref":"Procore.Model.ProjectBidType2.html"},{"type":"function","title":"Procore.Model.ProjectBidType2.decode/1","doc":"","ref":"Procore.Model.ProjectBidType2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectBidType2.t/0","doc":"","ref":"Procore.Model.ProjectBidType2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectBidType3","doc":"","ref":"Procore.Model.ProjectBidType3.html"},{"type":"function","title":"Procore.Model.ProjectBidType3.decode/1","doc":"","ref":"Procore.Model.ProjectBidType3.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectBidType3.t/0","doc":"","ref":"Procore.Model.ProjectBidType3.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectChecklistTemplate","doc":"","ref":"Procore.Model.ProjectChecklistTemplate.html"},{"type":"function","title":"Procore.Model.ProjectChecklistTemplate.decode/1","doc":"","ref":"Procore.Model.ProjectChecklistTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectChecklistTemplate.t/0","doc":"","ref":"Procore.Model.ProjectChecklistTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectChecklistTemplate1","doc":"","ref":"Procore.Model.ProjectChecklistTemplate1.html"},{"type":"function","title":"Procore.Model.ProjectChecklistTemplate1.decode/1","doc":"","ref":"Procore.Model.ProjectChecklistTemplate1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectChecklistTemplate1.t/0","doc":"","ref":"Procore.Model.ProjectChecklistTemplate1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectChecklistTemplate1SyncedTo","doc":"","ref":"Procore.Model.ProjectChecklistTemplate1SyncedTo.html"},{"type":"function","title":"Procore.Model.ProjectChecklistTemplate1SyncedTo.decode/1","doc":"","ref":"Procore.Model.ProjectChecklistTemplate1SyncedTo.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectChecklistTemplate1SyncedTo.t/0","doc":"","ref":"Procore.Model.ProjectChecklistTemplate1SyncedTo.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectChecklistTemplateSyncedTo","doc":"","ref":"Procore.Model.ProjectChecklistTemplateSyncedTo.html"},{"type":"function","title":"Procore.Model.ProjectChecklistTemplateSyncedTo.decode/1","doc":"","ref":"Procore.Model.ProjectChecklistTemplateSyncedTo.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectChecklistTemplateSyncedTo.t/0","doc":"","ref":"Procore.Model.ProjectChecklistTemplateSyncedTo.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectCompany","doc":"","ref":"Procore.Model.ProjectCompany.html"},{"type":"function","title":"Procore.Model.ProjectCompany.decode/1","doc":"","ref":"Procore.Model.ProjectCompany.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectCompany.t/0","doc":"","ref":"Procore.Model.ProjectCompany.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectCompany1","doc":"","ref":"Procore.Model.ProjectCompany1.html"},{"type":"function","title":"Procore.Model.ProjectCompany1.decode/1","doc":"","ref":"Procore.Model.ProjectCompany1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectCompany1.t/0","doc":"","ref":"Procore.Model.ProjectCompany1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectCompany2","doc":"","ref":"Procore.Model.ProjectCompany2.html"},{"type":"function","title":"Procore.Model.ProjectCompany2.decode/1","doc":"","ref":"Procore.Model.ProjectCompany2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectCompany2.t/0","doc":"","ref":"Procore.Model.ProjectCompany2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectDepartment","doc":"","ref":"Procore.Model.ProjectDepartment.html"},{"type":"function","title":"Procore.Model.ProjectDepartment.decode/1","doc":"","ref":"Procore.Model.ProjectDepartment.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectDepartment.t/0","doc":"","ref":"Procore.Model.ProjectDepartment.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectDepartment1","doc":"","ref":"Procore.Model.ProjectDepartment1.html"},{"type":"function","title":"Procore.Model.ProjectDepartment1.decode/1","doc":"","ref":"Procore.Model.ProjectDepartment1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectDepartment1.t/0","doc":"","ref":"Procore.Model.ProjectDepartment1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectIncidentConfiguration","doc":"","ref":"Procore.Model.ProjectIncidentConfiguration.html"},{"type":"function","title":"Procore.Model.ProjectIncidentConfiguration.decode/1","doc":"","ref":"Procore.Model.ProjectIncidentConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectIncidentConfiguration.t/0","doc":"","ref":"Procore.Model.ProjectIncidentConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectMembership","doc":"Project Membership","ref":"Procore.Model.ProjectMembership.html"},{"type":"function","title":"Procore.Model.ProjectMembership.decode/1","doc":"","ref":"Procore.Model.ProjectMembership.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectMembership.t/0","doc":"","ref":"Procore.Model.ProjectMembership.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectMembership1","doc":"","ref":"Procore.Model.ProjectMembership1.html"},{"type":"function","title":"Procore.Model.ProjectMembership1.decode/1","doc":"","ref":"Procore.Model.ProjectMembership1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectMembership1.t/0","doc":"","ref":"Procore.Model.ProjectMembership1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectMembershipBody","doc":"","ref":"Procore.Model.ProjectMembershipBody.html"},{"type":"function","title":"Procore.Model.ProjectMembershipBody.decode/1","doc":"","ref":"Procore.Model.ProjectMembershipBody.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectMembershipBody.t/0","doc":"","ref":"Procore.Model.ProjectMembershipBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectObservationTemplate","doc":"","ref":"Procore.Model.ProjectObservationTemplate.html"},{"type":"function","title":"Procore.Model.ProjectObservationTemplate.decode/1","doc":"","ref":"Procore.Model.ProjectObservationTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectObservationTemplate.t/0","doc":"","ref":"Procore.Model.ProjectObservationTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectObservationTemplate1","doc":"","ref":"Procore.Model.ProjectObservationTemplate1.html"},{"type":"function","title":"Procore.Model.ProjectObservationTemplate1.decode/1","doc":"","ref":"Procore.Model.ProjectObservationTemplate1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectObservationTemplate1.t/0","doc":"","ref":"Procore.Model.ProjectObservationTemplate1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectObservationType","doc":"","ref":"Procore.Model.ProjectObservationType.html"},{"type":"function","title":"Procore.Model.ProjectObservationType.decode/1","doc":"","ref":"Procore.Model.ProjectObservationType.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectObservationType.t/0","doc":"","ref":"Procore.Model.ProjectObservationType.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectObservationType1","doc":"","ref":"Procore.Model.ProjectObservationType1.html"},{"type":"function","title":"Procore.Model.ProjectObservationType1.decode/1","doc":"","ref":"Procore.Model.ProjectObservationType1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectObservationType1.t/0","doc":"","ref":"Procore.Model.ProjectObservationType1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectObservationType2","doc":"","ref":"Procore.Model.ProjectObservationType2.html"},{"type":"function","title":"Procore.Model.ProjectObservationType2.decode/1","doc":"","ref":"Procore.Model.ProjectObservationType2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectObservationType2.t/0","doc":"","ref":"Procore.Model.ProjectObservationType2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectObservationTypeCreateBody","doc":"","ref":"Procore.Model.ProjectObservationTypeCreateBody.html"},{"type":"function","title":"Procore.Model.ProjectObservationTypeCreateBody.decode/1","doc":"","ref":"Procore.Model.ProjectObservationTypeCreateBody.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectObservationTypeCreateBody.t/0","doc":"","ref":"Procore.Model.ProjectObservationTypeCreateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectObservationTypeCreateBody1","doc":"","ref":"Procore.Model.ProjectObservationTypeCreateBody1.html"},{"type":"function","title":"Procore.Model.ProjectObservationTypeCreateBody1.decode/1","doc":"","ref":"Procore.Model.ProjectObservationTypeCreateBody1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectObservationTypeCreateBody1.t/0","doc":"","ref":"Procore.Model.ProjectObservationTypeCreateBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectOffice","doc":"","ref":"Procore.Model.ProjectOffice.html"},{"type":"function","title":"Procore.Model.ProjectOffice.decode/1","doc":"","ref":"Procore.Model.ProjectOffice.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectOffice.t/0","doc":"","ref":"Procore.Model.ProjectOffice.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectOffice1","doc":"Office associated to the project or company main office if project does not set an office","ref":"Procore.Model.ProjectOffice1.html"},{"type":"function","title":"Procore.Model.ProjectOffice1.decode/1","doc":"","ref":"Procore.Model.ProjectOffice1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectOffice1.t/0","doc":"","ref":"Procore.Model.ProjectOffice1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectOffice2","doc":"","ref":"Procore.Model.ProjectOffice2.html"},{"type":"function","title":"Procore.Model.ProjectOffice2.decode/1","doc":"","ref":"Procore.Model.ProjectOffice2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectOffice2.t/0","doc":"","ref":"Procore.Model.ProjectOffice2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectOffice3","doc":"","ref":"Procore.Model.ProjectOffice3.html"},{"type":"function","title":"Procore.Model.ProjectOffice3.decode/1","doc":"","ref":"Procore.Model.ProjectOffice3.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectOffice3.t/0","doc":"","ref":"Procore.Model.ProjectOffice3.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectOwnerType","doc":"","ref":"Procore.Model.ProjectOwnerType.html"},{"type":"function","title":"Procore.Model.ProjectOwnerType.decode/1","doc":"","ref":"Procore.Model.ProjectOwnerType.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectOwnerType.t/0","doc":"","ref":"Procore.Model.ProjectOwnerType.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectOwnerType1","doc":"","ref":"Procore.Model.ProjectOwnerType1.html"},{"type":"function","title":"Procore.Model.ProjectOwnerType1.decode/1","doc":"","ref":"Procore.Model.ProjectOwnerType1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectOwnerType1.t/0","doc":"","ref":"Procore.Model.ProjectOwnerType1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectOwnerType2","doc":"","ref":"Procore.Model.ProjectOwnerType2.html"},{"type":"function","title":"Procore.Model.ProjectOwnerType2.decode/1","doc":"","ref":"Procore.Model.ProjectOwnerType2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectOwnerType2.t/0","doc":"","ref":"Procore.Model.ProjectOwnerType2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectOwnerType3","doc":"","ref":"Procore.Model.ProjectOwnerType3.html"},{"type":"function","title":"Procore.Model.ProjectOwnerType3.decode/1","doc":"","ref":"Procore.Model.ProjectOwnerType3.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectOwnerType3.t/0","doc":"","ref":"Procore.Model.ProjectOwnerType3.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectPersistentMessage","doc":"","ref":"Procore.Model.ProjectPersistentMessage.html"},{"type":"function","title":"Procore.Model.ProjectPersistentMessage.decode/1","doc":"","ref":"Procore.Model.ProjectPersistentMessage.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectPersistentMessage.t/0","doc":"","ref":"Procore.Model.ProjectPersistentMessage.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectPersistentMessage1","doc":"","ref":"Procore.Model.ProjectPersistentMessage1.html"},{"type":"function","title":"Procore.Model.ProjectPersistentMessage1.decode/1","doc":"","ref":"Procore.Model.ProjectPersistentMessage1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectPersistentMessage1.t/0","doc":"","ref":"Procore.Model.ProjectPersistentMessage1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectPersistentMessage2","doc":"","ref":"Procore.Model.ProjectPersistentMessage2.html"},{"type":"function","title":"Procore.Model.ProjectPersistentMessage2.decode/1","doc":"","ref":"Procore.Model.ProjectPersistentMessage2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectPersistentMessage2.t/0","doc":"","ref":"Procore.Model.ProjectPersistentMessage2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectPerson","doc":"","ref":"Procore.Model.ProjectPerson.html"},{"type":"function","title":"Procore.Model.ProjectPerson.decode/1","doc":"","ref":"Procore.Model.ProjectPerson.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectPerson.t/0","doc":"","ref":"Procore.Model.ProjectPerson.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectPerson1","doc":"Project Person","ref":"Procore.Model.ProjectPerson1.html"},{"type":"function","title":"Procore.Model.ProjectPerson1.decode/1","doc":"","ref":"Procore.Model.ProjectPerson1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectPerson1.t/0","doc":"","ref":"Procore.Model.ProjectPerson1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectPersonBody","doc":"","ref":"Procore.Model.ProjectPersonBody.html"},{"type":"function","title":"Procore.Model.ProjectPersonBody.decode/1","doc":"","ref":"Procore.Model.ProjectPersonBody.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectPersonBody.t/0","doc":"","ref":"Procore.Model.ProjectPersonBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectProgram","doc":"","ref":"Procore.Model.ProjectProgram.html"},{"type":"function","title":"Procore.Model.ProjectProgram.decode/1","doc":"","ref":"Procore.Model.ProjectProgram.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectProgram.t/0","doc":"","ref":"Procore.Model.ProjectProgram.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectProgram1","doc":"","ref":"Procore.Model.ProjectProgram1.html"},{"type":"function","title":"Procore.Model.ProjectProgram1.decode/1","doc":"","ref":"Procore.Model.ProjectProgram1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectProgram1.t/0","doc":"","ref":"Procore.Model.ProjectProgram1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectPunchItemTemplates","doc":"","ref":"Procore.Model.ProjectPunchItemTemplates.html"},{"type":"function","title":"Procore.Model.ProjectPunchItemTemplates.decode/1","doc":"","ref":"Procore.Model.ProjectPunchItemTemplates.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectPunchItemTemplates.t/0","doc":"","ref":"Procore.Model.ProjectPunchItemTemplates.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectRegion","doc":"","ref":"Procore.Model.ProjectRegion.html"},{"type":"function","title":"Procore.Model.ProjectRegion.decode/1","doc":"","ref":"Procore.Model.ProjectRegion.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectRegion.t/0","doc":"","ref":"Procore.Model.ProjectRegion.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectRegion1","doc":"","ref":"Procore.Model.ProjectRegion1.html"},{"type":"function","title":"Procore.Model.ProjectRegion1.decode/1","doc":"","ref":"Procore.Model.ProjectRegion1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectRegion1.t/0","doc":"","ref":"Procore.Model.ProjectRegion1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectRegion2","doc":"","ref":"Procore.Model.ProjectRegion2.html"},{"type":"function","title":"Procore.Model.ProjectRegion2.decode/1","doc":"","ref":"Procore.Model.ProjectRegion2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectRegion2.t/0","doc":"","ref":"Procore.Model.ProjectRegion2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectRegion3","doc":"","ref":"Procore.Model.ProjectRegion3.html"},{"type":"function","title":"Procore.Model.ProjectRegion3.decode/1","doc":"","ref":"Procore.Model.ProjectRegion3.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectRegion3.t/0","doc":"","ref":"Procore.Model.ProjectRegion3.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectRole","doc":"","ref":"Procore.Model.ProjectRole.html"},{"type":"function","title":"Procore.Model.ProjectRole.decode/1","doc":"","ref":"Procore.Model.ProjectRole.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectRole.t/0","doc":"","ref":"Procore.Model.ProjectRole.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectStage","doc":"","ref":"Procore.Model.ProjectStage.html"},{"type":"function","title":"Procore.Model.ProjectStage.decode/1","doc":"","ref":"Procore.Model.ProjectStage.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectStage.t/0","doc":"","ref":"Procore.Model.ProjectStage.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectStage1","doc":"","ref":"Procore.Model.ProjectStage1.html"},{"type":"function","title":"Procore.Model.ProjectStage1.decode/1","doc":"","ref":"Procore.Model.ProjectStage1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectStage1.t/0","doc":"","ref":"Procore.Model.ProjectStage1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectStage2","doc":"","ref":"Procore.Model.ProjectStage2.html"},{"type":"function","title":"Procore.Model.ProjectStage2.decode/1","doc":"","ref":"Procore.Model.ProjectStage2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectStage2.t/0","doc":"","ref":"Procore.Model.ProjectStage2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectStage3","doc":"","ref":"Procore.Model.ProjectStage3.html"},{"type":"function","title":"Procore.Model.ProjectStage3.decode/1","doc":"","ref":"Procore.Model.ProjectStage3.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectStage3.t/0","doc":"","ref":"Procore.Model.ProjectStage3.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectTemplate","doc":"","ref":"Procore.Model.ProjectTemplate.html"},{"type":"function","title":"Procore.Model.ProjectTemplate.decode/1","doc":"","ref":"Procore.Model.ProjectTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectTemplate.t/0","doc":"","ref":"Procore.Model.ProjectTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectTemplate1","doc":"","ref":"Procore.Model.ProjectTemplate1.html"},{"type":"function","title":"Procore.Model.ProjectTemplate1.decode/1","doc":"","ref":"Procore.Model.ProjectTemplate1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectTemplate1.t/0","doc":"","ref":"Procore.Model.ProjectTemplate1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectTrigger","doc":"","ref":"Procore.Model.ProjectTrigger.html"},{"type":"function","title":"Procore.Model.ProjectTrigger.decode/1","doc":"","ref":"Procore.Model.ProjectTrigger.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectTrigger.t/0","doc":"","ref":"Procore.Model.ProjectTrigger.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectTrigger1","doc":"","ref":"Procore.Model.ProjectTrigger1.html"},{"type":"function","title":"Procore.Model.ProjectTrigger1.decode/1","doc":"","ref":"Procore.Model.ProjectTrigger1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectTrigger1.t/0","doc":"","ref":"Procore.Model.ProjectTrigger1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectTrigger2","doc":"","ref":"Procore.Model.ProjectTrigger2.html"},{"type":"function","title":"Procore.Model.ProjectTrigger2.decode/1","doc":"","ref":"Procore.Model.ProjectTrigger2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectTrigger2.t/0","doc":"","ref":"Procore.Model.ProjectTrigger2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectType","doc":"","ref":"Procore.Model.ProjectType.html"},{"type":"function","title":"Procore.Model.ProjectType.decode/1","doc":"","ref":"Procore.Model.ProjectType.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectType.t/0","doc":"","ref":"Procore.Model.ProjectType.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectType1","doc":"","ref":"Procore.Model.ProjectType1.html"},{"type":"function","title":"Procore.Model.ProjectType1.decode/1","doc":"","ref":"Procore.Model.ProjectType1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectType1.t/0","doc":"","ref":"Procore.Model.ProjectType1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectType2","doc":"","ref":"Procore.Model.ProjectType2.html"},{"type":"function","title":"Procore.Model.ProjectType2.decode/1","doc":"","ref":"Procore.Model.ProjectType2.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectType2.t/0","doc":"","ref":"Procore.Model.ProjectType2.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectType3","doc":"","ref":"Procore.Model.ProjectType3.html"},{"type":"function","title":"Procore.Model.ProjectType3.decode/1","doc":"","ref":"Procore.Model.ProjectType3.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectType3.t/0","doc":"","ref":"Procore.Model.ProjectType3.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectUser","doc":"","ref":"Procore.Model.ProjectUser.html"},{"type":"function","title":"Procore.Model.ProjectUser.decode/1","doc":"","ref":"Procore.Model.ProjectUser.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectUser.t/0","doc":"","ref":"Procore.Model.ProjectUser.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectUser1","doc":"","ref":"Procore.Model.ProjectUser1.html"},{"type":"function","title":"Procore.Model.ProjectUser1.decode/1","doc":"","ref":"Procore.Model.ProjectUser1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectUser1.t/0","doc":"","ref":"Procore.Model.ProjectUser1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectUserBody","doc":"","ref":"Procore.Model.ProjectUserBody.html"},{"type":"function","title":"Procore.Model.ProjectUserBody.decode/1","doc":"","ref":"Procore.Model.ProjectUserBody.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectUserBody.t/0","doc":"","ref":"Procore.Model.ProjectUserBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectUserBody1","doc":"","ref":"Procore.Model.ProjectUserBody1.html"},{"type":"function","title":"Procore.Model.ProjectUserBody1.decode/1","doc":"","ref":"Procore.Model.ProjectUserBody1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectUserBody1.t/0","doc":"","ref":"Procore.Model.ProjectUserBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectVendor","doc":"","ref":"Procore.Model.ProjectVendor.html"},{"type":"function","title":"Procore.Model.ProjectVendor.decode/1","doc":"","ref":"Procore.Model.ProjectVendor.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectVendor.t/0","doc":"","ref":"Procore.Model.ProjectVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectVendor1","doc":"","ref":"Procore.Model.ProjectVendor1.html"},{"type":"function","title":"Procore.Model.ProjectVendor1.decode/1","doc":"","ref":"Procore.Model.ProjectVendor1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectVendor1.t/0","doc":"","ref":"Procore.Model.ProjectVendor1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectVendor1Bidding","doc":"Bidding statuses","ref":"Procore.Model.ProjectVendor1Bidding.html"},{"type":"function","title":"Procore.Model.ProjectVendor1Bidding.decode/1","doc":"","ref":"Procore.Model.ProjectVendor1Bidding.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectVendor1Bidding.t/0","doc":"","ref":"Procore.Model.ProjectVendor1Bidding.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectVendorBody","doc":"","ref":"Procore.Model.ProjectVendorBody.html"},{"type":"function","title":"Procore.Model.ProjectVendorBody.decode/1","doc":"","ref":"Procore.Model.ProjectVendorBody.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectVendorBody.t/0","doc":"","ref":"Procore.Model.ProjectVendorBody.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectVendorBody1","doc":"","ref":"Procore.Model.ProjectVendorBody1.html"},{"type":"function","title":"Procore.Model.ProjectVendorBody1.decode/1","doc":"","ref":"Procore.Model.ProjectVendorBody1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectVendorBody1.t/0","doc":"","ref":"Procore.Model.ProjectVendorBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectWebhook","doc":"","ref":"Procore.Model.ProjectWebhook.html"},{"type":"function","title":"Procore.Model.ProjectWebhook.decode/1","doc":"","ref":"Procore.Model.ProjectWebhook.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectWebhook.t/0","doc":"","ref":"Procore.Model.ProjectWebhook.html#t:t/0"},{"type":"module","title":"Procore.Model.ProjectWebhook1","doc":"","ref":"Procore.Model.ProjectWebhook1.html"},{"type":"function","title":"Procore.Model.ProjectWebhook1.decode/1","doc":"","ref":"Procore.Model.ProjectWebhook1.html#decode/1"},{"type":"type","title":"Procore.Model.ProjectWebhook1.t/0","doc":"","ref":"Procore.Model.ProjectWebhook1.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem","doc":"","ref":"Procore.Model.PunchItem.html"},{"type":"function","title":"Procore.Model.PunchItem.decode/1","doc":"","ref":"Procore.Model.PunchItem.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem.t/0","doc":"","ref":"Procore.Model.PunchItem.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem1","doc":"","ref":"Procore.Model.PunchItem1.html"},{"type":"function","title":"Procore.Model.PunchItem1.decode/1","doc":"","ref":"Procore.Model.PunchItem1.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem1.t/0","doc":"","ref":"Procore.Model.PunchItem1.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem2","doc":"","ref":"Procore.Model.PunchItem2.html"},{"type":"function","title":"Procore.Model.PunchItem2.decode/1","doc":"","ref":"Procore.Model.PunchItem2.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem2.t/0","doc":"","ref":"Procore.Model.PunchItem2.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem3","doc":"","ref":"Procore.Model.PunchItem3.html"},{"type":"function","title":"Procore.Model.PunchItem3.decode/1","doc":"","ref":"Procore.Model.PunchItem3.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem3.t/0","doc":"","ref":"Procore.Model.PunchItem3.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem3AssignmentsInner","doc":"","ref":"Procore.Model.PunchItem3AssignmentsInner.html"},{"type":"function","title":"Procore.Model.PunchItem3AssignmentsInner.decode/1","doc":"","ref":"Procore.Model.PunchItem3AssignmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem3AssignmentsInner.t/0","doc":"","ref":"Procore.Model.PunchItem3AssignmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem4","doc":"","ref":"Procore.Model.PunchItem4.html"},{"type":"function","title":"Procore.Model.PunchItem4.decode/1","doc":"","ref":"Procore.Model.PunchItem4.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem4.t/0","doc":"","ref":"Procore.Model.PunchItem4.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem5","doc":"","ref":"Procore.Model.PunchItem5.html"},{"type":"function","title":"Procore.Model.PunchItem5.decode/1","doc":"","ref":"Procore.Model.PunchItem5.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem5.t/0","doc":"","ref":"Procore.Model.PunchItem5.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem6","doc":"","ref":"Procore.Model.PunchItem6.html"},{"type":"function","title":"Procore.Model.PunchItem6.decode/1","doc":"","ref":"Procore.Model.PunchItem6.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem6.t/0","doc":"","ref":"Procore.Model.PunchItem6.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem6AssignmentsInner","doc":"","ref":"Procore.Model.PunchItem6AssignmentsInner.html"},{"type":"function","title":"Procore.Model.PunchItem6AssignmentsInner.decode/1","doc":"","ref":"Procore.Model.PunchItem6AssignmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem6AssignmentsInner.t/0","doc":"","ref":"Procore.Model.PunchItem6AssignmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItem6CreatedBy","doc":"Login Information","ref":"Procore.Model.PunchItem6CreatedBy.html"},{"type":"function","title":"Procore.Model.PunchItem6CreatedBy.decode/1","doc":"","ref":"Procore.Model.PunchItem6CreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItem6CreatedBy.t/0","doc":"","ref":"Procore.Model.PunchItem6CreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemAssignmentsInner","doc":"","ref":"Procore.Model.PunchItemAssignmentsInner.html"},{"type":"function","title":"Procore.Model.PunchItemAssignmentsInner.decode/1","doc":"","ref":"Procore.Model.PunchItemAssignmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemAssignmentsInner.t/0","doc":"","ref":"Procore.Model.PunchItemAssignmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemBallInCourtInner","doc":"Login Information","ref":"Procore.Model.PunchItemBallInCourtInner.html"},{"type":"function","title":"Procore.Model.PunchItemBallInCourtInner.decode/1","doc":"","ref":"Procore.Model.PunchItemBallInCourtInner.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemBallInCourtInner.t/0","doc":"","ref":"Procore.Model.PunchItemBallInCourtInner.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemBody","doc":"","ref":"Procore.Model.PunchItemBody.html"},{"type":"function","title":"Procore.Model.PunchItemBody.decode/1","doc":"","ref":"Procore.Model.PunchItemBody.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemBody.t/0","doc":"","ref":"Procore.Model.PunchItemBody.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemBody2","doc":"","ref":"Procore.Model.PunchItemBody2.html"},{"type":"function","title":"Procore.Model.PunchItemBody2.decode/1","doc":"","ref":"Procore.Model.PunchItemBody2.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemBody2.t/0","doc":"","ref":"Procore.Model.PunchItemBody2.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemComment","doc":"","ref":"Procore.Model.PunchItemComment.html"},{"type":"function","title":"Procore.Model.PunchItemComment.decode/1","doc":"","ref":"Procore.Model.PunchItemComment.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemComment.t/0","doc":"","ref":"Procore.Model.PunchItemComment.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemCommentAttachmentsInner","doc":"","ref":"Procore.Model.PunchItemCommentAttachmentsInner.html"},{"type":"function","title":"Procore.Model.PunchItemCommentAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.PunchItemCommentAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemCommentAttachmentsInner.t/0","doc":"","ref":"Procore.Model.PunchItemCommentAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemCommentBody","doc":"","ref":"Procore.Model.PunchItemCommentBody.html"},{"type":"function","title":"Procore.Model.PunchItemCommentBody.decode/1","doc":"","ref":"Procore.Model.PunchItemCommentBody.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemCommentBody.t/0","doc":"","ref":"Procore.Model.PunchItemCommentBody.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemCommentCreator","doc":"User that created the Punch Item Comment","ref":"Procore.Model.PunchItemCommentCreator.html"},{"type":"function","title":"Procore.Model.PunchItemCommentCreator.decode/1","doc":"","ref":"Procore.Model.PunchItemCommentCreator.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemCommentCreator.t/0","doc":"","ref":"Procore.Model.PunchItemCommentCreator.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemCreator","doc":"User that created the Punch Item","ref":"Procore.Model.PunchItemCreator.html"},{"type":"function","title":"Procore.Model.PunchItemCreator.decode/1","doc":"","ref":"Procore.Model.PunchItemCreator.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemCreator.t/0","doc":"","ref":"Procore.Model.PunchItemCreator.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemFinalApprover","doc":"User in charge of closing the Punch Item","ref":"Procore.Model.PunchItemFinalApprover.html"},{"type":"function","title":"Procore.Model.PunchItemFinalApprover.decode/1","doc":"","ref":"Procore.Model.PunchItemFinalApprover.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemFinalApprover.t/0","doc":"","ref":"Procore.Model.PunchItemFinalApprover.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemManager","doc":"User that manages the Punch Item","ref":"Procore.Model.PunchItemManager.html"},{"type":"function","title":"Procore.Model.PunchItemManager.decode/1","doc":"","ref":"Procore.Model.PunchItemManager.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemManager.t/0","doc":"","ref":"Procore.Model.PunchItemManager.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemType","doc":"","ref":"Procore.Model.PunchItemType.html"},{"type":"function","title":"Procore.Model.PunchItemType.decode/1","doc":"","ref":"Procore.Model.PunchItemType.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemType.t/0","doc":"","ref":"Procore.Model.PunchItemType.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemType1","doc":"","ref":"Procore.Model.PunchItemType1.html"},{"type":"function","title":"Procore.Model.PunchItemType1.decode/1","doc":"","ref":"Procore.Model.PunchItemType1.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemType1.t/0","doc":"","ref":"Procore.Model.PunchItemType1.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemType2","doc":"","ref":"Procore.Model.PunchItemType2.html"},{"type":"function","title":"Procore.Model.PunchItemType2.decode/1","doc":"","ref":"Procore.Model.PunchItemType2.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemType2.t/0","doc":"","ref":"Procore.Model.PunchItemType2.html#t:t/0"},{"type":"module","title":"Procore.Model.PunchItemTypeBody","doc":"","ref":"Procore.Model.PunchItemTypeBody.html"},{"type":"function","title":"Procore.Model.PunchItemTypeBody.decode/1","doc":"","ref":"Procore.Model.PunchItemTypeBody.html#decode/1"},{"type":"type","title":"Procore.Model.PunchItemTypeBody.t/0","doc":"","ref":"Procore.Model.PunchItemTypeBody.html#t:t/0"},{"type":"module","title":"Procore.Model.PurchaseOrderContract","doc":"Purchase Order Contract object","ref":"Procore.Model.PurchaseOrderContract.html"},{"type":"function","title":"Procore.Model.PurchaseOrderContract.decode/1","doc":"","ref":"Procore.Model.PurchaseOrderContract.html#decode/1"},{"type":"type","title":"Procore.Model.PurchaseOrderContract.t/0","doc":"","ref":"Procore.Model.PurchaseOrderContract.html#t:t/0"},{"type":"module","title":"Procore.Model.PurchaseOrderContract1","doc":"Purchase Order Contract object","ref":"Procore.Model.PurchaseOrderContract1.html"},{"type":"function","title":"Procore.Model.PurchaseOrderContract1.decode/1","doc":"","ref":"Procore.Model.PurchaseOrderContract1.html#decode/1"},{"type":"type","title":"Procore.Model.PurchaseOrderContract1.t/0","doc":"","ref":"Procore.Model.PurchaseOrderContract1.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionBulkItemUpdateInner","doc":"","ref":"Procore.Model.RequisitionBulkItemUpdateInner.html"},{"type":"function","title":"Procore.Model.RequisitionBulkItemUpdateInner.decode/1","doc":"","ref":"Procore.Model.RequisitionBulkItemUpdateInner.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionBulkItemUpdateInner.t/0","doc":"","ref":"Procore.Model.RequisitionBulkItemUpdateInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionChangeOrderItem","doc":"Requisition (Subcontractor Invoice) Change Order Item","ref":"Procore.Model.RequisitionChangeOrderItem.html"},{"type":"function","title":"Procore.Model.RequisitionChangeOrderItem.decode/1","doc":"","ref":"Procore.Model.RequisitionChangeOrderItem.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionChangeOrderItem.t/0","doc":"","ref":"Procore.Model.RequisitionChangeOrderItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionContractDetailItem","doc":"Requisition (Subcontractor Invoice) Contract Detail Item","ref":"Procore.Model.RequisitionContractDetailItem.html"},{"type":"function","title":"Procore.Model.RequisitionContractDetailItem.decode/1","doc":"","ref":"Procore.Model.RequisitionContractDetailItem.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionContractDetailItem.t/0","doc":"","ref":"Procore.Model.RequisitionContractDetailItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionContractItem","doc":"Requisition (Subcontractor Invoice) Contract Item","ref":"Procore.Model.RequisitionContractItem.html"},{"type":"function","title":"Procore.Model.RequisitionContractItem.decode/1","doc":"","ref":"Procore.Model.RequisitionContractItem.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionContractItem.t/0","doc":"","ref":"Procore.Model.RequisitionContractItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionSubcontractorInvoice","doc":"Requisition (Subcontractor Invoice)","ref":"Procore.Model.RequisitionSubcontractorInvoice.html"},{"type":"function","title":"Procore.Model.RequisitionSubcontractorInvoice.decode/1","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionSubcontractorInvoice.t/0","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionSubcontractorInvoice1","doc":"Requisition (Subcontractor Invoice)","ref":"Procore.Model.RequisitionSubcontractorInvoice1.html"},{"type":"function","title":"Procore.Model.RequisitionSubcontractorInvoice1.decode/1","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice1.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionSubcontractorInvoice1.t/0","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice1.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionSubcontractorInvoice1ItemsInner","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice1ItemsInner.html"},{"type":"function","title":"Procore.Model.RequisitionSubcontractorInvoice1ItemsInner.decode/1","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice1ItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionSubcontractorInvoice1ItemsInner.t/0","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice1ItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionSubcontractorInvoice2","doc":"Requisition (Subcontractor Invoice)","ref":"Procore.Model.RequisitionSubcontractorInvoice2.html"},{"type":"function","title":"Procore.Model.RequisitionSubcontractorInvoice2.decode/1","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice2.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionSubcontractorInvoice2.t/0","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoice2.html#t:t/0"},{"type":"module","title":"Procore.Model.RequisitionSubcontractorInvoiceItemsInner","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoiceItemsInner.html"},{"type":"function","title":"Procore.Model.RequisitionSubcontractorInvoiceItemsInner.decode/1","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoiceItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RequisitionSubcontractorInvoiceItemsInner.t/0","doc":"","ref":"Procore.Model.RequisitionSubcontractorInvoiceItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Resource","doc":"","ref":"Procore.Model.Resource.html"},{"type":"function","title":"Procore.Model.Resource.decode/1","doc":"","ref":"Procore.Model.Resource.html#decode/1"},{"type":"type","title":"Procore.Model.Resource.t/0","doc":"","ref":"Procore.Model.Resource.html#t:t/0"},{"type":"module","title":"Procore.Model.Resource1","doc":"Resource object","ref":"Procore.Model.Resource1.html"},{"type":"function","title":"Procore.Model.Resource1.decode/1","doc":"","ref":"Procore.Model.Resource1.html#decode/1"},{"type":"type","title":"Procore.Model.Resource1.t/0","doc":"","ref":"Procore.Model.Resource1.html#t:t/0"},{"type":"module","title":"Procore.Model.Resource2","doc":"","ref":"Procore.Model.Resource2.html"},{"type":"function","title":"Procore.Model.Resource2.decode/1","doc":"","ref":"Procore.Model.Resource2.html#decode/1"},{"type":"type","title":"Procore.Model.Resource2.t/0","doc":"","ref":"Procore.Model.Resource2.html#t:t/0"},{"type":"module","title":"Procore.Model.ResourceAssignment","doc":"","ref":"Procore.Model.ResourceAssignment.html"},{"type":"function","title":"Procore.Model.ResourceAssignment.decode/1","doc":"","ref":"Procore.Model.ResourceAssignment.html#decode/1"},{"type":"type","title":"Procore.Model.ResourceAssignment.t/0","doc":"","ref":"Procore.Model.ResourceAssignment.html#t:t/0"},{"type":"module","title":"Procore.Model.Response","doc":"Response object","ref":"Procore.Model.Response.html"},{"type":"function","title":"Procore.Model.Response.decode/1","doc":"","ref":"Procore.Model.Response.html#decode/1"},{"type":"type","title":"Procore.Model.Response.t/0","doc":"","ref":"Procore.Model.Response.html#t:t/0"},{"type":"module","title":"Procore.Model.Response1","doc":"Response object","ref":"Procore.Model.Response1.html"},{"type":"function","title":"Procore.Model.Response1.decode/1","doc":"","ref":"Procore.Model.Response1.html#decode/1"},{"type":"type","title":"Procore.Model.Response1.t/0","doc":"","ref":"Procore.Model.Response1.html#t:t/0"},{"type":"module","title":"Procore.Model.Response2","doc":"Response object","ref":"Procore.Model.Response2.html"},{"type":"function","title":"Procore.Model.Response2.decode/1","doc":"","ref":"Procore.Model.Response2.html#decode/1"},{"type":"type","title":"Procore.Model.Response2.t/0","doc":"","ref":"Procore.Model.Response2.html#t:t/0"},{"type":"module","title":"Procore.Model.ResponseLog","doc":"Response Log body","ref":"Procore.Model.ResponseLog.html"},{"type":"function","title":"Procore.Model.ResponseLog.decode/1","doc":"","ref":"Procore.Model.ResponseLog.html#decode/1"},{"type":"type","title":"Procore.Model.ResponseLog.t/0","doc":"","ref":"Procore.Model.ResponseLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperApp","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperApp.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperApp.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperApp.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperApp.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperApp.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceApp","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceApp.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceApp.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceApp.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceApp.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceApp.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppHelpfulLinksInner","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppHelpfulLinksInner.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppHelpfulLinksInner.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppHelpfulLinksInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppHelpfulLinksInner.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppHelpfulLinksInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppPicturesInner","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppPicturesInner.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppPicturesInner.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppPicturesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppPicturesInner.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppPicturesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppVideosInner","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppVideosInner.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppVideosInner.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppVideosInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppVideosInner.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppVideosInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppWebsiteLink","doc":"Website link","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppWebsiteLink.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppWebsiteLink.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppWebsiteLink.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppWebsiteLink.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfDeveloperAppMarketplaceAppWebsiteLink.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfInstaller","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfInstaller.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfInstaller.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfInstaller.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfInstaller.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsGet200ResponseInnerAllOfInstaller.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10AppInstallationsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsIdPatchRequestAppInstallation","doc":"","ref":"Procore.Model.RestV10AppInstallationsIdPatchRequestAppInstallation.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsIdPatchRequestAppInstallation.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsIdPatchRequestAppInstallation.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsIdPatchRequestAppInstallation.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsIdPatchRequestAppInstallation.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10AppInstallationsPost201Response","doc":"","ref":"Procore.Model.RestV10AppInstallationsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10AppInstallationsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10AppInstallationsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10AppInstallationsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10AppInstallationsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimFilesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10BimFilesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimFilesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimFilesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimFilesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimFilesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200Response","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200ResponseOneOf","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200ResponseOneOf.html"},{"type":"function","title":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200ResponseOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200ResponseOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200ResponseOneOf.t/0","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesIdGet200ResponseOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimGeometryFileBundlesPost201Response","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10BimGeometryFileBundlesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimGeometryFileBundlesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10BimGeometryFileBundlesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimLevelsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10BimLevelsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimLevelsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimLevelsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimLevelsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimLevelsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimLevelsGet200ResponseInnerOneOf","doc":"","ref":"Procore.Model.RestV10BimLevelsGet200ResponseInnerOneOf.html"},{"type":"function","title":"Procore.Model.RestV10BimLevelsGet200ResponseInnerOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10BimLevelsGet200ResponseInnerOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimLevelsGet200ResponseInnerOneOf.t/0","doc":"","ref":"Procore.Model.RestV10BimLevelsGet200ResponseInnerOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1","doc":"BIM Model Revision Plan associates BIM Plans to published BIM Model Revisions","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1BimLevel","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1BimLevel.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1BimLevel.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1BimLevel.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1BimLevel.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionPlansGet200ResponseInnerOneOf1BimLevel.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf","doc":"BIM Model Revision Viewpoint associates BIM Model Revisions to BIM Viewpoint","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf1","doc":"BIM Model Revision Viewpoint associates BIM Model Revisions to BIM Viewpoint","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf1.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf1.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf1.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionViewpointsGet200ResponseInnerOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInnerOneOf","doc":"Published BIM Model Revision","ref":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInnerOneOf.html"},{"type":"function","title":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInnerOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInnerOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInnerOneOf.t/0","doc":"","ref":"Procore.Model.RestV10BimModelRevisionsGet200ResponseInnerOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimModelsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf","doc":"BIM Model","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf.html"},{"type":"function","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf.t/0","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1","doc":"BIM Model","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1.html"},{"type":"function","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1.t/0","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevision","doc":"Published BIM Model Revision","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevision.html"},{"type":"function","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevision.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevision.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevision.t/0","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevision.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionBimGridline","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionBimGridline.html"},{"type":"function","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionBimGridline.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionBimGridline.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionBimGridline.t/0","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionBimGridline.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionMinBoundary","doc":"3D Coordinate Point","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionMinBoundary.html"},{"type":"function","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionMinBoundary.decode/1","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionMinBoundary.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionMinBoundary.t/0","doc":"","ref":"Procore.Model.RestV10BimModelsGet200ResponseInnerOneOf1CurrentRevisionMinBoundary.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPlansGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimPlansGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPlansGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfImage","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfImage.html"},{"type":"function","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfImage.decode/1","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfImage.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfImage.t/0","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfImage.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfModelMapStart","doc":"3D Coordinate Point","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfModelMapStart.html"},{"type":"function","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfModelMapStart.decode/1","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfModelMapStart.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfModelMapStart.t/0","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfModelMapStart.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfSheetMapStart","doc":"2D Coordinate Point","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfSheetMapStart.html"},{"type":"function","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfSheetMapStart.decode/1","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfSheetMapStart.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfSheetMapStart.t/0","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfSheetMapStart.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfThumbnail","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfThumbnail.html"},{"type":"function","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfThumbnail.decode/1","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfThumbnail.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfThumbnail.t/0","doc":"","ref":"Procore.Model.RestV10BimPlansGet200ResponseInnerAllOfThumbnail.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPropertyFilesIdObjectsGet200ResponseInner","doc":"BIM Model Object","ref":"Procore.Model.RestV10BimPropertyFilesIdObjectsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimPropertyFilesIdObjectsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdObjectsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPropertyFilesIdObjectsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdObjectsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf","doc":"BIM Model Property","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf.html"},{"type":"function","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf.t/0","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf1","doc":"BIM Model Property","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf1.html"},{"type":"function","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf1.decode/1","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf1.t/0","doc":"","ref":"Procore.Model.RestV10BimPropertyFilesIdPropertiesGet200ResponseInnerOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimViewpointsPost201Response","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10BimViewpointsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimViewpointsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf.html"},{"type":"function","title":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf.t/0","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf1","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf1.html"},{"type":"function","title":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf1.decode/1","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf1.t/0","doc":"","ref":"Procore.Model.RestV10BimViewpointsPost201ResponseOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetDetailFiltersGet200ResponseInner","doc":"Budget Detail Filter Options","ref":"Procore.Model.RestV10BudgetDetailFiltersGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BudgetDetailFiltersGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetDetailFiltersGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetDetailFiltersGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BudgetDetailFiltersGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetLineItemsPost201Response","doc":"Budget Line Item","ref":"Procore.Model.RestV10BudgetLineItemsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10BudgetLineItemsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetLineItemsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseCostCode","doc":"Cost Code","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseCostCode.html"},{"type":"function","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseCostCode.t/0","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseDivision","doc":"Budget Line Item division","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseDivision.html"},{"type":"function","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseDivision.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseDivision.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseDivision.t/0","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseDivision.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseLineItemType","doc":"Budget Line Item type","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseLineItemType.html"},{"type":"function","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseLineItemType.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseLineItemType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetLineItemsPost201ResponseLineItemType.t/0","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost201ResponseLineItemType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetLineItemsPost422Response","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost422Response.html"},{"type":"function","title":"Procore.Model.RestV10BudgetLineItemsPost422Response.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost422Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetLineItemsPost422Response.t/0","doc":"","ref":"Procore.Model.RestV10BudgetLineItemsPost422Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInner","doc":"Budget View Detail Row","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInnerBudgetForecast","doc":"ID","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInnerBudgetForecast.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInnerBudgetForecast.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInnerBudgetForecast.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInnerBudgetForecast.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdDetailRowsGet200ResponseInnerBudgetForecast.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdSummaryRowsGet200ResponseInner","doc":"Budget View Summary Row","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdSummaryRowsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdSummaryRowsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdSummaryRowsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdSummaryRowsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsBudgetViewSnapshotIdSummaryRowsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInner","doc":"Budget View Snapshot","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerBudgetView","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerBudgetView.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerBudgetView.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerBudgetView.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerBudgetView.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerBudgetView.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerLinks","doc":"Links to get data for this snapshot","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerLinks.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerLinks.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerLinks.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerLinks.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsGet200ResponseInnerLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsPost201Response","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsPost202Response","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost202Response.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsPost202Response.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost202Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsPost202Response.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost202Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsPost202ResponseData","doc":"Budget View Snapshot Request","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost202ResponseData.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsPost202ResponseData.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost202ResponseData.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsPost202ResponseData.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost202ResponseData.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsPost400Response","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost400Response.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsPost400Response.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsPost400Response.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsPost429Response","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost429Response.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsPost429Response.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost429Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsPost429Response.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost429Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsPost429ResponseError","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost429ResponseError.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsPost429ResponseError.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost429ResponseError.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsPost429ResponseError.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPost429ResponseError.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewSnapshotsPostRequest","doc":"Budget Snapshot information Input","ref":"Procore.Model.RestV10BudgetViewSnapshotsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewSnapshotsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewSnapshotsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewSnapshotsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailColumnsGet200ResponseInner","doc":"Budget Detail Columns","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailColumnsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailColumnsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailColumnsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailColumnsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailColumnsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInner","doc":"Budget Details","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerBiller","doc":"Information about the Project or Sub Job of a budget detail row","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerBiller.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerBiller.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerBiller.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerBiller.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerBiller.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerContract","doc":"Information about the Contract for a budget detail row.","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerContract.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerContract.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerContract.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerContract.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerContract.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostCode","doc":"Information about the Cost Code for a budget detail row.","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostCode.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostCode.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostType","doc":"Information about the Cost Type for a budget detail row.","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostType.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostType.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostType.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerCostType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerDetailType","doc":"Information about the type of a budget detail row","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerDetailType.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerDetailType.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerDetailType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerDetailType.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerDetailType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerRootCostCode","doc":"Information about the Division of a Cost Code for a budget detail row.","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerRootCostCode.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerRootCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerRootCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerRootCostCode.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerRootCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerVendor","doc":"Information about the Vendor for a budget detail row.","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerVendor.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerVendor.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerVendor.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdBudgetDetailsPost200ResponseInnerVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInner","doc":"Budget View Summary Row","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerBudgetForecast","doc":"Nested resource of the Budget Forecast","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerBudgetForecast.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerBudgetForecast.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerBudgetForecast.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerBudgetForecast.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerBudgetForecast.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerCurrencyConfiguration","doc":"Currency Configuration object","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsBudgetViewIdSummaryRowsGet200ResponseInnerCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInner","doc":"Budget View","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerCreatedBy","doc":"","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerLinks","doc":"Links to get budgeting data using this budget view","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerLinks.html"},{"type":"function","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerLinks.decode/1","doc":"","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerLinks.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerLinks.t/0","doc":"","ref":"Procore.Model.RestV10BudgetViewsGet200ResponseInnerLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CalendarEventsGet200Response","doc":"","ref":"Procore.Model.RestV10CalendarEventsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CalendarEventsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CalendarEventsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CalendarEventsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CalendarEventsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventStatusesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ChangeEventStatusesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventStatusesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventStatusesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventStatusesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventStatusesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInner","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBiller","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBiller.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBiller.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBiller.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBiller.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBiller.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetCode","doc":"Item's associated Budget Code","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetCode.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetCode.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetCode.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetMod","doc":"Budget Modification","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetMod.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetMod.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetMod.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetMod.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerBudgetMod.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerContract","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerContract.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerContract.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerContract.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerContract.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerContract.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerLinks","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerLinks.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerLinks.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerLinks.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerLinks.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerStatuses","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerStatuses.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerStatuses.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerStatuses.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerStatuses.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsGet200ResponseInnerChangeEventLineItemsInnerStatuses.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ChangeEventsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeEventsPostRequest","doc":"","ref":"Procore.Model.RestV10ChangeEventsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ChangeEventsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeEventsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeEventsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ChangeEventsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200Response","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInner","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInner","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInnerMarkup","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInnerMarkup.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInnerMarkup.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInnerMarkup.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInnerMarkup.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdGet200ResponseLineItemsInnerMarkupLineItemsInnerMarkup.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPost201Response","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInner","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCode","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCode.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCode.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCodeOneOf","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCodeOneOf.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCodeOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCodeOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCodeOneOf.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerCostCodeOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInner","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkup","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkup.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkup.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkup.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkup.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkup.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPost201ResponseLineItemsInnerMarkupLineItemsInnerMarkupDestinationCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPostRequest","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderPackagesPostRequestChangeOrder","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPostRequestChangeOrder.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderPackagesPostRequestChangeOrder.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPostRequestChangeOrder.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderPackagesPostRequestChangeOrder.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderPackagesPostRequestChangeOrder.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderRequestsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderRequestsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderRequestsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderRequestsPost201Response","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderRequestsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderRequestsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderRequestsPostRequest","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderRequestsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderRequestsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderRequestsPostRequestChangeOrder","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPostRequestChangeOrder.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderRequestsPostRequestChangeOrder.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPostRequestChangeOrder.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderRequestsPostRequestChangeOrder.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderRequestsPostRequestChangeOrder.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeOrderStatusesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ChangeOrderStatusesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeOrderStatusesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeOrderStatusesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeOrderStatusesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeOrderStatusesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChangeTypesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ChangeTypesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ChangeTypesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChangeTypesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChangeTypesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ChangeTypesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChecklistListTemplatesIdRemoveAlternativeResponseSetPatchRequest","doc":"","ref":"Procore.Model.RestV10ChecklistListTemplatesIdRemoveAlternativeResponseSetPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ChecklistListTemplatesIdRemoveAlternativeResponseSetPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ChecklistListTemplatesIdRemoveAlternativeResponseSetPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChecklistListTemplatesIdRemoveAlternativeResponseSetPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ChecklistListTemplatesIdRemoveAlternativeResponseSetPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest","doc":"","ref":"Procore.Model.RestV10ChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChecklistListsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ChecklistListsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ChecklistListsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ChecklistListsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChecklistListsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ChecklistListsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChecklistListsListIdSectionsSectionIdToggleNotApplicablePutRequest","doc":"","ref":"Procore.Model.RestV10ChecklistListsListIdSectionsSectionIdToggleNotApplicablePutRequest.html"},{"type":"function","title":"Procore.Model.RestV10ChecklistListsListIdSectionsSectionIdToggleNotApplicablePutRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ChecklistListsListIdSectionsSectionIdToggleNotApplicablePutRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChecklistListsListIdSectionsSectionIdToggleNotApplicablePutRequest.t/0","doc":"","ref":"Procore.Model.RestV10ChecklistListsListIdSectionsSectionIdToggleNotApplicablePutRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ChecklistPossibleInspectorsGet200Response","doc":"","ref":"Procore.Model.RestV10ChecklistPossibleInspectorsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ChecklistPossibleInspectorsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ChecklistPossibleInspectorsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ChecklistPossibleInspectorsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ChecklistPossibleInspectorsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CommunicationTagsPostRequest","doc":"","ref":"Procore.Model.RestV10CommunicationTagsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CommunicationTagsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CommunicationTagsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CommunicationTagsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CommunicationTagsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CommunicationTagsPostRequestCommunicationTag","doc":"","ref":"Procore.Model.RestV10CommunicationTagsPostRequestCommunicationTag.html"},{"type":"function","title":"Procore.Model.RestV10CommunicationTagsPostRequestCommunicationTag.decode/1","doc":"","ref":"Procore.Model.RestV10CommunicationTagsPostRequestCommunicationTag.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CommunicationTagsPostRequestCommunicationTag.t/0","doc":"","ref":"Procore.Model.RestV10CommunicationTagsPostRequestCommunicationTag.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsGet200Response","doc":"","ref":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsIdGet200Response","doc":"","ref":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CommunicationsCommunicationIdThreadsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CommunicationsIdGet200Response","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CommunicationsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CommunicationsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfCommunicationTagsInner","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfCommunicationTagsInner.html"},{"type":"function","title":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfCommunicationTagsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfCommunicationTagsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfCommunicationTagsInner.t/0","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfCommunicationTagsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfInitialPost","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfInitialPost.html"},{"type":"function","title":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfInitialPost.decode/1","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfInitialPost.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfInitialPost.t/0","doc":"","ref":"Procore.Model.RestV10CommunicationsIdGet200ResponseAllOfInitialPost.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner","doc":"Company Action Plan Template Item Assignee (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequestPlanTemplateItemAssignee","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequestPlanTemplateItemAssignee.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequestPlanTemplateItemAssignee.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequestPlanTemplateItemAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequestPlanTemplateItemAssignee.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesIdPatchRequestPlanTemplateItemAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequestPlanTemplateItemAssignee","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequestPlanTemplateItemAssignee.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequestPlanTemplateItemAssignee.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequestPlanTemplateItemAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequestPlanTemplateItemAssignee.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemAssigneesPostRequestPlanTemplateItemAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201Response","doc":"Company Action Plan Template Item (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInner","doc":"Company Action Plan Template Item Assignee (Compact)","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInnerVerificationMethod","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInnerVerificationMethod.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInnerVerificationMethod.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInnerVerificationMethod.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInnerVerificationMethod.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateItemsCreateFromItemPost201ResponsePlanTemplateItemAssigneesInnerVerificationMethod.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner","doc":"Company Action Plan Template Reference (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Reference","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload","doc":"To upload an attachment you must upload the entire payload as `multipart/form-data` content-type","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateSectionsCreateFromSectionPost201Response","doc":"Company Action Plan Template Section (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateSectionsCreateFromSectionPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateSectionsCreateFromSectionPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateSectionsCreateFromSectionPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateSectionsCreateFromSectionPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateSectionsCreateFromSectionPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner","doc":"Company Action Plan Template Test Record Request (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Test Record Request","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequestPayload","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequestPayload.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequestPayload.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequestPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequestPayload.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplateTestRecordRequestsPostRequestPlanTemplateTestRecordRequestPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner","doc":"Company Action Plan Template (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequestType","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequestType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequestType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequestType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequestType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesIdPatchRequestType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequestPlanType","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequestPlanType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequestPlanType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequestPlanType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequestPlanType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansPlanTypesPostRequestPlanType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequestVerificationMethod","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequestVerificationMethod.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequestVerificationMethod.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequestVerificationMethod.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequestVerificationMethod.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsIdPatchRequestVerificationMethod.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequestVerificationMethod","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequestVerificationMethod.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequestVerificationMethod.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequestVerificationMethod.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequestVerificationMethod.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdActionPlansVerificationMethodsPostRequestVerificationMethod.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerAllOfCreatedBy","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerAllOfCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerAllOfCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerAllOfCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerAllOfCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerAllOfCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerProjectsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerProjectsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerProjectsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerProjectsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerProjectsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsGet200ResponseInnerProjectsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdAppConfigurationsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response","doc":"Bid Form","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseAlternatesInner","doc":"Alternate Bid","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseAlternatesInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseAlternatesInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseAlternatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseAlternatesInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseAlternatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInner","doc":"Base Bid","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInner","doc":"Bid Form Item","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInnerCostCode","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInnerCostCode.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInnerCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInnerCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInnerCostCode.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerBidFormItemsInnerCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerSubSectionsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerSubSectionsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerSubSectionsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerSubSectionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerSubSectionsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidBidIdBidFormsBidFormIdGet200ResponseBaseBidInnerSubSectionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInnerLinks","doc":"Links that can be used by Frontend","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInnerLinks.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInnerLinks.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInnerLinks.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInnerLinks.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidPackagesGet200ResponseBidPackagesInnerLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInner","doc":"Bid Upload","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerFields","doc":"Properties to be passed to the storage for upload","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerFields.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerFields.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerFields.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerFields.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerFields.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerLinks","doc":"Path to uploaded file","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerLinks.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerLinks.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerLinks.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerLinks.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsBidIdUploadsGet200ResponseInnerLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInner","doc":"Summary","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerBidRequester","doc":"Bid Requester Info","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerBidRequester.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerBidRequester.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerBidRequester.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerBidRequester.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerBidRequester.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerProject","doc":"Project Info","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerProject.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerProject.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerProject.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerProject.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerProject.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerVendor","doc":"Bid Vendor Info","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerVendor.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerVendor.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerVendor.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsGet200ResponseInnerVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBid","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBid.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBid.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBid.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBid.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBid.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidAttachmentsAttributesInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidAttachmentsAttributesInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidAttachmentsAttributesInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidAttachmentsAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidAttachmentsAttributesInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidAttachmentsAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidBidItemsAttributesInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidBidItemsAttributesInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidBidItemsAttributesInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidBidItemsAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidBidItemsAttributesInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidBidItemsAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidUploadsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidUploadsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidUploadsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidUploadsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidUploadsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdBidsIdPatchRequestBidUploadsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatch200Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequestConcierge","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequestConcierge.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequestConcierge.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequestConcierge.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequestConcierge.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConciergePatchRequestConcierge.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdDuplicatePost400Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdDuplicatePost400Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdDuplicatePost400Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdDuplicatePost400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdDuplicatePost400Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdDuplicatePost400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSet","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSet.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSet.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSet.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSet.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSet.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFields","doc":"All fields that make up the form of the class name.","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFields.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFields.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFields.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFields.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFields.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFieldsCustomField1","doc":"Existing Custom Fields to be edited for this Configurable Field Set","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFieldsCustomField1.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFieldsCustomField1.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFieldsCustomField1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFieldsCustomField1.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdPatchRequestConfigurableFieldSetFieldsCustomField1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdProjectOptionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdProjectOptionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdProjectOptionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdProjectOptionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdProjectOptionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdProjectOptionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200ResponseErrors","doc":"Errors on fields, empty object if valid is true","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200ResponseErrors.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200ResponseErrors.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200ResponseErrors.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200ResponseErrors.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPost200ResponseErrors.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequestAttributes","doc":"An object with configurable & custom field keys and values to be validated. This is for example purposes only.","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequestAttributes.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequestAttributes.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequestAttributes.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequestAttributes.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsIdValidationsPostRequestAttributes.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSet","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSet.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSet.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSet.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSet.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSet.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFields","doc":"All fields that make up the form of the class name.","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFields.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFields.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFields.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFields.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFields.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFieldsField1","doc":"An example of what a field would look like","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFieldsField1.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFieldsField1.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFieldsField1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFieldsField1.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConfigurableFieldSetsPostRequestConfigurableFieldSetFieldsField1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdConstructionVolumeUrgentErrorPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConstructionVolumeUrgentErrorPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdConstructionVolumeUrgentErrorPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConstructionVolumeUrgentErrorPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdConstructionVolumeUrgentErrorPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdConstructionVolumeUrgentErrorPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequestContributingBehavior","doc":"IDs of all Contributing Behaviors specified for bulk update","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequestContributingBehavior.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequestContributingBehavior.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequestContributingBehavior.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequestContributingBehavior.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsBulkUpdatePatchRequestContributingBehavior.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequestContributingBehavior","doc":"ContributingBehavior object","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequestContributingBehavior.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequestContributingBehavior.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequestContributingBehavior.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequestContributingBehavior.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsIdPatchRequestContributingBehavior.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequestContributingBehavior","doc":"ContributingBehavior object","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequestContributingBehavior.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequestContributingBehavior.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequestContributingBehavior.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequestContributingBehavior.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingBehaviorsPostRequestContributingBehavior.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequestContributingCondition","doc":"IDs of all Contributing Conditions specified for bulk update","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequestContributingCondition.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequestContributingCondition.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequestContributingCondition.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequestContributingCondition.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsBulkUpdatePatchRequestContributingCondition.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequestContributingCondition","doc":"ContributingCondition object","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequestContributingCondition.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequestContributingCondition.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequestContributingCondition.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequestContributingCondition.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsIdPatchRequestContributingCondition.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequestContributingCondition","doc":"ContributingCondition object","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequestContributingCondition.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequestContributingCondition.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequestContributingCondition.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequestContributingCondition.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdContributingConditionsPostRequestContributingCondition.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdDistributionGroupsGetWithDomainUsersParameter","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdDistributionGroupsGetWithDomainUsersParameter.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdDistributionGroupsGetWithDomainUsersParameter.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdDistributionGroupsGetWithDomainUsersParameter.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdDistributionGroupsGetWithDomainUsersParameter.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdDistributionGroupsGetWithDomainUsersParameter.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdFileVersionsPostRequestFileVersion","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFileVersionsPostRequestFileVersion.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdFileVersionsPostRequestFileVersion.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFileVersionsPostRequestFileVersion.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdFileVersionsPostRequestFileVersion.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFileVersionsPostRequestFileVersion.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdFilesPostRequestFile","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFilesPostRequestFile.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdFilesPostRequestFile.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFilesPostRequestFile.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdFilesPostRequestFile.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFilesPostRequestFile.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200ResponseFiltersInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200ResponseFiltersInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200ResponseFiltersInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200ResponseFiltersInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200ResponseFiltersInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdFiltersGet200ResponseFiltersInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdPatch200Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGenericToolIdStatusesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGenericToolsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdGpsPositionsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequestHazard","doc":"IDs of all Hazards specified for bulk update","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequestHazard.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequestHazard.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequestHazard.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequestHazard.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsBulkUpdatePatchRequestHazard.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequestHazard","doc":"Hazard object","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequestHazard.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequestHazard.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequestHazard.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequestHazard.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsIdPatchRequestHazard.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequestHazard","doc":"Hazard object","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequestHazard.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequestHazard.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequestHazard.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequestHazard.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdHazardsPostRequestHazard.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequestActionType","doc":"IDs of all Incident Action Types specified for bulk update","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequestActionType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequestActionType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequestActionType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequestActionType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesBulkUpdatePatchRequestActionType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequestActionType","doc":"Incident Action Type object","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequestActionType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequestActionType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequestActionType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequestActionType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsActionTypesPostRequestActionType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequestAfflictionType","doc":"IDs of all Affliction Types specified for bulk update","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequestAfflictionType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequestAfflictionType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequestAfflictionType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequestAfflictionType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesBulkUpdatePatchRequestAfflictionType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequestAfflictionType","doc":"Affliction Type object","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequestAfflictionType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequestAfflictionType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequestAfflictionType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequestAfflictionType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsAfflictionTypesPostRequestAfflictionType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequestHarmSource","doc":"IDs of all Harm Sources specified for bulk update","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequestHarmSource.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequestHarmSource.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequestHarmSource.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequestHarmSource.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesBulkUpdatePatchRequestHarmSource.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequestHarmSource","doc":"Harm Source object","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequestHarmSource.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequestHarmSource.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequestHarmSource.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequestHarmSource.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsHarmSourcesPostRequestHarmSource.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequestFilingType","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequestFilingType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequestFilingType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequestFilingType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequestFilingType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsInjuryFilingTypesIdPatchRequestFilingType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequestSeverityLevel","doc":"Severity Level object","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequestSeverityLevel.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequestSeverityLevel.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequestSeverityLevel.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequestSeverityLevel.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsSeverityLevelsIdPatchRequestSeverityLevel.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequestWorkActivity","doc":"IDs of all Work Activities specified for bulk update","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequestWorkActivity.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequestWorkActivity.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequestWorkActivity.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequestWorkActivity.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesBulkUpdatePatchRequestWorkActivity.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequestWorkActivity","doc":"Work Activity object","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequestWorkActivity.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequestWorkActivity.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequestWorkActivity.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequestWorkActivity.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdIncidentsWorkActivitiesPostRequestWorkActivity.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200Response","doc":"An Invoicing Async Job","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResult","doc":"A schemaless object that will contain the result of the Async Job.","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResult.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResult.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResult.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResult.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResult.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResultOneOf","doc":"An Invoicing Async Job Result","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResultOneOf.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResultOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResultOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResultOneOf.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdInvoicesAsyncJobsUuidGet200ResponseResultOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequestManagedEquipment","doc":"Managed Equipment Object","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequestManagedEquipment.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequestManagedEquipment.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequestManagedEquipment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequestManagedEquipment.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkDestroyDeleteRequestManagedEquipment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequestManagedEquipment","doc":"Managed Equipment Object","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequestManagedEquipment.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequestManagedEquipment.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequestManagedEquipment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequestManagedEquipment.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentBulkRestorePatchRequestManagedEquipment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequestManagedEquipmentCategory","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequestManagedEquipmentCategory.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequestManagedEquipmentCategory.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequestManagedEquipmentCategory.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequestManagedEquipmentCategory.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentCategoriesPostRequestManagedEquipmentCategory.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequestManagedEquipmentAttachment","doc":"Managed Equipment Attachment Object","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequestManagedEquipmentAttachment.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequestManagedEquipmentAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequestManagedEquipmentAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequestManagedEquipmentAttachment.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentIdManagedEquipmentAttachmentsBulkDestroyDeleteRequestManagedEquipmentAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner","doc":"Equipment Log","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequestManagedEquipmentLog","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequestManagedEquipmentLog.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequestManagedEquipmentLog.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequestManagedEquipmentLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequestManagedEquipmentLog.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentLogsPostRequestManagedEquipmentLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner","doc":"Equipment Maintenance Log","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequestManagedEquipmentMaintenanceLogsAttachment","doc":"Managed Equipment Maintenance Logs Attachment Object","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequestManagedEquipmentMaintenanceLogsAttachment.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequestManagedEquipmentMaintenanceLogsAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequestManagedEquipmentMaintenanceLogsAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequestManagedEquipmentMaintenanceLogsAttachment.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsBulkDestroyDeleteRequestManagedEquipmentMaintenanceLogsAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequestManagedEquipmentMaintenanceLogsAttachment","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequestManagedEquipmentMaintenanceLogsAttachment.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequestManagedEquipmentMaintenanceLogsAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequestManagedEquipmentMaintenanceLogsAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequestManagedEquipmentMaintenanceLogsAttachment.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsIdAttachmentsPostRequestManagedEquipmentMaintenanceLogsAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequestManagedEquipmentMaintenanceLog","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequestManagedEquipmentMaintenanceLog.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequestManagedEquipmentMaintenanceLog.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequestManagedEquipmentMaintenanceLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequestManagedEquipmentMaintenanceLog.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMaintenanceLogsPostRequestManagedEquipmentMaintenanceLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequestManagedEquipmentMake","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequestManagedEquipmentMake.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequestManagedEquipmentMake.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequestManagedEquipmentMake.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequestManagedEquipmentMake.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentMakesPostRequestManagedEquipmentMake.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequestManagedEquipmentModel","doc":"Managed Equipment Model Object","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequestManagedEquipmentModel.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequestManagedEquipmentModel.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequestManagedEquipmentModel.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequestManagedEquipmentModel.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsBulkUpdatePatchRequestManagedEquipmentModel.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequestManagedEquipmentModel","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequestManagedEquipmentModel.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequestManagedEquipmentModel.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequestManagedEquipmentModel.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequestManagedEquipmentModel.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentModelsPostRequestManagedEquipmentModel.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequestManagedEquipmentType","doc":"Managed Equipment Type Object","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequestManagedEquipmentType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequestManagedEquipmentType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequestManagedEquipmentType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequestManagedEquipmentType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesBulkUpdatePatchRequestManagedEquipmentType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequestManagedEquipmentType","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequestManagedEquipmentType.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequestManagedEquipmentType.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequestManagedEquipmentType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequestManagedEquipmentType.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdManagedEquipmentTypesPostRequestManagedEquipmentType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInner","doc":"Meeting Template","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAgendasInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdMeetingTemplatesGet200ResponseInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdObservationTemplatesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdObservationTemplatesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdObservationTemplatesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdObservationTemplatesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdObservationTemplatesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdObservationTemplatesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInnerPdfConfigOptions","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInnerPdfConfigOptions.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInnerPdfConfigOptions.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInnerPdfConfigOptions.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInnerPdfConfigOptions.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPdfTemplateConfigsGet200ResponseInnerPdfConfigOptions.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequestPermissionTemplate","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequestPermissionTemplate.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequestPermissionTemplate.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequestPermissionTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequestPermissionTemplate.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPermissionTemplatesPostRequestPermissionTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200Response","doc":"Bid Package Documents","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInnerDrawing","doc":"Metadata about drawing (if file is drawing)","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInnerDrawing.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInnerDrawing.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInnerDrawing.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInnerDrawing.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdPlanroomBidPackagesBidPackageIdDocumentsGet200ResponseFilesInnerDrawing.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201ResponseAllOfProjectsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201ResponseAllOfProjectsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201ResponseAllOfProjectsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201ResponseAllOfProjectsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201ResponseAllOfProjectsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProgramsPost201ResponseAllOfProjectsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCategoriesGet200ResponseInner","doc":"Information about task items categories associated with company","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCategoriesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCategoriesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCategoriesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCategoriesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCategoriesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner","doc":"Normal view of task item comment","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInnerCreatedBy","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInnerCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInnerCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInnerCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInnerCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsGet200ResponseInnerCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequestTaskItemComment","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequestTaskItemComment.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequestTaskItemComment.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequestTaskItemComment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequestTaskItemComment.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsIdPatchRequestTaskItemComment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPost403Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPost403Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPost403Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPost403Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPost403Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPost403Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequestTaskItemComment","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequestTaskItemComment.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequestTaskItemComment.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequestTaskItemComment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequestTaskItemComment.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdProjectsProjectIdTaskItemCommentsPostRequestTaskItemComment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemAssigneesGet200ResponseInner","doc":"Recycled Company Action Plan Template Item Assignee (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemAssigneesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemAssigneesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemsGet200ResponseInner","doc":"Recycled Action Plan Template Item (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner","doc":"Recycled Company Action Plan Template Reference (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateSectionsGet200ResponseInner","doc":"Recycled Action Plan Template Section (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateSectionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateSectionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateSectionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateSectionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateSectionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner","doc":"Recycled Company Action Plan Template Test Record Request (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner","doc":"Company Action Plan Template (Show)","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200Response","doc":"Schedule Resources","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200ResponseResourcesInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200ResponseResourcesInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200ResponseResourcesInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200ResponseResourcesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200ResponseResourcesInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleResourcesGet200ResponseResourcesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200Response","doc":"Company Schedule","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInnerProjectsInner","doc":"Project with counts. `tasks_count` is only present if its value is greater than 0. `calendar_items_count` is only present if its value is greater than 0.","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInnerProjectsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInnerProjectsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInnerProjectsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInnerProjectsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdScheduleSummaryGet200ResponseDataInnerProjectsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsLogoPut200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsLogoPut200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsLogoPut200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsLogoPut200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsLogoPut200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsLogoPut200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarGet200Response","doc":"Current user avatar URL","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPut200Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPut200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPut200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPut200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPut200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPut200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPutRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPutRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPutRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPutRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPutRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSettingsMyAvatarPutRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdSubmittalTypesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSubmittalTypesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdSubmittalTypesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSubmittalTypesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdSubmittalTypesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdSubmittalTypesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimecardEntriesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersApprovalStatusGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersApprovalStatusGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersApprovalStatusGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersApprovalStatusGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersApprovalStatusGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersApprovalStatusGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersBillableGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersBillableGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersBillableGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersBillableGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersBillableGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersBillableGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCostCodesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCostCodesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCostCodesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCostCodesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCostCodesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCostCodesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCreatedByGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCreatedByGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCreatedByGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCreatedByGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCreatedByGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCreatedByGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCrewsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCrewsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCrewsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCrewsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCrewsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersCrewsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersDepartmentsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersDepartmentsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersDepartmentsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersDepartmentsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersDepartmentsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersDepartmentsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeeIdsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeeIdsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeeIdsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeeIdsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeeIdsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeeIdsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersEmployeesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersLocationsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersLocationsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersLocationsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersLocationsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersLocationsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersLocationsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersProjectsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersProjectsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersProjectsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersProjectsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersProjectsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersProjectsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersRegionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersRegionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersRegionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersRegionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersRegionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersRegionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersSubJobGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersSubJobGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersSubJobGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersSubJobGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersSubJobGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersSubJobGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersTimeTypeGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersTimeTypeGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersTimeTypeGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersTimeTypeGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersTimeTypeGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersTimeTypeGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWbsCodesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWbsCodesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWbsCodesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWbsCodesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWbsCodesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWbsCodesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWorkClassificationsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWorkClassificationsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWorkClassificationsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWorkClassificationsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWorkClassificationsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsFiltersWorkClassificationsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsPatch200Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsTimesheetToBudgetConfigurationPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsTimesheetToBudgetConfigurationPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsTimesheetToBudgetConfigurationPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsTimesheetToBudgetConfigurationPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsTimesheetToBudgetConfigurationPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdTimesheetsTimesheetToBudgetConfigurationPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdUomCategoriesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomCategoriesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdUomCategoriesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomCategoriesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdUomCategoriesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomCategoriesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInnerUomCategory","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInnerUomCategory.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInnerUomCategory.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInnerUomCategory.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInnerUomCategory.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUomsGet200ResponseInnerUomCategory.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdUsersUserIdProjectAssignmentsGetFiltersByStageParameter.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdVendorsInactiveGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdVendorsInactiveGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdVendorsInactiveGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdVendorsInactiveGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdVendorsInactiveGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdVendorsInactiveGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200Response","doc":"A work breakdown structure pattern","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner","doc":"A work breakdown structure segment","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsGet200ResponseInner","doc":"A work breakdown structure segment","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response","doc":"A work breakdown structure project segment","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdListsGet200ResponseInner","doc":"A work breakdown structure pattern","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdListsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdListsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdListsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdListsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdListsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207Response","doc":"Response of a bulk action","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207ResponseFailuresInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207ResponseFailuresInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207ResponseFailuresInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207ResponseFailuresInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207ResponseFailuresInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDelete207ResponseFailuresInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDeleteRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsBulkDestroyDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInnerSegment","doc":"Segment attributes","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInnerSegment.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInnerSegment.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInnerSegment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInnerSegment.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsGet200ResponseInnerSegment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequest","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequestAttributes","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequestAttributes.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequestAttributes.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequestAttributes.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequestAttributes.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsUpdateAllPatchRequestAttributes.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInner","doc":"Workflow Permanent Log","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet200ResponseInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet400Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet400Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet400Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet400Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response.html"},{"type":"function","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response.t/0","doc":"","ref":"Procore.Model.RestV10CompaniesCompanyIdWorkflowPermanentLogsGet401Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyBaseUrlGet200Response","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompanyBaseUrlGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyBaseUrlGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyBaseUrlGet400Response","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet400Response.html"},{"type":"function","title":"Procore.Model.RestV10CompanyBaseUrlGet400Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyBaseUrlGet400Response.t/0","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyBaseUrlGet400ResponseError","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet400ResponseError.html"},{"type":"function","title":"Procore.Model.RestV10CompanyBaseUrlGet400ResponseError.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet400ResponseError.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyBaseUrlGet400ResponseError.t/0","doc":"","ref":"Procore.Model.RestV10CompanyBaseUrlGet400ResponseError.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet200Response","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultLunchTimeInner","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultLunchTimeInner.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultLunchTimeInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultLunchTimeInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultLunchTimeInner.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultLunchTimeInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStartTimeInner","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStartTimeInner.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStartTimeInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStartTimeInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStartTimeInner.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStartTimeInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStopTimeInner","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStopTimeInner.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStopTimeInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStopTimeInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStopTimeInner.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardDefaultStopTimeInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardLunchTimeTrackingInner","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardLunchTimeTrackingInner.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardLunchTimeTrackingInner.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardLunchTimeTrackingInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardLunchTimeTrackingInner.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseProjectsTimecardLunchTimeTrackingInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseRoundingConfiguration","doc":"Rounding Configuration","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseRoundingConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseRoundingConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseRoundingConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseRoundingConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseRoundingConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseTimeAndMaterialsCompanyConfig","doc":"Time and Materials Company Config","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseTimeAndMaterialsCompanyConfig.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseTimeAndMaterialsCompanyConfig.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseTimeAndMaterialsCompanyConfig.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet200ResponseTimeAndMaterialsCompanyConfig.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet200ResponseTimeAndMaterialsCompanyConfig.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet400Response","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet400Response.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet400Response.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet400Response.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CompanyConfigurationGet400ResponseError","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet400ResponseError.html"},{"type":"function","title":"Procore.Model.RestV10CompanyConfigurationGet400ResponseError.decode/1","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet400ResponseError.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CompanyConfigurationGet400ResponseError.t/0","doc":"","ref":"Procore.Model.RestV10CompanyConfigurationGet400ResponseError.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ContractPaymentsGet200ResponseInner","doc":"Contract Payment","ref":"Procore.Model.RestV10ContractPaymentsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ContractPaymentsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ContractPaymentsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ContractPaymentsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ContractPaymentsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf","doc":"Coordination Issue Assignment Activity","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf1","doc":"Coordination Issue Comment Activity","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf1.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf1.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf1.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf2","doc":"Coordination Issue Creation Activity","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf2.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf2.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf2.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf2.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf2.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf3","doc":"Coordination Issue Status Change Activity","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf3.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf3.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf3.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf3.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesFeedGet200ResponseInnerAnyOf3.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssueActivitiesGet200ResponseInner","doc":"Coordination Issue Activity","ref":"Procore.Model.RestV10CoordinationIssueActivitiesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssueActivitiesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssueActivitiesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssueActivitiesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPost201Response","doc":"Coordination Issue Assignment","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequest","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequestCoordinationIssueAssignment","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequestCoordinationIssueAssignment.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequestCoordinationIssueAssignment.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequestCoordinationIssueAssignment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequestCoordinationIssueAssignment.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesCoordinationIssueIdAssignmentsPostRequestCoordinationIssueAssignment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeCompanyIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeCompanyIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeCompanyIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeCompanyIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeCompanyIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeCompanyIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsAssigneeIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCoordinationIssueFileIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCoordinationIssueFileIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCoordinationIssueFileIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCoordinationIssueFileIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCoordinationIssueFileIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCoordinationIssueFileIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCreatedFromGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCreatedFromGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCreatedFromGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCreatedFromGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCreatedFromGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsCreatedFromGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsLocationIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsLocationIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsLocationIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsLocationIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsLocationIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsLocationIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsStatusGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsStatusGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsStatusGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsStatusGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesFilterOptionsStatusGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesFilterOptionsStatusGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAssignee","doc":"Login Information","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAssignee.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAssignee.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAssignee.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAttachmentsInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfCoordinationIssueFile","doc":"BIM File","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfCoordinationIssueFile.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfCoordinationIssueFile.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfCoordinationIssueFile.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfCoordinationIssueFile.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfCoordinationIssueFile.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingMarkupPreviewImagesInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingMarkupPreviewImagesInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingMarkupPreviewImagesInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingMarkupPreviewImagesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingMarkupPreviewImagesInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingMarkupPreviewImagesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingRevision","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingRevision.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingRevision.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingRevision.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingRevision.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfDrawingRevision.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedDrawingsInner","doc":"CoordinationIssue pinned preview image","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedDrawingsInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedDrawingsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedDrawingsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedDrawingsInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedDrawingsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedObservationItemsInner","doc":"CoordinationIssue linked Observation Item","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedObservationItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedObservationItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedObservationItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedObservationItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedObservationItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInnerAllOfItemData","doc":"This field shows data specific to the associated item. If item type is RFI, it will contain attribute subject, number, and has_official_response","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInnerAllOfItemData.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInnerAllOfItemData.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInnerAllOfItemData.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInnerAllOfItemData.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfLinkedProcoreItemsInnerAllOfItemData.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfOrigin","doc":"Origin source for a Coordination Issue","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfOrigin.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfOrigin.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfOrigin.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfOrigin.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfOrigin.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInner","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfSnapshot","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfSnapshot.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfSnapshot.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfSnapshot.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfSnapshot.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfSnapshot.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibility","doc":"Object Visibility settings","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibility.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibility.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibility.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibility.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibility.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibilityExceptions","doc":"Group of model objects represented as an array of object ids, or object ranges","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibilityExceptions.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibilityExceptions.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibilityExceptions.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibilityExceptions.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesGet200ResponseInnerAllOfViewpointsInnerAllOfVisibilityExceptions.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesIdChangeHistoryGet200ResponseInner","doc":"Change History","ref":"Procore.Model.RestV10CoordinationIssuesIdChangeHistoryGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesIdChangeHistoryGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesIdChangeHistoryGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesIdChangeHistoryGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesIdChangeHistoryGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesIdStatusChangesGet200ResponseInner","doc":"Coordination Issue Status Change","ref":"Procore.Model.RestV10CoordinationIssuesIdStatusChangesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesIdStatusChangesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesIdStatusChangesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesIdStatusChangesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesIdStatusChangesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesRecycleBinIdPatchRequest","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesRecycleBinIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesRecycleBinIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesRecycleBinIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesRecycleBinIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesRecycleBinIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesStatusCountGet200ResponseInner","doc":"Coordination Issue Status Count","ref":"Procore.Model.RestV10CoordinationIssuesStatusCountGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesStatusCountGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesStatusCountGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesStatusCountGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesStatusCountGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CoordinationIssuesStatusTotalGet200Response","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesStatusTotalGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CoordinationIssuesStatusTotalGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesStatusTotalGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CoordinationIssuesStatusTotalGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CoordinationIssuesStatusTotalGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost201Response","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost207Response","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost207Response.html"},{"type":"function","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost207Response.decode/1","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost207Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost207Response.t/0","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPost207Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPostRequest","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CostCodesCopySubsetFromStandardListPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesGet200Response","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsCustomFieldDefinitionIdCustomFieldLovEntriesGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10CustomFieldDefinitionsGet200Response","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10CustomFieldDefinitionsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10CustomFieldDefinitionsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10CustomFieldDefinitionsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost200Response","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost200Response.html"},{"type":"function","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost200Response.decode/1","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost200Response.t/0","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost202Response","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost202Response.html"},{"type":"function","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost202Response.decode/1","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost202Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost202Response.t/0","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost202Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost409Response","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost409Response.html"},{"type":"function","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost409Response.decode/1","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost409Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost409Response.t/0","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePost409Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePostRequest","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10DocumentMarkupDownloadablePdfsFindOrCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FieldProductionReportGet200ResponseInner","doc":"Field Production Report","ref":"Procore.Model.RestV10FieldProductionReportGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10FieldProductionReportGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10FieldProductionReportGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FieldProductionReportGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10FieldProductionReportGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FileVersionsPost201Response","doc":"","ref":"Procore.Model.RestV10FileVersionsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10FileVersionsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10FileVersionsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FileVersionsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10FileVersionsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FileVersionsPost201ResponseAllOfProstoreFile","doc":"","ref":"Procore.Model.RestV10FileVersionsPost201ResponseAllOfProstoreFile.html"},{"type":"function","title":"Procore.Model.RestV10FileVersionsPost201ResponseAllOfProstoreFile.decode/1","doc":"","ref":"Procore.Model.RestV10FileVersionsPost201ResponseAllOfProstoreFile.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FileVersionsPost201ResponseAllOfProstoreFile.t/0","doc":"","ref":"Procore.Model.RestV10FileVersionsPost201ResponseAllOfProstoreFile.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FileVersionsPostRequestFileVersion","doc":"","ref":"Procore.Model.RestV10FileVersionsPostRequestFileVersion.html"},{"type":"function","title":"Procore.Model.RestV10FileVersionsPostRequestFileVersion.decode/1","doc":"","ref":"Procore.Model.RestV10FileVersionsPostRequestFileVersion.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FileVersionsPostRequestFileVersion.t/0","doc":"","ref":"Procore.Model.RestV10FileVersionsPostRequestFileVersion.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesIdPatch409Response","doc":"File Conflict Error","ref":"Procore.Model.RestV10FilesIdPatch409Response.html"},{"type":"function","title":"Procore.Model.RestV10FilesIdPatch409Response.decode/1","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesIdPatch409Response.t/0","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesIdPatch409ResponseErrors","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseErrors.html"},{"type":"function","title":"Procore.Model.RestV10FilesIdPatch409ResponseErrors.decode/1","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseErrors.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesIdPatch409ResponseErrors.t/0","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseErrors.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesIdPatch409ResponseFile","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseFile.html"},{"type":"function","title":"Procore.Model.RestV10FilesIdPatch409ResponseFile.decode/1","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseFile.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesIdPatch409ResponseFile.t/0","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseFile.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesIdPatch409ResponseFileFileVersionsInner","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseFileFileVersionsInner.html"},{"type":"function","title":"Procore.Model.RestV10FilesIdPatch409ResponseFileFileVersionsInner.decode/1","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseFileFileVersionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesIdPatch409ResponseFileFileVersionsInner.t/0","doc":"","ref":"Procore.Model.RestV10FilesIdPatch409ResponseFileFileVersionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesIdPatchRequestFile","doc":"","ref":"Procore.Model.RestV10FilesIdPatchRequestFile.html"},{"type":"function","title":"Procore.Model.RestV10FilesIdPatchRequestFile.decode/1","doc":"","ref":"Procore.Model.RestV10FilesIdPatchRequestFile.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesIdPatchRequestFile.t/0","doc":"","ref":"Procore.Model.RestV10FilesIdPatchRequestFile.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesPost201Response","doc":"","ref":"Procore.Model.RestV10FilesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10FilesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10FilesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10FilesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesPost201ResponseCheckedOutBy","doc":"","ref":"Procore.Model.RestV10FilesPost201ResponseCheckedOutBy.html"},{"type":"function","title":"Procore.Model.RestV10FilesPost201ResponseCheckedOutBy.decode/1","doc":"","ref":"Procore.Model.RestV10FilesPost201ResponseCheckedOutBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesPost201ResponseCheckedOutBy.t/0","doc":"","ref":"Procore.Model.RestV10FilesPost201ResponseCheckedOutBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesPost201ResponseFileVersionsInner","doc":"","ref":"Procore.Model.RestV10FilesPost201ResponseFileVersionsInner.html"},{"type":"function","title":"Procore.Model.RestV10FilesPost201ResponseFileVersionsInner.decode/1","doc":"","ref":"Procore.Model.RestV10FilesPost201ResponseFileVersionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesPost201ResponseFileVersionsInner.t/0","doc":"","ref":"Procore.Model.RestV10FilesPost201ResponseFileVersionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FilesPostRequestFile","doc":"","ref":"Procore.Model.RestV10FilesPostRequestFile.html"},{"type":"function","title":"Procore.Model.RestV10FilesPostRequestFile.decode/1","doc":"","ref":"Procore.Model.RestV10FilesPostRequestFile.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FilesPostRequestFile.t/0","doc":"","ref":"Procore.Model.RestV10FilesPostRequestFile.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FoldersIdPatchRequest","doc":"","ref":"Procore.Model.RestV10FoldersIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10FoldersIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10FoldersIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FoldersIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10FoldersIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FoldersIdPatchRequestFolder","doc":"","ref":"Procore.Model.RestV10FoldersIdPatchRequestFolder.html"},{"type":"function","title":"Procore.Model.RestV10FoldersIdPatchRequestFolder.decode/1","doc":"","ref":"Procore.Model.RestV10FoldersIdPatchRequestFolder.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FoldersIdPatchRequestFolder.t/0","doc":"","ref":"Procore.Model.RestV10FoldersIdPatchRequestFolder.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FoldersPostRequest","doc":"","ref":"Procore.Model.RestV10FoldersPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10FoldersPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10FoldersPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FoldersPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10FoldersPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10FoldersPostRequestFolder","doc":"","ref":"Procore.Model.RestV10FoldersPostRequestFolder.html"},{"type":"function","title":"Procore.Model.RestV10FoldersPostRequestFolder.decode/1","doc":"","ref":"Procore.Model.RestV10FoldersPostRequestFolder.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10FoldersPostRequestFolder.t/0","doc":"","ref":"Procore.Model.RestV10FoldersPostRequestFolder.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10InstallationRequestsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10InstallationRequestsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10InstallationRequestsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10InstallationRequestsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10InstallationRequestsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10InstallationRequestsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10LineItemTypesSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10LineItemTypesSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10LineItemTypesSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10LineItemTypesSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10LineItemTypesSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10LineItemTypesSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10LinksGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10LinksGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10LinksGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10LinksGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10LinksGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10LinksGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10LinksPost201Response","doc":"","ref":"Procore.Model.RestV10LinksPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10LinksPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10LinksPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10LinksPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10LinksPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10LinksPostRequest","doc":"","ref":"Procore.Model.RestV10LinksPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10LinksPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10LinksPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10LinksPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10LinksPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10LinksPostRequestLink","doc":"","ref":"Procore.Model.RestV10LinksPostRequestLink.html"},{"type":"function","title":"Procore.Model.RestV10LinksPostRequestLink.decode/1","doc":"","ref":"Procore.Model.RestV10LinksPostRequestLink.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10LinksPostRequestLink.t/0","doc":"","ref":"Procore.Model.RestV10LinksPostRequestLink.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10LinksRecycleBinGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10LinksRecycleBinGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10LinksRecycleBinGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10LinksRecycleBinGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10LinksRecycleBinGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10LinksRecycleBinGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeGet200Response","doc":"","ref":"Procore.Model.RestV10MeGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10MeGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10MeGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10MeGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingAttendeeRecordsPost201Response","doc":"Meeting Attendee record","ref":"Procore.Model.RestV10MeetingAttendeeRecordsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10MeetingAttendeeRecordsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingAttendeeRecordsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingAttendeeRecordsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10MeetingAttendeeRecordsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingCategoriesGet200ResponseInner","doc":"Meeting category","ref":"Procore.Model.RestV10MeetingCategoriesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10MeetingCategoriesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingCategoriesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingCategoriesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10MeetingCategoriesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingCategoriesPost201Response","doc":"","ref":"Procore.Model.RestV10MeetingCategoriesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10MeetingCategoriesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingCategoriesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingCategoriesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10MeetingCategoriesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingTopicsParentMinutesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10MeetingTopicsParentMinutesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10MeetingTopicsParentMinutesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingTopicsParentMinutesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingTopicsParentMinutesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10MeetingTopicsParentMinutesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingsGet200ResponseInner","doc":"Group of meetings","ref":"Procore.Model.RestV10MeetingsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10MeetingsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10MeetingsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingsGet200ResponseInnerMeetingsInner","doc":"Meeting","ref":"Procore.Model.RestV10MeetingsGet200ResponseInnerMeetingsInner.html"},{"type":"function","title":"Procore.Model.RestV10MeetingsGet200ResponseInnerMeetingsInner.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingsGet200ResponseInnerMeetingsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingsGet200ResponseInnerMeetingsInner.t/0","doc":"","ref":"Procore.Model.RestV10MeetingsGet200ResponseInnerMeetingsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingsPost201Response","doc":"Meeting","ref":"Procore.Model.RestV10MeetingsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10MeetingsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10MeetingsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingsPost201ResponseAttendeesInner","doc":"","ref":"Procore.Model.RestV10MeetingsPost201ResponseAttendeesInner.html"},{"type":"function","title":"Procore.Model.RestV10MeetingsPost201ResponseAttendeesInner.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingsPost201ResponseAttendeesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingsPost201ResponseAttendeesInner.t/0","doc":"","ref":"Procore.Model.RestV10MeetingsPost201ResponseAttendeesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInner","doc":"","ref":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInner.html"},{"type":"function","title":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInner.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInner.t/0","doc":"","ref":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner","doc":"Meeting topic","ref":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.html"},{"type":"function","title":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.decode/1","doc":"","ref":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.t/0","doc":"","ref":"Procore.Model.RestV10MeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10NestedBimViewFoldersPost200Response","doc":"","ref":"Procore.Model.RestV10NestedBimViewFoldersPost200Response.html"},{"type":"function","title":"Procore.Model.RestV10NestedBimViewFoldersPost200Response.decode/1","doc":"","ref":"Procore.Model.RestV10NestedBimViewFoldersPost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10NestedBimViewFoldersPost200Response.t/0","doc":"","ref":"Procore.Model.RestV10NestedBimViewFoldersPost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ObservationsItemsNextAvailableNumberGet200Response","doc":"","ref":"Procore.Model.RestV10ObservationsItemsNextAvailableNumberGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ObservationsItemsNextAvailableNumberGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ObservationsItemsNextAvailableNumberGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ObservationsItemsNextAvailableNumberGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ObservationsItemsNextAvailableNumberGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ObservationsItemsSendUnsentPostRequest","doc":"","ref":"Procore.Model.RestV10ObservationsItemsSendUnsentPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ObservationsItemsSendUnsentPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ObservationsItemsSendUnsentPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ObservationsItemsSendUnsentPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ObservationsItemsSendUnsentPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10OpenItemsAllGet200Response","doc":"Open items statistics data","ref":"Procore.Model.RestV10OpenItemsAllGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10OpenItemsAllGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10OpenItemsAllGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10OpenItemsAllGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10OpenItemsAllGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfBillingPeriod","doc":"Commitment Billing Period","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfBillingPeriod.html"},{"type":"function","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfBillingPeriod.decode/1","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfBillingPeriod.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfBillingPeriod.t/0","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfBillingPeriod.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfContract","doc":"Contract","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfContract.html"},{"type":"function","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfContract.decode/1","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfContract.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfContract.t/0","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfContract.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfCurrencyConfiguration","doc":"Payment Application (Owner Invoice) Currency Configuration","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfG702","doc":"Payment Application (Owner Invoice) summary","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfG702.html"},{"type":"function","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfG702.decode/1","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfG702.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfG702.t/0","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsGet200ResponseInnerAllOfG702.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PaymentApplicationsIdGet200Response","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10PaymentApplicationsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PaymentApplicationsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PaymentApplicationsIdGet200ResponseAllOfG703Inner","doc":"Payment Application (Owner Invoice) Contract Item","ref":"Procore.Model.RestV10PaymentApplicationsIdGet200ResponseAllOfG703Inner.html"},{"type":"function","title":"Procore.Model.RestV10PaymentApplicationsIdGet200ResponseAllOfG703Inner.decode/1","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsIdGet200ResponseAllOfG703Inner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PaymentApplicationsIdGet200ResponseAllOfG703Inner.t/0","doc":"","ref":"Procore.Model.RestV10PaymentApplicationsIdGet200ResponseAllOfG703Inner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PotentialChangeOrdersGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10PotentialChangeOrdersGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PotentialChangeOrdersGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PotentialChangeOrdersIdPatchRequest","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10PotentialChangeOrdersIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PotentialChangeOrdersIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PotentialChangeOrdersPost201Response","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10PotentialChangeOrdersPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PotentialChangeOrdersPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PotentialChangeOrdersPostRequest","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10PotentialChangeOrdersPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PotentialChangeOrdersPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PotentialChangeOrdersPostRequestChangeOrder","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPostRequestChangeOrder.html"},{"type":"function","title":"Procore.Model.RestV10PotentialChangeOrdersPostRequestChangeOrder.decode/1","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPostRequestChangeOrder.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PotentialChangeOrdersPostRequestChangeOrder.t/0","doc":"","ref":"Procore.Model.RestV10PotentialChangeOrdersPostRequestChangeOrder.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PrimeContractGet200Response","doc":"Prime Contract","ref":"Procore.Model.RestV10PrimeContractGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10PrimeContractGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10PrimeContractGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PrimeContractGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10PrimeContractGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PrimeContractsGet200ResponseInner","doc":"Prime Contracts","ref":"Procore.Model.RestV10PrimeContractsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10PrimeContractsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10PrimeContractsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PrimeContractsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10PrimeContractsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PrimeContractsGet200ResponseInnerContractor","doc":"","ref":"Procore.Model.RestV10PrimeContractsGet200ResponseInnerContractor.html"},{"type":"function","title":"Procore.Model.RestV10PrimeContractsGet200ResponseInnerContractor.decode/1","doc":"","ref":"Procore.Model.RestV10PrimeContractsGet200ResponseInnerContractor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PrimeContractsGet200ResponseInnerContractor.t/0","doc":"","ref":"Procore.Model.RestV10PrimeContractsGet200ResponseInnerContractor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationLineItemsIdPatch200Response","doc":"Payment Application (Owner Invoice) Contract Item","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationLineItemsIdPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationLineItemsIdPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationLineItemsIdPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationLineItemsIdPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationLineItemsIdPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationMarkupLineItemsIdPatch200Response","doc":"Payment Application (Owner Invoice) Markup Line Item.","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationMarkupLineItemsIdPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationMarkupLineItemsIdPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationMarkupLineItemsIdPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationMarkupLineItemsIdPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationMarkupLineItemsIdPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsGet200ResponseInner","doc":"Payment Application (Owner Invoice)","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201Response","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201ResponseAllOfG703Inner","doc":"Payment Application (Owner Invoice) Contract Item","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201ResponseAllOfG703Inner.html"},{"type":"function","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201ResponseAllOfG703Inner.decode/1","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201ResponseAllOfG703Inner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201ResponseAllOfG703Inner.t/0","doc":"","ref":"Procore.Model.RestV10PrimeContractsPrimeContractIdPaymentApplicationsPost201ResponseAllOfG703Inner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsEmailIdDownloadAttachmentsGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsEmailIdDownloadAttachmentsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsEmailIdDownloadAttachmentsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsEmailIdDownloadAttachmentsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsEmailIdDownloadAttachmentsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsEmailIdDownloadAttachmentsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdEmailsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdExportGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdExportGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdExportGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdExportGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdExportGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsCommunicationIdExportGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInner","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsEmailsGet200ResponseEmailsInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInner","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerBccDistributionInner","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerBccDistributionInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerBccDistributionInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerBccDistributionInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerBccDistributionInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerBccDistributionInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerLoginInformation","doc":"User","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerLoginInformation.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerLoginInformation.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerLoginInformation.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerLoginInformation.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdGet200ResponseEmailsInnerLoginInformation.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestCommunication","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestCommunication.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestCommunication.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestCommunication.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestCommunication.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestCommunication.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestEmail","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestEmail.html"},{"type":"function","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestEmail.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestEmail.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestEmail.t/0","doc":"","ref":"Procore.Model.RestV10ProjectProjectIdEmailCommunicationsPostRequestEmail.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsGetDefaultResponse","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponse.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsGetDefaultResponse.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponse.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsGetDefaultResponse.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsGetDefaultResponseError","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponseError.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsGetDefaultResponseError.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponseError.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsGetDefaultResponseError.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponseError.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsGetDefaultResponseErrorDetailsInner","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponseErrorDetailsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsGetDefaultResponseErrorDetailsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponseErrorDetailsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsGetDefaultResponseErrorDetailsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsGetDefaultResponseErrorDetailsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsIdFiltersFilterNameGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersFilterNameGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsIdFiltersFilterNameGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersFilterNameGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsIdFiltersFilterNameGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersFilterNameGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsIdFiltersGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsIdFiltersGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsIdFiltersGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsIdFiltersGet200ResponseFiltersInner","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGet200ResponseFiltersInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsIdFiltersGet200ResponseFiltersInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGet200ResponseFiltersInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsIdFiltersGet200ResponseFiltersInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGet200ResponseFiltersInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsIdFiltersGetDefaultResponse","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGetDefaultResponse.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsIdFiltersGetDefaultResponse.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGetDefaultResponse.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsIdFiltersGetDefaultResponse.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsIdFiltersGetDefaultResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequestAccidentLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequestAccidentLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequestAccidentLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequestAccidentLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequestAccidentLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsIdPatchRequestAccidentLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequestAccidentLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequestAccidentLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequestAccidentLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequestAccidentLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequestAccidentLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdAccidentLogsPostRequestAccidentLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPartiesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPartiesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPartiesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPartiesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPartiesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPartiesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner","doc":"Action Plan Item Assignee (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequestPlanItemAssignee","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequestPlanItemAssignee.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequestPlanItemAssignee.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequestPlanItemAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequestPlanItemAssignee.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesIdPatchRequestPlanItemAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequestPlanItemAssignee","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequestPlanItemAssignee.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequestPlanItemAssignee.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequestPlanItemAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequestPlanItemAssignee.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemAssigneesPostRequestPlanItemAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequestPlanItemsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequestPlanItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequestPlanItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequestPlanItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequestPlanItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsBulkUpdatePatchRequestPlanItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsCreateFromItemPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsCreateFromItemPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsCreateFromItemPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsCreateFromItemPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsCreateFromItemPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsCreateFromItemPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner","doc":"Action Plan Item (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInner","doc":"Action Plan Item Assignee (Compact)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignature","doc":"Action Plan Item Assignee Signature (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignature.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignature.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignature.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignature.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignature.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignatureAttachment","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignatureAttachment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignatureAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignatureAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignatureAttachment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerSignatureAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerVerificationMethod","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerVerificationMethod.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerVerificationMethod.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerVerificationMethod.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerVerificationMethod.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerPlanItemAssigneesInnerVerificationMethod.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerStatus","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerStatus.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerStatus.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerStatus.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerStatus.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsGet200ResponseInnerStatus.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequestPlanItem","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequestPlanItem.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequestPlanItem.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequestPlanItem.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequestPlanItem.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsIdPatchRequestPlanItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequestPlanItem","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequestPlanItem.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequestPlanItem.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequestPlanItem.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequestPlanItem.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanItemsPostRequestPlanItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response","doc":"Action Plan Party Signature (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200ResponseAttachment","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200ResponseAttachment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200ResponseAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200ResponseAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200ResponseAttachment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignatureGet200ResponseAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReceiversPlanReceiverIdSignaturePostRequestSignature.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner","doc":"Action Plan Reference (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Reference","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReference","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReference.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReference.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReference.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReference.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReference.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReferencePayload","doc":"One of attachment, drawing_revision_id, file_version_id, specification_section_id, submittal_log_id, generic_tool_item_id, form_id, meeting_id, or observation_item_id is accepted depending on the type provided","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReferencePayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReferencePayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReferencePayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReferencePayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequest1PlanReferencePayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequestPlanReference","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequestPlanReference.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequestPlanReference.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequestPlanReference.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequestPlanReference.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanReferencesPostRequestPlanReference.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsCreateFromSectionPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsCreateFromSectionPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsCreateFromSectionPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsCreateFromSectionPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsCreateFromSectionPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsCreateFromSectionPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner","doc":"Action Plan Section (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequestPlanSection","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequestPlanSection.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequestPlanSection.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequestPlanSection.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequestPlanSection.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsIdPatchRequestPlanSection.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequestPlanSection","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequestPlanSection.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequestPlanSection.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequestPlanSection.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequestPlanSection.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanSectionsPostRequestPlanSection.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequestPlanTemplateApprovers","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequestPlanTemplateApprovers.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequestPlanTemplateApprovers.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequestPlanTemplateApprovers.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequestPlanTemplateApprovers.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkCreatePostRequestPlanTemplateApprovers.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequestPlanTemplateApprovers","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequestPlanTemplateApprovers.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequestPlanTemplateApprovers.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequestPlanTemplateApprovers.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequestPlanTemplateApprovers.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversBulkDestroyDeleteRequestPlanTemplateApprovers.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner","doc":"Project Action Plan Template Approver","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequestPlanTemplateApprover","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequestPlanTemplateApprover.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequestPlanTemplateApprover.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequestPlanTemplateApprover.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequestPlanTemplateApprover.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateApproversPostRequestPlanTemplateApprover.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePost200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePost200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePost200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePost200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePost200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePost200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatch200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatch200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatch200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatch200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatch200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatch200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner","doc":"Project Action Plan Template Item Assignee (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInnerVerificationMethod","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInnerVerificationMethod.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInnerVerificationMethod.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInnerVerificationMethod.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInnerVerificationMethod.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemAssigneesGet200ResponseInnerVerificationMethod.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch200ResponseInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInnerErrors","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInnerErrors.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInnerErrors.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInnerErrors.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInnerErrors.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatch422ResponseInnerErrors.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsBulkUpdatePatchRequestPlanTemplateItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsCreateFromItemPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsCreateFromItemPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsCreateFromItemPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsCreateFromItemPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsCreateFromItemPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsCreateFromItemPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInner","doc":"Project Action Plan Template Item","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInner","doc":"Project Action Plan Template Item Assignee (Compact)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInnerVerificationMethod","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInnerVerificationMethod.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInnerVerificationMethod.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInnerVerificationMethod.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInnerVerificationMethod.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateItemsGet200ResponseInnerPlanTemplateItemAssigneesInnerVerificationMethod.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequestPlanTemplateReceivers","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequestPlanTemplateReceivers.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequestPlanTemplateReceivers.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequestPlanTemplateReceivers.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequestPlanTemplateReceivers.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkCreatePostRequestPlanTemplateReceivers.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequestPlanTemplateReceivers","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequestPlanTemplateReceivers.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequestPlanTemplateReceivers.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequestPlanTemplateReceivers.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequestPlanTemplateReceivers.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversBulkDestroyDeleteRequestPlanTemplateReceivers.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner","doc":"Project Action Plan Template Receiver","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequestPlanTemplateReceiver","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequestPlanTemplateReceiver.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequestPlanTemplateReceiver.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequestPlanTemplateReceiver.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequestPlanTemplateReceiver.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReceiversPostRequestPlanTemplateReceiver.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner","doc":"Project Action Plan Template Reference (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Reference","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayloadAttachment","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayloadAttachment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayloadAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayloadAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayloadAttachment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesGet200ResponseInnerPayloadAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReference","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReference.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReference.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReference.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReference.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReference.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReferencePayload","doc":"One of attachment, drawing_revision_id, file_version_id, specification_section_id, generic_tool_item_id, form_id, meeting_id, or observation_item_id is accepted depending on the type provided","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReferencePayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReferencePayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReferencePayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReferencePayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequest1PlanTemplateReferencePayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReference.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload","doc":"One of attachment, drawing_revision_id, file_version_id, specification_section_id, generic_tool_item_id, form_id, meeting_id, or observation_item_id is accepted depending on the type provided","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateReferencesPostRequestPlanTemplateReferencePayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsCreateFromSectionPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsCreateFromSectionPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsCreateFromSectionPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsCreateFromSectionPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsCreateFromSectionPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsCreateFromSectionPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsGet200ResponseInner","doc":"Project Action Plan Template Section (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateSectionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInnerInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInnerInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInnerInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePost200ResponseInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner","doc":"Project Action Plan Template Test Record Request (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Action Plan Template Test Record Request","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplateTestRecordRequestsGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInner","doc":"Project Action Plan Templates (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManager","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManager.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManager.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManager.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManager.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManager.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManagerVendor","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManagerVendor.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManagerVendor.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManagerVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManagerVendor.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerManagerVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTemplatesGet200ResponseInnerPlanType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner","doc":"Action Plan Test Record Request (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Action Plan Test Record Request","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequestPlanTestRecordRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequestPlanTestRecordRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequestPlanTestRecordRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequestPlanTestRecordRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequestPlanTestRecordRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordRequestsPostRequestPlanTestRecordRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner","doc":"Action Plan Test Record (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Action Plan Test Record","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecord","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecord.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecord.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecord.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecord.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecord.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecordPayload","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecordPayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecordPayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecordPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecordPayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequest1PlanTestRecordPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequestPlanTestRecord","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequestPlanTestRecord.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequestPlanTestRecord.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequestPlanTestRecord.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequestPlanTestRecord.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlanTestRecordsPostRequestPlanTestRecord.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansCreateFromTemplatePost201Response","doc":"Action Plan","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansCreateFromTemplatePost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansCreateFromTemplatePost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansCreateFromTemplatePost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansCreateFromTemplatePost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansCreateFromTemplatePost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner","doc":"Action Plan (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInner","doc":"Action Plan Approver (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignature","doc":"Action Plan Approver Signature (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignature.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignature.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignature.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignature.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignature.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureAttachment","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureAttachment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureAttachment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedBy","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedBy.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedBy.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedBy.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedByVendor","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedByVendor.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedByVendor.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedByVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedByVendor.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanApproversInnerSignatureCapturedByVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInner","doc":"Action Plan Receiver (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInnerSignature","doc":"Action Plan Receiver Signature (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInnerSignature.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInnerSignature.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInnerSignature.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInnerSignature.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanReceiversInnerSignature.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanStatus","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanStatus.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanStatus.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanStatus.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanStatus.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansGet200ResponseInnerPlanStatus.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlan","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlan.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlan.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlan.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlan.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlan.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanApproversAttributesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanApproversAttributesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanApproversAttributesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanApproversAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanApproversAttributesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanApproversAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanReceiversAttributesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanReceiversAttributesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanReceiversAttributesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanReceiversAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanReceiversAttributesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansIdPatchRequestPlanPlanReceiversAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlan","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlan.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlan.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlan.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlan.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlan.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanApproversAttributesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanApproversAttributesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanApproversAttributesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanApproversAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanApproversAttributesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanApproversAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanReceiversAttributesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanReceiversAttributesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanReceiversAttributesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanReceiversAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanReceiversAttributesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActionPlansPlansPostRequestPlanPlanReceiversAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkDestroyDeleteRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkDestroyDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkDestroyDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkDestroyDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkDestroyDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkDestroyDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner","doc":"Actual Production Quantity","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequestActualProductionQuantity","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequestActualProductionQuantity.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequestActualProductionQuantity.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequestActualProductionQuantity.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequestActualProductionQuantity.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesIdGetRequestActualProductionQuantity.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdActualProductionQuantitiesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidFormsGet200ResponseInner","doc":"Bid Form","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidFormsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidFormsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidFormsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidFormsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidFormsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequestBid","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequestBid.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequestBid.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequestBid.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequestBid.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsIdPatchRequestBid.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequestBid","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequestBid.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequestBid.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequestBid.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequestBid.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdBidsPostRequestBid.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesBidPackageIdCorrespondencesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseBidDocsManifest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseBidDocsManifest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseBidDocsManifest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseBidDocsManifest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseBidDocsManifest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseBidDocsManifest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseCreatedBy","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseDistributionMembersInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseDistributionMembersInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseDistributionMembersInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseDistributionMembersInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseDistributionMembersInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseDistributionMembersInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseLinks","doc":"Links that can be used by Frontend","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseLinks.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseLinks.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseLinks.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseLinks.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManager","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManager.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManager.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManager.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManager.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManager.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManagerVendor","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManagerVendor.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManagerVendor.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManagerVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManagerVendor.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponseManagerVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponsePointOfContact","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponsePointOfContact.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponsePointOfContact.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponsePointOfContact.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponsePointOfContact.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBidPackagesPost201ResponsePointOfContact.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200Response","doc":"Result set of budget change summary rows. Summary row doesn't contain all fields of a budget change.","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200ResponseDataInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200ResponseDataInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200ResponseDataInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200ResponseDataInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200ResponseDataInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesGet200ResponseDataInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseData","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseData.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseData.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseData.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseData.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseData.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseDataAllOfPrimeContract","doc":"Information on the prime contract this budget change is associated with","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseDataAllOfPrimeContract.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseDataAllOfPrimeContract.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseDataAllOfPrimeContract.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseDataAllOfPrimeContract.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdGet200ResponseDataAllOfPrimeContract.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequest","doc":"Budget Change Package information Input","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestAdjustmentLineItemsInner","doc":"Budget Change Adjustment line item","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestAdjustmentLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestAdjustmentLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestAdjustmentLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestAdjustmentLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestAdjustmentLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestProductionQuantitiesInner","doc":"Budget Change Adjustment Production Quantity","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestProductionQuantitiesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestProductionQuantitiesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestProductionQuantitiesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestProductionQuantitiesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesIdPatchRequestProductionQuantitiesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseData","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseData.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseData.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseData.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseData.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseData.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInner","doc":"Budget Change Adjustment line item","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInnerChangeEventLineItem","doc":"change event line item simple object","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInnerChangeEventLineItem.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInnerChangeEventLineItem.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInnerChangeEventLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInnerChangeEventLineItem.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAdjustmentLineItemsInnerChangeEventLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAttachmentsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfCreatedChangeEvent","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfCreatedChangeEvent.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfCreatedChangeEvent.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfCreatedChangeEvent.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfCreatedChangeEvent.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfCreatedChangeEvent.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInner","doc":"Budget Change Adjustment Production Quantity","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerCostCode","doc":"The cost code associated with the Production Quantity","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerCostCode.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerCostCode.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerSubJob","doc":"The sub job associated with the Production Quantity","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerSubJob.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerSubJob.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerSubJob.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerSubJob.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerSubJob.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerWbsCode","doc":"Work Breakdown Structure","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerWbsCode.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerWbsCode.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerWbsCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerWbsCode.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost201ResponseDataAllOfProductionQuantitiesInnerWbsCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost400Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost400Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost400Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost400Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPost400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequest","doc":"Budget Change Package information Input","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestAdjustmentLineItemsInner","doc":"Budget Change Adjustment line item","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestAdjustmentLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestAdjustmentLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestAdjustmentLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestAdjustmentLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestAdjustmentLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestProductionQuantitiesInner","doc":"Budget Change Adjustment Production Quantity","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestProductionQuantitiesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestProductionQuantitiesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestProductionQuantitiesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestProductionQuantitiesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetChangesPostRequestProductionQuantitiesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetGet200Response","doc":"Budget","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetLockDelete200Response","doc":"Budget","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetLockDelete200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetLockDelete200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetLockDelete200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetLockDelete200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetLockDelete200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner","doc":"Budget Modification","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetModificationsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner","doc":"Budgeted Production Quantity","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInnerCostCode","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInnerCostCode.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInnerCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInnerCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInnerCostCode.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdBudgetedProductionQuantitiesGet200ResponseInnerCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequestCallLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequestCallLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequestCallLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequestCallLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequestCallLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCallLogsPostRequestCallLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePost201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesCreateFromCompanyTemplatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatch200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesIdUseAlternativeResponseSetPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfCreatedBy","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListTemplatesPost201ResponseAllOfSectionsInnerAllOfItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner","doc":"Checklist List Filter Options Response","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsFilterOptionsClosedByContactsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequestList","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequestList.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequestList.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequestList.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequestList.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsIdPatchRequestList.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequestList","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequestList.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequestList.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequestList.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequestList.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistListsPostRequestList.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequestSchedule","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequestSchedule.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequestSchedule.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequestSchedule.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequestSchedule.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateFirstInspectionCreatedAtGetRequestSchedule.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequestSchedule","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequestSchedule.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequestSchedule.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequestSchedule.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequestSchedule.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesCalculateTotalInspectionsCountGetRequestSchedule.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner","doc":"Checklist List Filter Options Response","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesFilterOptionsAssigneesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesScheduleIdAttachmentsIdDelete400Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesScheduleIdAttachmentsIdDelete400Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesScheduleIdAttachmentsIdDelete400Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesScheduleIdAttachmentsIdDelete400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesScheduleIdAttachmentsIdDelete400Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdChecklistSchedulesScheduleIdAttachmentsIdDelete400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSet","doc":"A set of rules to control how retainage is applied to invoices of a contract","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSet.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSet.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSet.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSet.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSet.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSetRetainageRulesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSetRetainageRulesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSetRetainageRulesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSetRetainageRulesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSetRetainageRulesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationGet200ResponseRetainageRuleSetRetainageRulesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequestInvoiceConfiguration","doc":"Invoice Configuration for the Contract","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequestInvoiceConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequestInvoiceConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequestInvoiceConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequestInvoiceConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdContractsContractIdInvoiceConfigurationPatchRequestInvoiceConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatch200ResponseInnerInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatch200ResponseInnerInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatch200ResponseInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatch200ResponseInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatch200ResponseInnerInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatch200ResponseInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypeItemsPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInnerStatusesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInnerStatusesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInnerStatusesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInnerStatusesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInnerStatusesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesDefaultsGet200ResponseInnerStatusesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInnerUserAccessLevel","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInnerUserAccessLevel.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInnerUserAccessLevel.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInnerUserAccessLevel.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInnerUserAccessLevel.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesPermissionsGet200ResponseInnerUserAccessLevel.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerCompany","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerCompany.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerCompany.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerCompany.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerCompany.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerCompany.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerGenericToolsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerGenericToolsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerGenericToolsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerGenericToolsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerGenericToolsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdCorrespondenceTypesUsersGet200ResponseInnerGenericToolsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequestDailyConstructionReportLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequestDailyConstructionReportLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequestDailyConstructionReportLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequestDailyConstructionReportLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequestDailyConstructionReportLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsIdPatchRequestDailyConstructionReportLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest1DailyConstructionReportLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest1DailyConstructionReportLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest1DailyConstructionReportLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest1DailyConstructionReportLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest1DailyConstructionReportLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequest1DailyConstructionReportLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequestDailyConstructionReportLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequestDailyConstructionReportLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequestDailyConstructionReportLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequestDailyConstructionReportLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequestDailyConstructionReportLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyConstructionReportLogsPostRequestDailyConstructionReportLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersGet200Response","doc":"A daily log header","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequestDailyLogHeader","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequestDailyLogHeader.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequestDailyLogHeader.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequestDailyLogHeader.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequestDailyLogHeader.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogHeadersPatchRequestDailyLogHeader.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInnerAccidentLogInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInnerAccidentLogInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInnerAccidentLogInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInnerAccidentLogInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInnerAccidentLogInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatch200ResponseInnerAccidentLogInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdates","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdates.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdates.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdates.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdates.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdates.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdatesAccidentLogInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdatesAccidentLogInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdatesAccidentLogInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdatesAccidentLogInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdatesAccidentLogInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsBulkUpdatesBulkUpdatePatchRequestUpdatesAccidentLogInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201Response","doc":"An object where keys represent the copied log types, and their values are arrays of the newly-copied logs. The object will be empty if no logs are copied, such as when the to_date is already completed.","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogCreatedBy","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogPermissions","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogPermissions.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogPermissions.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogPermissions.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogPermissions.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPost201ResponseNotesLogPermissions.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsClonesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsCountGet200ResponseInner","doc":"Meta data about a daily log module","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsCountGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsCountGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsCountGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsCountGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsCountGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner","doc":"Delay Log Type","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequestDelayLogType","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequestDelayLogType.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequestDelayLogType.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequestDelayLogType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequestDelayLogType.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesIdPatchRequestDelayLogType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequestDelayLogType","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequestDelayLogType.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequestDelayLogType.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequestDelayLogType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequestDelayLogType.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsDelayLogTypesPostRequestDelayLogType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200Response","doc":"Accepted weather conditions","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseCalamityInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseCalamityInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseCalamityInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseCalamityInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseCalamityInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseCalamityInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseGroundInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseGroundInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseGroundInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseGroundInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseGroundInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseGroundInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseSkyInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseSkyInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseSkyInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseSkyInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseSkyInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseSkyInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseTemperatureInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseTemperatureInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseTemperatureInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseTemperatureInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseTemperatureInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseTemperatureInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseWindInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseWindInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseWindInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseWindInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseWindInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDailyLogsWeatherConditionsGet200ResponseWindInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequestDelayLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequestDelayLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequestDelayLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequestDelayLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequestDelayLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsIdPatchRequestDelayLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequestDelayLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequestDelayLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequestDelayLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequestDelayLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequestDelayLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDelayLogsPostRequestDelayLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequestDeliveryLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequestDeliveryLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequestDeliveryLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequestDeliveryLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequestDeliveryLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsIdPatchRequestDeliveryLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequestDeliveryLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequestDeliveryLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequestDeliveryLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequestDeliveryLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequestDeliveryLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDeliveryLogsPostRequestDeliveryLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner","doc":"Line Item","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInnerCurrencyConfiguration","doc":"Direct Cost Line Item Currency Configuration","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInnerCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInnerCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInnerCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInnerCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsDirectCostIdLineItemsGet200ResponseInnerCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDirectCostsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInner","doc":"Distribution Group","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInnerUsersInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInnerUsersInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInnerUsersInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInnerUsersInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInnerUsersInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsGet200ResponseInnerUsersInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsPost200Response","doc":"Distribution Group","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsPost200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsPost200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsPost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsPost200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDistributionGroupsPost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDocumentCustomTagsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDrawingDisciplinesIdPut200Response","doc":"Drawing Discipline","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingDisciplinesIdPut200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDrawingDisciplinesIdPut200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingDisciplinesIdPut200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDrawingDisciplinesIdPut200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingDisciplinesIdPut200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDrawingRevisionsDrawingRevisionIdDrawingTilesGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingRevisionsDrawingRevisionIdDrawingTilesGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDrawingRevisionsDrawingRevisionIdDrawingTilesGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingRevisionsDrawingRevisionIdDrawingTilesGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDrawingRevisionsDrawingRevisionIdDrawingTilesGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingRevisionsDrawingRevisionIdDrawingTilesGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDrawingSetsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequestDumpsterLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequestDumpsterLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequestDumpsterLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequestDumpsterLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequestDumpsterLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdDumpsterLogsPostRequestDumpsterLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInnerEquipment","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInnerEquipment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInnerEquipment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInnerEquipment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInnerEquipment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsGet200ResponseInnerEquipment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest1EquipmentLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest1EquipmentLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest1EquipmentLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest1EquipmentLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest1EquipmentLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequest1EquipmentLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequestEquipmentLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequestEquipmentLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequestEquipmentLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequestEquipmentLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequestEquipmentLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdEquipmentLogsPostRequestEquipmentLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdFormTemplatesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsAvailableStatusesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsAvailableStatusesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsAvailableStatusesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsAvailableStatusesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsAvailableStatusesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsAvailableStatusesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsGenericToolItemIdGenericToolItemResponsesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatch200ResponseInnerInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatch200ResponseInnerInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatch200ResponseInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatch200ResponseInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatch200ResponseInnerInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatch200ResponseInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdGenericToolsGenericToolIdGenericToolItemsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequestIncidentAction","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequestIncidentAction.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequestIncidentAction.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequestIncidentAction.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequestIncidentAction.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsIdPatchRequestIncidentAction.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequestIncidentAction","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequestIncidentAction.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequestIncidentAction.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequestIncidentAction.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequestIncidentAction.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsActionsPostRequestIncidentAction.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjury","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjury.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjury.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjury.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjury.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjury.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjuryAffectedPerson","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjuryAffectedPerson.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjuryAffectedPerson.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjuryAffectedPerson.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjuryAffectedPerson.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsAlertsGet200ResponseInnerInjuryAffectedPerson.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequestConfiguration","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequestConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequestConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequestConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequestConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsConfigurationPatchRequestConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsEnvironmentalsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesFilterOptionsAffectedBodyPartsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInnerAllOfAffectedPerson","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInnerAllOfAffectedPerson.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInnerAllOfAffectedPerson.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInnerAllOfAffectedPerson.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInnerAllOfAffectedPerson.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesGet200ResponseInnerAllOfAffectedPerson.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsInjuriesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInnerAllOfAffectedPerson","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInnerAllOfAffectedPerson.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInnerAllOfAffectedPerson.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInnerAllOfAffectedPerson.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInnerAllOfAffectedPerson.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesGet200ResponseInnerAllOfAffectedPerson.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsNearMissesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequestIncident","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequestIncident.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequestIncident.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequestIncident.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequestIncident.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPostRequestIncident.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesFilterOptionsAffectedCompaniesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInnerAllOfManagedEquipment","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInnerAllOfManagedEquipment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInnerAllOfManagedEquipment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInnerAllOfManagedEquipment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInnerAllOfManagedEquipment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesGet200ResponseInnerAllOfManagedEquipment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsPropertyDamagesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdIncidentsWitnessStatementsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequestInspectionLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequestInspectionLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequestInspectionLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequestInspectionLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequestInspectionLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsIdPatchRequestInspectionLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequestInspectionLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequestInspectionLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequestInspectionLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequestInspectionLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequestInspectionLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInspectionLogsPostRequestInspectionLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerCostImpact","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerCostImpact.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerCostImpact.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerCostImpact.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerCostImpact.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerCostImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdInstructionsGet200ResponseInnerInstructionType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdLocationsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdLocationsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdLocationsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdLocationsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdLocationsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdLocationsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner","doc":"Managed Equipment","ref":"Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManagedEquipmentGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsDailyTotalsGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsDailyTotalsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsDailyTotalsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsDailyTotalsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsDailyTotalsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsDailyTotalsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerContact","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerContact.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerContact.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerContact.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerContact.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerContact.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerUser","doc":"This key is available when Contact is a User","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerUser.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerUser.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerUser.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerUser.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerUser.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerVendor","doc":"This key is available when Contact is a Vendor","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerVendor.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerVendor.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerVendor.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsGet200ResponseInnerVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequestManpowerLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequestManpowerLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequestManpowerLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequestManpowerLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequestManpowerLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsIdPatchRequestManpowerLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequestManpowerLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequestManpowerLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequestManpowerLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequestManpowerLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequestManpowerLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManpowerLogsPostRequestManpowerLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsIdDeleteRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsIdDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsIdDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsIdDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsIdDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsIdDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPost201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdManualForecastLineItemsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner","doc":"Material","ref":"Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMaterialsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInnerCurrencyConfiguration","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInnerCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInnerCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInnerCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInnerCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesGet200ResponseInnerCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequestMonitoringResource","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequestMonitoringResource.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequestMonitoringResource.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequestMonitoringResource.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequestMonitoringResource.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesIdPatchRequestMonitoringResource.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequestMonitoringResource","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequestMonitoringResource.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequestMonitoringResource.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequestMonitoringResource.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequestMonitoringResource.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdMonitoringResourcesPostRequestMonitoringResource.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsGet200ResponseInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequestNotesLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequestNotesLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequestNotesLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequestNotesLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequestNotesLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsIdPatchRequestNotesLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequestNotesLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequestNotesLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequestNotesLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequestNotesLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequestNotesLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdNotesLogsPostRequestNotesLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdObservationTemplatesBulkUpdatePatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdObservationTemplatesBulkUpdatePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdObservationTemplatesBulkUpdatePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdObservationTemplatesBulkUpdatePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdObservationTemplatesBulkUpdatePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdObservationTemplatesBulkUpdatePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPeopleGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPeopleGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPeopleGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPeopleGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPeopleGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPeopleGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatch200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplateAssignmentsPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplatesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplatesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplatesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplatesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplatesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPermissionTemplatesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequestPlanRevisionLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequestPlanRevisionLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequestPlanRevisionLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequestPlanRevisionLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequestPlanRevisionLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPlanRevisionLogsPostRequestPlanRevisionLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInnerLineItemHolder","doc":"Object that the Line Item belongs to (WorkOrderContract, PurchaseOrderContract, PotentialChangeOrder)","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInnerLineItemHolder.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInnerLineItemHolder.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInnerLineItemHolder.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInnerLineItemHolder.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsGet200ResponseInnerLineItemHolder.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequestProductivityLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequestProductivityLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequestProductivityLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequestProductivityLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequestProductivityLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsIdPatchRequestProductivityLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequestProductivityLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequestProductivityLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequestProductivityLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequestProductivityLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequestProductivityLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProductivityLogsPostRequestProductivityLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200ResponseProjectDatesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200ResponseProjectDatesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200ResponseProjectDatesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200ResponseProjectDatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200ResponseProjectDatesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesGet200ResponseProjectDatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesIdGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdProjectDatesIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdProjectDatesIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseLoginInformation","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseLoginInformation.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseLoginInformation.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseLoginInformation.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseLoginInformation.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseLoginInformation.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseVendor","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseVendor.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseVendor.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseVendor.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdGet200ResponseVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest1PunchItemAssignment","doc":"Punch Item Assignment object","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest1PunchItemAssignment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest1PunchItemAssignment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest1PunchItemAssignment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest1PunchItemAssignment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequest1PunchItemAssignment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequestPunchItemAssignment","doc":"Punch Item Assignment object","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequestPunchItemAssignment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequestPunchItemAssignment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequestPunchItemAssignment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequestPunchItemAssignment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchItemAssignmentsIdPatchRequestPunchItemAssignment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPunchListAssigneesGet200Response","doc":"Punch List Filter Options Response","ref":"Procore.Model.RestV10ProjectsProjectIdPunchListAssigneesGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPunchListAssigneesGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchListAssigneesGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPunchListAssigneesGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchListAssigneesGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdPunchListAvailableFinalApproversGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchListAvailableFinalApproversGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdPunchListAvailableFinalApproversGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchListAvailableFinalApproversGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdPunchListAvailableFinalApproversGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdPunchListAvailableFinalApproversGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequestQuantityLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequestQuantityLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequestQuantityLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequestQuantityLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequestQuantityLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdQuantityLogsPostRequestQuantityLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecentActivityGet200ResponseInnerInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecentActivityGet200ResponseInnerInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecentActivityGet200ResponseInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecentActivityGet200ResponseInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecentActivityGet200ResponseInnerInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecentActivityGet200ResponseInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemAssigneesGet200ResponseInner","doc":"Recycled Action Plan Item Assignee (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemAssigneesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemAssigneesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemAssigneesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemAssigneesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemAssigneesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemsGet200ResponseInner","doc":"Recycled Action Plan Item (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanSectionsGet200ResponseInner","doc":"Recycled Action Plan Section (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanSectionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanSectionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanSectionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanSectionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanSectionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateApproversGet200ResponseInner","doc":"Recycled Project Action Plan Template Approver (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateApproversGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateApproversGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateApproversGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateApproversGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateApproversGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReceiversGet200ResponseInner","doc":"Recycled Project Action Plan Template Receiver (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReceiversGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReceiversGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReceiversGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReceiversGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReceiversGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner","doc":"Recycled Project Action Plan Template Reference (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTemplateReferencesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInner","doc":"Recycled Action Plan Test Record Request (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Test Record Request","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordRequestsGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInner","doc":"Action Plan Test Record (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInnerPayload","doc":"Contains specific attributes depending on the type of Action Plan Test Record","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInnerPayload.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInnerPayload.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInnerPayload.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInnerPayload.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlanTestRecordsGet200ResponseInnerPayload.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInner","doc":"Recycled Action Plan (Show)","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInnerDeletedBy","doc":"Name of individual who deleted the Action Plan","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInnerDeletedBy.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInnerDeletedBy.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInnerDeletedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInnerDeletedBy.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRecycleBinActionPlansPlansGet200ResponseInnerDeletedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisDefaultDistributionGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsBallInCourtIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsBallInCourtIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsBallInCourtIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsBallInCourtIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsBallInCourtIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsBallInCourtIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPrefixStageIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPrefixStageIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPrefixStageIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPrefixStageIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPrefixStageIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPrefixStageIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPriorityGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPriorityGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPriorityGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPriorityGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPriorityGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsPriorityGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsRfiManagerIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsRfiManagerIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsRfiManagerIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsRfiManagerIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsRfiManagerIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsRfiManagerIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsStatusGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsSubJobIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsSubJobIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsSubJobIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsSubJobIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsSubJobIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisFilterOptionsSubJobIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfAssigneesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfAssigneesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfAssigneesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfAssigneesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfAssigneesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfAssigneesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfCostImpact","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfCostImpact.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfCostImpact.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfCostImpact.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfCostImpact.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfCostImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfProjectStage","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfProjectStage.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfProjectStage.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfProjectStage.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfProjectStage.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfProjectStage.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfQuestionsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfQuestionsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfQuestionsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfQuestionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfQuestionsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfQuestionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfScheduleImpact","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfScheduleImpact.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfScheduleImpact.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfScheduleImpact.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfScheduleImpact.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisGet200ResponseInnerAllOfScheduleImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield1","doc":"Custom RFI text field 1","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield1.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield1.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield1.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield2","doc":"Custom RFI text field 2","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield2.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield2.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield2.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield2.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfCustomTextfield2.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfQuestionsInnerAnswersInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfSpecificationSection","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfSpecificationSection.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfSpecificationSection.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfSpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfSpecificationSection.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisPost201ResponseAllOfSpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequestReply","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequestReply.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequestReply.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequestReply.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequestReply.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesIdPatchRequestReply.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequestReply","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequestReply.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequestReply.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequestReply.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequestReply.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdRfisRfiIdRepliesPostRequestReply.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequestSafetyViolationLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequestSafetyViolationLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequestSafetyViolationLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequestSafetyViolationLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequestSafetyViolationLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsIdPatchRequestSafetyViolationLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequestSafetyViolationLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequestSafetyViolationLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequestSafetyViolationLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequestSafetyViolationLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequestSafetyViolationLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSafetyViolationLogsPostRequestSafetyViolationLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner","doc":"Schedule Calendar Item","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleCalendarItemsSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseActiveFeatures","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseActiveFeatures.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseActiveFeatures.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseActiveFeatures.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseActiveFeatures.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseActiveFeatures.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseScheduleCrudBetaAgreement","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseScheduleCrudBetaAgreement.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseScheduleCrudBetaAgreement.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseScheduleCrudBetaAgreement.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseScheduleCrudBetaAgreement.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseScheduleCrudBetaAgreement.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseType","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseType.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseType.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseType.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleGet200ResponseType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200Response","doc":"Schedule Import Processing State","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200ResponseImportFile","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200ResponseImportFile.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200ResponseImportFile.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200ResponseImportFile.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200ResponseImportFile.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleImportsProcessingStatusGet200ResponseImportFile.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201Response","doc":"Schedule Lookahead Task","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseResourcesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseResourcesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseResourcesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseResourcesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseResourcesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseResourcesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseSegmentsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseSegmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseSegmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseSegmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseSegmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPost201ResponseSegmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadTasksPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleLookaheadsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200Response","doc":"Schedule Project Settings","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200ResponseEmailSettings","doc":"Email settings","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200ResponseEmailSettings.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200ResponseEmailSettings.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200ResponseEmailSettings.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200ResponseEmailSettings.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet200ResponseEmailSettings.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet404Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet404Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet404Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet404Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet404Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdScheduleSettingsGet404Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSectionRevisionEmailsIdSendEmailPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSectionRevisionEmailsIdSendEmailPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSectionRevisionEmailsIdSendEmailPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSectionRevisionEmailsIdSendEmailPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSectionRevisionEmailsIdSendEmailPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSectionRevisionEmailsIdSendEmailPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationSetsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSpecificationUploadsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200ResponseDistributedResponsesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200ResponseDistributedResponsesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200ResponseDistributedResponsesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200ResponseDistributedResponsesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200ResponseDistributedResponsesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatch200ResponseDistributedResponsesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequestSelectedApproversInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequestSelectedApproversInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequestSelectedApproversInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequestSelectedApproversInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequestSelectedApproversInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalLogsIdCloseAndDistributePatchRequestSelectedApproversInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequestSubmittalResponse","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequestSubmittalResponse.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequestSubmittalResponse.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequestSubmittalResponse.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequestSubmittalResponse.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalResponsesPostRequestSubmittalResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsApproverIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCreatedByIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCreatedByIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCreatedByIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCreatedByIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCreatedByIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCreatedByIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCurrentRevisionGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCurrentRevisionGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCurrentRevisionGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCurrentRevisionGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCurrentRevisionGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsCurrentRevisionGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsDivisionGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsDivisionGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsDivisionGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsDivisionGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsDivisionGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsDivisionGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsLocationIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsLocationIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsLocationIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsLocationIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsLocationIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsLocationIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsPrivateGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsPrivateGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsPrivateGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsPrivateGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsPrivateGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsPrivateGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponseIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponseIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponseIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponseIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponseIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponseIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponsibleContractorIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponsibleContractorIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponsibleContractorIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponsibleContractorIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponsibleContractorIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsResponsibleContractorIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSpecificationSectionIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSpecificationSectionIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSpecificationSectionIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSpecificationSectionIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSpecificationSectionIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSpecificationSectionIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsStatusIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsStatusIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsStatusIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsStatusIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsStatusIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsStatusIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSubmittalPackageIdGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSubmittalPackageIdGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSubmittalPackageIdGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSubmittalPackageIdGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSubmittalPackageIdGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsSubmittalPackageIdGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsTypeGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsTypeGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsTypeGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsTypeGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsTypeGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdSubmittalsFilterOptionsTypeGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner","doc":"Time and Material Entry","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCompanySignature","doc":"Company signature","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCompanySignature.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCompanySignature.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCompanySignature.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCompanySignature.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCompanySignature.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCustomerSignature","doc":"Customer signature","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCustomerSignature.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCustomerSignature.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCustomerSignature.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCustomerSignature.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerCustomerSignature.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner","doc":"Time and Material Entry Attachment","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesGet200ResponseInnerTimeAndMaterialEntryAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304Response","doc":"Change History","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304ResponseCreatedBy","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304ResponseCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304ResponseCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304ResponseCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304ResponseCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesIdChangeHistoryGet304ResponseCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner","doc":"Time and Material Entry Signature","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntriesSignaturesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequestTimeAndMaterialEntryAttachment","doc":"Time and Material Attachment Object","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequestTimeAndMaterialEntryAttachment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequestTimeAndMaterialEntryAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequestTimeAndMaterialEntryAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequestTimeAndMaterialEntryAttachment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsBulkDestroyDeleteRequestTimeAndMaterialEntryAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequestTimeAndMaterialEntryAttachment","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequestTimeAndMaterialEntryAttachment.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequestTimeAndMaterialEntryAttachment.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequestTimeAndMaterialEntryAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequestTimeAndMaterialEntryAttachment.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEntryAttachmentsPostRequestTimeAndMaterialEntryAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner","doc":"Time And Material Equipment Log","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialEquipmentLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response","doc":"Time and Material Notification","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialNotificationsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner","doc":"Time And Material Timecard","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimeAndMaterialTimecardsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdSignPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdSignPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdSignPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdSignPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdSignPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesIdSignPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimecardEntriesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGetRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGetRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGetRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGetRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGetRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsChangeHistoryGetRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsDeleteRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequestTimecardEntriesInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequestTimecardEntriesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequestTimecardEntriesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequestTimecardEntriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequestTimecardEntriesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPatchRequestTimecardEntriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequestTimesheet","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequestTimesheet.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequestTimesheet.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequestTimesheet.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequestTimesheet.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPostRequestTimesheet.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPotentialTimesheetCreatorsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPotentialTimesheetCreatorsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPotentialTimesheetCreatorsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPotentialTimesheetCreatorsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPotentialTimesheetCreatorsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsPotentialTimesheetCreatorsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsScopedCostCodesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequestTimesheetsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequestTimesheetsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequestTimesheetsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequestTimesheetsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequestTimesheetsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdTimesheetsUpdateApprovalPatchRequestTimesheetsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdToolsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdToolsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdToolsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequestToolsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequestToolsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequestToolsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequestToolsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequestToolsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdToolsPatchRequestToolsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdUsersGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdUsersGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdUsersGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequestUser","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequestUser.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequestUser.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequestUser.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequestUser.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdUsersIdActionsAddPostRequestUser.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInnerAllOfLinks","doc":"API Links","ref":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInnerAllOfLinks.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInnerAllOfLinks.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInnerAllOfLinks.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInnerAllOfLinks.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVendorsInactiveGet200ResponseInnerAllOfLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFields","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFields.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFields.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFields.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFields.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFields.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerPermissions","doc":"TBD","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerPermissions.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerPermissions.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerPermissions.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerPermissions.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsGet200ResponseInnerPermissions.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequestVisitorLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequestVisitorLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequestVisitorLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequestVisitorLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequestVisitorLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsIdPatchRequestVisitorLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequestVisitorLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequestVisitorLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequestVisitorLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequestVisitorLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequestVisitorLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdVisitorLogsPostRequestVisitorLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInnerVendor","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInnerVendor.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInnerVendor.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInnerVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInnerVendor.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsGet200ResponseInnerVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequestWasteLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequestWasteLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequestWasteLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequestWasteLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequestWasteLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsIdPatchRequestWasteLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequestWasteLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequestWasteLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequestWasteLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequestWasteLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequestWasteLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWasteLogsPostRequestWasteLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsConditionsGet200Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsConditionsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsConditionsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsConditionsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsConditionsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsConditionsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequestWeatherLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequestWeatherLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequestWeatherLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequestWeatherLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequestWeatherLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWeatherLogsPostRequestWeatherLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsAddSegmentPutRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsAddSegmentPutRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsAddSegmentPutRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsAddSegmentPutRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsAddSegmentPutRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsAddSegmentPutRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200Response","doc":"A work breakdown structure pattern","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner","doc":"A work breakdown structure project segment","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructurePatternsGet200ResponseSegmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureSegmentsSegmentIdSegmentItemsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesBulkCreatePatch201Response","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesBulkCreatePatch201Response.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesBulkCreatePatch201Response.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesBulkCreatePatch201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesBulkCreatePatch201Response.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesBulkCreatePatch201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner","doc":"A work breakdown structure code","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequestSegmentItemsInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequestSegmentItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequestSegmentItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequestSegmentItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequestSegmentItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesPostRequestSegmentItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequestAttributes","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequestAttributes.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequestAttributes.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequestAttributes.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequestAttributes.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkBreakdownStructureWbsCodesUpdateAllPatchRequestAttributes.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner","doc":"Work Classification","ref":"Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkClassificationsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerScheduledTasksInner","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerScheduledTasksInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerScheduledTasksInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerScheduledTasksInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerScheduledTasksInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsGet200ResponseInnerScheduledTasksInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequest","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequestWorkLog","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequestWorkLog.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequestWorkLog.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequestWorkLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequestWorkLog.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsProjectIdWorkLogsPostRequestWorkLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsSyncPatchRequest","doc":"","ref":"Procore.Model.RestV10ProjectsSyncPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsSyncPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsSyncPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsSyncPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsSyncPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ProjectsSyncPatchRequestUpdatesInner","doc":"","ref":"Procore.Model.RestV10ProjectsSyncPatchRequestUpdatesInner.html"},{"type":"function","title":"Procore.Model.RestV10ProjectsSyncPatchRequestUpdatesInner.decode/1","doc":"","ref":"Procore.Model.RestV10ProjectsSyncPatchRequestUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ProjectsSyncPatchRequestUpdatesInner.t/0","doc":"","ref":"Procore.Model.RestV10ProjectsSyncPatchRequestUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInner","doc":"Purchase Order Contract","ref":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInnerAssignee","doc":"Assignee","ref":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInnerAssignee.html"},{"type":"function","title":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInnerAssignee.decode/1","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInnerAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInnerAssignee.t/0","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsGet200ResponseInnerAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PurchaseOrderContractsPost201Response","doc":"Purchase Order Contract","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10PurchaseOrderContractsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PurchaseOrderContractsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponseChangeOrderPackagesInner","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponseChangeOrderPackagesInner.html"},{"type":"function","title":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponseChangeOrderPackagesInner.decode/1","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponseChangeOrderPackagesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponseChangeOrderPackagesInner.t/0","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponseChangeOrderPackagesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponsePotentialChangeOrdersInnerInner","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponsePotentialChangeOrdersInnerInner.html"},{"type":"function","title":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponsePotentialChangeOrdersInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponsePotentialChangeOrdersInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponsePotentialChangeOrdersInnerInner.t/0","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsPost201ResponsePotentialChangeOrdersInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10PurchaseOrderContractsSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10PurchaseOrderContractsSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10PurchaseOrderContractsSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10PurchaseOrderContractsSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequestedChangesGet200Response","doc":"","ref":"Procore.Model.RestV10RequestedChangesGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10RequestedChangesGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10RequestedChangesGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequestedChangesGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10RequestedChangesGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsGet200ResponseInner","doc":"Requisition (Subcontractor Invoice)","ref":"Procore.Model.RestV10RequisitionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsGet200ResponseInnerSummary","doc":"Requisition (Subcontractor Invoice) summary (present in all views)","ref":"Procore.Model.RestV10RequisitionsGet200ResponseInnerSummary.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsGet200ResponseInnerSummary.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsGet200ResponseInnerSummary.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsGet200ResponseInnerSummary.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsGet200ResponseInnerSummary.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInner","doc":"Requisition (Subcontractor Invoice) Change Order Item","ref":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInnerCurrencyConfiguration","doc":"Currency Configuration","ref":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInnerCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInnerCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInnerCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInnerCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdAddChangeOrderPackagePost201ResponseInnerCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdChangeHistoriesGet200ResponseInner","doc":"Invoice Change History","ref":"Procore.Model.RestV10RequisitionsRequisitionIdChangeHistoriesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdChangeHistoriesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdChangeHistoriesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdChangeHistoriesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdChangeHistoriesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner","doc":"Requisition (Subcontractor Invoice) Change Order Item","ref":"Procore.Model.RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdChangeOrderItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner","doc":"Requisition (Subcontractor Invoice) contract detail item","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractDetailItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner","doc":"Requisition (Subcontractor Invoice) item","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInnerWbsCode","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInnerWbsCode.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInnerWbsCode.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInnerWbsCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInnerWbsCode.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdContractItemsGet200ResponseInnerWbsCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdDetailGet200ResponseInner","doc":"Requisition (Subcontractor Invoice) detail line","ref":"Procore.Model.RestV10RequisitionsRequisitionIdDetailGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdDetailGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdDetailGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdDetailGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdDetailGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200Response","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200Response.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200Response.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200Response.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200ResponseOneOf","doc":"An Invoicing Async Job URL","ref":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200ResponseOneOf.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200ResponseOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200ResponseOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200ResponseOneOf.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdSinglePdfCompilersPost200ResponseOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatch200Response","doc":"Requisition (Subcontractor Invoice) Whole Change Order Item","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequestRequisitionWholeChangeOrderItem","doc":"Requisition (Subcontractor Invoice) Whole Change Order Item","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequestRequisitionWholeChangeOrderItem.html"},{"type":"function","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequestRequisitionWholeChangeOrderItem.decode/1","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequestRequisitionWholeChangeOrderItem.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequestRequisitionWholeChangeOrderItem.t/0","doc":"","ref":"Procore.Model.RestV10RequisitionsRequisitionIdWholeChangeOrderItemsIdPatchRequestRequisitionWholeChangeOrderItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RfqsIdPatchRequest","doc":"","ref":"Procore.Model.RestV10RfqsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10RfqsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10RfqsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RfqsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10RfqsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RfqsPostRequest","doc":"","ref":"Procore.Model.RestV10RfqsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10RfqsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10RfqsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RfqsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10RfqsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RfqsRfqIdQuotesPostRequest","doc":"","ref":"Procore.Model.RestV10RfqsRfqIdQuotesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10RfqsRfqIdQuotesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10RfqsRfqIdQuotesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RfqsRfqIdQuotesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10RfqsRfqIdQuotesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10RfqsRfqIdResponsesPostRequest","doc":"","ref":"Procore.Model.RestV10RfqsRfqIdResponsesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10RfqsRfqIdResponsesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10RfqsRfqIdResponsesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10RfqsRfqIdResponsesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10RfqsRfqIdResponsesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerFile","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerFile.html"},{"type":"function","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerFile.decode/1","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerFile.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerFile.t/0","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerFile.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerUploadedBy","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerUploadedBy.html"},{"type":"function","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerUploadedBy.decode/1","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerUploadedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerUploadedBy.t/0","doc":"","ref":"Procore.Model.RestV10ScheduleIntegrationGet200ResponseInnerUploadedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ScheduleTypeGet200Response","doc":"","ref":"Procore.Model.RestV10ScheduleTypeGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10ScheduleTypeGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10ScheduleTypeGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ScheduleTypeGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10ScheduleTypeGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SettingsPermissionsGet200Response","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10SettingsPermissionsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SettingsPermissionsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInner","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInner.html"},{"type":"function","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInner.decode/1","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInner.t/0","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerPermittedActionsInner","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerPermittedActionsInner.html"},{"type":"function","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerPermittedActionsInner.decode/1","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerPermittedActionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerPermittedActionsInner.t/0","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerPermittedActionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerUserAccessLevel","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerUserAccessLevel.html"},{"type":"function","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerUserAccessLevel.decode/1","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerUserAccessLevel.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerUserAccessLevel.t/0","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet200ResponseToolsInnerUserAccessLevel.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SettingsPermissionsGet400Response","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet400Response.html"},{"type":"function","title":"Procore.Model.RestV10SettingsPermissionsGet400Response.decode/1","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SettingsPermissionsGet400Response.t/0","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SettingsPermissionsGet400ResponseError","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet400ResponseError.html"},{"type":"function","title":"Procore.Model.RestV10SettingsPermissionsGet400ResponseError.decode/1","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet400ResponseError.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SettingsPermissionsGet400ResponseError.t/0","doc":"","ref":"Procore.Model.RestV10SettingsPermissionsGet400ResponseError.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SpecificationSectionDivisionsPostRequest","doc":"","ref":"Procore.Model.RestV10SpecificationSectionDivisionsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10SpecificationSectionDivisionsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10SpecificationSectionDivisionsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SpecificationSectionDivisionsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10SpecificationSectionDivisionsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SpecificationSectionRevisionsIdGet200Response","doc":"","ref":"Procore.Model.RestV10SpecificationSectionRevisionsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10SpecificationSectionRevisionsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10SpecificationSectionRevisionsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SpecificationSectionRevisionsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10SpecificationSectionRevisionsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SpecificationSectionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10SpecificationSectionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SpecificationSectionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SpecificationSectionsPostRequest","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10SpecificationSectionsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SpecificationSectionsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SpecificationSectionsPostRequestSpecificationSection","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsPostRequestSpecificationSection.html"},{"type":"function","title":"Procore.Model.RestV10SpecificationSectionsPostRequestSpecificationSection.decode/1","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsPostRequestSpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SpecificationSectionsPostRequestSpecificationSection.t/0","doc":"","ref":"Procore.Model.RestV10SpecificationSectionsPostRequestSpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10StandardCostCodesSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10StandardCostCodesSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10StandardCostCodesSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10StandardCostCodesSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10StandardCostCodesSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10StandardCostCodesSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubJobsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10SubJobsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10SubJobsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10SubJobsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubJobsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10SubJobsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubJobsSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10SubJobsSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10SubJobsSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10SubJobsSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubJobsSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10SubJobsSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInner","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatch200ResponseInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequest","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApprover","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApprover.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApprover.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApprover.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApprover.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApprover.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverAssociatedAttachmentsInner","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverAssociatedAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverAssociatedAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverAssociatedAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverAssociatedAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverAssociatedAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverForwardTo","doc":"Params used only when forwarding for review. Designates who the new reviewer is and what their due date is","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverForwardTo.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverForwardTo.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverForwardTo.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverForwardTo.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalApproversIdPatchRequestSubmittalApproverForwardTo.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalAssociatedAttachmentsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10SubmittalAssociatedAttachmentsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalAssociatedAttachmentsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalAssociatedAttachmentsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalAssociatedAttachmentsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalAssociatedAttachmentsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerPackage","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerPackage.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerPackage.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerPackage.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerPackage.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerPackage.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerResponsesInner","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerResponsesInner.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerResponsesInner.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerResponsesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerResponsesInner.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerResponsesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerSpecificationSection","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerSpecificationSection.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerSpecificationSection.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerSpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerSpecificationSection.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsGet200ResponseInnerSpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsIdGet200Response","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseApproversInner","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseApproversInner.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseApproversInner.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseApproversInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseApproversInner.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseApproversInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseCreatedBy","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseDistributionInfo","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseDistributionInfo.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseDistributionInfo.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseDistributionInfo.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseDistributionInfo.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseDistributionInfo.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseReceivedFrom","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseReceivedFrom.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseReceivedFrom.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseReceivedFrom.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseReceivedFrom.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseReceivedFrom.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseSubmittalPackage","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseSubmittalPackage.html"},{"type":"function","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseSubmittalPackage.decode/1","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseSubmittalPackage.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseSubmittalPackage.t/0","doc":"","ref":"Procore.Model.RestV10SubmittalLogsIdGet200ResponseSubmittalPackage.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaskItemsPost201Response","doc":"","ref":"Procore.Model.RestV10TaskItemsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10TaskItemsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10TaskItemsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaskItemsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10TaskItemsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaskItemsPostRequest","doc":"","ref":"Procore.Model.RestV10TaskItemsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10TaskItemsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10TaskItemsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaskItemsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10TaskItemsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaskItemsPostRequestTaskItem","doc":"","ref":"Procore.Model.RestV10TaskItemsPostRequestTaskItem.html"},{"type":"function","title":"Procore.Model.RestV10TaskItemsPostRequestTaskItem.decode/1","doc":"","ref":"Procore.Model.RestV10TaskItemsPostRequestTaskItem.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaskItemsPostRequestTaskItem.t/0","doc":"","ref":"Procore.Model.RestV10TaskItemsPostRequestTaskItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TasksSyncPatchRequest","doc":"","ref":"Procore.Model.RestV10TasksSyncPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10TasksSyncPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10TasksSyncPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TasksSyncPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10TasksSyncPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TasksSyncPatchRequestUpdatesInner","doc":"","ref":"Procore.Model.RestV10TasksSyncPatchRequestUpdatesInner.html"},{"type":"function","title":"Procore.Model.RestV10TasksSyncPatchRequestUpdatesInner.decode/1","doc":"","ref":"Procore.Model.RestV10TasksSyncPatchRequestUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TasksSyncPatchRequestUpdatesInner.t/0","doc":"","ref":"Procore.Model.RestV10TasksSyncPatchRequestUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxCodesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10TaxCodesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10TaxCodesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10TaxCodesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxCodesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10TaxCodesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxCodesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10TaxCodesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10TaxCodesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10TaxCodesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxCodesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10TaxCodesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxCodesIdPatchRequestTaxCode","doc":"","ref":"Procore.Model.RestV10TaxCodesIdPatchRequestTaxCode.html"},{"type":"function","title":"Procore.Model.RestV10TaxCodesIdPatchRequestTaxCode.decode/1","doc":"","ref":"Procore.Model.RestV10TaxCodesIdPatchRequestTaxCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxCodesIdPatchRequestTaxCode.t/0","doc":"","ref":"Procore.Model.RestV10TaxCodesIdPatchRequestTaxCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxCodesPostRequest","doc":"","ref":"Procore.Model.RestV10TaxCodesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10TaxCodesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10TaxCodesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxCodesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10TaxCodesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxCodesPostRequestTaxCode","doc":"","ref":"Procore.Model.RestV10TaxCodesPostRequestTaxCode.html"},{"type":"function","title":"Procore.Model.RestV10TaxCodesPostRequestTaxCode.decode/1","doc":"","ref":"Procore.Model.RestV10TaxCodesPostRequestTaxCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxCodesPostRequestTaxCode.t/0","doc":"","ref":"Procore.Model.RestV10TaxCodesPostRequestTaxCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxCodesSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10TaxCodesSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10TaxCodesSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10TaxCodesSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxCodesSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10TaxCodesSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxCodesSyncPatch200ResponseErrorsInner","doc":"","ref":"Procore.Model.RestV10TaxCodesSyncPatch200ResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.RestV10TaxCodesSyncPatch200ResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.RestV10TaxCodesSyncPatch200ResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxCodesSyncPatch200ResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.RestV10TaxCodesSyncPatch200ResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxTypesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10TaxTypesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10TaxTypesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10TaxTypesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxTypesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10TaxTypesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxTypesIdPatchRequest","doc":"","ref":"Procore.Model.RestV10TaxTypesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10TaxTypesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10TaxTypesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxTypesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10TaxTypesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxTypesIdPatchRequestTaxType","doc":"","ref":"Procore.Model.RestV10TaxTypesIdPatchRequestTaxType.html"},{"type":"function","title":"Procore.Model.RestV10TaxTypesIdPatchRequestTaxType.decode/1","doc":"","ref":"Procore.Model.RestV10TaxTypesIdPatchRequestTaxType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxTypesIdPatchRequestTaxType.t/0","doc":"","ref":"Procore.Model.RestV10TaxTypesIdPatchRequestTaxType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxTypesPost400Response","doc":"","ref":"Procore.Model.RestV10TaxTypesPost400Response.html"},{"type":"function","title":"Procore.Model.RestV10TaxTypesPost400Response.decode/1","doc":"","ref":"Procore.Model.RestV10TaxTypesPost400Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxTypesPost400Response.t/0","doc":"","ref":"Procore.Model.RestV10TaxTypesPost400Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxTypesPostRequest","doc":"","ref":"Procore.Model.RestV10TaxTypesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10TaxTypesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10TaxTypesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxTypesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10TaxTypesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxTypesPostRequestTaxType","doc":"","ref":"Procore.Model.RestV10TaxTypesPostRequestTaxType.html"},{"type":"function","title":"Procore.Model.RestV10TaxTypesPostRequestTaxType.decode/1","doc":"","ref":"Procore.Model.RestV10TaxTypesPostRequestTaxType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxTypesPostRequestTaxType.t/0","doc":"","ref":"Procore.Model.RestV10TaxTypesPostRequestTaxType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxTypesSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10TaxTypesSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10TaxTypesSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10TaxTypesSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxTypesSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10TaxTypesSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TaxTypesSyncPatch200ResponseErrorsInner","doc":"","ref":"Procore.Model.RestV10TaxTypesSyncPatch200ResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.RestV10TaxTypesSyncPatch200ResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.RestV10TaxTypesSyncPatch200ResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TaxTypesSyncPatch200ResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.RestV10TaxTypesSyncPatch200ResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TimecardEntriesPostRequest","doc":"","ref":"Procore.Model.RestV10TimecardEntriesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10TimecardEntriesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10TimecardEntriesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TimecardEntriesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10TimecardEntriesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TodosSyncPatchRequest","doc":"","ref":"Procore.Model.RestV10TodosSyncPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10TodosSyncPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10TodosSyncPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TodosSyncPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10TodosSyncPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10TodosSyncPatchRequestUpdatesInner","doc":"","ref":"Procore.Model.RestV10TodosSyncPatchRequestUpdatesInner.html"},{"type":"function","title":"Procore.Model.RestV10TodosSyncPatchRequestUpdatesInner.decode/1","doc":"","ref":"Procore.Model.RestV10TodosSyncPatchRequestUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10TodosSyncPatchRequestUpdatesInner.t/0","doc":"","ref":"Procore.Model.RestV10TodosSyncPatchRequestUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10ToolsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10ToolsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10ToolsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10ToolsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10ToolsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10ToolsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10VendorsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10VendorsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10VendorsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10VendorsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10VendorsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10VendorsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10VendorsIdBusinessRegisterPost409Response","doc":"","ref":"Procore.Model.RestV10VendorsIdBusinessRegisterPost409Response.html"},{"type":"function","title":"Procore.Model.RestV10VendorsIdBusinessRegisterPost409Response.decode/1","doc":"","ref":"Procore.Model.RestV10VendorsIdBusinessRegisterPost409Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10VendorsIdBusinessRegisterPost409Response.t/0","doc":"","ref":"Procore.Model.RestV10VendorsIdBusinessRegisterPost409Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10VendorsSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10VendorsSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10VendorsSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10VendorsSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10VendorsSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10VendorsSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10VendorsSyncPatch200ResponseErrorsInner","doc":"","ref":"Procore.Model.RestV10VendorsSyncPatch200ResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.RestV10VendorsSyncPatch200ResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.RestV10VendorsSyncPatch200ResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10VendorsSyncPatch200ResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.RestV10VendorsSyncPatch200ResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete200Response","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete200Response.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete200Response.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete200Response.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207Response","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207Response.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207Response.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207Response.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207ResponseFailedInner","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207ResponseFailedInner.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207ResponseFailedInner.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207ResponseFailedInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207ResponseFailedInner.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDelete207ResponseFailedInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDeleteRequest","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDeleteRequest.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDeleteRequest.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDeleteRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDeleteRequest.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkDeleteRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost200Response","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost200Response.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost200Response.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost200Response.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207Response","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207Response.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207Response.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207Response.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInner","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInner.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInner.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInner.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerErrors","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerErrors.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerErrors.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerErrors.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerErrors.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerErrors.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerTrigger","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerTrigger.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerTrigger.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerTrigger.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerTrigger.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost207ResponseFailedInnerTrigger.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost413Response","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost413Response.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost413Response.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost413Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost413Response.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPost413Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPostRequest","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersBulkPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersPostRequest","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksHookIdTriggersPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksHookIdTriggersPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksIdPatchRequest","doc":"","ref":"Procore.Model.RestV10WebhooksHooksIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksPost500Response","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500Response.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksPost500Response.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksPost500Response.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOf","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOf.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOf.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOf.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOfError","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOfError.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOfError.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOfError.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOfError.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPost500ResponseOneOfError.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WebhooksHooksPostRequest","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10WebhooksHooksPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WebhooksHooksPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10WebhooksHooksPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInner","doc":"Work Order Contract","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerCurrencyConfiguration","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerProject","doc":"Project","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerProject.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerProject.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerProject.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerProject.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerProject.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerVendor","doc":"Vendor","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerVendor.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerVendor.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerVendor.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsGet200ResponseInnerVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201Response","doc":"Work Order Contract","ref":"Procore.Model.RestV10WorkOrderContractsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseAttachmentsInner","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderPackagesInner","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderPackagesInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderPackagesInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderPackagesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderPackagesInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderPackagesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderRequestsInnerInner","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderRequestsInnerInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderRequestsInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderRequestsInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderRequestsInnerInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseChangeOrderRequestsInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseInvoiceContactsInner","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseInvoiceContactsInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseInvoiceContactsInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseInvoiceContactsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseInvoiceContactsInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseInvoiceContactsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInner","doc":"Line Item","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerChangeEventLineItem","doc":"Change Event Line Item","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerChangeEventLineItem.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerChangeEventLineItem.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerChangeEventLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerChangeEventLineItem.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerChangeEventLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCompany","doc":"Company","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCompany.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCompany.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCompany.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCompany.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCompany.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCostCode","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCostCode.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCostCode.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCostCode.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerHolder","doc":"Holder","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerHolder.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerHolder.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerHolder.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerHolder.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerHolder.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerWbsCode","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerWbsCode.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerWbsCode.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerWbsCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerWbsCode.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseLineItemsInnerWbsCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePaymentsIssuedInner","doc":"Contract Payment","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePaymentsIssuedInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePaymentsIssuedInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePaymentsIssuedInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePaymentsIssuedInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePaymentsIssuedInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePotentialChangeOrdersInner","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePotentialChangeOrdersInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePotentialChangeOrdersInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePotentialChangeOrdersInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePotentialChangeOrdersInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponsePotentialChangeOrdersInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseVendor","doc":"Vendor","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseVendor.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseVendor.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsPost201ResponseVendor.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsPost201ResponseVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsSyncPatch200Response","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsGet200ResponseInner","doc":"Detail Line Item","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemContractDetailsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response","doc":"Line Item Sync","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInner","doc":"Line Item","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInnerChangeEventLineItem","doc":"Change Event Line Item","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInnerChangeEventLineItem.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInnerChangeEventLineItem.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInnerChangeEventLineItem.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInnerChangeEventLineItem.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseEntitiesInnerChangeEventLineItem.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInner","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInnerAllOfErrors","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInnerAllOfErrors.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInnerAllOfErrors.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInnerAllOfErrors.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInnerAllOfErrors.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdLineItemsSyncPatch200ResponseErrorsInnerAllOfErrors.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch200Response","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch404Response","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch404Response.html"},{"type":"function","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch404Response.decode/1","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch404Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch404Response.t/0","doc":"","ref":"Procore.Model.RestV10WorkOrderContractsWorkOrderContractIdSubcontractorScheduleOfValuesStatusPatch404Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowActivityHistoriesGet200ResponseInner","doc":"Workflow Activity History","ref":"Procore.Model.RestV10WorkflowActivityHistoriesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowActivityHistoriesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowActivityHistoriesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowActivityHistoriesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowActivityHistoriesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowActivityHistoriesPostRequest","doc":"","ref":"Procore.Model.RestV10WorkflowActivityHistoriesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowActivityHistoriesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowActivityHistoriesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowActivityHistoriesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowActivityHistoriesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInner","doc":"Workflow Instance","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInner","doc":"Workflow Activity","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInner.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInner.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInner.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivity","doc":"Endpoint to perform Workflow Activities","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivity.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivity.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivity.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivity.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivity.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityData","doc":"JSON to be submitted as the request body","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityData.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityData.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityData.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityData.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityData.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityDataWorkflowActivityHistory","doc":"Workflow Activity History properties","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityDataWorkflowActivityHistory.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityDataWorkflowActivityHistory.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityDataWorkflowActivityHistory.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityDataWorkflowActivityHistory.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerPerformActivityDataWorkflowActivityHistory.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRole","doc":"Workflow User Role","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRole.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRole.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRole.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRole.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRole.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRoleAssignee","doc":"Assignee","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRoleAssignee.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRoleAssignee.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRoleAssignee.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRoleAssignee.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowActivitiesInnerWorkflowUserRoleAssignee.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowState","doc":"Workflow State","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowState.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowState.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowState.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowState.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerCurrentWorkflowState.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerProject","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerProject.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerProject.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerProject.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerProject.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerProject.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerWorkflow","doc":"Workflow","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerWorkflow.html"},{"type":"function","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerWorkflow.decode/1","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerWorkflow.html#decode/1"},{"type":"type","title":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerWorkflow.t/0","doc":"","ref":"Procore.Model.RestV10WorkflowInstancesGet200ResponseInnerWorkflow.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11BudgetLineItemsPost201Response","doc":"Budget Line Item","ref":"Procore.Model.RestV11BudgetLineItemsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11BudgetLineItemsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11BudgetLineItemsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11BudgetLineItemsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11BudgetLineItemsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11BudgetLineItemsPost201ResponseCurrencyConfiguration","doc":"Currency configuration object, the currency for the budget line item","ref":"Procore.Model.RestV11BudgetLineItemsPost201ResponseCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV11BudgetLineItemsPost201ResponseCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV11BudgetLineItemsPost201ResponseCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11BudgetLineItemsPost201ResponseCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV11BudgetLineItemsPost201ResponseCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11BudgetLineItemsPost201ResponseWbsCode","doc":"","ref":"Procore.Model.RestV11BudgetLineItemsPost201ResponseWbsCode.html"},{"type":"function","title":"Procore.Model.RestV11BudgetLineItemsPost201ResponseWbsCode.decode/1","doc":"","ref":"Procore.Model.RestV11BudgetLineItemsPost201ResponseWbsCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11BudgetLineItemsPost201ResponseWbsCode.t/0","doc":"","ref":"Procore.Model.RestV11BudgetLineItemsPost201ResponseWbsCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner","doc":"Company Action Plan Template (Show)","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.html"},{"type":"function","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.decode/1","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.t/0","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesIdPatchRequestPlanTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequest","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.html"},{"type":"function","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.decode/1","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.t/0","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdActionPlansPlanTemplatesPostRequestPlanTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner","doc":"Company Action Plan Template (Show)","ref":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInnerDeletedBy","doc":"Name of individual who deleted the Company Action Plan Template","ref":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInnerDeletedBy.html"},{"type":"function","title":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInnerDeletedBy.decode/1","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInnerDeletedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInnerDeletedBy.t/0","doc":"","ref":"Procore.Model.RestV11CompaniesCompanyIdRecycleBinActionPlansPlanTemplatesGet200ResponseInnerDeletedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInner","doc":"Drawing","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInnerCurrentRevision","doc":"Current drawing revision","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInnerCurrentRevision.html"},{"type":"function","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInnerCurrentRevision.decode/1","doc":"","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInnerCurrentRevision.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInnerCurrentRevision.t/0","doc":"","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsGet200ResponseInnerCurrentRevision.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response","doc":"Drawing","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11DrawingAreasDrawingAreaIdDrawingsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdBidPackagesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdBidPackagesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdBidPackagesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdBidPackagesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdBidPackagesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdBidPackagesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInnerAllOfSyncedTo","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInnerAllOfSyncedTo.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInnerAllOfSyncedTo.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInnerAllOfSyncedTo.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInnerAllOfSyncedTo.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfItemsInnerAllOfSyncedTo.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfSyncedTo","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfSyncedTo.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfSyncedTo.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfSyncedTo.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfSyncedTo.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListTemplatesIdGet200ResponseAllOfSectionsInnerAllOfSyncedTo.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequestList","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequestList.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequestList.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequestList.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequestList.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsIdPatchRequestList.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequestList","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequestList.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequestList.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequestList.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequestList.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdChecklistListsPostRequestList.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner","doc":"Weather Log","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsGet200ResponseInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequestWeatherLog","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequestWeatherLog.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequestWeatherLog.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequestWeatherLog.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequestWeatherLog.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDailyLogsWeatherLogsPostRequestWeatherLog.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerCurrencyConfiguration","doc":"Payment Application (Owner Invoice) Currency Configuration","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerEmployee","doc":"Employee tied to the Direct Cost Item","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerEmployee.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerEmployee.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerEmployee.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerEmployee.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsGet200ResponseInnerEmployee.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsIdDelete200Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsIdDelete200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsIdDelete200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsIdDelete200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsIdDelete200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsIdDelete200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201ResponseVendor","doc":"Vendor","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201ResponseVendor.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201ResponseVendor.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201ResponseVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201ResponseVendor.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDirectCostsPost201ResponseVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDrawingAreasPost201Response","doc":"Created drawing area","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingAreasPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDrawingAreasPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingAreasPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDrawingAreasPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingAreasPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatch200Response","doc":"Drawing Discipline","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatchRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdDrawingDisciplinesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerAttachment","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerAttachment.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerAttachment.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerAttachment.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerFillablePdf","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerFillablePdf.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerFillablePdf.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerFillablePdf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerFillablePdf.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerFillablePdf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerPermissions","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerPermissions.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerPermissions.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerPermissions.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerPermissions.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdFormsGet200ResponseInnerPermissions.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsMeetingTopicIdParentMinutesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsMeetingTopicIdParentMinutesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsMeetingTopicIdParentMinutesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsMeetingTopicIdParentMinutesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsMeetingTopicIdParentMinutesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsMeetingTopicIdParentMinutesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsPost201Response","doc":"Meeting topic","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingTopicsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponseMeetingsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponseMeetingsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponseMeetingsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponseMeetingsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponseMeetingsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponseMeetingsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponsePdfTemplate","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponsePdfTemplate.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponsePdfTemplate.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponsePdfTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponsePdfTemplate.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsEcrionPdfGenerationDataGet200ResponsePdfTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOf","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOf.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOf.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOf.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInner","doc":"Group of meetings","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInnerMeetingsInner","doc":"Meeting","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInnerMeetingsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInnerMeetingsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInnerMeetingsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInnerMeetingsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsGet200ResponseOneOfInnerMeetingsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response","doc":"Meeting","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseAttendeesInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseAttendeesInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseAttendeesInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseAttendeesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseAttendeesInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseAttendeesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner","doc":"Meeting topic","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInnerMeetingCategory","doc":"Meeting category","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInnerMeetingCategory.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInnerMeetingCategory.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInnerMeetingCategory.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInnerMeetingCategory.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdMeetingsPost201ResponseMeetingCategoriesInnerMeetingTopicInnerMeetingCategory.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimecardEntriesPostRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimecardEntriesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimecardEntriesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimecardEntriesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimecardEntriesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimecardEntriesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesDraftCreatePostRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesDraftCreatePostRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesDraftCreatePostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesDraftCreatePostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesDraftCreatePostRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesDraftCreatePostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequestTimesheet","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequestTimesheet.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequestTimesheet.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequestTimesheet.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequestTimesheet.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdProjectTimesheetTimecardEntriesIdPatchRequestTimesheet.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsActionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFields","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFields.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFields.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFields.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFields.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFields.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldBooleanDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldDecimalDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntriesDefinitionIdValueInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldLovEntryDefinitionIdValue.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerCustomFieldsCustomFieldCustomFieldStringDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecording","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecording.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecording.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecording.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecording.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecording.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingAttachment","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingAttachment.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingAttachment.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingAttachment.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingAttachment.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingAttachment.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingCapturedBy","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingCapturedBy.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingCapturedBy.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingCapturedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingCapturedBy.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerRecordingCapturedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerWitness","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerWitness.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerWitness.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerWitness.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerWitness.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdRecycleBinIncidentsWitnessStatementsGet200ResponseInnerWitness.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner","doc":"Schedule Lookahead","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200Response","doc":"Schedule Lookahead","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInner","doc":"Errors and their corresponding Scheduled Tasks.","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInnerTask","doc":"Schedule Task","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInnerTask.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInnerTask.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInnerTask.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInnerTask.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseGenerationErrorsInnerTask.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInner","doc":"Schedule Lookahead Task, with subtasks","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerAssigneesInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerAssigneesInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerAssigneesInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerAssigneesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerAssigneesInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerAssigneesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerResourcesInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerResourcesInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerResourcesInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerResourcesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerResourcesInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerResourcesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSegmentsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSegmentsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSegmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSegmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSegmentsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSegmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSubtasksInner","doc":"Schedule Lookahead Task","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSubtasksInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSubtasksInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSubtasksInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSubtasksInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerSubtasksInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerTask","doc":"The Master Scheduled Task this Lookahead Task corresponds with, if one exists","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerTask.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerTask.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerTask.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerTask.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerTask.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerVendorsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerVendorsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerVendorsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerVendorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerVendorsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsIdGet200ResponseLookaheadTasksInnerVendorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsPostRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleLookaheadsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatch200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatch200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatch200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatch200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatch200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatch200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequestRequestedChangesInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequestRequestedChangesInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequestRequestedChangesInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequestRequestedChangesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequestRequestedChangesInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleRequestedChangesReviewPatchRequestRequestedChangesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChange","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChange.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChange.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChange.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChange.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChange.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChangeTask","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChangeTask.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChangeTask.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChangeTask.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChangeTask.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdScheduleTasksTaskIdRequestedChangesPostRequestRequestedChangeTask.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsAttachmentsWithMarkupGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsAttachmentsWithMarkupGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsAttachmentsWithMarkupGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsAttachmentsWithMarkupGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsAttachmentsWithMarkupGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsAttachmentsWithMarkupGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsCheckNumberGet200Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsCheckNumberGet200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsCheckNumberGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsCheckNumberGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsCheckNumberGet200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsCheckNumberGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerAssociatedAttachmentsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerAssociatedAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerAssociatedAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerAssociatedAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerAssociatedAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerAssociatedAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerUser","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerUser.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerUser.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerUser.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerUser.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerApproversInnerUser.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInnerVendor","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInnerVendor.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInnerVendor.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInnerVendor.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInnerVendor.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerBallInCourtInnerVendor.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittal","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittal.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittal.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittal.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittal.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittal.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittalDistributedResponsesInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittalDistributedResponsesInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittalDistributedResponsesInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittalDistributedResponsesInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittalDistributedResponsesInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerLastDistributedSubmittalDistributedResponsesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSpecificationSection","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSpecificationSection.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSpecificationSection.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSpecificationSection.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerStatus","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerStatus.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerStatus.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerStatus.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerStatus.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerStatus.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSubmittalPackage","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSubmittalPackage.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSubmittalPackage.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSubmittalPackage.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSubmittalPackage.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerSubmittalPackage.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerType","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerType.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerType.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerType.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerType.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsGet200ResponseInnerType.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseApproversInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseApproversInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseApproversInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseApproversInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseApproversInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseApproversInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseAttachmentsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseStepsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseStepsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseStepsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseStepsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseStepsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsIdWorkflowDataGet200ResponseStepsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsNextAvailableNumberGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfApproversInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfApproversInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfApproversInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfApproversInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfApproversInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfApproversInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfDistributedSubmittalsInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfDistributedSubmittalsInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfDistributedSubmittalsInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfDistributedSubmittalsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfDistributedSubmittalsInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfDistributedSubmittalsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfSubmittalPackage","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfSubmittalPackage.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfSubmittalPackage.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfSubmittalPackage.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfSubmittalPackage.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPost201ResponseAllOfSubmittalPackage.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1Submittal","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1Submittal.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1Submittal.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1Submittal.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1Submittal.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1Submittal.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1SubmittalWorkflowDataInnerInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1SubmittalWorkflowDataInnerInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1SubmittalWorkflowDataInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1SubmittalWorkflowDataInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1SubmittalWorkflowDataInnerInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequest1SubmittalWorkflowDataInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittal","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittal.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittal.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittal.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittal.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittal.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittalWorkflowDataInnerInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittalWorkflowDataInnerInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittalWorkflowDataInnerInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittalWorkflowDataInnerInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittalWorkflowDataInnerInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsPostRequestSubmittalWorkflowDataInnerInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInnerAllOfApproversInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInnerAllOfApproversInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInnerAllOfApproversInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInnerAllOfApproversInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInnerAllOfApproversInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdSubmittalsRecycleBinGet200ResponseInnerAllOfApproversInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdUploadsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInner","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf1.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf1.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf1.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf2","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf2.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf2.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf2.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf2.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsGet200ResponseInnerOneOf2.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11ProjectsProjectIdVendorsPost201Response","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsPost201Response.html"},{"type":"function","title":"Procore.Model.RestV11ProjectsProjectIdVendorsPost201Response.decode/1","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsPost201Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11ProjectsProjectIdVendorsPost201Response.t/0","doc":"","ref":"Procore.Model.RestV11ProjectsProjectIdVendorsPost201Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11PunchItemsSendUnsentPostRequest","doc":"","ref":"Procore.Model.RestV11PunchItemsSendUnsentPostRequest.html"},{"type":"function","title":"Procore.Model.RestV11PunchItemsSendUnsentPostRequest.decode/1","doc":"","ref":"Procore.Model.RestV11PunchItemsSendUnsentPostRequest.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11PunchItemsSendUnsentPostRequest.t/0","doc":"","ref":"Procore.Model.RestV11PunchItemsSendUnsentPostRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInner","doc":"Extended Requisition (Subcontractor Invoice)","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerAttachmentsInner","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCreatedBy","doc":"Login Information","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCreatedBy.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCreatedBy.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCreatedBy.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCurrencyConfiguration","doc":"Requisition (Subcontractor Invoice) Currency Configuration","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInner","doc":"Requisition (Subcontractor Invoice) item","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInner.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInner.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCode","doc":"Item's associated Budget Code","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCode.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCode.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCode.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCode.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCode.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCodeSegmentItemsInner","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCodeSegmentItemsInner.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCodeSegmentItemsInner.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCodeSegmentItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCodeSegmentItemsInner.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerItemsInnerWbsCodeSegmentItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummary","doc":"Requisition (Subcontractor Invoice) summary","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummary.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummary.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummary.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummary.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummary.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummaryText","doc":"Requisition (Subcontractor Invoice) summary text","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummaryText.html"},{"type":"function","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummaryText.decode/1","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummaryText.html#decode/1"},{"type":"type","title":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummaryText.t/0","doc":"","ref":"Procore.Model.RestV11RequisitionsGet200ResponseInnerSummaryText.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost200Response","doc":"entities with successes","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost200Response.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost200Response.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost200Response.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost207Response","doc":"entities with successes","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost207Response.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost207Response.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost207Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost207Response.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkAddPost207Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response","doc":"One key for each user ID passed in","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200ResponseUserId","doc":"One key for each project ID for that nested user ID","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200ResponseUserId.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200ResponseUserId.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200ResponseUserId.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200ResponseUserId.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersBulkRemovePost200ResponseUserId.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInner","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInner.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInner.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInner.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf1.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf1.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf1.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersGet200ResponseInnerOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200Response","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200Response.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200Response.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200Response.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf1.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf1.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf1.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf1.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersIdGet200ResponseOneOf1.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200Response.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInner","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInner.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInner.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInner.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInnerAllOfPermissionTemplate","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInnerAllOfPermissionTemplate.html"},{"type":"function","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInnerAllOfPermissionTemplate.decode/1","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInnerAllOfPermissionTemplate.html#decode/1"},{"type":"type","title":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInnerAllOfPermissionTemplate.t/0","doc":"","ref":"Procore.Model.RestV13CompaniesCompanyIdUsersSyncPatch200ResponseErrorsInnerAllOfPermissionTemplate.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBody","doc":"","ref":"Procore.Model.RfiBody.html"},{"type":"function","title":"Procore.Model.RfiBody.decode/1","doc":"","ref":"Procore.Model.RfiBody.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBody.t/0","doc":"","ref":"Procore.Model.RfiBody.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBody1Rfi","doc":"","ref":"Procore.Model.RfiBody1Rfi.html"},{"type":"function","title":"Procore.Model.RfiBody1Rfi.decode/1","doc":"","ref":"Procore.Model.RfiBody1Rfi.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBody1Rfi.t/0","doc":"","ref":"Procore.Model.RfiBody1Rfi.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBody1RfiQuestion","doc":"The Question of the RFI","ref":"Procore.Model.RfiBody1RfiQuestion.html"},{"type":"function","title":"Procore.Model.RfiBody1RfiQuestion.decode/1","doc":"","ref":"Procore.Model.RfiBody1RfiQuestion.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBody1RfiQuestion.t/0","doc":"","ref":"Procore.Model.RfiBody1RfiQuestion.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBody2","doc":"","ref":"Procore.Model.RfiBody2.html"},{"type":"function","title":"Procore.Model.RfiBody2.decode/1","doc":"","ref":"Procore.Model.RfiBody2.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBody2.t/0","doc":"","ref":"Procore.Model.RfiBody2.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBody2DataInner","doc":"","ref":"Procore.Model.RfiBody2DataInner.html"},{"type":"function","title":"Procore.Model.RfiBody2DataInner.decode/1","doc":"","ref":"Procore.Model.RfiBody2DataInner.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBody2DataInner.t/0","doc":"","ref":"Procore.Model.RfiBody2DataInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBodyRfi","doc":"","ref":"Procore.Model.RfiBodyRfi.html"},{"type":"function","title":"Procore.Model.RfiBodyRfi.decode/1","doc":"","ref":"Procore.Model.RfiBodyRfi.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBodyRfi.t/0","doc":"","ref":"Procore.Model.RfiBodyRfi.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBodyRfiCostImpact","doc":"The Cost Impact of the RFI","ref":"Procore.Model.RfiBodyRfiCostImpact.html"},{"type":"function","title":"Procore.Model.RfiBodyRfiCostImpact.decode/1","doc":"","ref":"Procore.Model.RfiBodyRfiCostImpact.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBodyRfiCostImpact.t/0","doc":"","ref":"Procore.Model.RfiBodyRfiCostImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBodyRfiQuestion","doc":"The Question of the RFI","ref":"Procore.Model.RfiBodyRfiQuestion.html"},{"type":"function","title":"Procore.Model.RfiBodyRfiQuestion.decode/1","doc":"","ref":"Procore.Model.RfiBodyRfiQuestion.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBodyRfiQuestion.t/0","doc":"","ref":"Procore.Model.RfiBodyRfiQuestion.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiBodyRfiScheduleImpact","doc":"The Schedule Impact of the RFI","ref":"Procore.Model.RfiBodyRfiScheduleImpact.html"},{"type":"function","title":"Procore.Model.RfiBodyRfiScheduleImpact.decode/1","doc":"","ref":"Procore.Model.RfiBodyRfiScheduleImpact.html#decode/1"},{"type":"type","title":"Procore.Model.RfiBodyRfiScheduleImpact.t/0","doc":"","ref":"Procore.Model.RfiBodyRfiScheduleImpact.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiUpdateBody","doc":"","ref":"Procore.Model.RfiUpdateBody.html"},{"type":"function","title":"Procore.Model.RfiUpdateBody.decode/1","doc":"","ref":"Procore.Model.RfiUpdateBody.html#decode/1"},{"type":"type","title":"Procore.Model.RfiUpdateBody.t/0","doc":"","ref":"Procore.Model.RfiUpdateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiUpdateBody1Rfi","doc":"","ref":"Procore.Model.RfiUpdateBody1Rfi.html"},{"type":"function","title":"Procore.Model.RfiUpdateBody1Rfi.decode/1","doc":"","ref":"Procore.Model.RfiUpdateBody1Rfi.html#decode/1"},{"type":"type","title":"Procore.Model.RfiUpdateBody1Rfi.t/0","doc":"","ref":"Procore.Model.RfiUpdateBody1Rfi.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiUpdateBody1RfiQuestion","doc":"The Question of the RFI","ref":"Procore.Model.RfiUpdateBody1RfiQuestion.html"},{"type":"function","title":"Procore.Model.RfiUpdateBody1RfiQuestion.decode/1","doc":"","ref":"Procore.Model.RfiUpdateBody1RfiQuestion.html#decode/1"},{"type":"type","title":"Procore.Model.RfiUpdateBody1RfiQuestion.t/0","doc":"","ref":"Procore.Model.RfiUpdateBody1RfiQuestion.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiUpdateBodyRfi","doc":"","ref":"Procore.Model.RfiUpdateBodyRfi.html"},{"type":"function","title":"Procore.Model.RfiUpdateBodyRfi.decode/1","doc":"","ref":"Procore.Model.RfiUpdateBodyRfi.html#decode/1"},{"type":"type","title":"Procore.Model.RfiUpdateBodyRfi.t/0","doc":"","ref":"Procore.Model.RfiUpdateBodyRfi.html#t:t/0"},{"type":"module","title":"Procore.Model.RfiUpdateBodyRfiQuestion","doc":"The Question of the RFI","ref":"Procore.Model.RfiUpdateBodyRfiQuestion.html"},{"type":"function","title":"Procore.Model.RfiUpdateBodyRfiQuestion.decode/1","doc":"","ref":"Procore.Model.RfiUpdateBodyRfiQuestion.html#decode/1"},{"type":"type","title":"Procore.Model.RfiUpdateBodyRfiQuestion.t/0","doc":"","ref":"Procore.Model.RfiUpdateBodyRfiQuestion.html#t:t/0"},{"type":"module","title":"Procore.Model.Rfq","doc":"","ref":"Procore.Model.Rfq.html"},{"type":"function","title":"Procore.Model.Rfq.decode/1","doc":"","ref":"Procore.Model.Rfq.html#decode/1"},{"type":"type","title":"Procore.Model.Rfq.t/0","doc":"","ref":"Procore.Model.Rfq.html#t:t/0"},{"type":"module","title":"Procore.Model.Rfq1","doc":"","ref":"Procore.Model.Rfq1.html"},{"type":"function","title":"Procore.Model.Rfq1.decode/1","doc":"","ref":"Procore.Model.Rfq1.html#decode/1"},{"type":"type","title":"Procore.Model.Rfq1.t/0","doc":"","ref":"Procore.Model.Rfq1.html#t:t/0"},{"type":"module","title":"Procore.Model.Rfq2","doc":"","ref":"Procore.Model.Rfq2.html"},{"type":"function","title":"Procore.Model.Rfq2.decode/1","doc":"","ref":"Procore.Model.Rfq2.html#decode/1"},{"type":"type","title":"Procore.Model.Rfq2.t/0","doc":"","ref":"Procore.Model.Rfq2.html#t:t/0"},{"type":"module","title":"Procore.Model.Rfq3","doc":"","ref":"Procore.Model.Rfq3.html"},{"type":"function","title":"Procore.Model.Rfq3.decode/1","doc":"","ref":"Procore.Model.Rfq3.html#decode/1"},{"type":"type","title":"Procore.Model.Rfq3.t/0","doc":"","ref":"Procore.Model.Rfq3.html#t:t/0"},{"type":"module","title":"Procore.Model.Rfq4","doc":"","ref":"Procore.Model.Rfq4.html"},{"type":"function","title":"Procore.Model.Rfq4.decode/1","doc":"","ref":"Procore.Model.Rfq4.html#decode/1"},{"type":"type","title":"Procore.Model.Rfq4.t/0","doc":"","ref":"Procore.Model.Rfq4.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEvent","doc":"","ref":"Procore.Model.RfqChangeEvent.html"},{"type":"function","title":"Procore.Model.RfqChangeEvent.decode/1","doc":"","ref":"Procore.Model.RfqChangeEvent.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEvent.t/0","doc":"","ref":"Procore.Model.RfqChangeEvent.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInner","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInner.html"},{"type":"function","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInner.decode/1","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInner.t/0","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerBudgetMod","doc":"Budget Modification","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerBudgetMod.html"},{"type":"function","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerBudgetMod.decode/1","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerBudgetMod.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerBudgetMod.t/0","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerBudgetMod.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerContract","doc":"Contract","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerContract.html"},{"type":"function","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerContract.decode/1","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerContract.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerContract.t/0","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerContract.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerLinks","doc":"Links","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerLinks.html"},{"type":"function","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerLinks.decode/1","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerLinks.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerLinks.t/0","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerLinks.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerStatuses","doc":"Statuses","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerStatuses.html"},{"type":"function","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerStatuses.decode/1","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerStatuses.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerStatuses.t/0","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventLineItemsInnerStatuses.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEventChangeEventStatus","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventStatus.html"},{"type":"function","title":"Procore.Model.RfqChangeEventChangeEventStatus.decode/1","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventStatus.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEventChangeEventStatus.t/0","doc":"","ref":"Procore.Model.RfqChangeEventChangeEventStatus.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEventChangeOrderChangeReason","doc":"","ref":"Procore.Model.RfqChangeEventChangeOrderChangeReason.html"},{"type":"function","title":"Procore.Model.RfqChangeEventChangeOrderChangeReason.decode/1","doc":"","ref":"Procore.Model.RfqChangeEventChangeOrderChangeReason.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEventChangeOrderChangeReason.t/0","doc":"","ref":"Procore.Model.RfqChangeEventChangeOrderChangeReason.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeEventRfi","doc":"","ref":"Procore.Model.RfqChangeEventRfi.html"},{"type":"function","title":"Procore.Model.RfqChangeEventRfi.decode/1","doc":"","ref":"Procore.Model.RfqChangeEventRfi.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeEventRfi.t/0","doc":"","ref":"Procore.Model.RfqChangeEventRfi.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqChangeOrderPackages","doc":"","ref":"Procore.Model.RfqChangeOrderPackages.html"},{"type":"function","title":"Procore.Model.RfqChangeOrderPackages.decode/1","doc":"","ref":"Procore.Model.RfqChangeOrderPackages.html#decode/1"},{"type":"type","title":"Procore.Model.RfqChangeOrderPackages.t/0","doc":"","ref":"Procore.Model.RfqChangeOrderPackages.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqCurrencyConfiguration","doc":"currency configuration information","ref":"Procore.Model.RfqCurrencyConfiguration.html"},{"type":"function","title":"Procore.Model.RfqCurrencyConfiguration.decode/1","doc":"","ref":"Procore.Model.RfqCurrencyConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RfqCurrencyConfiguration.t/0","doc":"","ref":"Procore.Model.RfqCurrencyConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqPotentialChangeOrders","doc":"","ref":"Procore.Model.RfqPotentialChangeOrders.html"},{"type":"function","title":"Procore.Model.RfqPotentialChangeOrders.decode/1","doc":"","ref":"Procore.Model.RfqPotentialChangeOrders.html#decode/1"},{"type":"type","title":"Procore.Model.RfqPotentialChangeOrders.t/0","doc":"","ref":"Procore.Model.RfqPotentialChangeOrders.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqQuote","doc":"","ref":"Procore.Model.RfqQuote.html"},{"type":"function","title":"Procore.Model.RfqQuote.decode/1","doc":"","ref":"Procore.Model.RfqQuote.html#decode/1"},{"type":"type","title":"Procore.Model.RfqQuote.t/0","doc":"","ref":"Procore.Model.RfqQuote.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqQuote1","doc":"","ref":"Procore.Model.RfqQuote1.html"},{"type":"function","title":"Procore.Model.RfqQuote1.decode/1","doc":"","ref":"Procore.Model.RfqQuote1.html#decode/1"},{"type":"type","title":"Procore.Model.RfqQuote1.t/0","doc":"","ref":"Procore.Model.RfqQuote1.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqQuote2","doc":"","ref":"Procore.Model.RfqQuote2.html"},{"type":"function","title":"Procore.Model.RfqQuote2.decode/1","doc":"","ref":"Procore.Model.RfqQuote2.html#decode/1"},{"type":"type","title":"Procore.Model.RfqQuote2.t/0","doc":"","ref":"Procore.Model.RfqQuote2.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqQuoteAttachmentsInner","doc":"","ref":"Procore.Model.RfqQuoteAttachmentsInner.html"},{"type":"function","title":"Procore.Model.RfqQuoteAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.RfqQuoteAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.RfqQuoteAttachmentsInner.t/0","doc":"","ref":"Procore.Model.RfqQuoteAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqResponse","doc":"","ref":"Procore.Model.RfqResponse.html"},{"type":"function","title":"Procore.Model.RfqResponse.decode/1","doc":"","ref":"Procore.Model.RfqResponse.html#decode/1"},{"type":"type","title":"Procore.Model.RfqResponse.t/0","doc":"","ref":"Procore.Model.RfqResponse.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqResponse1","doc":"","ref":"Procore.Model.RfqResponse1.html"},{"type":"function","title":"Procore.Model.RfqResponse1.decode/1","doc":"","ref":"Procore.Model.RfqResponse1.html#decode/1"},{"type":"type","title":"Procore.Model.RfqResponse1.t/0","doc":"","ref":"Procore.Model.RfqResponse1.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqResponse2","doc":"","ref":"Procore.Model.RfqResponse2.html"},{"type":"function","title":"Procore.Model.RfqResponse2.decode/1","doc":"","ref":"Procore.Model.RfqResponse2.html#decode/1"},{"type":"type","title":"Procore.Model.RfqResponse2.t/0","doc":"","ref":"Procore.Model.RfqResponse2.html#t:t/0"},{"type":"module","title":"Procore.Model.RfqSpecificationSection","doc":"Specification Section","ref":"Procore.Model.RfqSpecificationSection.html"},{"type":"function","title":"Procore.Model.RfqSpecificationSection.decode/1","doc":"","ref":"Procore.Model.RfqSpecificationSection.html#decode/1"},{"type":"type","title":"Procore.Model.RfqSpecificationSection.t/0","doc":"","ref":"Procore.Model.RfqSpecificationSection.html#t:t/0"},{"type":"module","title":"Procore.Model.Role","doc":"","ref":"Procore.Model.Role.html"},{"type":"function","title":"Procore.Model.Role.decode/1","doc":"","ref":"Procore.Model.Role.html#decode/1"},{"type":"type","title":"Procore.Model.Role.t/0","doc":"","ref":"Procore.Model.Role.html#t:t/0"},{"type":"module","title":"Procore.Model.RoundingConfiguration","doc":"","ref":"Procore.Model.RoundingConfiguration.html"},{"type":"function","title":"Procore.Model.RoundingConfiguration.decode/1","doc":"","ref":"Procore.Model.RoundingConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RoundingConfiguration.t/0","doc":"","ref":"Procore.Model.RoundingConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.RoundingConfigurationBody","doc":"","ref":"Procore.Model.RoundingConfigurationBody.html"},{"type":"function","title":"Procore.Model.RoundingConfigurationBody.decode/1","doc":"","ref":"Procore.Model.RoundingConfigurationBody.html#decode/1"},{"type":"type","title":"Procore.Model.RoundingConfigurationBody.t/0","doc":"","ref":"Procore.Model.RoundingConfigurationBody.html#t:t/0"},{"type":"module","title":"Procore.Model.RoundingConfigurationBodyRoundingConfiguration","doc":"","ref":"Procore.Model.RoundingConfigurationBodyRoundingConfiguration.html"},{"type":"function","title":"Procore.Model.RoundingConfigurationBodyRoundingConfiguration.decode/1","doc":"","ref":"Procore.Model.RoundingConfigurationBodyRoundingConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.RoundingConfigurationBodyRoundingConfiguration.t/0","doc":"","ref":"Procore.Model.RoundingConfigurationBodyRoundingConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.ScheduleDates","doc":"","ref":"Procore.Model.ScheduleDates.html"},{"type":"function","title":"Procore.Model.ScheduleDates.decode/1","doc":"","ref":"Procore.Model.ScheduleDates.html#decode/1"},{"type":"type","title":"Procore.Model.ScheduleDates.t/0","doc":"","ref":"Procore.Model.ScheduleDates.html#t:t/0"},{"type":"module","title":"Procore.Model.ScheduleIntegration","doc":"","ref":"Procore.Model.ScheduleIntegration.html"},{"type":"function","title":"Procore.Model.ScheduleIntegration.decode/1","doc":"","ref":"Procore.Model.ScheduleIntegration.html#decode/1"},{"type":"type","title":"Procore.Model.ScheduleIntegration.t/0","doc":"","ref":"Procore.Model.ScheduleIntegration.html#t:t/0"},{"type":"module","title":"Procore.Model.ScheduleType","doc":"Schedule Type object","ref":"Procore.Model.ScheduleType.html"},{"type":"function","title":"Procore.Model.ScheduleType.decode/1","doc":"","ref":"Procore.Model.ScheduleType.html#decode/1"},{"type":"type","title":"Procore.Model.ScheduleType.t/0","doc":"","ref":"Procore.Model.ScheduleType.html#t:t/0"},{"type":"module","title":"Procore.Model.ScheduleType1","doc":"Schedule Type object","ref":"Procore.Model.ScheduleType1.html"},{"type":"function","title":"Procore.Model.ScheduleType1.decode/1","doc":"","ref":"Procore.Model.ScheduleType1.html#decode/1"},{"type":"type","title":"Procore.Model.ScheduleType1.t/0","doc":"","ref":"Procore.Model.ScheduleType1.html#t:t/0"},{"type":"module","title":"Procore.Model.Section","doc":"Section object","ref":"Procore.Model.Section.html"},{"type":"function","title":"Procore.Model.Section.decode/1","doc":"","ref":"Procore.Model.Section.html#decode/1"},{"type":"type","title":"Procore.Model.Section.t/0","doc":"","ref":"Procore.Model.Section.html#t:t/0"},{"type":"module","title":"Procore.Model.SectionItemsAttributesInner","doc":"","ref":"Procore.Model.SectionItemsAttributesInner.html"},{"type":"function","title":"Procore.Model.SectionItemsAttributesInner.decode/1","doc":"","ref":"Procore.Model.SectionItemsAttributesInner.html#decode/1"},{"type":"type","title":"Procore.Model.SectionItemsAttributesInner.t/0","doc":"","ref":"Procore.Model.SectionItemsAttributesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Segment","doc":"","ref":"Procore.Model.Segment.html"},{"type":"function","title":"Procore.Model.Segment.decode/1","doc":"","ref":"Procore.Model.Segment.html#decode/1"},{"type":"type","title":"Procore.Model.Segment.t/0","doc":"","ref":"Procore.Model.Segment.html#t:t/0"},{"type":"module","title":"Procore.Model.Segment1","doc":"","ref":"Procore.Model.Segment1.html"},{"type":"function","title":"Procore.Model.Segment1.decode/1","doc":"","ref":"Procore.Model.Segment1.html#decode/1"},{"type":"type","title":"Procore.Model.Segment1.t/0","doc":"","ref":"Procore.Model.Segment1.html#t:t/0"},{"type":"module","title":"Procore.Model.SegmentedUpload","doc":"An Upload resource contains instructions on how to upload files directly to Procore's storage service.","ref":"Procore.Model.SegmentedUpload.html"},{"type":"function","title":"Procore.Model.SegmentedUpload.decode/1","doc":"","ref":"Procore.Model.SegmentedUpload.html#decode/1"},{"type":"type","title":"Procore.Model.SegmentedUpload.t/0","doc":"","ref":"Procore.Model.SegmentedUpload.html#t:t/0"},{"type":"module","title":"Procore.Model.SegmentedUploadSegmentsInner","doc":"","ref":"Procore.Model.SegmentedUploadSegmentsInner.html"},{"type":"function","title":"Procore.Model.SegmentedUploadSegmentsInner.decode/1","doc":"","ref":"Procore.Model.SegmentedUploadSegmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.SegmentedUploadSegmentsInner.t/0","doc":"","ref":"Procore.Model.SegmentedUploadSegmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.SegmentedUploadSegmentsInnerHeaders","doc":"Amazon headers","ref":"Procore.Model.SegmentedUploadSegmentsInnerHeaders.html"},{"type":"function","title":"Procore.Model.SegmentedUploadSegmentsInnerHeaders.decode/1","doc":"","ref":"Procore.Model.SegmentedUploadSegmentsInnerHeaders.html#decode/1"},{"type":"type","title":"Procore.Model.SegmentedUploadSegmentsInnerHeaders.t/0","doc":"","ref":"Procore.Model.SegmentedUploadSegmentsInnerHeaders.html#t:t/0"},{"type":"module","title":"Procore.Model.SegmentedUploadSegmentsInnerSize","doc":"Segment file size in bytes.","ref":"Procore.Model.SegmentedUploadSegmentsInnerSize.html"},{"type":"function","title":"Procore.Model.SegmentedUploadSegmentsInnerSize.decode/1","doc":"","ref":"Procore.Model.SegmentedUploadSegmentsInnerSize.html#decode/1"},{"type":"type","title":"Procore.Model.SegmentedUploadSegmentsInnerSize.t/0","doc":"","ref":"Procore.Model.SegmentedUploadSegmentsInnerSize.html#t:t/0"},{"type":"module","title":"Procore.Model.SeverityLevel","doc":"","ref":"Procore.Model.SeverityLevel.html"},{"type":"function","title":"Procore.Model.SeverityLevel.decode/1","doc":"","ref":"Procore.Model.SeverityLevel.html#decode/1"},{"type":"type","title":"Procore.Model.SeverityLevel.t/0","doc":"","ref":"Procore.Model.SeverityLevel.html#t:t/0"},{"type":"module","title":"Procore.Model.SignatureRequest","doc":"Checklist Signature Request object","ref":"Procore.Model.SignatureRequest.html"},{"type":"function","title":"Procore.Model.SignatureRequest.decode/1","doc":"","ref":"Procore.Model.SignatureRequest.html#decode/1"},{"type":"type","title":"Procore.Model.SignatureRequest.t/0","doc":"","ref":"Procore.Model.SignatureRequest.html#t:t/0"},{"type":"module","title":"Procore.Model.SpecificationSectionDivision","doc":"Represents a construction division, which is used to group specification sections. Each SpecificationSectionDivision can contain many SpecificationSections.","ref":"Procore.Model.SpecificationSectionDivision.html"},{"type":"function","title":"Procore.Model.SpecificationSectionDivision.decode/1","doc":"","ref":"Procore.Model.SpecificationSectionDivision.html#decode/1"},{"type":"type","title":"Procore.Model.SpecificationSectionDivision.t/0","doc":"","ref":"Procore.Model.SpecificationSectionDivision.html#t:t/0"},{"type":"module","title":"Procore.Model.SpecificationSectionRevision","doc":"A version of a Specification Section. Each time a Specification Section is revised, the newly uploaded version is a new revision of that section.","ref":"Procore.Model.SpecificationSectionRevision.html"},{"type":"function","title":"Procore.Model.SpecificationSectionRevision.decode/1","doc":"","ref":"Procore.Model.SpecificationSectionRevision.html#decode/1"},{"type":"type","title":"Procore.Model.SpecificationSectionRevision.t/0","doc":"","ref":"Procore.Model.SpecificationSectionRevision.html#t:t/0"},{"type":"module","title":"Procore.Model.SsovSourceLines","doc":"Line Item (when the 'ssov_source_lines' view is requested)","ref":"Procore.Model.SsovSourceLines.html"},{"type":"function","title":"Procore.Model.SsovSourceLines.decode/1","doc":"","ref":"Procore.Model.SsovSourceLines.html#decode/1"},{"type":"type","title":"Procore.Model.SsovSourceLines.t/0","doc":"","ref":"Procore.Model.SsovSourceLines.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCode","doc":"","ref":"Procore.Model.StandardCostCode.html"},{"type":"function","title":"Procore.Model.StandardCostCode.decode/1","doc":"","ref":"Procore.Model.StandardCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCode.t/0","doc":"","ref":"Procore.Model.StandardCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCode1","doc":"","ref":"Procore.Model.StandardCostCode1.html"},{"type":"function","title":"Procore.Model.StandardCostCode1.decode/1","doc":"","ref":"Procore.Model.StandardCostCode1.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCode1.t/0","doc":"","ref":"Procore.Model.StandardCostCode1.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCode2","doc":"","ref":"Procore.Model.StandardCostCode2.html"},{"type":"function","title":"Procore.Model.StandardCostCode2.decode/1","doc":"","ref":"Procore.Model.StandardCostCode2.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCode2.t/0","doc":"","ref":"Procore.Model.StandardCostCode2.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCodeList","doc":"","ref":"Procore.Model.StandardCostCodeList.html"},{"type":"function","title":"Procore.Model.StandardCostCodeList.decode/1","doc":"","ref":"Procore.Model.StandardCostCodeList.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCodeList.t/0","doc":"","ref":"Procore.Model.StandardCostCodeList.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCodeList1","doc":"","ref":"Procore.Model.StandardCostCodeList1.html"},{"type":"function","title":"Procore.Model.StandardCostCodeList1.decode/1","doc":"","ref":"Procore.Model.StandardCostCodeList1.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCodeList1.t/0","doc":"","ref":"Procore.Model.StandardCostCodeList1.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCodeList2","doc":"","ref":"Procore.Model.StandardCostCodeList2.html"},{"type":"function","title":"Procore.Model.StandardCostCodeList2.decode/1","doc":"","ref":"Procore.Model.StandardCostCodeList2.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCodeList2.t/0","doc":"","ref":"Procore.Model.StandardCostCodeList2.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCodeList3","doc":"","ref":"Procore.Model.StandardCostCodeList3.html"},{"type":"function","title":"Procore.Model.StandardCostCodeList3.decode/1","doc":"","ref":"Procore.Model.StandardCostCodeList3.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCodeList3.t/0","doc":"","ref":"Procore.Model.StandardCostCodeList3.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCodeSyncBody","doc":"","ref":"Procore.Model.StandardCostCodeSyncBody.html"},{"type":"function","title":"Procore.Model.StandardCostCodeSyncBody.decode/1","doc":"","ref":"Procore.Model.StandardCostCodeSyncBody.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCodeSyncBody.t/0","doc":"","ref":"Procore.Model.StandardCostCodeSyncBody.html#t:t/0"},{"type":"module","title":"Procore.Model.StandardCostCodeSyncBodyUpdatesInner","doc":"","ref":"Procore.Model.StandardCostCodeSyncBodyUpdatesInner.html"},{"type":"function","title":"Procore.Model.StandardCostCodeSyncBodyUpdatesInner.decode/1","doc":"","ref":"Procore.Model.StandardCostCodeSyncBodyUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.StandardCostCodeSyncBodyUpdatesInner.t/0","doc":"","ref":"Procore.Model.StandardCostCodeSyncBodyUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.SubJob","doc":"","ref":"Procore.Model.SubJob.html"},{"type":"function","title":"Procore.Model.SubJob.decode/1","doc":"","ref":"Procore.Model.SubJob.html#decode/1"},{"type":"type","title":"Procore.Model.SubJob.t/0","doc":"","ref":"Procore.Model.SubJob.html#t:t/0"},{"type":"module","title":"Procore.Model.SubJob1","doc":"","ref":"Procore.Model.SubJob1.html"},{"type":"function","title":"Procore.Model.SubJob1.decode/1","doc":"","ref":"Procore.Model.SubJob1.html#decode/1"},{"type":"type","title":"Procore.Model.SubJob1.t/0","doc":"","ref":"Procore.Model.SubJob1.html#t:t/0"},{"type":"module","title":"Procore.Model.SubJobBody","doc":"","ref":"Procore.Model.SubJobBody.html"},{"type":"function","title":"Procore.Model.SubJobBody.decode/1","doc":"","ref":"Procore.Model.SubJobBody.html#decode/1"},{"type":"type","title":"Procore.Model.SubJobBody.t/0","doc":"","ref":"Procore.Model.SubJobBody.html#t:t/0"},{"type":"module","title":"Procore.Model.SubJobBodySubJob","doc":"","ref":"Procore.Model.SubJobBodySubJob.html"},{"type":"function","title":"Procore.Model.SubJobBodySubJob.decode/1","doc":"","ref":"Procore.Model.SubJobBodySubJob.html#decode/1"},{"type":"type","title":"Procore.Model.SubJobBodySubJob.t/0","doc":"","ref":"Procore.Model.SubJobBodySubJob.html#t:t/0"},{"type":"module","title":"Procore.Model.SubJobSyncBody","doc":"","ref":"Procore.Model.SubJobSyncBody.html"},{"type":"function","title":"Procore.Model.SubJobSyncBody.decode/1","doc":"","ref":"Procore.Model.SubJobSyncBody.html#decode/1"},{"type":"type","title":"Procore.Model.SubJobSyncBody.t/0","doc":"","ref":"Procore.Model.SubJobSyncBody.html#t:t/0"},{"type":"module","title":"Procore.Model.SubJobSyncBodyUpdatesInner","doc":"","ref":"Procore.Model.SubJobSyncBodyUpdatesInner.html"},{"type":"function","title":"Procore.Model.SubJobSyncBodyUpdatesInner.decode/1","doc":"","ref":"Procore.Model.SubJobSyncBodyUpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.SubJobSyncBodyUpdatesInner.t/0","doc":"","ref":"Procore.Model.SubJobSyncBodyUpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Task","doc":"","ref":"Procore.Model.Task.html"},{"type":"function","title":"Procore.Model.Task.decode/1","doc":"","ref":"Procore.Model.Task.html#decode/1"},{"type":"type","title":"Procore.Model.Task.t/0","doc":"","ref":"Procore.Model.Task.html#t:t/0"},{"type":"module","title":"Procore.Model.Task1","doc":"Task object.","ref":"Procore.Model.Task1.html"},{"type":"function","title":"Procore.Model.Task1.decode/1","doc":"","ref":"Procore.Model.Task1.html#decode/1"},{"type":"type","title":"Procore.Model.Task1.t/0","doc":"","ref":"Procore.Model.Task1.html#t:t/0"},{"type":"module","title":"Procore.Model.Task2","doc":"","ref":"Procore.Model.Task2.html"},{"type":"function","title":"Procore.Model.Task2.decode/1","doc":"","ref":"Procore.Model.Task2.html#decode/1"},{"type":"type","title":"Procore.Model.Task2.t/0","doc":"","ref":"Procore.Model.Task2.html#t:t/0"},{"type":"module","title":"Procore.Model.TemplateCategory","doc":"","ref":"Procore.Model.TemplateCategory.html"},{"type":"function","title":"Procore.Model.TemplateCategory.decode/1","doc":"","ref":"Procore.Model.TemplateCategory.html#decode/1"},{"type":"type","title":"Procore.Model.TemplateCategory.t/0","doc":"","ref":"Procore.Model.TemplateCategory.html#t:t/0"},{"type":"module","title":"Procore.Model.TheGenericToolItemObject","doc":"","ref":"Procore.Model.TheGenericToolItemObject.html"},{"type":"function","title":"Procore.Model.TheGenericToolItemObject.decode/1","doc":"","ref":"Procore.Model.TheGenericToolItemObject.html#decode/1"},{"type":"type","title":"Procore.Model.TheGenericToolItemObject.t/0","doc":"","ref":"Procore.Model.TheGenericToolItemObject.html#t:t/0"},{"type":"module","title":"Procore.Model.TheGenericToolItemResponseObject","doc":"","ref":"Procore.Model.TheGenericToolItemResponseObject.html"},{"type":"function","title":"Procore.Model.TheGenericToolItemResponseObject.decode/1","doc":"","ref":"Procore.Model.TheGenericToolItemResponseObject.html#decode/1"},{"type":"type","title":"Procore.Model.TheGenericToolItemResponseObject.t/0","doc":"","ref":"Procore.Model.TheGenericToolItemResponseObject.html#t:t/0"},{"type":"module","title":"Procore.Model.TheGenericToolObject","doc":"","ref":"Procore.Model.TheGenericToolObject.html"},{"type":"function","title":"Procore.Model.TheGenericToolObject.decode/1","doc":"","ref":"Procore.Model.TheGenericToolObject.html#decode/1"},{"type":"type","title":"Procore.Model.TheGenericToolObject.t/0","doc":"","ref":"Procore.Model.TheGenericToolObject.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEntry","doc":"Timecard Time Type Object","ref":"Procore.Model.TimeAndMaterialEntry.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEntry.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEntry.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEntry.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEntry.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEntry1","doc":"Time and Material Entry Object","ref":"Procore.Model.TimeAndMaterialEntry1.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEntry1.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEntry1.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEntry1.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEntry1.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEntry2","doc":"Time and Material Entry Object","ref":"Procore.Model.TimeAndMaterialEntry2.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEntry2.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEntry2.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEntry2.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEntry2.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEntry3","doc":"Time and Material Entry Object","ref":"Procore.Model.TimeAndMaterialEntry3.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEntry3.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEntry3.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEntry3.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEntry3.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEntryBody","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEntryBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEntryBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody1","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody1.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody1.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody1.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody1.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEntryBulkUpdateBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEntrySignature","doc":"Time and Material Entry Signature","ref":"Procore.Model.TimeAndMaterialEntrySignature.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEntrySignature.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEntrySignature.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEntrySignature.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEntrySignature.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEquipmentLog","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLog.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEquipmentLog.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLog.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEquipmentLog.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLog.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkCreateBody","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkCreateBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkCreateBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkCreateBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkCreateBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkCreateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkDestroyBody","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkDestroyBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkDestroyBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkDestroyBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkDestroyBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkDestroyBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkUpdateBody","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkUpdateBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkUpdateBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkUpdateBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEquipmentLogBulkUpdateBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogBulkUpdateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEquipmentLogProperties","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogProperties.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEquipmentLogProperties.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogProperties.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEquipmentLogProperties.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogProperties.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialEquipmentLogs","doc":"Equipment log Object","ref":"Procore.Model.TimeAndMaterialEquipmentLogs.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialEquipmentLogs.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogs.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialEquipmentLogs.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialEquipmentLogs.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialMaterials","doc":"Material Object","ref":"Procore.Model.TimeAndMaterialMaterials.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialMaterials.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialMaterials.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialMaterials.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialMaterials.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialNotification","doc":"Time and Material Notification Object","ref":"Procore.Model.TimeAndMaterialNotification.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialNotification.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialNotification.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialNotification.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialNotification.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialNotificationBody","doc":"","ref":"Procore.Model.TimeAndMaterialNotificationBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialNotificationBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialNotificationBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialNotificationBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialNotificationBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialSignatureBulkDestroy","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureBulkDestroy.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialSignatureBulkDestroy.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureBulkDestroy.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialSignatureBulkDestroy.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureBulkDestroy.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialSignatureCreateBody","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureCreateBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialSignatureCreateBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureCreateBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialSignatureCreateBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureCreateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialSignatureCreateBodySignature","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureCreateBodySignature.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialSignatureCreateBodySignature.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureCreateBodySignature.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialSignatureCreateBodySignature.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialSignatureCreateBodySignature.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialTimecardBody","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialTimecardBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialTimecardBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialTimecardBulkCreateBody","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkCreateBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialTimecardBulkCreateBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkCreateBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialTimecardBulkCreateBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkCreateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialTimecardBulkDestroyBody","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkDestroyBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialTimecardBulkDestroyBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkDestroyBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialTimecardBulkDestroyBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkDestroyBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialTimecardBulkUpdateBody","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkUpdateBody.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialTimecardBulkUpdateBody.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkUpdateBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialTimecardBulkUpdateBody.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardBulkUpdateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialTimecardProperties","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardProperties.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialTimecardProperties.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardProperties.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialTimecardProperties.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialTimecardProperties.html#t:t/0"},{"type":"module","title":"Procore.Model.TimeAndMaterialTimecards","doc":"Time and material timecard Object","ref":"Procore.Model.TimeAndMaterialTimecards.html"},{"type":"function","title":"Procore.Model.TimeAndMaterialTimecards.decode/1","doc":"","ref":"Procore.Model.TimeAndMaterialTimecards.html#decode/1"},{"type":"type","title":"Procore.Model.TimeAndMaterialTimecards.t/0","doc":"","ref":"Procore.Model.TimeAndMaterialTimecards.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntries","doc":"","ref":"Procore.Model.TimecardEntries.html"},{"type":"function","title":"Procore.Model.TimecardEntries.decode/1","doc":"","ref":"Procore.Model.TimecardEntries.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntries.t/0","doc":"","ref":"Procore.Model.TimecardEntries.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntries1","doc":"","ref":"Procore.Model.TimecardEntries1.html"},{"type":"function","title":"Procore.Model.TimecardEntries1.decode/1","doc":"","ref":"Procore.Model.TimecardEntries1.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntries1.t/0","doc":"","ref":"Procore.Model.TimecardEntries1.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntries1UpdatesInner","doc":"","ref":"Procore.Model.TimecardEntries1UpdatesInner.html"},{"type":"function","title":"Procore.Model.TimecardEntries1UpdatesInner.decode/1","doc":"","ref":"Procore.Model.TimecardEntries1UpdatesInner.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntries1UpdatesInner.t/0","doc":"","ref":"Procore.Model.TimecardEntries1UpdatesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntriesTimecardEntriesInner","doc":"","ref":"Procore.Model.TimecardEntriesTimecardEntriesInner.html"},{"type":"function","title":"Procore.Model.TimecardEntriesTimecardEntriesInner.decode/1","doc":"","ref":"Procore.Model.TimecardEntriesTimecardEntriesInner.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntriesTimecardEntriesInner.t/0","doc":"","ref":"Procore.Model.TimecardEntriesTimecardEntriesInner.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry","doc":"","ref":"Procore.Model.TimecardEntry.html"},{"type":"function","title":"Procore.Model.TimecardEntry.decode/1","doc":"","ref":"Procore.Model.TimecardEntry.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry.t/0","doc":"","ref":"Procore.Model.TimecardEntry.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry1","doc":"","ref":"Procore.Model.TimecardEntry1.html"},{"type":"function","title":"Procore.Model.TimecardEntry1.decode/1","doc":"","ref":"Procore.Model.TimecardEntry1.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry1.t/0","doc":"","ref":"Procore.Model.TimecardEntry1.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry10","doc":"The Timecard Entry object","ref":"Procore.Model.TimecardEntry10.html"},{"type":"function","title":"Procore.Model.TimecardEntry10.decode/1","doc":"","ref":"Procore.Model.TimecardEntry10.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry10.t/0","doc":"","ref":"Procore.Model.TimecardEntry10.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry2","doc":"","ref":"Procore.Model.TimecardEntry2.html"},{"type":"function","title":"Procore.Model.TimecardEntry2.decode/1","doc":"","ref":"Procore.Model.TimecardEntry2.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry2.t/0","doc":"","ref":"Procore.Model.TimecardEntry2.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry3","doc":"","ref":"Procore.Model.TimecardEntry3.html"},{"type":"function","title":"Procore.Model.TimecardEntry3.decode/1","doc":"","ref":"Procore.Model.TimecardEntry3.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry3.t/0","doc":"","ref":"Procore.Model.TimecardEntry3.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry3ClockIn","doc":"","ref":"Procore.Model.TimecardEntry3ClockIn.html"},{"type":"function","title":"Procore.Model.TimecardEntry3ClockIn.decode/1","doc":"","ref":"Procore.Model.TimecardEntry3ClockIn.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry3ClockIn.t/0","doc":"","ref":"Procore.Model.TimecardEntry3ClockIn.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry3Crew","doc":"","ref":"Procore.Model.TimecardEntry3Crew.html"},{"type":"function","title":"Procore.Model.TimecardEntry3Crew.decode/1","doc":"","ref":"Procore.Model.TimecardEntry3Crew.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry3Crew.t/0","doc":"","ref":"Procore.Model.TimecardEntry3Crew.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry3Project","doc":"","ref":"Procore.Model.TimecardEntry3Project.html"},{"type":"function","title":"Procore.Model.TimecardEntry3Project.decode/1","doc":"","ref":"Procore.Model.TimecardEntry3Project.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry3Project.t/0","doc":"","ref":"Procore.Model.TimecardEntry3Project.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry3SubJob","doc":"","ref":"Procore.Model.TimecardEntry3SubJob.html"},{"type":"function","title":"Procore.Model.TimecardEntry3SubJob.decode/1","doc":"","ref":"Procore.Model.TimecardEntry3SubJob.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry3SubJob.t/0","doc":"","ref":"Procore.Model.TimecardEntry3SubJob.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry4","doc":"Timecard Entry object","ref":"Procore.Model.TimecardEntry4.html"},{"type":"function","title":"Procore.Model.TimecardEntry4.decode/1","doc":"","ref":"Procore.Model.TimecardEntry4.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry4.t/0","doc":"","ref":"Procore.Model.TimecardEntry4.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry5","doc":"Timecard Entry object","ref":"Procore.Model.TimecardEntry5.html"},{"type":"function","title":"Procore.Model.TimecardEntry5.decode/1","doc":"","ref":"Procore.Model.TimecardEntry5.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry5.t/0","doc":"","ref":"Procore.Model.TimecardEntry5.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry6","doc":"","ref":"Procore.Model.TimecardEntry6.html"},{"type":"function","title":"Procore.Model.TimecardEntry6.decode/1","doc":"","ref":"Procore.Model.TimecardEntry6.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry6.t/0","doc":"","ref":"Procore.Model.TimecardEntry6.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry7","doc":"Timecard Entry object","ref":"Procore.Model.TimecardEntry7.html"},{"type":"function","title":"Procore.Model.TimecardEntry7.decode/1","doc":"","ref":"Procore.Model.TimecardEntry7.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry7.t/0","doc":"","ref":"Procore.Model.TimecardEntry7.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry8","doc":"","ref":"Procore.Model.TimecardEntry8.html"},{"type":"function","title":"Procore.Model.TimecardEntry8.decode/1","doc":"","ref":"Procore.Model.TimecardEntry8.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry8.t/0","doc":"","ref":"Procore.Model.TimecardEntry8.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry8Crew","doc":"","ref":"Procore.Model.TimecardEntry8Crew.html"},{"type":"function","title":"Procore.Model.TimecardEntry8Crew.decode/1","doc":"","ref":"Procore.Model.TimecardEntry8Crew.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry8Crew.t/0","doc":"","ref":"Procore.Model.TimecardEntry8Crew.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntry9","doc":"Timecard Entry object","ref":"Procore.Model.TimecardEntry9.html"},{"type":"function","title":"Procore.Model.TimecardEntry9.decode/1","doc":"","ref":"Procore.Model.TimecardEntry9.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntry9.t/0","doc":"","ref":"Procore.Model.TimecardEntry9.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntryChangeHistory","doc":"","ref":"Procore.Model.TimecardEntryChangeHistory.html"},{"type":"function","title":"Procore.Model.TimecardEntryChangeHistory.decode/1","doc":"","ref":"Procore.Model.TimecardEntryChangeHistory.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntryChangeHistory.t/0","doc":"","ref":"Procore.Model.TimecardEntryChangeHistory.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardEntryFullCostCode","doc":"","ref":"Procore.Model.TimecardEntryFullCostCode.html"},{"type":"function","title":"Procore.Model.TimecardEntryFullCostCode.decode/1","doc":"","ref":"Procore.Model.TimecardEntryFullCostCode.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardEntryFullCostCode.t/0","doc":"","ref":"Procore.Model.TimecardEntryFullCostCode.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardTimeType","doc":"","ref":"Procore.Model.TimecardTimeType.html"},{"type":"function","title":"Procore.Model.TimecardTimeType.decode/1","doc":"","ref":"Procore.Model.TimecardTimeType.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardTimeType.t/0","doc":"","ref":"Procore.Model.TimecardTimeType.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardTimeType1","doc":"","ref":"Procore.Model.TimecardTimeType1.html"},{"type":"function","title":"Procore.Model.TimecardTimeType1.decode/1","doc":"","ref":"Procore.Model.TimecardTimeType1.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardTimeType1.t/0","doc":"","ref":"Procore.Model.TimecardTimeType1.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardTimeType2","doc":"","ref":"Procore.Model.TimecardTimeType2.html"},{"type":"function","title":"Procore.Model.TimecardTimeType2.decode/1","doc":"","ref":"Procore.Model.TimecardTimeType2.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardTimeType2.t/0","doc":"","ref":"Procore.Model.TimecardTimeType2.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardTimeType3","doc":"","ref":"Procore.Model.TimecardTimeType3.html"},{"type":"function","title":"Procore.Model.TimecardTimeType3.decode/1","doc":"","ref":"Procore.Model.TimecardTimeType3.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardTimeType3.t/0","doc":"","ref":"Procore.Model.TimecardTimeType3.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardTimeType4","doc":"","ref":"Procore.Model.TimecardTimeType4.html"},{"type":"function","title":"Procore.Model.TimecardTimeType4.decode/1","doc":"","ref":"Procore.Model.TimecardTimeType4.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardTimeType4.t/0","doc":"","ref":"Procore.Model.TimecardTimeType4.html#t:t/0"},{"type":"module","title":"Procore.Model.TimecardTimeTypeBody","doc":"","ref":"Procore.Model.TimecardTimeTypeBody.html"},{"type":"function","title":"Procore.Model.TimecardTimeTypeBody.decode/1","doc":"","ref":"Procore.Model.TimecardTimeTypeBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimecardTimeTypeBody.t/0","doc":"","ref":"Procore.Model.TimecardTimeTypeBody.html#t:t/0"},{"type":"module","title":"Procore.Model.Timesheet","doc":"","ref":"Procore.Model.Timesheet.html"},{"type":"function","title":"Procore.Model.Timesheet.decode/1","doc":"","ref":"Procore.Model.Timesheet.html#decode/1"},{"type":"type","title":"Procore.Model.Timesheet.t/0","doc":"","ref":"Procore.Model.Timesheet.html#t:t/0"},{"type":"module","title":"Procore.Model.Timesheet1","doc":"","ref":"Procore.Model.Timesheet1.html"},{"type":"function","title":"Procore.Model.Timesheet1.decode/1","doc":"","ref":"Procore.Model.Timesheet1.html#decode/1"},{"type":"type","title":"Procore.Model.Timesheet1.t/0","doc":"","ref":"Procore.Model.Timesheet1.html#t:t/0"},{"type":"module","title":"Procore.Model.Timesheet2","doc":"Deprecated. Reference status property.","ref":"Procore.Model.Timesheet2.html"},{"type":"function","title":"Procore.Model.Timesheet2.decode/1","doc":"","ref":"Procore.Model.Timesheet2.html#decode/1"},{"type":"type","title":"Procore.Model.Timesheet2.t/0","doc":"","ref":"Procore.Model.Timesheet2.html#t:t/0"},{"type":"module","title":"Procore.Model.Timesheet3","doc":"","ref":"Procore.Model.Timesheet3.html"},{"type":"function","title":"Procore.Model.Timesheet3.decode/1","doc":"","ref":"Procore.Model.Timesheet3.html#decode/1"},{"type":"type","title":"Procore.Model.Timesheet3.t/0","doc":"","ref":"Procore.Model.Timesheet3.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetChangeHistoryBody","doc":"","ref":"Procore.Model.TimesheetChangeHistoryBody.html"},{"type":"function","title":"Procore.Model.TimesheetChangeHistoryBody.decode/1","doc":"","ref":"Procore.Model.TimesheetChangeHistoryBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetChangeHistoryBody.t/0","doc":"","ref":"Procore.Model.TimesheetChangeHistoryBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetEntries","doc":"","ref":"Procore.Model.TimesheetEntries.html"},{"type":"function","title":"Procore.Model.TimesheetEntries.decode/1","doc":"","ref":"Procore.Model.TimesheetEntries.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetEntries.t/0","doc":"","ref":"Procore.Model.TimesheetEntries.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetEntries1","doc":"","ref":"Procore.Model.TimesheetEntries1.html"},{"type":"function","title":"Procore.Model.TimesheetEntries1.decode/1","doc":"","ref":"Procore.Model.TimesheetEntries1.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetEntries1.t/0","doc":"","ref":"Procore.Model.TimesheetEntries1.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetEntries2","doc":"","ref":"Procore.Model.TimesheetEntries2.html"},{"type":"function","title":"Procore.Model.TimesheetEntries2.decode/1","doc":"","ref":"Procore.Model.TimesheetEntries2.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetEntries2.t/0","doc":"","ref":"Procore.Model.TimesheetEntries2.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetEntriesCrew","doc":"","ref":"Procore.Model.TimesheetEntriesCrew.html"},{"type":"function","title":"Procore.Model.TimesheetEntriesCrew.decode/1","doc":"","ref":"Procore.Model.TimesheetEntriesCrew.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetEntriesCrew.t/0","doc":"","ref":"Procore.Model.TimesheetEntriesCrew.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetToBudgetConfiguration","doc":"","ref":"Procore.Model.TimesheetToBudgetConfiguration.html"},{"type":"function","title":"Procore.Model.TimesheetToBudgetConfiguration.decode/1","doc":"","ref":"Procore.Model.TimesheetToBudgetConfiguration.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetToBudgetConfiguration.t/0","doc":"","ref":"Procore.Model.TimesheetToBudgetConfiguration.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetsSignature","doc":"","ref":"Procore.Model.TimesheetsSignature.html"},{"type":"function","title":"Procore.Model.TimesheetsSignature.decode/1","doc":"","ref":"Procore.Model.TimesheetsSignature.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetsSignature.t/0","doc":"","ref":"Procore.Model.TimesheetsSignature.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetsSignatureCreateBody","doc":"","ref":"Procore.Model.TimesheetsSignatureCreateBody.html"},{"type":"function","title":"Procore.Model.TimesheetsSignatureCreateBody.decode/1","doc":"","ref":"Procore.Model.TimesheetsSignatureCreateBody.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetsSignatureCreateBody.t/0","doc":"","ref":"Procore.Model.TimesheetsSignatureCreateBody.html#t:t/0"},{"type":"module","title":"Procore.Model.TimesheetsSignatureCreateBodySignature","doc":"","ref":"Procore.Model.TimesheetsSignatureCreateBodySignature.html"},{"type":"function","title":"Procore.Model.TimesheetsSignatureCreateBodySignature.decode/1","doc":"","ref":"Procore.Model.TimesheetsSignatureCreateBodySignature.html#decode/1"},{"type":"type","title":"Procore.Model.TimesheetsSignatureCreateBodySignature.t/0","doc":"","ref":"Procore.Model.TimesheetsSignatureCreateBodySignature.html#t:t/0"},{"type":"module","title":"Procore.Model.ToDo","doc":"ToDo object","ref":"Procore.Model.ToDo.html"},{"type":"function","title":"Procore.Model.ToDo.decode/1","doc":"","ref":"Procore.Model.ToDo.html#decode/1"},{"type":"type","title":"Procore.Model.ToDo.t/0","doc":"","ref":"Procore.Model.ToDo.html#t:t/0"},{"type":"module","title":"Procore.Model.ToDo1","doc":"","ref":"Procore.Model.ToDo1.html"},{"type":"function","title":"Procore.Model.ToDo1.decode/1","doc":"","ref":"Procore.Model.ToDo1.html#decode/1"},{"type":"type","title":"Procore.Model.ToDo1.t/0","doc":"","ref":"Procore.Model.ToDo1.html#t:t/0"},{"type":"module","title":"Procore.Model.ToDo2","doc":"ToDo object","ref":"Procore.Model.ToDo2.html"},{"type":"function","title":"Procore.Model.ToDo2.decode/1","doc":"","ref":"Procore.Model.ToDo2.html#decode/1"},{"type":"type","title":"Procore.Model.ToDo2.t/0","doc":"","ref":"Procore.Model.ToDo2.html#t:t/0"},{"type":"module","title":"Procore.Model.TotalInspections","doc":"","ref":"Procore.Model.TotalInspections.html"},{"type":"function","title":"Procore.Model.TotalInspections.decode/1","doc":"","ref":"Procore.Model.TotalInspections.html#decode/1"},{"type":"type","title":"Procore.Model.TotalInspections.t/0","doc":"","ref":"Procore.Model.TotalInspections.html#t:t/0"},{"type":"module","title":"Procore.Model.Trade","doc":"","ref":"Procore.Model.Trade.html"},{"type":"function","title":"Procore.Model.Trade.decode/1","doc":"","ref":"Procore.Model.Trade.html#decode/1"},{"type":"type","title":"Procore.Model.Trade.t/0","doc":"","ref":"Procore.Model.Trade.html#t:t/0"},{"type":"module","title":"Procore.Model.Trade1","doc":"","ref":"Procore.Model.Trade1.html"},{"type":"function","title":"Procore.Model.Trade1.decode/1","doc":"","ref":"Procore.Model.Trade1.html#decode/1"},{"type":"type","title":"Procore.Model.Trade1.t/0","doc":"","ref":"Procore.Model.Trade1.html#t:t/0"},{"type":"module","title":"Procore.Model.Trade2","doc":"","ref":"Procore.Model.Trade2.html"},{"type":"function","title":"Procore.Model.Trade2.decode/1","doc":"","ref":"Procore.Model.Trade2.html#decode/1"},{"type":"type","title":"Procore.Model.Trade2.t/0","doc":"","ref":"Procore.Model.Trade2.html#t:t/0"},{"type":"module","title":"Procore.Model.UnitOfMeasure","doc":"","ref":"Procore.Model.UnitOfMeasure.html"},{"type":"function","title":"Procore.Model.UnitOfMeasure.decode/1","doc":"","ref":"Procore.Model.UnitOfMeasure.html#decode/1"},{"type":"type","title":"Procore.Model.UnitOfMeasure.t/0","doc":"","ref":"Procore.Model.UnitOfMeasure.html#t:t/0"},{"type":"module","title":"Procore.Model.UnitOfMeasureToSync","doc":"","ref":"Procore.Model.UnitOfMeasureToSync.html"},{"type":"function","title":"Procore.Model.UnitOfMeasureToSync.decode/1","doc":"","ref":"Procore.Model.UnitOfMeasureToSync.html#decode/1"},{"type":"type","title":"Procore.Model.UnitOfMeasureToSync.t/0","doc":"","ref":"Procore.Model.UnitOfMeasureToSync.html#t:t/0"},{"type":"module","title":"Procore.Model.UpdateSegmentOrderBody","doc":"","ref":"Procore.Model.UpdateSegmentOrderBody.html"},{"type":"function","title":"Procore.Model.UpdateSegmentOrderBody.decode/1","doc":"","ref":"Procore.Model.UpdateSegmentOrderBody.html#decode/1"},{"type":"type","title":"Procore.Model.UpdateSegmentOrderBody.t/0","doc":"","ref":"Procore.Model.UpdateSegmentOrderBody.html#t:t/0"},{"type":"module","title":"Procore.Model.UpdateSegmentOrderBodyUpdatedOrderInner","doc":"","ref":"Procore.Model.UpdateSegmentOrderBodyUpdatedOrderInner.html"},{"type":"function","title":"Procore.Model.UpdateSegmentOrderBodyUpdatedOrderInner.decode/1","doc":"","ref":"Procore.Model.UpdateSegmentOrderBodyUpdatedOrderInner.html#decode/1"},{"type":"type","title":"Procore.Model.UpdateSegmentOrderBodyUpdatedOrderInner.t/0","doc":"","ref":"Procore.Model.UpdateSegmentOrderBodyUpdatedOrderInner.html#t:t/0"},{"type":"module","title":"Procore.Model.Upload","doc":"","ref":"Procore.Model.Upload.html"},{"type":"function","title":"Procore.Model.Upload.decode/1","doc":"","ref":"Procore.Model.Upload.html#decode/1"},{"type":"type","title":"Procore.Model.Upload.t/0","doc":"","ref":"Procore.Model.Upload.html#t:t/0"},{"type":"module","title":"Procore.Model.Upload1","doc":"","ref":"Procore.Model.Upload1.html"},{"type":"function","title":"Procore.Model.Upload1.decode/1","doc":"","ref":"Procore.Model.Upload1.html#decode/1"},{"type":"type","title":"Procore.Model.Upload1.t/0","doc":"","ref":"Procore.Model.Upload1.html#t:t/0"},{"type":"module","title":"Procore.Model.Upload2","doc":"","ref":"Procore.Model.Upload2.html"},{"type":"function","title":"Procore.Model.Upload2.decode/1","doc":"","ref":"Procore.Model.Upload2.html#decode/1"},{"type":"type","title":"Procore.Model.Upload2.t/0","doc":"","ref":"Procore.Model.Upload2.html#t:t/0"},{"type":"module","title":"Procore.Model.UploadFields","doc":"Fields to send with the file data to sucessfully complete the upload. Do not make any assumptions about the names or contents of the fields because they may change at any time to any other value.","ref":"Procore.Model.UploadFields.html"},{"type":"function","title":"Procore.Model.UploadFields.decode/1","doc":"","ref":"Procore.Model.UploadFields.html#decode/1"},{"type":"type","title":"Procore.Model.UploadFields.t/0","doc":"","ref":"Procore.Model.UploadFields.html#t:t/0"},{"type":"module","title":"Procore.Model.UploadSegmentsInner","doc":"Upload segment","ref":"Procore.Model.UploadSegmentsInner.html"},{"type":"function","title":"Procore.Model.UploadSegmentsInner.decode/1","doc":"","ref":"Procore.Model.UploadSegmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.UploadSegmentsInner.t/0","doc":"","ref":"Procore.Model.UploadSegmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.UploadUuid","doc":"","ref":"Procore.Model.UploadUuid.html"},{"type":"function","title":"Procore.Model.UploadUuid.decode/1","doc":"","ref":"Procore.Model.UploadUuid.html#decode/1"},{"type":"type","title":"Procore.Model.UploadUuid.t/0","doc":"","ref":"Procore.Model.UploadUuid.html#t:t/0"},{"type":"module","title":"Procore.Model.UploadUuid1","doc":"","ref":"Procore.Model.UploadUuid1.html"},{"type":"function","title":"Procore.Model.UploadUuid1.decode/1","doc":"","ref":"Procore.Model.UploadUuid1.html#decode/1"},{"type":"type","title":"Procore.Model.UploadUuid1.t/0","doc":"","ref":"Procore.Model.UploadUuid1.html#t:t/0"},{"type":"module","title":"Procore.Model.User","doc":"Company User","ref":"Procore.Model.User.html"},{"type":"function","title":"Procore.Model.User.decode/1","doc":"","ref":"Procore.Model.User.html#decode/1"},{"type":"type","title":"Procore.Model.User.t/0","doc":"","ref":"Procore.Model.User.html#t:t/0"},{"type":"module","title":"Procore.Model.UserProjectRole","doc":"","ref":"Procore.Model.UserProjectRole.html"},{"type":"function","title":"Procore.Model.UserProjectRole.decode/1","doc":"","ref":"Procore.Model.UserProjectRole.html#decode/1"},{"type":"type","title":"Procore.Model.UserProjectRole.t/0","doc":"","ref":"Procore.Model.UserProjectRole.html#t:t/0"},{"type":"module","title":"Procore.Model.VendorComment","doc":"","ref":"Procore.Model.VendorComment.html"},{"type":"function","title":"Procore.Model.VendorComment.decode/1","doc":"","ref":"Procore.Model.VendorComment.html#decode/1"},{"type":"type","title":"Procore.Model.VendorComment.t/0","doc":"","ref":"Procore.Model.VendorComment.html#t:t/0"},{"type":"module","title":"Procore.Model.VendorCommentAttachmentsInner","doc":"","ref":"Procore.Model.VendorCommentAttachmentsInner.html"},{"type":"function","title":"Procore.Model.VendorCommentAttachmentsInner.decode/1","doc":"","ref":"Procore.Model.VendorCommentAttachmentsInner.html#decode/1"},{"type":"type","title":"Procore.Model.VendorCommentAttachmentsInner.t/0","doc":"","ref":"Procore.Model.VendorCommentAttachmentsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.VendorCommentCreatedBy","doc":"The creator of the Comment","ref":"Procore.Model.VendorCommentCreatedBy.html"},{"type":"function","title":"Procore.Model.VendorCommentCreatedBy.decode/1","doc":"","ref":"Procore.Model.VendorCommentCreatedBy.html#decode/1"},{"type":"type","title":"Procore.Model.VendorCommentCreatedBy.t/0","doc":"","ref":"Procore.Model.VendorCommentCreatedBy.html#t:t/0"},{"type":"module","title":"Procore.Model.VendorProjectRole","doc":"","ref":"Procore.Model.VendorProjectRole.html"},{"type":"function","title":"Procore.Model.VendorProjectRole.decode/1","doc":"","ref":"Procore.Model.VendorProjectRole.html#decode/1"},{"type":"type","title":"Procore.Model.VendorProjectRole.t/0","doc":"","ref":"Procore.Model.VendorProjectRole.html#t:t/0"},{"type":"module","title":"Procore.Model.WbsCode","doc":"","ref":"Procore.Model.WbsCode.html"},{"type":"function","title":"Procore.Model.WbsCode.decode/1","doc":"","ref":"Procore.Model.WbsCode.html#decode/1"},{"type":"type","title":"Procore.Model.WbsCode.t/0","doc":"","ref":"Procore.Model.WbsCode.html#t:t/0"},{"type":"module","title":"Procore.Model.WbsCodeBulkCreate","doc":"","ref":"Procore.Model.WbsCodeBulkCreate.html"},{"type":"function","title":"Procore.Model.WbsCodeBulkCreate.decode/1","doc":"","ref":"Procore.Model.WbsCodeBulkCreate.html#decode/1"},{"type":"type","title":"Procore.Model.WbsCodeBulkCreate.t/0","doc":"","ref":"Procore.Model.WbsCodeBulkCreate.html#t:t/0"},{"type":"module","title":"Procore.Model.WbsCodeBulkCreateBulkInner","doc":"","ref":"Procore.Model.WbsCodeBulkCreateBulkInner.html"},{"type":"function","title":"Procore.Model.WbsCodeBulkCreateBulkInner.decode/1","doc":"","ref":"Procore.Model.WbsCodeBulkCreateBulkInner.html#decode/1"},{"type":"type","title":"Procore.Model.WbsCodeBulkCreateBulkInner.t/0","doc":"","ref":"Procore.Model.WbsCodeBulkCreateBulkInner.html#t:t/0"},{"type":"module","title":"Procore.Model.WbsCodeBulkCreateBulkInnerSegmentItemsInner","doc":"","ref":"Procore.Model.WbsCodeBulkCreateBulkInnerSegmentItemsInner.html"},{"type":"function","title":"Procore.Model.WbsCodeBulkCreateBulkInnerSegmentItemsInner.decode/1","doc":"","ref":"Procore.Model.WbsCodeBulkCreateBulkInnerSegmentItemsInner.html#decode/1"},{"type":"type","title":"Procore.Model.WbsCodeBulkCreateBulkInnerSegmentItemsInner.t/0","doc":"","ref":"Procore.Model.WbsCodeBulkCreateBulkInnerSegmentItemsInner.html#t:t/0"},{"type":"module","title":"Procore.Model.WebhooksDelivery","doc":"","ref":"Procore.Model.WebhooksDelivery.html"},{"type":"function","title":"Procore.Model.WebhooksDelivery.decode/1","doc":"","ref":"Procore.Model.WebhooksDelivery.html#decode/1"},{"type":"type","title":"Procore.Model.WebhooksDelivery.t/0","doc":"","ref":"Procore.Model.WebhooksDelivery.html#t:t/0"},{"type":"module","title":"Procore.Model.WebhooksDeliveryEvent","doc":"The event payload sent","ref":"Procore.Model.WebhooksDeliveryEvent.html"},{"type":"function","title":"Procore.Model.WebhooksDeliveryEvent.decode/1","doc":"","ref":"Procore.Model.WebhooksDeliveryEvent.html#decode/1"},{"type":"type","title":"Procore.Model.WebhooksDeliveryEvent.t/0","doc":"","ref":"Procore.Model.WebhooksDeliveryEvent.html#t:t/0"},{"type":"module","title":"Procore.Model.WebhooksDeliveryEventMetadata","doc":"Contextual information about the event","ref":"Procore.Model.WebhooksDeliveryEventMetadata.html"},{"type":"function","title":"Procore.Model.WebhooksDeliveryEventMetadata.decode/1","doc":"","ref":"Procore.Model.WebhooksDeliveryEventMetadata.html#decode/1"},{"type":"type","title":"Procore.Model.WebhooksDeliveryEventMetadata.t/0","doc":"","ref":"Procore.Model.WebhooksDeliveryEventMetadata.html#t:t/0"},{"type":"module","title":"Procore.Model.WebhooksHook","doc":"","ref":"Procore.Model.WebhooksHook.html"},{"type":"function","title":"Procore.Model.WebhooksHook.decode/1","doc":"","ref":"Procore.Model.WebhooksHook.html#decode/1"},{"type":"type","title":"Procore.Model.WebhooksHook.t/0","doc":"","ref":"Procore.Model.WebhooksHook.html#t:t/0"},{"type":"module","title":"Procore.Model.WebhooksHookDestinationHeaders","doc":"","ref":"Procore.Model.WebhooksHookDestinationHeaders.html"},{"type":"function","title":"Procore.Model.WebhooksHookDestinationHeaders.decode/1","doc":"","ref":"Procore.Model.WebhooksHookDestinationHeaders.html#decode/1"},{"type":"type","title":"Procore.Model.WebhooksHookDestinationHeaders.t/0","doc":"","ref":"Procore.Model.WebhooksHookDestinationHeaders.html#t:t/0"},{"type":"module","title":"Procore.Model.WebhooksResource","doc":"","ref":"Procore.Model.WebhooksResource.html"},{"type":"function","title":"Procore.Model.WebhooksResource.decode/1","doc":"","ref":"Procore.Model.WebhooksResource.html#decode/1"},{"type":"type","title":"Procore.Model.WebhooksResource.t/0","doc":"","ref":"Procore.Model.WebhooksResource.html#t:t/0"},{"type":"module","title":"Procore.Model.WebhooksTrigger","doc":"","ref":"Procore.Model.WebhooksTrigger.html"},{"type":"function","title":"Procore.Model.WebhooksTrigger.decode/1","doc":"","ref":"Procore.Model.WebhooksTrigger.html#decode/1"},{"type":"type","title":"Procore.Model.WebhooksTrigger.t/0","doc":"","ref":"Procore.Model.WebhooksTrigger.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkActivity","doc":"","ref":"Procore.Model.WorkActivity.html"},{"type":"function","title":"Procore.Model.WorkActivity.decode/1","doc":"","ref":"Procore.Model.WorkActivity.html#decode/1"},{"type":"type","title":"Procore.Model.WorkActivity.t/0","doc":"","ref":"Procore.Model.WorkActivity.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkActivity1","doc":"","ref":"Procore.Model.WorkActivity1.html"},{"type":"function","title":"Procore.Model.WorkActivity1.decode/1","doc":"","ref":"Procore.Model.WorkActivity1.html#decode/1"},{"type":"type","title":"Procore.Model.WorkActivity1.t/0","doc":"","ref":"Procore.Model.WorkActivity1.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkClassification","doc":"Work Classification Object","ref":"Procore.Model.WorkClassification.html"},{"type":"function","title":"Procore.Model.WorkClassification.decode/1","doc":"","ref":"Procore.Model.WorkClassification.html#decode/1"},{"type":"type","title":"Procore.Model.WorkClassification.t/0","doc":"","ref":"Procore.Model.WorkClassification.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkClassification1","doc":"Work Classification Object","ref":"Procore.Model.WorkClassification1.html"},{"type":"function","title":"Procore.Model.WorkClassification1.decode/1","doc":"","ref":"Procore.Model.WorkClassification1.html#decode/1"},{"type":"type","title":"Procore.Model.WorkClassification1.t/0","doc":"","ref":"Procore.Model.WorkClassification1.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkClassification2","doc":"Work Classification Object","ref":"Procore.Model.WorkClassification2.html"},{"type":"function","title":"Procore.Model.WorkClassification2.decode/1","doc":"","ref":"Procore.Model.WorkClassification2.html#decode/1"},{"type":"type","title":"Procore.Model.WorkClassification2.t/0","doc":"","ref":"Procore.Model.WorkClassification2.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkClassificationBody","doc":"","ref":"Procore.Model.WorkClassificationBody.html"},{"type":"function","title":"Procore.Model.WorkClassificationBody.decode/1","doc":"","ref":"Procore.Model.WorkClassificationBody.html#decode/1"},{"type":"type","title":"Procore.Model.WorkClassificationBody.t/0","doc":"","ref":"Procore.Model.WorkClassificationBody.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkClassificationBody1","doc":"","ref":"Procore.Model.WorkClassificationBody1.html"},{"type":"function","title":"Procore.Model.WorkClassificationBody1.decode/1","doc":"","ref":"Procore.Model.WorkClassificationBody1.html#decode/1"},{"type":"type","title":"Procore.Model.WorkClassificationBody1.t/0","doc":"","ref":"Procore.Model.WorkClassificationBody1.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkClassificationBulkBody","doc":"","ref":"Procore.Model.WorkClassificationBulkBody.html"},{"type":"function","title":"Procore.Model.WorkClassificationBulkBody.decode/1","doc":"","ref":"Procore.Model.WorkClassificationBulkBody.html#decode/1"},{"type":"type","title":"Procore.Model.WorkClassificationBulkBody.t/0","doc":"","ref":"Procore.Model.WorkClassificationBulkBody.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkOrderContract","doc":"Work Order Contract object","ref":"Procore.Model.WorkOrderContract.html"},{"type":"function","title":"Procore.Model.WorkOrderContract.decode/1","doc":"","ref":"Procore.Model.WorkOrderContract.html#decode/1"},{"type":"type","title":"Procore.Model.WorkOrderContract.t/0","doc":"","ref":"Procore.Model.WorkOrderContract.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkOrderContract1","doc":"Work Order Contract object","ref":"Procore.Model.WorkOrderContract1.html"},{"type":"function","title":"Procore.Model.WorkOrderContract1.decode/1","doc":"","ref":"Procore.Model.WorkOrderContract1.html#decode/1"},{"type":"type","title":"Procore.Model.WorkOrderContract1.t/0","doc":"","ref":"Procore.Model.WorkOrderContract1.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkOrderContractCustomFieldCustomFieldDefinitionId","doc":"Value of the custom field. The data type of the value passed in corresponds with the data_type of the Custom Field Definition. For a lov_entry data_type the value passed in should be the ID of one of the Custom Field Definition's LOV Entries. For a lov_entries data_type the value passed in should be an array of IDs of the Custom Field Definition's LOV Entries.","ref":"Procore.Model.WorkOrderContractCustomFieldCustomFieldDefinitionId.html"},{"type":"function","title":"Procore.Model.WorkOrderContractCustomFieldCustomFieldDefinitionId.decode/1","doc":"","ref":"Procore.Model.WorkOrderContractCustomFieldCustomFieldDefinitionId.html#decode/1"},{"type":"type","title":"Procore.Model.WorkOrderContractCustomFieldCustomFieldDefinitionId.t/0","doc":"","ref":"Procore.Model.WorkOrderContractCustomFieldCustomFieldDefinitionId.html#t:t/0"},{"type":"module","title":"Procore.Model.WorkflowActivityHistory","doc":"Workflow Activity History object","ref":"Procore.Model.WorkflowActivityHistory.html"},{"type":"function","title":"Procore.Model.WorkflowActivityHistory.decode/1","doc":"","ref":"Procore.Model.WorkflowActivityHistory.html#decode/1"},{"type":"type","title":"Procore.Model.WorkflowActivityHistory.t/0","doc":"","ref":"Procore.Model.WorkflowActivityHistory.html#t:t/0"},{"type":"module","title":"Procore.RequestBuilder","doc":"Helper functions for building Tesla requests","ref":"Procore.RequestBuilder.html"},{"type":"function","title":"Procore.RequestBuilder.add_optional_params/3","doc":"Add optional parameters to the request.","ref":"Procore.RequestBuilder.html#add_optional_params/3"},{"type":"function","title":"Parameters - Procore.RequestBuilder.add_optional_params/3","doc":"- `request` (Map) - Collected request options\n- `definitions` (Map) - Map of parameter name to parameter location.\n- `options` (KeywordList) - The provided optional parameters","ref":"Procore.RequestBuilder.html#add_optional_params/3-parameters"},{"type":"function","title":"Returns - Procore.RequestBuilder.add_optional_params/3","doc":"Map","ref":"Procore.RequestBuilder.html#add_optional_params/3-returns"},{"type":"function","title":"Procore.RequestBuilder.add_param/4","doc":"Add non-optional parameters to the request.","ref":"Procore.RequestBuilder.html#add_param/4"},{"type":"function","title":"Parameters - Procore.RequestBuilder.add_param/4","doc":"- `request` (Map) - Collected request options\n- `location` (atom) - Where to put the parameter\n- `key` (atom) - The name of the parameter\n- `value` (any) - The value of the parameter","ref":"Procore.RequestBuilder.html#add_param/4-parameters"},{"type":"function","title":"Returns - Procore.RequestBuilder.add_param/4","doc":"Map","ref":"Procore.RequestBuilder.html#add_param/4-returns"},{"type":"function","title":"Procore.RequestBuilder.ensure_body/1","doc":"This function ensures that the `body` parameter is always set.\n\nWhen using Tesla with the `httpc` adapter (the default adapter), there is a\nbug where POST, PATCH and PUT requests will fail if the body is empty.","ref":"Procore.RequestBuilder.html#ensure_body/1"},{"type":"function","title":"Parameters - Procore.RequestBuilder.ensure_body/1","doc":"- `request` (Map) - Collected request options","ref":"Procore.RequestBuilder.html#ensure_body/1-parameters"},{"type":"function","title":"Returns - Procore.RequestBuilder.ensure_body/1","doc":"Map","ref":"Procore.RequestBuilder.html#ensure_body/1-returns"},{"type":"function","title":"Procore.RequestBuilder.evaluate_response/2","doc":"Evaluate the response from a Tesla request.\nDecode the response for a Tesla request.","ref":"Procore.RequestBuilder.html#evaluate_response/2"},{"type":"function","title":"Parameters - Procore.RequestBuilder.evaluate_response/2","doc":"- `result` (Tesla.Env.result()): The response from Tesla.request/2.\n- `mapping` ([{http_status, struct}]): The mapping for status to struct for decoding.","ref":"Procore.RequestBuilder.html#evaluate_response/2-parameters"},{"type":"function","title":"Returns - Procore.RequestBuilder.evaluate_response/2","doc":"- `{:ok, struct}` or `{:ok, Tesla.Env.t()}` on success\n- `{:error, term}` on failure","ref":"Procore.RequestBuilder.html#evaluate_response/2-returns"},{"type":"function","title":"Procore.RequestBuilder.method/2","doc":"Specify the request `method` when building a request.\n\nDoes not override the `method` if one has already been specified.","ref":"Procore.RequestBuilder.html#method/2"},{"type":"function","title":"Parameters - Procore.RequestBuilder.method/2","doc":"- `request` (Map) - Collected request options\n- `method` (atom) - Request method","ref":"Procore.RequestBuilder.html#method/2-parameters"},{"type":"function","title":"Returns - Procore.RequestBuilder.method/2","doc":"Map","ref":"Procore.RequestBuilder.html#method/2-returns"},{"type":"function","title":"Procore.RequestBuilder.url/2","doc":"Specify the request URL when building a request.\n\nDoes not override the `url` if one has already been specified.","ref":"Procore.RequestBuilder.html#url/2"},{"type":"function","title":"Parameters - Procore.RequestBuilder.url/2","doc":"- `request` (Map) - Collected request options\n- `url` (String) - Request URL","ref":"Procore.RequestBuilder.html#url/2-parameters"},{"type":"function","title":"Returns - Procore.RequestBuilder.url/2","doc":"Map","ref":"Procore.RequestBuilder.html#url/2-returns"},{"type":"type","title":"Procore.RequestBuilder.response_mapping/0","doc":"","ref":"Procore.RequestBuilder.html#t:response_mapping/0"},{"type":"type","title":"Procore.RequestBuilder.status_code/0","doc":"","ref":"Procore.RequestBuilder.html#t:status_code/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,51,46,48]}}